== Remove redundant check ==

Hi!

I think we can change "forcePreview" code from
<source lang="javascript">
  if (wgUserName != null || wgAction != "edit") return;
</source>
to
<source lang="javascript">
  if (wgUserName != null) return;
</source>
because [[MediaWiki:Common.js/edit.js]] is only loaded when edit a page. (Or this would cause a problem with "<code>|| wgAction == 'submit'</code>" at [[MediaWiki:Common.js]]?)
[[Utilisateur:Heldergeovane|Heldergeovane]] ([[Discussion utilisateur:Heldergeovane|d]]) 20 juillet 2009 à 14:11 (CEST)
:I'm not sure to understand: [[MediaWiki:Common.js/edit.js]] must be loaded both when the action is "edit" and "submit" (for instance the special caracters are loaded whenever during editing); but forcePreview must be loaded only the first time an editpage is loaded, else anonymous visitors couldn't never edit, isn't it? ~ [[Utilisateur:Seb35|Seb35]] [[Discussion Utilisateur:Seb35|<small>[^_^]</small>]] 5 octobre 2009 à 19:40 (CEST)
::Hello!
::I was wondering if is it possible to check the value of wgAction only one time. Currently this is checked twice, at [[MediaWiki:Common.js]]:
<source lang="javascript">
if( wgAction == 'edit' || wgAction == 'submit' ) {
  importScript( 'MediaWiki:Common.js/edit.js' );
}
</source>
:: and at [[MediaWiki:Common.js/edit.js]]:
<source lang="javascript">
  if (wgUserName != null || wgAction != "edit") return;
</source>
::But looking at the code now it seems not possible to do this simplification... What do you think? [[Utilisateur:Heldergeovane|Heldergeovane]] ([[Discussion utilisateur:Heldergeovane|d]]) 17 octobre 2009 à 21:33 (CEST)