{{Ébauche}}

{{:Utilisateur:Dr Brains/onglets}}

<big>'''[[Utilisateur:Dr Brains/GlobalSkinManager.js|GlobalSkintManager.js]]'''</big> permet de gérer l'habillage à la manière des gadgets, c'est à dire avec des cases à cocher. <br>
Ce script est dérivé de [[Utilisateur:Dr Brains/GlobalScriptManager.js]]. [http://en.wikipedia.org/w/index.php?title=User:Jitse_Niesen/Client-side_preferences/Main.js&oldid=88607798 Code original] 

Il est actuellement en phase de test.

== Fonctionnement ==

Ce script ajout deux liens en haut à droite de la page :
* Un lien vers la sous-page personnelle css du skin actif
* Un lien permettant de lancer le skin manager (au-dessus ou au-dessous de la page suivant les cas).

=== Habillage ===

Il permet de gérer des scripts sur les habillages :
* [[Spécial:MyPage/monobook.js|Monobook]] 
* [[Spécial:MyPage/modern.js|Moderne]] 
* [[Spécial:MyPage/cologneblue.js|Bleu de Cologne]] 
* [[Spécial:MyPage/chick.js|Poussin]] 
* [[Spécial:MyPage/nostalgia.js|Nostalgie]]
* [[Spécial:MyPage/standard.js|Standard]]
* [[Spécial:MyPage/simple.js|Simple]]
* [[Spécial:MyPage/myskin.js|Mon Interface]]
* [[Spécial:MyPage/vector.js|Vector]]

Pour le moment, seuls des tests sur monobook ont été effectués.

=== Navigateur ===

* Mozilla Firefox 3.5 : Fonctionne

*Autres navigateurs : non testé.

== Installation ==

La méthode ci-dessous explique l'installation pour Monobook. C'est exactement la même méthode pour les autres skins.

Pour installer ce gestionnaire :

'''1.''' Copiez [[Utilisateur:Dr Brains/GlobalSkinManager.js|cette page]] dans [[Spécial:MyPage/GlobalSkinManager.js|Utilisateur:<votre nom>/GlobalSkinManager.js]],<br>
'''2.''' Configurer les paramètres comme expliqué ci-dessous. <br>
'''3.''' Copiez le code suivant dans votre page [[Spécial:MyPage/monobook.js|Utilisateur:<VotreNom>/monobook.js]] en remplaçant MY_NAME par votre pseudo (x2) : <ref>ou vous pouvez ajouter ce script à votre [[Utilisateur:Dr Brains/GlobalScriptManager.js]] si il est installé</ref><br>
{| style="border:1px dotted red;"
|
<source lang=javascript>

document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w' + 
               '/index.php?title=Utilisateur:MY_NAME/GlobalScriptManager.js&action=raw&ctype=text/javascript"></script>');
</source>
|}
'''4.''' Rechargez le cache de votre navigateur et le script devrait s'activer, <br>
'''5.''' Configurer l'affichage comme expliqué ci-dessous. <br>

<references />


== Configuration ==

=== Paramètres ===
{| class="wikitable" width="100%" 
| bgcolor="#CCCCCC" | '''<center>Code</center>'''
| bgcolor="#CCCCCC" | '''<center>Commentaires</center>'''
|-
| width="50%" |
<small><source lang=javascript>

////////////////////////////// PARAMETRES /////////////////////////////

var cspEntryPage = 'Utilisateur:' + wgUserName.replace(/ /,"_") + '/' + cspSkin + '.js';                 
var cspEntryPagealt1 = 'Utilisateur:' + wgUserName.replace(/ /,"_") + '/' + cspSkinalt1 + '.js';
var cspEntryPagealt2 = 'Utilisateur:' + wgUserName.replace(/ /,"_") + '/' + cspSkinalt2 + '.js';
var cspEntryPagealt3 = 'Utilisateur:' + wgUserName.replace(/ /,"_") + '/' + cspSkinalt3 + '.js';
var cspEntryPagealt4 = 'Utilisateur:' + wgUserName.replace(/ /,"_") + '/' + cspSkinalt4 + '.js';
var cspEntryPagealt5 = 'Utilisateur:' + wgUserName.replace(/ /,"_") + '/' + cspSkinalt5 + '.js';
var cspEntryPagealt6 = 'Utilisateur:' + wgUserName.replace(/ /,"_") + '/' + cspSkinalt6 + '.js';
var cspEntryPagealt7 = 'Utilisateur:' + wgUserName.replace(/ /,"_") + '/' + cspSkinalt7 + '.js';
var cspEntryPagealt8 = 'Utilisateur:' + wgUserName.replace(/ /,"_") + '/' + cspSkinalt8 + '.js';

var cspCssMainScript = 'Utilisateur:' + wgUserName.replace(/ /,"_") + '/GlobalSkinManager.js';

var SiteURL = 'http://fr.wikipedia.org/wiki/'
var SiteURLbis = 'http://fr.wikipedia.org/w/index.php?title='
                                   
var cspCssRepos = 'Utilisateur:' + wgUserName.replace(/ /,"_") + '/';
var cspCssLinks = SiteURL + cspCssRepos ; 
                                 
var cspSummary = 'Mise à jour avec [[' + cspMainScript + ']]';  

var cspStartComment = '// jncsp-start';
var cspStartComment2 = ' La section ci-dessous est produite par le script : [[' + cspCssMainScript + ']]';
var cspConfigComment = '// jncsp-config';
var cspEndComment = '// jncsp-end';

</source> </small>
| width="50%" |

*<tt>cspEntryPage</tt>, <tt>cspEntryPagealt1</tt>, <tt>cspEntryPagealt2</tt>, etc... : 
** Pages où le script s'active. 
*<tt>cspCssMainScript</tt> : 
** Page où est copié le code du script manager. 
*** Par défaut : [[Spécial:MyPage/GlobalSkinManager.js|Utilisateur:<votre nom>/GlobalSkinManager.js]]

*<tt>SiteURL</tt>, <tt>SiteURLbis</tt>
**Adresses du site
            
*<tt>cspCssRepos</tt> : 
** Répertoire par défaut des pages personnelles css. 
*** Par défaut : {{Citation|Utilisateur:<votre nom>/}}                                 
*<tt>cspCssLinks</tt> : 
** Url du répertoire par défaut (pour les liens). 
*** Par défaut : {{Citation|<tt><SiteURL><cspCssRepos></tt>}}                                   

*<tt>cspSummary</tt> : 
** Résumé de modification affiché dans l'historique de votre page javascript.
***Par défaut : {{Citation|Mise à jour avec [[Spécial:MyPage/GlobalSkinManager.js|Utilisateur:<votre nom>/<tt><cspCssMainScript></tt>]]}}
*<tt>cspStartComment</tt>, <tt>cspStartComment2</tt>, <tt>cspConfigComment</tt>, <tt>cspEndComment</tt> : 
** Commentaires ajoutés au css. Ne modifier éventuellement que <tt>cspStartComment2</tt>.
|}

===Affichage des scripts=== 
 
{| class="wikitable" width="100%" 
| bgcolor="#CCCCCC" | '''<center>Code</center>'''
| bgcolor="#CCCCCC" | '''<center>Commentaires</center>'''
|-
| width="50%" |
<small><source lang=javascript>
////////////////////////////// AFFICHAGE ////////////////////////////
cspFragments = [

{ desc: 'Comment ça marche ?', type: 2 },

{ desc: 'Insertion d\'une page personnelle', type: 3 },

  { id: 'setup-StylePerso', 
    page: cspCssRepos + 'StylePerso.css', 
    type: 0, 
    desc: '<a href=' + cspCssLinks + 'StylePerso.css>StylePerso</a>' 
  },

{ desc: 'Insertion d\'un code particulier', type: 3 },

  { id: 'setup-LiensRoses', 
    page: 'a {text-decoration: none;color:#ff00ff;background: none;}', 
    type: 1, 
    desc: 'Liens de couleur rose'
  },
 
{ desc: 'Générer le code', type: 2 },
{ desc: '<b>Note :</b>'
+ ' Après avoir publié la page, vous devrez forcer son rechargement pour voir les changements :' 
+ ' <b>Mozilla / Konqueror / Firefox / Opera</b> : <tt>Shift-Ctrl-R</tt>,'
+ ' <b>Internet Explorer</b> : <tt>Ctrl-F5</tt>,'
+ ' <b>Safari</b> : <tt>Cmd-R</tt>.', type: 8},
 
];
</source> </small>
| width="50%" |

* Rajoutez vos scripts en respectant la syntaxe :
{| style="border:1px dotted red;"
|
<tt>
{{rouge|<nowiki>{ id: 'setup-</nowiki>}}NOM_DU_CODE{{rouge|<nowiki>',</nowiki>}} <br>
{{rouge|<nowiki>page: '</nowiki>}}CODE_CSS{{rouge|<nowiki>',</nowiki>}} <br>
{{rouge|<nowiki>type: 1,</nowiki>}} <br>
{{rouge|<nowiki>desc: '</nowiki>}}NOM_DU_CODE{{rouge|<nowiki>'</nowiki>}} <br>
{{rouge|<nowiki>+ '</nowiki>}}AUTRES COMMENTAIRES SI NÉCÉSSAIRE{{rouge|<nowiki>'</nowiki>}}<br>
{{rouge|<nowiki>},</nowiki>}} 
</tt>
|}

{| style="border:1px dotted red;"
|
<tt>
{{rouge|<nowiki>{ id: 'setup-</nowiki>}}NOM_DU_SCRIPT{{rouge|<nowiki>',</nowiki>}} <br>
{{rouge|<nowiki>page: '</nowiki>}}PAGE_PERSONNELLE.CSS{{rouge|<nowiki>',</nowiki>}} <br>
{{rouge|<nowiki>type: 0,</nowiki>}} <br>
{{rouge|<nowiki>desc: '<a href=</nowiki>}}URL_COMPLETE_DU_LIEN_VERS_LA_PAGE_PERSONNELLE.CSS{{rouge|<nowiki>></nowiki>}}NOM_DU_SCRIPT{{rouge|<nowiki></a>'</nowiki>}} <br>
{{rouge|<nowiki>+ '</nowiki>}}AUTRES COMMENTAIRES SI NÉCÉSSAIRE{{rouge|<nowiki>'</nowiki>}}<br>
{{rouge|<nowiki>},</nowiki>}} 
</tt>
|}

* Rajoutez un chapitre ou du texte en respectant la syntaxe :
{| style="border:1px dotted red;"
|
<tt>{{rouge|<nowiki>{ desc: '</nowiki>}}TEXTE{{rouge|<nowiki>', type: </nowiki>}}TYPE{{rouge|<nowiki> },</nowiki>}}</tt>
|}

* '''Paramètres possibles''' :
**<tt>id</tt>   : un identifiant unique, généralement le nom de la fonction principale
**<tt>page</tt> : nom de la page où le script à inclure est stocké
**<tt>type</tt>  
*** 0 (défaut) : Le code sera recopié depuis une autre page css. <small>(ne marche pas encore)</small>
*** 1 : Le code copié est le contenu de la variable <tt>page</tt>
*** 2 : Titre de chapitre niveau 2
*** 3 : Titre de chapitre niveau 3
*** 4 : Titre de chapitre niveau 4
*** 5 : Titre de chapitre niveau 5
*** 6 : Titre de chapitre niveau 6
*** 8 : Texte normal (syntaxe HTML)
**<tt>rev</tt>  : numéro de révision de la page (si inclusion d'une page archivée)
**<tt>deps</tt> : liste des dépendances, à ignorer si il n'y en a pas
**<tt>desc</tt> : description du code
|-
|}

=== Remarque ===
 
Si après une modification le script ne fonctionne plus, il est fréquent que cela vienne d'une apostrophe ou d'un autre caractère problématique dans le texte que vous avez entré.<br> Afin que ces caractères soient interprétés comme du texte, il faut les faire précéder d'un {{Citation|{{coloré|red|<nowiki>\</nowiki>}}}} ( Alt Gr 8 ).

La couleur du code peut aider à facilement repérer les erreurs. Notez par exemple la différence entre ces syntaxes :
{| class="wikitable centre" width="80%" 
| bgcolor="#CCCCCC" width="50%" | '''<center>Bon</center>'''
| bgcolor="#CCCCCC" width="50%" | '''<center>Pas bon</center>'''
|-
| 
<source lang=javascript>
  { desc: 'Insertion d\'une page personnelle', type: 3 },
</source>
| 
<source lang=javascript>
  { desc: 'Insertion d'une page personnelle', type: 3 },
</source>
|-
| 
<source lang=javascript>
  { id: 'setup-StylePerso', 
    page: StylePerso.js', 
    type: 1, 
    desc: '<a href=' + cspGadgetsLinks + 'HotCats.js>HotCats</a>'
  },
</source>
| 
<source lang=javascript>
  { id: 'setup-HotCats', 
    page: cspGadgetsRepos + HotCats.js', 
    type: 1, 
    desc: '<a href=' + cspGadgetsLinks + 'HotCats.js>HotCats</a>'
  },
</source>
|}