==Annonces==
{{Annonce évolutive|outil||3|Utilisateur:STyx/monobook.js/messagerie.js|Système d'alerte messagerie pour des sous-pages persos.  Inspiré de [[Utilisateur:Céréales Killer/monobook.js]] (auteur {{u|GôTô}})([[Discussion Projet:JavaScript#Messagerie|Debugage]])}}
{{Annonce évolutive|aide|2006-10-20|1|Aide:Trucs et astuces/Archivage de sa page de discussion| + [[Wikipédia:Astuces/décembre 2006]] et [[Wikipédia:Astuces/janvier 2007]]}}

==Compte-rendu de bug==
*la messagerie se déclenche après
 http://fr.wikipedia.org/w/index.php?title=Utilisateur:STyx/monobook.js&action=submit
&nbsp;&nbsp;&lt;[[User:STyx|STyx]]&nbsp;[[Discussion Utilisateur:STyx|@]] 23 juin 2007 à 16:37 (CEST)
*visionner 
 http://fr.wikipedia.org/w/index.php?title=Discussion_Utilisateur:STyx/2007&diff=cur
désactive normalement la messagerie :) &nbsp;&nbsp;&lt;[[User:STyx|STyx]]&nbsp;[[Discussion Utilisateur:STyx|@]] 23 juin 2007 à 16:47 (CEST)
*la messagerie se redéclenche (pourquoi?) à la première page visitée le 24 pour un vieux message du 21

http://fr.wikipedia.org/w/index.php?title=Discussion_Utilisateur:STyx/2007&diff=next&oldid=18118842

*visionner 
 http://fr.wikipedia.org/w/index.php?title=Discussion_Utilisateur:STyx/2007&diff=cur
désactive normalement la messagerie :) &nbsp;&nbsp;&lt;[[User:STyx|STyx]]&nbsp;[[Discussion Utilisateur:STyx|@]] 24 juin 2007 à 14:18 (CEST)

*note: la messagerie se déclenche à la consultation des diffs (sauf la dernière) de la page [[Discussion_Utilisateur:STyx/2007]].

*fonctionnement correct pour ce message :) &nbsp;&nbsp;&lt;[[User:STyx|STyx]]&nbsp;[[Discussion Utilisateur:STyx|@]] 24 juin 2007 à 18:50 (CEST) :
 http://fr.wikipedia.org/w/index.php?title=Discussion_Utilisateur:STyx/2007&diff=18220104&oldid=18130636
*fonctionnement correct pour ce message :) &nbsp;&nbsp;&lt;[[User:STyx|STyx]]&nbsp;[[Discussion Utilisateur:STyx|@]] 24 juin 2007 à 19:11 (CEST)
 http://fr.wikipedia.org/w/index.php?title=Discussion_Utilisateur%3ASTyx%2F2007&diff=18221058&oldid=18221048

*fonctionements corrects pour plusieurs messages :)

*déclenchement tardif (le lendemain) de la messagerie pour mon propre message : &nbsp;&nbsp;&lt;[[User:STyx|STyx]]&nbsp;[[Discussion Utilisateur:STyx|@]] 28 juin 2007 à 18:06 (CEST)
 http://fr.wikipedia.org/w/index.php?title=Discussion_Utilisateur:STyx/2007&diff=next&oldid=18305866

;Fin du test: Le fonctionnement est correct avec Firefox. En revanche, cela ne fonctionne pas avec IE, le message perdure. &nbsp;&nbsp;&lt;[[User:STyx|STyx]]&nbsp;[[Discussion Utilisateur:STyx|@]] 8 août 2007 à 14:26 (CEST)

== Améliorations possibles ==

Bonjour STyx,

Au lieu d'utiliser une fonction <tt>getArticleName()</tt> qui dépend de la langue des messages, pourquoi ne pas utiliser la variable <tt>wgTitle</tt> générée par mediawiki ? -- {{u|DavidL}}
:Bonjour STyx,
:Pour améliorer concrètement le script, je propose de faire les modifications suivantes (que seul toi peux faire, vu qu'il s'agit d'une page auto-protégée par MediaWiki):
:* la fonction <tt>getArticleName()</tt> ne sert qu'à tester s'il s'agit de la page utilisateur et me parait inutilement complexe pour l'utilisation qui en est faite --> '''la supprimer''',
:* supprimer la fonction <tt>getCurrentId(page)</tt> et utiliser wgCurRevisionId à la place
:* Remplacer les lignes de codes suivantes
<source lang="javascript">
function getMessages() {
  var article = getArticleName();
  if (article.indexOf("Utilisateur:" + wgUserName + "/") > -1) {
    //first case: we are on a talk page of ours: we read and save the ''oldid'' in a cookie
    //Debug("cookies.set("+getCookieTag(article)+","+getCurrentId()+")");
    cookies.set(getCookieTag(article), getCurrentId(), 1000*3600*24*30);
  }
}
</source>
:* par:
<source lang="javascript">
function getMessages() {
  if (wgPageName.indexOf("Utilisateur:" + wgUserName + "/") > -1) {
    //first case: we are on a talk page of ours: we read and save the ''oldid'' in a cookie
    //Debug("cookies.set("+getCookieTag(wgPageName)+","+wgCurRevisionId+")");
    cookies.set(getCookieTag(wgPageName), wgCurRevisionId, 1000*3600*24*30);
  }
}
</source>
:Voilà, Bonne Année 2009 ! {{Sourire}} --[[User:DavidL|DavidL]] ([[User talk:DavidL|d]]) 31 décembre 2008 à 17:03 (CET)
::{{fait}} &nbsp;&nbsp;&lt;[[User:STyx|STyx]]&nbsp;[[Discussion Utilisateur:STyx|@]] 13 janvier 2009 à 17:09 (CET)
:: reverté ca n'a jamais marché :( &nbsp;&nbsp;&lt;[[User:STyx|STyx]]&nbsp;[[Discussion Utilisateur:STyx|@]]<small> (en long break)</small> 6 mars 2010 à 15:12 (CET)