// Désactive le script de cache par défaut au profit
// d'une variante étendant le script à tous les liens externes
// et à tous les espaces de noms.
// {{Projet:JavaScript/Script|ExtendCache}}

no_external_cache=true;

function extendedCache(element) {
    var liens = element ? $j(element + ' a.external') : $j('a.external');
    for (var i = 0, l = liens.length; i < l; i++) {
        var lien_en_cours = liens[i];
        var chemin = lien_en_cours.href;
        if (chemin.indexOf("http://wikiwix.com/cache/") > -1 || chemin.indexOf("http://web.archive.org/web/") > -1 || chemin.indexOf("wikipedia.org") > -1 || chemin.indexOf("wikimedia.org") > -1 || chemin.indexOf("stable.toolserver.org") > -1) {
            continue;
        }
        var element_parent = lien_en_cours.parentNode;
        if (hasClass(element_parent, "noarchive")) {
            continue;
        }
        var titre = getTextContent(lien_en_cours);
        var last = document.createElement("small");
        last.className = "cachelinks";
        last.appendChild(document.createTextNode("\u00a0["));
 
        var link = document.createElement("a");
        link.setAttribute("href", "http://wikiwix.com/cache/?url=" + chemin.replace(/%/g, "%25").replace(/&/g, "%26") + "&title=" + encodeURIComponent(titre));
        link.setAttribute("title", "archive de " + titre);
        link.appendChild(document.createTextNode("archive"));
 
        last.appendChild(link);
        last.appendChild(document.createTextNode("]"));
 
        element_parent.insertBefore(last, lien_en_cours.nextSibling);
    }
}
addOnloadHook(extendedCache);