/* 
 * Pages courtes optimisées
 * 
 * Quelques liens supplémentaires dans Special:Shortpages
 * 
 * Auteur : Dake
 * Modifications : Seb35
 * Denière révision : 30 novembre 2007
 * {{Projet:JavaScript/Script|OptimizedShort}}
 */

function OptimizedShortPages() {
        var mainNode = document.getElementsByTagName('ol');

        var allArticles = mainNode[0].getElementsByTagName('li');
        for(i=0; i<allArticles.length; i++) {
                var histElement = allArticles[i].getElementsByTagName('a')[0];
                var articleName = histElement.getAttribute('href').match(/title\=(.*)&/)[1];

                var diffElement = document.createElement('a');
                diffElement.setAttribute('href', '/w/index.php?title=' + articleName + '&diff=0');
                diffElement.appendChild(document.createTextNode('diff'));

                var relatedElement = document.createElement('a');
                relatedElement.setAttribute('href', '/wiki/Special:Whatlinkshere/' + articleName);
                relatedElement.appendChild(document.createTextNode('liens'));

                insertAfter(histElement.parentNode, relatedElement, histElement);
                insertAfter(histElement.parentNode, document.createTextNode(') ('), histElement);
                insertAfter(histElement.parentNode, diffElement, histElement);
                insertAfter(histElement.parentNode, document.createTextNode(') ('), histElement);
        }
}

if(wgCanonicalSpecialPageName == 'Shortpages') addOnloadHook(OptimizedShortPages);