/* {{Projet:JavaScript/Script|RenommageCategorieLang}} */

/*
Fichier d'internationalisation du gadget [[MediaWiki:Gadget-RenommageCategorie.js]]
 
Voir page de discussion
 
*/
//<source lang=javascript>//<pre><nowiki>

function RenommageCategorie_LangCustom(){
    if(wgUserLanguage=="fr") return; // Langue par défaut
    else RenommageCategorie_GetLangCustom(wgUserLanguage);
 
}
 
function RenommageCategorie_GetLangCustom(Lang){
 
    if(Lang=="??"){ ////////////////////////////////////////////// LANGUE
        // Libellé de l'onglet
        RenommageCategorie_Text_Move = 'Renommer';
 
        // Pop-up paramètres
        RenommageCategorie_Text_PopRemoveCat = 'Catégorie à supprimer';
        RenommageCategorie_Text_PopAddCat = 'Catégorie à ajouter';
        RenommageCategorie_Text_PopConfirm = 'Publier sans confirmation manuelle ?';
        RenommageCategorie_Text_PopWatch = 'Suivre les pages modifiées ?';
        RenommageCategorie_Text_PopButtonOKText = 'Valider';
        RenommageCategorie_Text_PopButtonOKTitle = 'Lancer les modifications';
        RenommageCategorie_Text_PopButtonCancelText = 'Annuler';
        RenommageCategorie_Text_PopButtonCancelTitle = 'Annuler';
 
        // Pop-up de confirmation
        RenommageCategorie_Text_Modif = "Vous vous apprêtez à modifier $1 pages.\n\n"
                                      + "Continuer  ?\n";                                  // Confirmation édition (<50 pages)
        RenommageCategorie_Text_GrosseModif = "Vous vous apprêtez à modifier $1 pages.\n"
                                            + "Cette action d'envergure devrait être effectuée de préférence par un bot.\n\n"
                                            + "Continuer quand même ?\n";                  // Confirmation grosse édition (>50 pages)
        RenommageCategorie_Text_Delay = "(Un délai de $1 secondes s'écoulera entre deux modifications)";
        RenommageCategorie_Text_ConfirmEdit = "$1 -> $2\n\nRésumé de modification : $3";  // Confirmation édition
        RenommageCategorie_Text_ConfirmMove = "Recopier le contenu de $1 dans $2 ?";      // Copie
        RenommageCategorie_Text_ConfirmMoveBis = 'Publier la modification ?'              // Confirmation Copie
        RenommageCategorie_Text_ConfirmDelete = "Supprimer la catégorie $1 ?";            // Suppression
 
        // Pop-up lors d'un problème
        RenommageCategorie_Text_AlertSameCat = "Les catégories à supprimer et à ajouter sont identiques";
        RenommageCategorie_Text_AlertEditPb = "Impossible de trouver une occurrence unique de la catégorie $1\n\nElle est peut-être incluse via un modèle.\n";
        RenommageCategorie_Text_AlertEditTryAgain = 'Problème !\n\nRéessayer ?';
        RenommageCategorie_Text_AlertEditNextPage = 'Page suivante ?'

        // Résumés de modification
        RenommageCategorie_Text_ResumeEditModif = "Modification de la catégorie [[$1]] → [[$2]]";
        RenommageCategorie_Text_ResumeEditDelete = "Retrait de la catégorie [[$1]]";
        RenommageCategorie_Text_ResumeMove = "Transfert du contenu depuis [[$1]]";
        RenommageCategorie_Text_ResumeMoveHist = "Crédit des auteurs depuis [[$1]]";
        RenommageCategorie_Text_ResumeDelete = "Catégorie remplacée par [[$2]]";
        RenommageCategorie_Text_ResumeDeleteBis = "Catégorie vide et obsolète";

    } /////////////////////////////FIN LANGUE
 
} //////////////////////////////////////////////// FIN FONCTION LANGAGE
//</nowiki></pre></source>