//{{Catégorisation JS|SommaireCompactCategorieDeluxe}}
//<source lang=javascript>//<pre><nowiki>

if(wgNamespaceNumber==14 && (wgAction=="view"||wgAction=="purge") ) addOnloadHook(SommaireCompactCategorieDeluxe_Init);
 
var SommaireCompactCategorieDeluxe_Letters = new Array("a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z");
 
function SommaireCompactCategorieDeluxe_Init(){
     var Spans = document.getElementsByTagName("span");
     for(var a=0,l=Spans.length;a<l;a++){
          if(hasClass(Spans[a], "CategoryIndex")) SommaireCompactCategorieDeluxe(Spans[a], a);
     }
}

function SommaireCompactCategorieDeluxe(Sommaire, Index){
     if(!Sommaire) return;
     Sommaire.id = "SommaireIndex_"+Index;
     var FirstLetterFrom = false;
     var From = SommaireCompactCategorieDeluxe_GetFrom();
     if(From||From==0) FirstLetterFrom = From[0];
     var Links = Sommaire.getElementsByTagName('a');
     for(var a=0,l=Links.length;a<l;a++){
          var Link = Links[a];
          var Letter = SommaireCompactCategorieDeluxe_GetFrom(Link.href);
          if(Letter===false) continue;
          Link.href= "javascript:SommaireCompactCategorieDeluxe_ShowMenu(\'"+Letter+"\', \'"+From+"\', "+Index+");";
          Link.target = "";
          Link.className = "";
          if(Letter === FirstLetterFrom) Link.style.color = "black";
     }
     if(FirstLetterFrom||FirstLetterFrom==0) SommaireCompactCategorieDeluxe_ShowMenu(FirstLetterFrom, From, Index);
}
function SommaireCompactCategorieDeluxe_ShowMenu(Letter, From, Index){
     var OldMenu = document.getElementById("SommaireIndexBis_"+Index);
     if(OldMenu) OldMenu.parentNode.removeChild(OldMenu);
     var Sommaire = document.getElementById("SommaireIndex_"+Index);
     var NewLine = document.createElement('span');
     NewLine.id = "SommaireIndexBis_"+Index;
     var LineContent = SommaireCompactCategorieDeluxe_CreateLinks(Letter, From);
     NewLine.innerHTML = "<br />" + LineContent;
     Sommaire.appendChild(NewLine);
}
 
function SommaireCompactCategorieDeluxe_GetFrom(URL){
     if(!URL) URL = document.URL
     try{
          var From = false;
          var Params = decodeURIComponent(URL).split('&');
          for(var a=0,l=Params.length;a<l;a++){
               if(Params[a].indexOf("from=")==-1) continue;
               From = Params[a].split("=")[1].substring(0,2);
          }
          return From;
     }catch(e){
          return false;
     }
}
 
function SommaireCompactCategorieDeluxe_CreateLinks(Letter, From){
     var TDContent = new Array(); 
     for(var a=0,l=SommaireCompactCategorieDeluxe_Letters.length;a<l;a++){
          TDContent.push(SommaireCompactCategorieDeluxe_CreateLink(Letter+SommaireCompactCategorieDeluxe_Letters[a], From));
     }
     return SommaireCompactCategorieDeluxe_CreateLink(Letter, From) + "&nbsp;—&nbsp;" + TDContent.join("·");
}
 
function SommaireCompactCategorieDeluxe_CreateLink(From, CurrentFrom){
     if(From === CurrentFrom){
          return '<strong class="selflink">'+From+'</strong>';
     }else{
          return '<a href="' + wgServer + wgScript + '?title=' + encodeURIComponent(wgPageName) + '&from=' + From + '">'+From+'</a>';
     }
}

//</nowiki></pre></source>