/* {{Projet:JavaScript/Script|sortInterWiki}} */

//Organise les liens interwiki selon un certain ordre
//Auteur : Sanao, d'après une idée de Lilyu
 
//Tri les interwiki selon un ordre défini par la variable globale order_lang
//Valeur de retour : Aucune
function sortInterWiki()
{
  var lang = document.getElementById("p-lang");
  if(lang)
  {
    var ul_lang = lang.getElementsByTagName("ul");
    if(ul_lang.length > 0)
    {
      ul_lang = ul_lang.item(0);
 
      var cur_li_lang = null;
      var new_ul_lang = document.createElement("ul");
      var ordre_langues = getVarValue("order_lang", new Array("en", "de", "es", "it")); //Ordre des interwiki
      for(var cpt = 0; cpt < ordre_langues.length; cpt++)
      {
        cur_li_lang = getElementsByClassName(ul_lang, "li", "interwiki-" + ordre_langues[cpt]);
        if(cur_li_lang.length > 0)
        {
          cur_li_lang = cur_li_lang[0];
          new_ul_lang.appendChild(cur_li_lang.cloneNode(true));
          ul_lang.removeChild(cur_li_lang);
        }
      }
 
      ul_lang.innerHTML = (new_ul_lang.innerHTML + ul_lang.innerHTML);
    }
  }
}
addOnloadHook(sortInterWiki);