/*

Vérifie les liés ancrés de la page courante pour déterminer ceux qui sont brisés.

{{Projet:JavaScript/Script|VerifAncres}}
*/


addOnloadHook(function(){
  addPortletLink('p-tb', 'javascript:verifAncres_init();', 'Vérif. ancres', 't-ancres', "Vérifier les liens ancrés de cette page");
  });
 
var verifAncres_goodLinks = new Array();
var verifAncres_goodLinksAncres = new Array();
var verifAncres_goodLinksURL = new Array();
var verifAncres_compteurAncre = 0;

function verifAncres_init(){
     var Content = document.getElementById('bodyContent'); // monobook, chick, myskin, simple, vector
     if(!Content) Content = document.getElementById('mw_contentholder'); //modern
     if(!Content) Content = document.getElementById('article'); // cologneblue, nostalgia, standard
     if(!Content) return;
     var allLinks = Content.getElementsByTagName('a');
     for (i=0; i<allLinks.length; i++){
          if (
              !(!allLinks[i].href 
           || hasClass(allLinks[i].parentNode, 'editsection') 
           || hasClass(allLinks[i].parentNode, 'cachelinks') 
           || hasClass(allLinks[i], 'external') 
           || allLinks[i].href.indexOf('javascript:') == 0 
           || allLinks[i].className == 'new' 
           || allLinks[i].className == 'image' 
           || allLinks[i].parentNode.parentNode.id == 'mw-normal-catlinks' 
           || allLinks[i].parentNode.id == 'mw-normal-catlinks' 
           || allLinks[i].parentNode.className == 'subpages' 
           || allLinks[i].parentNode.id == 'contentSub' 
           || allLinks[i].href.indexOf("#")<1 
           || allLinks[i].href.indexOf("cite_ref")!=-1
           || allLinks[i].href.indexOf("cite_note")!=-1
           || allLinks[i].href == wgServer + wgArticlePath.split('$1').join("")+encodeURI(wgPageName) 
           || allLinks[i].href == wgArticlePath.split('$1').join("")+encodeURI(wgPageName) 
           || allLinks[i].href == wgServer + wgScript + "?title=" + encodeURI(wgPageName) 
           || allLinks[i].href == wgScript + "?title=" + encodeURI(wgPageName) 
           || allLinks[i].href == wgServer + wgArticlePath.split('$1').join("")+wgPageName
           || allLinks[i].href == wgArticlePath.split('$1').join("")+wgPageName
           || allLinks[i].href == wgServer + wgScript + "?title=" + wgPageName
           || allLinks[i].href == wgScript + "?title=" + wgPageName
           )) {
               if(allLinks[i].href.indexOf("#")!=-1){
                    var Ancre = decodeURIComponent(allLinks[i].href).replace(/.*#/g, "");
                    if(!document.getElementById(Ancre) && Ancre != ""){
                         if(verifAncres_goodLinks.indexOf(allLinks[i])==-1){
                              verifAncres_goodLinksAncres.push(Ancre);
                              verifAncres_goodLinks.push(allLinks[i]);
                              verifAncres_goodLinksURL.push(allLinks[i].href);
                         }
                    }
               }
          }
     }
     if(!verifAncres_goodLinks[0]){ alert('Cette page ne contient aucun lien ancré'); return; }
     if (!confirm(verifAncres_goodLinks.length + " liens vont être analysés :\n\n" + verifAncres_goodLinksURL.join('\n')) )  return;
     verifAncres();
}

var verifAncres_badLinksURL = new Array();

function verifAncres(position) {
     if(!position) position=0;
     var tempLink = verifAncres_goodLinks[position];
     var tempAncre = verifAncres_goodLinksAncres[position];
     if(!tempLink){
          verifAncres_Msg();
          return;
     }
     var tempTitle = tempLink.title;
     var Aj = sajax_init_object();    
     var URL = wgServer + wgScript + "?title=" + tempTitle.replace(/&/g, "%26") + "&action=render";
     Aj.open('GET', URL , true);
     Aj.send(null);
     Aj.onreadystatechange = function() {
          if (Aj.readyState == 4 && Aj.status == 200){
               verifAncres_goodLinks[position].style.backgroundColor = '#FFCCCC';
               verifAncres_goodLinks[position].style.border = '1px solid red';
               var Temp = document.createElement('div');
               Temp.style.display = "none";
               document.body.appendChild(Temp);
               Temp.innerHTML = Aj.responseText;
               var Good = false;
               var sections = Temp.getElementsByTagName('span');      
               for (j=0; j<sections.length; j++){
                    var ThisAncre = sections[j].id;
                    if(ThisAncre == tempAncre){
                         Good = true;
                    }

               }
               if(Good){
                    verifAncres_goodLinks[position].style.backgroundColor = '#C8FFC8';
                    verifAncres_goodLinks[position].style.border = '1px solid green';
               }else{
                    verifAncres_badLinksURL.push(verifAncres_goodLinks[position].href);
                    verifAncres_compteurAncre++;
               }
               Temp.parentNode.removeChild(Temp);
               verifAncres((position+1));
          }
     }
}
 
function verifAncres_Msg(){
     // Message de fin.
     var msg = "";
     if (verifAncres_compteurAncre == 0){
          msg = "Aucun lien ancré brisé n’a été trouvé.";
     }else if (verifAncres_compteurAncre == 1){
          msg = "Un lien ancré brisé a été trouvé.";
     }else{
          msg = verifAncres_compteurAncre + " liens ancrés brisés ont été trouvés.";
     }
     if(verifAncres_badLinksURL[0]) msg += "\n\n" + verifAncres_badLinksURL.join('\n')

     alert(msg);
}