// {{Projet:JavaScript/Script|VerifEbauche}} 

addOnloadHook(function(){
  addPortletLink('p-tb', 'javascript:verifEbauche_init();', 'Vérif. ébauches', 't-ebauche', "Vérifier les liens de cette page menant vers des pages d'ébauche");
  });
 
var verifEbauche_goodLinks = new Array();
var verifEbauche_compteurEbauche = 0;
 
function verifEbauche_init(){
     var Content = document.getElementById('bodyContent'); // monobook, chick, myskin, simple, vector
     if(!Content) Content = document.getElementById('mw_contentholder'); //modern
     if(!Content) Content = document.getElementById('article'); // cologneblue, nostalgia, standard
     if(!Content) return;
     var allLinks = Content.getElementsByTagName('a');
     for (i=0; i<allLinks.length; i++){
          if (!(!allLinks[i].href || hasClass(allLinks[i].parentNode, 'editsection') || hasClass(allLinks[i].parentNode, 'cachelinks') || hasClass(allLinks[i], 'noprint') || hasClass(allLinks[i], 'external') || allLinks[i].href.indexOf('javascript:') == 0 || allLinks[i].className == 'new' || allLinks[i].className == 'image' || allLinks[i].parentNode.parentNode.id == 'mw-normal-catlinks' || allLinks[i].parentNode.id == 'mw-normal-catlinks' || allLinks[i].href == wgServer+'/wiki/'+encodeURI(wgPageName) || allLinks[i].href.indexOf(wgServer+'/wiki/'+encodeURI(wgPageName)+'#') == 0 || allLinks[i].parentNode.className == 'subpages' || allLinks[i].parentNode.id == 'contentSub' )) {
               verifEbauche_goodLinks.push(allLinks[i]);
          }
     }
     if (!confirm(verifEbauche_goodLinks.length + " liens vont être analysés."))  return;
     verifEbauche();
}
 
function verifEbauche(position) {
     if(!position) position=0;
     var tempLink = verifEbauche_goodLinks[position];
     if(!tempLink){
          verifEbauche_Msg();
          return;
     }
     var tempTitle = tempLink.title;
     var Aj = sajax_init_object();    
     Aj.open('GET', wgServer + '/w/api.php?action=query&prop=templates&redirects&format=xml&tllimit=499&titles=' + encodeURI(tempTitle), true);
     Aj.send(null);
     Aj.onreadystatechange = function() {
          if (Aj.readyState == 4 && Aj.status == 200){
               verifEbauche_goodLinks[position].style.backgroundColor = '#C8FFC8';
               var templates = Aj.responseXML.documentElement.getElementsByTagName('tl');      
               for (j=0; j<templates.length; j++){
                    if (templates[j].getAttribute('title') == "Modèle:Ébauche" || templates[j].getAttribute('title') == "Modèle:ébauche"){
                         //alert("Trouvé un lien vers une ébauche : " + tempTitle);
                         verifEbauche_goodLinks[position].style.backgroundColor = '#FFCCCC';
                         verifEbauche_compteurEbauche++;
                         break;
                    }
               }
               verifEbauche((position+1));
          }
     }
}
 
function verifEbauche_Msg(){
     // Message de fin.
     var msg = "";
     if (verifEbauche_compteurEbauche == 0)
          msg = "Aucun lien vers une page d’ébauche n’a été trouvé.";
     else if (verifEbauche_compteurEbauche == 1)
          msg = "Un lien vers une page d’ébauche a été trouvé.";
     else
          msg = verifEbauche_compteurEbauche + " liens vers des pages d’ébauche ont été trouvés.";
     alert(msg);
}