//<source lang=javascript>//<pre><nowiki>

/**
 * Application de [[Wikipédia:Prise de décision/Lien interprojet]]
 * Copie les liens interprojets du modèle {{Autres projets}}
 * dans le menu en colonne de gauche.
 * remove_other_projects = true; dans le monobook personnel pour activer
 * en plus la suppression du modèle {{Autres projets}} en bas des articles.
 * no_other_projects = true; dans le monobook personnel pour désactiver
 * entièrement le script et l'ajout dans la colonne de gauche.
 */
 
function autresProjets2() {
    if ((typeof no_other_projects != "undefined") && (no_other_projects)) return;
    if(!(wgNamespaceNumber==2)) return;
    if(!(wgAction=="view"||wgAction=="purge")) return;
    var div = document.getElementById('autres_projets');
    if(!div) return;
    try{
        var Target = document.getElementById('p-tb');
        var TargetClassName = Target.className
        var TargetBodyClassName = Target.getElementsByTagName('div')[0].className;
    }catch(e){
        return;
    }
 
    var list = div.getElementsByTagName('li');
    var newlist = document.createElement("ul");
    for (var i = 0; i < list.length ; i++) {
        list.link = list[i].getElementsByTagName('a')[0];
        list.text = list[i].getElementsByTagName('a')[1];
        var newlinktext = document.createTextNode(getTextContent(list.text));
        var newlistitem = document.createElement("li");
        var newlink = document.createElement("a");
        newlink.appendChild(newlinktext);
        newlink.title = getTextContent(list[i]);
        newlink.href = list.link.href;
        newlistitem.appendChild(newlink);
        newlist.appendChild(newlistitem);
    }
    var interProject = document.createElement("div");
    interProject.className = TargetClassName;
    interProject.id = 'p-projects';
    var interProjetH5 = document.createElement('h5');
    interProjetH5.appendChild(document.createTextNode('Autres projets'));
    interProject.appendChild(interProjetH5);
    var interProjetBody = document.createElement("div");
    interProjetBody.className = TargetBodyClassName;
    interProjetBody.appendChild(newlist);
    interProject.appendChild(interProjetBody);
    insertAfter(Target.parentNode,interProject,Target);
    if ((typeof remove_other_projects != "undefined") && (remove_other_projects)) {
        document = div.parentNode.removeChild(div);
    }
}
 
addOnloadHook(autresProjets2);

//</nowiki></pre></source>