/*
abusefilterhelp.js
Author : [[fr:w:User:Alphos]]
*/

function toggleAbuseFilterPatternDisplay(a) {
  var abfPatternContentId = "abf-filterinfo-" + a + "-patterncontent";
  var abfPatternContent = document.getElementById(abfPatternContentId);
  if (abfPatternContent) {
    if (abfPatternContent.style.display == "none") { abfPatternContent.style.display = "inline"; }
    else { abfPatternContent.style.display = "none"; }
  }
  return true;
}

function getAbuseFilterInfo() {
  if ((wgNamespaceNumber != 4) && (wgNamespaceNumber != 5)) { return false; }

  if (window.XMLHttpRequest) {
    xhttp=new XMLHttpRequest();
  }
  else {
    xhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }

  var abflinks = document.getElementById("content").getElementsByTagName("a");
  var abflength = abflinks.length;
  var abfLinkRegex = /http:\/\/fr.wikipedia.org\/wiki\/Sp(é|%C3%A9|e)cial:(Filtre_antiabus|AbuseFilter)\/\d+$/

  for (i=0 ; i < abflength ; i++) {
    if (abfLinkRegex.test(abflinks[i])) {
      var abfFilterId = abflinks[i].getAttribute("href").match(/\d+$/);

      xhttp.open("GET","http://fr.wikipedia.org/w/api.php?action=query&list=abusefilters&abflimit=1&abfprop=id|description|pattern|hits&format=xml&abfstartid=" + abfFilterId,false);
      xhttp.send("null");
      var abfAPIXML = xhttp.responseXML;

      var abfXMLFilterId = abfAPIXML.getElementsByTagName('api')[0].getElementsByTagName('query')[0].getElementsByTagName('abusefilters')[0].getElementsByTagName('filter')[0].getAttribute('id');
      if (abfXMLFilterId == abfFilterId) {
        //obtention des infos à partir de l'API, si le filtre correspond bien
        var abfXMLDescr = abfAPIXML.getElementsByTagName('api')[0].getElementsByTagName('query')[0].getElementsByTagName('abusefilters')[0].getElementsByTagName('filter')[0].getAttribute('description');
        var abfXMLPattern = abfAPIXML.getElementsByTagName('api')[0].getElementsByTagName('query')[0].getElementsByTagName('abusefilters')[0].getElementsByTagName('filter')[0].getAttribute('pattern');
        var abfXMLHits = abfAPIXML.getElementsByTagName('api')[0].getElementsByTagName('query')[0].getElementsByTagName('abusefilters')[0].getElementsByTagName('filter')[0].getAttribute('hits');

        var abfFilterInfo = document.createElement('span');
        abfFilterInfo.id = "abf-filterinfo-" + i;
        abfFilterInfo.style.fontSize = ".85em";

        var abfFilterInfoDescr = document.createElement('span');
        abfFilterInfoDescr.id = "abf-filterinfo-" + i + "-descr";
        abfFilterInfoDescr.style.fontStyle = "italic";
        abfFilterInfoDescr.title = abfXMLDescr;
        abfFilterInfoDescr.innerHTML = " descr";
        abfFilterInfo.appendChild(abfFilterInfoDescr);

        var abfFilterInfoPattern = document.createElement('span');
        abfFilterInfoPattern.id = "abf-filterinfo-" + i + "-pattern";
        abfFilterInfoPattern.innerHTML = " &bull; <span onclick=\"toggleAbuseFilterPatternDisplay(" + i + ");\">règle</span>";
        abfFilterInfo.appendChild(abfFilterInfoPattern);

        var abfFilterInfoPatternContent = document.createElement('span');
        abfFilterInfoPatternContent.id = "abf-filterinfo-" + i + "-patterncontent";
        abfFilterInfoPatternContent.style.display = "none";
        abfFilterInfoPatternContent.style.fontSize = ".85em";
        abfFilterInfoPatternContent.style.color = "#888888";
        abfFilterInfoPatternContent.innerHTML = "&nbsp;: " + abfXMLPattern;
        abfFilterInfoPattern.appendChild(abfFilterInfoPatternContent);

        var abfFilterInfoHits = document.createElement('span');
        abfFilterInfoHits.id = "abf-filterinfo-" + i + "-hits";
        abfFilterInfoHits.innerHTML = " &bull; <a href=\"http://fr.wikipedia.org/w/index.php?title=Sp%C3%A9cial:Journal_du_filtre_antiabus&wpSearchFilter=" + abfFilterId + "\">" + abfXMLHits + "&nbsp;hits</a>";
        abfFilterInfo.appendChild(abfFilterInfoHits);

        var abfFilterInfoLinks = document.createElement('span');
        abfFilterInfoLinks.id = "abf-filterinfo-" + i + "-links";
        abfFilterInfoLinks.innerHTML = " &bull; <a href=\"http://fr.wikipedia.org/wiki/Sp%C3%A9cial:Filtre_antiabus/history/" + abfFilterId + "\" title=\"history\">h</a> &bull; " +
        "<a href=\"http://fr.wikipedia.org/wiki/Sp%C3%A9cial:Filtre_antiabus/test/" + abfFilterId + "\" title=\"test\">t</a>";
        abfFilterInfo.appendChild(abfFilterInfoLinks);

        abflinks[i].parentNode.insertBefore(abfFilterInfo,abflinks[i].nextSibling);
      }
    }
  }
}
addOnloadHook(getAbuseFilterInfo);