/*
 * deroulerLesBoitesDeroulantes()
 * comme son nom l'indique, déroule toutes les boîtes déroulantes des pages où vous allez.
 * pour l'utiliser, ajouter la ligne suivante à votre monobook.js ou vector.js :
   loadJs('User:Alphos/boiteDeroulante.js');
 */
function deroulerLesBoitesDeroulantes() {
  jQuery( ".NavFrame" ).filter( ":has(.NavToggle)" ).map(
    function() {
      if ( jQuery( this ).children( ".NavToggle" ).text() === BoiteDeroulante_Enrouler ) 
        return true;
      if ( jQuery( this ).children( ".NavToggle" ).text() === BoiteDeroulante_Derouler ) {
        jQuery( this ).children( ".NavToggle" ).text( BoiteDeroulante_Enrouler );
        jQuery( this ).children( ".NavContent" ).show();
      }
      return true;
    }
  );
  jQuery( ".autocollapse" ).filter( ":has(.navboxToggle)" ).map(
    function() {
      if ( jQuery( this ).find( ".navboxToggle" ).find( "a" ).text() === BoiteDeroulante_Enrouler ) 
        return true;
      if ( jQuery( this ).find( ".navboxToggle" ).find( "a" ).text() === BoiteDeroulante_Derouler ) {
        jQuery( this ).find( ".navboxToggle" ).find( "a" ).text( BoiteDeroulante_Enrouler );
        jQuery( this ).find( "tr" ).show();
      }
      return true;
    }
  );
}
addOnloadHook(deroulerLesBoitesDeroulantes);