// Personnalisation pour LiveRC

/* ** Variables ** */

  // Paramètres
lrcParams["PreviewHeight"] = '250px';
lrcParams["HistoryHeight"] = '250px';
lrcParams["GoogleHeight"] = '250px';
lrcParams["TchatHeight"] = '150px';
lrcParams["TZ"] = '';
lrcParams["RCLimit"] = 30;
lrcParams["Refresh"] = 10;
lrcParams["GoogleSearchLimit"] = 100;
lrcParams["ArticleLengthLimit"] = 0;
lrcParams["UserLengthLimit"] = 0;
lrcParams["AutoCloseDiff"] = false;
lrcParams["WLAllChanges"] = true;
lrcParams["BoldComments"] = false;
lrcParams["RvMinorEdit"] = false;
lrcParams["LoadIPCat"] = true;
lrcParams["BypassWatchdefault"] = true;
lrcParams["HideUselessElements"] = true;
lrcParams["InvertUpdate"] = false;
lrcParams["KeepAllLines"] = false;
lrcParams["DisplayDebug"] = false;

  // Options par défaut du menu de commande
lrcOptionMenuValues["Stop"] = false;
lrcOptionMenuValues["Diff"] = false;
lrcOptionMenuValues["Preview"] = false;
lrcOptionMenuValues["Tchat"] = false;
lrcOptionMenuValues["Lists"] = false;
lrcOptionMenuValues["RC"] = true;
lrcOptionMenuValues["Log"] = false;
lrcOptionMenuValues["Filter"] = false;
lrcOptionMenuValues["RCType"] = 'IPNEW';
lrcOptionMenuValues["RCns"] = 999;

  // Résumés de blanchiment
lstBlank = [
 { 'tooltip':'copyvio', 'resume':'[[WP:COPY|copie de site web sans autorisation explicite]]' }, 
 { 'tooltip':'CAA', 'resume':'[[WP:CAA|critères d\'admissibilité non atteints]]' }, 
 { 'tooltip':'non encyclo', 'resume':'[[WP:P|non encyclopédique en l\'état]]' }, 
 { 'tooltip':'BaS', 'resume':'bac à sable' }, 
 { 'tooltip':'vandalisme', 'resume':'vandalisme' }
];

  // Résumés de révocation
lrcRevertMessages = [
 { 'resume':'[[Wikipédia:Bac à sable|Bac à sable]]', 'text':'Bac à sable' }, 
 { 'resume':'[[Wikipédia:Vandalisme|Vandalisme]]', 'text':'Vandalisme' }, 
 { 'resume':'Retrait d\'information non sourcée', 'text':'Non-sourcé' }, 
 { 'resume':'Traduction automatique', 'text':'Trad auto' }
];

  // Modèles d'avertissement
lstAvert = [
 { 'template':'Test :)', 'string':'Test :)', 'hasPage':false }, 
 { 'template':'Test 0', 'string':'Test 0', 'hasPage':false }, 
 { 'template':'Test 1', 'string':'Test 1', 'hasPage':false }, 
 { 'template':'Test 2', 'string':'Test 2', 'hasPage':false }, 
 { 'template':'Test 3', 'string':'Test 3', 'hasPage':false }, 
 { 'template':'Vandalisme', 'string':'Vandal', 'hasPage':true }, 
 { 'template':'Spammeur', 'string':'Spam', 'hasPage':true }, 
 { 'template':'Motivation modif', 'string':'Résumé', 'hasPage':true }, 
 { 'template':'Signature', 'string':'Signature', 'hasPage':false }, 
 { 'template':'Bienvenue copyright', 'string':'Copyright', 'hasPage':false }, 
 { 'template':'Vandalisme cracra', 'string':'Cracra', 'hasPage':false }, 
 { 'template':'Bienvenue promo', 'string':'Promo', 'hasPage':false }, 
 { 'template':'Bienvenue hébergement', 'string':'Page Perso', 'hasPage':false }, 
 { 'template':'Bug Skype', 'string':'Bug Skype', 'hasPage':false }, 
 { 'template':'Bienvenue', 'string':'Bienvenue', 'hasPage':false }, 
 { 'template':'Bienvenue IP', 'string':'Bienvenue IP', 'hasPage':true }
];

  // Icônes
lrcIcon["Nocat"] = '<sup style="color:crimson">(cat ?)</sup>';
lrcIcon["NbRevoc"] = '<sup style="color:red">($1 révoc <a href="javascript:;" onClick="removeRevoc($2)">-</a>)</sup>';
lrcIcon["Tag"] = '<br /><span style="color: red; font-weight: bold;">Tag : $1$2</span>';
lrcIcon["Homon"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/7/72/Disambig.svg/16px-Disambig.svg.png" width="16px" title="Homonymie" alt="Homonymie" />';
lrcIcon["Stub"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/a/a6/Construction_cone.png/12px-Construction_cone.png" width="12px" title="Ébauche" alt="Ébauche" />';
lrcIcon["FullLock"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/4/48/Padlock-red.svg/16px-Padlock-red.svg.png" width="16px" title="Article protégé" alt="Article protégé"/>';
lrcIcon["Lock"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/e/e0/Padlock-gold.svg/16px-Padlock-gold.svg.png" width="16px" title="Article semi-protégé" alt="Article semi-protégé"/>';
lrcIcon["Copyright"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/b/b0/Copyright.svg/16px-Copyright.svg.png" width="16px" title="Article soupçonné d\'enfreindre un copyright" alt="Copyright" />';
lrcIcon["PaS"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/b/b6/Cestino_pieno_architetto_01.svg/11px-Cestino_pieno_architetto_01.svg.png" height="11px" title="En PàS" alt="PaS" />';
lrcIcon["AdQ"] = '<sup><img src="http://upload.wikimedia.org/wikipedia/commons/thumb/c/c7/Fairytale_bookmark_gold.png/10px-Fairytale_bookmark_gold.png" width="10px" title="Article de qualité" alt="Adq" /></sup>';
lrcIcon["BA"] = '<sup><img src="http://upload.wikimedia.org/wikipedia/commons/thumb/8/8a/Fairytale_bookmark_silver_light.png/10px-Fairytale_bookmark_silver_light.png" width="10px" title="Bon article" alt="Bon article" /></sup>';
lrcIcon["APDQ"] = '<sup><img src="http://upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Fairytale_bookmark_light.png/10px-Fairytale_bookmark_light.png" width="10px" title="Article potentiellement de qualité" alt="Article potentiellement de qualité" />';
lrcIcon["Move"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/0/0e/Forward.png/16px-Forward.png" width="16px" title="Renommage" alt="Renommage" />';
lrcIcon["Redirect"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/b/b5/Redirectltr.png/20px-Redirectltr.png" width="20px" title="Redirection" alt="Redirect" />';
lrcIcon["Upload"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/4/47/Gartoon-Gnome-dev-floppy.png/16px-Gartoon-Gnome-dev-floppy.png" width="16px" title="Upload" alt="Upload" />';
lrcIcon["NewUser"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/c/c1/Crystal_personal.png/16px-Crystal_personal.png" width="16px" title="Nouvel utilisateur" alt="Nouvel utilisateur" />';
lrcIcon["Block"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/6/64/Crystal_Clear_action_lock3.png/16px-Crystal_Clear_action_lock3.png" width="16px" title="Blocage" alt="Blocage" />';
lrcIcon["Delete"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/e/ef/Editcut.png/16px-Editcut.png" width="16px" title="Suppression" alt="Suppression" />';
lrcIcon["Protect"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/7/72/Crystal_Clear_app_agent.png/16px-Crystal_Clear_app_agent.png" width="16px" title="Protection" alt="Protection" />';
lrcIcon["Bot"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/2/2a/Nuvola_apps_kservices.png/16px-Nuvola_apps_kservices.png" width="16px" title="Bot" alt="Bot" />';
lrcIcon["Sysop"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/2/2c/Broom_icon.svg/16px-Broom_icon.svg.png" width="16px" title="Administrateur" alt="Administrateur" />';
lrcIcon["Revert"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/2/2c/Nuvola_actions_undo.png/16px-Nuvola_actions_undo.png" width="16px" title="Revert" alt="Revert" />';
lrcIcon["TOR"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/6/6e/Dialog-warning.svg/16px-Dialog-warning.svg.png" width="16px" title="TOR" alt="TOR" />';
lrcIcon["Blocked"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/b/b8/Modern_clock_chris_kemps_01_with_Octagon-warning.svg/16px-Modern_clock_chris_kemps_01_with_Octagon-warning.svg.png" title="Utilisateur récemment bloqué" width="16px" alt="Bloqué" />';
lrcIcon["Replaced"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/9/95/Categorie_III.svg/10px-Categorie_III.svg.png" width="10px" title="Warning" alt="Warning"/>';
lrcIcon["SharedIP"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/b/b7/WLM_logo.svg/16px-WLM_logo.svg.png" width="16px" title="Adresse IP partagée" alt="IP partagée"/>';
lrcIcon["ScolarIP"] = '<img src=http://upload.wikimedia.org/wikipedia/commons/thumb/9/98/Crystal_kdmconfig.png/16px-Crystal_kdmconfig.png width="16px" title="Adresse IP scolaire" alt="IP scolaire"/>';
lrcIcon["CopyrightUser"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/b/b0/Copyright.svg/16px-Copyright.svg.png" width="16px" title="Utilisateur enfreignant un copyright" alt="Utilisateur copieur"/>';

  // Textes du menu de commande
lang_menu["PAUSE"] = 'Pause';
lang_menu["PREVIEW"] = 'Prévisualiser';
lang_menu["LISTS"] = 'Listes';
lang_menu["LOWDIFF"] = 'Diff réduit';
lang_menu["RCLABEL"] = 'RC';
lang_menu["NOBOTS"] = 'Sans Bots';
lang_menu["RESTMODE"] = 'Suivis';
lang_menu["IPONLY"] = 'IP seules';
lang_menu["IPNEW"] = 'IP+débutants';
lang_menu["ALLUSERS"] = 'Tous';
lang_menu["ALLNBOTS"] = 'Tous+bots';
lang_menu["NAMESP"] = 'Espace';
lang_menu["XTIMES"] = 'fois';
lang_menu["UNDORC"] = 'Défaire';
lang_menu["REVERT"] = 'Révoquer';
lang_menu["REASON"] = 'Motif';
lang_menu["AVERTS"] = 'Avertir';
lang_menu["EMPTY"] = 'Blanchir';
lang_menu["LOGSHOW"] = 'Journaux';
lang_menu["ABSHOW"] = 'Filtres';
lang_menu["NEXTDIFF"] = 'Suivant';
lang_menu["TCHAT"] = 'Tchat';

  // Textes des liens
lang_tooltips["HIDE_ALL"] = 'Supprimer toutes les lignes';
lang_tooltips["HIDE_REVIEWED"] = 'Supprimer les lignes des modifications visualisées';
lang_tooltips["HIDE_REVERTS"] = 'Supprimer les lignes d\'annulation';
lang_tooltips["HIDE_NEW"] = 'Supprimer les lignes de création de page';
lang_tooltips["HIDE_BLANKING"] = 'Supprimer les lignes de blanchiment';
lang_tooltips["HIDE_THIS"] = 'Supprimer cette ligne';
lang_tooltips["DIFF_TIP"] = 'Différence';
lang_tooltips["DIFF_SHORT"] = 'Diff';
lang_tooltips["HIST_TIP"] = 'Historique';
lang_tooltips["HIST_SHORT"] = 'H';
lang_tooltips["EDIT_TIP"] = 'Modifier';
lang_tooltips["EDIT_SHORT"] = 'M';
lang_tooltips["MOVE_TIP"] = 'Renommer';
lang_tooltips["MOVE_SHORT"] = 'R';
lang_tooltips["DEL_TIP"] = 'Supprimer';
lang_tooltips["DEL_SHORT"] = 'S';
lang_tooltips["PROTECT_TIP"] = 'Protéger';
lang_tooltips["PROTECT_SHORT"] = 'P';
lang_tooltips["SUBJECT_TIP"] = 'Page';
lang_tooltips["SUBJECT_SHORT"] = 'P';
lang_tooltips["TALK_TIP"] = 'Discussion';
lang_tooltips["TALK_SHORT"] = 'D';
lang_tooltips["CONTRIB_TIP"] = 'Contributions';
lang_tooltips["CONTRIB_SHORT"] = 'C';
lang_tooltips["BLOCK_TIP"] = 'Bloquer';
lang_tooltips["BLOCK_SHORT"] = 'B';
lang_tooltips["USER_HIDE_TIP"] = 'Ignorer l\'utilisateur';
lang_tooltips["USER_HIDE_SHORT"] = 'H';
lang_tooltips["NEWSECTION_TIP"] = 'Nouvelle discussion';
lang_tooltips["NEWSECTION_SHORT"] = '+';
lang_tooltips["DELETEDCONTRIB_TIP"] = 'Contributions supprimées';
lang_tooltips["DELETEDCONTRIB_SHORT"] = '+';
lang_tooltips["REVISIONDELETE_TIP"] = 'Masquer la révision';
lang_tooltips["REVISIONDELETE_SHORT"] = 'Masquer';
lang_tooltips["WHATLINKSHERE_TIP"] = 'Pages liées à';
lang_tooltips["WHATLINKSHERE_SHORT"] = '↩';
lang_tooltips["WORKING"] = 'Traitement en cours...';
lang_tooltips["LAST_SITUATION"] = 'Dernière situation';
lang_tooltips["GOOGLE_TIP"] = 'Rechercher sur Google';
lang_tooltips["GOOGLE_SHORT"] = 'Google';
lang_tooltips["GOOGLE_CLOSE_TIP"] = 'Fermer la fenêtre Google';
lang_tooltips["GOOGLE_CLOSE_SHORT"] = 'Fermer';

  // Textes de divers messages
lang_messages["NEW_VERSION"] = ' <span class="error">Vous utilisez la version $1 de LiveRC, qui est obsolète. Veuillez recharger le cache de votre navigateur pour utiliser la dernière version.</span>';
lang_messages["SAME_EDITOR"] = 'éditeur précédent identique';
lang_messages["WARNING"] = 'Message';
lang_messages["ON_ARTICLE"] = 'sur';
lang_messages["SANDBOX"] = 'attention, cette page est dédiée aux tests';
lang_messages["NOEXIST"] = '<center><span class="error">Cette page n\'existe pas.</span> $1Créer ?$2</center>';
lang_messages["FILTER"] = 'Déclenchement du filtre';
lang_messages["WATCHLISTON"] = 'ajout sur watchlist';
lang_messages["WATCHLISTOFF"] = 'retrait de watchlist';
lang_messages["REVISIONDELETEOK"] = 'Visibilité des versions mise à jour avec succès.';
lang_messages["SPEEDDELETION"] = 'Suppression immédiate';
lang_messages["BLOCKED"] = 'bloqué';
lang_messages["RESUMESTART"] = '[[WP:LRC|LiveRC]] : ';
lang_messages["BLOCKAVERTO"] = 'Avertissement blocage';
lang_messages["BLOCKTEMPLATE"] = 'Blocage';

  // Textes du menu de gestion des options
lrcManageParamsText["ButtonText"] = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/8/8e/Icon_tools.svg/20px-Icon_tools.svg.png" width="20" height="20" alt="Paramètres" />';
lrcManageParamsText["ButtonTitle"] = 'Modifier les paramètres';
lrcManageParamsText["LegendTitle"] = 'Modifier les paramètres <sup><a href="http://fr.wikipedia.org/wiki/Utilisateur:EDUCA33E/LiveRC/Documentation#LiveRC_params_.2F_Param.C3.A9trer_son_LiveRC" target="_blank" title="Aide">?</a></sup>';
lrcManageParamsText["LiStyle"] = 'border:1px solid silver;background-color:#E8E8FF;margin:0.2em;padding:0.1em;';
lrcManageParamsText["VariableLegend"] = 'Variables';
lrcManageParamsText["ExtensionLegend"] = 'Extensions';
lrcManageParamsText["OK"] = 'Valider';
lrcManageParamsText["Cancel"] = 'Fermer';
lrcManageParamsText["RAZ"] = 'Valeurs par défaut';
lrcManageParamsText["Continue"] = 'Continuer ?';
lrcManageParamsText["Comment"] = 'Personnalisation pour LiveRC';
lrcManageParamsText["EditRunning"] = 'Édition de la page <b>$1</b> en cours<span style="text-decoration:blind;">…</span>';
lrcManageParamsText["SaveRunning"] = 'Sauvegarde de la page <b>$1</b> en cours<span style="text-decoration:blind;">…</span>';
lrcManageParamsText["SaveDone"] = 'Sauvegarde de la page <b>$1</b> effectuée.';
lrcManageParamsText["SaveRefresh"] = '<span class="error">La prise en compte des nouvelles valeurs nécessite la mise à jour du cache du navigateur.</span>';

  // Descriptions des variables
lrcManageParams_Desc["DesclrcParams"] = { '0':'Paramètres', '1':'Paramètres' };
lrcManageParams_Desc["DesclrcOptionMenuValues"] = { '0':'Options par défaut du menu de commande', '1':'Options' };
lrcManageParams_Desc["DesclstBlank"] = { '0':'Résumés de blanchiment', '1':'Blanchiment' };
lrcManageParams_Desc["DesclrcRevertMessages"] = { '0':'Résumés de révocation', '1':'Révocation' };
lrcManageParams_Desc["DesclstAvert"] = { '0':'Modèles d\'avertissement', '1':'Avertissement' };
lrcManageParams_Desc["DesclrcIcon"] = { '0':'Icônes', '1':'Icônes' };
lrcManageParams_Desc["Desclang_menu"] = { '0':'Textes du menu de commande', '1':'Textes 1' };
lrcManageParams_Desc["Desclang_tooltips"] = { '0':'Textes des liens', '1':'Textes 2' };
lrcManageParams_Desc["Desclang_messages"] = { '0':'Textes de divers messages', '1':'Textes 3' };
lrcManageParams_Desc["DesclrcManageParamsText"] = { '0':'Textes du menu de gestion des options', '1':'Textes 4' };
lrcManageParams_Desc["DesclrcManageParams_Desc"] = { '0':'Descriptions des variables', '1':'Textes 5' };
lrcManageParams_Desc["DescExtensionsLegend"] = { '0':'Extensions installées', '1':'Extensions' };
lrcManageParams_Desc["DescPreviewHeight"] = { '0':'Hauteur de la fenêtre de prévisualisation', '1':'Fenêtre de prévisualisation' };
lrcManageParams_Desc["DescHistoryHeight"] = { '0':'Hauteur de l\'historique de prévisualisation', '1':'Fenêtre historique' };
lrcManageParams_Desc["DescGoogleHeight"] = { '0':'Hauteur de la fenêtre google', '1':'Fenêtre Google' };
lrcManageParams_Desc["DescTchatHeight"] = { '0':'Hauteur de la fenêtre de tchat', '1':'Fenêtre tchat' };
lrcManageParams_Desc["DescTZ"] = { '0':'Fuseau horaire', '1':'Fuseau horaire' };
lrcManageParams_Desc["DescRCLimit"] = { '0':'Limite de lignes RC', '1':'Limite de lignes RC' };
lrcManageParams_Desc["DescRefresh"] = { '0':'Délai de rafraichissement', '1':'Délai de rafraichissement' };
lrcManageParams_Desc["DescGoogleSearchLimit"] = { '0':'Limite de résultats Google', '1':'Limite de résultats Google' };
lrcManageParams_Desc["DescArticleLengthLimit"] = { '0':'Limite de longueur nom de page', '1':'Limite de longueur nom de page' };
lrcManageParams_Desc["DescUserLengthLimit"] = { '0':'Limite de longueur nom d\'utilisateur', '1':'Limite de longueur nom d\'utilisateur' };
lrcManageParams_Desc["DescAutoCloseDiff"] = { '0':'Supprimer une ligne après visualisation du diff', '1':'?2' };
lrcManageParams_Desc["DescWLAllChanges"] = { '0':'Montrer les changements faits dans la liste de suivi', '1':'Liste de suivi' };
lrcManageParams_Desc["DescBoldComments"] = { '0':'Commentaires de modif en gras', '1':'Commentaires de modif en gras' };
lrcManageParams_Desc["DescRvMinorEdit"] = { '0':'Marquer les révocations comme mineures', '1':'Marquer les révocations comme mineures' };
lrcManageParams_Desc["DescLoadIPCat"] = { '0':'Charger les catégories d\'utilisateurs', '1':'Charger les catégories d\'utilisateurs' };
lrcManageParams_Desc["DescBypassWatchdefault"] = { '0':'Ne pas ajouter automatiquement les pages modifiées à la liste de suivi', '1':'Ne pas ajouter automatiquement les pages modifiées à la liste de suivi' };
lrcManageParams_Desc["DescHideUselessElements"] = { '0':'Cacher les éléments inutiles de la page', '1':'Cacher les éléments inutiles de la page' };
lrcManageParams_Desc["DescInvertUpdate"] = { '0':'Inverser le sens d\'apparition des RC', '1':'Inverser le sens d\'apparition des RC' };
lrcManageParams_Desc["DescKeepAllLines"] = { '0':'Conserver toutes les lignes RC', '1':'Conserver toutes les lignes RC' };
lrcManageParams_Desc["DescDisplayDebug"] = { '0':'Afficher le panneau de débogage', '1':'Débogage' };
lrcManageParams_Desc["DescStop"] = { '0':'Case "Pause"', '1':'Case "Pause"' };
lrcManageParams_Desc["DescDiff"] = { '0':'Case "Diff réduit"', '1':'Case "Diff réduit"' };
lrcManageParams_Desc["DescPreview"] = { '0':'Case "Prévisualiser"', '1':'Case "Prévisualiser"' };
lrcManageParams_Desc["DescTchat"] = { '0':'Case "Tchat"', '1':'Case "Tchat"' };
lrcManageParams_Desc["DescLists"] = { '0':'Case "Listes"', '1':'Case "Listes"' };
lrcManageParams_Desc["DescRC"] = { '0':'Case "RC"', '1':'Case "RC"' };
lrcManageParams_Desc["DescLog"] = { '0':'Case "Journaux"', '1':'Case "Journaux"' };
lrcManageParams_Desc["DescFilter"] = { '0':'Case "Filtres"', '1':'Case "Filtres"' };
lrcManageParams_Desc["DescRCType"] = { '0':'Sélecteur "Utilisateurs"', '1':'Sélecteur "Utilisateurs"' };
lrcManageParams_Desc["DescRCns"] = { '0':'Sélecteur "Espaces"', '1':'Sélecteur "Espaces"' };
lrcManageParams_Desc["DescNocat"] = { '0':'Page sans catégorie', '1':'Sans catégorie' };
lrcManageParams_Desc["DescNbRevoc"] = { '0':'Nombre de révocations', '1':'Nombre de révocations' };
lrcManageParams_Desc["DescTag"] = { '0':'Déclenchement de filtre', '1':'Filtre' };
lrcManageParams_Desc["DescStub"] = { '0':'Ébauche', '1':'Ébauche' };
lrcManageParams_Desc["DescHomon"] = { '0':'Homonymie', '1':'Homonymie' };
lrcManageParams_Desc["DescFullLock"] = { '0':'Article protégé', '1':'Article protégé' };
lrcManageParams_Desc["DescLock"] = { '0':'Article semi-protégé', '1':'Article semi-protégé' };
lrcManageParams_Desc["DescCopyright"] = { '0':'Article soupçonné d\'enfreindre un copyright', '1':'Copyright' };
lrcManageParams_Desc["DescPaS"] = { '0':'En PàS', '1':'PaS' };
lrcManageParams_Desc["DescAdQ"] = { '0':'Article de qualité', '1':'Adq' };
lrcManageParams_Desc["DescBA"] = { '0':'Bon article', '1':'Bon article' };
lrcManageParams_Desc["DescAPDQ"] = { '0':'Article potentiellement de qualité', '1':'Article potentiellement de qualité' };
lrcManageParams_Desc["DescMove"] = { '0':'Renommage', '1':'Renommage' };
lrcManageParams_Desc["DescRedirect"] = { '0':'Redirection', '1':'Redirect' };
lrcManageParams_Desc["DescUpload"] = { '0':'Upload', '1':'Upload' };
lrcManageParams_Desc["DescNewUser"] = { '0':'Nouvel utilisateur', '1':'Nouvel utilisateur' };
lrcManageParams_Desc["DescBlock"] = { '0':'Blocage', '1':'Blocage' };
lrcManageParams_Desc["DescDelete"] = { '0':'Suppression', '1':'Suppression' };
lrcManageParams_Desc["DescProtect"] = { '0':'Protection', '1':'Protection' };
lrcManageParams_Desc["DescBot"] = { '0':'Bot', '1':'Bot' };
lrcManageParams_Desc["DescSysop"] = { '0':'Administrateur', '1':'Administrateur' };
lrcManageParams_Desc["DescRevert"] = { '0':'Revert', '1':'Revert' };
lrcManageParams_Desc["DescTOR"] = { '0':'TOR', '1':'TOR' };
lrcManageParams_Desc["DescBlocked"] = { '0':'Utilisateur récemment bloqué', '1':'Bloqué' };
lrcManageParams_Desc["DescReplaced"] = { '0':'Warning', '1':'Warning' };
lrcManageParams_Desc["DescSharedIP"] = { '0':'Adresse IP partagée', '1':'IP partagée' };
lrcManageParams_Desc["DescScolarIP"] = { '0':'Adresse IP scolaire', '1':'IP scolaire' };
lrcManageParams_Desc["DescCopyrightUser"] = { '0':'Utilisateur enfreignant un copyright', '1':'Utilisateur copieur' };
lrcManageParams_Desc["DescPAUSE"] = { '0':'Pause', '1':'Pause' };
lrcManageParams_Desc["DescPREVIEW"] = { '0':'Prévisualiser', '1':'Prévisualiser' };
lrcManageParams_Desc["DescLISTS"] = { '0':'Listes', '1':'Listes' };
lrcManageParams_Desc["DescLOWDIFF"] = { '0':'Diff réduit', '1':'Diff réduit' };
lrcManageParams_Desc["DescRCLABEL"] = { '0':'RC', '1':'RC' };
lrcManageParams_Desc["DescNOBOTS"] = { '0':'Sans Bots', '1':'Sans Bots' };
lrcManageParams_Desc["DescRESTMODE"] = { '0':'Suivis', '1':'Suivis' };
lrcManageParams_Desc["DescIPONLY"] = { '0':'IP seules', '1':'IP seules' };
lrcManageParams_Desc["DescIPNEW"] = { '0':'IP+débutants', '1':'IP+débutants' };
lrcManageParams_Desc["DescALLUSERS"] = { '0':'Tous', '1':'Tous' };
lrcManageParams_Desc["DescALLNBOTS"] = { '0':'Tous+bots', '1':'Tous+bots' };
lrcManageParams_Desc["DescNAMESP"] = { '0':'Espace', '1':'Espace' };
lrcManageParams_Desc["DescXTIMES"] = { '0':'fois', '1':'fois' };
lrcManageParams_Desc["DescUNDORC"] = { '0':'Défaire', '1':'Défaire' };
lrcManageParams_Desc["DescREVERT"] = { '0':'Révoquer', '1':'Révoquer' };
lrcManageParams_Desc["DescREASON"] = { '0':'Motif', '1':'Motif' };
lrcManageParams_Desc["DescAVERTS"] = { '0':'Avertir', '1':'Avertir' };
lrcManageParams_Desc["DescEMPTY"] = { '0':'Blanchir', '1':'Blanchir' };
lrcManageParams_Desc["DescLOGSHOW"] = { '0':'Journaux', '1':'Journaux' };
lrcManageParams_Desc["DescABSHOW"] = { '0':'Filtres', '1':'Filtres' };
lrcManageParams_Desc["DescNEXTDIFF"] = { '0':'Suivant', '1':'Suivant' };
lrcManageParams_Desc["DescTCHAT"] = { '0':'Tchat', '1':'Tchat' };
lrcManageParams_Desc["DescHIDE_ALL"] = { '0':'Tooltip du lien pour supprimer toutes les lignes', '1':'Tooltip du lien pour supprimer toutes les lignes' };
lrcManageParams_Desc["DescHIDE_REVIEWED"] = { '0':'Tooltip du lien pour supprimer les lignes des modifications visualisées', '1':'Tooltip du lien pour supprimer les lignes des modifications visualisées' };
lrcManageParams_Desc["DescHIDE_REVERTS"] = { '0':'Tooltip du lien pour supprimer les lignes d\'annulation', '1':'Tooltip du lien pour supprimer les lignes d\'annulation' };
lrcManageParams_Desc["DescHIDE_NEW"] = { '0':'Tooltip du lien pour supprimer les lignes de création de page', '1':'Tooltip du lien pour supprimer les lignes de création de page' };
lrcManageParams_Desc["DescHIDE_BLANKING"] = { '0':'Tooltip du lien pour supprimer les lignes de blanchiment', '1':'Tooltip du lien pour supprimer les lignes de blanchiment' };
lrcManageParams_Desc["DescHIDE_THIS"] = { '0':'Tooltip du lien pour supprimer cette ligne', '1':'Tooltip du lien pour supprimer cette ligne' };
lrcManageParams_Desc["DescDIFF_TIP"] = { '0':'Tooltip du lien vers le diff', '1':'Tooltip du lien vers le diff' };
lrcManageParams_Desc["DescDIFF_SHORT"] = { '0':'Texte du lien vers le diff', '1':'Texte du lien vers le diff' };
lrcManageParams_Desc["DescHIST_TIP"] = { '0':'Tooltip du lien vers l\'historique', '1':'Tooltip du lien vers l\'historique' };
lrcManageParams_Desc["DescHIST_SHORT"] = { '0':'Texte du lien vers l\'historique', '1':'Texte du lien vers l\'historique' };
lrcManageParams_Desc["DescEDIT_TIP"] = { '0':'Tooltip du lien pour éditer', '1':'Tooltip du lien pour éditer' };
lrcManageParams_Desc["DescEDIT_SHORT"] = { '0':'Texte du lien pour éditer', '1':'Texte du lien pour éditer' };
lrcManageParams_Desc["DescMOVE_TIP"] = { '0':'Tooltip du lien pour renommer', '1':'Tooltip du lien pour renommer' };
lrcManageParams_Desc["DescMOVE_SHORT"] = { '0':'Texte du lien pour renommer', '1':'Texte du lien pour renommer' };
lrcManageParams_Desc["DescDEL_TIP"] = { '0':'Tooltip du lien pour supprimer', '1':'Tooltip du lien pour supprimer' };
lrcManageParams_Desc["DescDEL_SHORT"] = { '0':'Texte du lien pour supprimer', '1':'Texte du lien pour supprimer' };
lrcManageParams_Desc["DescPROTECT_TIP"] = { '0':'Tooltip du lien pour protéger', '1':'Tooltip du lien pour protéger' };
lrcManageParams_Desc["DescPROTECT_SHORT"] = { '0':'Texte du lien pour protéger', '1':'Texte du lien pour protéger' };
lrcManageParams_Desc["DescSUBJECT_TIP"] = { '0':'Tooltip du lien vers l\'article', '1':'Tooltip du lien vers l\'article' };
lrcManageParams_Desc["DescSUBJECT_SHORT"] = { '0':'Texte du lien vers l\'article', '1':'Texte du lien vers l\'article' };
lrcManageParams_Desc["DescTALK_TIP"] = { '0':'Tooltip du lien vers la page de discussion', '1':'Tooltip du lien vers la page de discussion' };
lrcManageParams_Desc["DescTALK_SHORT"] = { '0':'Texte du lien vers la page de discussion', '1':'Texte du lien vers la page de discussion' };
lrcManageParams_Desc["DescCONTRIB_TIP"] = { '0':'Tooltip du lien vers les contributions', '1':'Tooltip du lien vers les contributions' };
lrcManageParams_Desc["DescCONTRIB_SHORT"] = { '0':'Texte du lien vers les contributions', '1':'Texte du lien vers les contributions' };
lrcManageParams_Desc["DescBLOCK_TIP"] = { '0':'Tooltip du lien pour bloquer', '1':'Tooltip du lien pour bloquer' };
lrcManageParams_Desc["DescBLOCK_SHORT"] = { '0':'Texte du lien pour bloquer', '1':'Texte du lien pour bloquer' };
lrcManageParams_Desc["DescUSER_HIDE_TIP"] = { '0':'Tooltip du lien pour ignorer un utilisateur', '1':'Tooltip du lien pour ignorer un utilisateur' };
lrcManageParams_Desc["DescUSER_HIDE_SHORT"] = { '0':'Texte du lien pour ignorer un utilisateur', '1':'Texte du lien pour ignorer un utilisateur' };
lrcManageParams_Desc["DescNEWSECTION_TIP"] = { '0':'Tooltip du lien pour éditer une nouvelle section', '1':'Tooltip du lien pour éditer une nouvelle section' };
lrcManageParams_Desc["DescNEWSECTION_SHORT"] = { '0':'Texte du lien pour éditer une nouvelle section', '1':'Texte du lien pour éditer une nouvelle section' };
lrcManageParams_Desc["DescDELETEDCONTRIB_TIP"] = { '0':'Tooltip du lien vers les contributions supprimées', '1':'Tooltip du lien vers les contributions supprimées' };
lrcManageParams_Desc["DescDELETEDCONTRIB_SHORT"] = { '0':'Texte du lien vers les contributions supprimées', '1':'Texte du lien vers les contributions supprimées' };
lrcManageParams_Desc["DescREVISIONDELETE_TIP"] = { '0':'Tooltip du lien pour masquer une révision', '1':'Tooltip du lien pour masquer une révision' };
lrcManageParams_Desc["DescREVISIONDELETE_SHORT"] = { '0':'Texte du lien pour masquer une révision', '1':'Texte du lien pour masquer une révision' };
lrcManageParams_Desc["DescWHATLINKSHERE_TIP"] = { '0':'Tooltip du lien vers les pages liées', '1':'Pages liées tooltip' };
lrcManageParams_Desc["DescWHATLINKSHERE_SHORT"] = { '0':'Texte du lien vers les pages liées', '1':'Pages liées texte' };
lrcManageParams_Desc["DescWORKING"] = { '0':'Message "Traitement en cours..."', '1':'Message "Traitement en cours..."' };
lrcManageParams_Desc["DescLAST_SITUATION"] = { '0':'Message "Dernière situation"', '1':'Message "Dernière situation"' };
lrcManageParams_Desc["DescGOOGLE_TIP"] = { '0':'Tooltip du lien vers Google', '1':'Tooltip du lien vers Google' };
lrcManageParams_Desc["DescGOOGLE_SHORT"] = { '0':'Texte du lien vers Google', '1':'Texte du lien vers Google' };
lrcManageParams_Desc["DescGOOGLE_CLOSE_TIP"] = { '0':'Tooltip du lien pour fermer Google', '1':'Tooltip du lien pour fermer Google' };
lrcManageParams_Desc["DescGOOGLE_CLOSE_SHORT"] = { '0':'Texte du lien pour fermer Google', '1':'Texte du lien pour fermer Google' };
lrcManageParams_Desc["DescNEW_VERSION"] = { '0':'Nouvelle version disponible', '1':'Nouvelle version disponible' };
lrcManageParams_Desc["DescSAME_EDITOR"] = { '0':'Message "éditeur précédent identique"', '1':'Message "éditeur précédent identique"' };
lrcManageParams_Desc["DescWARNING"] = { '0':'Résumé de modif avertissement', '1':'Résumé de modif avertissement' };
lrcManageParams_Desc["DescON_ARTICLE"] = { '0':'Mot "sur"', '1':'Mot "sur"' };
lrcManageParams_Desc["DescSANDBOX"] = { '0':'Message sur la bac à sable', '1':'Message sur la bac à sable' };
lrcManageParams_Desc["DescNOEXIST"] = { '0':'Texte de remplacement pour page inexistante', '1':'Texte de remplacement pour page inexistante' };
lrcManageParams_Desc["DescFILTER"] = { '0':'Message de déclenchement d\'un filtre', '1':'Message de déclenchement d\'un filtre' };
lrcManageParams_Desc["DescWATCHLISTON"] = { '0':'Message "Ajout à la liste de suivi"', '1':'Message "Ajout à la liste de suivi"' };
lrcManageParams_Desc["DescWATCHLISTOFF"] = { '0':'Message "Retrait de la liste de suivi"', '1':'Message "Retrait de la liste de suivi"' };
lrcManageParams_Desc["DescREVISIONDELETEOK"] = { '0':'Message après masquage réussi', '1':'Message après masquage réussi' };
lrcManageParams_Desc["DescSPEEDDELETION"] = { '0':'Résumé de modif blanchiment', '1':'Résumé de modif blanchiment' };
lrcManageParams_Desc["DescBLOCKED"] = { '0':'Mot "bloqué"', '1':'Mot "bloqué"' };
lrcManageParams_Desc["DescRESUMESTART"] = { '0':'Début des résumés de modif', '1':'Début des résumés de modif' };
lrcManageParams_Desc["DescBLOCKAVERTO"] = { '0':'Résumé de modif avertissement blocage', '1':'Résumé de modif avertissement blocage' };
lrcManageParams_Desc["DescBLOCKTEMPLATE"] = { '0':'Modèle pour avertissement blocage', '1':'Modèle pour avertissement blocage' };
lrcManageParams_Desc["DescButtonText"] = { '0':'Bouton d\'ouverture du menu', '1':'Bouton d\'ouverture du menu' };
lrcManageParams_Desc["DescButtonTitle"] = { '0':'Tooltip du bouton d\'ouverture du menu', '1':'Tooltip du bouton d\'ouverture du menu' };
lrcManageParams_Desc["DescLegendTitle"] = { '0':'Légende du menu', '1':'Légende du menu' };
lrcManageParams_Desc["DescLiStyle"] = { '0':'Style des lignes', '1':'Style des lignes' };
lrcManageParams_Desc["DescVariableLegend"] = { '0':'Commentaire "Variables" dans le js', '1':'Commentaire "Variables" dans le js' };
lrcManageParams_Desc["DescExtensionLegend"] = { '0':'Commentaire "Extensions" dans le js', '1':'Commentaire "Extensions" dans le js' };
lrcManageParams_Desc["DescOK"] = { '0':'Bouton de validation', '1':'Bouton de validation' };
lrcManageParams_Desc["DescCancel"] = { '0':'Bouton d\'annulation', '1':'Bouton d\'annulation' };
lrcManageParams_Desc["DescRAZ"] = { '0':'Bouton de remise à zéro', '1':'Bouton de remise à zéro' };
lrcManageParams_Desc["DescContinue"] = { '0':'Pop-up de confirmation', '1':'Pop-up de confirmation' };
lrcManageParams_Desc["DescComment"] = { '0':'Résumé de modification', '1':'Résumé de modification' };
lrcManageParams_Desc["DescEditRunning"] = { '0':'Phrase "Édition en cours"', '1':'Phrase "Édition en cours"' };
lrcManageParams_Desc["DescSaveRunning"] = { '0':'Phrase "Sauvegarde en cours"', '1':'Phrase "Sauvegarde en cours"' };
lrcManageParams_Desc["DescSaveDone"] = { '0':'Phrase "Sauvegarde effectuée"', '1':'Phrase "Sauvegarde effectuée"' };
lrcManageParams_Desc["DescSaveRefresh"] = { '0':'Phrase "Rafraichir le cache"', '1':'Phrase "Rafraichir le cache"' };


/* ** Extensions ** */

//EXTENSIONS SETUP : 


//END PARAMS

lstContact.push('78.119.13.28');