function insertAfter(parent, node, referenceNode) {
    parent.insertBefore(node, referenceNode.nextSibling);
}

function OptimizedSuivi() 
{
  if (document.URL.indexOf("http://fr.wikipedia.org/wiki/Special:Watchlist")==0 || document.URL.indexOf("http://fr.wikipedia.org/w/index.php?title=Special:Watchlist")==0 ){
                
     var allDays = document.getElementsByTagName("ul");
     for (i=0; i<allDays.length; i++) {
        if (allDays[i].getAttribute("class") == "special") {
           var artList = allDays[i].getElementsByTagName("li");
           for (j=0; j<artList.length; j++) {
              var elem = artList[j];
              var aTag = elem.getElementsByTagName("a");
              var articleName = aTag[0].getAttribute("title");
              var stopWatch  = "/w/index.php?title=" + articleName + "&action=unwatch"
              var newElement = document.createElement("a");
              newElement.setAttribute("href",stopWatch);
              var newText = document.createTextNode("stop");
              newElement.appendChild(newText);

              var newPar = document.createTextNode(") (")
              // séparation des cas (nouvel article, ou déjà existant)
              if (aTag[0].childNodes[0].data == "diff") {
                 insertAfter(elem, newPar, aTag[1]); 
              } else {
                 insertAfter(elem, newPar, aTag[0]); 
              }
              insertAfter(elem, newElement, newPar);
          }       
       }
    } 
  }
}

//Ajout de liens internes (bistro, PàS, etc.) dans la boîte de navigation à gauche
function OptimizedNavig() 
{
  var a = document.getElementById("p-navigation");
  if (a) 
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    {
      b[0].innerHTML = b[0].innerHTML
      + '<li><span id="n-bistro" title="Wikipédia:Le Bistro">'
      + '<a href="/w/index.php?title=Wikip%C3%A9dia:Le_Bistro">'
      + 'Bistro</a> '
      + '<span id="n-pas" title="Wikipédia:Pages à supprimer">'
      + '<a href="/w/index.php?title=Wikip%E9dia:Pages%20%E0%20supprimer">'
      + 'PàS</a> '
      + '<span id="n-paf" title="Special:Newpages">'
      + '<a href="/w/index.php?title= Special:Newpages">'
      + 'Nouvelles</a></span></li>'
    }
  }
}

function SuppressionDeluxe() {
        if (document.title.indexOf("Confirmer la suppression - Supprimer - Wikipédia")!=0) return; 
        var mainNode = document.getElementsByTagName("form");
        var firstForm = mainNode[0];
        
        // vous pouvez ajouter vos messages ci-dessous
        var messages = new Array()
        messages[0] = "Supprimé à la demande de son auteur";
        messages[1] = "Publicité ou autopromotion";
        messages[2] = "Violation de copyright";
        messages[3] = "Vandalisme";
        messages[4] = "Essai de débutant";
        messages[5] = "Contrevient aux règles de nommage";
        messages[6] = "Traduction automatique imbitable";
        messages[7] = "Amusant... mais définitivement non encyclopédique !";

        var table = document.createElement("table");
        var tr = document.createElement("tr");
        table.appendChild(tr);

        // normalement, pas besoin de toucher à partir d'ici
        if (firstForm.getAttribute("id")=="deleteconfirm") {
                actionDelete = firstForm.getAttribute("action");
                
                var inputs = firstForm.getElementsByTagName("input");
                var token = inputs[2].getAttribute("value"); 

                for (var i=0;i<messages.length;i++) {
                        var formElement = document.createElement("form");
                        formElement.setAttribute("id", "deleteconfirm");
                        formElement.setAttribute("method", "post");
                        formElement.setAttribute("action", actionDelete);
                        
                        var inputReason = document.createElement("input");
                        inputReason.setAttribute("name", "wpReason"); 
                        inputReason.setAttribute("value", messages[i]); 
                        inputReason.setAttribute("type", "hidden"); 
                        
                        var inputConfirm = document.createElement("input");
                        inputConfirm.setAttribute("name", "wpConfirmB"); 
                        inputConfirm.setAttribute("value", messages[i]); 
                        inputConfirm.setAttribute("type", "submit"); 
                        
                        var inputToken = document.createElement("input");
                        inputToken.setAttribute("name", "wpEditToken"); 
                        inputToken.setAttribute("value", token); 
                        inputToken.setAttribute("type", "hidden"); 
                        
                        formElement.appendChild(inputReason);
                        formElement.appendChild(inputConfirm);
                        formElement.appendChild(inputToken);

                        var td = document.createElement("td");
                        td.appendChild(formElement);
                        tr.appendChild(td); 
                }
                
                var separation = document.createElement("p");
                separation.appendChild(document.createElement("hr"));
                insertAfter(firstForm.parentNode, separation, firstForm);
                insertAfter(firstForm.parentNode, table, separation);
        }
}



//parties effectivement prises en compte.
addLoadEvent(OptimizedSuivi);
addLoadEvent(OptimizedNavig);
addLoadEvent(SuppressionDeluxe);