/*
***************************************************************************
** ManWatch - possibilité de retirer un article de la liste de suivi
** directement depuis celle-ci
** Compatibilité : mediawiki
** Support : Discussion_utilisateur:Arkanosis
** Licence : MIT/X11
**
** Installation : ajouter
**  importScript('User:Arkanosis/ManWatch.js');
** dans le monobook.js ou vector.js
*/

function manWatchUnwatched(pageName)
{
  // TODO feedback
}

function manWatchUnwatch(pageName)
{
  sajax_do_call('wfAjaxWatch', [pageName, 'u'], manWatchUnwatched);
}

function manWatch()
{
  if (wgPageName == 'Spécial:Liste_de_suivi')
  {
    var links = document.getElementsByTagName('a');
    for (var linkId = 0; linkId < links.length; ++linkId)
    {
      var link = links[linkId];
      if (link.text == 'hist')
      {
        var del = document.createElement('a');
        var pageName = link.getAttribute('href').replace(/.*?title=(.+?)&.*/, '$1');
        del.setAttribute('href', 'javascript:manWatchUnwatch("' + pageName + '");');
        del.innerHTML = '-';
        link.parentNode.insertBefore(del, link.nextSibling);
        link.parentNode.insertBefore(document.createTextNode(' | '), del);
      }
    }
  }
}

addOnloadHook(manWatch);