/**
 * SVG images: adds links to rendered PNG images in different resolutions
 *
 * Maintainer:´ ?
 * @deprecated in 1.18
 * Copié et adapté de http://commons.wikimedia.org/w/index.php?title=MediaWiki:Common.js&oldid=54277837 (voir l'historique pour les auteurs)
 */
function SVGThumbs() {
 var file = document.getElementById('file'); // might fail if MediaWiki can't render the SVG
 if (file && wgIsArticle && wgTitle.match(/\.svg$/i)) {
  var thumbu = file.getElementsByTagName('IMG')[0].src;
  if (!thumbu) {
   return;
  }
 
  function svgAltSize(w, title) {
   var path = thumbu.replace(/\/\d+(px-[^\/]+$)/, '/' + w + '$1');
   var a = document.createElement('A');
   a.setAttribute('href', path);
   a.appendChild(document.createTextNode(title));
   return a;
  }
  var p = document.createElement('p');
  p.className = 'SVGThumbs';
  ptext = 'Cette image en PNG dans d\'autres dimensions : ';
  p.appendChild(document.createTextNode(ptext));
  var l = [200, 500, 1000, 2000];
  for (var i = 0; i < l.length; i++) {
   p.appendChild(svgAltSize(l[i], l[i] + 'px'));
   if (i < l.length - 1) {
    p.appendChild(document.createTextNode(', '));
   }
  }
  p.appendChild(document.createTextNode('.'));
  var info = getElementsByClassName(file.parentNode, 'div', 'fullMedia')[0];
  if (info) {
   info.appendChild(p);
  }
 }
}
$(SVGThumbs);