/*
**************************************************
** Configuration
*/

BandeauxPortails_Watchthis = 1;

iKiwiDistantWiki = 'en';
iKiwiWatchOthers = true;

popupFixRedirs = true;
popupFixDabs = true;
popupEditCounterTool = 'perso';
popupEditCounterUrl = 'http://toolserver.org/~soxred93/count/index.php?name=$1&lang=fr&wiki=wikipedia';
popupAdjustDates = true;

xpatrolEnableClear = true;
xpatrolEnableBanner = true;
xpatrolEnablePurge = true;
xpatrolPurgeWarnEditor = true;
xpatrolWatchOthers = true;
xpatrolSignatureRegistered = 'Amicalement~~' + '~~';

/*
**************************************************
** Scripts maintenus par d'autres utilisateurs
*/

//importScript('User:EDUCA33E/LiveRC.js');
importScript('User:Alphos/abuseFilterHelper2.js');
//importScript('User:Arktest/LiveRC.js');
importScript('User:Arktest/popups.js');
importScript('User:Dr_Brains/LiveAbuseLog.js');
importScript('User:Dr Brains/MessageWatchlist.js');
importScript('User:Arkanosis/SVGThumbs.js');
obtenir('PagesSansBandeauDePortail');

/*
**************************************************
** Scripts maintenus par moi-même
*/

// Pour les développeurs
importScript('User:Arkanosis/dateutils.js');
importScript('User:Arkanosis/xportlet.js');

// Pour les utilisateur finaux
importScript('User:Arkanosis/aTrans.js');
importScript('User:Arkanosis/iKiwi.js');
importScript('User:Arkanosis/iRef.js');
importScript('User:Arkanosis/ManWatch.js');
importScript('User:Arkanosis/lastContribs.js');
importScript('User:Arkanosis/watchModifiedArticles.js');
importScript('User:Arkanosis/xmsg.js');
importScript('User:Arkanosis/xpatrol.js');

/*
** Cette fonction ajoute deux onglets aux pages utilisateur (uniquement) pour voir les contributions et l'editcount du propriétaire de la page
** Compatibilité : frwiki uniquement
** Support : Discussion_utilisateur:Arkanosis
*/
function ongletsUtilisateur()
{
  if (document.title.indexOf('Utilisateur:') != -1 || document.title.indexOf('Discussion utilisateur:') != -1)
  {
    var editNode = document.getElementById('ca-edit');
    if (!editNode)
      editNode = document.getElementById('ca-viewsource');
    if (!editNode)
      return;

    addPortletLink('p-cactions', '/wiki/Spécial:Contributions/' + wgTitle, 'contributions', 'ca-contrib', 'Voir les contributions de l\'utilisateur', 'o', editNode);
    addPortletLink('p-cactions', 'http://toolserver.org/~soxred93/count/index.php?name=' + wgTitle + '&lang=fr&wiki=wikipedia', 'editcount', 'ca-ecount', 'Voir l\'editcount de l\'utilisateur', 'n', editNode);
    addPortletLink('p-cactions', 'http://fr.wikipedia.org/wiki/Wikipédia:Administrateur/' + wgTitle, 'admin', 'ca-admin', 'Voir la candidature de l\'utilisateur', 'a');
  }
}
addOnloadHook(ongletsUtilisateur);

/*
** Cette fonction ajoute deux liens en haut de page (à gauche de déconnexion) pour voir les créations et l'editcount de l'utilisateur courant
** Compatibilité : frwiki uniquement
** Support : Discussion_utilisateur:Arkanosis
*/
function editCount()
{
  var decoNode = document.getElementById('pt-logout');
  if (!decoNode)
    return;
 
  addPortletLink('p-personal', 'http://toolserver.org/~soxred93/pages/index.php?name=' + wgUserName + '&lang=fr&wiki=wikipedia&namespace=0&redirects=noredirects', 'Créations', 'pt-ecount', 'Vos créations', 'r', decoNode);
  addPortletLink('p-personal', 'http://toolserver.org/~soxred93/count/index.php?name=' + wgUserName + '&lang=fr&wiki=wikipedia', 'Editcount', 'pt-ecount', 'Votre editcount', 'u', decoNode);
}
addOnloadHook(editCount);

/*
** Cette fonction ajoute de nouveaux liens au menu de gauche qui sont utiles pour un contributeur régulier
** Compatibilité : frwiki uniquement (nécessite Utilisateur:Arkanosis/dateutils.js et Utilisateur:Arkanosis/xportlet.js)
** Support : Discussion_utilisateur:Arkanosis
*/
function liensUtiles()
{
  var hasardNode = document.getElementById('n-randompage');
  if (!hasardNode)
    return;

  addPortletLink('p-navigation', '/wiki/Wikipedia:Annonces', 'Annonces', 'n-annonces', 'Annonces', 'a', hasardNode);
  addPortletLink('p-navigation', '/wiki/Wikipedia:Le Bistro/' + today(), 'Bistro du jour', 'n-bistro', 'Bistro du jour', 'b', hasardNode);
  addPortletLink('p-navigation', '/wiki/Wikipedia:Le Bistro/' + yesterday(), 'Bistro de la veille', 'n-bistro-v', 'Bistro de la veille', 'v', hasardNode);
  addPortletLink('p-navigation', '/wiki/Spécial:Ma_page/Travaux à venir', 'Travaux à venir', 'n-travaux', 'Travaux à venir', 't', hasardNode);
  addPortletLink('p-navigation', '/wiki/Spécial:Ma_page/Presse-papiers', 'Presse-papiers', 'n-notes', 'Presse-papiers', 'p', hasardNode);

  newPortlet('column-one', 'p-abusefilter', 'AbuseFilter', 'p-coll-create_a_book');
  addPortletLink('p-abusefilter', '/wiki/Utilisateur:Dr_Brains/LiveAbuseLog_2', 'LiveAbuseLog', 'r-abuselog', 'LiveAbuseLog');
  addPortletLink('p-abusefilter', '/wiki/Spécial:Filtre_antiabus', 'Gestion des filtres', 'r-filtre', 'Gestion des filtres');
  addPortletLink('p-abusefilter', '/wiki/Spécial:Filtre_antiabus/history', 'Modifications récentes', 'r-filtrem', 'Modifications récentes');
  addPortletLink('p-abusefilter', '/wiki/Spécial:Journal_du_filtre_antiabus', 'Journal', 'r-filtrej', 'Journal');
  addPortletLink('p-abusefilter', '/wiki/Wikipédia:Bulletin_du_filtrage', 'Bulletin', 'r-filtreb', 'Bulletin');
  addPortletLink('p-abusefilter', '/wiki/Wikipédia:AbuseFilter/Requêtes', 'Requêtes', 'r-filtrer', 'Requêtes');
  addPortletLink('p-abusefilter', '/wiki/Wikipédia:AbuseFilter/Faux positifs', 'Faux positifs', 'r-filtref', 'Faux positifs');

  newPortlet('column-one', 'p-rc', 'Patrouille RC', 'p-coll-create_a_book');
  addPortletLink('p-rc', '/wiki/Wikipédia:Bulletin_des_patrouilleurs', 'Bulletin', 'r-rcb', 'Bulletin');
  addPortletLink('p-rc', '/wiki/Wikipédia:Patrouille_RC', 'Patrouille RC', 'r-patrouille', 'Patrouille RC'); 
  addPortletLink('p-rc', '/wiki/Utilisateur:EDUCA33E/LiveRC', 'Live RC', 'r-live', 'LiveRC');
  addPortletLink('p-rc', '/wiki/Utilisateur:Maloq/AdvancedContribs', 'AdvancedContribs', 'r-arc', 'AdvancedContribs');
  addPortletLink('p-rc', '/w/index.php?limit=50&tagfilter=&title=Spécial%3AContributions&contribs=newbie&target=&namespace=0&year=&month=-1', 'Modifications récentes newbies', 'r-noob', 'Modifications récentes newbies'); 
  addPortletLink('p-rc', '/w/index.php?namespace=0&hideliu=1&title=Spécial%3AModifications+récentes', 'Modifications récentes IP', 'r-ip', 'Modifications récentes IP'); 
  addPortletLink('p-rc', '/wiki/Spécial:Nouvelles_pages', 'Nouvelles pages', 'r-newpage', 'Nouvelles pages');
  addPortletLink('p-rc', '/w/index.php?title=Spécial:Nouvelles_pages&hidebots=1&hideliu=1&hidepatrolled=1', 'Nouvelles pages IP', 'r-newpage-ip', 'Nouvelles pages IP');
  addPortletLink('p-rc', '/wiki/Spécial:Journal/newusers', 'Nouveaux utilisateurs', 'r-nuser', 'Nouveaux utilisateurs');
  addPortletLink('p-rc', '/wiki/Spécial:Recherche_de_lien', 'Liens externes', 'r-exlinks', 'Liens externes');
  addPortletLink('p-rc', 'http://toolserver.org/~sk/cgi-bin/checkwiki/checkwiki.cgi?project=frwiki&view=high', 'Erreurs de syntaxe', 'r-syntaxerr', 'Erreurs de syntaxe');
  addPortletLink('p-rc', '/w/index.php?title=Sp%C3%A9cial:Pages_li%C3%A9es/Mod%C3%A8le:R%C3%A8gle_des_3_r%C3%A9vocations&namespace=0&limit=50&hideredirs=1&hidelinks=1&hideimages=1', 'R3R', 'r-r3r', 'R3R');

  newPortlet('column-one', 'p-adm', 'Administrateur', 'p-coll-create_a_book');
  addPortletLink('p-adm', '/wiki/Wikipédia:Requête aux administrateurs', 'Requête aux administrateurs', 'n-ra', 'Requête aux administrateurs', 'r', hasardNode);
  addPortletLink('p-adm', 'http://fr.wikipedia.org/w/index.php?title=Wikip%C3%A9dia:Demande_de_purge_d%27historique&action=edit&section=new&editintro=Wikip%C3%A9dia:Demande_de_purge_d%27historique/editintro&preloadtitle={{a-court|Titre}}', 'Demande de purge d\'historique', 'n-dpu', 'Demande de purge d\'historique', 'r', hasardNode);
  addPortletLink('p-adm', '/wiki/Wikipédia:Vandalisme en cours', 'Vandalisme en cours', 'n-vec', 'Vandalisme en cours', 'r', hasardNode);

  newPortlet('column-one', 'p-proj', 'Projets', 'p-coll-create_a_book');
  addPortletLink('p-proj', '/wiki/Projet:Boîte Utilisateur', 'Boîte utilisateur', 'j-bu', 'Boîte utilisateur');
  addPortletLink('p-proj', '/wiki/Projet:Informatique', 'Informatique', 'j-info', 'Informatique');
  addPortletLink('p-proj', '/wiki/Projet:Interwikification', 'Interwikification', 'j-iw', 'Interwikification');
  addPortletLink('p-proj', '/wiki/Projet:JavaScript', 'JavaScript', 'j-js', 'JavaScript');
  addPortletLink('p-proj', '/wiki/Projet:Jeu vidéo', 'Jeu vidéo', 'j-jv', 'Jeu vidéo');
  addPortletLink('p-proj', '/wiki/Projet:Modèle', 'Modèle', 'j-mod', 'Modèle');
  addPortletLink('p-proj', '/wiki/Projet:Musculation', 'Musculation', 'j-musc', 'Musculation');
  addPortletLink('p-proj', '/wiki/Projet:Musique électronique', 'Musique électronique', 'j-electro', 'Musique électronique');

  newPortlet('column-one', 'p-conf', 'Configuration', 'p-coll-create_a_book');
  addPortletLink('p-conf', '/wiki/Spécial:Préférences', 'Préférences', 'c-pref', 'Préférences');
  addPortletLink('p-conf', '/wiki/Spécial:Ma_page/monobook.js', 'monobook.js', 'c-js', 'monobook.js');
  addPortletLink('p-conf', '/wiki/Spécial:Ma_page/monobook.css', 'monobook.css', 'c-css', 'monobook.css');
  addPortletLink('p-conf', '/wiki/Spécial:Ma_page/LiveRCparam.js', 'LiveRC', 'c-live', 'LiveRC');
}
addOnloadHook(liensUtiles);

/*
** Cette fonction retire les liens du menu de gauche ou de la barre du haut qui sont inutiles pour un contributeur régulier
** Compatibilité : frwiki uniquement (nécessite Utilisateur:Arkanosis/xportlet.js)
** Support : Discussion_utilisateur:Arkanosis
*/
function liensInutiles()
{
  // Logo
  removePortlet('p-logo');
  document.getElementById('column-one').setAttribute('style', 'padding-top: 1.3em;');

  // Barre du haut
  removePortletLink('p-personal', 'pt-prefswitch-link-off'); // Nouvelles fonctionnalités
  removePortletLink('p-personal', 'pt-optin-try'); // Essayer la bêta Açai
  removePortletLink('p-personal', 'pt-preferences'); // Préférences

  // Navigation
  removePortletLink('p-navigation', 'n-thema'); // Portails thématiques
  removePortletLink('p-navigation', 'n-alphindex'); // Index alphabétique
  removePortletLink('p-navigation', 'n-contact'); // Contacter Wikipédia

  // Contribuer
  removePortlet('p-Contribuer');
}
addOnloadHook(liensInutiles);