/*
***************************************************************************
** iRef - Affiche les références lors de la prévisualisation même si elles
** ne sont pas présentes dans la section éditée
** Compatibilité : MediaWiki, testé avec monobook et vector
** Support : Discussion_utilisateur:Arkanosis
** Licence : MIT/X11
**
** Installation : ajouter
**  importScript('User:Arkanosis/iRef.js');
** dans le monobook.js ou vector.js
*/

var iRefMark = '\n<!--[iRef]-->== <span style="color: red;">Références automatiques</span> ==\n<references/><!--[/iRef]-->';

function iRefPreview()
{
  var textBox = document.getElementById('wpTextbox1');

  if (!/<ref/.exec(textBox.value))
    return;

  textBox.value += iRefMark;
}

function iRefQPreview()
{
  iRefPreview();
  qPreview();
  var textBox = document.getElementById('wpTextbox1');
  textBox.value = textBox.value.replace(iRefMark, '');
}

function iRef()
{
  var textBox = document.getElementById('wpTextbox1');

  textBox.value = textBox.value.replace(iRefMark, '');

  document.getElementById('wpPreview').setAttribute('onClick', 'javascript:iRefPreview()');
  var qPreviewButton = document.getElementById('btnQPreview');
  if (qPreviewButton)
    qPreviewButton.setAttribute('onClick', 'javascript:iRefQPreview()');
}

if (['edit', 'submit'].indexOf(wgAction) != -1)
  addOnloadHook(iRef);