function ongletSousPages()
{
  if (wgNamespaceNumber)
    return;

  var xhr = sajax_init_object();
  xhr.open('GET', wgServer + wgScriptPath + '/api.php?action=query&generator=allpages&gapprefix=' + wgPageName + '/&prop=info&gapnamespace=1&format=json', true);
  xhr.onreadystatechange = function()
  {
    if (xhr.readyState == 4 && xhr.status == 200)
    {
      // JSON is not yet part of the ECMAScript standard, use it only on browsers that support it (FF3.5+, IE8+...)
      if (typeof (JSON) != 'undefined')
        var subPages = JSON.parse(xhr.responseText).query.pages;
      else
        var subPages = eval('(' + xhr.responseText + ')').query.pages;

      var links = '';
      var nbLinks = 0;
      for (var subPageId in subPages)
      {
        links += '<li><a href="/wiki/' + subPages[subPageId].title + '">' + subPages[subPageId].title + '</a></li>';
        ++nbLinks;
      }
      if (links)
      {
        links = '<ul>' + links + '</ul>';
        var panel = document.createElement('div');
        panel.setAttribute('id', 'subPagesPanel');
        panel.setAttribute('style', 'display: none;');
        panel.innerHTML = links;
        document.getElementById('content').insertBefore(panel, document.getElementById('firstHeading'));

        var editNode = document.getElementById('ca-edit');
        if (!editNode)
          editNode = document.getElementById('ca-viewsource');
        if (!editNode)
          return;
 
        addPortletLink('p-cactions', 'javascript:document.getElementById(\'subPagesPanel\').setAttribute(\'style\', \'display: block; border: 1px solid #000000; background: #EEE; padding:1px;\');', 'sous-pages (' + nbLinks + ')', 'ca-souspages', 'Sous-pages de discussion', '!', editNode);
      }
    }
  };
  xhr.send('');
}

addOnloadHook(ongletSousPages);