//<pre><nowiki>
//------------------------------------------------------------------------------


addOnloadHook(modifierLiensAccueil);
addOnloadHook(modifierBarreOutils);
addOnloadHook(modifierLiensNavigation);
addOnloadHook(ajouterRaccourcisRésuméEdition);
addOnloadHook(ajouterOngletGoogle);
//addOnloadHook(afficherArborescenceCategories);
addOnloadHook(dupliquerOnglets);

var isGodeModeLightEnabled = true

//var pageAccueilPerso = 'Accueil' // page d’accueil par défaut
//var pageAccueilPerso = 'Wikipédia:Accueil' // page d’accueil communautaire
  var pageAccueilPerso = 'Utilisateur:Arzach/Accueil'


//------------------------------------------------------------------------------


// Modifie les liens affichés dans la barre de navigation de toutes les pages une fois chargées

function modifierLiensAccueil() {
  pageAccueilPerso = '/wiki/' + pageAccueilPerso;
  document.getElementById('p-logo').getElementsByTagName('a')[0].setAttribute('href', pageAccueilPerso)
  document.getElementById('n-mainpage').getElementsByTagName('a')[0].setAttribute('href', pageAccueilPerso)

  if (window.location.pathname == pageAccueilPerso && window.location.search == '')
  {
    document.getElementsByTagName('h1')[0].style.display = 'none'
    document.getElementsByTagName('span')[0].style.display = 'none'
  }
}

// Redirection immédiate vers accueil perso en cas de chargement de la page d’accueil par défaut

/*
if (window.location.pathname != pageAccueilPerso &&
    window.location.pathname == '/wiki/Accueil' && window.location.search == '')
  window.location.pathname = pageAccueilPerso
*/


//------------------------------------------------------------------------------

// Modifications et de ajout de liens dans le menu de gauche


Node.prototype.swapNode = function (node) {
  var nextSibling = this.nextSibling;
  var parentNode = this.parentNode;
  node.parentNode.replaceChild(this, node);
  parentNode.insertBefore(node, nextSibling);  
}
function modifierLiensNavigation() 
{
  renameItem('n-randompage', 'Wazaaard !')
  renameItem('n-randomimage', 'Wazaaard !')

  renameItem('pt-mytalk', 'Discussion')
  renameItem('pt-watchlist', 'Suivi')
  renameItem('pt-mycontris', 'Contribs')

  renameItem('t-upload', 'Import médium')
  renameItem('n-Upload', 'Import médium')
  renameItem('t-emailuser', 'Envoi mèl')
  renameItem('t-contributions', 'Contribs')
  renameItem('t-ispermalink', 'Permalien')
  renameItem('t-permalink', 'Permalien')
  renameItem('t-print', 'Impression')

  var nav = document.getElementById('p-personal')
  if (nav) 
  {
    var ul = nav.getElementsByTagName('ul')

    if(ul.length > 0)
    {
      addItem(ul[0], 'pt-bacASable', 'User:Arzach/Bac à sable', '/wiki/User:Arzach/Bac à sable', 'Bac à sable', 'pt-userpage')
      addItem(ul[0], 'pt-penseBete', 'User:Arzach/Pense-bête', '/wiki/User:Arzach/Pense-bête', 'Pense-bête', 'pt-userpage')
    }
  }
  nav = document.getElementById('p-navigation')
  if (nav) 
  {
    var ul = nav.getElementsByTagName('ul')

    if(ul.length > 0)
    {
      if (document.getElementById('n-village-pump') == null)
      {
        addItem(ul[0], 'n-village-pump', 'Wikipédia:Le Bistro', '/wiki/Wikipédia:Le Bistro/' + TodayDate(), 'Bistro')
      }
      //addItem(ul[0], 'n-wikimag', 'Wikimag', '/wiki/Wikipédia:Wikimag', 'Wikimag', 'n-village-pump')
      addItem(ul[0], 'n-recentchangesip', '', '/wiki/Special:Recentchanges?hideliu=1', 'Modifs récentes', 'n-recentchanges')
    }
    //document.getElementById('n-village-pump').swapNode(document.getElementById('n-randompage'))
  }
  function TodayDate() {
    m = new Array("janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre");
    today = new Date();
    day = today.getDate();
    year = today.getYear();

    if (year < 2000) year = year + 1900;

    return (day + " " + m[today.getMonth()] + " " + year);
  }
  function renameItem(id, text)
  {
    var li = document.getElementById(id);
    if (li)
    {
      var a = li.getElementsByTagName('a')
      if (a.length > 0)
      {
        a[0].innerHTML = text
      }
    }
  }
  function addItem(parentElement, id, title, href, text, sibling)
  {
    var li = document.createElement('li')
    li.id = id
    li.title = title
    addLink(li, href, text)
    if (sibling)
    {
      siblingElement = document.getElementById(sibling)
      parentElement.insertBefore(li, siblingElement.nextSibling)
    }
    else
    {
      parentElement.appendChild(li)
    }
    return li
  }
  function addLink(parentElement, href, text)
  {
    var a = document.createElement('a')
    a.href = href
    a.innerHTML = text
    parentElement.appendChild(a)
  }
}


//------------------------------------------------------------------------------

// Ajout de résumés prédéfinis


function ajouterRaccourcisRésuméEdition()
{
  var sl = document.getElementById('wpSummaryLabel')
  if (!sl) return

  var titles = new Array()
  var inputs = new Array()

  titles.push("wiki");inputs.push("wikification")
  titles.push("m. en p.");inputs.push("mise en page")
  titles.push("orth/gr.");inputs.push("correction orthographe/grammaire")
  titles.push("typo");inputs.push("typo")
  titles.push("retouche");inputs.push("diverses retouches")
  titles.push("+ext");inputs.push("+ lien externe")
  titles.push("–ext");inputs.push("- lien externe")
  titles.push("ext→int");inputs.push("conversion lien externe en lien interne")
  titles.push("+int");inputs.push("+ lien interne")
  titles.push("+int<sup>+</sup>");inputs.push("+ liens internes")
  titles.push("–int");inputs.push("- lien interne")
  titles.push("corr.int");inputs.push("correction lien interne")
  titles.push("+info");inputs.push("ajout d’infos")
  titles.push("+ébauche");inputs.push("+ {{ébauche}}")
  titles.push("+cat");inputs.push("+ catégorie")
  titles.push("+img");inputs.push("+ image")
  titles.push("–img");inputs.push("- image manquante")
  titles.push("+interwiki");inputs.push("+ liens interwiki")
  titles.push("+portail");inputs.push("+ portail")
  titles.push("recat");inputs.push("changement catégorie")

  var str = ''
  for (var cpt = 0; cpt < titles.length; cpt ++)
  {
    str += "<a href=\"javascript:addToSummary('" + inputs[cpt] + "')\""
         + " class=\"sumLink\" title=\"" + inputs[cpt] +"\">"
         + titles[cpt]
         + "</a>&nbsp;| "
  }
  var sc = document.getElementById('specialchars')
  var n = document.createElement('div')
  n.id = 'wpSummaryShortcuts'
  n.innerHTML = str
  //sc.parentNode.insertBefore(n, sc.previousSibling.previousSibling)

  var diff = document.getElementById('wpDiff')
  diff.value = 'Diff.'

  var h = document.createElement('input')
  h.value = 'Masquer les caractères spéciaux'
  h.type = 'button'
  h.onclick = function(){
    var plainlinks = this.parentNode.parentNode.nextSibling.nextSibling
    if (plainlinks.style.display != 'none')
    {
      this.value = 'Afficher les caractères spéciaux'
      plainlinks.style.display = 'none'
    } else {
      this.value = 'Masquer les caractères spéciaux'
      plainlinks.style.display = 'block'
    }
  }
  diff.parentNode.appendChild(h)
  h.click()

  h = document.createElement('input')
  h.value = 'Masquer la zone de saisie'
  h.type = 'button'
  h.id = 'wpTextboxSwapper'
  h.onclick = function(){
    var bt = document.getElementById('wpTextbox1')
    if (bt.style.display != 'none')
    {
      bt.style.display = 'none'
      h.value = 'Afficher la zone de saisie'
    } else {
      bt.style.display = 'block'
      h.value = 'Masquer la zone de saisie'
    }
  }
  diff.parentNode.appendChild(h)

  diff.parentNode.parentNode.appendChild(n)

  if (document.location.search.indexOf('action=submit') != -1){
    h.click()
  }
  document.getElementById('wikiPreview').getElementsByTagName('h2')[0].className = 'titlePreview'
  var h1 = document.getElementsByTagName('h1')[0]
  h1.className = 'firstHeadingEdit'
  h1.innerHTML = '<span>Modification de </span>' + h1.innerHTML.substring(16)
}

function addToSummary(str)
{
  document.editform.wpSummary.value += " " + str
}


//------------------------------------------------------------------------------

// Ajout d'un onglet Google


function ajouterOngletGoogle()
{
  var a = document.getElementById("p-cactions");
  if (a)
  {
    var pageName = document.title.replace(' - Wikipédia', '').replace('modification de ', '')
    b = a.getElementsByTagName('ul')

    if(b.length > 0)
    {
      b[0].innerHTML = b[0].innerHTML
           + '<li id="ca-nstab-user">'
           + '<a href="http://www.google.fr/search?num=20&hl=en&safe=off&q=site%3Afr.wikipedia.org+' + pageName + '&btnG=Search" style="padding:0 5px 0 10px;">'
           + 'wikip<span style="color:#000;">é</span>dia</a><span style="color:#BBB;">/</span>'
           + '<a href="http://www.google.fr/search?num=20&hl=en&safe=off&q=site%3Awikipedia.org+' + pageName + '&btnG=Search" style="padding:0 5px 0 5px;">'
           + 'wikipedia</a><span style="color:#BBB;">/</span>'
           + '<a href="http://www.google.fr/search?num=20&hl=fr&safe=off&q=' + pageName + '&btnG=Search&meta=lr%3Dlang_fr" style="padding:0 10px 0 5px;">'
           + '<span style="color:#55A;text-transform:uppercase;">G</span><span style="color:#A55;">o</span><span style="color:#775;">o</span><span style="color:#55A;">g</span><span style="color:#585;">l</span><span style="color:#A55;">e</span></a>'
           + '</li>';
    }
  }
}


//------------------------------------------------------------------------------

// GodModeLight


if (isGodeModeLightEnabled)
{
  //document.write('<script type="text/javascript" src="http://sam.zoy.org/wikipedia/godmode-light.js"><\/script>');
  document.write('<'+'script type="text/javascript" src="' 
             + 'http://fr.wikipedia.org/w/index.php?title=Utilisateur:Arzach/godmode-light.js' 
             + '&action=raw&ctype=text/javascript&dontcountme=s"><\/script>');
}

//------------------------------------------------------------------------------

// Duplication des onglets


function dupliquerOnglets()
{
  var tabs = document.getElementById('p-cactions').cloneNode(true);
  tabs.id = 'p-cactions2';
  var listitems = tabs.getElementsByTagName('li');
  for (i=0;i<listitems.length;i++)
  {
    if(listitems[i].id) listitems[i].id = 'p-cactions2-' + listitems[i].id;
  }

  content = document.getElementById("content");    // Find the content div
  content.parentNode.insertBefore(tabs, content.nextSibling);    // Place tab list right after content div
}


//------------------------------------------------------------------------------

// Modification de la barre d'outils


function modifierBarreOutils()
{
  if (!document.createTextNode) return

  var toolbar = document.getElementById('toolbar')
  if (!toolbar) return;

  var messages = new Array()
  var images = new Array()
  var commentaires = new Array()
  var a=-1; //Le décompte commence à -1 avec une incrementation sur le premier message, pour éviter tout probleme en cas d'inversion ou suppression du premier message

  // le texte a été splitté sinon Mediawiki casse tout...
  messages[++a] = "document.getElementById('wpTextbox1').value = ''"
  images[a] = "http://upload.wikimedia.org/wikipedia/fr/8/84/Button_vide.png"
  commentaires[a] = "Blanchiement"

  messages[++a] = concat("{{subst:" + "Bienvenue sur ta page"  + "}}" +  "~~" + "~~")
  images[a] = "http://upload.wikimedia.org/wikipedia/fr/1/12/Button_accueilA.png"
  commentaires[a] = "Bienvenue sur ta page!"

  messages[++a] = concat("{{subst:" + "Bienvenue" + "}}" +  "~~" + "~~")
  images[a] = "http://upload.wikimedia.org/wikipedia/fr/e/eb/Button_accueilB.png"
  commentaires[a] = "Bienvenue !"

  messages[++a] = concat("{{" + "Vandalisme|page" + "}}" +  "~~" + "~~")
  images[a] = "http://upload.wikimedia.org/wikipedia/fr/a/ad/Button_vandale2.png"
  commentaires[a] = "Avertissement vandalisme"

  messages[++a] = concat("{{subst:" + "Test0" + "}}" +  "~~" + "~~")
  images[a] = "http://upload.wikimedia.org/wikipedia/commons/f/f0/Bouton_Vandale0.png"
  commentaires[a] = "Bienvenue !"

  messages[++a] = concat("{{subst:" + "Test1" + "}}" +  "~~" + "~~")
  images[a] = "http://upload.wikimedia.org/wikipedia/commons/1/1d/Bouton_Vandale1.png"
  commentaires[a] = "Bienvenue !"

  messages[++a] = concat("{{subst:" + "Test2" + "}}" +  "~~" + "~~")
  images[a] = "http://upload.wikimedia.org/wikipedia/commons/c/cc/Bouton_Vandale2.png"
  commentaires[a] = "Bienvenue vandale !"

  messages[++a] = concat("{{subst:" + "Test3" + "}}" +  "~~" + "~~")
  images[a] = "http://upload.wikimedia.org/wikipedia/commons/e/e4/Bouton_Vandale3.png"
  commentaires[a] = "Avertissement vandalisme"

  messages[++a] = concat("{{" + "Bienvenue spammeur" + "}}" +  "~~" + "~~")
  images[a] = "http://upload.wikimedia.org/wikipedia/fr/f/fb/Button_spam2.png"
  commentaires[a] = "Avertissement spam"

  messages[++a] = concat("{{subst:" + "Utilisateur:Eskimo/Copyvio|page|URL|titre" + "}} " +  "~~" + "~~")
  images[a] = "http://upload.wikimedia.org/wikipedia/fr/e/e5/Button_copyvio.png"
  commentaires[a] = "Violation de copyright"

  messages[++a] = concat("{{" + "copie de site|URL|Titre" + "}}")
  images[a] = "http://upload.wikimedia.org/wikipedia/fr/e/e5/Button_copyvio.png"
  commentaires[a] = "Violation de copyright"

  messages[++a] = concat("{{" + "suppression" + "}}")
  images[a] = "http://upload.wikimedia.org/wikipedia/fr/f/f8/Button_suppr.png"
  commentaires[a] = "Proposé à la suppression"

  for (var i=0;i<messages.length;i++)
  {
    var img = document.createElement('img')
    img.setAttribute('src', images[i])
    img.setAttribute('title', commentaires[i])
    var ref = document.createElement('a')
    ref.setAttribute('href', 'javascript:' + messages[i] + ";changeSummary(\"" + commentaires[i] + "\");")
    ref.appendChild(img)
    toolbar.appendChild(ref)
  }
  function concat(message)
  {
    return "insertTags(\"\", \"" + message + "\", \"\")"
  }
}

function changeSummary(sampleText) {
        document.editform.wpSummary.value = sampleText;
}


//------------------------------------------------------------------------------

// Afficher l'arborescence des catégories


// Auteur : Anakin
// Dernière mise à jour : 11 décembre 2005

function afficherArborescenceCategories()
{
  var element = document.getElementById('ca-nstab-category');
  if (element)
  {
    var categoryname = element.firstChild.href;
    categoryname = categoryname.substring(7);

    var wikiname = categoryname.substring(0, categoryname.indexOf('.'));

    var indexofname = categoryname.indexOf(":") + 1;
    categoryname = categoryname.substring(indexofname);

    var indexofampersand = categoryname.indexOf("&");
    if (indexofampersand != -1)
      categoryname = categoryname.substring(0, indexofampersand);

    var li = document.createElement('li');
    li.id = 'ca-categorytree';

    var a = document.createElement('a');
    a.appendChild(document.createTextNode("Arborescence"));
    a.href = 'http://tools.wikimedia.de/~daniel/WikiSense/CategoryTree.php?wikilang=fr&wiki=' + wikiname + '&art=on&cat=' + categoryname;

    li.appendChild(a);

    document.getElementById('ca-nstab-category').parentNode.appendChild(li);
  }
}


//------------------------------------------------------------------------------


// Popup


// [[:en:User:Lupin/popups.js]]
//document.write('<script type="text/javascript" src="' 
//             + 'http://en.wikipedia.org/w/index.php?title=User:Lupin/popups.js' 
//             + '&action=raw&ctype=text/javascript&dontcountme=s"><\/script>');
//popupMaxWidth = 500;

// [[:fr:User:Gonioul/popups-strings-fr.js]]
//document.write('<script type="text/javascript" src="' 
//             + 'http://fr.wikipedia.org/w/index.php?title=User:Gonioul/popups-strings-fr.js' 
//             + '&action=raw&ctype=text/javascript&dontcountme=s"><\/script>');

// [[:fr:User:Arzach/popups-strings-fr.js]]
//document.write('<script type="text/javascript" src="' 
//             + 'http://fr.wikipedia.org/w/index.php?title=User:Arzach/popups-strings-fr.js' 
//             + '&action=raw&ctype=text/javascript&dontcountme=s"><\/script>');


//------------------------------------------------------------------------------
//</nowiki></pre>