// popups.js strings fr

popupStrings = {
//pg.string = {
  /////////////////////////////////////
  // summary data, searching etc.
  /////////////////////////////////////
  '#': '#',
  'article': 'article',
  'category': 'catégorie',
  'categories': 'catégories',
  'image': 'image',
  'images': 'images',
  'stub': 'ébauche',
  'Empty page': 'Page vide',
  'kB': 'ko',
  'bytes': 'octets',
  'day': 'jour',
  'days': 'jours',
  'hour': 'heure',
  'hours': 'heures',
  'minute': 'minute',
  'minutes': 'minutes',
  'second': 'seconde',
  'seconds': 'secondes',
  'week': 'semaine',
  'weeks': 'semaines',
  'search': 'rechercher',
  'SearchHint': 'Trouver les articles de Wikipédia contenant %s',
  'web': 'web',
  'global': 'global',
  'globalSearchHint': 'Trouver les articles dans toutes les langues de Wikipédia contenant %s',
  'google': 'google',
  'googleSearchHint': 'Rechercher %s avec Google',
  /////////////////////////////////////
  // article-related actions and info
  // (some actions also apply to user pages)
  /////////////////////////////////////
  'actions': 'actions',         ///// view articles and view talk
  'space': 'espace',
  'spacebar': 'bare d\'espace',
  'view article': 'voir l\'article',
  'viewHint': 'Voir %s',
  'talk': 'discussion',
  'talk page': 'page de discussion',
  'this&nbsp;revision': 'cette&nbsp;version',
  'revision %s of %s': 'version %s sur %s',
  'Revision %s of %s': 'Version %s sur %s',
  'Toggle image size': 'Changer la taille de l\'image',
  'del': 'effacer',                 ///// delete, protect, move
  'delete': 'effacer',
  'deleteHint': 'Effacer %s',
  'undeleteShort': 'restaurer',
  'UndeleteHint': 'Voir l\'historique d\'effacement de %s',
  'protect': 'protéger',
  'protectHint': 'Restreindre les droits d\'édition de %s',
  'unprotectShort': 'dé',
  'unprotectHint': 'Déprotéger %s',
  'move': 'déplacer',
  'move page': 'déplacer la page',
  'MovepageHint': 'Changer le titre de %s',
  'edit': 'éditer',               ///// edit articles and talk
  'edit article': 'éditer l\'article',
  'editHint': 'Changer le contenu de %s',
  'edit talk': 'éditer la page de discussion',
  'new': 'nouveau',
  'new topic': 'nouveau sujet',
  'newSectionHint': 'Démarrer une nouvelle section dans %s',
  'null edit': 'édition nulle',
  'nullEditHint': 'Éditer %s, sans faire de changements',
  'hist': 'hist',               ///// history, diffs, editors, related
  'history': 'historique',
  'History': 'Historique', // what appears in the titles of history pages
  'historyHint': 'Afficher l\'historique de %s',
  'last': 'dernière',
  'lastEdit': 'dernière modification',
  'show last edit': 'voir dernière modification',
  'Show the last edit': 'Voir les effets de la dernière modification',
  'lastContrib': 'dernière contribution',
  'last set of edits': 'dernières éditions',
  'lastContribHint': 'Voir les effets de la dernière contribution',
  'cur': 'act',
  'diffCur': 'diff/act',
  'Show changes since revision %s': 'Voir les modifications depuis la version %s',
  'Diff truncated for performance reasons': 'Diff coupée pour des raisons de performance',
  'old': 'ancien',
  'oldEdit': 'ancienne version',
  'Show the edit made to get revision': 'Voir les modifications pour avoir cette version',
  'sinceMe': 'depuis moi',
  'changes since mine': 'depuis ma dernière modif',
  'sinceMeHint': 'Voir les changements depuis ma dernière modification',
  'Couldn\'t find an edit by %s\nin the last %s edits to\n%s': 'Impossible de trouver une modification par %s\nin dans les dernières %s modifications de\n%s',
  'eds': 'eds',
  'editors': 'contributeurs',
  'editorListHint': 'Liste des utilisateurs qui ont modifié %s',
  'related': 'related',
  'relatedChanges': 'relatedChanges',
  'related changes': 'related changes',
  'RecentchangeslinkedHint': 'Show changes in articles related to %s',
  'editOld': 'editOld',          ///// edit old version, or revert
  'rv': 'rv',
  'revert': 'revert',
  'revertHint': 'Revert la version %s',
  'defaultpopupRedlinkSummary': 'Removing link to empty page [[%s]]',
  'defaultpopupFixDabsSummary': 'Disambiguate [[%s]] to [[%s]]',
  'defaultpopupFixRedirsSummary': 'Redirect bypass from [[%s]] to [[%s]]',
  'defaultpopupExtendedRevertSummary': 'Revert to revision dated %s by %s, oldid %s',
  'defaultpopupRevertSummary': 'Revert vers la version %s',
  'defaultpopupRmDabLinkSummary': 'Remove link to dab page [[%s]]',
  'Redirects': 'Redirects', // as in Redirects to ...
  ' to ': ' to ',           // as in Redirects to ...
  'Bypass redirect': 'Bypass redirect',
  'Fix this redirect': 'Fix this redirect',
  'disambig': 'disambig',          ///// add or remove dab etc.
  'disambigHint': 'Disambiguate this link to [[%s]]',
  'Click to disambiguate this link to:': 'Click to disambiguate this link to:',
  'remove this link': 'remove this link',
  'remove all links to this page from this article': 'remove all links to this page from this article',
  'remove all links to this disambig page from this article': 'remove all links to this disambig page from this article',
  'mainlink': 'mainlink',          ///// links, watch, unwatch
  'wikiLinks': 'wikiLinks',
  'links here': 'links here',
  'whatLinksHere': 'whatLinksHere',
  'what links here': 'what links here',
  'WhatlinkshereHint': 'List the pages that are hyperlinked to %s',
  'unwatchShort': 'un',
  'watchThingy': 'watch',  // called watchThingy because {}.watch is a function
  'watchHint': 'Add %s to my watchlist',
  'unwatchHint': 'Remove %s from my watchlist',
  /////////////////////////////////////
  // user-related actions and info
  /////////////////////////////////////
  'user': 'user',               ///// user page, talk, email, space
  'user page': 'user page',
  'user talk': 'user talk',
  'edit user talk': 'edit user talk',
  'leave comment': 'leave comment',
  'email': 'email',
  'email user': 'email user',
  'EmailuserHint': 'Send an email to %s',
  'space': 'userspace',
  'PrefixindexHint': 'Show pages in the userspace of %s',
  'count': 'count',             ///// contributions, tree, log
  'edit counter': 'edit counter',
  'katelinkHint': 'Count the countributions made by %s',
  'contribs': 'contribs',
  'contributions': 'contributions',
  'ContributionsHint': 'List the contributions made by %s',
  'tree': 'tree',
  'contribsTree': 'contribsTree',
  'contribsTreeHint': 'Explore %s\'s contributions by namespace and by article',
  'log': 'log',
  'user log': 'user log',
  'userLogHint': 'Show %s\'s user log',
  'arin': 'ARIN lookup',             ///// ARIN lookup, block user or IP
  'Look up %s in ARIN whois database': 'Look up %s in the ARIN whois database',
  'unblockShort': 'un',
  'block': 'block',
  'block user': 'block user',
  'IpblocklistHint': 'Unblock %s',
  'BlockipHint': 'Prevent %s from editing',
  'block log': 'block log',
  'blockLogHint': 'Show the block log for %s',
  /////////////////////////////////////
  // Popups setup
  /////////////////////////////////////
  'Display navigation links at the top of the popup': 'Display navigation links at the top of the popup',
  'Download preview data': 'Download preview data from the Wikipedia servers',
  'Load images': 'Load images',
  'Never download extra stuff for images/previews': 'Never download extra stuff for images/previews',
  'Only start downloading when told to do so': 'Only start downloading when told to do so',
  'Open full-size image': 'Open full-size image',
  'Preview only on click': 'Preview only on click',
  'Show/hide options': 'Show/hide options',
  'Show image previews': 'Show image previews',
  'Show navigation links': 'Show navigation links',
  'Show page summary data': 'Show page summary data',
  'Show previews': 'Show previews',
  'Show summary data': 'Show summary data',
  'Show text previews': 'Show text previews',
  'Simple popups': 'Simple popups',
  'Toggle this option': 'Toggle this option',
  'cookies': 'cookies',
  'Use cookies to store popups options': 'Use cookies to store popups options',
  'zxy': 'zxy'
};