/* <nowiki> */
//
// /!\ Attention !! Si vous désirez copier des fonctionalités de ce monobook.js, prenez garde à certains passages qui me sont personnels. Ma boîte de navigation contient par exemple des liens vers des sous-pages personnelles. Ma barre d'édition également. N'hésitez pas à me contacter sur ma page de discussion en cas de doute :)
//

// Merci à Dake à qui j'ai piqué des fonctions. Cependant, je les ai toutes personnalisées :)

//------------------------------------------------------------------------------useful functions

document.write('<script type="text/javascript" src="' 
             + 'http://fr.wikipedia.org/w/index.php?title=Utilisateur:GôTô/objects.js' 
             + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');

document.write('<script type="text/javascript" src="' 
            + 'http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dake/monobook.js/deluxehistory.js' 
            + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');


function setSummary(str)
{
	document.editform.wpSummary.value = str
}

function setTextarea (str)
{
	document.editform.wpTextbox1.value = str
}

function getArticleName()
{
	var strOut = document.title
	// case search
	if (strOut == "Rechercher - Wikipédia")
		return document.getElementById("lsearchbox").value
	// case article being modified
	strOut = strOut.replace("modification de ", "").replace(" - Modifier", "")

	strOut = strOut.replace(" - Prévisualiser", "")	
	strOut = strOut.replace(" - Wikipédia", "")
	return strOut
}

function insertAfter(parent, node, referenceNode)
{
	parent.insertBefore(node, referenceNode.nextSibling)
}

function TodayDate()
{
	var m = new Array("janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre")
	var today = new Date()
	var day = today.getDate()
	var year = today.getYear()

	if (year < 2000)
		year += 1900

	return (day + " " + m[today.getMonth()] + " " + year)
}

//-------------------------------------------------------------------------------------OptimizedNavig
// Personalisation de la boite de navigation ainsi que de la boite utilisateur (haut de page)

//Bistro d'aujourd'hui
function OptimizedNavig()
{
	// nav box
	var a = document.getElementById("p-navigation")

	if (a)
	{
		b = a.getElementsByTagName("ul");
		if(b.length > 0)
		{ 
			var startUrl = '/w/index.php?title='

			// liste des URLs
			var urls = new Array()
			urls.push('Special:Recentchanges')
			urls.push('Special:Random')
			urls.push('Wikipédia:Le Bistro/' + TodayDate())
			urls.push('Wikipédia:Oracle')
			urls.push('Wikipédia:Pages à supprimer')
			urls.push(getArticleName() + '&action=purge')
			
			var labels = new Array()
			labels.push('Modifications récentes')
			labels.push('Une page au hasard')
			labels.push('Le Bistro')
			labels.push('L' + "'" + 'Oracle')
			labels.push('Pages à supprimer<hr />')
			labels.push('Purger la page')
			
			var divHTML = '<div align="left">'
			for (var i=0;i<urls.length;i++) 
				divHTML += '<li><a style="color: #002bb8" href="' + startUrl + urls[i] + '">' + labels[i] + '</a></li>'
			b[0].innerHTML = divHTML
		}
	}
}

addLoadEvent(OptimizedNavig)

//------------------------------------------------------------------------------------------suiviManagerAllPages
// Liste de suivi amelioré

var suiviManagerAllPages = new Array();
                                        
function SuiviManagerRegexp(regexp)
{
        var match = new RegExp(regexp);

        for (var i=0;i<suiviManagerAllPages.length;i++) {
                var pageName = suiviManagerAllPages[i].childNodes[0].getAttribute("value");
                if (match.test(pageName)) {
                        suiviManagerAllPages[i].childNodes[0].checked=true; 
                }
        }
}
                
function SuiviManagerLiensRouges()
{

        for (var i=0;i<suiviManagerAllPages.length;i++) {
                var pageClass = suiviManagerAllPages[i].childNodes[1].getAttribute("class");
                if (pageClass && pageClass=="new") {
                        suiviManagerAllPages[i].childNodes[0].checked=true; 
                }
        }
}

function SuiviManagerDeselect()
{
        for (var i=0;i<suiviManagerAllPages.length;i++) {
                suiviManagerAllPages[i].childNodes[0].checked=false; 
        }
}


function SuiviManager() {
        if (document.URL.indexOf("http://fr.wikipedia.org/wiki/Special:Watchlist/edit")!=0) return; 
        
        var a=0;
        var b=0;                        
        var interfaceMsg = new Array(); 
        var regexpList = new Array(); 
        
        //////////////////////////////////////////////////
        // Expressions régulières et liens de l'interface
        //
        // besoin d'aide pour les regexp ? 
        // http://www.commentcamarche.net/javascript/jsregexp.php3
        //////////////////////////////////////////////////

        interfaceMsg[a++]       = "<b>Tout cocher</b>";
        regexpList[b++]         = "^.*"; 
        
        interfaceMsg[a++]       = "Utilisateurs";
        regexpList[b++]         = "^Utilisateur:";
        
        interfaceMsg[a++]       = "Wikipédia:*"; 
        regexpList[b++]         = "^Wikipédia:";
        
        interfaceMsg[a++]       = "Sous-pages de PàS"; 
        regexpList[b++]         = "^Wikipédia:Pages à supprimer\/";

        interfaceMsg[a++]       = "Sous-pages de PàV"; 
        regexpList[b++]         = "^Wikipédia:Pages à vérifier\/";
        
        interfaceMsg[a++]       = "Pages du bistro"; 
        regexpList[b++]         = "^Wikipédia:Le Bistro\/";
        
        interfaceMsg[a++]       = "Images"; 
        regexpList[b++]         = "^Image:";
        
        interfaceMsg[a++]       = "Modèles"; 
        regexpList[b++]         = "^Modèle:"; 
        
        interfaceMsg[a++]       = "Aide"; 
        regexpList[b++]         = "^Aide:"; 
        
        interfaceMsg[a++]       = "Catégories"; 
        regexpList[b++]         = "^Catégorie:";      
        
        interfaceMsg[a++]       = "Portails"; 
        regexpList[b++]         = "^Portail:";        

        //////////////////////////////////////////////////
        var topTag = document.getElementById("contentSub")
        
        // récupère toutes les pages
        var watchlist = document.getElementsByTagName("ul");

        for (u=0;u<watchlist.length;u++) {
                        var entries = watchlist[u].getElementsByTagName("li"); 
                        for (i=0;i<entries.length;i++) {
                                suiviManagerAllPages.push(entries[i]);
                        }
        }
        
        // prépare la mini-interface
        var str = "<div style=\"background-color:#8ecfe4;font-size:1px;height:8px;border:1px solid #AAAAAA;-moz-border-radius-topright:0.5em;-moz-border-radius-topleft:0.5em;\"></div>"
        + "<div style=\"border:1px solid #6ac1de;border-top:0px solid white;padding:5px 5px 0 5px;margin-bottom:3ex;\"><p>"
        + "<div style=\"float: left; text-align: left; white-space: nowrap;\"></div>"
        
        for (var cpt = 0; cpt < interfaceMsg.length; cpt ++) {
                str += "<a href=\"javascript:SuiviManagerRegexp('" + regexpList[cpt] + "')\">"
                                                + interfaceMsg[cpt]
                                                + " ·</a> "
                }
        
                str += "<a href=\"javascript:SuiviManagerLiensRouges()\">"
                        + "Retirer les liens rouges"
                        + " ·</a> "
                        
                str += "<a href=\"javascript:SuiviManagerDeselect()\">"
                        + "<b>Enlever toutes les coches</b>"
                        + " ·</a> "
                                
        topTag.innerHTML =       topTag.innerHTML + "<br clear=all />" + str + "<p></div>"
                
}

addLoadEvent(SuiviManager);

obtenir("CopyScape");
obtenir("FusionContribs");
loadJs('Utilisateur:EDUCA33E/LiveRC.js');

var alwaysEval = false; //mettez cette valeur à ''true'' si vous voulez que l'évaluation soit lancée automatiquement (à éviter en temps normal)
function initEvalProjectNames()
{
        evalProjectNames=new Array(); //liste de vos projets
        evalProjectNames.push("Hellenopedia") 
        evalProjectNames.push("Egyptopedia")
        evalProjectNames.push("Rome antique")  //mettre ici autant de lignes comme celle-ci que de projets que vous voulez évaluer
}


/* </nowiki> */