<!-- Search boxes for frwiki, svwiki, enwiki -->
function addLoadEvent(func)
{
   if (window.addEventListener)
       window.addEventListener("load", func, false);
   else if (window.attachEvent)
       window.attachEvent("onload", func);
}

function searchboxes()
{
  var l = document.getElementById("searchBody");
  if (l)
  {
    l.innerHTML = '<form action="http://fr.wikipedia.org/wiki/Special:Search" id="searchformFR"><div>'
    +   '<input id="searchInputFR" name="search" type="text" value="" />'
    +   '<input type="submit" name="go" class="searchButton" id="searchGoButton" value="voir" />&nbsp;'
    +   '<input type="submit" name="fulltext" class="searchButton" id="mw-searchButton" value="chercher" />'
    + '</div></form>'
    + '<form action="http://sv.wikipedia.org/wiki/Special:Search" id="searchformSV"><div>'
    +   '<input id="searchInputSV" name="search" type="text" value="" />'
    +   '<input type="submit" name="go" class="searchButton" id="searchGoButton" value="gå till" />&nbsp;'
    +   '<input type="submit" name="fulltext" class="searchButton" id="mw-searchButton" value="sök" />'
    + '</div></form>'
    + '<form action="http://en.wikipedia.org/wiki/Special:Search" id="searchformEN"><div>'
    +   '<input id="searchInputEN" name="search" type="text" value="" />'
    +   '<input type="submit" name="go" class="searchButton" id="searchGoButton" value="go" />&nbsp;'
    +   '<input type="submit" name="fulltext" class="searchButton" id="mw-searchButton" value="search" />'
    + '</div></form>'
  }
}

addLoadEvent(searchboxes);

function addToSummary(str)
{
        document.editform.wpSummary.value += str + " "
}

function DeluxeSummary()
{
        var sumLbl = document.getElementById("wpSummaryLabel")
        if (sumLbl)
        {
                //élargissement boite de résumé
                var sumInput = document.getElementById("wpSummary")
                sumInput.style.width = "90%"

                var titles = new Array()
                titles.push("+interwiki:")
                titles.push("ortho/gram")
                titles.push("accord(s)")
                titles.push("accent(s)")

                var str = ""
                for (var cpt = 0; cpt < titles.length; cpt ++)
                {
                        str += "<a href=\"javascript:addToSummary('" + titles[cpt] + "')\""
                                + " class=\"sumLink\" title=\"Ajouter '" + titles[cpt] +"' dans la boîte de résumé\">"
                                + titles[cpt]
                                + " ·</a> "
                }
                sumLbl.innerHTML = str + "<br />" + sumLbl.innerHTML
        }
}

addLoadEvent(DeluxeSummary)