loadJs('User:EDUCA33E/LiveRC.js');

function externISBN() {
 
  var magicURL = "http://www.amazon.fr/exec/obidos/ASIN/MAGICNUMBER/wikipedia08-20";
 
  var magicRegex = /MAGICNUMBER/ig;
  if(wgPageName != "Special:Ouvrages_de_référence" && wgPageName != "Wikipédia:Ouvrages_de_référence"){
    for (var i = 0; i < document.links.length; i++) {       
      if( document.links[i].href.match(/Special:Ouvrages_de_r%C3%A9f%C3%A9rence\/(.*)/) ) {
        document.links[i].href=magicURL.replace(magicRegex, RegExp.$1);
      }
    }
  }
 
} 
addOnloadHook(externISBN);

var theDate = theDate();

var ModèleLienweb = '<ref>{{en}} {{Lien web|url=|titre=|auteur=|année=|éditeur=|consulté le=' + theDate +'}}</ref>';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/3/3c/Button_lienweb.png','LienWeb',ModèleLienweb,'','','mw-editbutton-lienweb');

var ModèleJournal = '<ref>{{en}} {{Article|auteur=|titre=|date=|journal=|texte=|consulté le=' + theDate +'}}</ref>';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/b/b4/Button_lienjournal.png','Journal',ModèleJournal,'','','mw-editbutton-journal')

var ModèleOuvrage = '{'+'{Ouvrage\n'
+  '|titre=\n'
+  '|éditeur=\n'
+  '|auteur=\n'
+  '|langue=\n'
+  '|année=\n'
+  '|isbn=\n'
+  '|commentaire=\n'
+  '}}';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/f/fd/Button_blockquote.png','Ouvrage',ModèleOuvrage,'','','mw-editbutton-Ouvrage');

var ModèleRéf = '== Annexes ==\n'
+ '=== Notes et références ===\n'
+ '{'+'{références|colonnes=2}}\n'
+ '\n'
+ '=== Liens externes ===';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/f/f0/Btn_infotexto.png','Réf',ModèleRéf,'','','mw-editbutton-références')

var ModèleRéfPlus = '== Annexes ==\n'
+ '=== Notes et références ===\n'
+ '{'+'{références|colonnes=2}}\n'
+ '\n'
+ '=== Liens externes ===\n'
+ '* {'+'{en}} [ Fiche de ] sur Cricinfo.com\n'
+ '* {'+'{en}} [ Statistiques de ] sur Cricketarchive.com'
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/b/bd/Btn_plus.png','RéfPlus',ModèleRéfPlus,'','','mw-editbutton-référencesplus')

// onglet pour visualiser les statistiques des articles
function addArticleTrafficStatistics()
{
  var histo = document.getElementById("ca-history");
  if(histo)
  {
    var lien = document.createElement("a");
    var today = new Date();
    var annee = today.getFullYear();
    var mois = new String(today.getMonth() + 1);
    if(mois.length < 2)
    {
      mois = "0" + mois;
    }
    lien.setAttribute("href", "http://stats.grok.se/fr/" + annee + mois + "/" + wgPageName);
    lien.appendChild(document.createTextNode("Stats"));
 
    var stats = document.createElement("li");
    stats.setAttribute("id", "ca-stats");
    stats.appendChild(lien);
 
    histo.parentNode.insertBefore(stats, histo.nextSibling);
  }
}
addOnloadHook(addArticleTrafficStatistics);

function theDate(){
   var months = new Array(12);
   months[0] = 'janvier';
   months[1] = 'février';
   months[2] = 'mars';
   months[3] = 'avril';
   months[4] = 'mai';
   months[5] = 'juin';
   months[6] = 'juillet';
   months[7] = 'août';
   months[8] = 'septembre';
   months[9] = 'octobre';
   months[10] = 'novembre';
   months[11] = 'décembre';
   var today = new Date();
   var year = today.getFullYear();
   var month = months[today.getMonth()];
   var day = today.getDate();
   var theDate = day + ' ' + month + ' ' + year;
   return theDate;
}


var RefOuvrage = '<ref>{{en}} {{harvsp|||p=|id=}}</ref>';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/f/fd/Button_blockquote.png','RefOuvrage',RefOuvrage,'','','mw-editbutton-RefOuvrage');

importScript('Utilisateur:Dr Brains/AcaiToolbar.js');