/**
 * Affiche en haut de chaque page un lien vers des pages utilisateurs sur d'autres projets de wikimedia.
 * Auteur : Chphe
 */

//////////////////////ZONE PERSONNALISABLE//////////////////////
var lip_tab_comptes = {"fr.wikipedia.org":"fr", "en.wikipedia.org":"en", "es.wikipedia.org":"es",
                       "commons.wikimedia.org":"com",
                       "fr.wikisource.org":"s:fr"};
/////////////////FIN DE LA ZONE PERSONNALISABLE/////////////////

function lip_lancer()
{
  var li = document.getElementById('pt-userpage');
  if(!li) return;

  var nli = document.createElement('li');
  li.parentNode.insertBefore(nli, li);

  for(var wiki in lip_tab_comptes)
  {
    nli.appendChild(document.createTextNode(" "));
    var el;
    if(wiki == wgDBname)
      el = document.createTextNode(lip_tab_comptes[wiki]);
    else{
      el = document.createElement('a');
      el.href="http://"+wiki+"/wiki/User:"+wgUserName;
      el.innerHTML = lip_tab_comptes[wiki];
    }
    nli.appendChild(el);
  }
}

addOnloadHook(function()
{
    lip_lancer();
});