/**************************************************************************/


/* XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX */
/*             BOUTONS D'EDITION             */
/* XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX */

/* Fonctions d'ajout */
function addCustomButton(imageFile, speedTip, tagOpen, tagClose, sampleText, imageId) {
  mwCustomEditButtons[mwCustomEditButtons.length] =
    {"imageId": imageId,
     "imageFile": imageFile,
     "speedTip": speedTip,
     "tagOpen": tagOpen,
     "tagClose": tagClose,
     "sampleText": sampleText};
}

/******************************/
/*      Boutons standard      */
/******************************/
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/e/e2/Button_bold.png',
                'gras',
                '\'\'\'',
                '\'\'\'',
                '',
                'mw-editbutton-bold2');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/1/1d/Button_italic.png',
                'italique',
                '\'\'',
                '\'\'',
                '',
                'mw-editbutton-italic2');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/c/c9/Button_strike.png',
                'Rayer',
                '<s>',
                '</s>',
                '',
                'mw-editbutton-strike2');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/f/fd/Button_underline.png',
                'Souligner',
                '<u>',
                '</u>',
                '',
                'mw-editbutton-underline');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/c/c0/Button_link.png',
                'lien interne',
                '[[',
                ']]',
                '',
                'mw-editbutton-link2');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/7/73/External_link_icon.png',
                'lien externe',
                '[',
                ']',
                '',
                'mw-editbutton-extlink2');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/b/ba/Headline_icon.png',
                'titre',
                '\n== ',
                ' ==\n',
                '',
                'mw-editbutton-headline2');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/8/82/Nowiki_icon.png',
                'nowiki',
                '<nowiki>',
                '</nowiki>',
                '',
                'mw-editbutton-nowiki2');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/6/6d/Button_sig.png',
                'signature',
                '— \~\~\~\~',
                '',
                '',
                'mw-editbutton-signature2');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/3/37/Btn_toolbar_commentaire.png',
                'Commentaire',
                '<!--',
                '-->',
                '',
                'mw-editbutton-comment2');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/4/47/Button_redir.png',
                'Redirection',
                '#REDIRECT [[',
                ']]',
                '',
                'mw-editbutton-redir2');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/3/3b/Button_template_alt.png',
                'Modèle',
                '{{',
                '}}',
                '',
                'mw-editbutton-template2');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/c/c4/Button_ref.png',
                'Référence',
                '<ref>',
                '</ref>',
                '',
                'mw-editbutton-ref2');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/6/64/Buttonrefvs8.png',
                'Index des références',
                '== Notes et références ==\n<references />',
                '',
                '',
                'mw-editbutton-references2');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/e/ef/Button_cite_book.png',
                'Modèle:Ouvrage',
                '\{\{ouvrage\n| langue=\n| prénom1=\n| nom1=\n| lien auteur1=\n| titre=\n| sous-titre=\n| numéro d\'édition=\n| éditeur =\n| lien éditeur =\n| lieu =\n| jour=\n| mois=\n| année=\n| volume=\n| tome=\n| pages totales=\n| passage=\n| isbn=\n| lire en ligne=\n| consulté le=\{\{subst:LOCALDAY}} \{\{subst:LOCALMONTHNAME}} \{\{subst:LOCALYEAR}}\n}}',
                '',
                '',
                'mw-editbutton-Ouvrage');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/9/91/Button_cite_web.png',
                'Modèle:Lien web',
                '\{\{Lien web\n| url =\n| titre =\n| id =\n| série =\n| auteur =\n| lien auteur =\n| coauteurs =\n| date =\n| année =\n| mois =\n| site =\n| éditeur =\n| isbn =\n| page =\n| citation =\n| en ligne le =\n| consulté le=\{\{subst:LOCALDAY}} \{\{subst:LOCALMONTHNAME}} \{\{subst:LOCALYEAR}}\n}}',
                '',
                '',
                'mw-editbutton-Web');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/7/79/Button_MH_red.png',
                'Modèle:Monument historique (France)',
                '\{\{Monument historique (France)\n|type=\n|protection=inscrit\n|base=Palissy\n|année=\n|mois=\n|jour=\n|référence=',
                '\n|nocat=\n|sous catégorie=\n}}',
                '',
                'mw-editbutton-MH');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/b/bb/Button_%C3%A9bauche.png',
                'Infobox Monument',
                '\{\{Infobox Monument\n| nom                  = \{\{subst:PAGENAME}}\n| nom local            = \n| image                = \n| légende              = \n| latitude             = \n| longitude            = \n| référence            = <ref>Coordonnées trouvées sur \[\[Géoportail]], \[\[OpenStreetMap]] et \[\[Google Maps]]</ref>\n| pays                 = \{\{FR}}\n| subdivision          = \n| lien subdivision     = Région française\{\{!}}Région\n| subdivision2         = \n| lien subdivision2    = Département français\{\{!}}Département\n| commune              = \n| lien commune         = \n| style                = \n| type                 = \n| architecte           = \n| hauteur              = \n| date de construction = \n| propriétaire         = \n| destination initiale = \n| destination actuelle = \n| classement           = \{\{Classé Inscrit MH|}}<ref name=merimee>\{\{Mérimée||}}.</ref>\n| site                 = \n| géolocalisation      = France\n}}',
                '',
                '',
                'mw-editbutton-InfoboxM');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/b/bb/Button_%C3%A9bauche.png',
                'Infobox Édifice religieux',
                '\{\{Infobox Édifice religieux\n| nommonument= \{\{subst:PAGENAME}}\n| photo= \n| légende= \n| nomlocal= \n| latitude= \n| longitude= \n| référence= <ref>Coordonnées trouvées sur \[\[Géoportail]], \[\[OpenStreetMap]] et \[\[Google Maps]]</ref>\n| ville= \n| pays= \{\{FR}}\n| région= \n| lien région= \[\[Région française|Région]]\n| département= \n| lien subdivision= \[\[Département français|Département]]\n| culte= \[\[Église catholique romaine|Catholique romain]]\n| type= \[\[église (édifice)|]]\n| rattachement= \n| début constr= \n| fin const= \n| architecte= \n| autres constr= \n| style= \n| classement=  \{\{Classé Inscrit MH|}}<ref name=merimee>\{\{Mérimée||}}.</ref>\n| siteweb= \n| géolocalisation= France\n}}',
                '',
                '',
                'mw-editbutton-InfoboxER');


/******************************/
/*  Boutons d'avertissement   */
/******************************/
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/e/e9/Button_done.png',
                'fait',
                '\{\{Fait}}',
                '\~\~\~\~',
                '',
                'mw-editbutton-fait');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/7/76/Testwarn1.png',
                'Test 0',
                '\{\{subst:Test 0}}',
                '\~\~\~\~',
                '',
                'mw-editbutton-test0');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/0/03/Testwarn2.png',
                'Test 1',
                '\{\{subst:Test 1}}',
                '\~\~\~\~',
                '',
                'mw-editbutton-test1');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/7/72/Testwarn3.png',
                'Test 2',
                '\{\{subst:Test 2}}',
                '\~\~\~\~',
                '',
                'mw-editbutton-test2');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/9/9d/Testwarn4.png',
                'Test 3',
                '\{\{subst:Test 3}}',
                '\~\~\~\~',
                '',
                'mw-editbutton-test3');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/7/72/Button_copy_vio_plagio.png',
                'copyvio',
                '\{\{subst:Copieur|article|source}}\~\~\~\~',
                '',
                '',
                'mw-editbutton-copyvio');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/c/cc/Bouton_Vandale2.png',
                'SI',
                '\{\{subst:Bienvenue SI|',
                '|car Wikipédia est une encyclopédie, pas un post-it rageur sur un réfrigérateur}}\~\~\~\~',
                '',
                'mw-editbutton-SI');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/e/e4/Bouton_Vandale3.png',
                'création supprimée',
                '\{\{subst:Création supprimée|',
                '}}\~\~\~\~',
                '',
                'mw-editbutton-CS');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/c/cb/Pulsante_spam.png',
                'spam',
                '\{\{subst:Bienvenue spammeur|',
                '}}\~\~\~\~',
                '',
                'mw-editbutton-spam');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/9/9d/Button_halt.png',
                'Blocage',
                '\{\{subst:vandale bloqué|1|jour}}\~\~\~\~\{\{boîte déroulante début|titre=Avertissements}}',
                '\{\{boîte déroulante fin}}',
                '',
                'mw-editbutton-blocage');