//Ajout d'options de commentaires lors des éditions

function addToSummary(str)
{
        document.editform.wpSummary.value += " " + str
}

function DeluxeSummary()
{
        var sumLbl = document.getElementById("wpSummaryLabel")
        if (sumLbl)
        {
                //élargissement boite de résumé
                var sumInput = document.getElementById("wpSummary")
                sumInput.style.width = "90%"

                var titles = new Array()
                titles.push("+ ébauche")
                titles.push("+ cat")
                titles.push("+ image")
                titles.push("+ interwiki")
                titles.push("+ portail")
                titles.push("- image")
                titles.push("typo")
                titles.push("corr lien int")
                titles.push("lien ext -> lien int")
                titles.push("MeP")
                titles.push("ortho/gram")
                titles.push("retouches")
                titles.push("ajInfo")
                titles.push("rangmt")
                titles.push("recat")
                titles.push("Wikif")

                var inputs = new Array()
                inputs.push("+ {{ébauche}}")
                inputs.push("+ catégorie")
                inputs.push("+ image")
                inputs.push("+ liens interwiki")
                inputs.push("+ portail")
                inputs.push("- image manquante")
                inputs.push("typo")
                inputs.push("correction lien interne")
                inputs.push("conversion lien externe en lien interne")
                inputs.push("mise en page")
                inputs.push("correction orthographe/grammaire")
                inputs.push("diverses retouches")
                inputs.push("ajout d’infos")
                inputs.push("rangement interwikis/catégories")
                inputs.push("changement catégorie")
                inputs.push("wikification")

                
                var str = ""
                for (var cpt = 0; cpt < titles.length; cpt ++)
                {
                        str += "<a href=\"javascript:addToSummary('" + inputs[cpt] + "')\""
                                + " class=\"sumLink\" title=\"Ajouter '" + inputs[cpt] +"' dans la boîte de résumé\">"
                                + titles[cpt]
                                + " ·</a> "
                }
                sumLbl.innerHTML = str + "<br />" + sumLbl.innerHTML
        }
}

addLoadEvent(DeluxeSummary)

// -----------------------------------------------------------------------------
// God-like Monobook skin
// (c) 2005 Sam Hocevar <sam@zoy.org>
// $Id: godmode-light.js 1106 2006-04-03 20:25:37Z sam $
// -----------------------------------------------------------------------------

// -----------------------------------------------------------------------------
// Language support, taken from phase3/languages/*
// -----------------------------------------------------------------------------
var rollbacklink = 'rollback';
var cantrollback = 'Cannot revert edit; last contributor is only author of this page.';
var alreadyrolled = 'Cannot rollback last edit of [[$1]] by [[User:$2|$2]] ([[User talk:$2|Talk]]); someone else has edited or rolled back the page already. Last edit was by [[User:$3|$3]] ([[User talk:$3|Talk]]). ';
var revertpage = 'Reverted edits by [[Special:Contributions/$2|$2]] to last version by $1';
switch (document.getElementsByTagName('html')[0].lang) {
  case 'fr':
    rollbacklink = 'rÃ©voquer';
    cantrollback = 'Impossible de rÃ©voquer: dernier auteur est le seul Ã  avoir modifiÃ© cet article';
    alreadyrolled = 'Impossible de rÃ©voquer la derniÃ¨re modification de [[$1]] par  [[User:$2|$2]] ([[User talk:$2|Talk]]); quelqu\'un d\'autre Ã  dÃ©jÃ  modifer ou rÃ©voquer l\'article. La derniÃ¨re modificaion Ã©tait de [[User:$3|$3]] ([[User talk:$3|Talk]]). '; // lol @ pathetic grammar
    revertpage = "RÃ©vocation des modifications de [[Special:Contributions/$2|$2]] et restauration d'une prÃ©cÃ©dente version de $1";
    break;
  case 'de':
    rollbacklink = 'ZurÃ¼cksetzen';
    cantrollback = 'Die Ã„nderung kann nicht zurÃ¼ckgenommen werden; der letzte Autor ist der einzige.';
    alreadyrolled = 'Die ZurÃ¼cknahme des Artikels [[$1]] von [[Benutzer:$2|$2]] ([[Benutzer Diskussion:$2|Diskussion]]) ist nicht mÃ¶glich, da eine andere Ã„nderung oder RÃ¼cknahme erfolgt ist.  Die letzte Ã„nderung ist von [[Benutzer:$3|$3]] ([[Benutzer Diskussion:$3|Diskussion]])';
    revertpage = 'Ã„nderungen von [[Benutzer:$2]] rÃ¼ckgÃ¤ngig gemacht und letzte Version von [[Benutzer:$1]] wiederhergestellt';
    break;
  case 'es':
    rollbacklink = 'Revertir';
    cantrollback = 'No se pueden revertir las ediciones; el Ãºltimo colaborador es el Ãºnico autor de este artÃ­culo.';
    alreadyrolled = 'No se puede revertir la Ãºltima ediciÃ³n de [[$1]] por [[Colaborador:$2|$2]] ([[Colaborador DiscusiÃ³n:$2|DiscusiÃ³n]]); alguien mÃ¡s ya ha editado o revertido esa pÃ¡gina.  La Ãºltima ediciÃ³n fue hecha por [[Colaborador:$3|$3]] ([[Colaborador DiscusiÃ³n:$3|DiscusiÃ³n]]). ';
    revertpage = 'Revertida a la Ãºltima ediciÃ³n de $1';
    break;
  case 'it':
    rollbacklink = 'rollback';
    cantrollback = 'Impossibile tornare ad una versione precedente: l\'ultima modifica Ã¨ stata apportata dall\'unico utente che abbia lavorato a questo articolo.';
    //alreadyrolled = '';
    revertpage = 'Riportata alla revisione precedente da $1';
    break;
  case 'pt':
    rollbacklink = 'voltar';
    cantrollback = 'NÃ£o foi possÃ­vel reverter a ediÃ§Ã£o; o Ãºltimo contribuidor Ã© o Ãºnico autor deste artigo.';
    alreadyrolled = 'NÃ£o foi possÃ­vel reverter as ediÃ§Ãµes de  [[$1]] por [[User:$2|$2]] ([[User talk:$2|Talk]]); alguÃ©m o editou ou jÃ¡ o reverteu.  A Ãºltima ediÃ§Ã£o foi de  [[User:$3|$3]] ([[User talk:$3|Conversar com ele]]). ';
    revertpage = 'Revertidas ediÃ§Ãµes por [[Special:Contributions/$2|$2]], para a Ãºltima versÃ£o por $1';
    break;
}

obtenir("OngletGoogle");

obtenir("RevertDiff");

loadJs('User:EDUCA33E/LiveRC.js');