//Ajoute un "stop" sur special:watchlist pour enlever facilement des pages de son suivi
function add_stop_in_watchlist() {

  var allDays = document.getElementsByTagName("ul")
 
  for (var a=0, len = allDays.length; a < len; a++) {
    //pour ne pas choper les autres "<ul>" de la page. On veux juste ceux des jours de la watchlist
    if (allDays[a].getAttribute("class") != "special") continue 
 
    var artList = allDays[a].getElementsByTagName("li")
    for (var b=0, len2 = artList.length ; b < len2; b++) {
    	var aTag = artList[b].getElementsByTagName("a")
	var articleName = aTag[0].getAttribute("title")
        if( articleName.indexOf("Spécial:") != -1) continue //pas sur les liens de log de renommage/suppression/etc.
 
        var separateur = document.createTextNode(") (")
	if (aTag[0].childNodes[0].data == "diff") { // séparation des cas (nouvel article, ou déjà existant)
	  insertAfter(artList[b], separateur , aTag[1])
	} else {
	  insertAfter(artList[b], separateur , aTag[0])
	}
	insertAfter(artList[b], createAdressNode("#", 'stop', "return remove_page_from_watchlist(this, \""+ articleName.replace("\"", "\\\"") +"\")" ), separateur)
    }
  }
}
 
/* fonction qui enleve la page de la liste de suivi */
function remove_page_from_watchlist(p_this, page_name) {
   var http_request = sajax_init_object()
   var address = "/w/api.php?action=watch&title=" + encodeURIComponent( page_name ) + "&unwatch"
   http_request.open('POST', address , false)
   http_request.send(null)
 
   p_this.parentNode.style.setProperty("text-decoration", "line-through", '') //on barre la ligne qui n'est plus suivie
   return false 
}


if( mw.config.get('wgNamespaceNumber') == -1 && mw.config.get('wgCanonicalSpecialPageName') == "Watchlist" )  {
   addOnloadHook(add_stop_in_watchlist)
}