if( ! (typeof createLiAdressNode == 'function') ) { //début anti double-declaration des fonctions de la page

/* ajoute une classe à un element */
function addClass(elem,classe) { //eviter l'erreur undefined si className ne l'est pas encore.
  elem.className = (elem.className ? elem.className : "" ) + " " + classe
}


function hasClass(elem, classe) { //note : la recherche "simple" par indexOf peut poser problemes si on cherche "nom1" et qu'il existe une class "nom1_blabla". 
  return ( ! elem.className || elem.className.indexOf(classe) == -1 ? false : true)
}


/* enlève la premiere occurence du nom d'une classe d'un element */
function removeClass(elem,classe) {
    if (!elem.className) return
    var reg = new RegExp('(\\s|^)'+classe+'(\\s|$)');
    elem.className=elem.className.replace(reg,' '); //ne replace que la premiere occurence (comme ça les hide imbriqués restent en hide ^^)
}

function getCookie(c_name) {
  if (document.cookie.length == 0) return "" //pas de cookie

  c_start=document.cookie.indexOf(c_name + "=");
  if (c_start == -1) return "" //pas de cookie de ce nom

  c_start=c_start + c_name.length+1; 
  c_end=document.cookie.indexOf(";",c_start);
  if (c_end==-1) c_end=document.cookie.length;
  return unescape(document.cookie.substring(c_start,c_end));

}


//le 3eme parametre est facultatif
function createLiAdressNode(href, texte, onclick) {
  var li = document.createElement('li')

  //un seul élement, ou un tableau de plusieurs élements ?
  if (href.constructor == Array) {
    if (arguments.length == 2) onclick = new Array(); //le 3eme argument n'a pas été passé.
    for (i=0; i<href.length; i++) { 
       //un array retourne undefined sur les clef n'existant pas
       li.appendChild( createAdressNode(href[i], texte[i], ((onclick[i]!='undefined')?onclick[i]:'') ) ) 
       li.appendChild( document.createTextNode( ' - ' ) )
    }
    li.removeChild(li.lastChild)     //retirer le dernier tiret
  } else {
     if (arguments.length == 2) onclick = ''; //le 3eme argument n'a pas été passé
     li.appendChild( createAdressNode(href, texte, onclick ) ) 
  }
  return li
}

} //fin anti double-declaration des fonctions de la page