function openToolDiv() {
  var nekoToolDiv = document.getElementById('nekoToolDiv')
  if ( nekoToolDiv ) { //le div existe déjà. On force son reaffichage au cas ou au lieu de recréer
     nekoToolDiv.style.display = 'block' 
     return false
  }

  var div = neko_toolbox_generator('nekoToolDiv', "Interface - v0.3 du 06/02/2010")
 
  var ul = document.createElement("ul")
   //stocker un resumé de modification de page par défaut dans un cookie, pour qu'il soit affiché automatiquement dans le champ adéquat
  ul.appendChild( openToolDiv_createDefaultSummaryLi("changer le résumé par défaut : ", "wpSummary") ) 
  ul.appendChild( openToolDiv_createDefaultSummaryLi("changer le motif de blocage par défaut  : ", "wpBlockReason") ) 
  ul.appendChild( openToolDiv_createDefaultSummaryLi("changer le motif par défaut  : ", "wpReason") ) 

  div.appendChild( ul ) //liste des actions

  return false 
}




function openToolDiv_createDefaultSummaryLi(aide, id) {

  var input = document.createElement("input");
  input.id = 'input_' + id
  input.value = getCookie('toolDiv_' + id)
  input.style.width = '300px'
  var a = createAdressNode(
      '#',
      'changer', 
      "setCookie('toolDiv_" + id + "', document.getElementById('input_" + id + "').value, 365 ); alert('changé !'); return false;"
  )

  var li = document.createElement("li")

  //le "li" contient dans l'ordre, le texte d'explication, le champ formulaire, et un lien pour valider le champ. Ledit lien appelle un bout de javascript qui sauve le cookie.
  li.appendChild( document.createTextNode( aide ) )
  li.appendChild( input )
  li.appendChild( document.createTextNode( " - " ) )
  li.appendChild( a )

  return li
}



// ---------------------------------------------------
//fonctions executées sur chaque page chargée, pour appliquer les options que l'utilisateur a défini
// ---------------------------------------------------

function openToolDiv_onload() {
  //fonction liée : ajouter automatiquement un résumé à celui par défaut (ça n'écrase volontairement pas les /* titres */ )
  var resume = document.getElementById('wpSummary')
  if ( resume  ) {
    resume.value += getCookie('toolDiv_wpSummary')
  }

  //fonction liée : changer effectivement le modif d'une action / et mettre le focus sur ce champ
  var motif = document.getElementsByName('wpBlockReason')[0]
  if ( motif) {
    motif.value = getCookie('toolDiv_wpBlockReason')
    motif.focus()
  }

  //fonction liée : changer effectivement le modif d'une action / et mettre le focus sur ce champ
  var motif = document.getElementById('wpReason')
  if ( motif) {
    motif.value = getCookie('toolDiv_wpReason')
    motif.focus()
  }



}
addLoadEvent( openToolDiv_onload )