//<source lang=javascript>//<pre>//<nowiki>
var AdQBAAutresLangues_ajax = {
  http: function(bundle) {
    // mandatory: bundle.url
    // optional:  bundle.async
    // optional:  bundle.method
    // optional:  bundle.headers
    // optional:  bundle.data
    // optional:  bundle.onSuccess (xmlhttprequest, bundle)
    // optional:  bundle.onFailure (xmlhttprequest, bundle)
    // optional:  bundle.otherStuff OK too, passed to onSuccess and onFailure
    var xmlhttp;
    try {
      xmlhttp = new XMLHttpRequest(); 
    } catch(e) { 
      try {
        xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
      } catch (e) { 
        try {
          xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
        } catch (e) {
          xmlhttp = false
        }
      }
    }
 
    if (xmlhttp) {
      xmlhttp.onreadystatechange = function() {
        if (xmlhttp.readyState == 4)
          AdQBAAutresLangues_ajax.httpComplete(xmlhttp,bundle);
      };
      xmlhttp.open(bundle.method ? bundle.method : "GET",bundle.url,bundle.async == false ? false : true);
      if (bundle.headers) {
        for (var field in bundle.headers)
          try {
            xmlhttp.setRequestHeader(field,bundle.headers[field]);
          } catch(err) {
          }
      }
      xmlhttp.send(bundle.data ? bundle.data : null); 
    }
    return xmlhttp;
  },
 
  httpComplete: function(xmlhttp,bundle) {
    if (xmlhttp.status == 200 || xmlhttp.status == 302) {
      if (bundle.onSuccess)
        bundle.onSuccess(xmlhttp,bundle);
    } else if (bundle.onFailure) {
      bundle.onFailure(xmlhttp,bundle);
 
    } else {
      // A activer en debug mode ?
         //  alert(xmlhttp.status+xmlhttp.responseText);
    }
  }
};


var CatAdQ = "Catégorie:Article de qualité dans une autre langue";
var CatBA = "Catégorie:Bon article dans une autre langue";

var Control_Div;


if(wgAction=="view" || wgAction=="purge")
addOnloadHook(function(){
     var OngletsCactions = document.getElementById('p-cactions');
     if(OngletsCactions){
          var CactionsUl = OngletsCactions.getElementsByTagName('ul')[0];
          CactionsUl.innerHTML += '<li><a href="javascript:AdQBAAutresLangues_GetBACats();">AdQ et BA dans une autre langue</a></li>';
          removeClass(OngletsCactions, "emptyPortlet");
     }
     var Target = document.getElementById('bodyContent');
     Control_Div = document.createElement('div');
     Target.insertBefore(Control_Div, Target.firstChild);
});

function AdQBAAutresLangues_GetBACats(BACats, categorycontinue){
     if(!BACats) BACats = new Array();
     if(!categorycontinue) categorycontinue = '';
     Control_Div.innerHTML = "BA " + categorycontinue;
      var NouvelleRequete = sajax_init_object()
      var AdresseRequete = wgServer + wgScriptPath + '/api.php?format=xml&action=query&list=categorymembers&cmlimit=4999&cmtitle=' + encodeURIComponent(CatBA) + '&cmcontinue=' + encodeURIComponent(categorycontinue);
      NouvelleRequete.open("GET", AdresseRequete, true);
      NouvelleRequete.onreadystatechange = function() {
            if(NouvelleRequete.readyState == 4 && NouvelleRequete.status == 200) {
                  var ElementTraitement = NouvelleRequete.responseXML; 
                  var Pages = ElementTraitement.getElementsByTagName('cm');
                  var AutreRequeteNecessaire = false;
                  
                  for(a=0;a<Pages.length;a++){
                        var TitrePage = Pages[a].getAttribute('title');
                        var NsPage = Pages[a].getAttribute('ns');
                        if(NsPage == "14") BACats.push(TitrePage);
                  }
                  var CatContinue = ElementTraitement.getElementsByTagName('query-continue')[0];
                  if(CatContinue){
                        AutreRequeteNecessaire = true;
                        var AutreRequeteContinue = CatContinue.getElementsByTagName('categorymembers')[0].getAttribute("cmcontinue");
                  } 
                  if(AutreRequeteNecessaire==true){
                        AdQBAAutresLangues_GetBACats(BACats, AutreRequeteContinue);
                  }else{
                        AdQBAAutresLangues_GetAdQCats(BACats);
                  }
            }
      }
      NouvelleRequete.send(null);
}

function AdQBAAutresLangues_GetAdQCats(BACats, AdQCats, categorycontinue){
     if(!AdQCats) AdQCats = new Array();
     if(!categorycontinue) categorycontinue = '';
     Control_Div.innerHTML = "AdQ " + categorycontinue;
      var NouvelleRequete = sajax_init_object()
      var AdresseRequete = wgServer + wgScriptPath + '/api.php?format=xml&action=query&list=categorymembers&cmlimit=4999&cmtitle=' + encodeURIComponent(CatAdQ) + '&cmcontinue=' + encodeURIComponent(categorycontinue);
      NouvelleRequete.open("GET", AdresseRequete, true);
      NouvelleRequete.onreadystatechange = function() {
            if(NouvelleRequete.readyState == 4 && NouvelleRequete.status == 200) {
                  var ElementTraitement = NouvelleRequete.responseXML; 
                  var Pages = ElementTraitement.getElementsByTagName('cm');
                  var AutreRequeteNecessaire = false;
                  
                  for(a=0;a<Pages.length;a++){
                        var TitrePage = Pages[a].getAttribute('title');
                        var NsPage = Pages[a].getAttribute('ns');
                        if(NsPage == "14") AdQCats.push(TitrePage);
                  }
                  var CatContinue = ElementTraitement.getElementsByTagName('query-continue')[0];
                  if(CatContinue){
                        AutreRequeteNecessaire = true;
                        var AutreRequeteContinue = CatContinue.getElementsByTagName('categorymembers')[0].getAttribute("cmcontinue");
                  } 
                  if(AutreRequeteNecessaire==true){
                        AdQBAAutresLangues_GetAdQCats(BACats, AdQCats, AutreRequeteContinue);
                  }else{
                        AdQBAAutresLangues_SortCats(BACats, AdQCats);
                  }
            }
      }
      NouvelleRequete.send(null);
}

var CatsToCreate = new Array();

function AdQBAAutresLangues_SortCats(BACats, AdQCats){
     Control_Div.innerHTML = "Sort <br/>AdQ : "+AdQCats.join(", ") + "<br/>BA : "+BACats.join(", ");
      for(var a=0,l=AdQCats.length;a<l;a++){
            var EqBA = AdQCats[a].split("Article de qualité").join("Bon article");
            if(BACats.indexOf(EqBA)==-1){
                  var Lang = EqBA.split("Catégorie:Bon article en ").join("");
                  var NewCat = {"lang":Lang, "type":"Bon article"};
                  CatsToCreate.push(NewCat);
            }
      }
      for(var a=0,l=BACats.length;a<l;a++){
            var EqAdQ = BACats[a].split("Bon article").join("Article de qualité");
            if(AdQCats.indexOf(EqAdQ)==-1){
                  var Lang = EqAdQ.split("Catégorie:Article de qualité en ").join("");
                  var NewCat = {"lang":Lang, "type":"Article de qualité"};
                  CatsToCreate.push(NewCat);
            }
      }
      if(CatsToCreate.length!=0) AdQBAAutresLangues_CreateCats();
}

var CatName = "Catégorie:$1 en $2";
var CatContent = "__HIDDENCAT__\n"
               + "[[Catégorie:$1 dans une autre langue|$2]]";

function AdQBAAutresLangues_CreateCats(position){
      if(!position) position = 0;
      var CatToCreate = CatsToCreate[position];
      if(!CatToCreate){
            document.location = document.URL;
            return;
      }
      var CatLang = CatToCreate.lang;
      var CatType = CatToCreate.type;
      var CatSortKey = AdQBAAutresLangues_NoAccent(CatLang);
      var CategoryName = CatName.split("$1").join(CatType).split("$2").join(CatLang);
      var NouvelleRequete = sajax_init_object()
      var AdresseRequete = wgServer + wgScript + '?title='+encodeURIComponent(CategoryName)+'&action=edit';
      NouvelleRequete.open("GET", AdresseRequete, true);
      NouvelleRequete.onreadystatechange = function() {
            if(NouvelleRequete.readyState != 4) return;
            while(document.body.firstChild){ document.body.removeChild(document.body.firstChild);}
            var ElementTraitement = document.createElement('div');
            document.body.appendChild(ElementTraitement);
            ElementTraitement.innerHTML = NouvelleRequete.responseText; 
            var TextArea = document.getElementById('wpTextbox1');
            var CategoryContent = CatContent
            CategoryContent = CategoryContent.split("$1").join(CatType);
            CategoryContent = CategoryContent.split("$2").join(CatSortKey);
            TextArea.value = CategoryContent;
            if(!confirm("OK ?")) return;
            var action = document.getElementById("editform").action;
            var boundary = '--------123xyz';
            var data = '';
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpTextbox1"\n\n' + document.getElementById ("wpTextbox1").value + '\n'
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpSummary"\n\n' + document.getElementById ("wpSummary").value + '\n'
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpMinoredit"\n\n' + document.editform.wpMinoredit.value + '\n'
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpSection"\n\n'  + document.editform.wpSection.value + '\n'
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpWatchthis"\n\n'  + document.editform.wpWatchthis.value + '\n'
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpStarttime"\n\n'  + document.editform.wpStarttime.value + '\n'
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpEdittime"\n\n'  + document.editform.wpEdittime.value + '\n'
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpEditToken"\n\n'  + document.editform.wpEditToken.value + '\n'
            var ajaxSubmit = sajax_init_object();
            ajaxSubmit.open('POST', action, true);
            ajaxSubmit.setRequestHeader('Content-Type', 'multipart/form-data; boundary='+boundary);
            ajaxSubmit.onreadystatechange = function(){
                  if (ajaxSubmit.readyState != 4) return;
                  while(document.body.firstChild){document.body.removeChild(document.body.firstChild);}
                  var ElementTraitementBis = document.createElement('div');
                  document.body.appendChild(ElementTraitementBis);
                  ElementTraitementBis.innerHTML = ajaxSubmit.responseText; 
                  if(!document.getElementById("editform")){
                        AdQBAAutresLangues_CreateCats((position+1));
                  }else{
                        AdQBAAutresLangues_CreateCats(position);
                  }
            }
            ajaxSubmit.send(data + '--' + boundary);
      }
      NouvelleRequete.send(null);
}

function AdQBAAutresLangues_NoAccent(text){
      text=text.replace(/â/g,"a");
      text=text.replace(/é/g,"e");
      text=text.replace(/è/g,"e");
      text=text.replace(/ê/g,"e");
      text=text.replace(/ë/g,"e");
      text=text.replace(/î/g,"i");
      text=text.replace(/ï/g,"i");
      text=text.replace(/ô/g,"o");
      text=text.replace(/ç/g,"c");
      text=text.replace(/š/g,"s");
      text=text.substring(0,1).toUpperCase() + text.substring(1,text.length);
      return text
}


//</nowiki></pre></source>