/**
 * Permet de masquer, puis d'afficher les liens d'un 
 * article pour en améliorer la lisibilité.
 * 
 * Pour se faire, ce script place un lien en haut de 
 * page : 'Afficher / Masquer les liens de cette page'.
 * Un clic sur l'un des deux liens aura l'effet désiré.
 *
 * Auteurs : Stef48 & Chphe
 **/
 
 
function affFunction() {
  if ((wgNamespaceNumber >= -1) && (wgAction == 'view')) {
    var linkDiv = document.createElement("div");
    linkDiv.innerHTML = "<small><a href=\"javascript:AffLink()\">Afficher</a> \/ <a href=\"javascript:MasLink()\">Masquer</a> les liens de cette page</small>";
    linkDiv.style.textAlign="right";
    linkDiv.id = "AffMasLink";
    var contentNode = document.getElementById("content");
    contentNode.insertBefore(linkDiv, contentNode.firstChild);
    bodyContentNode = document.getElementById("bodyContent");
  }
}
 
function AffLink() {
  var Link1 = bodyContentNode.getElementsByTagName("A");
  for(var i=0; i<Link1.length; i++)  
    Link1[i].style.color = '#002BB8';
}
 
function MasLink() {
  var Link2 = bodyContentNode.getElementsByTagName("A");
  for(var i=0; i<Link2.length; i++)  
    Link2[i].style.color = 'black';
}
 
addOnloadHook(affFunction);