/////////////////////////////////////////// Fonctions diverses ///////////////////////////////////////////////

// Bistro du jour
obtenir('BistroDuJour');

// Maintenance des images
obtenir('AvertissementImage');

// Réglages polices d'écriture 
importStylesheet('Utiisateur:Dr_Brains/polices.css');

// Ouverture liens externes dans un nouvel onglet
addOnloadHook(function() {
    var alinks = document.getElementsByTagName('a');
    var tablink, sitename;
    for (var i = 0, leng = alinks.length; i < leng; i++) {
        tablink = alinks[i];
        if( (tablink.className.indexOf("external")!= -1) && (tablink.href.indexOf(wgServer) == -1))
            tablink.target = "_blank";
    }
});

// Ajout liens discussion et contributions dans la catégorie "Wikipédien désirant être parrainé"
 
function ChercheFilleul(){ 
        if((wgPageName=="Catégorie:Wikipédien_désirant_être_parrainé")&&(wgAction=="view")){
                var CategoryArea = document.getElementById("mw-pages");
                var Ul = CategoryArea.getElementsByTagName("li");
                for(b=0;b<Ul.length;b++){
                        var Lien = Ul[b].getElementsByTagName("a");
                        for(c=0;c<Lien.length;c++){
                              Cible = Lien[c].innerHTML.split(wgFormattedNamespaces[2]+":").join('');
                              var Ajout = ' (<a target="_blank" title="Discussion" href="' + wgServer + wgArticlePath.split('$1').join(wgFormattedNamespaces[3]+":"+encodeURIComponent(Cible)) + '" >d</a>'
                              Ajout += ' - <a target="_blank" title="Contributions" href="' + wgServer + wgArticlePath.split('$1').join('Special:Contributions/' + encodeURIComponent(Cible)) + '" >c</a>)';
                        }
                        Ul[b].innerHTML += Ajout; 
                }
        }
}
addOnloadHook(ChercheFilleul);

// Interwikis dans les pages perso .js et .css
addOnloadHook(function(){
      var AllSkins = new Array();
      AllSkins.push('monobook');
      AllSkins.push('modern');
      AllSkins.push('vector');
      AllSkins.push('chick');
      AllSkins.push('myskin');
      AllSkins.push('simple');

      var MatchSkin = false;
      for(var b=0;b<AllSkins.length;b++){
            if(wgTitle == wgUserName+'/'+AllSkins[b]+'.js') MatchSkin = true;
            if(wgTitle == wgUserName+'/'+AllSkins[b]+'.css') MatchSkin = true;
      }
      if(!MatchSkin) return;

      var PLang = document.getElementById('p-lang');
      if(!PLang){
            var Column = document.getElementById('column-one');
            if(!Column) Column = document.getElementById('mw-portlets');
            if(Column){
                  var PortletClass = 'portlet';
                  var PBodyClass = 'pBody';
            }
            if(!Column){
                  Column = document.getElementById('mw-panel');
                  var PortletClass = 'portal';
                  var PBodyClass = 'body';
            }
            if(Column){
                  PLang = document.createElement('div');
                  PLang.id = 'p-lang';
                  PLang.className = PortletClass;
                  PLang.innerHTML = '<h5>Autres langues</h5><div class="'+PBodyClass+'"><ul></ul></div>';
                  Column.appendChild(PLang);
            }
      }
      if(!PLang) return;
      var LangUl = PLang.getElementsByTagName('ul')[0];

      var OtherLangagesWikipedia = new Array();
      OtherLangagesWikipedia.push('en');
      OtherLangagesWikipedia.push('es');
      OtherLangagesWikipedia.push('de');
      OtherLangagesWikipedia.push('it');
      
      for(var a=0;a<OtherLangagesWikipedia.length;a++){
            LangUl.innerHTML += '<li><a href="http://'+OtherLangagesWikipedia[a]+'.wikipedia.org/wiki/User:'+wgTitle+'">'+OtherLangagesWikipedia[a]+'</a></li>'
      }
});

// Réouverture des boîtes déroulantes entourées d'un <div class="BoiteOuverte"></div>
addOnloadHook(function(){
      var AllDivs = document.getElementsByTagName('div');
      for(var a=0;a<AllDivs.length;a++){
            if(hasClass(AllDivs[a], "BoiteOuverte")){
                  var AllDivsBis = AllDivs[a].getElementsByTagName('div');
                  for(var b=0;b<AllDivsBis.length;b++){
                        if(hasClass(AllDivsBis[b], "NavFrame")){
                              var index = AllDivsBis[b].id.split('NavFrame').join('');
                              toggleNavigationBar(index);
                        }
                  }
            }
      }
});

// Ouverture recherche dans un nouvel onglet
addOnloadHook(function(){
     var FormeRecherche = document.getElementById('searchform');
     if(FormeRecherche) FormeRecherche.setAttribute("target", "_blank");
});

// Retour automatique après connexion et ajout/retrait d'une page dans la liste de suivi
if( (document.URL.indexOf("&action=watch")!=-1) || (document.URL.indexOf("&action=unwatch")!=-1) || wgCanonicalSpecialPageName == "Userlogin" ) addOnloadHook(AutoReturnTo);

var AutoReturnTo_Target;
var AutoReturnTo_Tempo = 5
var AutoReturnTo_Enabled = true;
function AutoReturnTo(){
    var ReturnP = document.getElementById("mw-returnto");
    if(!ReturnP) return;
    var ReturnLink = ReturnP.getElementsByTagName('a')[0];
    if(ReturnLink){
        AutoReturnTo_Target = ReturnLink.href;
        var CountDown = document.createElement('sup');
        var CountDownLink = document.createElement('a');
        CountDownLink.id = 'AutoReturnTo_CountDown';
        CountDownLink.innerHTML = AutoReturnTo_Tempo;
        CountDownLink.href = "javascript:AutoReturnTo_Disable();";
        CountDown.appendChild(CountDownLink);

        ReturnP.appendChild(CountDown);
        setTimeout("AutoReturnTo_CountDown();", 1000);
    }
}

function AutoReturnTo_CountDown(){
    var CountDown = document.getElementById('AutoReturnTo_CountDown');
    if( !CountDown || !AutoReturnTo_Enabled ) return;
    var Count = parseInt(CountDown.innerHTML);
    Count = (Count-1);
    CountDown.innerHTML = Count;
    if(Count == 0){
        document.location=AutoReturnTo_Target;
        return;
    }else{
        setTimeout("AutoReturnTo_CountDown()", 1000);
    }
}

function AutoReturnTo_Disable(){
    var CountDown = document.getElementById('AutoReturnTo_CountDown');
    if(CountDown) CountDown.parentNode.removeChild(CountDown);
    AutoReturnTo_Enabled=false;
}


// insertion de balises personnalisées
var BalisePerso_defaultbalise = "s";
 
function BalisePerso_onclickBalise() {
  var balise = window.prompt("Nom de la balise ?", BalisePerso_defaultbalise);
  if(balise != null)
    insertTags('<' + balise + '>','</' + balise + '>', '');
}
 
function BalisePerso_insertBalise() {
  var specialcharsets = document.getElementById("specialcharsets");
  if (specialcharsets == null) return;
  var insertBalisesP = specialcharsets.getElementsByTagName("p")[0];
  if(!insertBalisesP) return;
  var insertBalises = insertBalisesP.getElementsByTagName("a");
  for(var a=0,l=insertBalises.length;a<l;a++){  
    var ThisBalise = insertBalises[a];
    if(ThisBalise.innerHTML == "&lt;&gt;&lt;/&gt;" || ThisBalise.innerHTML == "<></>") ThisBalise.href = "javascript:BalisePerso_onclickBalise();";
    else continue;   
  }
}
addOnloadHook(BalisePerso_insertBalise);


/////////////////////////////////////////////////////// Nombre au hasard

function rand(top, down){
   if(!down) down = 0;
   if(!top) top = 1;
   return Math.floor(Math.random()*((top-down)+1)+down);
}