var Help = new Object();
Help.Variables = new Object();

/* ========================================================================================================================= */

Help.Variables.Params = new Object();
Help.Variables.Params.Page = "Utilisateur:Dr_Brains/Help";


Help.Variables.Options = new Object();
Help.Variables.Options.AutoGetPanel = false;
Help.Variables.Options.PanelHeight = 220;

Help.Variables.Texts = new Object();
Help.Variables.Texts.ButtonAlt = "Aide";

/* ========================================================================================================================= */



Help.Functions = new Object();
Help.Functions.AjaxIntit = function(){
    var xmlhttp;
    try {
      xmlhttp = new XMLHttpRequest(); 
    } catch(e) { 
      try {
        xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
      } catch (e) { 
        try {
          xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
        } catch (e) {
          xmlhttp = false
        }
      }
    }
    return xmlhttp;
};
Help.Functions.AjaxDoRequest = function(bundle){
    var xmlhttp = Help.Functions.AjaxIntit();
    if (!xmlhttp) return;
    xmlhttp.onreadystatechange = function() {
        if (xmlhttp.readyState == 4) Help.Functions.AjaxReadRequest(xmlhttp,bundle);
    };
    xmlhttp.open(bundle.method ? bundle.method : "GET",bundle.url,bundle.async == false ? false : true);
    if (bundle.headers) {
        for (var field in bundle.headers)
        try {
            xmlhttp.setRequestHeader(field,bundle.headers[field]);
        } catch(err) { }
    }
    xmlhttp.send(bundle.data ? bundle.data : null); 
    return xmlhttp;
};
Help.Functions.AjaxReadRequest = function(xmlhttp, bundle){
    if (xmlhttp.status == 200 || xmlhttp.status == 302) {
      if (bundle.onSuccess)
        bundle.onSuccess(xmlhttp,bundle);
    } else if (bundle.onFailure) {
      bundle.onFailure(xmlhttp,bundle); 
    }};
Help.Functions.Init = function(){
    Help.Functions.AjaxDoRequest({url:wgServer + wgScript + "?title="+encodeURIComponent(Help.Variables.Params.Page)+"&action=render",
                                  onSuccess:Help.Functions.InitPanel
    });

};
Help.Functions.InitPanel = function(Req, data){
    if(Help.Variables.running==true) return;
    Help.Variables.running=true;
    var Div = document.createElement('div'); 
    Div.innerHTML = Req.responseText;
    document.body.appendChild( Div);

    var HelpButton = document.getElementById("HelpButton");
    if(!HelpButton) return;
    var Links = HelpButton.getElementsByTagName('a');
    for(var a=0,l=Links.length;a<l;a++){
        var Link = Links[a];
        Link.href = "javascript:;" 
        Link.onclick = function (){ Help.Functions.GetPanel(); return false; };
    }
    var LinkList = document.getElementById("HelpLinksList");
    if(!LinkList) return;
    Help.Functions.TransformLinks(LinkList);  

    Help.Functions.TransformLinks(document.getElementById("HelpScreenContaint"));
    Help.Functions.InitButtons();
    Help.Functions.GetPanel();
    if(Help.Variables.Options.AutoGetPanel){
      Help.Functions.GetPanel();
    }
};

Help.Functions.InitHelpScreen = function(){
    document.getElementById("HelpContainer").style.display = "none";
    document.getElementById("DefaultScreen").style.display = "";
    var HelpScreenContaint = document.getElementById("HelpScreenContaint");
    if(HelpScreenContaint){
        HelpScreenContaint.style.backgroundColor =  "#002000";
        HelpScreenContaint.style.color =  "black";
    }

}

Help.Functions.InitThisButton = function (ID, HREF, ONCLICK){
    var Button = document.getElementById(ID);
    if(Button){
        var ButtonLink = Button.getElementsByTagName('a')[0];
        if(ButtonLink){
            ButtonLink.href= (HREF ? HREF : "javascript:;");
            if(ONCLICK) ButtonLink.onclick = ONCLICK
        }
    }
}

Help.Functions.InitButtons = function (){

// Boutons
    Help.Functions.InitThisButton("HomeButton",     false, function(){  Help.Functions.InitHelpScreen(); Help.Functions.getMenu(this, true); });
    Help.Functions.InitThisButton("ExpandButton",   false, function(){ Help.Functions.ExpandCollapsePanel(20);                               });        
    Help.Functions.InitThisButton("CollapseButton", false, function(){ Help.Functions.ExpandCollapsePanel(-20);                              });
    Help.Functions.InitThisButton("InfoButton",     false, function(){ Help.Functions.getPageInfo(this);                                     });

// Liens
    var PrettyURL = wgServer + wgArticlePath.split("$1").join("");
    var UglyURL = wgServer + wgScript + "?title=";
    var CodedPageName = encodeURIComponent(wgPageName);
    var CodedTitle = encodeURIComponent(wgTitle);
    var BaseTitle = wgTitle.replace(/\/.*/g, "");
    var CodedBaseTitle = encodeURIComponent(BaseTitle);
    var OtherSpaceNumber = (( wgNamespaceNumber % 2 == 0) ? (wgNamespaceNumber+1) : (wgNamespaceNumber-1) );
    var OtherSpaceName = ( (OtherSpaceNumber!=0 &&  OtherSpaceNumber!="0") ? wgFormattedNamespaces[OtherSpaceNumber]+":" : "");

    Help.Functions.InitThisButton("HistButton",                (UglyURL+CodedPageName+"&action=history")                  );
    Help.Functions.InitThisButton("LogButton",                 (UglyURL+"Special:Log&page="+CodedPageName)                );
    Help.Functions.InitThisButton("WatchButton",               (UglyURL+CodedPageName+"&action=watch")                    );
    Help.Functions.InitThisButton("UnwatchButton",             (UglyURL+CodedPageName+"&action=unwatch")                  );
    Help.Functions.InitThisButton("SubpagesButton",            (PrettyURL+"Special:Prefixindex/"+CodedPageName+"/")       );
    Help.Functions.InitThisButton("WhatlinkshereButton",       (PrettyURL+"Special:Whatlinkshere/"+CodedPageName)         );
    Help.Functions.InitThisButton("RecentchangeslinkedButton", (PrettyURL+"Special:Recentchangeslinked/"+CodedPageName)   );

    Help.Functions.InitThisButton("TalkButton",                (PrettyURL+OtherSpaceName+CodedTitle)                      );
    Help.Functions.InitThisButton("EditButton",                (UglyURL+CodedPageName+"&action=edit")                     );
    Help.Functions.InitThisButton("MoveButton",                (PrettyURL+"Special:Movepage/"+CodedPageName)              );
    Help.Functions.InitThisButton("DeleteButton",              (UglyURL+CodedPageName+"&action=delete")                   );
    Help.Functions.InitThisButton("UndeleteButton",            (UglyURL+CodedPageName+"&action=undelete")                 );
    Help.Functions.InitThisButton("ProtectButton",             (UglyURL+CodedPageName+"&action=protect")                  );
    Help.Functions.InitThisButton("UnprotectButton",           (UglyURL+CodedPageName+"&action=unprotect")                );

    Help.Functions.InitThisButton("UserTalkButton",            (PrettyURL+wgFormattedNamespaces[3]+":"+CodedBaseTitle)    );
    Help.Functions.InitThisButton("ContribButton",             (PrettyURL+"Special:Contributions/"+CodedBaseTitle)        );
    Help.Functions.InitThisButton("DeletedContribButton",      (PrettyURL+"Special:Deletedcontributions/"+CodedBaseTitle) );
    Help.Functions.InitThisButton("BlockButton",               (PrettyURL+"Special:Blockip/"+CodedBaseTitle)              );



    Help.Functions.InitInterfaceButtons();
    Help.Functions.InitSearchButtons("HelpSearchBox");
}

Help.Functions.InitSearchButtons = function(ID){
    var SearchDiv = document.getElementById(ID);
    if(!SearchDiv) return;
    var Form = SearchDiv.getElementsByTagName('form')[0];
    if(!Form) return;
    Form.action = "javascript:Help.Functions.AjaxDoSearch(this);";
    var Input = getElementsByClassName(Form, "input", "searchboxInput")[0];
    if(!Input) return;
    Input.onkeyup = function(){
        Help.Functions.AjaxSearchSuggestions(this);
    }
}

Help.Functions.AjaxDoSearch = function(Form){

}
Help.Functions.AjaxSearchSuggestions = function(Input){

}

Help.Functions.getPageInfo = function(Link){
    Help.Functions.getMenu(Link, false);
    var OtherSpaceNumber = (( wgNamespaceNumber % 2 == 0) ? (wgNamespaceNumber+1) : (wgNamespaceNumber-1) );
    var OtherSpaceName = ( (OtherSpaceNumber!=0 &&  OtherSpaceNumber!="0") ? wgFormattedNamespaces[OtherSpaceNumber]+":" : "");
    var URL = wgServer + wgScriptPath + "/api.php?format=xml&action=query&prop=info"
            + "&inprop=protection|talkid|watched|subjectid|url|readable|preload|displaytitle"
            + "&titles=" 
            + encodeURIComponent(wgPageName) + ( (wgNamespaceNumber!=-1) ? "|"+ encodeURIComponent(OtherSpaceName + wgTitle) : "");
    Help.Functions.AjaxDoRequest({url:URL,onSuccess:Help.Functions.receivePageInfo});
}

Help.Functions.InitInterfaceButtons = function (){
    var ButtonDiv = document.getElementById("HelpPageButtons");
    if(!ButtonDiv) return;
    var ClassN = new Array("portlet", "portal", "vectorTabs", "vectorMenu");
    var Personal = document.getElementById("p-personal");
    if(Personal) addClass(Personal, "portlet");
    for (var c=0,k=ClassN.length;c<k;c++){        
        var Portlets = getElementsByClassName(document, "div", ClassN[c]);
        for(var a=0,l=Portlets.length;a<l;a++){
            //if(Portlets[a].id == "p-cactions") continue;
            var Portlet = Portlets[a];
            var H5 = Portlet.getElementsByTagName('h5')[0];
            var UL = Portlet.getElementsByTagName('ul')[0];
            if(!H5 || !UL) continue;
            var Titre = getTextContent(H5);       
            var Button = document.createElement('span');
            Button.className = "Button";
            Button.id = ( Portlet.id ? "Button_"+Portlet.id :"Button_"+a);
            var Link = document.createElement('a');
            Link.title = Titre;
            Link.href = "javascript:;";
            Link.onclick = function(){
                    Help.Functions.getMenu(this, true);
            };
            var Image = document.createElement('img');
            Image.src = "http://upload.wikimedia.org/wikipedia/commons/thumb/2/2c/Crystal_Clear_action_1uparrow.png/20px-Crystal_Clear_action_1uparrow.png";
            Image.height = 20;
            Image.width = 20;
           Image.alt = Titre;
            Link.appendChild(Image);
            Button.appendChild(Link);
            var NewUL = document.createElement('ul');
            NewUL.innerHTML = UL.innerHTML;
            Button.appendChild(NewUL);
            ButtonDiv.appendChild(Button);
            var HelpPanel = document.getElementById("HelpPanel");
            if(!HelpPanel) return;
            NewUL.setAttribute("style", "display:none;");
        }
    }    
}
Help.Functions.getMenu = function(TheNode, reboot){
    var TheButton = TheNode.parentNode;
    var TheUL = TheButton.getElementsByTagName('ul')[0];
    var TheButtonDiv = document.getElementById("HelpPageButtons");
    if(!TheButtonDiv) return;
    var AllUls = TheButtonDiv.getElementsByTagName('ul');
    if(reboot) Help.Functions.InitHelpScreen();
    for(var b=0,m=AllUls.length;b<m;b++){   
        if(AllUls[b]==TheUL && !hasClass(AllUls[b], "ButtonOpened")){
            document.getElementById("HelpContainer").style.display = "";
            document.getElementById("DefaultScreen").style.display = "none";
            document.getElementById("HelpContainer").innerHTML = "<ul>" + AllUls[b].innerHTML + "</ul>";
            addClass(AllUls[b], "ButtonOpened");
            var HelpScreenContaint = document.getElementById("HelpScreenContaint");
            if(HelpScreenContaint) HelpScreenContaint.style.backgroundColor =   "#A0E0C0";
        }else{
            removeClass(AllUls[b], "ButtonOpened");
        }
    }
}
Help.Functions.receivePageInfo = function(Req, data){
    var ObjetXML = Req.responseXML;
    var Pages = ObjetXML.getElementsByTagName('page');
    var ThesesPages = new Array();
    for(var a=0,l=Pages.length;a<l;a++){
        var Page = Pages[a];   
        var PageName = Page.getAttribute('title'); 
        ThesesPages[PageName] = new Array();
        lenj = Page.attributes.length;
        for (j=0; j<lenj; j++) {
            var AttributeName = Page.attributes[j].name;
            var AttributeValue = Page.attributes[j].value;
            ThesesPages[PageName][AttributeName] = AttributeValue;
        }
    }
    Help.Functions.displayPageInfo(ThesesPages);
}

Help.Functions.displayPageInfo = function(data){    
    var HelpContainer = document.getElementById("HelpContainer");
    while(HelpContainer.firstChild){HelpContainer.removeChild(HelpContainer.firstChild); }
    var PagesNumber = data.length;
    var Table = document.createElement('table');
    Table.setAttribute("style", "background:none;width:100%");
    var TR = document.createElement('tr');
    for(var Page in data){
        var Thispage = data[Page];
        var TD = document.createElement('td');
        TD.setAttribute("style", "valign:top;width:" + parseInt(100/PagesNumber) +"%");
        var P = document.createElement('p');
        P.innerHTML = "<b><big>"+Page+"</big></b>";
        TD.appendChild(P);
        var UL = document.createElement('ul');
        for(var info in Thispage){
            var LI = document.createElement('li');
            LI.innerHTML = info + " = " + Thispage[info];
            UL.appendChild(LI);
        }
        TD.appendChild(UL);
        TR.appendChild(TD);
    }
    Table.appendChild(TR);
    HelpContainer.appendChild(Table);
    Help.Functions.TransformLinks(HelpContainer);
    document.getElementById("DefaultScreen").style.display = "none";
    HelpContainer.style.display = "";
    var HelpScreenContaint = document.getElementById("HelpScreenContaint");
    if(HelpScreenContaint) HelpScreenContaint.style.backgroundColor =   "#A0E0C0";
    Help.Functions.TransformLinks(HelpContainer);
}

Help.Functions.ExpandCollapsePanel = function(x){
    var HelpScreenContaint = document.getElementById("HelpScreenContaint");
    var HelpLinksList = document.getElementById("HelpLinksList");
    if(!HelpScreenContaint || !HelpLinksList) return;
    Help.Variables.Options.PanelHeight = (Help.Variables.Options.PanelHeight + x);
    HelpLinksList.style.height = Help.Variables.Options.PanelHeight + "px";
    HelpScreenContaint.style.height = Help.Variables.Options.PanelHeight + "px";
}
Help.Functions.GetPanel = function(){
    var Panel = document.getElementById("HelpPanel");
    var HelpButton = document.getElementById("HelpButton");
    var CUT = getElementsByClassName(HelpButton, "span", "Bouton_Default")[0];
    var OFF = getElementsByClassName(HelpButton, "span", "Bouton_Off")[0];
    var ON = getElementsByClassName(HelpButton, "span", "Bouton_On")[0];
    if(!Panel ||!HelpButton ||!ON || !OFF ||!CUT) return;
    if(Panel.style.display =="none"){
        Panel.style.display = "";
        ON.style.display = "";
        OFF.style.display = "none";
        CUT.style.display = "none";
    }else{
        Panel.style.display = "none";
        ON.style.display = "none";
        OFF.style.display = "";
        CUT.style.display = "none";
        return;
    }  
};

Help.Functions.TransformLinks = function(TheNode){
    if(!TheNode) return;
    var AllLinks = TheNode.getElementsByTagName('a');
    for(var a=0,l=AllLinks.length;a<l;a++){
        var Link = AllLinks[a];
        if(hasClass(Link, "external")){
            Link.target = "_blank";
            continue;
        }
        if(hasClass(Link, "image")){
            Link.href = "javascript:;";
            continue;
        }
        if(hasClass(Link, "editsection")){
            Link.style.display = "none";
            continue;
        }      
        if(Link.href.indexOf("javascript:")!=-1){
            continue;
        }  
        Link.onclick = function(){ Help.Functions.loadPageFromLink(this); return false; };
    } 
};
Help.Functions.loadPage = function(URL){
    Help.Functions.AjaxDoRequest({url:URL,onSuccess:function(Req, data){
        var URL = data.url;
        var HelpContainer = document.getElementById("HelpContainer");
        while(HelpContainer.firstChild){HelpContainer.removeChild(HelpContainer.firstChild); }
        HelpContainer.innerHTML = Req.responseText;
        Help.Functions.TransformLinks(HelpContainer);
        document.getElementById("DefaultScreen").style.display = "none";
        HelpContainer.style.display = "";
        var HelpScreenContaint = document.getElementById("HelpScreenContaint");
        if(HelpScreenContaint) HelpScreenContaint.style.backgroundColor =  "#B0FF60";
    }});

}

Help.Functions.loadPageFromLink = function(Link){
    if(!Link) return;
    var URL = Link.href + "?action=render";
    Help.Functions.loadPage(URL);

}

/* ========================================================================================================================= */

if(wgPageName!="Utilisateur:Dr_Brains/Help"){

 importStylesheet('Utilisateur:Dr Brains/Help.css');

 addOnloadHook(Help.Functions.Init);
}