/* ************************************************************************************************************************************************
// Extension de LiveRC

// Changement de taille de la fenêtre de prévisualisation
 

{{Projet:JavaScript/Script|LiveRC}} 

************************************************************************************************************************************************ */
if (typeof(lrcHooks)!="undefined") { // DÉBUT IF

/* ************************************************************************************************************************************************ */

var lrc_PreviewSizeButton = new Array({
                                        "text"  : "-",
                                        "title" : "Diminuer la hauteur de la fenêtre de prévisualisation",
                                        "value" : -30
                                      },{
                                        "text"  : "+",
                                        "title" : "Augmenter la hauteur de la fenêtre de prévisualisation",
                                        "value" : 30
                                      },{
                                        "text"  : "?",
                                        "title" : "Modifier la hauteur de la fenêtre de prévisualisation",
                                        "value" : 0
                                      },{
                                        "text"  : "Nouvelle hauteur :",
                                      });
lrcManageParams_Desc['Desclrc_PreviewSizeButton'] = new Array('Paramètres de PreviewSizeExtension', 'PreviewSizeExtension');
 

function LiveRC_PreviewSizeExtension_AddLink(){
    var lvPreviewFoot = document.getElementById( 'livePreviewFoot' );
    if(!lvPreviewFoot) return;
    var Span = document.createElement('span');
    Span.id = "PreviewSizeButtons"
    for(var a=0,l=3;a<l;a++){
        var Input = document.createElement('input');
        Input.type = "button";
        Input.id = "PreviewSizeButton_" + a;
        Input.value = lrc_PreviewSizeButton[a]["text"];
        Input.title = lrc_PreviewSizeButton[a]["title"];
        Input.setAttribute('style', 'padding:0;');
        Input.onclick = function(){
            var Index = parseInt(this.id.split("PreviewSizeButton_").join(""));
            LiveRC_PreviewSizeExtension_Modify(lrc_PreviewSizeButton[Index]["value"]);
        }
        Input.onselect = function(){
            var Index = parseInt(this.id.split("PreviewSizeButton_").join(""));
            LiveRC_PreviewSizeExtension_Modify(lrc_PreviewSizeButton[Index]["value"]);
        }
        Span.appendChild(Input);
    }
    lvPreviewFoot.appendChild(document.createTextNode(" "));
    lvPreviewFoot.appendChild(Span);
}

function LiveRC_PreviewSizeExtension_Modify(Value){
    var livePreview = document.getElementById("livePreview");
    if(!livePreview) return;
    var CurrentHeight = parseInt(livePreview.style.height.split("px").join(""));
    if(!Value){
        Value = prompt(lrc_PreviewSizeButton[3]["text"], CurrentHeight);
        if(!Value) return;
        Value = parseInt(Value);
    }else{
        Value = Value + CurrentHeight;
    }
    var NewValue = Value + "px";
    livePreview.style.height = NewValue;
    lrcPreviewHeight = NewValue;
}

LiveRC_AddHook("AfterOptions", LiveRC_PreviewSizeExtension_AddLink);
LiveRC_AddHook("AfterFillParamPanel", function(){
    LiveRC_ManageParams_Fill(lrc_PreviewSizeButton, "lrc_PreviewSizeButton");
});
/* ************************************************************************************************************************************************ */
} // FIN IF