/* ************************************************************************************************************************************************
// Extension de LiveRC

// Révocation dans la fenêtre de prévisualisation (pas au point !!!!!)

{{Projet:JavaScript/Script|LiveRC}} 

************************************************************************************************************************************************ */
if (typeof(lrcHooks)!="undefined") { // DÉBUT IF

/* ************************************************************************************************************************************************ */


function LiveRC_RevocationExtension_ModifyLink(){
     var Content = document.getElementById("livePreview");
     if(!Content) return;
     var rollbackLink = Content.getElementsByTagName("span");
     for (var a=0,m=rollbackLink.length;a<m;a++) {
         if (hasClass(rollbackLink[a], "mw-rollback-link" )){
              var thisLink = rollbackLink[a].getElementsByTagName("a");
              for (var i=0,l=thisLink.length;i<l;i++) {
                    var URL = thisLink[i].getAttribute("href");
                    if(URL.indexOf(wgServer)==-1) URL = wgServer + URL;
                    thisLink[i].setAttribute("href", "javascript:LiveRC_RevocationExtension_Process('"+encodeURIComponent(URL)+"');");
               }
          }
     }

}

function LiveRC_RevocationExtension_Process(URL){
     URL = decodeURIComponent(URL);
     var http = new sajax_init_object() ;
     http.open('POST', URL, true);
     http.onreadystatechange = function () {
          if (http.readyState != 4) return;
          LiveRC_RevocationExtension_Done(http.responseText);
     }
     http.send(null);
}

function LiveRC_RevocationExtension_Done(Text){
     var Content = document.getElementById("livePreview");
     if(!Content) return;
     Content.innerHTML = '<div class="lrcRevocationMessage">'+Text+'</div>' + Content.innerHTML;
}

LiveRC_AddHook("AfterPreviewDiff", LiveRC_RevocationExtension_ModifyLink);
LiveRC_AddHook("AfterPreviewHistory", LiveRC_RevocationExtension_ModifyLink);
LiveRC_AddHook("AfterPreviewContribs", LiveRC_RevocationExtension_ModifyLink);

/* ************************************************************************************************************************************************ */
} // FIN IF