/**
 * Outils pour réverter
 *
 * Fournit des liens dans les pages de diff
 *
 * Auteurs : Lorian (en), Chphe (fr)
 * Dernière révision : 3 novembre 2006
 * {{Projet:JavaScript/Script}}
 */
//<source lang=javascript>
//<pre><nowiki>

// _GET code from NoGray JS Library http://www.nogray.com/new_site/
var _GET = new Array();
var _uri = location.href;

var _temp_get_arr = _uri.substring(_uri.indexOf('?')+1, _uri.length).split("&");

var _temp_get_arr_1 = new Array();

for(_get_arr_i=0; _get_arr_i<_temp_get_arr.length; _get_arr_i++){
        _temp_get_arr_1 = _temp_get_arr[_get_arr_i].split("=");
        _GET[decodeURI(_temp_get_arr_1[0])] = decodeURI(_temp_get_arr_1[1]);
}

delete _uri; delete _temp_get_arr; delete _temp_get_arr_1;

function getMessage (chemin, where, user1, user2) {
  var message = prompt ('Quel message faut-il laisser ?', '');
  if (message) {
    window.location = chemin + '&'+where+'=2&user1='+user1+'&user2='+user2+'&message='+message;
  }
}

addOnloadHook(function (){
  if (location.href.match(/diff=/)) {
    // Get username of submitter
    var user1 = getElementsByClass('diff-otitle',null,'td');

    if(user1.length == 0) return;

    // Récupération du chemin vers la version à rétablir
    var chemin = encodeURI(user1[0].getElementsByTagName('a')[1].href);
    user1 = user1[0].getElementsByTagName('a')[2].innerHTML;

    var user2 = getElementsByClass('diff-ntitle',null,'td'); user2 = user2[0].getElementsByTagName('a')[2].innerHTML;
    if (user2 == "défaire"){ 
      user2 = getElementsByClass('diff-ntitle',null,'td'); user2 = user2[0].getElementsByTagName('a')[3].innerHTML; 
    }

    var MenuLiens = '('
                  + '<a href="'+chemin+'&revert=1&user1='+user1+'&user2='+user2+'">Annuler</a>'
                  + ' / '
                  + '<a href="javascript:var message = getMessage(\''+chemin+'\', \'revert\', \''+user1+'\', \''+user2+'\');">Message</a>'
                  + ') ('
                  + '<a href="'+chemin+'&vandalism=1&user1='+user1+'&user2='+user2+'">Vandalisme</a>'
                  + ' / '
                  + '<a href="javascript:var message = getMessage(\''+chemin+'\', \'vandalism\', \''+user1+'\', \''+user2+'\');">Message</a>'
                  + ') (Avertir : '
                  + '<a href="http://fr.wikipedia.org/w/index.php?title=User_talk:'+user2+'&action=edit&section=new&warn=1">Test0</a>'
                  + ' / '
                  + '<a href="http://fr.wikipedia.org/w/index.php?title=User_talk:'+user2+'&action=edit&section=new&warn=2">Test1</a>'
                  + ' / '
                  + '<a href="http://fr.wikipedia.org/w/index.php?title=User_talk:'+user2+'&action=edit&section=new&warn=3">Test2</a>'
                  + ' / '
                  + '<a href="http://fr.wikipedia.org/w/index.php?title=User_talk:'+user2+'&action=edit&section=new&warn=4">Test3</a>'
                  + ' / '
                  + '<a href="http://fr.wikipedia.org/w/index.php?title=User_talk:'+user2+'&action=edit&section=new&warn=5">Bienvenue spammeur</a>'
                  + ')';
    document.getElementById('contentSub').innerHTML = MenuLiens;
  } else if (location.href.match(/revert=1/)) {
    document.getElementById('wpSummary').value = 'Révocation des modifications par [[Special:Contributions/'+_GET['user2']+'|'+_GET['user2']+']] ; retour à la version de [[Special:Contributions/'+_GET['user1']+'|'+_GET['user1']+']]';
    document.getElementById('editform').submit();
  } else if (location.href.match(/revert=2/)) {
    document.getElementById('wpSummary').value = 'Révocation des modifications par [[Special:Contributions/'+_GET['user2']+'|'+_GET['user2']+']] ; retour à la version de [[Special:Contributions/'+_GET['user1']+'|'+_GET['user1']+']] ('+_GET['message']+')';
    document.getElementById('editform').submit();
  } else if (location.href.match(/vandalism=1/)) {
    document.getElementById('wpSummary').value = 'Révocation de vandalisme par [[Special:Contributions/'+_GET['user2']+'|'+_GET['user2']+']] ; retour à la version de [[Special:Contributions/'+_GET['user1']+'|'+_GET['user1']+']]';
    document.getElementById('editform').submit();
  } else if (location.href.match(/vandalism=2/)) {
    document.getElementById('wpSummary').value = 'Révocation de vandalisme par [[Special:Contributions/'+_GET['user2']+'|'+_GET['user2']+']] ; retour à la version de [[Special:Contributions/'+_GET['user1']+'|'+_GET['user1']+']] ('+_GET['message']+')';
    document.getElementById('editform').submit();
  } else if (location.href.match(/warn=1/)) {
    document.getElementById('wpSummary').value = 'Avertissement';
    document.getElementById('wpTextbox1').value = '{{sub'+'st:test0}} ~~'+'~~';
    document.getElementById('editform').submit();
  } else if (location.href.match(/warn=2/)) {
    document.getElementById('wpSummary').value = 'Avertissement';
    document.getElementById('wpTextbox1').value = '{{sub'+'st:test1}} ~~'+'~~';
    document.getElementById('editform').submit();
  } else if (location.href.match(/warn=3/)) {
    document.getElementById('wpSummary').value = 'Avertissement';
    document.getElementById('wpTextbox1').value = '{{sub'+'st:test2}} ~~'+'~~';
    document.getElementById('editform').submit();
  } else if (location.href.match(/warn=4/)) {
    document.getElementById('wpSummary').value = 'Avertissement';
    document.getElementById('wpTextbox1').value = '{{sub'+'st:test3}} ~~'+'~~';
    document.getElementById('editform').submit();
  } else if (location.href.match(/warn=5/)) {
    document.getElementById('wpSummary').value = 'Avertissement';
    document.getElementById('wpTextbox1').value = '{{sub'+'st:Bienvenue spammeur}} ~~'+'~~';
    document.getElementById('editform').submit();
  }
});



function RevertDiff_Revert(url, Sommaire, Texte, patrolURL){
  var arg = new Array();
  arg[0] = Sommaire;
  arg[1] = Texte;

  var func1 = function(){
      if(arg[0]) document.getElementById('wpSummary').value = Texte;
      if(arg[1]) document.getElementById('wpTextbox1').value = Sommaire;
      var func2;
      if(patrolURL) func2 = function(){
        document.location = patrolURL;
      }
      RevertDiff_EditionSave(func2, arg);
  }
  RevertDiff_EditionGet(url, func1, arg)
}


/*

Appel d'une fenêtre d'édition

Lorsque la requête est effectuée une fonction "func" peut être lancée, avec en argument des variables "arg" ( si plusieurs variables, les regrouper dans une Array )

*/

function RevertDiff_EditionGet(url, func, arg){
  var ajaxSubmit = sajax_init_object();
  ajaxSubmit.open('GET', url, true);
  ajaxSubmit.onreadystatechange = function(){
    if (ajaxSubmit.readyState == 4){
       var Reponse = ajaxSubmit.responseText; 
       while(document.body.firstChild){document.body.removeChild(document.body.firstChild);}
       document.body.innerHTML = ajaxSubmit.responseText; 
       if(func.typeof=='function') func(arg);
    }
  }
  ajaxSubmit.send(null);
}

/*

Sauvegarde d'une fenêtre d'édition

Lorsque la sauvegarde est effectuée une fonction "func" peut être lancée, avec en argument des variables "arg" ( si plusieurs variables, les regrouper dans une Array )

*/

function RevertDiff_EditionSave(func, arg){
  var action = document.getElementById("editform").action;
  var boundary = '--------123xyz';
  var data = '';
  data += '--' + boundary + '\nContent-Disposition: form-data; name="wpTextbox1"\n\n' + document.editform.wpTextbox1.value+ '\n'
  data += '--' + boundary + '\nContent-Disposition: form-data; name="wpSection"\n\n' + document.editform.wpSection.value + '\n'
  data += '--' + boundary + '\nContent-Disposition: form-data; name="wpSummary"\n\n' + document.editform.wpSummary.value + '\n'
  data += '--' + boundary + '\nContent-Disposition: form-data; name="wpMinoredit"\n\n' + document.editform.wpMinoredit.value + '\n'
  data += '--' + boundary + '\nContent-Disposition: form-data; name="wpStarttime"\n\n' + document.editform.wpStarttime.value + '\n'
  data += '--' + boundary + '\nContent-Disposition: form-data; name="wpEdittime"\n\n' + document.editform.wpEdittime.value + '\n'
  data += '--' + boundary + '\nContent-Disposition: form-data; name="wpEditToken"\n\n' + document.editform.wpEditToken.value + '\n'
  var ajaxSubmit = sajax_init_object();
  ajaxSubmit.open('POST', action, true);
  ajaxSubmit.setRequestHeader('Content-Type', 'multipart/form-data; boundary='+boundary);
  ajaxSubmit.onreadystatechange = function(){
    if (ajaxSubmit.readyState == 4){
       var Reponse = ajaxSubmit.responseText; 
       while(document.body.firstChild){document.body.removeChild(document.body.firstChild);}
       document.body.innerHTML = ajaxSubmit.responseText; 
       if(funct.typeof=='function') func(arg);
    }
  }
  ajaxSubmit.send(data + '--' + boundary);
}




//</nowiki></pre></source>