/*************************************************************************************************************
 * Ajoute une flèche pour atteindre le haut ou le bas de la page.                                            *
 * Contrairement au gadget, l'ajout est limité au contenu de la page (pas de flèche dans la barre de gauche) *
 *                                                                                                           *
 *                                    {{Projet:JavaScript/Script}}                                           *
 *************************************************************************************************************/

//Flêche Haut
function scrollToTop(){
        var Content = document.getElementById("content");   //Remplacer "content" par "bodyContent" pour ne pas avoir de flêche à côté du titre
        if(!Content)Content = document.getElementById("article");
        if(!Content)Content = document.getElementById("contentwrapper");
        if(!Content) return;
        for (var level = 1; level <= 6; ++level) {
                var h = Content.getElementsByTagName("h" + level);
                for (var i = 0; i < h.length; ++i) {
                        var arrow = document.createElement("a");
                        arrow.appendChild(document.createTextNode(" ↑"));
                        arrow.href = "javascript:window.scrollTo(0,0); void 0;";
                        h[i].appendChild(arrow);
                }
        }
}
addOnloadHook(scrollToTop);

//Flêche Bas
function scrollToBottom(){
        var Content = document.getElementById("content");   //Remplacer "content" par "bodyContent" pour ne pas avoir de flêche à côté du titre
        if(!Content)Content = document.getElementById("article");
        if(!Content)Content = document.getElementById("contentwrapper");
        if(!Content) return;
        for (var level = 1; level <= 6; ++level) {
                var h = Content.getElementsByTagName("h" + level);
                for (var i = 0; i < h.length; ++i) {
                        var arrow = document.createElement("a");
                        arrow.appendChild(document.createTextNode(" ↓"));
                        arrow.href = "javascript:window.scrollTo(0,document.body.scrollHeight); void 0;";
                        h[i].appendChild(arrow);
                }
        }
}
addOnloadHook(scrollToBottom);