/*
== Code JavaScript ==
 
* Licence : Domaine public

{{Boîte déroulante début|titre=Vérification évaluation}}<!--
*/
// --><source lang=javascript>
//<pre>//<nowiki>

var VerifEval_Adresse = wgServer + wgScript + "?title=";

var VerifEval_ModeleDefaut = '{{Vérification évaluation\n'
                           + '|page=$1\n'
                           + '|catégorie=$2\n'
                           + '|portail=$3\n'
                           + '|défilant=oui\n'
                           + '|hauteur=250\n'
                           + '}}\n'

var VerifEval_ModeleDefautFin = '{{Vérification évaluation fin}}\n'

var VerifEval_DebutModele = '<!-- Ce modèle est créé automatiquement par un robot. VerifEval DEBUT -->\n';

var VerifEval_DebutTableau = '{| class="wikitable centre sortable" width="100%"\n'
                           + '|+ \'\'\'[[:$1|$2]]\'\'\' - $3 articles - Tableau [[Modèle:Vérification évaluation/Documentation|mis à jour]] $4 \n'
                           + '|-\n'
                           + '! Page\n'
                           + '! Évaluation\n'
                           + '! Avancement\n'
                           + '! Croisements\n'
                           + '! Importance\n'
                           + '! Croisements\n';

var VerifEval_FinModele = '<!-- Ce modèle est créé automatiquement par un robot. VerifEval FIN -->\n';

var VerifEval_ResumeModif = 'Mise à jour du modèle {{Vérification évaluation}}';

var VerifEval_Importance = new Array();  // Liste des paramètres Importance
VerifEval_Importance.push("inconnue");
VerifEval_Importance.push("faible");
VerifEval_Importance.push("moyenne");
VerifEval_Importance.push("élevée");
VerifEval_Importance.push("maximum");

var VerifEval_Avancement = new Array();  // Liste des paramètres Avancement
VerifEval_Avancement.push("inconnu");
VerifEval_Avancement.push("B");
VerifEval_Avancement.push("A");
VerifEval_Avancement.push("ébauche");
VerifEval_Avancement.push("AdQ");
VerifEval_Avancement.push("BD");
VerifEval_Avancement.push("BA");

var VerifEval_StartButton = '<img height="50" width="50" src="http://upload.wikimedia.org/wikipedia/commons/thumb/4/4a/Crystal_Clear_action_exit.svg/50px-Crystal_Clear_action_exit.svg.png" alt="Lancer la mise à jour">';
 
var VerifEval_WorkingButton = '<img height="50" width="50" src="http://upload.wikimedia.org/wikipedia/commons/d/de/Ajax-loader.gif" alt="Mise à jour en cours">';

// ///////////////////////////////////////////////////// FONCTION DE REQUÊTE ///////////////
 
var VerifEval_ajax = {
  http: function(bundle) {
    // mandatory: bundle.url
    // optional:  bundle.async
    // optional:  bundle.method
    // optional:  bundle.headers
    // optional:  bundle.data
    // optional:  bundle.onSuccess (xmlhttprequest, bundle)
    // optional:  bundle.onFailure (xmlhttprequest, bundle)
    // optional:  bundle.otherStuff OK too, passed to onSuccess and onFailure
    var xmlhttp;
    try {
      xmlhttp = new XMLHttpRequest(); 
    } catch(e) { 
      try {
        xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
      } catch (e) { 
        try {
          xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
        } catch (e) {
          xmlhttp = false
        }
      }
    }
 
    if (xmlhttp) {
      xmlhttp.onreadystatechange = function() {
        if (xmlhttp.readyState == 4)
          VerifEval_ajax.httpComplete(xmlhttp,bundle);
      };
      xmlhttp.open(bundle.method ? bundle.method : "GET",bundle.url,bundle.async == false ? false : true);
      if (bundle.headers) {
        for (var field in bundle.headers)
          try {
            xmlhttp.setRequestHeader(field,bundle.headers[field]);
          } catch(err) {
            //Argos42 : pour rendre LiveRC fonctionnel sur chrome
          }
      }
      xmlhttp.send(bundle.data ? bundle.data : null); 
    }
    return xmlhttp;
  }, 
  httpComplete: function(xmlhttp,bundle) {
    if (xmlhttp.status == 200 || xmlhttp.status == 302) {
      if (bundle.onSuccess)
        bundle.onSuccess(xmlhttp,bundle);
    } else if (bundle.onFailure) {
      bundle.onFailure(xmlhttp,bundle);
 
    } else {
      // A activer en debug mode ?
         //  alert(xmlhttp.status+xmlhttp.responseText);
    }
  }
};

// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// Lancement 

if( (wgAction!="edit")&&(wgAction!="submit") ){
     addOnloadHook(VerifEval_makeUpdateLinks);
}

// recherche des modèles {{Vérification évaluation}} de la page et ajout des liens de mise à jour

function VerifEval_makeUpdateLinks(){
     var count = -1;
     var Cadres = document.getElementsByTagName('span');
     for(s=0;s<Cadres.length;s++){
            if( hasClass(Cadres[s], 'VerifEval') ){          
                  count++
                  Cadres[s].id = 'VerifEval_'+count;
                  var ParamCategorie = Cadres[s].firstChild.innerHTML;
                  var ParamPage = Cadres[s].firstChild.title;
                  var NewButton = '<a id="VerifEvalLink_'+count+'" href="javascript:VerifEval_GetParams('+count+');" title="Catégorie ' + ParamCategorie.replace(/Catégorie:/ig,'') + ' - Page '+ParamPage+'" >'+VerifEval_StartButton+'</a>' ;
                  Cadres[s].innerHTML += NewButton ;
            }
     }
}

var VerifEval_Params = new Array();
var VerifEval_List = new Array();
var VerifEval_ListOK = new Array();

function VerifEval_GetParams(index){
     var Modele = document.getElementById('VerifEval_'+index);
     if(!Modele) return;
     var Cadre = Modele.firstChild;
     if(!Cadre) return;
     VerifEval_Params.ParamCategorie = Cadre.innerHTML;
     VerifEval_Params.ParamPage = Cadre.title;
     VerifEval_Params.ParamPortail = Cadre.className;
     if(VerifEval_Params.ParamPortail!='') VerifEval_Params.ParamPortail = VerifEval_Params.ParamPortail.replace(/_/g, " ");

     VerifEval_List[VerifEval_Params.ParamCategorie] = new Array();
     for(var a=0,l=VerifEval_Importance;a<l;a++){
          VerifEval_List[("Catégorie:Article "+VerifEval_Params.ParamPortail+" d'importance "+VerifEval_Importance[a])] = new Array();
     }
     for(var a=0,l=VerifEval_Avancement;a<l;a++){
          VerifEval_List[("Catégorie:Article "+VerifEval_Params.ParamPortail+" d'avancement "+VerifEval_Avancement[a])] = new Array();
     }
     var Cats = "";
     for(var Cat in VerifEval_List){
          Cats+= "* "+Cat+"\n";
     }
     var Pop = 'Catégories à vérifier :\n'
             + Cats +'\n'
             + 'Page à mettre à jour :\n'
             + '* '+VerifEval_Params.ParamPage+'\n\n'
             + 'Projet de référence :\n'
             + '* '+VerifEval_Params.ParamPortail+'\n\n'
             + 'Continuer ?';
     var SurEtCertain = confirm(Pop);
     if(SurEtCertain){
          Modele.innerHTML += '<br /><span id="WorkingFunction" ></span><br /><span id="WorkingPage" ></span>';
          VerifEval_CheckCategories();
          var Lien = document.getElementById('VerifEvalLink_'+index)
          if(Lien){
               Lien.innerHTML = VerifEval_WorkingButton ;
               Lien.title = "Arrêter la mise à jour" ;
               Lien.href = "javascript:window.location.reload();";
               Lien.blur();
          }
     }
}

// ///////////////////////////////////////////////////// REQUÊTE PAGES DE LA CATÉGORIE /////////////////////////
 
function VerifEval_CheckCategories(){
     for(var Cat in VerifEval_List){
          VerifEval_ListOK[Cat] = false;
     }
     for(var Cat in VerifEval_List){
          VerifEval_CheckCategory({ParamCategorie:Cat});
     }
}

function VerifEval_CheckCategory(Args){
      if(!Args.ParamContinue) Args.ParamContinue='';
      if( (wgUserGroups.indexOf("sysop")!=-1)||(wgUserGroups.indexOf("bot")!=-1) ){
           var APILimit=4999;
      }else{
           var APILimit=499;
      } 
      document.getElementById('WorkingFunction').innerHTML = "Listage des pages";
      document.getElementById('WorkingPage').innerHTML = Args.ParamCategorie;
      VerifEval_ajax.http({ url: wgServer + wgScriptPath + '/api.php?format=xml&action=query&list=categorymembers'
                               + '&cmlimit='+APILimit
                               + '&cmtitle=' + encodeURIComponent(Args.ParamCategorie) 
                               + Args.ParamContinue,
                            onSuccess: VerifEval_CheckCategoryDone,
                            args:Args
      });
}

function VerifEval_CheckCategoryDone(Req, data){
      var Args = data.args;
VerifEval_List = new Array();
var VerifEval_ListOK
      var ObjetXML = Req.responseXML; 
      var Pages = ObjetXML.getElementsByTagName('cm');
      for(a=0;a<Pages.length;a++){
            var TitrePage = Pages[a].getAttribute('title');
            var NS = Pages[a].getAttribute('ns');
            if(NS==="0"){
                  VerifEval_List[Args.ParamCategorie].push(TitrePage);
            }
      }
      var AutreRequeteNecessaire = ObjetXML.getElementsByTagName('query-continue')[0];
      if(AutreRequeteNecessaire){
            Args.ParamContinue = '&cmcontinue=' + encodeURIComponent(AutreRequeteNecessaire.getElementsByTagName('categorymembers')[0].getAttribute('cmcontinue'));
            VerifEval_CheckCategory(Args);
      }else{
            VerifEval_ListOK[Args.ParamCategorie] = true;
            var AllOK = true;
            for(var Cat in VerifEval_ListOK){
                  if(VerifEval_ListOK[Cat]==false) AllOK = false;
            }
            if(AllOK) VerifEval_GetEval();
      }
}

function VerifEval_GetEval(){
      var AllPages = new Array();
      for(var a=0,l=VerifEval_List[VerifEval_Params.ParamCategorie].length;a<l;a++){
            var ThisPage = VerifEval_List[VerifEval_Params.ParamCategorie][a];
            AllPages[ThisPage] = new Array();
            for(var Cat in VerifEval_List){
                  if(VerifEval_List[Cat]===VerifEval_List[VerifEval_Params.ParamCategorie]) continue;
                  if(VerifEval_List[Cat].indexOf(wgFormattedNamespaces[1]+":"+ThisPage)==-1) continue;
                  for(var i=0,il=VerifEval_Importance.length;i<il;i++){
                        if(Cat==("Catégorie:Article "+VerifEval_Params.ParamPortail+" d'importance "+VerifEval_Importance[i]))
                        AllPages[ThisPage]["Importance"] = VerifEval_Importance[i];
                  }
                  for(var i=0,il=VerifEval_Avancement.length;i<il;i++){
                        if(Cat==("Catégorie:Article "+VerifEval_Params.ParamPortail+" d'avancement "+VerifEval_Avancement[i]))
                        AllPages[ThisPage]["Avancement"] = VerifEval_Avancement[i];
                  }
            }
      }
      VerifEval_CreateTable(AllPages);
}

function VerifEval_CreateTable(AllPages){
      var Table = new Array()
      for(var Page in AllPages){
            var ThisPage = AllPages[Page];
            var Evaluation = "red|non";
            if(AllPages[Page]["Avancement"] && AllPages[Page]["Importance"]) Evaluation = "green|oui";
            var Ligne = '|---------------------------------------------------------------------------<!--  '+ThisPage+' -->\n'
                      + '| [[' + ThisPage + ']] - ([['+wgFormattedNamespaces[1]+':'+ThisPage+'|d]])\n'
                      + '| \'\'\'{{coloré|'+Evaluation+'}}\'\'\'\n'
                      + '| ' + AllPages[Page]["Avancement"] + '\n'
                      + '| ' + AllPages[Page]["Avancement"] +" et "+ AllPages[Page]["Importance"] + '\n'
                      + '| ' + AllPages[Page]["Importance"] + '\n'
                      + '| ' + AllPages[Page]["Importance"] +" et "+ AllPages[Page]["Avancement"] + '\n';
            Table.push(Ligne);
      }
      VerifEval_ajax.http({ url: wgServer + wgScript + '?title=' + encodeURIComponent(VerifEval_Params.ParamPage) + '&action=edit',
                            onSuccess: VerifEval_EditPagee,
                            table:Table
      });
}

// édition de la page : cherche la présence d'un tableau précédent, crée un tableau et remplace le tableau existant

function  VerifEval_EditPage(Req, data){
      var VerifEvalTable = data.table;
      while(document.body.firstChild){document.body.removeChild(document.body.firstChild);} 
      document.body.innerHTML = Req.responseText;

      var NouveauModele = VerifEval_ModeleDefaut;
      var ParamPortail = VerifEval_Params.ParamPortail.replace(/ /,"_");
      NouveauModele = NouveauModele.split('$1').join(VerifEval_Params.ParamPage);
      NouveauModele = NouveauModele.split('$2').join(VerifEval_Params.ParamCategorie);
      NouveauModele = NouveauModele.split('$3').join(ParamPortail);

      var NouveauTableau = VerifEval_DebutModele + VerifEval_DebutTableau;

      var Aujourdhui = new Date();
      var Minutes   = Aujourdhui.getMinutes()
      if(Minutes<10){ var ZeroMinutes = "0" ; }else{ var ZeroMinutes = "";}
      var Heures   = Aujourdhui.getHours()
      if(Heures<10){ var ZeroHeures = "0" ; }else{ var ZeroHeures = "";}
      var Jour   = Aujourdhui.getDate();
      if(Jour<10){ var ZeroJour = "0" ; }else{ var ZeroJour = "";}
      var Mois = Aujourdhui.getMonth() + 1;
      if(Mois<10){ var ZeroMois = "0" ; }else{ var ZeroMois = "";}
      var Annee  = Aujourdhui.getYear();
      if (Annee < 2000){
            Annee = Annee + 1900;
      }
      var VerifEval_miseAjour = 'le '+ZeroJour+Jour+'/'+ZeroMois+Mois+'/'+Annee+' à '+ZeroHeures+Heures+':'+ZeroMinutes+Minutes;

      NouveauTableau = NouveauTableau.split('$1').join(VerifEval_Params.ParamCategorie);
      NouveauTableau = NouveauTableau.split('$2').join(VerifEval_Params.ParamCategorie);
      NouveauTableau = NouveauTableau.split('$3').join(VerifEvalTable.length);
      NouveauTableau = NouveauTableau.split('$4').join(VerifEval_miseAjour);

      for(a=0;a<VerifEvalTable.length;a++){
            NouveauTableau += VerifEvalTable[a];
      }
      NouveauTableau += '|-\n|}' + VerifEval_FinModele;

      var ContenuPage = document.getElementById("wpTextbox1").value;
      var AncienResumeModif = document.editform.wpSummary.value;

      if( (ContenuPage.indexOf(VerifEval_DebutModele)!=-1)&&(ContenuPage.indexOf(VerifEval_FinModele)!=-1) ){
// ----------------- Déja le modèle : remplacement
            var debutTexte = ContenuPage.substring(0, ContenuPage.indexOf(VerifEval_DebutModele));
            var AncienModele = ContenuPage.substring(0, ContenuPage.indexOf(VerifEval_FinModele)) + VerifEval_FinModele;
            AncienModele = AncienModele.replace(debutTexte, "");       
            var finTexte = ContenuPage.split(debutTexte).join('').split(AncienModele).join('');
            var TexteFinal = debutTexte + NouveauTableau + finTexte;
      }else{
// ------------------------------------------------Pas de modèle : ajout modèle
            var TexteFinal = NouveauModele + NouveauTableau + VerifEval_ModeleDefautFin + ContenuPage;
      }

// -----------------------------------------------------------------------------------------------------------------------
      document.getElementById ("wpTextbox1").value = TexteFinal ;
      document.editform.wpSummary.value = AncienResumeModif + VerifEval_ResumeModif ;
      var SurEtCertain = confirm('Sauvegarder la modification ?');
      if(SurEtCertain) document.editform.submit();
}

// </nowiki></pre></source>{{Boîte déroulante fin}}