/*

Fonction : Ajoute, dans les pages Catégorie:, un lien permettant de suivre/ne plus suivre toutes les pages contenues dans la catégorie. 

Ne concerne que les pages directement incluses dans la catégorie. Les sous-catégories et leur contenu ne sont pas concernées.

{{Projet:JavaScript/Script}} 

*/
////////////////////////////////<source lang=javascript><pre><nowiki>

///////////////////////// LANCEMENT //////////////////////////////
if((wgNamespaceNumber==14)&&(wgAction=="view"||wgAction=="purge")){
     addOnloadHook(WatchCategoryMembers_AddLinks);
}

///////////////////////// AJOUT DU LIEN //////////////////////////////

function WatchCategoryMembers_AddLinks(){
     var ElementParent = document.getElementById('bodyContent');
     if(!ElementParent) ElementParent = document.getElementById('mw_contentholder');
     if(!ElementParent) ElementParent = document.getElementById('article');
     if(!ElementParent) return;
     var Element = document.createElement('div');
     Element.id = 'ElementControle';
     ElementParent.insertBefore(Element, ElementParent.firstChild);
     var Small = document.createElement('small');     
     ElementParent.insertBefore(Small, Element);
     var NouveauLienSuivre = document.createElement('a');
     NouveauLienSuivre.innerHTML = 'Suivre';
     NouveauLienSuivre.href = "javascript:WatchCategoryMembers(true)";     
     Small.appendChild(NouveauLienSuivre);
     Small.appendChild(document.createTextNode("/"));
     var NouveauLienStop = document.createElement('a');
     NouveauLienStop.innerHTML = 'Ne plus suivre';
     NouveauLienStop.href = "javascript:WatchCategoryMembers(false)";
     Small.appendChild(NouveauLienStop);
     Small.appendChild(document.createTextNode(" les pages de cette catégorie"));
}
 
///////////////////////// LISTAGE DES PAGES //////////////////////////////

var PageToWatch = new Array();
var PageToWatchCount = 0; 
var PagesInCategory = 0;

function WatchCategoryMembers(Watch, categorycontinue){
     if(!categorycontinue) categorycontinue = '';
      var NouvelleRequete = sajax_init_object()
      var AdresseRequete = wgServer+wgScriptPath+'/api.php?format=xml&action=query&list=categorymembers&cmlimit=499&cmtitle=' + wgPageName.replace(/&/g, "%26") + categorycontinue;       
      NouvelleRequete.open("GET", AdresseRequete, true);
      NouvelleRequete.onreadystatechange = function() {
            if(NouvelleRequete.readyState == 4 && NouvelleRequete.status == 200) {
                  PagesInCategory++
                  document.getElementById('ElementControle').innerHTML = 'Listage des pages de la catégorie <b>' + wgTitle + '</b>, page ' + PagesInCategory;

                  var ElementTraitement = NouvelleRequete.responseXML; 
                  var Pages = ElementTraitement.getElementsByTagName('cm');
                  var AutreRequeteNecessaire = false;
                  for(a=0;a<Pages.length;a++){
                        var TitrePage = Pages[a].getAttribute("title");
                        if(TitrePage.indexOf(wgFormattedNamespaces[14]+':')==-1){
                              PageToWatch[PageToWatchCount] = TitrePage;
                              PageToWatchCount++
                        }
                  }
                  var AutreRequete = ElementTraitement.getElementsByTagName('query-continue')[0];
                  if(AutreRequete){
                        AutreRequeteNecessaire = true;
                        var AutreRequeteContinue = '&cmcontinue=' + AutreRequete.getElementsByTagName("categorymembers")[0].getAttribute("cmcontinue");
                  } 
                  if(AutreRequeteNecessaire==true){
                        WatchCategoryMembers(Watch,AutreRequeteContinue);
                  }else{
                        WatchCategoryMembers_AddPageToWatchlist(0, Watch);
                  }
            }
      }
      NouvelleRequete.send(null);
}

///////////////////////// AJOUT/RETRAIT DE LA LISTE DE SUIVI //////////////////////////////

function WatchCategoryMembers_AddPageToWatchlist(position, Watch){
      if(!position) position = 0;      
      var PageASuivre = PageToWatch[position];
      if(!PageASuivre){ 
            WatchCategoryMembers_AllPageInWatchlist(Watch);
            return; 
      }
      var Action = ( Watch ? "" : "&unwatch" );
      var NouvelleRequete = sajax_init_object()
      var AdresseRequete = wgServer+wgScriptPath+'/api.php?action=watch'+Action+'&title='+PageASuivre.replace(/&/g, "%26");       
      NouvelleRequete.open("GET", AdresseRequete, true);
      NouvelleRequete.onreadystatechange = function() {
            if(NouvelleRequete.readyState == 4 && NouvelleRequete.status == 200) {
                  var Text = ( Watch ? "ajoutée à" : "retirée de" );
                  document.getElementById('ElementControle').innerHTML = 'La page <b>« ' + PageASuivre + ' »</b> a été '+Text+' votre liste de suivi.';
                  WatchCategoryMembers_AddPageToWatchlist((position+1), Watch);
            }
      }
      NouvelleRequete.send(null);
} 

///////////////////////// MESSAGE DE FIN //////////////////////////////

function WatchCategoryMembers_AllPageInWatchlist(Watch){
      document.getElementById('ElementControle').innerHTML = '';
      var Action = ( Watch ? "ajoutées à" : "retirées de" );
      var PopUp = 'Les ' + PageToWatchCount + ' pages suivantes ont été '+Action+' votre liste de suivi :\n\n';
      for(a=0;a<PageToWatch.length;a++){
            PopUp += PageToWatch[a] + '\n';
      }
      alert(PopUp);
      window.location = document.URL;
}

////////////////////////////////////////////////////////////////</nowiki></pre></source>