/*
***************************************************************************
** lastContribs - Permet de masquer les pages que l'utilisateur a été le dernier
** à modifier sur Spécial:Contributions
** Compatibilité : MediaWiki, testé avec monobook et vector
** Support : Discussion_utilisateur:Arkanosis
** Licence : MIT/X11
**
** Installation : ajouter
**  importScript('User:Arkanosis/lastContribs.js');
** dans le monobook.js ou vector.js
*/

var LastContribs_ToggleLink = new Array('<a href="javascript:lastContribs_toggleLastContribs();">Masquer</a> les pages que le contributeur a été le dernier à modifier', '<a href="javascript:lastContribs_toggleLastContribs();">Afficher</a> les pages que le contributeur a été le dernier à modifier');

var lastContribs_AutoHide = false;

if (wgCanonicalSpecialPageName == 'Contributions')  addOnloadHook(lastContribs_addToggleLink);

function lastContribs_addToggleLink(){
  var fieldset = document.getElementsByTagName('fieldset')[0];
  var p = document.createElement('p');
  p.setAttribute('id', 'lastContribs-ToggleLastContribs');
  p.innerHTML = LastContribs_ToggleLink[0];
  fieldset.appendChild(p);
  if(lastContribs_AutoHide) lastContribs_toggleLastContribs();
}

function lastContribs_toggleLastContribs(){
  var Display;
  var LinkHTML;
  var Link = document.getElementById('lastContribs-ToggleLastContribs');
  if(Link.innerHTML == LastContribs_ToggleLink[0]){
    Link.innerHTML = LastContribs_ToggleLink[1];
    Display = "none";
  }else{
    Display = "";
    Link.innerHTML = LastContribs_ToggleLink[0];
  }
  var Lis = lastContribs_getLis();
  for(var a=0,l=Lis.length;a<l;a++){
    Lis[a].style.display = Display;
  }
}

function lastContribs_getLis(){
  var GoodLis = new Array();
  var AllLis = document.getElementsByTagName('li');
  for(var a=0,l=AllLis.length;a<l;a++){
    if( lastContribs_IsLastContrib(AllLis[a]) ) GoodLis.push(AllLis[a]);
  }
  return GoodLis;
}

function lastContribs_IsLastContrib(Li){
   var Spans = Li.getElementsByTagName('span');
   for(var a=0,l=Spans.length;a<l;a++){
      if( hasClass(Spans[a], "mw-uctop") ) return true;
   }
   return false;
}