/* <pre><nowiki> */
/*
<Typo word="(.*)" find="(.*)" replace="(.*)" />
obj.str = obj.str.replace(/$2/g, "$3"); // $1
*/

function AWRegExTypoFix(obj) {

obj.str = obj.str.replace(/\[\[([\:]?)[Cc]at[éèêe]gor(ie|y)[ ]?:[ ]?/g, "[[$1Catégorie:");
obj.str = obj.str.replace(/\[\[([\:]?)[Ii]mage[ ]?:[ ]?/g, "[[$1Image:");

obj.str = obj.str.replace(/\b(a|A)fgh?anistan\b/g, "Afghanistan"); // Afghanistan
obj.str = obj.str.replace(/\bafrique\b/g, "Afrique"); // Afrique
obj.str = obj.str.replace(/\b(a|A)ll?bann?ie\b/g, "Albanie"); // Albanie
obj.str = obj.str.replace(/\b(a|A)llg(e|é)rie\b/g, "Algérie"); // Algérie
obj.str = obj.str.replace(/\b(a|A)ll?emagne\b/g, "Allemagne"); // Allemagne
obj.str = obj.str.replace(/\b(a|A)m(e|é)rique?(s)\b/g, "Amérique$3"); // Amérique
obj.str = obj.str.replace(/\b(a|A)ndorr?e\b/g, "Andorre"); // Andorre
obj.str = obj.str.replace(/\b(a|A)ngoll?a\b/g, "Angola"); // Angola
obj.str = obj.str.replace(/\b(a|A)ustrall?ie\b/g, "Australie"); // Australie
obj.str = obj.str.replace(/\b(c|C)ann?ada\b/g, "Canada"); // Canada
obj.str = obj.str.replace(/\b(c|C)orr?(é|e)e\b/g, "Corée"); // Corée
obj.str = obj.str.replace(/\b(q|Q)u(e|é)bec\b/g, "Québec"); // Québec
obj.str = obj.str.replace(/\bespagne\b/g, "Espagne"); // Espagne
obj.str = obj.str.replace(/\bfrance\b/g, "France"); // France
obj.str = obj.str.replace(/\birlande\b/g, "Irlande"); // Irlande
obj.str = obj.str.replace(/\bislande\b/g, "Islande"); // Islande
obj.str = obj.str.replace(/\bitalie\b/g, "Italie"); // Italie
obj.str = obj.str.replace(/\bjapon\b/g, "Japon"); // Japon
obj.str = obj.str.replace(/\bluxembourg\b/g, "Luxembourg"); // Luxembourg
obj.str = obj.str.replace(/\bmexique\b/g, "Mexique"); // Mexique
obj.str = obj.str.replace(/\bpérou\b/g, "Pérou"); // Pérou
obj.str = obj.str.replace(/\b(p|P)oll?ogne\b/g, "Pologne"); // Pologne
obj.str = obj.str.replace(/\bportugal\b/g, "Portugal"); // Portugal
obj.str = obj.str.replace(/\broumanie\b/g, "Roumanie"); // Roumanie
obj.str = obj.str.replace(/\brussie\b/g, "Russie"); // Russie
obj.str = obj.str.replace(/\b(t|T)urc?quie\b/g, "Turquie"); // Turquie
obj.str = obj.str.replace(/\b(A|a)bandon(er|é|ée|és|ées|ais|ait|aient|a|e)\b/g, "$1bandonn$2"); // abandonner
obj.str = obj.str.replace(/\b(A|a)bb?r(?:é|è|e)viation(s?)\b/g, "$1bréviation$2"); // abréviation
obj.str = obj.str.replace(/\b(A|a)b(?:ss?|cs?)isse(s?)\b/g, "$1bscisse$2"); // abscisse 
obj.str = obj.str.replace(/\b(A|a)calmie(s?)\b/g, "$1ccalmie$2"); // accalmie
obj.str = obj.str.replace(/\b(A|a)cc?omm?od(ant(s?)|ante(s?)|ation(s?)|er|é(s?)|ée(s?)|ais|ait|aient|a|e(s?)|ement(s?))\b/g, "$1ccommod$2"); // accommodant
obj.str = obj.str.replace(/\b(A|a|désa|Désa)cc?ord(s?|er?|é?|ée?|és?|ées?|ais?|ait?|aient?|a?)\b/g, "$1ccord$2"); // accord
obj.str = obj.str.replace(/\b(A|a)cc?euil(|li[rs]?|lante?)\b/g, "$1ccueil$2"); // accueil
obj.str = obj.str.replace(/\b(a|A|ra|Ra)cc?o(m|n)pagn(e|er|é|ée|ées|ait|ais|a|aient|ant|ateur|atrice|ateurs|atrices|ement|ements)\b/g, "$1ccompagn$3"); // accompagner
obj.str = obj.str.replace(/\b(a|A)ccompte(s?)\b/g, "$1compte$2"); // acompte
obj.str = obj.str.replace(/\b(a|A)dmett?ant\b/g, "$1dmettant"); // admettant
obj.str = obj.str.replace(/\b(a|A)faire(s?)\b/g, "$1ffaire$2"); // affaire
obj.str = obj.str.replace(/\b(a|A)f(?:f?il|il?)liation(s?)\b/g, "$1ffiliation$2"); // affiliation
obj.str = obj.str.replace(/\b(a|A)f(?:fil|i)li(ée?s?|er)\b/g, "$1ffili$2"); // affilier
obj.str = obj.str.replace(/\b(a|A|Réa|réa)firm(ation|er|ée?|atif|ative|ativement)\b/g, "$1ffirm$2"); // affirmer
obj.str = obj.str.replace(/\bag(e|é|és|ée|ées)\b/g, "âg$1"); // âge
obj.str = obj.str.replace(/\bAg(e|é|és|ée|ées)\b/g, "Âg$1"); // Âge
obj.str = obj.str.replace(/\b(a|A)gg?ll?omm?(é|e)ration(s?)\b/g, "$1gglomération$3"); // agglomération
obj.str = obj.str.replace(/\b(a|A)ggio(s?)\b/g, "$1gio$2"); // agio
obj.str = obj.str.replace(/\b(a|A)ill?eur(s?)\b/g, "$1illeurs"); // ailleurs
obj.str = obj.str.replace(/\b(a|A)ll?entour(s?)\b/g, "$1lentour$2"); // alentours
obj.str = obj.str.replace(/\b(a|A)nn?(é|e)(g|c)dott?(e|es|ique(s?))\b/g, "$1necdot$4"); // anecdote
obj.str = obj.str.replace(/\b(a|A)nonce([sr]?)\b/g, "$1nnonce$2"); // annonce
obj.str = obj.str.replace(/\b(a|A)pareil(s?)\b/g, "$1ppareil$2"); // appareil
obj.str = obj.str.replace(/\b(a|A)pp?arr?(a|e)mm?ent\b/g, "$1pparemment"); // apparemment
obj.str = obj.str.replace(/\b(a|A)p(?:ell?|p?ell)(er|ée?s?|ante?s?)\b/g, "$1ppel$2"); // appeler
obj.str = obj.str.replace(/\b(a|A|ina|Ina)pp?li(c|qu)ab(le(s?)|ilité(s?))\b/g, "$1pplicab$3"); // applicable
obj.str = obj.str.replace(/\b(a|A|ina|Ina|ra|Ra)pp?liqu(e|er|é|ée|és|ées|ais|ait|aient)\b/g, "$1ppliqu$2"); // appliquer
obj.str = obj.str.replace(/\b(ap|Ap|réap|Réap)?p?rovisionn?(er|é(s?)|ée(s?)|ement(s?)|a|ait|ais|aient)\b/g, "$1provisionn$2"); // approvisionner
obj.str = obj.str.replace(/\b(a|A)pr(é|e|ê|è)s?\b/g, "$1près"); // après
obj.str = obj.str.replace(/\b(a|A)rtisant?(s?)\b/g, "$1rtisan$2"); // artisan
obj.str = obj.str.replace(/\b(a|A)tt?itude(s?)\b/g, "$1ttitude$2"); // attitude
obj.str = obj.str.replace(/\b(a|A)tribu(ai[st]?|aient|able|taire|tif|tive|tion|e[sr]?|ons|ée?s?|e[rz]|ts)\b/g, "$1ttribu$2"); // attribuer
obj.str = obj.str.replace(/\b(a|A)uxill?iaire(s?)\b/g, "$1uxiliaire$2"); // auxiliaire
obj.str = obj.str.replace(/\ba avoir\b/g, "à avoir"); // à avoir
obj.str = obj.str.replace(/\ba compter\b/g, "à compter"); // à compter
obj.str = obj.str.replace(/\ba défendre\b/g, "à défendre"); // à défendre
obj.str = obj.str.replace(/\b(a|à) (e|ê)trer\b/g, "à être"); // à être
obj.str = obj.str.replace(/\ba finir\b/g, "à finir"); // à finir
obj.str = obj.str.replace(/\b(a|à) mett?re\b/g, "à mettre"); // à mettre
obj.str = obj.str.replace(/\ba obtenir\b/g, "à obtenir"); // à obtenir
obj.str = obj.str.replace(/\ba prendre\b/g, "à prendre"); // à prendre
obj.str = obj.str.replace(/\ba produire\b/g, "à produire"); // à produire
obj.str = obj.str.replace(/\ba remplacer\b/g, "à remplacer"); // à remplacer
obj.str = obj.str.replace(/\b(a|A)\s?post(?:é|è|e|ê)riori(s?)\b/g, "$1 posteriori"); // a posteriori
obj.str = obj.str.replace(/\bà\s?post(?:é|è|e|ê)riori(s?)\b/g, "a posteriori"); // a posteriori
obj.str = obj.str.replace(/\bÀ\s?post(?:é|è|e|ê)riori(s?)\b/g, "A posteriori"); // a posteriori
obj.str = obj.str.replace(/\b(a|A)\s?priori(s?)\b/g, "$1 priori"); // a priori
obj.str = obj.str.replace(/\bà\s?priori(s?)\b/g, "a priori"); // a priori
obj.str = obj.str.replace(/\bÀ\s?priori(s?)\b/g, "A priori"); // a priori
obj.str = obj.str.replace(/\b(B|b)âteau(s?)\b/g, "$1ateau$2"); // bateau
obj.str = obj.str.replace(/\b(B|b)atiment(s?)\b/g, "$1âtiment$2"); // bâtiment
obj.str = obj.str.replace(/\b(b|B)oeuf(s?)\b/g, "$1œuf$2"); // bœuf
obj.str = obj.str.replace(/\b(b|B)rill?(a|e)mm?ent\b/g, "$1rillamment"); // brillamment
obj.str = obj.str.replace(/\b(b|B)ru(ill|y)amm?ent\b/g, "$1ruyamment"); // bruyamment
obj.str = obj.str.replace(/\b(C|c)ass?err?oll?e(s?)\b/g, "$1asserole$2"); // casserole
obj.str = obj.str.replace(/\b(C|c)auchemard(s?)\b/g, "$1auchemar$2"); // cauchemar
obj.str = obj.str.replace(/\b(C|c)hampio(ne|nat|nats)\b/g, "$1hampion$2"); // championat
obj.str = obj.str.replace(/\b(C|c)ep(a|e)nd(a|e)nt\b/g, "$1ependant"); // cependant
obj.str = obj.str.replace(/\b(c|C)hef(s?)( |-)d'(oe|OE|œ|Œ)vre(s?)\b/g, "$1hef$2-d'œuvre"); // chef-d'œuvre
obj.str = obj.str.replace(/\b(c|C)hoeur(s?)\b/g, "$1hœur$2"); // chœur
obj.str = obj.str.replace(/\b(c|C)oeur(s?)\b/g, "$1œur$2"); // cœur
obj.str = obj.str.replace(/\b(c|C)oll?ection(s?)\b/g, "$1ollection$2"); // collection
obj.str = obj.str.replace(/\b(c|C)oll?ectio(nait|nais|naient|ne|né|née|nés|nées|neur(s?)|neuse(s?))\b/g, "$1ollection$2"); // collectionner
obj.str = obj.str.replace(/\b(c|C)ommité(s?)\b/g, "$1omité$2"); // comité
obj.str = obj.str.replace(/\b(c|C)omm?and(a|as|ais|ait|aient|e(s?)|er|é(s?)|ée(s?)|ant(s?)|ement(s?)|itaire(s?)|ite(s?)|ité(s?)|itée(s?)|o(s?)|eur(s?)|erie(s?))\b/g, "$1ommand$2"); // commande
obj.str = obj.str.replace(/\b(c|C)omm?(a|e)nc(ement|er|é(s?)|ée(s?)|ais|ait|aient|e|ent)\b/g, "$1ommenc$3"); // commencer
obj.str = obj.str.replace(/\b(c|C)omm?iss?a(ire(s?)|riat(s?))\b/g, "$1ommissa$2"); // commissaire
obj.str = obj.str.replace(/\b(c|C)omm?iss?ion(s?|né?|née?|nés?|nées?|nais?|nait?|na?|ne?|naient?|nement?|nements?)\b/g, "$1ommission$2"); // commission
obj.str = obj.str.replace(/\b(c|C)omun(s?)\b/g, "$1ommun$2"); // commun
obj.str = obj.str.replace(/\b(c|C)omm?un(auté(s?)|e(s?)|al(s?)|ale(s?)|aux|autaire(s?)|autarité(s?))\b/g, "$1ommun$2"); // communauté
obj.str = obj.str.replace(/\b(c|C|inc|Inc)omm?unn?i(cation(s?)|quer|qué(s?)|quée(s?)|cable|cateur(s?)|cateuse(s?)|catif(s?)|cative(s?)|er|é(s?)|ée(s?)|ais|ait|aient)\b/g, "$1ommuni$2"); // communication
obj.str = obj.str.replace(/\b(c|C|inc|Inc)omp(e|é|è)t(a|e)n(c|s|ss)e(s?)\b/g, "$1ompétence$5"); // compétence
obj.str = obj.str.replace(/\b(c|C|inc|Inc)ompl(e|é|è|ê)temm?ent\b/g, "$1omplètement"); // complètement
obj.str = obj.str.replace(/\b(c|C)oncc?urr?(e|a)n(t?|ts?|te?|tes?|ce|tiel|tielle|cer|cé|cée|cés|cées)\b/g, "$1oncurren$3"); // concurrent
obj.str = obj.str.replace(/\b(c|C|méc|Méc|rec|Rec)onn?aiss?a(nce|nces|nt|nts|nte|ntes|ble)\b/g, "$1onnaissa$2"); // connaissance
obj.str = obj.str.replace(/\b(c|C)on(c|s|ss)en(s|ss|c|ç)u(s|el(s?)|elle(s?))\b/g, "$1onsensu$4"); // consensus
obj.str = obj.str.replace(/\b(c|C|inc|Ìnc)on(c|s|ss)(e|é|è)qu(a|e)n(ce(s?)|t(s?)|te(s?))\b/g, "$1onséquen$5"); // conséquence
obj.str = obj.str.replace(/\b(c|C)onn?ection(s?)\b/g, "$1onnexion$2"); // connexion
obj.str = obj.str.replace(/\b(c|C|autoc|Autoc|inc|Inc|surc|Surc)onsomm?(able(s?)|abilité|er|é(s?)|ée(s)|e(s?)|ais|ait|aient|a|ation(s?)|ateur(s?)|atrice(s?)|ation(s?))\b/g, "$1onsomm$2"); // consommation
obj.str = obj.str.replace(/\b(c|C)onsonn?(a|e)n(c|s|ss)e(s?)\b/g, "$1onsonance$4"); // consonance
obj.str = obj.str.replace(/\b(c|C)onstamm?ent\b/g, "$1onstamment"); // constamment
obj.str = obj.str.replace(/\b(c|C|déc|Déc|rec|Rec)onvention(el|els|elle|elles|é|ée|és|ées|ellement|ement)\b/g, "$1onventionn$2"); // conventionnel
obj.str = obj.str.replace(/\b(c|C)orr?espond(ant|ants|ante|antes|ance|ances)\b/g, "$1orrespond$2"); // correspondance
obj.str = obj.str.replace(/\b(c|C|déc|Déc|enc|Enc)ourr?ag(e|es|eux|eu|euse|euses|eant|eante|eants|eantes|eusement)\b/g, "$1ourag$2"); // courage
obj.str = obj.str.replace(/\b(c|C|conc|Conc)ourr?an(ts?|te?|tes?)\b/g, "$1ouran$2"); // courant
obj.str = obj.str.replace(/\b(c|C)ourr?amm?ent\b/g, "$1ouramment"); // couramment
obj.str = obj.str.replace(/\b(d|D|autod|Autod)(é|e)ff?(a|e)n(c|ç|ss|s)e(s?|ur?|use?|urs?|uses?)\b/g, "$1éfense$5"); // défense
obj.str = obj.str.replace(/\b(d|D)(é|e|è)j(a|à)\b/g, "$1éjà"); // déjà
obj.str = obj.str.replace(/\b(d|D)(é|e|è)mm?iss?ion?(né|née|nés|nées|naire|naires|ner|nais|nait|naient)\b/g, "$1émission$3"); // démissionner
obj.str = obj.str.replace(/\b(d|D)(é|e|è)rnn?i(é|e|à)rr?e\b/g, "$1ernière"); // dernière
obj.str = obj.str.replace(/\b(D|d)(é|e|è)s(oeu|eu|œu)vr(é|ée|ement|és|ées)\b/g, "$1ésœuvr$4"); // désœuvrement
obj.str = obj.str.replace(/\b(d|D)(é|e|è)sormai(s|t|)\b/g, "$1ésormais"); // désormais
obj.str = obj.str.replace(/\b(d|D)(é|e)vel(l?)op(p?)(ais|ait|aient|e|é|ée|és|ées|ement|er)\b/g, "$1évelopp$5"); // développer
obj.str = obj.str.replace(/\b(d|D|ind|Ind)iff?(e|é)rr?(a|e)n(ce|ces|t|te|ts|tes|tiation|tielle|tielles|tiel|tiels|tier|cier)\b/g, "$1ifféren$4"); // différence
obj.str = obj.str.replace(/\b(d|D|ind|Ind)iff?(é|e)rr?(a|e)mm?ent\b/g, "$1ifféremment"); // différemment
obj.str = obj.str.replace(/\b(d|D)iff?ic(ile|ilement|ulté|ultés)\b/g, "$1iffic$2"); // difficile
obj.str = obj.str.replace(/\b(d|D)ilemn?e(s?)\b/g, "$1ilemme$2"); // dilemme
obj.str = obj.str.replace(/\b(d|D|ind|Ind)irr?ectemm?ent\b/g, "$1irectement"); // directement
obj.str = obj.str.replace(/\b(d|D|bid|Bid|cod|Cod|omnid|Omnid|unid|Unid)irr?ection?(nel|nels|nelle|nelles|s)\b/g, "$1irection$2"); // direction
obj.str = obj.str.replace(/\b(d|D)iscour\b/g, "$1iscours"); // discours
obj.str = obj.str.replace(/\b(d|D|déd|Déd|end|End)omm?ag(e(s?)|ement(s?)|é(s?)|ée(s?)|er|a(s?)|ais|ait|aient|eant|eable(s?))\b/g, "$1ommag$2"); // dommage
obj.str = obj.str.replace(/\b(é|É|e|E)c(o?)e(u?)(r|rr)(ant|ante|ment|é|ée|és|ées|r|ais|ait|aient|ent|e)\b/g, "$1cœur$5"); // écœurement
obj.str = obj.str.replace(/\becoll?e(s?)\b/g, "école$1"); // école
obj.str = obj.str.replace(/\bEcoll?e(s?)\b/g, "École$1"); // École
obj.str = obj.str.replace(/\bEconomie(s?)\b/g, "Économie$1"); // Économie
obj.str = obj.str.replace(/\b(e|é)gall?emm?ent\b/g, "également"); // également
obj.str = obj.str.replace(/\beglise(s?)\b/g, "église$1"); // église
obj.str = obj.str.replace(/\bEglise(s?)\b/g, "Église$1"); // Église
obj.str = obj.str.replace(/\b(E|É|é|e)milie\b/g, "Émilie"); // Émilie
obj.str = obj.str.replace(/\b(e|E)ncourr?ag(é|és|ée|ées|er|ais|ait|aient|a|ement|ements|eant|eante|e|es)\b/g, "$1ncourag$2"); // encourager
obj.str = obj.str.replace(/\b(e|E)nemi(s?|e?|es?)\b/g, "$1nnemi$2"); // ennemi
obj.str = obj.str.replace(/\b(e|E)nvirr?onn?(ement|ements|emental|ementale|ementaux|ementaliste|ementalisme|ant|ante|er|é|ée|és|ées|ais|ait|aient|a)\b/g, "$1nvironn$2"); // environnement
obj.str = obj.str.replace(/\bepoque(s?)\b/g, "époque$1"); // époque
obj.str = obj.str.replace(/\bEpoque(s?)\b/g, "Époque$1"); // Époque
obj.str = obj.str.replace(/\bepou(x|se|ses|ser|sait|sa|sais|saient|sé|ée|és|ées)\b/g, "épou$1"); // époux
obj.str = obj.str.replace(/\bEpou(x|se|ses|ser|sait|sa|sais|saient|sé|ée|és|ées)\b/g, "Épou$1"); // Époux
obj.str = obj.str.replace(/\b(e|é)quipp?e(s?)\b/g, "équipe$2"); // équipe
obj.str = obj.str.replace(/\b(E|É)quipp?e(s?)\b/g, "Équipe$2"); // Équipe
obj.str = obj.str.replace(/\b(e|E)ss?en(t|s|ss|c|ç)iell?emm?ent\b/g, "$1ssentiellement"); // essentiellement
obj.str = obj.str.replace(/\b(e|E)ss?en(t|s|ss|c|ç)iel(le?)\b/g, "$1ssentiel$3"); // essentiel
obj.str = obj.str.replace(/\beta(is|it|ient|nt)\b/g, "éta$1"); // était
obj.str = obj.str.replace(/\bEta(is|it|ient|nt)\b/g, "Éta$1"); // Était
obj.str = obj.str.replace(/\bEtat(s?)\b/g, "État$1"); // État
obj.str = obj.str.replace(/\b(E|É|é|e)tienn?e\b/g, "Étienne"); // Étienne
obj.str = obj.str.replace(/\b(e|é)tonn?amm?ent\b/g, "étonnamment"); // étonnamment
obj.str = obj.str.replace(/\b(E|É)tonn?amm?ent\b/g, "Étonnamment"); // Étonnamment
obj.str = obj.str.replace(/\b(e|é)tonn?emm?ent\b/g, "étonnement"); // étonnement
obj.str = obj.str.replace(/\bEtude(s?)\b/g, "Étude$1"); // Étude
obj.str = obj.str.replace(/\b(é|É)thymologie\b/g, "$1tymologie"); // étymologie
obj.str = obj.str.replace(/\bEth?ymologie\b/g, "Étymologie"); // étymologie
obj.str = obj.str.replace(/\beth?ymologie\b/g, "étymologie"); // étymologie
obj.str = obj.str.replace(/\b(e|é)vid(a|e)mm?(a|e)n(t?|s?)\b/g, "évidemment"); // évidemment
obj.str = obj.str.replace(/\b(E|É)vid(a|e)mm?(a|e)n(t?|s?)\b/g, "Évidemment"); // Évidemment
obj.str = obj.str.replace(/\b(e|E)xc?eptionn?e(l|lle|ls|lles|llement)\b/g, "$1xceptionne$2"); // exceptionnellement
obj.str = obj.str.replace(/\b(e|E)xample(s?)\b/g, "$1xemple$2"); // exemple
obj.str = obj.str.replace(/\b(e|E)xig(ea|a|e)nce(s?)\b/g, "$1xigence$3"); // exigence
obj.str = obj.str.replace(/\b(e|E)xig(a|e)nte(s?)\b/g, "$1xigeante$3"); // exigeante
obj.str = obj.str.replace(/\b(e|E|coe|Coe|ine|Ine)xist(a|e)n(c|s)e\b/g, "$1xistence"); // existence
obj.str = obj.str.replace(/\b(e|E|ine|Ine)xpliquable(s?)\b/g, "$1xplicable$2"); // explicable
obj.str = obj.str.replace(/\b(e|E)xt(a|e)n(s|t)ion(s?)\b/g, "$1xtension$4"); // extension
obj.str = obj.str.replace(/\b(f|F)a(s|c|sc|cs)inn?(ation|ant|ante|ants|antes|é|ée|és|ées|er|ais|ait|aient)\b/g, "$1ascin$3"); // fasciner
obj.str = obj.str.replace(/\b(f|F)inn?all?emm?(a|e)nt?\b/g, "$1inalement"); // finalement
obj.str = obj.str.replace(/\b(f|F)oeu?t(al|ale|aux|us|ologie)\b/g, "$1œt$2"); // fœtus
obj.str = obj.str.replace(/\b(f|F|dysf|Dysf|plurif)onctio(nement|ner|né|née|nés|nées|nais|nait|naient|naire(s?)|naliser|nalisme(s?)|naliste(s?)|nalité(s?)|nariat|narisation|nel(s?)|nelle(s?)|nellement)\b/g, "$1onction$2"); // fonctionner
obj.str = obj.str.replace(/\b(f|F)usion(é|ée|és|ées|er|ais|ait|aient|ement)\b/g, "$1usionn$2"); // fusionner
obj.str = obj.str.replace(/\b(G|g)allerie(s?)\b/g, "$1alerie$2"); // galerie
obj.str = obj.str.replace(/\b(G|g)arcon(s?)\b/g, "$1arçon$2"); // garçon
obj.str = obj.str.replace(/\b(G|g)(é|e)nn?(é|e)rr?all?emm?ent\b/g, "$1énéralement"); // généralement
obj.str = obj.str.replace(/\b(h|H)éro\b/g, "$1éros"); // héros
obj.str = obj.str.replace(/\b(h|H)(o|ô)mage(s?)\b/g, "$1ommage$3"); // hommage
obj.str = obj.str.replace(/\b(h|H)onn?eur(s?)\b/g, "$1onneur$2"); // honneur
obj.str = obj.str.replace(/\b(h|H)onnor(er|é|ée|és|ées|ais|ait|a|aient)\b/g, "$1onor$2"); // honorer
obj.str = obj.str.replace(/\b(h|H)otel(lerie?|ier?|ière?|s?)\b/g, "$1ôtel$2"); // hôtel
obj.str = obj.str.replace(/\b(h|H)uits\b/g, "$1uit"); // huit
obj.str = obj.str.replace(/\bIle(s?)\b/g, "Île$1"); // Île
obj.str = obj.str.replace(/\b(I|i)mmaginaire\b/g, "$1maginaire"); // imaginaire
obj.str = obj.str.replace(/\b(I|i)mm?(e|é|è)diat(ement?|e?)\b/g, "$1mmédiat$3"); // immédiat
obj.str = obj.str.replace(/\b(I|i)mm?(e|é|è)diatemm?ent\b/g, "$1mmédiatement"); // immédiatement
obj.str = obj.str.replace(/\b(I|i)mm?en(s|c)(e|ément)\b/g, "$1mmens$3"); // immense
obj.str = obj.str.replace(/\b(I|i)(m|n)pp?ecc?able(s|ment)\b/g, "$1mpeccable$3"); // impeccable
obj.str = obj.str.replace(/\b(I|i)nd(e|é)p(a|e)ndamm?ent\b/g, "$1ndépendamment"); // indépendamment
obj.str = obj.str.replace(/\b(I|i)nn?itiall?(e|é|ement)\b/g, "$1nitial$2"); // initialement
obj.str = obj.str.replace(/\b(I|i|Dési|dési)nt(e|é)rr?(é|e|ê|è)(ssement(s?)|sser|ssé(s?)|ssée(s?)|ssant(s?)|ssante(s?)|a(s?)|ai(s?)|ait|ent)\b/g, "$1ntére$4"); // intéresser
obj.str = obj.str.replace(/\b(I|i)nt(e|é)rr?(é|e|ê|è)t(s?)\b/g, "$1ntérêt$4"); // intérêt
obj.str = obj.str.replace(/\b(I|i)nternationn?(al|aux|ale|alité|alement|alisation|aliser|ationalisé|alisme)\b/g, "$1nternation$2"); // international
obj.str = obj.str.replace(/\b(I|i)nfractus\b/g, "$1nfarctus"); // infarctus
obj.str = obj.str.replace(/\b(I|i)nn?on?(c|ç)e(nt|nce|mment|nte|nter|nté|ntés|nta|ntais|ntait|ntaient|nts)\b/g, "$1nnoce$3"); // innocent
obj.str = obj.str.replace(/\b(j|J)usqu('| )(a|à)\b/g, "$1usqu'à"); // jusqu'à
obj.str = obj.str.replace(/\b(l|L)attitude(s?)\b/g, "$1atitude$2"); // latitude
obj.str = obj.str.replace(/\b(l|L)itérature(s?)\b/g, "$1ittérature$2"); // littérature
obj.str = obj.str.replace(/\b(l|L)oess\b/g, "$1œss"); // lœss
obj.str = obj.str.replace(/\b(l|L)ongu?eur(s?)\b/g, "$1ongueur$2"); // longueur
obj.str = obj.str.replace(/\b(M|m)aintenn?(a|e)n(s?|d?|ts?|t?)\b/g, "$1aintenan$3"); // maintenant
obj.str = obj.str.replace(/\b(M|m)all?ett?e(s?)\b/g, "$1allette$2"); // mallette
obj.str = obj.str.replace(/\b(M|m)algr(é|è)(s?)\b/g, "$1algré"); // malgré
obj.str = obj.str.replace(/\b(M|m)alh?eu?reu?(sement|x|se)\b/g, "$1alheureu$2"); // malheureusement
obj.str = obj.str.replace(/\b(m|M)anoeuvre(s?|r?)\b/g, "$1anœuvre$2"); // manœuvre
obj.str = obj.str.replace(/\b(m|M)emm?es?\b/g, "$1ême"); // même
obj.str = obj.str.replace(/\b(m|M)illieu\b/g, "$1ilieu"); // milieu
obj.str = obj.str.replace(/\b(m|M)illitan(t(s?)|te(s?)|tisme|tiste(s?))\b/g, "$1ilitan$2"); // militant
obj.str = obj.str.replace(/\b(m|M|antim|Antim|dém|Dém)illita(ire(s?)|risé(s?)|risée(s?)|irement|risation|risme)\b/g, "$1ilita$2"); // militaire
obj.str = obj.str.replace(/\b(M|m)ill?ionn?aire(s?)\b/g, "$1illionnaire$2"); // millionnaire
obj.str = obj.str.replace(/\b(M|m)irroir(s?)\b/g, "$1iroir$2"); // mirroir
obj.str = obj.str.replace(/\b(M|m)is(e?|es?) a\b/g, "$1is$2 à"); // mis à

obj.str = obj.str.replace(/\b(M|m)on(n?)ol(y|i)t(h?)e(s?)\b/g, "$1onolithe$5"); // monolithe
obj.str = obj.str.replace(/\b(M|m)ourrir\b/g, "$1ourir"); // mourir
obj.str = obj.str.replace(/\b(n|N)(é|e)a(nm|n|m|mm|mn)oin(s?)\b/g, "$1éanmoins"); // néanmoins
obj.str = obj.str.replace(/\b(n|N)euveu\b/g, "$1eveu"); // neveu
obj.str = obj.str.replace(/\b(n|N)eu?veus\b/g, "$1eveux"); // neveux
obj.str = obj.str.replace(/\b(n|N)oeu(d|ds)\b/g, "$1œu$2"); // nœud
obj.str = obj.str.replace(/\b(n|N|dén|Dén|inn|Inn|Prén|prén|ren|Ren|surn|Surn)n?omm?(é(s?)|ée(s?)|e|er|ément|able|a(s?)|ais|ait|aient)\b/g, "$1omm$2"); // nommer
obj.str = obj.str.replace(/\b(n|N|an|An|paran|Paran)ormall(e|ement|ité(s?)|ien(s?)|isateur(s)|isatrice(s?)|isation(s?)|iser|isé(s?)|isée(s?)|isait|isais|isaient)\b/g, "$1ormal$2"); // normalement
obj.str = obj.str.replace(/\b(n|N)ot(t?)(a|e)m(m?)(a|e)nt\b/g, "$1otamment");
obj.str = obj.str.replace(/\b(n|N)our(i(e?)|issant(s?)?|issante(s?)|ir|iture(s?)|ice(s?)|icier(s?)|icière(s?)|issage|isseur(s?)|isseuse(s?)|isson(s?)|it|is|issent|issais|issait)\b/g, "$1ourr$2");
obj.str = obj.str.replace(/\b(o|O)cc?asionn?(er|é|ée|és|ées|ais|ait|aient|ellement|el|elle|els|elles)\b/g, "$1ccasionn$2");
obj.str = obj.str.replace(/\b(o|O|préo|Préo|ino|Ino)cc?upp?(e|er|é|ée|és|ées|ais|ait|aient|a|ant(e?|s?|tes?)|ation|ation(s?)|ationnel(le?|les?|s?))\b/g, "$1ccup$2");
obj.str = obj.str.replace(/\b(o|O)c(c?)ur(r?)(a|e)n(c|s|ss)e(s?)\b/g, "$1ccurrence$6");
obj.str = obj.str.replace(/\boeuvre(s?|r?)\b/g, "œuvre$1");
obj.str = obj.str.replace(/\b(OE|Oe)uvre(s?|r?)\b/g, "Œuvre$2");
obj.str = obj.str.replace(/\bOEuf(s?)\b/g, "Œuf$1");
obj.str = obj.str.replace(/\boeuf(s?)\b/g, "œuf$1");
obj.str = obj.str.replace(/\b(o|O|ino|Ino)pp?(é|e|è)rr?ationn?(el|elle|els|elles)\b/g, "$1pérationn$3");
obj.str = obj.str.replace(/\b(p|P)arcour\b/g, "$1arcours");
obj.str = obj.str.replace(/\b(p|P)armi(e|s)\b/g, "$1armi");
obj.str = obj.str.replace(/\b(p|P)arainn?(s?|age?|er?|é?|ée?|és?|ées?|a?|ais?|ait?|aient?)\b/g, "$1arrain");

obj.str = obj.str.replace(/\b(p|P)lusieur?(es)\b/g, "$1lusieurs");
obj.str = obj.str.replace(/\b(p|P)o(ê|e|é)me(s?)\b/g, "$1oème$3");
obj.str = obj.str.replace(/\b(p|P)olonn?ais(e?|es?)\b/g, "$1olonais$2");
obj.str = obj.str.replace(/\b(p|P)lusieur(t?|e?|es?|ts?)\b/g, "$1lusieurs$2");
obj.str = obj.str.replace(/\b(p|P)ratiquemm?ent\b/g, "$1ratiquement");
obj.str = obj.str.replace(/\b(p|P)r(é|e|ê|è)t(e|é|és|er|ée|ées|ais|ait)\b/g, "$1rêt$3");
obj.str = obj.str.replace(/\b(p|P)rin(s|c)ipp?all?emm?(a|e)nt\b/g, "$1rincipalement");
obj.str = obj.str.replace(/\b(p|P)ris?(e|es) a\b/g, "$1ris$2 à"); // pris à
obj.str = obj.str.replace(/\b(p|P)rof(f?)es(s?)ion(n?)e(l|lle|ls|lles|llement)\b/g, "$1rofessionne$5");
obj.str = obj.str.replace(/\b(Q|q)uand (à|au|aux)\b/g, "$1uant $2");
obj.str = obj.str.replace(/\b(Q|q)uatres\b/g, "$1uatre");
obj.str = obj.str.replace(/\b(r|R)acc?ont(e(s?)|é(s?)|ée(s?)|er|ais|ait|aient|a)\b/g, "$1acont$2");
obj.str = obj.str.replace(/\b(r|R)ancoeur(s?)\b/g, "$1ancœur$2");
obj.str = obj.str.replace(/\b(r|R)app?idemm?(a|e)nt\b/g, "$1apidement");
obj.str = obj.str.replace(/\b(r|R|irr|Irr)ationn?(el|elle|ellement|els|elles|ement|ements|er|é|ée|és|ées|a|ais|ait|aient)\b/g, "$1ationn$2");
obj.str = obj.str.replace(/\b(r|R|irr|Irr)ationn?alité\b/g, "$1ationalité");
obj.str = obj.str.replace(/\b(r|R)ecc?ord(s?|man?)\b/g, "$1ecord$2");
obj.str = obj.str.replace(/\b(r|R)(é|e|è)cc?urr?(a|e)n(t|te|ce)\b/g, "$1écurren$4"); // récurrent
obj.str = obj.str.replace(/\b(r|R)(é|e)c(a|e)mm?ent\b/g, "$1écemment"); // récemment
obj.str = obj.str.replace(/\b(r|R)e(c|cc|s|ss)en(c|cc|s|ss)(ais|ait|aient|e|es|é|és|ées|ement)\b/g, "$1ecens$4"); // recenser
obj.str = obj.str.replace(/\b(r|R)efu(t?|ts?)\b/g, "$1efus"); // refut
obj.str = obj.str.replace(/\b(r|R|Irr|irr)(e|é|è)gull?i(e|é|è)rr?emm?(a|e)nt\b/g, "$1égulièrement"); // régulièrement
obj.str = obj.str.replace(/\b(r|R)enouvell(er|é|és|ée|ées|a|ais|ait|aient)\b/g, "$1enouvel$2"); // renouveler
obj.str = obj.str.replace(/\b(r|R)enouvell?emm?ent(s?)\b/g, "$1enouvellement$2"); // renouvellement
obj.str = obj.str.replace(/\b(s|S)c?h(é|e)mat?(s?)\b/g, "$1chéma$3"); // schéma
obj.str = obj.str.replace(/\b(s|S|prés|Prés)(é|e|è)lectio(né|nés|née|nées|ner|na|nais|nait|naient|neur|neurs|neuse|neuses)\b/g, "$1élection$3"); // sélectionner
obj.str = obj.str.replace(/\b(s|S)imm?ultann?(é|e|è)mm?(a|e)nt\b/g, "$1imultanément"); // simultanément
obj.str = obj.str.replace(/\b(s|S)oeur(s?)\b/g, "$1œur$2"); // sœur
obj.str = obj.str.replace(/\b(s|S)oll?ution(s?)\b/g, "$1olution$2"); // solution
obj.str = obj.str.replace(/\b(s|S)p(e|é|è)(c|s)iall?(e|ement|isation(s?)|ité(s?)|isé(s?)|isée(s?)|iser|isais|isat|isait|isaient|iste(s?))\b/g, "$1pécial$4"); // spécial
obj.str = obj.str.replace(/\b(s|S)ucc?in(t|te|tes|ts|tement)\b/g, "$1uccinc$2"); // succinct
obj.str = obj.str.replace(/\b(s|S)ucc?ursall?e(s?)\b/g, "$1uccursale$2"); // succursale
obj.str = obj.str.replace(/\b(Ins|ins|s|S)uff?is(a|e)mm?(e|a)nt\b/g, "$1uffisamment"); // suffisamment
obj.str = obj.str.replace(/\b(Ins|ins|s|S|autos|Autos)uff?isan(t?|te?)\b/g, "$1uffisan$2"); // suffisant
obj.str = obj.str.replace(/\b(s|S)upp?rimm?(er|é|ée|és|ées|ais|ait|aient|able|e)\b/g, "$1upprim$2"); // supprimer
obj.str = obj.str.replace(/\b(s|S)urnom(a|e|é|ée|és|ées|ait|ais|aient|er)\b/g, "$1urnomm$2"); // surnommer
obj.str = obj.str.replace(/\b(T|t)otall?emm?ent\b/g, "$1otalement"); // totalement
obj.str = obj.str.replace(/\b(T|t)oujour(s?|e?)\b/g, "$1oujours"); // toujours
obj.str = obj.str.replace(/\b(T|t)our?tefois?\b/g, "$1outefois"); // toutefois
obj.str = obj.str.replace(/\b(T|t)raditionn?el(s?|les?|lement?)\b/g, "$1raditionnel$2"); // traditionnel
obj.str = obj.str.replace(/\b(T|t)raff+ic(s?)\b/g, "$1rafic$2"); // trafic
obj.str = obj.str.replace(/\b([Tt])r[ée]s /g, " $1rès "); // très
obj.str = obj.str.replace(/\b(U|u)n esp(è|e|é)ce\b/g, "$1ne espèce"); // une espèce
obj.str = obj.str.replace(/\b(v|V)ell?our(t?)\b/g, "$1elours"); // velours
obj.str = obj.str.replace(/\b(v|V)erball?emm?ent\b/g, "$1erbalement"); // verbalement
obj.str = obj.str.replace(/\b(v|V)ioll?(a|e)mm?ent\b/g, "$1iolemment"); // violemment
obj.str = obj.str.replace(/\b(v|V)ision(age(s?)|aire(s?)|er|é|ais|ait|aient|e|euse(s?))\b/g, "$1isionn$2"); // visionner
obj.str = obj.str.replace(/\b(v|V)oeu(x?)\b/g, "$1œu$2"); // vœu
obj.str = obj.str.replace(/\b(v|V)(oe|œ)us\b/g, "$1œux"); // vœux
obj.str = obj.str.replace(/\b(v|V)oll?ontier(s?)\b/g, "$1olontiers"); // volontiers
obj.str = obj.str.replace(/\b(W|w)aggon(s?)\b/g, "$1agon$2"); // wagon

/* Ajout temp */
obj.str = obj.str.replace(/([Ss])ucesseur/g, "$1uccesseur"); // Successeur


}

/* </nowiki></pre> */