//<pre><nowiki>

popupStrings = {
/////////////////////////////////////
// summary data, searching etc.
/////////////////////////////////////
  'article': 'voce',
  'category': 'categoria',
  'categories': 'categorie',
  'image': 'immagine',
  'images': 'immagini',
  'stub': 'stub',
  'section stub': 'stub sezione',
  'Empty page': 'Pagina vuota',
  'kB': 'kB',
  'bytes': 'byte',
  'day': 'giorno',
  'days': 'giorni',
  'hour': 'ora',
  'hours': 'ore',
  'minute': 'minuto',
  'minutes': 'minuti',
  'second': 'secondo',
  'seconds': 'secondi',
  'week': 'settimana',
  'weeks': 'settimane',
  'search': 'cerca',
  'SearchHint': 'Trovate voci che contengono %s',
  'web': 'web',
  'global': 'global',
  'globalSearchHint': 'Cerca %s sulle Wikipedie in un\'altra lingua',
  'googleSearchHint': 'Cerca %s su Google',
/////////////////////////////////////
// article-related actions and info
// (some actions also apply to user pages)
/////////////////////////////////////
  'actions': 'azioni',         ///// view articles and view talk
  'popupsMenu': 'opzioni',
  'togglePreviewsHint': 'Attiva le anteprime nei popup di questa pagina',
  'toggle previews': 'attiva anteprime',
  'reset': 'nascondi',
  'disable': 'disattiva i popup',
  'disablePopupsHint': 'Disattiva i popup in questa pagina. Ricarica la pagina per riattivarli.',
  'purgePopupsHint': 'Nasconde i popup ed elimina i dati in cache.',
  'PopupsHint': 'Nasconde i popup ed elimina i dati in cache.',
  'spacebar': 'spazio',
  'view': 'visualizza',
  'view article': 'visualizza voce',
  'viewHint': 'Vai a %s',
  'talk': 'discussione',
  'talk page': 'pagina di discussione',
  'this revision': 'Versione corrente',
  'revision %s of %s': 'Versione del %s, autore: %s',
  'Revision %s of %s': 'versione del %s, autore: %s',
  'the revision prior to revision %s of %s': 'versione precedente alla versione %s di %s',
  'Toggle image size': 'Clicca per scambiare la dimensione dell\'immagine',
  'del': 'canc',                 ///// delete, protect, move
  'delete': 'cancella',
  'deleteHint': 'Cancella %s',
  'undeleteShort': 'recupera',
  'UndeleteHint': 'Visualizza le versioni cancellate di %s',
  'protect': 'proteggi',
  'protectHint': 'Aumenta il livello di protezione per %s',
  'unprotectShort': 's',
  'unprotectHint': 'Permetti a chiunque di modificare %s',
  'move': 'sposta',
  'move page': 'sposta pagina',
  'MovepageHint': 'Modifica il titolo di %s',
  'edit': 'modifica',               ///// edit articles and talk
  'edit article': 'modifica voce',
  'editHint': 'Modifica il contenuto di %s',
  'edit talk': 'edita nella discussione',
  'new': 'nuovo',
  'new topic': 'nuova sezione',
  'newSectionHint': 'Crea una nuova sezione in %s',
  'null edit': 'modifica nulla',
  'nullEditHint': 'Salva la pagina %s senza effettuare modifiche',
  'hist': 'cron',               ///// history, diffs, editors, related
  'history': 'cronologia',
  'historyHint': 'Elenco delle modifiche effettuate su %s',
  'last': 'ultima',
  'lastEdit': 'ultima modifica',
  'show last edit': 'ultima modifica recente',
  'Show the last edit': 'Visualizza gli effetti della modifica più recente',
  'lastContrib': 'ultimo contributo',
  'last set of edits': 'ultimi contributi',
  'lastContribHint': 'Visualizza gli effetti delle modifiche dell\'ultimo utente',
  'cur': 'corr',
  'diffCur': 'diff/corr',
  'Show changes since revision %s': 'Visualizza i cambiamenti effettuati nell\'ultima versione %s',
  '%s old': 'vecchio di %s', // as in 4 weeks old
  'oldEdit': 'versione precedente',
  'purge': 'purga',
  'purgeHint': 'Invia una richiesta per aggiornare %s',
  'raw': 'sorgente',
  'rawHint': 'Visualizza il sorgente di %s',
  'render': 'semplice',
  'renderHint': 'Visualizza %s come HTML puro',
  'Show the edit made to get revision': 'Visualizza le modifiche fatte a partire da una data versione',
  'sinceMe': 'dalla mia modifica',
  'changes since mine': 'differenze dalla mia modifica',
  'sinceMeHint': 'Visualizza i cambiamenti dall\'ultima mia modifica',
  'Couldn\'t find an edit by %s\nin the last %s edits to\n%s': 'Non riesco a trovare edit di %s\nin nelle ultime %s modifiche dal\n%s',
  'eds': 'eds',
  'editors': 'contributori',
  'editorListHint': 'Elenca gli utenti che hanno modificato %s',
  'related': 'correlate',
  'relatedChanges': 'Modifiche correlate',
  'related changes': 'modifiche correlate',
  'RecentchangeslinkedHint': 'Visualizza le modifiche correlate a %s',
  'editOld': 'modifica prec',          ///// edit old version, or revert
  'rv': 'rb',
  'revert': 'rollback',
  'revertHint': 'Salva la modifica precedente di %s',
  'defaultpopupRedlinkSummary': 'Rimozione collegamento a pagina vuota [[%s]] tramite [[:en:Wikipedia:Tools/Navigation_popups|popup]]',
  'defaultpopupFixDabsSummary': 'Risolvo disambigua [[%s]] in [[%s]] tramite [[:en:Wikipedia:Tools/Navigation_popups|popups]]',
  'defaultpopupFixRedirsSummary': 'Correggo redirect da [[%s]] a [[%s]] tramite [[:en:Wikipedia:Tools/Navigation_popups|popups]]',
  'defaultpopupExtendedRevertSummary': 'Ripristino alla versione del %s di %s, oldid %s tramite [[:en:Wikipedia:Tools/Navigation_popups|popups]]',
  'defaultpopupRevertToPreviousSummary': 'Ripristino alla versione precedente alla versione %s tramite [[:en:Wikipedia:Tools/Navigation_popups|popups]]',
  'defaultpopupRevertSummary': 'Ripristino alla versione %s tramite [[:en:Wikipedia:Tools/Navigation_popups|popups]]',
  'defaultpopupQueriedRevertToPreviousSummary': 'Ripristino alla versione precedente rispetto alla versione $1 datata $2 di $3 tramite [[:en:Wikipedia:Tools/Navigation_popups|popups]]',
  'defaultpopupQueriedRevertSummary': 'Ripristino alla versione $1 datata $2 di $3 tramite [[:en:Wikipedia:Tools/Navigation_popups|popups]]',
  'defaultpopupRmDabLinkSummary': 'Rimozione collegamento alla pagina disambigua [[%s]] tramite [[:en:Wikipedia:Tools/Navigation_popups|popups]]',
  'Redirects': 'Redirect', // as in Redirects to ...
  ' to ': ' a ',           // as in Redirects to ...
  'Bypass redirect': 'Evita redirect',
  'Fix this redirect': 'Correggi questo redirect',
  'disambig': 'disambigua',          ///// add or remove dab etc.
  'disambigHint': 'Disambigua questo collegamento a [[%s]]',
  'Click to disambiguate this link to:': 'Clicca per disambiguare questo collegamento a:',
  'remove this link': 'rimuovi questo collegamento',
  'remove all links to this page from this article': 'rimuovi tutti i collegamenti a questa pagina da questa voce',
  'remove all links to this disambig page from this article': 'rimuovi tutti i collegamenti a questa pagina disambigua da questa voce',
  'mainlink': 'mainlink',          ///// links, watch, unwatch
  'wikiLink': 'wikilink',
  'wikiLinks': 'wikilink',
  'links here': 'puntano qui',
  'whatLinksHere': 'Puntano qui',
  'what links here': 'Puntano qui',
  'WhatlinkshereHint': 'Elenca le pagine che linkano a %s',
  'unwatchShort': 'non',
  'watchThingy': 'segui',  // called watchThingy because {}.watch is a function
  'watchHint': 'Aggiunge %s agli osservati speciali',
  'unwatchHint': 'Rimuove %s dagli osservati speciali',
  'Only found one editor: %s made %s edits': 'Trovato un solo contributore: %s ha fatto %s modifiche',
  '%s seems to be the last editor to the page %s': '%s sembra essere l\'ultimo contributore nella pagina %s',
  'rss': 'rss',
/////////////////////////////////////
// diff previews
/////////////////////////////////////
  'Diff truncated for performance reasons': 'Differenze interrotte per problemi di prestazioni',
  'Old revision': 'Differenza precedente',
  'New revision': 'Differenza successiva',
  'Something went wrong :-(': 'Qualcosa è andato storto :-(',
  'Empty revision, maybe non-existent': 'Versione vuota. Potrebbe non esistere',
  'Unknown date': 'Data sconosciuta',
/////////////////////////////////////
// other special previews
/////////////////////////////////////
  'Empty category': 'Categoria vuota',
  'Category members (%s shown)': 'Pagine nella categoria (visualizzate %s)',
  'No image links found': 'Nessuna pagina contiene questa immagine',
  'File links': 'Pagine che usano questa immagine',
  'not commons': 'Non esiste un file con questo nome su Wikimedia Commons.',
  'commons only': 'Questo file proviene da Wikimedia Commons.',
  'No image found': 'Immagine non trovata',
  'commons dupe': 'Lo stesso file sembra essere presente su Wikimedia Commons.',
  'commons conflict': 'Su Wikimedia Commons è presente un file differente con lo stesso nome.',
/////////////////////////////////////
// user-related actions and info
/////////////////////////////////////
  'user': 'utente',               ///// user page, talk, email, space
  'user page': 'pagina utente',
  'user talk': 'discussioni utente',
  'edit user talk': 'modifica la discussione utente',
  'leave comment': 'scrivi un commento',
  'email': 'e\-mail',
  'email user': 'invia una e\-mail',
  'EmailuserHint': 'Invia una e\-mail a %s',
  'space': 'sottopagine', // short form for userSpace link
  'PrefixindexHint': 'Visualizza le sottopagine di %s',
  'count': 'contributi',             ///// contributions, tree, log
  'edit counter': 'edit counter',
  'katelinkHint': 'Conta i contributi di %s',
  'contribs': 'contributi',
  'contributions': 'contributi',
  'ContributionsHint': 'Elenca i contributi di %s',
  'tree': 'albero',
  'contribsTreeHint': 'Esplora i contributi di %s per namespace e per voci',
  'log': 'log',
  'user log': 'log',
  'userLogHint': 'Visualizza i log dell\'utente %s',
  'arin': 'controllo su ARIN',             ///// ARIN lookup, block user or IP
  'Look up %s in ARIN whois database': 'Controlla %s nel database whois ARIN',
  'unblockShort': 's',
  'block': 'blocca',
  'block user': 'blocca utente',
  'IpblocklistHint': 'Sblocca %s',
  'BlockipHint': 'Impedisci a %s di editare',
  'block log': 'Blocchi',
  'blockLogHint': 'Visualizza i blocchi per %s',
  'protectLogHint': 'Visualizza le protezioni per %s',
  'pageLogHint': 'Visualizza il log della pagina %s',
  'deleteLogHint': 'Visualizza le cancellazioni per %s',
  'Invalid %s %s': 'L\' opzione %s non è valida: %s',
/////////////////////////////////////
// Autoediting
/////////////////////////////////////
  'Enter a non-empty edit summary or press cancel to abort': 'Inserisci un oggetto valido o premi annulla per interrompere',
  'Failed to get revision information, please edit manually.\n\n': 'Impossibile reperire le informazioni di versione, ricorrere alla modifica manuale.\n\n',
  'The %s button has been automatically clicked. Please wait for the next page to load.': 'Il pulsante %s è stato premuto automaticamente. Attendi che si carichi la prossima pagina.',
  'Could not find button %s. Please check the settings in your javascript file.': 'Impossibile trovare il pulsante %s. Controlla le impostazioni nel tuo file javascript.',
/////////////////////////////////////
// Popups setup
/////////////////////////////////////
  'Open full-size image': 'Apri l\'immagine a dimensione intera',
  'zxy': 'zxy'
};

//</nowiki></pre>