/*
 * EvaluationDeluxe
 * 
 * La fonction EvalProject ajoute un ou plusieurs boutons qui ouvrent un popup d'évaluation
 * sur un ou plusieurs projets donné. Le bouton n'est ajouté que sur les pages de discussion
 * des articles.
 *
 * Un modèle d'évaluation de projet sera mis à jour ou ajouté sur la page de
 * discussion concernée.
 *
 * Auteurs : Ugo14
 * Adapté par Erasoft24 pour le Projet:Droit
 * Date de dernière révision :
 */

/*********************************************************************************************/
/*****************************************  DROIT   ******************************************/
/*********************************************************************************************/

/* PARAMETRES */

var evalProjectButtons = new Array();
var evalProjectNames = new Array();

with (evalProjectButtons) {
        push("http://upload.wikimedia.org/wikipedia/commons/0/07/Button_justice.png"); //push(""); donne le bouton vide
}
with (evalProjectNames) {
        push("droit");
}

function popupEvalProject(project) {
        var pattern=new RegExp("\\{\\{Projet "+project+".*\\}\\}","i");
        var found=document.editform.wpTextbox1.value.match(pattern); 
        var aa="inconnu";
        var ii="inconnue";
        var chki=new Array();
        var chka=new Array();
        for (i=0;i<4;i++) {chki[i]="";}
        for (i=0;i<6;i++) {chka[i]="";}
        if (found) {
                if (found[0].match(/importance=faible/i)) {
                        ii="faible";
                        chki[0]="checked";
                } else if (found[0].match(/importance=moyenne/i)) {
                        ii="moyenne";
                        chki[1]="checked";
                } else if (found[0].match(/importance=élevée/i)) {
                        ii="élevée";
                        chki[2]="checked";
                } else if (found[0].match(/importance=maximum/i)) {
                        ii="maximum";
                        chki[3]="checked";
                }
                if (found[0].match(/avancement=ébauche/i)) {
                        aa="ébauche";
                        chka[0]="checked";
                } else if (found[0].match(/avancement=BD/i)) {
                        aa="BD";
                        chka[1]="checked";
                } else if (found[0].match(/avancement=BA/i)) {
                        aa="BA";
                        chka[3]="checked";
                } else if (found[0].match(/avancement=B/i)) {
                        aa="B";
                        chka[2]="checked";
                } else if (found[0].match(/avancement=AdQ/i)) {
                        aa="AdQ";
                        chka[5]="checked";
                } else if (found[0].match(/avancement=A/i)) {
                        aa="A";
                        chka[4]="checked";
                }
        }

        var popup = window.open('','name','');

        javaCode =  '<script type="text\/javascript">var a="'+aa+'"; var i="'+ii+'"; function insertCode(){';
        javaCode += "var textarea=window.opener.document.editform.wpTextbox1.value; ";
        javaCode += 'var pattern=new RegExp("\\\\{\\\\{Projet '+project+'.*\\\\}\\\\}","i"); ';
        javaCode += 'if (textarea.match(pattern)) { ';
        javaCode += 'window.opener.document.editform.wpTextbox1.value=';
        javaCode += 'textarea.replace(pattern,"{{Projet '+project+'|importance="+i+"|avancement="+a+"|vérifié=oui}}");  ';
        javaCode += ' }else{ ';
        javaCode += 'window.opener.insertTags("","{{Projet '+project+'|importance="+i+"|avancement="+a+"|vérifié=oui}}",""); ';
        javaCode += ' } ';
        javaCode += 'window.opener.document.editform.wpSummary.value ="Évaluation projet '+project+' : importance="+i+", avancement="+a; ';
        javaCode += '} <\/script>';
  
        popup.document.write('<html><head><title>Évaluation de '+wgTitle+' pour le projet '+project+'</title>');
        popup.document.write('<script type="text\/javascript" src="\/skins-1.5\/common\/wikibits.js"><!-- wikibits js --><\/script>');
        popup.document.write('<style type="text\/css" media="screen projection">/*<![CDATA[*/ @import "\/skins-1.5\/monobook\/main.css?5"; /*]]>*/<\/style>');
        popup.document.write(javaCode); 
        popup.document.write('</head><body>');
        popup.document.write('<h1>Évaluation de <b>'+wgTitle+'</b> dans le cadre du projet <b>'+project+'</b></h1>');
        popup.document.write('<p><center><form name="paramForm">');
        popup.document.write('<table cellpading=1 cellspacing=0>');
        popup.document.write('<tr><th colspan=2>Avancement</th><th colspan=2>Importance</th></tr>');
        popup.document.write('<tr><td bgcolor="#6699ff"><input type="radio" name="avancement" onCLick="a=\'AdQ\'" '+chka[5]+'></td>');
        popup.document.write('<td bgcolor="#6699ff">AdQ</td>');
        popup.document.write('<td bgcolor="#ff00ff"><input type="radio" name="importance" onClick="i=\'maximum\'" '+chki[3]+'></td>');
        popup.document.write('<td bgcolor="#ff00ff">maximum</td></tr>');
        popup.document.write('<tr><td bgcolor="#66ffff"><input type="radio" name="avancement" onClick="a=\'A\'" '+chka[4]+'></td>');
        popup.document.write('<td bgcolor="#66ffff">A</td>');
        popup.document.write('<td bgcolor="#ff88ff"><input type="radio" name="importance" onClick="i=\'élevée\'" '+chki[2]+'></td>');
        popup.document.write('<td bgcolor="#ff88ff">élevée</td></tr>');
        popup.document.write('<tr><td bgcolor="#66ff66"><input type="radio" name="avancement" onClick="a=\'BA\'" '+chka[3]+'></td>');
        popup.document.write('<td bgcolor="#66ff66">BA</td>');
        popup.document.write('<td bgcolor="#ffccff"><input type="radio" name="importance" onClick="i=\'moyenne\'" '+chki[1]+'></td>');
        popup.document.write('<td bgcolor="#ffccff">moyenne</td></tr>');
        popup.document.write('<tr><td bgcolor="#ffff66"><input type="radio" name="avancement" onClick="a=\'B\'" '+chka[2]+'></td>');
        popup.document.write('<td bgcolor="#ffff66">B</td>');
        popup.document.write('<td bgcolor="#ffeeff"><input type="radio" name="importance" onClick="i=\'faible\'" '+chki[0]+'></td>');
        popup.document.write('<td bgcolor="#ffeeff">faible</td></tr>');
        popup.document.write('<tr><td bgcolor="#ffaa66"><input type="radio" name="avancement" onClick="a=\'BD\'" '+chka[1]+'></td>');
        popup.document.write('<td bgcolor="#ffaa66">BD</td>');
        popup.document.write('<td></td>');
        popup.document.write('<td></td></tr>');
        popup.document.write('<tr><td bgcolor="#ff6666"><input type="radio" name="avancement" onClick="a=\'ébauche\'" '+chka[0]+'></td>');
        popup.document.write('<td bgcolor="#ff6666">ébauche</td>');
        popup.document.write('<td></td>');
        popup.document.write('<td></td></tr>');
        popup.document.write('</table>');
        popup.document.write('<p>');
        popup.document.write('<input type="submit" value="Évaluer" onClick="javascript:insertCode();javascript:self.close()">');
        popup.document.write('<input type="submit" value="Annuler" onClick="javascript:self.close()">');
        popup.document.write('</form></center>');
        popup.document.write('<iframe id="article" src="http://fr.wikipedia.org/wiki/'+wgTitle+'" width="100%" height="75%" align="bottom"></iframe>');
        popup.document.write('</body></html>');
        popup.document.close();
}

function EvalProject () {

        if ((wgAction != "edit") || (wgCanonicalNamespace != "Talk")) return false;

        if (document.createTextNode) {
                var toolbar = document.getElementById("toolbar");
                if (!toolbar) return;

                for(var i = 0; i < evalProjectNames.length; i ++) {
                        var img = document.createElement("img");
                        if (evalProjectButtons[i]==undefined || evalProjectButtons[i]=="") {
                                img.setAttribute("src","http://upload.wikimedia.org/wikipedia/fr/8/84/Button_vide.png");
                        } else {
                                img.setAttribute("src", evalProjectButtons[i]);
                        }
                        var ref = document.createElement("a");
                        ref.setAttribute("href", "javascript:popupEvalProject('"+evalProjectNames[i]+"');");
                        ref.setAttribute("title", "Évaluation projet "+evalProjectNames[i]);
                        ref.appendChild(img);

                        toolbar.appendChild(ref);
                }
        }
}

addOnloadHook(EvalProject);

/*********************************************************************************************/
/*****************************************  DROIT FR *****************************************/
/*********************************************************************************************/


var evalProjectButtons2 = new Array();
var evalProjectNames2 = new Array();

with (evalProjectButtons2) {
        push("http://upload.wikimedia.org/wikipedia/commons/a/ae/Button_fr.png"); //push(""); donne le bouton vide
}
with (evalProjectNames2) {
        push("droit français");
}

function popupEvalProject2(project) {
        var pattern=new RegExp("\\{\\{Projet "+project+".*\\}\\}","i");
        var found=document.editform.wpTextbox1.value.match(pattern); 
        var aa="inconnu";
        var ii="inconnue";
        var chki=new Array();
        var chka=new Array();
        for (i=0;i<4;i++) {chki[i]="";}
        for (i=0;i<6;i++) {chka[i]="";}
        if (found) {
                if (found[0].match(/importance=faible/i)) {
                        ii="faible";
                        chki[0]="checked";
                } else if (found[0].match(/importance=moyenne/i)) {
                        ii="moyenne";
                        chki[1]="checked";
                } else if (found[0].match(/importance=élevée/i)) {
                        ii="élevée";
                        chki[2]="checked";
                } else if (found[0].match(/importance=maximum/i)) {
                        ii="maximum";
                        chki[3]="checked";
                }
                if (found[0].match(/avancement=ébauche/i)) {
                        aa="ébauche";
                        chka[0]="checked";
                } else if (found[0].match(/avancement=BD/i)) {
                        aa="BD";
                        chka[1]="checked";
                } else if (found[0].match(/avancement=BA/i)) {
                        aa="BA";
                        chka[3]="checked";
                } else if (found[0].match(/avancement=B/i)) {
                        aa="B";
                        chka[2]="checked";
                } else if (found[0].match(/avancement=AdQ/i)) {
                        aa="AdQ";
                        chka[5]="checked";
                } else if (found[0].match(/avancement=A/i)) {
                        aa="A";
                        chka[4]="checked";
                }
        }

        var popup = window.open('','name','');

        javaCode =  '<script type="text\/javascript">var a="'+aa+'"; var i="'+ii+'"; function insertCode(){';
        javaCode += "var textarea=window.opener.document.editform.wpTextbox1.value; ";
        javaCode += 'var pattern=new RegExp("\\\\{\\\\{Projet '+project+'.*\\\\}\\\\}","i"); ';
        javaCode += 'if (textarea.match(pattern)) { ';
        javaCode += 'window.opener.document.editform.wpTextbox1.value=';
        javaCode += 'textarea.replace(pattern,"{{Projet '+project+'|importance="+i+"|avancement="+a+"}}");  ';
        javaCode += ' }else{ ';
        javaCode += 'window.opener.insertTags("","{{Projet '+project+'|importance="+i+"|avancement="+a+"}}",""); ';
        javaCode += ' } ';
        javaCode += 'window.opener.document.editform.wpSummary.value ="Évaluation projet '+project+' : importance="+i+", avancement="+a; ';
        javaCode += '} <\/script>';
  
        popup.document.write('<html><head><title>Évaluation de '+wgTitle+' pour le projet '+project+'</title>');
        popup.document.write('<script type="text\/javascript" src="\/skins-1.5\/common\/wikibits.js"><!-- wikibits js --><\/script>');
        popup.document.write('<style type="text\/css" media="screen projection">/*<![CDATA[*/ @import "\/skins-1.5\/monobook\/main.css?5"; /*]]>*/<\/style>');
        popup.document.write(javaCode); 
        popup.document.write('</head><body>');
        popup.document.write('<h1>Évaluation de <b>'+wgTitle+'</b> dans le cadre du projet <b>'+project+'</b></h1>');
        popup.document.write('<p><center><form name="paramForm">');
        popup.document.write('<table cellpading=1 cellspacing=0>');
        popup.document.write('<tr><th colspan=2>Avancement</th><th colspan=2>Importance</th></tr>');
        popup.document.write('<tr><td bgcolor="#6699ff"><input type="radio" name="avancement" onCLick="a=\'AdQ\'" '+chka[5]+'></td>');
        popup.document.write('<td bgcolor="#6699ff">AdQ</td>');
        popup.document.write('<td bgcolor="#ff00ff"><input type="radio" name="importance" onClick="i=\'maximum\'" '+chki[3]+'></td>');
        popup.document.write('<td bgcolor="#ff00ff">maximum</td></tr>');
        popup.document.write('<tr><td bgcolor="#66ffff"><input type="radio" name="avancement" onClick="a=\'A\'" '+chka[4]+'></td>');
        popup.document.write('<td bgcolor="#66ffff">A</td>');
        popup.document.write('<td bgcolor="#ff88ff"><input type="radio" name="importance" onClick="i=\'élevée\'" '+chki[2]+'></td>');
        popup.document.write('<td bgcolor="#ff88ff">élevée</td></tr>');
        popup.document.write('<tr><td bgcolor="#66ff66"><input type="radio" name="avancement" onClick="a=\'BA\'" '+chka[3]+'></td>');
        popup.document.write('<td bgcolor="#66ff66">BA</td>');
        popup.document.write('<td bgcolor="#ffccff"><input type="radio" name="importance" onClick="i=\'moyenne\'" '+chki[1]+'></td>');
        popup.document.write('<td bgcolor="#ffccff">moyenne</td></tr>');
        popup.document.write('<tr><td bgcolor="#ffff66"><input type="radio" name="avancement" onClick="a=\'B\'" '+chka[2]+'></td>');
        popup.document.write('<td bgcolor="#ffff66">B</td>');
        popup.document.write('<td bgcolor="#ffeeff"><input type="radio" name="importance" onClick="i=\'faible\'" '+chki[0]+'></td>');
        popup.document.write('<td bgcolor="#ffeeff">faible</td></tr>');
        popup.document.write('<tr><td bgcolor="#ffaa66"><input type="radio" name="avancement" onClick="a=\'BD\'" '+chka[1]+'></td>');
        popup.document.write('<td bgcolor="#ffaa66">BD</td>');
        popup.document.write('<td></td>');
        popup.document.write('<td></td></tr>');
        popup.document.write('<tr><td bgcolor="#ff6666"><input type="radio" name="avancement" onClick="a=\'ébauche\'" '+chka[0]+'></td>');
        popup.document.write('<td bgcolor="#ff6666">ébauche</td>');
        popup.document.write('<td></td>');
        popup.document.write('<td></td></tr>');
        popup.document.write('</table>');
        popup.document.write('<p>');
        popup.document.write('<input type="submit" value="Évaluer" onClick="javascript:insertCode();javascript:self.close()">');
        popup.document.write('<input type="submit" value="Annuler" onClick="javascript:self.close()">');
        popup.document.write('</form></center>');
        popup.document.write('<iframe id="article" src="http://fr.wikipedia.org/wiki/'+wgTitle+'" width="100%" height="75%" align="bottom"></iframe>');
        popup.document.write('</body></html>');
        popup.document.close();
}

function EvalProject2 () {

        if ((wgAction != "edit") || (wgCanonicalNamespace != "Talk")) return false;

        if (document.createTextNode) {
                var toolbar = document.getElementById("toolbar");
                if (!toolbar) return;

                for(var i = 0; i < evalProjectNames2.length; i ++) {
                        var img = document.createElement("img");
                        if (evalProjectButtons2[i]==undefined || evalProjectButtons2[i]=="") {
                                img.setAttribute("src","http://upload.wikimedia.org/wikipedia/fr/8/84/Button_vide.png");
                        } else {
                                img.setAttribute("src", evalProjectButtons2[i]);
                        }
                        var ref = document.createElement("a");
                        ref.setAttribute("href", "javascript:popupEvalProject2('"+evalProjectNames2[i]+"');");
                        ref.setAttribute("title", "Évaluation projet "+evalProjectNames2[i]);
                        ref.appendChild(img);

                        toolbar.appendChild(ref);
                }
        }
}

addOnloadHook(EvalProject2);


/*********************************************************************************************/
/*****************************************  ARTICLES RESTANTS ********************************/
/*********************************************************************************************/


function ArtDtImpInc() 
 {
  var a = document.getElementById("p-navigation");
  if (a) 
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    {
      b[0].innerHTML = b[0].innerHTML
      + '<hr />'
      + '<li id="n-droit"><a href="http://fr.wikipedia.org/wiki/Projet:Droit/%C3%89valuation" style="display:inline">EvaDroit</a> (<a href="/wiki/Utilisateur:Erasoft24/EvaDroit" title="Liste des articles à évaluer" style="display:inline">L</a> · <a href="http://fr.wikipedia.org/wiki/Cat%C3%A9gorie:Article_de_droit_d%27avancement_inconnu" title="Avancement inconnu" style="display:inline">A</a> · <a href="http://fr.wikipedia.org/wiki/Cat%C3%A9gorie:Article_de_droit_d%27importance_inconnue" title="Importance inconnue" style="display:inline">I</a> · <a href="http://fr.wikipedia.org/w/index.php?title=Projet:Droit/%C3%89valuation/Comit%C3%A9&action=edit&section=new"  style="display:inline" title="Comité d\'évaluation">+</a>)</li>'
     }
   }
 } 
 
addLoadEvent(ArtDtImpInc);