//Pompé sur le .js de Seb35 (merci)
// Attention : certains de ces scripts sont fait maison spécifiquement pour Opera, et peuvent ne pas marcher pour d'autres navigateurs

// Variables pour quelques scripts
 var wikicourant = 'fr'; // Langue du wiki courant, si non fr, il faut modifier un peu les scripts
 var nbresultats = 100;  // Nombre de résultats par page compris entre 10 et 100 pour Google



//------------------------------
// --> déclaration des fonctions
//------------------------------

// Nom des namespaces
if(wikicourant == 'fr') namespaces = /^(?:(?:Media|Discuter|Utilisateur|Discussion Utilisateur|Wikipédia|Discussion Wikipédia|Image|Discussion Image|MediaWiki|Discussion MediaWiki|Modèle|Discussion Modèle|Aide|Discussion Aide|Catégorie|Discussion Catégorie):)?(.*)/i;
else namespaces = /^(?:\w{4,22}:)?(.*)/i;

//Titre de la page active (sert pour la plupart des scripts)
function trouveTitre()
{
 if(!/Spe[cz]ial(?::|%3A)/i.test(window.location))
 {
  return document.title.replace(/^(?:modification de )?(.+) -(?:.*)/i, '$1').replace(/^(.*) -(?:.*)/i, '$1').replace(/^(.*) \((?:.*)\)/i, '$1');
 }
 else
 {
  return ('Special:' + window.location.toString().replace(/(?:.*)Spe[cz]ial(?::|%3A)(.+)/i, '$1').replace(/(.+)&(?:.*)/i, '$1').replace(/(.+)&(?:.*)/i, '$1').replace(/(.+)&(?:.*)/i, '$1').replace(/(.+)&(?:.*)/i, '$1').replace(/(.+)\/(?:.*)/i, '$1'));
 }
}
var TitreDePage = trouveTitre();

/*********************************************/
/* Fabrique l'adresse de recherche de Google */
/*********************************************/
function googleurl(place, site, title)
{
 return 'http://www.google.com/search?'
  + 'num=' + nbresultats + '&amp;'
  + 'as_occt=' + place + '&amp;'
  + 'q=' + title
  + '+site:' + site;
}

/*****************************/
/* Bistro d'aujourd'hui      */
/* auteur : Utilisateur:Dake */
/*****************************/
function TodayDate()
{
 m = new Array('janvier','février','mars','avril','mai','juin','juillet','août','septembre','octobre','novembre','décembre');
 today = new Date();
 return today.getDate() + '_' + m[today.getMonth()] + '_' + (today.getYear() + 1900);
}

/****************************************/
/* Changement de la boîte de navigation */
/* Auteur : Seb35                       */
/****************************************/
var isOpen = new Array();
var m;
function navigationBox_main()
{
 today = new Date();
 var pages = new Array(
  'Général',
      new Array('/wiki/Wikipédia:Le_Bistro/' + TodayDate(), 'Le Bistro ' + today.getDate() + '/' + (today.getMonth()+1),
                '/wiki/Wikipédia:Vandalisme_en_cours', 'WP:-(',
                '/wiki/Wikipédia:Requête_aux_administrateurs', 'WP:RA',
                '/wiki/Wikipédia:Raccourci', 'WP:RAC',
                '/wiki/Wikipédia:Conventions_typographiques', 'WP:CTYP',
                '/wiki/Wikipédia:Projet', 'WP:PROJ',
                '/wiki/Portail:Accueil', 'WP:PORT'
               ),
  'Traduction',
      new Array('/wiki/Wikipédia:Projet/Traduction', 'WP:PT',
                '/wiki/Discussion_Wikipédia:Projet/Traduction/Outils/Modèles', 'D:Modèles',
                '/wiki/Wikipédia:Projet/Traduction/Communauté/Traducteurs', 'Traducteurs',
                '/wiki/Wikipédia:Projet/Traduction/Communauté/Relecteurs', 'Relecteurs',
                '/wiki/Wikipédia:Projet/Traduction/Communauté/Consultants', 'Consultants',
                '/wiki/Wikipédia:Projet/Traduction/Protocole de traduction', 'Protocole',
                '/wiki/Wikipédia:Projet/Traduction/Traductions', 'Traductions',
                '/wiki/Wikipédia:Projet/Traduction/Demandes', 'Demandes',
                '/wiki/Utilisateur:Seb35/DemandeTraduction', 'Modèle en cours'
               ),
  'Maintenance',
      new Array('/w/index.php?title=Special:Recentchanges&amp;hideliu=1&amp;limit=200', 'RC IP',
                '/wiki/Special:Contributions/newbies', 'RC newbies',
                '/wiki/Special:Deadendpages', 'Impasses',
                '/wiki/Special:CrossNamespaceLinks', 'Croisés',
                '/wiki/Wikipédia:Pages_à_fusionner', 'WP:PàF',
                '/wiki/Wikipédia:Pages_à_supprimer', 'WP:PàS',
                '/wiki/Wikipédia:Catégories_d\'ébauches', 'B. ébauches'
               )
 );
 
 var a = document.getElementById('p-navigation').getElementsByTagName('ul')[0];
 a.innerHTML = a.innerHTML
  + '<li id="n-npages">'
  +  '<a href="/wiki/Special:Newpages" title="Special:Newpages">Nouvelles pages</a></li>';
 for(i = 0; i<(pages.length)/2; i++)
 {
  isOpen[i] = 0;
  temp = '';
  for(j=0; j<(pages[2*i+1].length)/2; j++) temp = temp + '<li><a href="' + pages[2*i+1][2*j] + '">' + pages[2*i+1][2*j+1] + '</a></li>';
  a.innerHTML = a.innerHTML
   + '<li id="n-extmenu' + (i+1) + '"><a style="cursor:hand;" onMouseOver="if(isOpen[' + i + '] == 0) m = setTimeout(toggleMenu, 300, ' + (i+1) + ');" onMouseOut="clearTimeout(m);" onClick="clearTimeout(m); toggleMenu(' + (i+1) + ')" title="' + pages[2*i] + '">' + pages[2*i] + '</a></li>'
   + '<div id="MenuToggle' + (i+1) + '" style="display: none;">'
   + temp
   + '</div>';
 }
}

/************************************************/
/* Ouvre un menu créé par la fonction ci-dessus */
/************************************************/
function toggleMenu(v)
{
 if(isOpen[v-1] == 0)
 {
  document.getElementById('MenuToggle' + v).style.display = 'block';
  isOpen[v-1] = 1;
 }
 else if(isOpen[v-1] == 1)
 {
  document.getElementById('MenuToggle' + v).style.display = 'none';
  isOpen[v-1] = 0;
 }
}

/****************************/
/* Recherche avec un onglet */
/****************************/
var title_avec, title_sans;
function search_tab(mode, site, avec_namespace, place)
{
 if(avec_namespace) title = title_avec;
 else title = title_sans;
 if(mode == 'google') return googleurl(place, site, title);
 if(mode == 'gowiki') return 'http://'+ site +'/wiki/' + title;
 if(mode == 'searchwiki') return 'http://' + site + '/w/index.php?title=Special%3ASearch&amp;search=' + title + '&amp;fulltext=Recherche';
}

/***************************/
/* Ajout d'onglets en haut */
/***************************/
function onglets_main()
{
 if(/Special:/i.test(TitreDePage)) return;
 title_avec = TitreDePage;
 title_sans = title_avec.replace(namespaces, '$1');
 a = document.getElementById('p-cactions').getElementsByTagName('ul')[0];
 a.innerHTML = a.innerHTML
  + '<li id="ca-purge">'
  +  '<a href="/w/index.php?title=' + title_avec + '&amp;action=purge">purge</a></li>'
  + '<li id="ca-google">'
  +  '<a href="' + search_tab('google', 'wikipedia.org+-site:fr.wikipedia.org', false, 'any') + '">g-all</a>'
  +  '<a href="http://vs.aka-online.de/cgi-bin/globalwpsearch.pl?search=' + title_sans + '&amp;timeout=120&amp;minor=1">gs-all</a>'
  +  '<a href="' + search_tab('google', 'en.wikipedia.org', false, 'any') + '">g-en</a>'
  +  '<a href="' + search_tab('searchwiki', 'en.wikipedia.org', false, '') + '">w-en</a></li>';
}

/**********************************/
/* Ajoute des caractères spéciaux */
/**********************************/
function specialCar_main()
{
 var j = -1;
 for(var i = 0; node = document.getElementsByTagName('div')[i]; i++)
  if(node.id == 'edittoolsinfo') { j = i-1; break; }
 if(j == -1) return;
 var p = document.getElementsByTagName('div')[j];
 p = p.getElementsByTagName('p')[0];
 p.innerHTML = p.innerHTML
  + '<br /><a href="javascript:blanchir();"><font style="font-variant:small-caps; color:black;">Blanchir</font></a> · Codes : '
  +  '<a href="javascript:insertTags(\'[[de:\',\']]\',\'\');">[[de:]]</a> · '
  +  '<a href="javascript:insertTags(\'[[en:\',\']]\',\'\');">[[en:]]</a> · '
  +  '<a href="javascript:insertTags(\'[[Catégori'+'e:\',\']]\',\'\');">[[Catégorie:]]</a> ('
  +  '<a href="javascript:insertTags(\'{{subst:' + 'VieND|\',\'||}}\',\'\');">VieND</a>-'
  +  '<a href="javascript:insertTags(\'{{subst:' + 'VieN|\',\'|}}\',\'\');">VieN</a>) · '
  +  '<a href="javascript:insertTags(\'#REDIRECT [[\',\']]\',\'\');">#REDIRECT [[]]</a> · '
  +  '<a href="javascript:insertTags(\'{' + '{Copie de site|\',\'|}}\',\'\');">Copie</a> ('
  +  '<a href="javascript:insertTags(\'{' + '{Copie à vérifier}}\',\'\',\'\');">soupçon</a>) · '
  +  '<a href="/wiki/Wikipédia:Vandalisme_en_cours" target="_blank" title="Wikipédia:Vandalisme en cours">:-(</a> · '
  +  '<a href="/wiki/Wikipédia:Projet" target="_blank" title="Wikipédia:Projet">PROJ</a> · '
  +  '<a href="/wiki/Portail:Accueil" target="_blank" title="Portail:Accueil">PORT</a> · '
  +  '<a href="/wiki/Wikipédia:Modèles" target="_blank" title="Wikipédia:Modèles">LdM</a> · '
  +  '<a href="/wiki/Aide:Syntaxe_Wikipédia" target="_blank" title="Aide:Syntaxe Wikipédia">Syntaxe</a>';
 if(/Utilisateur:/i.test(TitreDePage))
 {
  p.innerHTML = p.innerHTML
   + '<br />Accueils : '
   +  '<a href="javascript:insertTags(\'{{subst:' + 'Bienvenu'
    + (/^Discussion/i.test(TitreDePage) ? 'e_nouveau}}\',\'~~' + '~~\',\'\');' : '}}~~' + '~~\',\'\',\'\'); document.editform.wpSummary.focus();')
    + '">Bienvenue</a> · '
   +  '<a href="javascript:insertTags(\'{{subst:' + 'Bienvenue_débutant}}~~' + '~~\',\'\',\'\');" onClick="document.editform.wpSummary.value = \'bienvenu débutant\';">Débutant</a> · '
   +  '<a href="javascript:insertTags(\'{{subst:' + 'Bienvenue_vandale}}~~' + '~~\',\'\',\'\');" onClick="document.editform.wpSummary.value = \'avertissement vandalisme\';">Vandale</a> ('
   +  '<a href="javascript:insertTags(\'{{subst:' + 'Vandalisme|\',\'}}~~' + '~~\',\'\');" onClick="document.editform.wpSummary.value = \'avertissement vandalisme\';">page</a>) · '
   +  '<a href="javascript:insertTags(\'{{subst:' + 'Bienvenue_spammeur}}~~' + '~~\',\'\',\'\');" onClick="document.editform.wpSummary.value = \'avertissement spam\';">Spammeur</a> ('
   +  '<a href="javascript:insertTags(\'{{subst:' + 'Spam|\',\'}}~~' + '~~\',\'\');" onClick="document.editform.wpSummary.value = \'avertissement spam\';">page</a>) · '
   +  '<a href="javascript:insertTags(\'{{subst:' + 'Bienvenue_copyright|\',\'}}~~' + '~~\',\'\');">Copyright</a> ('
   +  '<a href="javascript:insertTags(\'{{subst:' + 'AlerteCopyright|\',\'|}}~~' + '~~\',\'\');">source</a>) · '
   +  '<a href="javascript:insertTags(\'{{subst:' + 'Signature}}~~' + '~~\',\'\',\'\');">Signature</a> · Images : '
   +  '<a href="javascript:insertTags(\'{{subst:' + 'Image_sans_description}}~~' + '~~\',\'\',\'\');">Description</a> · '
   +  '<a href="javascript:insertTags(\'{{subst:' + 'ImageSansLicence}}~~' + '~~\',\'\',\'\');">Licence</a> ('
   +  '<a href="javascript:insertTags(\'{{subst:' + 'Image_sans_licence|\',\'}}~~' + '~~\',\'\');">image</a>)';
 }
}

/**********************/
/* Blanchi un article */
/**********************/
function blanchir()
{
 if(!confirm('Êtes-tu sûr de vouloir blanchir l\'article ?')) return;
 document.editform.wpTextbox1.value = '';
 document.editform[6].checked = true;
 document.editform[7].checked = false;
 document.editform.wpSummary.value = 'blanchi - ';
 document.editform.wpSummary.focus();
}

/*******************************************/
/* Ajoute un lien vers le kate's editcount */
/*******************************************/
function contribs_main()
{
 if(!/Utilisateur:/i.test(TitreDePage) && TitreDePage != 'Special:Contributions') return;
 var utilisateur = TitreDePage.replace(/^(?:.*)Utilisateur:(.+)/, '$1').replace(/(.+)\/(?:.*)/, '$1').replace(/(.+)\/(?:.*)/, '$1');
 if(TitreDePage == 'Special:Contributions')
 {
  // Le toString() est important sinon la regex est envoyée dans l'adresse de la page, chose que Wiki n'aime pas
  if(/Spe[cz]ial:Contributions\/(?:.+)/i.test(window.location)) utilisateur = window.location.toString().replace(/(?:.*)Spe[cz]ial:Contributions\/(.+)/i, '$1');
  else if(/target\=(.+)/i.test(window.location)) utilisateur = window.location.toString().replace(/(?:.*)target\=(.+)/i, '$1').replace(/(.+)&(?:.*)/i, '$1').replace(/(.+)&(?:.*)/i, '$1').replace(/(.+)&(?:.*)/i, '$1');
 }
 a = document.getElementById('p-tb').getElementsByTagName('ul')[0];
 a.innerHTML = a.innerHTML
  + '<li id="t-nbcontribs">'
  + '<a href="http://tools.wikimedia.de/~kate/cgi-bin/count_edits?user=' + utilisateur + '&amp;dbname=' + wikicourant + 'wiki_p" title="Nombre d\'éditions de ' + utilisateur + '">Ancienneté</a></li>';
}

/*********************************/
/* Recherche avancée multilingue */
/* Auteur : Seb35                */
/*********************************/
function advancedResearch_main()
{
 a = document.getElementById('p-search').getElementsByTagName('div')[0];
 a.innerHTML = a.innerHTML
  + '<form id="ad-search" name="adsearch">'
  +  '<input type="textbox" id="ad-input" name="adinput" value="" style="font-size:95%;" />'
  +  '<br />'
  +  '<input type="radio" id="ad-all" name="adlang" />all'
  +  '<input type="radio" id="ad-fr" name="adlang" checked />fr'
  +  '<input type="radio" id="ad-en" name="adlang" />en'
  +  '<input type="radio" id="ad-de" name="adlang" />de'
  +  '<span id="ad-other">'
  +   '<input type="radio" name="adlang" onFocus="if(document.adsearch.adotherlang.value == \'\') document.adsearch.adotherlang.focus();" style="vertical-align:top;" />'
  +   '<input type="textbox" name="adotherlang" value="" size="2" maxlength="12" onBlur="if(document.adsearch[5].checked && document.adsearch.adotherlang.value == \'\') document.adsearch[2].checked = true;" style="font-size:95%;" />'
  +  '</span>'
  +  '<input type="checkbox" name="mode" id="ad-mode" style="vertical-align:top;" />'
  +  '<br />'
  +  '<input type="button" id="ad-lire" value="l" onClick="go(1)" style="font-size:95%;" />'
  +  '<input type="button" id="ad-wiki" value="w" onClick="go(2)" style="font-size:95%;" />'
  +  '<input type="button" id="ad-google" value="g" onClick="go(3)" style="font-size:95%;" />'
  +  '<input type="button" id="ad-reset" value="r" onClick="document.adsearch.adinput.value=\'\'; document.adsearch.adinput.focus();" style="font-size:95%;" />'
  +  '<input type="button" id="ad-cpr" value="c" onClick="go(4)" style="font-size:95%;" />'
  + '</form>';
}

/************************************/
/* Fonction auxiliaire de recherche */
/* Auteur : Seb35                   */
/************************************/
function go(motor)
{
 var raccourcis = new Array( //Attention à l'ordre, le tableau est parcouru dans l'ordre donc il faut mettre /css avec /c   :O
  /(.*)\/js$/i,       'User:$1/monobook.js',            'Utilisateur:$1/monobook.js',
  /(.*)\/css$/i,      'User:$1/monobook.css',           'Utilisateur:$1/monobook.css',
  /(.*)\/c$/i,        'Special:Contributions/$1',       'Special:Contributions/$1',
  /(.*)\/p[aà]s/i,    '$1',                             'Wikipédia:Pages_à_supprimer/$1',
  /(.*)\/p[aà]v/i,    '$1',                             'Wikipédia:Pages_à_vérifier/$1',
  /(.*)\/lann/i,      '$1',                             'Wikipédia:Liste_des_articles_non_neutres/$1',
  /(.*)\/i[aà]s/i,    '$1',                             'Wikipédia:Images_à_supprimer/$1',
  /^d:(.*)/i,         'Talk:$1',                        'Discuter:$1',
  /^dc(?:at)?:(.*)/i, 'Category_talk:$1',               'Discussion_Catégorie:$1',
  /^dm:(.*)/i,        'Template_talk:$1',               'Discussion_Modèle:$1',
  /^dp:(.*)/i,        'Portal_talk:$1',                 'Discussion_Portail:$1',
  /^du:(.*)/i,        'User_talk:$1',                   'Discussion_Utilisateur:$1',
  /^dw:(.*)/i,        'Project_talk:$1',                'Discussion_Wikipédia:$1',
  /^c(?:at)?:(.*)/i,  'Category:$1',                    'Catégorie:$1',
  /^m:(.*)/i,         'Template:$1',                    'Modèle:$1',
  /^mw:(.*)/i,        'MediaWiki:$1',                   'MediaWiki:$1',
  /^p:(.*)/i,         'Portal:$1',                      'Portail:$1',
  /^u:(.*)/i,         'User:$1',                        'Utilisateur:$1',
  /^w:(.*)/i,         'Project:$1',                     'Wikipédia:$1',
  /(.*)--$/i,         'Special:Recentchangeslinked/$1', 'Special:Recentchangeslinked/$1',
  /(.*)-$/i,          'Special:Whatlinkshere/$1',       'Special:Whatlinkshere/$1'
 );
 
 var serveurs = new Array( //Les noms de raccourcis doivent être disjoints dans leur ensemble, y compris avec les noms de langue ISO
  /^c(?:ommons)?\.$/i,     '',         'commons.wikimedia.org',
  /^f(?:ou?ndation)?\.$/i, '',         'wikimediafoundation.org',
  /^m(?:eta)?\.$/i,        '',         'meta.wikimedia.org',
  /^s(?:pecies)?\.$/i,     '',         'species.wikipedia.org',
  /^(.*)\.b\.$/i,          '$1' + '.', 'wikibooks.org',
  /^(.*)\.n\.$/i,          '$1' + '.', 'wikinews.org',
  /^(.*)\.q\.$/i,          '$1' + '.', 'wikiquote.org',
  /^(.*)\.s\.$/i,          '$1' + '.', 'wikisource.org',
  /^(.*)\.wikt\.$/i,       '$1' + '.', 'wiktionary.org'
 );
 
 //Déclaration des variables
 nom = new String();
 urllanguage = new String();
 urlserver = new String();
 urlmotor = new String();
 
 //Récupération de la requête
 nom = document.adsearch.adinput.value;
 
 //Pseudo-raccourcis
 var pseudoraccourcis = new Array( //Ne pas modifier
  /^h:(.*)/i,  6,
  /^e:(.*)/i,  7,
  /^g:(.*)/i,  3,
  /^go:(.*)/i, 5,
  /^h:(.*)/i,  6,
  /^e:(.*)/i,  7
 );
 for(i = 0; i<(pseudoraccourcis.length)/2; i++)
 {
  if(pseudoraccourcis[2*i].test(nom))
  {
   nom = nom.replace(pseudoraccourcis[2*i], '$1');
   motor = pseudoraccourcis[2*i+1];
   if(motor == 6 || motor == 7) break;
  }
 }
 
 //Page au hasard
 if(nom == '#' && motor < 6)
 {
  nom = 'Special:Random';
  motor = 1;
 }
 
 //Vérifie les incompatibilités
 if(document.adsearch[1].checked && (motor == 1 || motor == 2 || motor == 6 || motor == 7)) return;
 
 //Raccourcis de recherche
 nom_simple = nom;
 for(i = 0; i<(raccourcis.length)/3; i++)
 {
  if(raccourcis[3*i].test(nom))
  {
   nom_simple = nom_simple.replace(raccourcis[3*i], '$1');
   if(document.adsearch[2].checked) nom = nom.replace(raccourcis[3*i], raccourcis[3*i+2]);
   else nom = nom.replace(raccourcis[3*i], raccourcis[3*i+1]);
  }
 }
 
 //Pseudo-raccourci '_' pour le nom de la page courante
 if(nom_simple == '_')
 {
  tmp = TitreDePage;
  if(!document.adsearch[2].checked)
  {
   for(i = 0; i<(raccourcis.length)/3; i++)
   {
    tmp2 = new RegExp(raccourcis[3*i+2].replace('$1', '(.*)'), 'i');
    if(tmp2.test(tmp)) tmp = tmp.replace(tmp2, raccourcis[3*i+1]);
   }
  }
  nom = nom.replace(/_/i, tmp);
 }
 
 //Pseudo-raccourci '__' pour le nom de la page courante sans le namespace
 if(nom_simple == '__') nom = nom.replace(/__/i, TitreDePage.replace(namespaces, '$1'));
 
 //Aller à la page principale de google ou quitter s'il n'y a pas de recherche
 if(!nom)
 {
  if(motor >= 3 && motor <= 5) open('http://www.google.com', '_blank', 'location=yes');
  if(motor != 1) return;
 }
 
 //Récupération de la langue
 urlserver = 'wikipedia.org';
 urllanguage = 'fr.';
 if(document.adsearch[1].checked) urllanguage = 'all';
 else if(document.adsearch[3].checked) urllanguage = 'en.';
 else if(document.adsearch[4].checked) urllanguage = 'de.';
 else if(document.adsearch[5].checked)
 {
  urllanguage = document.adsearch.adotherlang.value + '.';
  if(urllanguage == '.' && (motor == 1 || motor == 2 || motor == 6 || motor ==7)) return;
  if(urllanguage == '639.') { open('http://fr.wikipedia.org/wiki/Utilisateur:Hégésippe_Cormier/préfixes_et_noms_de_langues', '_blank', 'location=yes'); return; }
  if(urllanguage == 'liste.') { open('/wiki/Special:SiteMatrix', '_blank', 'location=yes'); return; }
  for(i = 0; i<(serveurs.length)/3; i++)
  {
   if(serveurs[3*i].test(urllanguage))
   {
    urllanguage = urllanguage.replace(serveurs[3*i], serveurs[3*i+1]);
    urlserver = serveurs[3*i+2];
    break;
   }
  }
 }
 
 //Entrée de l'url
 if(motor == 1) urlmotor = 'http://' + urllanguage + urlserver + '/wiki/' + nom;
 
 else if(motor == 2) urlmotor = 'http://' + urllanguage + urlserver + '/w/index.php?title=Special%3ASearch&amp;search=' + nom + '&amp;fulltext=Recherche';
 
 else if(motor == 3 && urllanguage == 'all') urlmotor = googleurl('any', urlserver, nom);
 
 else if(motor == 3) urlmotor = googleurl('any', urllanguage + urlserver, nom);
 
 else if(motor == 4) urlmotor = googleurl('any', '', '%22' + nom + '%22');
 
 else if(motor == 5) urlmotor = googleurl('any', '', nom);
 
 else if(motor == 6) urlmotor = 'http://' + urllanguage + urlserver + '/w/index.php?title=' + nom + '&amp;action=history';
 
 else if(motor == 7) urlmotor = 'http://' + urllanguage + urlserver + '/w/index.php?title=' + nom + '&amp;action=edit';
 
 //Ouverture
 if(document.adsearch[7].checked) window.location = urlmotor;
 else open(urlmotor, '_blank', 'location=yes');
}

/*******************************************************************/
/* Retirer la minor_edit pour les pages autres que encyclopédiques */
/*******************************************************************/
function minorEdit_main()
{
 //Cette fonction est valable pour WP:fr et des préférences par défaut en minor_edit, sinon il faut changer un peu
 //Liste des pages qui sont en major_edit
 major = /(?:Discuter|Utilisateur|Discussion Utilisateur|Wikipédia|Discussion Wikipédia|Image|Discussion Image|Discussion MediaWiki|Discussion Modèle|Discussion Aide|Discussion Catégorie|Portail|Discussion Portail):/i;
 
 //Liste des pages en minor_edit (indicatif)
 //minor = /(?:MediaWiki|Modèle|Aide|Catégorie):/i;
 
 if(/submit/i.test(window.location)) return;
 if(major.test(TitreDePage)) document.editform[6].checked = false;
}

/*************************************************************/
/* Ajoute un bouton stop à la liste de suivi                 */
/* (pour suivi amélioré activé, sinon voir le script de Dake */
/* Ne marche que sur Opera, voir texte                       */
/* Auteur : Seb35                                            */
/*************************************************************/
function suivi_main() 
{
 if(TitreDePage != 'Special:Watchlist' || /edit/i.test(window.location)) return;
 var allLinks = document.getElementById('bodyContent').getElementsByTagName('a');
 var i=0;
 for(; i<allLinks.length && allLinks[i].getAttribute('title') != 'Special:Watchlist'; i++);
 i+=9;
 for(; i<allLinks.length; i+=6)
 {
  while(allLinks[i].parentNode.getAttribute('class') == 'comment' || allLinks[i].parentNode.getAttribute('class') == 'autocomment') i++;
  var titre = allLinks[i].getAttribute('title');
  if (allLinks[i+1].text != 'diff') i--;
  //C'est à cause de de insertAdjacentHTML que ça ne marche que sur Opera, la fonction marche sur IE et Firefox, mais pas dans ce contexte, à voir
  allLinks[i+2].insertAdjacentHTML('afterEnd', '; <a href="/w/index.php?title=' + titre + '&amp;action=unwatch" title="' + titre + '">stop</a>');
 }
}

/**************************************************************/
/* Ajoute deux liens sur les liens rouges en prévisualisation */
/* Ne marche que sur Opera, voir texte                        */
/* Auteur : Seb35                                             */
/**************************************************************/
function liensRouges_main()
{
 if(!/\=submit|\=edit/i.test(window.location)) return; //Retirer cette ligne pour afficher ces liens tout le temps, non uniquement en prévisualisation
 var allLinks = document.getElementById('bodyContent').getElementsByTagName('a');
 for(i=0; i<allLinks.length; i++)
 {
  if(allLinks[i].getAttribute('class') == 'new')
  {
   titre = allLinks[i].getAttribute('title');
   allLinks[i].insertAdjacentHTML('afterEnd', ' ('
    + '<a title="Rechercher \'' + titre + '\'" href="' + googleurl('any', 'fr.wikipedia.org', titre) + '">google</a>; '
    + '<a title="Pages liées à \'' + titre + '\'" href="/wiki/Special:Whatlinkshere/' + titre + '">liées</a>)');
  }
 }
}



//-------------------------
// --> Ajout des événements
//-------------------------

addLoadEvent(navigationBox_main);

addLoadEvent(onglets_main);

addLoadEvent(advancedResearch_main);

addLoadEvent(specialCar_main);

addLoadEvent(contribs_main);

addLoadEvent(minorEdit_main);

addLoadEvent(suivi_main);

addLoadEvent(liensRouges_main);