// Références dans section
importScript('User:Arkanosis/iRef.js');

// Nouvelle navigation 
      function LiensNavigation() {
        var ptb = document.getElementById("p-navigation");
        if (ptb) {
          var ul = ptb.getElementsByTagName("ul");
          if(ul.length > 0)          
          ul[0].innerHTML += '<li id="t-suivi_Monténégro"><a href="http://fr.wikipedia.org/wiki/Sp%C3%A9cial:Suivi_des_liens/Cat%C3%A9gorie:Portail:Monténégro/Articles_li%C3%A9s">Monténégro</a></li>';
     }
}
addOnloadHook(LiensNavigation);


/* option du popup */
popupImages=false

/* LiveRC */
loadJs('User:EDUCA33E/LiveRC.js');
importScript('Utilisateur:Dr Brains/LiveAbuseLog.js');


/**
 * Bistro du jour
 *
 * Lien vers le bistro du jour dans le panneau de navigation
 *
 * Auteur : ??
 * Contributeur : Tieno, Maloq
 * Dernière révision : 2 septembre 2008
 * {{Catégorisation JS}}
 */
 
function TodayDate() {
      var m = ["janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre"];
      var today = new Date();
      var day = today.getDate();
      var year = today.getYear();
 
      if (year < 2000)
           year = year + 1900;
 
      return (day + " " + m[today.getMonth()] + " " + year);
}
 
function BistroDuJour()
{
 addPortletLink('p-navigation', '/wiki/Wikipédia:Le_Bistro/' + TodayDate().replace(new RegExp(' ','g'),'_'), 'Bistro du jour', 'n-bistro');
}
addOnloadHook(BistroDuJour);

//////////////////////////////////////////////////////////////////////////////////////////
// Evaluation MISE EN COMMENTAIRE
//////////////////////////////////////////////////////////////////////////////////////////
 
var alwaysEval = false;
 
function initEvalProjectNames()
{
        evalProjectNames=new Array(); //liste de vos projets
        evalProjectNames.push("Monténégro") 
};


/******************************************************************************************************************
 * - FAVORIS.JS -                                                                                                 *
 *                                                                                                                *
 * Fonction :                                                                                                     *
 ** Ajoute un panneau supplémentaire au dessus de la boîte de recherche permettant de lister des pages favorites. *
 ** La liste est stockée localement dans un cookie.                                                               *
 *                                                                                                                *
 * Tests :                                                                                                        *
 ** Monobook et Firefox 3 ou 3.5 : OK                                                                             *
 ** Monobook et Internet Explorer 8 : OK                                                                          *
 ** Moderne et Firefox 3.5 : OK                                                                                   *
 ** Moderne et Internet Explorer 7 : OK                                                                           *
 ** Vector et Firefox 3.5 : OK                                                                                    *
 ** Vector et Internet Explorer 7 : OK                                                                            *
 ** Autres skins : en cours d'adaptation.                                                                         *
 *                                                                                                                *
 * Crédits :                                                                                                      *
 ** Code original de Andy Cook [http://cookandy.com/downloads/mediawiki/andy-s-mediawiki-skin ext]                *
 ** Adapté en gadget par Dr Brains [http://fr.wikipedia.org/wiki/Utilisateur:Dr_Brains/favoris.js ext]            *
 *                                                                                                                *
 * {{Catégorisation JS}}                                                        *
 ******************************************************************************************************************/


// ** FONCTION PRINCIPALE **

function DisplayFavoritesPortlet() {

 	
/////////////////////////////// PARTIE PERSONNALISABLE //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//////////////////////////////// POPUPS //////////

// popup titre //
var PopupTitle_fav = "Cliquer pour ajouter la page courante aux favoris" ; 

// popup aide (?) //
var PopupHelp_fav = "INFORMATION : Cette liste est stockée sur un cookie local. Si vous effacez vos cookies, cette liste disparaîtra." ;

// popup retrait [-] //
var PopupRemove_fav = "Cliquer pour retirer de la liste la page : " ;


//////////////////////////////// TEXTES ///////////

// titre de la boîte //
var Title_fav = "Ajouter aux favoris" ; 

// texte de la boîte vide //
var NoFavorites_fav = "Vous n'avez pas de favoris." ; 
	
/////////////////////////////// PARAMÈTRES /////////////////

// début de l'URL des liens //
var Path_fav = "http://fr.wikipedia.org/wiki/" ; 

// affichage de l'aide (icône (?) à droite du titre) //
var ShowHelp_fav = true; 

/////////////////////////////// FIN DE LA PARTIE PERSONNALISABLE //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


// * création du titre du panneau *
 
var span_fav = document.createElement( "span" );
span_fav.setAttribute( "title",PopupTitle_fav );  
span_fav.setAttribute( "fixdabsx","3");  
span_fav.setAttribute( "requireclick","off"); 
span_fav.setAttribute( "style","cursor:pointer");  
var a_fav = document.createElement( "a" );
a_fav.setAttribute( "href", "javascript:storePage()" );
var title_fav = document.createTextNode( Title_fav ) ;
a_fav.appendChild( title_fav ) ;
span_fav.appendChild( a_fav ) ;

if (ShowHelp_fav == true){ 
        var spanhelp_fav = document.createElement( "span" );
        spanhelp_fav.setAttribute( "title", PopupHelp_fav );  
        spanhelp_fav.setAttribute( "fixdabsx","3");  
        spanhelp_fav.setAttribute( "requireclick","off"); 
        spanhelp_fav.setAttribute( "style","cursor:pointer"); 
        var help_fav = document.createTextNode( " (?)" ) ;
        spanhelp_fav.appendChild( help_fav ) ;
}

var h5_fav = document.createElement( "h5" );
h5_fav.setAttribute( "lang", "fr");
h5_fav.setAttribute( "xml:lang", "fr");
h5_fav.appendChild( span_fav ) ;
if (ShowHelp_fav == true){ 
        h5_fav.appendChild( spanhelp_fav ) ; 
}

// * création de la liste de favoris *

var ul_fav = document.createElement( "ul" );
var pageList = getCookie("pageList");
var pageListTitle = getCookie("pageListTitle");
if (pageList != "" && pageList != null) {
        pSplit = pageList.split(";")
        for (a=0;a<pSplit.length;a++) {
                if (pSplit[a] != '' && pSplit[a] != 'null') {
                        if (pageListTitle != "" && pageListTitle != null) {
                                pSplitTitle = pageListTitle.split(";")
                                for (a=0;a<pSplitTitle.length;a++) {
                                        if (pSplitTitle[a] != '' && pSplitTitle[a] != 'null') {
 
                                               var li_fav = document.createElement( "li" );
                                               li_fav.setAttribute( "id", "n-fav");
 
                                                var spanaCR_fav = document.createElement( "span" );
                                                spanaCR_fav.setAttribute( "title",  PopupRemove_fav + pSplitTitle[a] );  
                                                spanaCR_fav.setAttribute( "fixdabsx","3");  
                                                spanaCR_fav.setAttribute( "requireclick","off"); 
                                                spanaCR_fav.setAttribute( "style","cursor:pointer");  
                                                var aCR_fav = document.createElement( "a" );
                                                aCR_fav.setAttribute( "href", "javascript:removePage('" + pSplitTitle[a] + "')" );
                                                var smallR_fav = document.createElement( "small" );
                                                var font_fav = document.createElement( "font" );
                                                font_fav.setAttribute( "color", "red" );
                                                var textaCR_fav = document.createTextNode( "[-]");
                                                font_fav.appendChild( textaCR_fav );
                                                smallR_fav.appendChild( font_fav );
                                                aCR_fav.appendChild( smallR_fav );
                                                spanaCR_fav.appendChild( aCR_fav ) ;  
 
                                                var spanaC_fav = document.createElement( "span" );
                                                spanaC_fav.setAttribute( "title", "" + pSplitTitle[a] + "");  
                                                spanaC_fav.setAttribute( "fixdabsx","3");  
                                                spanaC_fav.setAttribute( "requireclick","off"); 
                                                spanaC_fav.setAttribute( "style","cursor:pointer"); 
                                                var aC_fav = document.createElement( "a" );
                                                aC_fav.setAttribute( "href", "" + Path_fav + pSplitTitle[a] +"");
                                                var smallT_fav = document.createElement( "small" ); 
                                                var textaC_fav = document.createTextNode( "" + pSplitTitle[a] + "") ;
                                                smallT_fav.appendChild( textaC_fav ) ;
                                                aC_fav.appendChild( smallT_fav );
                                                spanaC_fav.appendChild( aC_fav ) ;  
 
                                                li_fav.appendChild( spanaCR_fav );
                                                li_fav.appendChild( spanaC_fav );
                                                ul_fav.appendChild( li_fav );
                                        }
                                }
                        }
                }
        }
} else {
        var li_fav = document.createElement( "li" );
        li_fav.setAttribute( "id", "n-fav" ) ; 
        var nofav_fav = document.createTextNode( NoFavorites_fav );
        li_fav.appendChild( nofav_fav );
        ul_fav.appendChild( li_fav );
}

// * insertion du panneau (suivant le skin actif) *

if( skin == "monobook" ){
        var div_fav = document.createElement( "div" );
        div_fav.setAttribute( "class", "pBody" );
        div_fav.appendChild( ul_fav ) ;
 
        var portlet_fav = document.createElement( "div" ) ;
        portlet_fav.setAttribute( "id", "p-fav" ) ;
        portlet_fav.setAttribute( "class", "portlet" );
        portlet_fav.appendChild( h5_fav ) ;
        portlet_fav.appendChild( div_fav ) ;

        div_ptb = document.getElementById( "p-search" );
        document.getElementById("column-one").insertBefore( portlet_fav, div_ptb)
}

if( skin == "modern" ){
        var div_fav = document.createElement( "div" );
        div_fav.setAttribute( "class", "pBody" );
        div_fav.setAttribute( "style", "overflow:hidden" );
        div_fav.appendChild( ul_fav ) ;
 
        var portlet_fav = document.createElement( "div" ) ;
        portlet_fav.setAttribute( "class", "portlet" );
        portlet_fav.setAttribute( "id", "p-fav" ) ;
        portlet_fav.appendChild( h5_fav ) ;
        portlet_fav.appendChild( div_fav ) ;

        div_ptb = document.getElementById( "p-search" );
        document.getElementById("mw_portlets").insertBefore( portlet_fav, div_ptb);

}

//////////////////////////////////// Vector : affichage au-dessus de la boîte à outils
if( skin == "vector" ){ 
        var div_fav = document.createElement( "div" );
        div_fav.setAttribute( "class", "body" );
        div_fav.appendChild( ul_fav ) ;
 
        var portlet_fav = document.createElement( "div" ) ;
        portlet_fav.setAttribute( "class", "portal" );
        portlet_fav.setAttribute( "id", "p-fav" ) ;
        portlet_fav.appendChild( h5_fav ) ;
        portlet_fav.appendChild( div_fav ) ;

        div_ptb = document.getElementById( "p-tb" );
        div_ptb.parentNode.insertBefore( portlet_fav, div_ptb);
} 

/////////////////////////////////////////////////////////////// Ne fonctionne pas encore

if( skin == "cologneblue" ){
        
}
///////////////////////////////////////////////////////////////



}
addOnloadHook( DisplayFavoritesPortlet ) ;
 

// ** FONCTIONS SUBALTERNES **
 
// * Ajout d'une page à la liste *
 
function storePage(){
thisPage = document.location.href;
thisPageTitle = wgPageName;
var pageList = getCookie("pageList");
var pageListTitle = getCookie("pageListTitle");
var linkFound = false;
if (pageList != "" && pageList != null) {
        pSplit = pageList.split(";");
                for (a=0;a<pSplit.length;a++) {
                }
        }
if (!linkFound) {
        if (pageList == null || pageList == ";") {
                pageList = thisPage;
                pageListTitle = thisPageTitle;
        } else {
                pageList += ";" + thisPage;
                pageListTitle += ";" + thisPageTitle;
        }
}
var now = new Date();
var nextYear = new Date(now.getTime() + 1000 * 60 * 60 * 24 * 365 );
setCookie("pageList",pageList,nextYear);
setCookie("pageListTitle",pageListTitle,nextYear);
window.location.reload();
}
 
// * Suppression d'une page de la liste *
 
function removePage(url){
var pageListTitle = getCookie("pageListTitle");
var linkList = ""
if (pageListTitle != "" && pageListTitle != null) {
        pSplitTitle = pageListTitle.split(";");
        for (a=0;a<pSplitTitle.length;a++) {
                if (pSplitTitle[a] != url && pSplitTitle[a] != '') linkList += ";" + pSplitTitle[a];
        }
}
var now = new Date();
var nextYear = new Date(now.getTime() + 1000 * 60 * 60 * 24 * 365 );
setCookie("pageList",linkList,nextYear);
setCookie("pageListTitle",linkList,nextYear);
window.location.reload();
}

// * Mise à jour du cookie *
 
function setCookie (cookieName, cookieValue, expires, path) {
document.cookie = escape(cookieName) + '=' + escape(cookieValue) + (expires ? '; EXPIRES=' + expires.toGMTString() : '') + "; PATH=/" ; 
}
 
// * Interrogation du cookie *
 
function getCookie (cookieName) {
var cookieValue = null;
var posName = document.cookie.indexOf(escape(cookieName) + '=' );
if (posName != -1) {
        var posValue = posName + (escape(cookieName) + '=' ).length;
        var endPos = document.cookie.indexOf(';', posValue) ;
        if (endPos != -1) {
                cookieValue = unescape(document.cookie.substring(posValue, endPos));
        } else {
                cookieValue = unescape(document.cookie.substring(posValue));
        }
}
return cookieValue;
}

/*
== Code JavaScript ==
 
* Durée : 
 
{{Boîte déroulante début|titre=Articles récents}}<!--
*/
// --><source lang=javascript>
 
var ArticlesRecents_TailleListe = 10;
 
var ArticlesRecents_ModeleDefautDebut = '{{Articles récents\n'
                  + '|pageportail=$1\n'
                  + '|catégorie=$2\n'
                  + '|nbMax=$3\n'
                  + '|defilant=oui'
                  + '|hauteur=250\n'
                  + '|listeRecents=\n'
                  + '$4\n'
                  + '|listeCatégorie=\n'
                  + '$5\n'
                  + '}}\n'
 
var ArticlesRecents_ModeleDefautFin = '{{Articles récents fin}}\n';
 
var ArticlesRecents_DebutListeRecents = '<!-- Ce tableau est créé automatiquement par un robot. Articles Récents DEBUT -->\n';
 
var ArticlesRecents_FinListeRecents = '<!-- Ce tableau est créé automatiquement par un robot. Articles Récents FIN -->\n'
 
var ArticlesRecents_DebutListeCategorie = '<!-- Ce tableau est créé automatiquement par un robot. Articles Récents Liste DEBUT -->\n'
 
var ArticlesRecents_FinListeCategorie = '<!-- Ce tableau est créé automatiquement par un robot. Articles Récents Liste FIN -->\n'
 
 
var ArticlesRecents_ResumeModif = 'Mise à jour du modèle {{Articles récents}}';
 
var ArticlesRecents_Adresse = wgServer + wgScript + "?title=";
if( (wgAction!="edit")&&(wgAction!="submit") ){
     addOnloadHook(ArticlesRecents_initCategoryRecentChanges);
}
 
// recherche des modèles {{Articles récents}} de la page et ajout des liens de mise à jour
 
var ArticlesRecents_AnalysisDivCount = 0;
function ArticlesRecents_initCategoryRecentChanges(){
     var Cadres = document.getElementsByTagName('div');
     for(s=0;s<Cadres.length;s++){
            if( hasClass(Cadres[s], 'categoryRecentChanges') ){          
                  ArticlesRecents_AnalysisDivCount++
                  Cadres[s].id = 'categoryRecentChanges_'+ArticlesRecents_AnalysisDivCount;
                  var ParamCategorie = Cadres[s].firstChild.innerHTML;
                  var ParamPage = Cadres[s].firstChild.title;
                  var NewButton = '<a href="javascript:ArticlesRecents_doRecentChangesAnalisys(\'categoryRecentChanges_'
                  +ArticlesRecents_AnalysisDivCount+ '\');" title="Cliquer pour  mettre à jour l\'analyse de la catégorie ' + ParamCategorie + ' sur la page '+ParamPage+'" >Mettre à jour le tableau Articles récents</a>' ;
                  Cadres[s].innerHTML = NewButton + Cadres[s].innerHTML;
            }
     }
}
 
// vérifie les paramètres du modèle {{Articles récents}} cliqué et crée le tableau de bord
 
var ArticlesRecents_Categorie;              // Catégorie à analyser
var ArticlesRecents_PagePortai;             // Page à éditer
var ArticlesRecents_Informations;           // Tableau de bord : cadre informations
var ArticlesRecents_BoutonCancel;           // Tableau de bord : cadre bouton pour annuler
var ArticlesRecents_PageCible;              // Tableau de bord : cadre affichage de la page ciblée
var ArticlesRecents_PageRequete;            // Tableau de bord : cadre affichage des requêtes
var ArticlesRecents_ListeArticles;          // Tableau de bord : liste des articles de la catégorie
var ArticlesRecents_ListeArticlesAnciens;   // Tableau de bord : liste des anciens articles récents de la catégorie
var ArticlesRecents_AutoProcess= false;     // Fonctionnement en boucle (dès qu'il a fini, le script recommence).
 
var ArticlesRecents_ListeArticlesRecents = '';
var ArticlesRecents_ListeArticlesCategorie = '';
 
function ArticlesRecents_doRecentChangesAnalisys(id){
        if(!id) return;
        var Cadre = document.getElementById(id);
        var Bouton = Cadre.getElementsByTagName('span')[0];           
        ArticlesRecents_Categorie = Bouton.innerHTML;
        ArticlesRecents_PagePortail = Bouton.title;
        TailleListe= Bouton.className;
        if(TailleListe!='') ArticlesRecents_TailleListe = parseInt(TailleListe);
        //alert(ArticlesRecents_Categorie + ' - ' + ArticlesRecents_PagePortail + ' - ' + ArticlesRecents_TailleListe);
        if( (ArticlesRecents_Categorie=='')||(ArticlesRecents_PagePortail=='') ) return;
 
        window.scrollTo(0,0); void 0;
        var TableauDeBord = document.createElement('div');
        TableauDeBord.id = 'Tableau_de_bord';
        TableauDeBord.innerHTML = ''
+ '<div style="position:absolute;top:0px;left:0px;width:800px;height:40px;padding:5px;font-weight:bold;background-color:white;border:3px double black;" ><ul id="Informations" ></ul></div>'
+ '<div id="Bouton_Cancel" style="position:absolute;top:0px;left:820px;width:420px;height:40px;padding:5px;font-weight:bold;background-color:white;border:3px double black;text-align:center;" ></div>'
+ '<div id="Page_cible" style="position:absolute;top:60px;left:0px;width:800px;height:800px;overflow:scroll;padding: 0.5em;background-color:white;border:3px double black;" ></div>'
+ '<div id="Page_requete" style="position:absolute;top:880px;left:0px;width:800px;height:800px;overflow:scroll;padding: 0.5em;background-color:white;border:3px double black;" ></div>'
+ '<div style="position:absolute;top:60px;left:820px;height:1620px;overflow-y: auto;width:200px; padding: 0.5em;background-color:white;border:3px double black;" >'
+ '<hr size="2" style="margin:0.5em;" /><center>Actuelle catégorie : </br><b>'+ArticlesRecents_Categorie.split('Catégorie:').join('')+'</b></center><hr size="1" style="margin:0.5em;" /><ul id="Liste_Articles"></ul></div>'
+ '<div style="position:absolute;top:60px;left:1040px;height:1620px;overflow-y: auto;width:200px; padding: 0.5em;background-color:white;border:3px double black;" >'
+ '<hr size="2" style="margin:0.5em;" /><center>Anciens articles récents : </br><b>'+ArticlesRecents_Categorie.split('Catégorie:').join('')+'</b></center><hr size="1" style="margin:0.5em;" /><ul id="Liste_ArticlesAnciens"></ul>'
+ '<hr size="2" style="margin:0.5em;" /><center>Ancienne catégorie : </br><b>'+ArticlesRecents_Categorie.split('Catégorie:').join('')+'</b></center><hr size="1" style="margin:0.5em;" /><ul id="Liste_AncienneCategorie"></ul>'
+ '</div>';
        document.body.appendChild(TableauDeBord);
        TableauDeBord.style.position = 'absolute';
        TableauDeBord.style.zIndex = '150';
        TableauDeBord.style.top = '20px';
        TableauDeBord.style.left = '20px';
        ArticlesRecents_Informations = document.getElementById("Informations");
        ArticlesRecents_BoutonCancel = document.getElementById("Bouton_Cancel");
        ArticlesRecents_PageRequete = document.getElementById("Page_requete");
        ArticlesRecents_PageCible = document.getElementById("Page_cible");
        ArticlesRecents_ListeArticles = document.getElementById("Liste_Articles");
        ArticlesRecents_ListeArticlesAnciens = document.getElementById("Liste_ArticlesAnciens");
        ArticlesRecents_ListeAncienneCategorie = document.getElementById("Liste_AncienneCategorie");
        if( (!ArticlesRecents_PageCible)||(!ArticlesRecents_BoutonCancel)||(!ArticlesRecents_ListeArticles)||(!ArticlesRecents_ListeArticlesAnciens)||(!ArticlesRecents_ListeAncienneCategorie)||(!ArticlesRecents_PageRequete) ){
                return;
        }else{
                ArticlesRecents_BoutonCancel.innerHTML = '<a href="'+ArticlesRecents_Adresse + encodeURIComponent(wgPageName)+'"title="Arrêter la mise à jour" >'
                                        +'<img src="http://upload.wikimedia.org/wikipedia/commons/0/0c/Crystal_Clear_action_exit.png" height="40" width="40" /></a>';
 
                var ajaxRequest = sajax_init_object();
                if (!ajaxRequest){
                        alert('Méthode ajax non supportée : sajax_init_object()');
                        return;
                }else{
                        var url = ArticlesRecents_Adresse + decodeURIComponent(ArticlesRecents_PagePortail).replace(/ /g, "_").replace(/%3A/g, ":").replace(/%2F/g, "/").replace(/%27/g, "\'")+ '&action=render' ;
                        ArticlesRecents_Informations.innerHTML = '<li>Requête ajax de la page à éditer : '+ArticlesRecents_PagePortail+'</li><li>' + url + '</li>';
                        ajaxRequest.open("GET", url, true);
                        ajaxRequest.send(null);
                        ajaxRequest.onreadystatechange = function() {
                                if(ajaxRequest.readyState == 4 && ajaxRequest.status == 200) {
                                        var ajaxResponse;    
                                        ajaxResponse = ajaxRequest.responseText;
                                        ArticlesRecents_PageCible.innerHTML = ajaxResponse;
                                        ArticlesRecents_Informations.innerHTML = '<li>Analyse des listes déjà établies : </li><li>Page '+ArticlesRecents_PagePortail+'</li>';
 
                                        var Suretcertain = confirm('Paramètres :'
                                                               + '\n* Page à mettre à jour : -( ' + ArticlesRecents_PagePortail + ' )- '
                                                               + '\n* Catégorie : -( ' + ArticlesRecents_Categorie + ' )- '
                                                               + '\n* Maximum : -( ' + ArticlesRecents_TailleListe + ' )- '
                                                               + '\n\n Lancer la mise à jour ?' );
                                        if(!Suretcertain) return;
 
                                        var Liste1 = ArticlesRecents_PageCible.getElementsByTagName('ol')[0];
                                        if(Liste1) ArticlesRecents_ListeArticlesRecents = Liste1.getElementsByTagName('a');
                                        if( (ArticlesRecents_ListeArticlesRecents!='')&&(ArticlesRecents_ListeArticlesRecents.length>0) ){
                                                for(a=0;a<ArticlesRecents_ListeArticlesRecents.length;a++){
                                                       Page = ArticlesRecents_ListeArticlesRecents[a].innerHTML;
                                                       ArticlesRecents_ListeArticlesAnciens.innerHTML += '<li>' + Page + '</li>'; 
                                                }
                                        }
 
                                        var Liste2 = ArticlesRecents_PageCible.getElementsByTagName('ul')[0];
                                        if(Liste2) ArticlesRecents_ListeArticlesCategorie = Liste2.getElementsByTagName('a');
                                        if( (ArticlesRecents_ListeArticlesCategorie!='')&&(ArticlesRecents_ListeArticlesCategorie.length>0) ){
                                                for(a=0;a<ArticlesRecents_ListeArticlesCategorie.length;a++){
                                                       Page = ArticlesRecents_ListeArticlesCategorie[a].innerHTML;
                                                       ArticlesRecents_ListeAncienneCategorie.innerHTML += '<li>' + Page + '</li>';                        
                                                }
                                        }
 
                                        ArticlesRecents_doCategoryRecentChangesAnalisys(ArticlesRecents_Adresse + encodeURIComponent(ArticlesRecents_Categorie) + '&action=render');
                                }
                        }
                }
        }
}
 
// analyse la catégorie : requête ajax, recopie des liens dans une colonne du tableau de bord, renouvellement si il y a d'autres pages puis lancement de la fonction analyse d'historique
 
var ArticlesRecents_PagesCategorieCible = 1;
var ArticlesRecents_TotalArticles = 0;
 
var ArticlesRecents_PagesSupplementairesCount = 0;
var ArticlesRecents_PagesSupplementaires = new Array();
 
function ArticlesRecents_doCategoryRecentChangesAnalisys(Cible){
        var AutrePage=false;
        var AutrePageAdresse ='';
        ArticlesRecents_PageRequete.innerHTML = '';
        var ajaxRequest = sajax_init_object();
        if (!ajaxRequest){
                alert('Méthode ajax non supportée : sajax_init_object()');
                return;
        }else{
                var url = decodeURIComponent(Cible).replace(/ /g, "_").replace(/%3A/g, ":").replace(/%2F/g, "/").replace(/%27/g, "\'") ;
                ArticlesRecents_Informations.innerHTML = '<li>Requête ajax de la catégorie : page '+ArticlesRecents_PagesCategorieCible+'</li><li>' + url + '</li>';
                ajaxRequest.open("GET", url, true);
                ajaxRequest.send(null);
                ajaxRequest.onreadystatechange = function() {
                        if(ajaxRequest.readyState == 4 && ajaxRequest.status == 200) {
                                var ajaxResponse;    
                                ajaxResponse = ajaxRequest.responseText;
                                ArticlesRecents_PageRequete.innerHTML = ajaxResponse; 
                                var ContenuCategorie = getElementWithId(ArticlesRecents_PageRequete, 'div', 'mw-pages');
                                var LiensCategorie = ContenuCategorie.getElementsByTagName('li');
                                for(a=0;a<LiensCategorie.length;a++){
                                        PageCibleCategory = getTextContent(LiensCategorie[a]);
                                        PageMatch=false;
                                        var AncienneCat = ArticlesRecents_ListeAncienneCategorie.getElementsByTagName('li');
                                        for(b=0;b<AncienneCat.length;b++){ 
                                                var Titre = getTextContent(AncienneCat[b]);
                                                //alert(Titre + ' - ' + PageCibleCategory);
                                                if(PageCibleCategory == Titre) PageMatch=true;
                                        }
                                        if(PageMatch==false){
                                               ArticlesRecents_PagesSupplementaires[ArticlesRecents_PagesSupplementairesCount] = PageCibleCategory;
                                               ArticlesRecents_PagesSupplementairesCount++
                                               ArticlesRecents_ListeAncienneCategorie.innerHTML = '<li><span style="font-weight:bold;color:red !important;" >' + PageCibleCategory + '</span></li>' +ArticlesRecents_ListeAncienneCategorie.innerHTML
                                               ArticlesRecents_ListeArticles.innerHTML += '<li><span style="font-weight:bold;color:red !important;" >' + PageCibleCategory + '</span></li>';
                                        }else{
                                               ArticlesRecents_ListeArticles.innerHTML += '<li>' + PageCibleCategory + '</li>'; 
                                        }
 
                                        ArticlesRecents_TotalArticles++
                                }
                                ArticlesRecents_Informations.innerHTML = 'Recherche de page supplémentaires';
                                var TousLiens = ArticlesRecents_PageRequete.getElementsByTagName('a');
                                var length = TousLiens.length;
                                var dernierLien = TousLiens[(length-1)].href;
                                if(dernierLien.indexOf("&from=")!=-1){
                                        AutrePage = true;
                                        ArticlesRecents_PagesCategorieCible++
                                        AutrePageAdresse = dernierLien + '&action=render';
                                }
                                if(AutrePage==true){
                                        ArticlesRecents_doCategoryRecentChangesAnalisys(AutrePageAdresse);
                                }else{
                                        ArticlesRecents_initEditTableau();
                                }
                        }
                }
        } 
}
 
// édition de la page : cherche la présence d'un tableau précédent, crée un tableau et remplace le tableau existant
 
function  ArticlesRecents_initEditTableau(){
        ArticlesRecents_PageRequete.innerHTML = '';
        var ajaxRequest = sajax_init_object();
        if (!ajaxRequest){
                alert('Méthode ajax non supportée : sajax_init_object()');
                return;
        }else{
                url = ArticlesRecents_Adresse + decodeURIComponent(ArticlesRecents_PagePortail).replace(/ /g, "_").replace(/%3A/g, ":").replace(/%2F/g, "/").replace(/%27/g, "\'").replace(/&/g, "%26") + '&action=edit';
                ArticlesRecents_Informations.innerHTML = '<li>Édition de la page : ' + ArticlesRecents_PagePortail + '</li><li>' + url + '</li>';
                ajaxRequest.open("GET", url, true);
                ajaxRequest.send(null);
                ajaxRequest.onreadystatechange = function() {
                        if(ajaxRequest.readyState == 4 && ajaxRequest.status == 200) {
                                var ajaxResponse;    
                                ajaxResponse = ajaxRequest.responseText;
                                ArticlesRecents_PageCible.innerHTML = ajaxResponse;
 
                                var ContenuPage = document.getElementById("wpTextbox1").value;
                                var AncienResumeModif = document.editform.wpSummary.value;
 
 
                                var NouvelleListeRecents = ArticlesRecents_DebutListeRecents;
                                var ArticlesCount = 0;
                                for(a=0;a<ArticlesRecents_PagesSupplementaires.length;a++){
                                        NouvelleListeRecents += '# [[' + ArticlesRecents_PagesSupplementaires[a] + ']]\n';
                                        ArticlesCount++
                                }
                                var AncienneListe = ArticlesRecents_ListeArticlesAnciens.getElementsByTagName('li');
                                for(b=0;b<AncienneListe.length;b++){
                                        if(ArticlesCount<ArticlesRecents_TailleListe) NouvelleListeRecents += '# [[' + getTextContent(AncienneListe[b]) + ']]\n';
                                        ArticlesCount++
                                }
                                NouvelleListeRecents += ArticlesRecents_FinListeRecents;
 
                                var NouvelleListeCategorie = ArticlesRecents_DebutListeCategorie;
 
                                var Liste = ArticlesRecents_ListeArticles.getElementsByTagName('li');
                                for(a=0;a<Liste.length;a++){
                                        NouvelleListeCategorie += '* [[' + getTextContent(Liste[a]) + ']]\n';
                                }
                                NouvelleListeCategorie += ArticlesRecents_FinListeCategorie;
 
 
                                if( (ContenuPage.indexOf(ArticlesRecents_DebutListeCategorie)!=-1) && (ContenuPage.indexOf(ArticlesRecents_FinListeCategorie)!=-1) && (ContenuPage.indexOf(ArticlesRecents_DebutListeRecents)!=-1) && (ContenuPage.indexOf(ArticlesRecents_FinListeRecents)!=-1) ){
                                        var debutTexte = ContenuPage.substring(0, ContenuPage.indexOf(ArticlesRecents_DebutListeCategorie));
                                        var AncienModele = ContenuPage.substring(0, ContenuPage.indexOf(ArticlesRecents_FinListeCategorie)) + ArticlesRecents_FinListeCategorie;
                                        AncienModele = AncienModele.replace(debutTexte, "");       
                                        var finTexte = ContenuPage.split(debutTexte).join('').split(AncienModele).join('');
                                        var TexteFinal = debutTexte + NouvelleListeCategorie + finTexte;
 
                                        debutTexte = TexteFinal.substring(0, TexteFinal.indexOf(ArticlesRecents_DebutListeRecents));
                                        AncienModele = TexteFinal.substring(0, TexteFinal.indexOf(ArticlesRecents_FinListeRecents)) + ArticlesRecents_FinListeRecents;
                                        AncienModele = AncienModele.replace(debutTexte, "");       
                                        finTexte = TexteFinal.split(debutTexte).join('').split(AncienModele).join('');
                                        TexteFinal = debutTexte + NouvelleListeRecents + finTexte;
 
                                }else{
                                        var TexteFinal = ArticlesRecents_ModeleDefautDebut + ArticlesRecents_ModeleDefautFin;
                                        TexteFinal = TexteFinal.split('$1').join(ArticlesRecents_PagePortail);
                                        TexteFinal = TexteFinal.split('$2').join(ArticlesRecents_Categorie);
                                        TexteFinal = TexteFinal.split('$3').join(ArticlesRecents_TailleListe);
                                        TexteFinal = TexteFinal.split('$4').join(NouvelleListeRecents);
                                        TexteFinal = TexteFinal.split('$5').join(NouvelleListeCategorie);
                                }
 
                                document.getElementById ("wpTextbox1").value = TexteFinal ;
                                document.editform.wpSummary.value = AncienResumeModif + ArticlesRecents_ResumeModif ;
                                ArticlesRecents_Informations.innerHTML = '<li>Sauvegarde de la page : ' + ArticlesRecents_PagePortail + '</li>';
 
                                var SurEtCertain = confirm('Sauvegarder la modification ?');
                                if(SurEtCertain) document.editform.submit();
                        }
                }
        }
}
 
// * Recherche d'un élement dont on connait l'Id mais non unique, donc sans utiliser document.getElementById() 
 
function getElementWithId( elementParentNode , elementTagName , elementId ){
      if(!elementParentNode) elementParentNode = document; 
      var TheElement = false;
      var Elements = elementParentNode.getElementsByTagName(elementTagName);
      var elementcount = 0;
      while(elementcount<Elements.length){
            var Id = Elements[elementcount].id;
            if(Id){
                  if(Id.indexOf(elementId)!=-1){
                        TheElement = Elements[elementcount];
                  }
            }
            elementcount++
      }
      return TheElement;
}
 
//</source>{{Boîte déroulante fin}}

// *NOUVEAU GADGET ÉVALUATION
// adapté de [[MediaWiki:Gadget-Evaluation.js]] (version du 12 septembre 2008)

//rajouter l'onglet suivi des users

if(wgNamespaceNumber==0 && wgAction == "view") addOnloadHook(ev_addEvalTab)

//rajoute l'onglet suivi des users
function ev_addEvalTab()
{
   var list = document.getElementById('p-cactions')
 
   if(!list) return
 
   list = list.childNodes[3].childNodes[1]
 
   var elt = document.createElement('li')
   elt.innerHTML = "<a id='caa_evaluation' href='javascript:ev_launchEval()'>Évaluer</a>"
   list.appendChild(elt)
 
   try {if(alwaysEval){ev_launchEval()}}
   catch(e){ }
}
 
 
//initialise les variables 
function ev_initVars()
{
   initEvalProjectNames()
 
   try {if(evalProjectNames){}}
   catch(e){ evalProjectNames = new Array() }
 
   evaluation_multiprojets = new Object();
   evaluation_multiprojets.project = new Array();
   evaluation_multiprojets.importance = new Array();
   evaluation_multiprojets.avancement = new Array();
   evaluation_multiprojets.state = new Array();
   evaluation_multiprojets.avancement_global = "?";
}
 
function ev_launchEval()
{
   var req=new XMLHttpRequest()
   var div = document.getElementById('bodyContent')
   var dummy = new Date().getTime()
 
   if (document.URL.match(/&printable/))
   {
       /* version imprimable */
       return;
   } 
 
   EvalDiv = document.getElementById('EvalDiv')
 
   if(!EvalDiv)
   {
      EvalDiv = document.createElement('div')
      EvalDiv.id = "EvalDiv"
      EvalDiv.align="center"
      div.parentNode.insertBefore(EvalDiv, div)
   }
 
   EvalDiv.innerHTML = "Interrogation de la page de discussion..."
 
   ev_initVars()
 
   req.onreadystatechange = function()
   {
      if(req.readyState == 4)
      {
         if(req.status==200)
         {   
            ev_ExtractEvaluation(req.responseText)
 
            ev_AddMyProjects()
            ev_drawEvaluation()
         }
         else if(req.status==404) //la pdd n'existe pas 
         {
            ev_AddMyProjects()
            ev_drawEvaluation()
         }
      }//fin readyState == 4
   }
 
   req.open("GET","/w/index.php?title=Discuter:" + encodeURIComponent(wgPageName)   + "&action=raw&_dum=" + dummy, true)
   req.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded')
   req.send(null)
}
 
function ev_addCell(line, html, bgcolor)
{
   return ev_addCell(line, htlk, bgcolor, 0)
}
function ev_addCell(line, html, bgcolor, colSpan)
{
   var cell = line.insertCell(-1)
   cell.innerHTML = html
   if(colSpan != 0) cell.colSpan = colSpan;
 
   if(bgcolor) cell.style.backgroundColor = "#" + bgcolor
 
   return cell;
}
function ev_htmlEncode(string)
{
   string = string.replace(/&/, '&amp;');
   string = string.replace(/>/, '&gt;');
   string = string.replace(/</, '&lt;');
   string = string.replace(/"/, '&quot;');
   return string
}
 
function ev_getRadioboxHtml(id, selected, n, prop, value)
{
   if(prop == "avancement_global")
      return "<input onclick='evaluation_multiprojets.avancement_global=\"" + value + "\"'  name='" + id + "_mp' type='radio'" + (selected?" checked='true'/>":"/>")
   else
      return "<input onclick='evaluation_multiprojets." + prop + "["+n+"]=\"" + value + "\"'  name='" + id + "_mp' type='radio'" + (selected?" checked='true'/>":"/>")
}
 
function ev_addEvalLine(tab, project, av, im, state, n)
{
   var line = tab.insertRow(-1)

   ev_addCell(line, '<a title="Projet:' + ev_htmlEncode(project) + '" href="/wiki/Projet:' + encodeURIComponent(project) + '">' + project + "</a>")
   ev_addCell(line, "<input onclick='evaluation_multiprojets.state["+n+"]=this.checked' type='checkbox'" + (state?" checked='true'/>":"/>"))
   ev_addCell(line, "<input onclick='evaluation_multiprojets.avancement["+n+"] = null' name='" + n + "a_mp' type='radio'" + (av == null?" checked='true'/>":"/>"))
      
   ev_addCell(line, ev_getRadioboxHtml(n+"a", av=="AdQ", n, "avancement", "AdQ"))
   ev_addCell(line, ev_getRadioboxHtml(n+"a", av=="A", n, "avancement", "A"))
   ev_addCell(line, ev_getRadioboxHtml(n+"a", av=="BA", n, "avancement", "BA"))
   ev_addCell(line, ev_getRadioboxHtml(n+"a", av=="B", n, "avancement", "B"))
   ev_addCell(line, ev_getRadioboxHtml(n+"a", av=="BD", n, "avancement", "BD"))
   ev_addCell(line, ev_getRadioboxHtml(n+"a", av=="ébauche", n, "avancement", "ébauche"))
   ev_addCell(line, ev_getRadioboxHtml(n+"a", av=="?", n, "avancement", "?"))
   ev_addCell(line, ev_getRadioboxHtml(n+"i", im=="maximum", n, "importance", "maximum"))
   ev_addCell(line, ev_getRadioboxHtml(n+"i", im=="élevée", n, "importance", "élevée"))
   ev_addCell(line, ev_getRadioboxHtml(n+"i", im=="moyenne", n, "importance", "moyenne"))
   ev_addCell(line, ev_getRadioboxHtml(n+"i", im=="faible", n, "importance", "faible"))
   ev_addCell(line, ev_getRadioboxHtml(n+"i", im=="?", n, "importance", "?"))
}
 
function ev_drawEvaluation()
{
   var tab = document.createElement("table")
   var line = tab.insertRow(-1)
 
   ev_addCell(line, "<b>Projet</b>", "F8F8F8")
   ev_addCell(line, "<b>Bandeau présent</b>", "F8F8F8")
   ev_addCell(line, "<b>Eval. par déf.</b>", "F8F8F8")
   ev_addCell(line, "<b>AdQ</b>", "6699FF")
   ev_addCell(line, "<b>A</b>", "66FFFF")
   ev_addCell(line, "<b>BA</b>", "66FF66")
   ev_addCell(line, "<b>B</b>", "FFFF66")
   ev_addCell(line, "<b>BD</b>", "FFAA66")
   ev_addCell(line, "<b>Ébauche</b>", "FF6666")
   ev_addCell(line, "<b>?</b>", "F8F8F8")
   ev_addCell(line, "<b>Maximum</b>", "FF00FF")
   ev_addCell(line, "<b>Élevée</b>", "FF88FF")
   ev_addCell(line, "<b>Moyenne</b>", "FFCCFF")
   ev_addCell(line, "<b>Faible</b>", "FFEEFF")
   ev_addCell(line, "<b>?</b>", "F8F8F8")
   
   line = tab.insertRow(-1)
   var av = evaluation_multiprojets.avancement_global;
   ev_addCell(line, "<b>Avancement commun</b>", "F8F8F8", 3)
   ev_addCell(line, ev_getRadioboxHtml("ag", av=="AdQ", null, "avancement_global", "AdQ", true))
   ev_addCell(line, ev_getRadioboxHtml("ag", av=="A", null, "avancement_global", "A", true))
   ev_addCell(line, ev_getRadioboxHtml("ag", av=="BA", null, "avancement_global", "BA", true))
   ev_addCell(line, ev_getRadioboxHtml("ag", av=="B", null, "avancement_global", "B", true))
   ev_addCell(line, ev_getRadioboxHtml("ag", av=="BD", null, "avancement_global", "BD", true))
   ev_addCell(line, ev_getRadioboxHtml("ag", av=="ébauche", null, "avancement_global", "ébauche", true))
   ev_addCell(line, ev_getRadioboxHtml("ag", av=="?", null, "avancement_global", "?", true))
   ev_addCell(line, "", "F8F8F8", 5)
 
   for(var i=0; i<evaluation_multiprojets.project.length; i++)
      ev_addEvalLine(tab, evaluation_multiprojets.project[i], evaluation_multiprojets.avancement[i], evaluation_multiprojets.importance[i], evaluation_multiprojets.state[i], i, true)
 
   tab.className = 'wikitable'
   tab.style.textAlign = 'center'
   tab.style.fontSize = '90%'
 
   EvalDiv.innerHTML = ''
   EvalDiv.appendChild(tab)
 
   var button  = document.createElement("button")
   button.textContent = "Exporter cette évaluation vers la page de discussion"
   button.onclick = ev_setEvaluation
   button.id='EvalButton'
   EvalDiv.appendChild(button)
}
 
//définition de la méthode indexOf et map pour les versions JavaScript inférieures à 1.6
if (!Array.prototype.indexOf)
{
   Array.prototype.indexOf = function(elt /*, from*/)
   {
      var len = this.length;
 
      var from = Number(arguments[1]) || 0;
      from = (from < 0)
         ? Math.ceil(from)
         : Math.floor(from);
      if (from < 0)
         from += len;
 
      for (; from < len; from++)
      {
         if (from in this &&
            this[from] === elt)
            return from;
      }
      return -1;
   };
}
 
if (!Array.prototype.map)
{
   Array.prototype.map = function(fun /*, thisp*/)
   {
      var len = this.length;
      if (typeof fun != "function"){
         throw new TypeError();
      }
      var res = new Array(len);
      var thisp = arguments[1];
      for (var i = 0; i < len; i++)
      {
         if (i in this)
            res[i] = fun.call(thisp, this[i], i, this);
      }
 
      return res;
   };
}
 
function ev_AddMyProjects()
{
   for(var i=0; i<evalProjectNames.length;i++)
   {
      if(evaluation_multiprojets.project.indexOf(evalProjectNames[i]) == -1)
      {
         var t = evaluation_multiprojets.project.length
 
         evaluation_multiprojets.project[t] = evalProjectNames[i]
         evaluation_multiprojets.importance[t] = "?"
         evaluation_multiprojets.state[t] = false
         evaluation_multiprojets.avancement[t] = null;
      }
   }
}
 
function ev_ExtractEvaluation(discussion)
{
   var modeles;
 
   discussion = " "  + discussion
   modeles = discussion.split(/\{\{[W|w]ikiprojet /)
   modeles.shift()
   
   var reg_plus_consultes = /{{([lL]es plus consultés\s*\|[^}]*}})/;
   var m = reg_plus_consultes.exec(discussion);
   if(m) { modeles.push(m[1]); }
   
   var tab_anc_eval = new Array();
 
   for(var i=0;i<modeles.length;i++)
   {
      try
      {    
         modeles[i] = modeles[i].split("}}")[0]
         var temp = modeles[i].split("|")
         evaluation_multiprojets.project[i] = temp[0]
         tab_anc_eval.push(temp[0])
         evaluation_multiprojets.avancement[i] = "?"
         evaluation_multiprojets.importance[i] = "?"

         if(temp.length >= 2) ev_getOldEval(temp[1], i)
         if(temp.length >= 3) ev_getOldEval(temp[2], i)
         if(temp.length >= 4) ev_getOldEval(temp[3], i)

         evaluation_multiprojets.state[i] = true
      }
      catch(e){alert(e)}
   }
     
   var reg_modele_multiprojet = /{{[éÉ]valuation multiprojet\s*\|([^}]*)}}/;
   var regAv = /avancement\s*((\s\S.*)?)$/;
   m = reg_modele_multiprojet.exec(discussion);
   if(m)
   {
      var tab = m[1].split("|");
      var i=0;
      var ind=evaluation_multiprojets.project.length;
      var tab_avancement=new Array();
      while(i<tab.length)
      {
         var t = tab[i].split("=");
         if(t.length == 2)
         {
            var mm = regAv.exec(t[0]);
            if(mm)
            {
               if(mm[1] == "")
                  evaluation_multiprojets.avancement_global = ev_cleanAvancement(t[1].replace(/^\s+|\s+$/g, ''));
               else
                  tab_avancement[mm[1].replace(/^\s+|\s+$/g, '')] = ev_cleanAvancement(t[1].replace(/^\s+|\s+$/g, ''));
            }
         }
         else if(t.length == 1)
         {
            var _proj =tab[i].replace(/^\s+|\s+$/g, '');
            if(_proj in tab_anc_eval) { i+= 2 ; continue; }
            evaluation_multiprojets.project[ind] =_proj;
            if(i==tab.length-1) alert("Erreur de lecture du modèle {{éÉvaluation multiprojet}}");
            evaluation_multiprojets.importance[ind] = ev_cleanImportance(tab[i+1].replace(/^\s+|\s+$/g, ''));
            evaluation_multiprojets.avancement[ind] = null;
            evaluation_multiprojets.state[ind] = true;
            ind++;
            i++;
         }
         i++;
      }
      
      for(var i=0; i<evaluation_multiprojets.project.length; i++)
      {
         if(evaluation_multiprojets.project[i] in tab_avancement)
            evaluation_multiprojets.avancement[i] = tab_avancement[evaluation_multiprojets.project[i]];
      }
   }
}
 
function ev_cleanAvancement(val)
{
   if(val=="AdQ") return "AdQ"
   if(val=="A") return "A"
   if(val=="BA") return "BA"
   if(val=="B") return "B"
   if(val=="BD") return "BD"
   if(val=="ébauche") return "ébauche"
 
   return "?"
}
 
 
function ev_cleanImportance(val)
{
   if(val.toLowerCase()=="maximum") return "maximum"
   if(val.toLowerCase()=="élevée") return "élevée"
   if(val.toLowerCase()=="moyenne") return "moyenne"
   if(val.toLowerCase()=="faible") return "faible"
 
   return "?"
}
 
function ev_getOldEval(str,i)
{
   var params = str.split("=")
 
   if(params[0]=="importance") evaluation_multiprojets.importance[i] = ev_cleanImportance(params[1])
   else if(params[0]=="avancement") evaluation_multiprojets.avancement[i] = ev_cleanAvancement(params[1])
}
 
function ev_setEvaluation()
{
   document.getElementById("EvalButton").disabled = true
   wpEditPage("Discuter:" + wgPageName, {}, ev_editFoo, ev_saveFoo, {})
}
 
function ev_editFoo(text, summary, doc, data)
{
   summary = "[[User:Maloq/Evaluation|Évaluation]]: "+ev_getSummary_multiprojects(i);
   text = ev_suppr_anc_eval(text);
   text = ev_process_multiprojects(text);
   text = ev_remise_en_tete(text);
   return { wpTextbox1: text, wpSummary: summary, data: data };
}
 
function ev_saveFoo()
{
   document.getElementById("EvalButton").disabled = false
}
 
function ev_getSummary_multiprojects()
{
   summary = " Multiprojet ("+evaluation_multiprojets.avancement_global+")";
   for(var i=0; i<evaluation_multiprojets.project.length; i++)
   {
      if(evaluation_multiprojets.state[i])
      {
         summary += " "+evaluation_multiprojets.project[i] + "|" + evaluation_multiprojets.importance[i];
         if(evaluation_multiprojets.avancement[i] != null)
            summary += "|"+evaluation_multiprojets.avancement[i];
      }
   }
   return summary+")";
}
function ev_suppr_anc_eval(text)
{
   var regtxt =new RegExp("\\{\\{([W|w]ikiprojet |[lL]es plus consultés)[^\\}]*\\}\\}", "g");
   // return eval("text.replace(" + regtxt + ",'')")
   var regtext_b = new RegExp("\\{\\{[éÉ]valuations[ _]WP1[^\\}\\{]*\\}\\}", "g")
   return text.replace(regtxt, '').replace(regtext_b, '');
}
 
function ev_process_multiprojects(text)
{
   var regtxt = "/\\{\\{[éÉ]valuation multiprojet[^\\}]*\\}\\}/"
   var newtxt = "{{Évaluation multiprojet|";
   var ok = false
   for(var i=0; i<evaluation_multiprojets.project.length; i++)
   {
      if(evaluation_multiprojets.state[i])
      {
         newtxt += evaluation_multiprojets.project[i]+"|"+evaluation_multiprojets.importance[i]+'|'
         if(evaluation_multiprojets.avancement[i] != null)
            newtxt += "avancement "+evaluation_multiprojets.project[i]+"="+evaluation_multiprojets.avancement[i]+"|"
         ok = true;
      }
   }
   ok = ok || (evaluation_multiprojets.avancement_global != "?");
   newtxt += "avancement="+evaluation_multiprojets.avancement_global+"}}";
 
   if(ok)
   {
      if(text.toLowerCase().indexOf("{{évaluation multiprojet") != -1)
         text = eval("text.replace(" + regtxt + ",'" + newtxt.replace("'", "\\'") + "')")
      else
         text = newtxt + "\n" + text
   }
    return text;
}
function ev_remise_en_tete(text)
{
   var reg = /(\{\{[tT]raduit de\s*\|[^}]*\}\})/
   var m = reg.exec(text);
   if(m)
   {
      var left = RegExp.leftContext
      var right = RegExp.rightContext
      text = m[1]+"\n"+left.replace(/\s+$/, '')+"\n"+right.replace(/^\s+/, '');
   }
   return text;
} 
 
 
/////////////////////////////////////////////////////////from tichou
 
 
 
// URL encode
if (typeof(wpURLEncode) == "undefined") {
  wpURLEncode = function(string) {
    if (!string) return "";
    return string.replace(/ /g, "_").replace(/[\x00-\x2C\x3B-\x40\x5B-\x5E\x60\x7B-\uFFFF]/g,
      function (match) {
        var c = match.charCodeAt(0);
        var s = new Array();
        if (c < 0x80) s.push(c);
        else if (c < 0x0800) s.push(c >>  6 | 0xC0, c & 0x3F | 0x80);
        else if (c < 0x010000) s.push(c >> 12 | 0xE0, c >>  6 & 0x3F | 0x80, c & 0x3F | 0x80);
        else if (c < 0x110000) s.push(c >> 18 | 0xF0, c >> 12 & 0x3F | 0x80, c >>  6 & 0x3F | 0x80, c & 0x3F | 0x80);
        for (var i = 0, len = s.length; i < len; i++)
          s[i] = (s[i] < 16 ? "%0" : "%") + s[i].toString(16).toUpperCase();
        return s.join("");
      });
  }
}
 
// getElementById
if (typeof(getElementById) == "undefined") {
  getElementById = function(id) {
    var element = null;
    if (this.id == id) {
      element = this;
      element.getElementsByClassName = document.getElementsByClassName;
    }
    for (var child = this.firstChild; !element && child; child = child.nextSibling)
      if (child.nodeType == 1) {
        child.getElementById = getElementById;
        element = child.getElementById(id);
      }
    return element;
  }
}
 
// HTTP
if (typeof(httpRequest) == "undefined") {
  httpRequest = function(url, options, data) {
    // options.async
    // options.method
    // options.headers
    // options.content
    // options.onSuccess(request,data)
    // options.onFailure(request,data)
    var request;
    try {
      request = new XMLHttpRequest();
    } catch(e) {
      try {
        request = new ActiveXObject("Msxml2.XMLHTTP");
      } catch (e) {
        try {
          request = new ActiveXObject("Microsoft.XMLHTTP");
        } catch (e) {
          request = false;
        }
      }
    }
 
    if (request) {
      request.onreadystatechange = function() {
        if (request.readyState == 4)
          httpComplete(request, options, data);
      };
      request.open(options.method ? options.method : "GET", url, options.async == false ? false : true);
      if (options.headers) {
        for (var field in options.headers)
          request.setRequestHeader(field, options.headers[field]);
      }
      request.send(options.content ? options.content : null);
    }
    return request;
  }
}
 
if (typeof(httpComplete) == "undefined") {
  httpComplete = function(request, options, data) {
    if (request.status >= 200 && request.status < 300) {
      if (options.onSuccess) {
        var contentType = request.getResponseHeader("Content-Type");
        var regex = new RegExp(/^([^\/]+\/[^;]+).*/);
        contentType = contentType.replace(regex, "$1");
        if (contentType == "text/html") {
          var doc = document.createElement("div");
          doc.innerHTML = request.responseText;
          doc.getElementsByClassName = document.getElementsByClassName;
          doc.getElementById = getElementById;
          options.onSuccess(doc, data);
        } else if (contentType == "text/xml") {
          var xml = null;
          if (navigator.appName == "Microsoft Internet Explorer") {
            xml = new ActiveXObject("Microsoft.XMLDOM");
            xml.async = false;
            xml.loadXML(request.responseText);
          } else if (window.DOMParser) {
            xml = new DOMParser();
            xml = xml.parseFromString(request.responseText, 'text/xml');
          }
          options.onSuccess(xml, data);
        } else {
          options.onSuccess(request, data);
        }
      }
    } else if (options.onFailure) {
      options.onFailure(request, data);
    } else {
      alert(request.statusText);
    }
  }
}
 
// Edit WP page
if (typeof(wpEditPage) == "undefined") {
  wpEditPage = function(title, params, editFunction, saveFunction, data) {
    var url = wgServer + wgScriptPath + '/index.php?title=' + wpURLEncode(title)
            + '&action=edit';
 
    for (var name in params)
      url += '&' + name + '=' + wpURLEncode(params[name]);
 
    var options = { onSuccess: wpSavePage };
 
    data.title = title;
    data.editFunction = editFunction;
    data.saveFunction = saveFunction;
 
    httpRequest(url, options, data);
  }
}
 
// Save WP page
if (typeof(wpSavePage) == "undefined") {
   wpSavePage = function(doc, data) {
      var inputs = doc.getElementById('editform').getElementsByTagName('input');
      var editform = new Array();
      for (var i = 0, len = inputs.length; i < len; i++) 
      {
         var value = inputs[i].value
         if(inputs[i].type != "checkbox" || inputs[i].checked) 
            editform[inputs[i].name] = value;
      }
    
      var wpTextbox1 = doc.getElementById('wpTextbox1').value;
      var wpSummary = editform['wpSummary'];
    
      var regex = new RegExp(/var wgArticleId = "(\d+)";(?:\n.*)*var wgCurRevisionId = "(\d+)";/m);
      var match = regex.exec(doc.textContent);
      if (match) {
         data.pageId = match[1];
         data.curRevId = match[2];
      }
    
      var edit = data.editFunction(wpTextbox1, wpSummary, doc, data);
    
      if (typeof(edit.error) == "undefined") { 
         editform['wpTextbox1'] = edit.wpTextbox1;
         editform['wpSummary'] = edit.wpSummary;
    
         var params = [ 'wpTextbox1', 'wpSummary', 'wpSection',
                        'wpStarttime', 'wpEdittime', 'wpEditToken', 'wpSave' ];
    
         if(editform['wpWatchthis']) params.push('wpWatchthis')
         var content = params.map(function(name) { return name + '=' + encodeURIComponent(editform[name]); }).join("&");
    
         var url = wgServer + wgScriptPath + '/index.php?title=' + wpURLEncode(data.title)
                 + '&action=submit';
    
         var headers = new Array();
         headers['Content-Type'] = 'application/x-www-form-urlencoded';
    
         var options = { method: 'POST', headers: headers, content: content, onSuccess: data.saveFunction };
    
         data = edit.data;
    
         httpRequest(url, options, data);
      } else {
         edit.error(edit.data);
      }
   }
}
 
var wpfunctions = 1;
// *FIN GADGET EVALUATION