// <pre> <nowiki>

obtenir("EditZeroth");	

// [[:en:User:Lupin/popups.js]]
// Traduction de [[Utilisateur:Leag|Leag]] : [[Utilisateur:Leag/Navigation popups|Navigation popups]]

document.write('<script type="text/javascript" src="' 
    + 'http://fr.wikipedia.org/w/index.php?title=User:Leag/popups-strings-fr.js' 
    + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
document.write('<script type="text/javascript" src="' 
             + 'http://en.wikipedia.org/w/index.php?title=User:Lupin/popups.js' 
             + '&action=raw&ctype=text/javascript&dontcountme=s"></script>'); 
popupFixDabs = true;

loadJs('Utilisateur:EDUCA33E/LiveRC.js');

/*
 * Résumé Deluxe
 *
 * Ajoute des commentaires de modification prédéfinis
 *
 * Auteur : Dake
 * Contributions : Pabix, Tieno
 * Date de dernière révision : 12 novembre 2006
 */

//////////////////////ZONE PERSONNALISABLE//////////////////////
var resumedeluxeTitles = new Array();
with (resumedeluxeTitles) {
        push("orthographe");
        push("- typographie");
        push("- catégorisation");
        push("- interwiki");
        push("- wikification");
        push("- homonyme");
        push("- correction");
        push("- revert");
        push("- ajout");
        push("- mise en page");
        push("question");
        push("réponse");
}
var resumedeluxeInputs= new Array();
with (resumedeluxeInputs) {
        push("orthographe/grammaire");
        push("typographie");
        push("catégorisation");
        push("interwiki");
        push("wikification");
        push("homonyme");
        push("correction");
        push("revert vandalisme");
        push("ajout");
        push("mise en page");
        push("question");
        push("réponse");
}
/////////////////FIN DE LA ZONE PERSONNALISABLE/////////////////

function setSummary(str)
{
        document.editform.wpSummary.value = str;
}

function addToSummary(str)
{
        var resum = document.editform.wpSummary.value;
        if(resum != 0 && resum.indexOf("*/") < resum.length - 3) {
                document.editform.wpSummary.value += " - ";
        }
        document.editform.wpSummary.value += str;
}

function DeluxeSummary()
{
        var sumLbl = document.getElementById("wpSummaryLabel");
        if(sumLbl) {
                var sumInput = document.getElementById("wpSummary");
                sumInput.style.width = "95%";
                var str = "Messages prédéfinis : ";
                for(var cpt = 0; cpt < resumedeluxeTitles.length; cpt ++) {
                        str += "<a href=\"javascript:addToSummary('" +resumedeluxeInputs[cpt] + "')\""
                                + " class=\"sumLink\" title=\"Ajouter '" +resumedeluxeInputs[cpt] +"' dans la boîte de résumé\">"
                                + resumedeluxeTitles[cpt]
                                + "</a> ";
                }
                sumLbl.innerHTML = str + "<br />" + sumLbl.innerHTML;
        }
}
addLoadEvent(DeluxeSummary);
//

/*
 * Suivi Deluxe
 *
 * Retirer des pages de sa liste de suivi plus facilement
 *
 * Auteur : Dake
 * Dernière révision : 3 novembre 2006
 */

var suiviManagerAllPages = new Array();

function SuiviManagerRegexp(regexp)
{
        var match = new RegExp(regexp);

        for (var i=0;i<suiviManagerAllPages.length;i++) {
                var pageName = suiviManagerAllPages[i].childNodes[0].getAttribute("value");
                if (match.test(pageName)) {
                        suiviManagerAllPages[i].childNodes[0].checked=true;
                }
        }
}

function SuiviManagerLiensRouges()
{
        for (var i=0;i<suiviManagerAllPages.length;i++) {
                var pageClass = suiviManagerAllPages[i].childNodes[1].getAttribute("class");
                if (pageClass && pageClass=="new") {
                        suiviManagerAllPages[i].childNodes[0].checked=true;
                }
        }
}

function SuiviManagerDeselect()
{
        for (var i=0;i<suiviManagerAllPages.length;i++) {
                suiviManagerAllPages[i].childNodes[0].checked=false;
        }
}


function SuiviManager() {
        if (document.URL.indexOf("http://fr.wikipedia.org/wiki/Special:Watchlist/edit")!=0) return;

        var a=0;
        var b=0;
        var interfaceMsg = new Array();
        var regexpList = new Array();

        //////////////////////////////////////////////////
        // Expressions régulières et liens de l'interface
        //
        // besoin d'aide pour les regexp ?
        // http://www.commentcamarche.net/javascript/jsregexp.php3
        //////////////////////////////////////////////////

        interfaceMsg[a++]       = "<b>Tout cocher</b>";
        regexpList[b++]         = "^.*";

        interfaceMsg[a++]       = "Utilisateurs IP";
        regexpList[b++]         = "^Utilisateur:[0-9].*";

        interfaceMsg[a++]       = "Sous-pages PàS";
        regexpList[b++]         = "^Wikipédia:Pages à supprimer\/";

        interfaceMsg[a++]       = "Sous-pages bistro";
        regexpList[b++]         = "^Wikipédia:Le Bistro\/";


        //////////////////////////////////////////////////
        var topTag = document.getElementById("contentSub")

                // récupère toutes les pages
                var watchlist = document.getElementsByTagName("ul");

        for (u=0;u<watchlist.length;u++) {
                var entries = watchlist[u].getElementsByTagName("li");
                for (i=0;i<entries.length;i++) {
                        suiviManagerAllPages.push(entries[i]);
                }
        }

        // prépare la mini-interface
        var str = "<div style=\"background-color:#8ecfe4;font-size:1px;height:8px;border:1px solid #AAAAAA;-moz-border-radius-topright:0.5em;-moz-border-radius-topleft:0.5em;\"></div>"
                + "<div style=\"border:1px solid #6ac1de;border-top:0px solid white;padding:5px 5px 0 5px;margin-bottom:3ex;\"><p>"
                + "<div style=\"float: left; text-align: left; white-space: nowrap;\"></div>";

        for (var cpt = 0; cpt < interfaceMsg.length; cpt ++) {
                str += "<a href=\"javascript:SuiviManagerRegexp('" + regexpList[cpt] + "')\">"
                        + interfaceMsg[cpt]
                        + " ·</a> ";
        }

        str += "<a href=\"javascript:SuiviManagerLiensRouges()\">"
                + "Retirer les liens rouges"
                + " ·</a> ";

        str += "<a href=\"javascript:SuiviManagerDeselect()\">"
                + "<b>Enlever toutes les coches</b>"
                + " ·</a> ";

        topTag.innerHTML = topTag.innerHTML + "<br clear=all />" + str + "<p></div>"
}
addLoadEvent(SuiviManager);
//

function googleOnglet() { var a = document.getElementById("p-cactions"); if (a) { var pageName = document.title.replace(" - Wikipédia", ""); b = a.getElementsByTagName("ul"); if(b.length > 0) { b[0].innerHTML = b[0].innerHTML + '<li id="ca-nstab-user"><font style="color: blue; font-weight: bold; padding-left: 0.5em">G</font>' + '<a href="http://www.google.fr/search?num=20&hl=en&safe=off&q=site%3Afr.wikipedia.org+' + pageName + '&btnG=Search">' + 'wp-fr</a>' + '<a href="http://www.google.fr/search?num=20&hl=en&safe=off&q=site%3Awikipedia.org+' + pageName + '&btnG=Search">' + 'wp</a>' + '<a href="http://www.google.fr/search?num=20&hl=fr&safe=off&q=' + pageName + '&btnG=Search&meta=lr%3Dlang_fr">' + 'web-fr</a>' + '<a href="http://www.google.fr/search?num=20&hl=en&safe=off&q=' + pageName + '&btnG=Search">' + 'web</a>' + '</li>'; } } } addLoadEvent(googleOnglet);

/**************************************************************/ /* Ajoute un lien Google sur les liens rouges */ 
/* Auteur original : Seb35 */ /* Modifications pour IE/Firefox : Dake */ /**************************************************************/ 
function liensRouges_main() { if(/Spe[cz]ial(?::|%3A)Watchlist/i.test(window.location) || /edit/i.test(window.location)) return; var allLinks = document.getElementById('bodyContent').getElementsByTagName('a'); for(i=0; i<allLinks.length; i++) { if(allLinks[i].getAttribute('class') == 'new') { titre = allLinks[i].getAttribute('title'); var newElementOutside = document.createElement("sup"); var newElement = document.createElement("a"); newElement.setAttribute("title",'Rechercher \'' + titre + '\''); newElement.setAttribute("href", 'http://www.google.com/search?num=100&q=' + titre + '+site:fr.wikipedia.org'); newElement.appendChild(document.createTextNode("G")); newElementOutside.appendChild(newElement); insertAfter( allLinks[i].parentNode, newElementOutside, allLinks[i]); } } } addLoadEvent(liensRouges_main);

obtenir("CatsaGauche");

function DeluxeBar() {
  if (document.createTextNode) {
        var toolbar = document.getElementById("toolbar"); 
        if (!toolbar) return;
        

        var messages = new Array()
        var images = new Array()
        var commentaires = new Array()
        var a=-1; //Le décompte commence à -1 avec une incrementation sur le premier message, pour éviter tout probleme en cas d'inversion ou suppression du premier message

        ///// zone personnalisable ////
        // le texte a été splitté sinon Mediawiki casse tout...
      
        messages[++a] = "{{subst:" + "Bienvenue" + "}}" + "Pour me contacter, si vous avez besoin d'aide, c'est [[Discussion_Utilisateur:Fluti|ici!]] de " + "~~" + "~~";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/e/eb/Button_accueilB.png";
        commentaires[a] = "Bienvenue !"

        messages[++a] = "{{" + "test0|page" + "}}" +  "~~" + "~~";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/a/ad/Button_vandale2.png";
        commentaires[a] = "Avertissement vandalisme";

        messages[++a] = "{{" + "Bienvenue spammeur" + "}}" +  "~~" + "~~";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/f/fb/Button_spam2.png";
        commentaires[a] = "Avertissement spam"        

        messages[++a] = "{{" + "suppression" + "}}";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/f/f8/Button_suppr.png";
        commentaires[a] = "Proposé à la suppression"; 

        messages[++a] = "{{" + "fusion||" + "}}";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/d/d9/Button_trait%C3%A9.png";
        commentaires[a] = "à fusionner"; 

        messages[++a] = "{{" + "voir homonymes|" + "}}";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/d/d9/Button_trait%C3%A9.png";
        commentaires[a] = "bandeau d'homonymie"; 
        ////////////////////////////////

        for (var i=0;i<messages.length;i++) {
                var img = document.createElement("img");
                img.setAttribute("src", images[i]);
                
                var ref = document.createElement("a");
                ref.setAttribute("href", "javascript:insertTags('', \"" + messages[i] + "\", '');" + 
                                 "javascript:changeSummary(\"" + commentaires[i] + "\");" ); 
                ref.setAttribute("title", "" + commentaires[i] + "" ); 
                ref.appendChild(img); 
                
                toolbar.appendChild(ref);
        }
  }
}

function changeSummary(sampleText) {
        document.editform.wpSummary.value = sampleText;
}

addLoadEvent(DeluxeBar);

/*
 * Lien modif récentes - québec
 *
 * Basé sur Bistro du jour
 * Contributeur : Tieno
 */


function ModifQuebec()
{
  var a = document.getElementById("p-navigation");
  if (a)
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    {
      b[0].innerHTML = b[0].innerHTML
      + '<li><span id="n-modif" title="Modif Québec">'
      + '<a href="/wiki/Special:Recentchangeslinked/Projet:Québec/liste_de_suivi">Modif Québec</a>'
      + '</span></li>';
    }
  }
}

addLoadEvent(ModifQuebec);

//

obtenir("BistroDuJour");

// </nowiki></pre>