/**
* Permet d'apposer des avertissements simples et calmes, pour les débutants ayant contribué maladroitement
* Auteur : Stef48 et Dodoïste
* Pour le [[Projet:Aide]]
*/
 
/* <nowiki> nowiki pour ne pas interprêter les caractères spéciaux de MediaWiki */
 
function addCustomButton(imageFile, speedTip, tagOpen, tagClose, sampleText, imageId) {
mwCustomEditButtons[mwCustomEditButtons.length] =
{"imageId": imageId,
"imageFile": imageFile,
"speedTip": speedTip,
"tagOpen": tagOpen,
"tagClose": tagClose,
"sampleText": sampleText};
}
 
function buttonload () {
if (wgNamespaceNumber == 3) { 
 
var Spam = '== Révocation de votre modification ==\n'
+ 'Bonjour, et merci pour votre tentative d’amélioration de l’encyclopédie libre [[Wikipédia]] ! Vous venez d’effectuer une modification sur un article, mais elle a dû être défaite. Ce n’est pas bien grave. {{;)}} !\n\n'
+ 'En effet, rajouter des liens externes n’est pas idéal puisqu’une des règles de Wikipédia est de ne pas être un annuaire de liens externes. Un excellent article peut contenir un seul lien (comme <span class="plainlinks">[http://fr.wikipedia.org/w/index.php?title=Thermo%C3%A9lectricit%C3%A9&oldid=30140570#Lien_externe Thermoélectricité]</span>) ou une douzaine (<span class="plainlinks">[http://fr.wikipedia.org/w/index.php?title=Assassinat_de_John_F._Kennedy&oldid=31170828#Liens_externes Assassinat de JFK]</span>).\n\n'
+ 'Ce qui compte est sa pertinence : <u>un lien externe doit contenir des informations encyclopédiques, dont on peut se servir pour améliorer l’article</u>. Vous pouvez trouver plus d’informations à ce propos sur [[Wikipédia:Liens externes]].\n\n'
+ 'Cependant, ne vous inquiétez pas ! Essayez de comprendre le fonctionnement de Wikipédia, continuez à l’améliorer pour le mieux et d’autres contributeurs vous aideront si vous le leur demandez. Si vous êtes perdu, il existe un [[Aide:Sommaire|sommaire de l’aide]].\n\n'
+ 'D’ailleurs, si vous avez des questions, n’hésitez pas à [[User talk:' + wgUserName + '|me contacter]] {{=)}}. ~~~~'
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/c/cb/Pulsante_spam.png',
'Revert de ta modif : spam',
Spam,
'',
'',
'mw-editbutton-aide');
 
var Syntaxe = '== Révocation de votre modification ==\n'
+ 'Bonjour, et bienvenue sur Wikipédia ! Vous venez d’effectuer une modification sur un article, mais elle a dû être défaite. Ce n’est pas bien grave : on est là pour s’entraider {{;)}}.\n\n'
+ 'En effet, votre modification n’était pas présentable en l’état. Généralement, il faut éviter le <b>gras</b> dans le corps d’un article, ne pas abuser des caractères en <i>italique</i>, des listes, des tableaux compliqués, éviter de sauter trop de lignes, respecter les conventions typographiques…\n\n'
+ 'Cela rendait l’article compliqué à la lecture. Je vous conseille de lire [[aide:syntaxe|la page d’aide sur la syntaxe]] : mais, ne cherchez pas à faire compliqué, écrivez votre texte simplement, d’autres contributeurs le mettront en forme.\n\n'
+ 'Cependant, ne vous inquiétez pas ! Essayez de comprendre le fonctionnement de Wikipédia, continuez à l’améliorer pour le mieux et d’autres contributeurs vous aideront si vous le leur demandez. Si vous êtes perdu, il existe un [[Aide:Sommaire|sommaire de l’aide]].\n\n'
+ 'D’ailleurs, si vous avez des questions, n’hésitez pas à [[User talk:' + wgUserName + '|me contacter]] {{=)}}. ~~~~'
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/c/c3/Button_syntaxe-stax.png',
'Revert de ta modif : syntaxe',
Syntaxe,
'',
'',
'mw-editbutton-aide');
 
var Source = '== Révocation de votre modification ==\n'
+ 'Bonjour, et bienvenue sur Wikipédia ! Vous venez d’effectuer une modification sur un article, mais elle a dû être défaite. Ce n’est pas bien grave : on est là pour s’entraider {{;)}}.\n\n'
+ 'En effet, votre ajout était, selon moi, sujet à caution. Il n’est généralement pas nécessaire de citer ses sources lorsque l’information est logique ou évidente, mais dans des cas comme celui-ci c’est essentiel. La page [[Wikipédia:Citez vos sources]] résume assez bien tout ce qu’il faut savoir à ce sujet (quand, comment et quelles sources utiliser).\n\n'
+ 'Cependant, ne vous inquiétez pas ! Essayez de comprendre le fonctionnement de Wikipédia, continuez à l’améliorer pour le mieux et d’autres contributeurs vous aideront si vous le leur demandez. Si vous êtes perdu, il existe un [[Aide:Sommaire|sommaire de l’aide]].\n\n'
+ 'D’ailleurs, si vous avez des questions, n’hésitez pas à [[User talk:' + wgUserName + '|me contacter]] {{=)}}. ~~~~'
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/c/c1/Button_source-srce.png',
'Revert de ta modif : source et ref',
Source,
'',
'',
'mw-editbutton-aide');
 
var NPOV = '== Révocation de votre modification ==\n'
+ 'Bonjour, et bienvenue sur Wikipédia ! Vous venez d’effectuer une modification sur un article, mais elle a dû être défaite. Ce n’est pas bien grave : on est là pour s’entraider {{;)}}.\n\n'
+ 'En effet, votre modification ne respectait pas un point de vue neutre. Généralement, lors de l’ajout d’informations dans un article, il faut penser à respecter la neutralité qui est de rigueur sur une encyclopédie. Par exemple, il faut sourcer ses propos par des sources secondaires, des journaux, des livres, ou des sites internet fiables. Il faut attribuer les citations à leurs auteurs, et citer l’œuvre où elles sont parues.\n\n'
+ 'Je vous conseille de lire [[Wikipédia:Neutralité de point de vue|le principe fondateur sur la neutralité de point de vue]].\n\n'
+ 'Cependant, ne vous inquiétez pas ! Essayez de comprendre le fonctionnement de Wikipédia, continuez à l’améliorer pour le mieux et d’autres contributeurs vous aideront si vous le leur demandez. Si vous êtes perdu, il existe un [[Aide:Sommaire|sommaire de l’aide]].\n\n'
+ 'D’ailleurs, si vous avez des questions, n’hésitez pas à [[User talk:' + wgUserName + '|me contacter]] {{=)}}. ~~~~'
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/6/6d/Button_npov.png',
'Revert de ta modif : NPOV',
NPOV,
'',
'',
'mw-editbutton-aide');
 
var BVIP = '== Bienvenue ==\n'
+ '<table>\n'
+ ' <tr>\n'
+ '  <td>[[Image:Face-smile.svg|left|80px|Merci pour votre contribution]]</td>\n'
+ '  <td>\n'
+ 'Bonjour et bienvenue sur Wikipédia ! Je tenais à vous remercier pour votre apport à l’encyclopédie.\n\n'
+ 'Si vous le souhaitez vous pouvez <b>[[special:connexion|créer un compte]]</b>, et choisir ainsi vos préférences d’utilisateur et participer aux discussions et aux décisions de la communauté. C’est également plus pratique pour demander conseil à d’autres participants.\n\n'
+ 'N’hésitez pas à [[User talk:' + wgUserName + '|me contacter]] si vous désirez une information ou une aide. Amicalement ~~~~\n'
+ '  </td>\n'
+ ' </tr>\n'
+ '</table>\n'
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/8/8e/Button_BienvenueIP-BVIP.png',
'Bienvenue IP',
BVIP,
'',
'',
'mw-editbutton-aide');
 
var BVCP = '== Violation de copyright ==\n'
+ 'Bonjour, et bienvenue sur Wikipédia ! Vous venez d’effectuer une modification sur un article, mais elle a dû être défaite. Ce n’est pas bien grave : on est là pour s’entraider {{;)}}.\n\n'
+ 'En effet, votre modification ne respectait pas les droits d’auteur, car elle provenait d’un site internet ou d’un livre non libre. La plupart des ressources disponibles ne sont, d’ailleurs, pas libres. Il faut souvent [[aide:republication|demander un accord]].\n\n'
+ 'Pour ne pas [[Wikipédia:Copyright|violer de droits d’auteur]], vous pouvez néanmoins vous aider de votre ressource, en la reformulant et en la synthétisant.\n'
+ 'Je vous conseille de lire [[Wikipédia:Copyright|cette page]] qui pourra vous aider à comprendre les droits d’auteur.\n\n'
+ 'Cependant, ne vous inquiétez pas ! Essayez de comprendre le fonctionnement de Wikipédia, continuez à l’améliorer pour le mieux et d’autres contributeurs vous aideront si vous le leur demandez. Si vous êtes perdu, il existe un [[Aide:Sommaire|sommaire de l’aide]].\n\n'
+ 'D’ailleurs, si vous avez des questions, n’hésitez pas à [[User talk:' + wgUserName + '|me contacter]] {{=)}}. ~~~~'
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/5/58/Button_black_copyright.png',
'Violation de Droits d’auteur',
BVCP,
'',
'',
'mw-editbutton-aide');
 
 
var Portail = '{{Portail}}'
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/3/3b/Button_template_alt.png',
'portail info',
Info,
'',
'',
'mw-editbutton-aide');
 
 
var Info = '|Informatique'
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/a/ab/Button_Telephone_receiver.png',
'portail info',
Info,
'',
'',
'mw-editbutton-aide');
 
 
var SrceNA = '== Sources de ton article ==\n'
+ 'Merci pour ton amélioration de Wikipédia {{sourire}}\n\n'
+ 'Pourrais-tu indiquer les sources que tu as utilisées lors de la rédaction de ton article ? Ton article serait ainsi plus conforme aux usages wikipédiens de la [[Wikipédia:vérifiabilité|vérifiabilité]]. Cela indiquerait que le sujet existe bel et bien, et qu’il a des sources fiables sur lesquelles on peut se baser pour rédiger l’article.\n\n'
+ 'Quand une revue renommée, un auteur réputé, etc. donne un fait, on peut raisonnablement supposer que le fait est fiable, quelque soit l’identité du rédacteur (par nature invérifiable, ou peu s’en faut, sur Internet). Aussi, si les éléments dont vous avez connaissance ne sont rapportés nulle part (même une source papier, par exemple), les introduire dans l’article est mal vu, même si ils sont justes, compte tenu des risques sur la fiabilité (voir la légalité) de Wikipédia.\n\n'
+ 'Je t’encourage donc à ajouter tes sources sans tarder {{clin}} Bonne continuation ! ~~~~'
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/7/7d/Deletewarn2.png',
'source nouveau article',
SrceNA,
'',
'',
'mw-editbutton-aide');
 
var groupArray = '#'+wgUserGroups;
if (groupArray.indexOf("sysop") > 0) addCustomButton('http://upload.wikimedia.org/wikipedia/commons/e/e4/Bouton_Vandale3.png',
'Blocage',
'{{vandale bloqué|1|jour}}',
'',
'',
'mw-editbutton-admin');
 
if (wgUserName == 'Fm790') { 
 
var SupprTxt = '== Révocation de votre modification ==\n'
+ 'Bonjour {{subst:BASEPAGENAME}}, et bienvenue sur Wikipédia ! Vous venez d’effectuer une modification sur un article, mais elle a dû être défaite. Ce n’est pas bien grave : on est là pour s’entraider {{;)}}.\n\n'
+ 'En effet, votre modification contenait le blanchiment injustifié d’un passage d’un article.\n'
+ 'Si cette action était voulue, pourriez-vous m’en donner les raisons sur ma [[user talk:' + wgUserName + '|page de discussion]], sur celle de l’article, ou sur celle du projet correspondant (voir [[Projet:Accueil]]).\n'
+ 'À l’avenir, pensez à remplir la [[Aide:Toujours commenter vos modifications dans la boîte de résumé|barre de résumé]] pour aider les autres participants à comprendre vos intentions.\n\n'
+ 'Cependant, ne vous inquiétez pas ! Essayez de comprendre le fonctionnement de Wikipédia, continuez à l’améliorer pour le mieux et d’autres contributeurs vous aideront si vous le leur demandez. Si vous êtes perdu, il existe un [[Aide:Sommaire|sommaire de l’aide]].\n\n'
+ 'D’ailleurs, si vous avez des questions, n’hésitez pas à [[User talk:' + wgUserName + '|me contacter]] {{=)}}. ~~~~'
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/5/50/Button_tidyman.png',
'Revert de ta modif : Suppression de texte',
SupprTxt,
'',
'',
'mw-editbutton-dodo');
 
}
}
}
 
addOnloadHook(buttonload);