//-------------------------------------//
//         contributions en couleur    //
//-------------------------------------//
loadJs("Utilisateur:Chphe/ContribColors.js");
//-------------------------------------//

//-------------------------------------//
//      masquer proprement les         //
//      contributions des bots         //
//          Merci Orlodrim             //
//-------------------------------------//
obtenir('TriLDSEtendue');
//-------------------------------------//


//-------------------------------------//
//         flèches pour scrolling      //
//-------------------------------------//
loadJs("Utilisateur:Dr Brains/Scroll.js");
//-------------------------------------//

//-------------------------------------------//
//  parenthèses après les numéros de section //
//-------------------------------------------//
function addParentheses()
{
  tds = document.getElementsByTagName('span');
  for (var i = 0; i < tds.length; ++i)
    if (tds[i].className == 'tocnumber' || tds[i].className == 'mw-headline')
      tds[i].innerHTML = tds[i].innerHTML.replace(/(^[\.0-9]*)/, '$1) ');
}
addOnloadHook(addParentheses);
//-------------------------------------------//



//-------------------------------------------//
//  lien direct vers le bistro du jour       //
//-------------------------------------------//
// auteur : Utilisateur:Dake
//Bistro d'aujourd'hui
function TodayDate() {
      m = new Array("janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre");
      today = new Date();
      day = today.getDate();
      year = today.getYear();
 
      if (year < 2000)    
           year = year + 1900;
 
      return (day + " " + m[today.getMonth()] + " " + year);
} 
 
// auteur : Utilisateur:Dake
function OptimizedNavig() 
{
  var a = document.getElementById("p-navigation");
  if (a) 
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    {
      b[0].innerHTML = b[0].innerHTML
      + '<br>'
      + '<li><span id="n-bistro" title="Wikipédia:Le Bistro">'
      + '<a href="/wiki/Wikipédia:Le_Bistro/' + TodayDate() + '">Le Bistro</a>'
      + '</span></li>'
    }
  }
}
 
addOnloadHook(OptimizedNavig);
//-------------------------------------------//

//-------------------------------------------//
//  taille de la page affichée tout en bas   //
//-------------------------------------------//
function GetPageSize(){
     var Target = document.getElementById('lastmod');                       // Monobook et affiliés
     if(!Target) Target = document.getElementById('footer-info-lastmod');   // Vector
     if(!Target) return;
 
     var url = wgServer + '/w/api.php?action=query&prop=info&titles=' + wgPageName; 
     var GetPageSize_Request = sajax_init_object();
     GetPageSize_Request.open("GET", url, true);
     GetPageSize_Request.send(null);
     GetPageSize_Request.onreadystatechange = function() {
          if(GetPageSize_Request.readyState == 4 && GetPageSize_Request.status == 200) {
               var Temp = document.createElement('div');
               Temp.innerHTML = GetPageSize_Request.responseText;
               var Infos = Temp.getElementsByTagName('span');
               for(a=0;a<Infos.length;a++){
                    Info = Infos[a].innerHTML;
                    if(Info.indexOf('length=')!=-1){
                         var Size = Info.split('length="')[1].split('"')[0];
                         Target.innerHTML = 'Taille : ' + Size + ' octets - ' + Target.innerHTML;
                    }
               }
          }
     }
}
addOnloadHook(GetPageSize);
//-------------------------------------------//



//----------------------------------------------------------//
//   Fonction pour n'afficher que la dernière modification  //
//      pour chaque page dans la liste des contributions.   //
//----------------------------------------------------------//
function der_contribs() {
   var bd = document.getElementById('bodyContent');
   if(! bd) return;
   var ul = null;
   for(var i=0; i<bd.childNodes.length; i++)
      if(bd.childNodes[i].tagName == 'UL') {
         ul = bd.childNodes[i];
         break;
      }
   if(! ul) return;
 
   var tabNames = new Array();
 
   var li = ul.firstChild;
   while(li) {
      if(li.tagName=="LI") {
         var title = li.firstChild.title;
         if(title in tabNames) {
            var li_tmp = li.nextSibling;
            ul.removeChild(li);
            li = li_tmp;
         } else {
            tabNames[title] = 1;
            li = li.nextSibling;
         }
      }
      else li = li.nextSibling;
   }
}
 
function lancer_mapage()
{
   var cs = document.getElementById('contentSub')
   if(cs && cs.innerHTML.indexOf(">"+wgUserName+"<") != -1) der_contribs();
}
 
//if(wgPageName == "Spécial:Contributions") addOnloadHook(der_contribs); // pour lancer la fonction sur toutes les pages de contributions
if(wgPageName == "Spécial:Contributions") addOnloadHook(lancer_mapage); // pour ne lancer la fonction que sur sa propre page de contributions


//-------------------------------------------------------//
//   fonction pour supprimer le lien "actu"              // 
//             de la page d'historique                   //
//-------------------------------------------------------//
if(wgAction=="history") 
addOnloadHook(function (){
      var PageHistory = document.getElementById("pagehistory");
      if(!PageHistory) return;
      var AllSpans = PageHistory.getElementsByTagName('span');
      for(var b=0;b<AllSpans.length;b++){
            if(hasClass(AllSpans[b], "mw-history-histlinks")){
                  var ThisSpan = AllSpans[b];
                  var FirstLink = ThisSpan.getElementsByTagName('a')[0];
                  if(FirstLink.innerHTML == "actu"){
                        var DiffLink = ThisSpan.getElementsByTagName('a')[1];
                  }else if(FirstLink.innerHTML == "diff"){
                        var DiffLink = FirstLink;
                  }
                  if(DiffLink){
                        DiffLink.parentNode.removeChild(DiffLink);
                        ThisSpan.innerHTML = '';
                        ThisSpan.appendChild(document.createTextNode('('));
                        ThisSpan.appendChild(DiffLink);
                        ThisSpan.appendChild(document.createTextNode(')'));
                  }else{
                        ThisSpan.innerHTML = '(diff)';
                  }
            }
      }
});

// Regrouper les modifs consécutives d'un même utilisateur
importScript('Utilisateur:Dr Brains/MergeHistory.js');

//Permet de cacher les contributions des bots dans les historiques d'articles, ou seulement les contributions concernant les interwikis
// HistoryHideBots_OnlyInterwikiBots = true; // default
// HistoryHideBots_AutoHide = true; // default 
importScript('Utilisateur:Dr Brains/HistoryHideBots.js');