//<pre><nowiki>

popupStrings = {
//pg.string = {
  /////////////////////////////////////
  // summary data, searching etc.
  /////////////////////////////////////
  'article': 'article',
  'category': 'catégorie',
  'categories': 'catégories',
  'image': 'image',
  'images': 'images',
  'stub': 'ébauche',
  'section stub': 'section ébauche',
  'Empty page': 'Page vide',
  'kB': 'ko',
  'bytes': 'octets',
  'day': 'jour',
  'days': 'jours',
  'hour': 'heure',
  'hours': 'heures',
  'minute': 'minute',
  'minutes': 'minutes',
  'second': 'seconde',
  'seconds': 'secondes',
  'week': 'semaine',
  'weeks': 'semaines',
  'search': 'rechercher',
  'SearchHint': 'Trouver les articles de Wikipédia contenant %s',
  'web': 'web',
  'global': 'global',
  'globalSearchHint': 'Trouver les articles dans toutes les langues de Wikipédia contenant %s',
  'googleSearchHint': 'Rechercher %s avec Google',
  /////////////////////////////////////
  // article-related actions and info
  // (some actions also apply to user pages)
  /////////////////////////////////////
  'actions': 'actions',         ///// view articles and view talk
  'popupsMenu': 'options',
  'togglePreviewsHint': 'Changer la prévisualisation du popups de cette page',
  'toggle previews': 'changer la prévisualisation',
  'enable previews': 'activer la prévisualisation',
  'disable previews': 'désactiver la prévisualisation',
  'show preview': 'afficher la prévisualisation',
  'reset': 'reset',
  'more...': 'plus…',
  'disable': 'désactiver popups',
  'disablePopupsHint': 'Désactiver le popups sur cette page. Recharger la page pour réactiver',
  'historyfeedHint': 'flux RSS des RC sur cette page',
  'purgePopupsHint': 'Reset popups, efface toutes les données du cache',
  'PopupsHint': 'Reset popups, efface toutes les données du cache',
  'spacebar': 'barre d\'espace',
  'view': 'voir',
  'view article': 'voir l\'article',
  'viewHint': 'Voir %s',
  'talk': 'discussion',
  'talk page': 'page de discussion',
  'this&nbsp;revision': 'cette&nbsp;version',
  'revision %s of %s': 'version %s sur %s',
  'Revision %s of %s': 'Version %s sur %s',
  'the revision prior to revision %s of %s': 'la version antérieure à la version %s de %s',
  'Toggle image size': 'Changer la taille de l\'image',
  'del': 'supprimer',                 ///// delete, protect, move
  'delete': 'supprimer',
  'deleteHint': 'Supprimer %s',
  'undeleteShort': 'dé',
  'UndeleteHint': 'Voir l\'historique des suppressions de %s',
  'protect': 'protéger',
  'protectHint': 'Protéger %s',
  'unprotectShort': 'dé',
  'unprotectHint': 'Déprotéger %s',
  'move': 'déplacer',
  'move page': 'déplacer la page',
  'MovepageHint': 'Changer le titre de %s',
  'edit': 'modifier',               ///// edit articles and talk
  'edit article': 'modifier l\'article',
  'editHint': 'Changer le contenu de %s',
  'edit talk': 'modifier discussion',
  'new': 'nouveau',
  'new topic': 'nouveau sujet',
  'newSectionHint': 'Démarrer une nouvelle section dans %s',
  'null edit': 'édition nulle',
  'nullEditHint': 'Modifier %s, sans faire de changements',
  'hist': 'hist',               ///// history, diffs, editors, related
  'history': 'historique',
  'historyHint': 'Afficher l\'historique de %s',
  'last': 'dernière',
  'lastEdit': 'dernière modification',
  'mark patrolled': 'marquer vérifié',
  'markpatrolledHint': 'Marquer cette modif comme non vandalisé',
  'show last edit': 'voir dernière modif',
  'Show the last edit': 'Voir les effets de la dernière modification',
  'lastContrib': 'dernière contribution',
  'last set of edits': 'dernières éditions',
  'lastContribHint': 'Voir les effets de la dernière contribution',
  'cur': 'act',
  'diffCur': 'diff/act',
  'Show changes since revision %s': 'Voir les modifications depuis la version %s',
  '%s old': '%s depuis la dernière modification',
  'oldEdit': 'ancienne version',
  'purge': 'purger',
  'purgeHint': 'Purger %s du cache',
  'raw': 'source',
  'rawHint': 'Voir la source de %s',
  'render': 'simple',
  'renderHint': 'Voir %s sans style de mise en page',
  'Show the edit made to get revision': 'Voir les modifications pour avoir cette version',
  'sinceMe': 'depuis moi',
  'changes since mine': 'depuis ma modif',
  'sinceMeHint': 'Voir les changements depuis ma dernière modification',
  'Couldn\'t find an edit by %s\nin the last %s edits to\n%s': 'Impossible de trouver une modification par %s\nin dans les dernières %s modifications de\n%s',
  'eds': 'eds',
  'editors': 'contributeurs',
  'editorListHint': 'Liste des utilisateurs qui ont modifié %s',
  'related': 'relatif',
  'relatedChanges': 'modif liées',
  'related changes': 'modif liées',
  'RecentchangeslinkedHint': 'Voir les changements dans les articles relatifs à %s',
  'editOld': 'éditeAncien',          ///// edit old version, or revert
  'rv': 'révoquer',
  'revert': 'révoquer',
  'revertHint': 'Revenir à %s',
  'defaultpopupRedlinkSummary': 'Suppression du lien vers la page vierge [[%s]] grâce au [[Utilisateur:Leag/Navigation popups|popups]]',
  'defaultpopupFixDabsSummary': 'Page d\'homonymie [[%s]] corrigée en [[%s]] grâce au [[Utilisateur:Leag/Navigation popups|popups]]',
  'defaultpopupFixRedirsSummary': 'Redirection [[%s]] corrigée en [[%s]] grâce au [[Utilisateur:Leag/Navigation popups|popups]]',
  'defaultpopupExtendedRevertSummary': 'Révocation des modifications de %s ; Retour à la version de %s)',
  'defaultpopupRevertToPreviousSummary': 'Révocation des modifications de %s ; Retour à la version de %s',
  'defaultpopupRevertSummary': 'Révocation des modifications de %s ; Retour à la version de %s',
  'defaultpopupQueriedRevertToPreviousSummary': 'Révocation des modifications de %s ; Retour à la version de %s',
  'defaultpopupQueriedRevertSummary': 'Révocation des modifications de %s ; Retour à la version de %s',
  'defaultpopupRmDabLinkSummary': 'Suppression du lien vers la page d\'homonymie [[%s]] grâce au [[Utilisateur:Leag/Navigation popups|popups]]',
  'Redirects': 'Redirection', // as in Redirects to ...
  ' to ': ' vers ',           // as in Redirects to ...
  'Bypass redirect': 'Redirection',
  'Fix this redirect': 'Corriger cette redirection',
  'disambig': 'homonymie',          ///// add or remove dab etc.
  'disambigHint': 'Corriger ce lien en [[%s]]',
  'Click to disambiguate this link to:': 'Cliquer pour corriger ce lien en :',
  'remove this link': 'supprimer ce lien',
  'remove all links to this page from this article': 'supprimer tout les liens vers cette page dans l\'article',
  'remove all links to this disambig page from this article': 'supprimer tout les liens vers cette page d\'homonymie dans l\'article',
  'mainlink': 'lien principaux',          ///// links, watch, unwatch
  'wikiLink': 'lien wiki',
  'wikiLinks': 'liens wiki',
  'links here': 'page liées',
  'whatLinksHere': 'pagesliées',
  'what links here': 'pages liées',
  'WhatlinkshereHint': 'Liste des pages liées à %s',
  'unwatchShort': 'ne plus',
  'watchThingy': 'suivre',  // called watchThingy because {}.watch is a function
  'watchHint': 'Ajouter %s à ma liste de suivi',
  'unwatchHint': 'Supprimer %s de ma liste de suivi',
  'Only found one editor: %s made %s edits': 'Seul éditeur trouvé : %s a fait %s modification',
  '%s seems to be the last editor to the page %s': '%s semble être le dernier éditeur de la page %s',
  'rss': 'rss',
  /////////////////////////////////////
  // diff previews
  /////////////////////////////////////
  'Diff truncated for performance reasons': 'Différence tronquée pour raisons de performance',
  'Old revision': 'Ancienne version',
  'New revision': 'Nouvelle version',
  'Something went wrong :-(': 'Quelque chose n\'a pas fonctionné :o(',
  'Empty revision, maybe non-existent': 'Version vierge, peut\-être inexistante',
  'Unknown date': 'Date inconnue',
  /////////////////////////////////////
  // other special previews
  /////////////////////////////////////
  'Empty category': 'catégorie vide',
  'Category members (%s shown)': 'membres de la catégorie (%s vu)',
  'No image links found': 'Pas d\'image liée trouvée',
  'File links': 'Fichiers liés',
  'not commons': 'Pas de fichier avec le même nom sur Wikimédia Commons.',
  'commons only': 'Ce fichier provient de Wikimédia Commons.',
  'No image found': 'Pas d\'image trouvée',
  'commons dupe': 'Le même fichier semble valide sur Wikimédia Commons.',
  'commons conflict': 'Un fichier différent avec le même nom est présent sur Wikimédia Commons.',
  /////////////////////////////////////
  // user-related actions and info
  /////////////////////////////////////
  'user': 'utilisateur',               ///// user page, talk, email, space
  'user&nbsp;page': 'page&nbsp;utilisateur',
  'user talk': 'discussion',
  'edit user talk': 'modifier discussion',
  'leave comment': 'laisser commentaire',
  'email': 'e\-mail',
  'email user': 'envoyer un e\-mail',
  'EmailuserHint': 'Envoyer un e\-mail à %s',
  'space': 'espace',
  'PrefixindexHint': 'Voir les pages de l\'espace utilisateur de %s',
  'count': 'contrib',             ///// contributions, tree, log
  'edit counter': 'compteur d\'édition',
  'katelinkHint': 'Compte des contributions réalisées par %s',
  'contribs': 'contribs',
  'contributions': 'contributions',
  'deletedContribs': 'contributions supprimées',
  'DeletedcontributionsHint': 'Liste des contributions supprimées de %s',
  'ContributionsHint': 'Liste des contributions de %s',
  'tree': 'arbre',
  'contribsTreeHint': 'Explorer les contributions de %s par espace de nom et par article',
  'log': 'journal',
  'user log': 'journal utilisateur',
  'userLogHint': 'Voir le journal de %s',
  'arin': 'recherche ARIN',             ///// ARIN lookup, block user or IP
  'Look up %s in ARIN whois database': 'Rechercher %s dans la base ARIN whois',
  'unblockShort': 'dé',
  'block': 'bloquer',
  'block user': 'bloquer utilisateur',
  'IpblocklistHint': 'Débloquer %s',
  'BlockipHint': 'Bloquer %s',
  'block log': 'liste des blocages',
  'blockLogHint': 'Voir l\'historique des blocages de %s',
  'protectLogHint': 'Voir le journal de protection de %s',
  'pageLogHint': 'Voir le journal de %s',
  'deleteLogHint': 'Voir le journal d\'effacement de %s',
  'Invalid %s %s': 'L\'option %s est invalide : %s',
  'No backlinks found': 'Pas de lien retour trouvé',
  ' and more': ' et plus',
  'undo': 'défaire',
  'undoHint': 'défaire cette modif',
  'Download preview data': 'Télécharger les données prévisualisée',
  /////////////////////////////////////
  // Autoediting
  /////////////////////////////////////
  'Enter a non-empty edit summary or press cancel to abort': 'Modifiez le résumé de votre modification ou cliquer sur annuler pour abondonner',
  'Failed to get revision information, please edit manually.\n\n': 'Pas d\'information sur la version, éditez manuellement.\n\n',
  'The %s button has been automatically clicked. Please wait for the next page to load.': 'Le bouton %s a été cliqué automatiquement. Veuillez attendre la page suivante pour charger.',
  'Could not find button %s. Please check the settings in your javascript file.': 'Impossible de trouver le bouton %s. Veuillez vérifier la configuration de votre fichier JavaScript.',
  /////////////////////////////////////
  // Popups setup
  /////////////////////////////////////
  'Display navigation links at the top of the popup': 'Afficher les liens de navigation en haut du popups',
  'Download preview data': 'Télécharger les données de prévisualisation des serveurs Wikipédia',
  'Load images': 'Charger des images',
  'Never download extra stuff for images/previews': 'Ne jamais télécharger de choses supplémentaires pour les images/prévisualisations',
  'Only start downloading when told to do so': 'Ne commencer à télécharger que lorsque demandé ainsi',
  'Open full-size image': 'Ouvrir l\'image en haute résolution',
  'Preview only on click': 'Prévisualiser seulement par clic',
  'Show/hide options': 'Montrer/cacher les options',
  'Show image previews': 'Prévisualiser les images',
  'Show navigation links': 'Montrer les liens de navigation',
  'Show page summary data': 'Montrer le résumé de la page',
  'Show previews': 'Prévisualiser',
  'Show summary data': 'Montrer le résumé',
  'Show text previews': 'Prévisualiser les textes',
  'Simple popups': 'Popups simples',
  'Toggle this option': 'Changer cette option',
  'zxy': 'zxy'
};

//</nowiki></pre>