// <pre><nowiki>

// Recent Changes Autohilight

// Track suspect users
var WRCKUcookieminutes = 60;

// Track new users
var WRCNUcookieminutes = 30;

// Track suspect pages
var WRCKPcookieminutes = 15;

var errorColor    = '#aaaaaa';
var revertColor   = '#ffdfdf';
var suspectColor  = Array('#dfffdf', '#ffffbf', '#ffdfbf', '#ffdfdf');
var avertColor    = '#dfdfff';
var adminColor    = '#bfbfff';

var newuserpenalty = 1;
var knownuserpenalty = 2;
var knownpagepenalty = 2;
var knowndeletedpenalty = 2;

var reguser = Array();
var reguseruser = 2;
reguser.push(new RegExp('Special:Contributions(&target=|/)([^"]+)'));

var regdelete = Array();
var regdeletepage = 1;
var regdeleteuser = 2;
regdelete.push(new RegExp('^\\(a effac. . <a href="http://.*\\.wikipedia.org/w/index\\.php\\?title=(.+)&action=edit" . \\(le contenu .tait : . .* . et l\'unique contributeur en .tait . (.+) .'));
regdelete.push(new RegExp('^\\(a effac. . <a href="http://.*\\.wikipedia.org/w/index\\.php\\?title=(.+)&action=edit" . :'));
regdelete.push(new RegExp('^\\(.*[Bb]lanchi *[:-]'));

var regprotect = Array();
var regprotectpage = 1;
var regprotectuser = 2;
regprotect.push(new RegExp('^\\(a prot.g. . (.+) .\\s*: Semi-protection : Page vandalis.e par (.+) '));
regprotect.push(new RegExp('^\\(a prot.g. . (.+) .\\s*:'));

var regrevert = Array();
var regrevertuser = 1;
regrevert.push(new RegExp('^\\(Revert to revision \\d+ '));
regrevert.push(new RegExp('^\\([Rr].vocation des modifications de (.+) '));
regrevert.push(new RegExp('^\\(Annulation des modifications \\d+ de (.+) '));
regrevert.push(new RegExp('^\\(bot : annulation des modifications \\d+ de (.+),'));
regrevert.push(new RegExp('^\\([Aa]nnulation des modifications de (.+) '));
regrevert.push(new RegExp('^\\(rv modifications de (.+) &gt; retour . la version de '));
regrevert.push(new RegExp(' : R.vocation des modifications de (.+); retour . la version de '));
regrevert.push(new RegExp('^\\(revert suite à vandalisme de (.+) et restauration de la version de '));
regrevert.push(new RegExp('^\\([Rr]etour . la version '));
regrevert.push(new RegExp('^\\([Rr].vocation'));
regrevert.push(new RegExp('^\\([Rr]evert'));
regrevert.push(new RegExp('^\\(rv'));
regrevert.push(new RegExp('[Vv]andalisme'));
regrevert.push(new RegExp('bac . sable'));

var regavert = Array();
// propriétaire = user
regavert.push(new RegExp('vandal'));
regavert.push(new RegExp('{{subst:'));
regavert.push(new RegExp('^\\(bienvenue d.butant\\)$'));
regavert.push(new RegExp('spammeu?r'));

function RCcreateCookie(name,value,minutes)
{
	if (minutes)
	{
		var date = new Date();
		date.setTime(date.getTime()+(minutes*60*1000));
		var expires = "; expires="+date.toGMTString();
	}
	else var expires = "";
	document.cookie = name + "=" + value + expires + "; path=/";
}

function RCreadCookie(name)
{
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i < ca.length;i++)
	{
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;
}

function isRCKnownUser(li, func, user) {
  var strregex = new RegExp(' [ak]u(' + func + ')=' + user);
  if (RCreadCookie(escape("WRCKU" + user)) != null && strregex.test(li.title) == false) {
    li.title += ' ku(' + func + ')=' + user;
    return (1);
  }
  return (0);
}

function addRCKnownUser(li, func, user) {
  if (!isRCKnownUser(li, func, user)) {
    li.title += ' au(' + func + ')=' + user;
    RCcreateCookie(escape("WRCKU" + user), func, WRCKUcookieminutes);
  }
}

function isRCNewUser(li, func, user) {
  var strregex = new RegExp(' [ak]u(' + func + ')=' + user);
  if (RCreadCookie(escape("WRCNU" + user)) != null && strregex.test(li.title) == false) {
    li.title += ' knu(' + func + ')=' + user;
    return (1);
  }
  return (0);
}

function addRCNewUser(li, func, user) {
  if (!isRCNewUser(li, func, user)) {
    li.title += ' anu(' + func + ')=' + user;
    RCcreateCookie(escape("WRCNU" + user), func, WRCNUcookieminutes);
  }
}

function isRCAHPage(li, func, page) {
  var strregex = new RegExp(' [ak]p(' + func + ')=' + page);
  if (RCreadCookie(escape("WRCP" + page)) != null && strregex.test(li.title) == false) {
    li.title += ' kp(' + func + ')=' + page;
    return (1);
  }
  return (0);
}

function RCAHAddPage(li, func, page) {
  if (!isRCAHPage(li, func, page)) {
    li.title += ' ap(' + func + ')=' + page;
    RCcreateCookie(escape("WRCP" + page), func, WRCKPcookieminutes);
  }
}

function RCAutoHilight() {
  if (location.href.indexOf('/Special:Modifications_r%C3%A9centes') == -1
   && (location.href.indexOf('/Special:Recentchanges') == -1
   || location.href.indexOf('/Special:Recentchangeslinked') != -1)) {
    return;
  }

  // vandalisme -> tracer user + article
  // avertissement -> tracer user

  var l = document.getElementById('bodyContent').getElementsByTagName('ul');

  for (var idxul = l.length - 1; idxul >= 0 ; idxul--) {
    if (l[idxul].className == 'special') {
      var m = l[idxul].getElementsByTagName('li');

      for (var i = m.length - 1; i >= 0; i--) {
        var comment = null;
        var n = m[i].getElementsByTagName('span');

        for (var j = 0; j < n.length; j++) {
          if (n[j].className == 'comment') {
            comment = n[j];
            break;
          }
        }

        var n = m[i].getElementsByTagName('a');
        if (n.length < 0) {
          continue;
        }

        var page = n[0].title.split('/')[0];
        var subpage = n[0].title.split('/')[1];
        var splitpage = page.split(':');

        var namespace;
        var pagename;
        if (splitpage.length == 1) {
          namespace = '';
          pagename  = splitpage[0].split('/')[0];
        }
        if (splitpage.length == 2) {
          namespace = splitpage[0];
          pagename  = splitpage[1].split('/')[0];
        }
        //m[i].title += ' namespace=' + namespace; 
        //m[i].title += ' pagename=' + pagename; 
        //m[i].title += ' subpage=' + subpage; 

        // ajouter check user + hilight

        var editor = '';
	var suspectlevel = 0;
        for (var j=(namespace=='Special')?1:2; j < n.length; j++) {
          for (var k = 0; k < reguser.length; k++) {
            if (reguser[k].test(n[j].href)) {
              var resuser = reguser[k].exec(n[j].href);
              editor = resuser[reguseruser];
              //m[i].title += ' editor=' + editor; 
              if (isRCKnownUser(m[i], 'editor', editor)) {
                m[i].style.backgroundColor = suspectColor[suspectlevel];
	        suspectlevel = (suspectlevel + knownuserpenalty < suspectColor.length)?(suspectlevel + knownuserpenalty):(suspectColor.length - 1);
              }
              break;
            }
          }
        }

        if (editor == '') {
          m[i].style.backgroundColor = errorColor;
          //m[i].title += ' editor=?'; 
        }

        if (isRCAHPage(m[i], 'global', page)) {
          m[i].style.backgroundColor = suspectColor[suspectlevel];
          suspectlevel = (suspectlevel + knownpagepenalty < suspectColor.length)?(suspectlevel + knownpagepenalty):(suspectColor.length - 1);
        }

        if (comment == null) {
          continue;
        }

        if (namespace == 'Special' && pagename == "Log" && subpage == "delete") {
          m[i].style.backgroundColor = adminColor;
          for (var j = 0; j < regdelete.length; j++) {
            if (regdelete[j].test(comment.innerHTML)) {
              var resdelete = regdelete[j].exec(comment.innerHTML);
              if ( resdelete.length >= 1 ) {
                RCAHAddPage(m[i], 'delete', resdelete[regdeletepage]);
              }
              if ( resdelete.length >= 2 ) {
                addRCKnownUser(m[i], 'delete', resdelete[regdeleteuser]);
              }
              break;
            }
          }
          continue;
        }

        if (namespace == 'Special' && pagename == "Log" && subpage == "protect") {
          m[i].style.backgroundColor = adminColor;
          for (var j = 0; j < regprotect.length; j++) {
            if (regprotect[j].test(comment.innerHTML)) {
              var resprotect = regprotect[j].exec(comment.innerHTML);
              if ( resprotect.length >= 1 ) {
                RCAHAddPage(m[i], 'protect', resprotect[regprotectpage]);
              }
              if ( resprotect.length >= 2 ) {
                addRCKnownUser(m[i], 'protect', resprotect[regprotectuser]);
              }
              break;
            }
          }
          continue;
        }

        if (namespace == 'Discussion Utilisateur' && pagename != editor) {
          // modif page utilisateur -> detecter averts
          for (var j = 0; j < regavert.length; j++) {
            if (regavert[j].test(comment.innerHTML)) {
              m[i].style.backgroundColor = avertColor;
              addRCKnownUser(m[i], 'avert', pagename);
              break;
            }
          }
          continue;
        }

        if (namespace == 'Special') {
	  continue;
	}

        // page normale -> detecter reverts
        for (var j = 0; j < regrevert.length; j++) {
          if (regrevert[j].test(comment.innerHTML)) {
            m[i].style.backgroundColor = revertColor;
            RCAHAddPage(m[i], 'revert', page);

            var resrevert = regrevert[j].exec(comment.innerHTML);

            if (resrevert.length >= 1) {
              for (var k = 0; k < reguser.length; k++) {
                if (reguser[k].test(resrevert[regrevertuser])) {
                  var resuser = reguser[k].exec(resrevert[regrevertuser]);
                  if (resuser.length >= 1) {
                    addRCKnownUser(m[i], 'revert', resuser[reguseruser]);
                  }
                  break;
                }
              }
            } else {
              m[i].title += ' au(revert)=?';
              break;
            }
          }
        }
      }
    }
  }

  //dump(dumpRCAHPages() + "\n");
  //dump(dumpRCAHUsers() + "\n");
}

addLoadEvent(RCAutoHilight);

// </nowiki></pre>