var qPreviewLang = '|aa|ab|af|ak|als|am|an|ang|ar;العربية|arc|as|ast|av|ay|az|ba|bar|bat-smg|be|be-x-old|bg;Български|bh|bi|bm|bn;বাংলা|bo|bpy;ইমার ঠার/বিষ্ণুপ্রিয়া মণিপুরী|br;Brezhoneg|bs;Bosanski|bug|bxr|ca;Català|cbk-zam|cdo|ce|ceb;Cebuano|ch|cho|chr|chy|closed-zh-tw|co|cr|cs;Česky|csb|cu|cv|cy|da;Dansk|de;Deutsch|diq|dv|dz|ee|el;Ελληνικά|eml|en;English|eo;Esperanto|es;Español|et;Eesti|eu;Euskara|fa;فارسی|ff|fi;Suomi|fiu-vro|fj|fo|frp|fur|fy|ga|gd|gl;Galego|glk|gn|got|gu|gv|ha|haw|he;עברית|hi;हिन्दी|ho|hr;Hrvatski|hsb|ht|hu;Magyar|hy|hz|ia|id;Bahasa Indonesia|ie|ig|ii|ik|ilo|io;Ido|is;Íslenska|it;Italiano|iu|ja;日本語|jbo|jv|ka;ქართული|kg|ki|kj|kk|kl|km|kn|ko;한국어|kr|ks|ksh|ku|kv|kw|ky|la;Latina|lad|lb;Lëtzebuergesch|lbe|lg|li|lij|lmo|ln|lo|lt;Lietuvių|lv|map-bms|mg|mh|mi|mk|ml|mn|mo|mr|ms;Bahasa Melayu|mt|mus|my|mzn|na|nah|nan|nap;Nnapulitano|nds|nds-nl|ne|new|ng|nl;Nederlands|nn;Norsk (nynorsk)|no;Norsk (bokmål)|nov|nrm|nv|ny|oc|om|or|os|pa|pag|pam|pap|pdc|pi|pih|pl;Polski|pms|ps|pt;Português|qu|rm|rmy|rn|ro;Română|roa-rup|roa-tara|ru;Русский|ru-sib|rw|sa|sc|scn|sco|sd|se|sg|sh;Srpskohrvatski / Српскохрватски|si|simple;Simple English|sk;Slovenčina|sl;Slovenščina|sm|sn|so|sq;Shqip|sr;Српски / Srpski|ss|st|su;Basa Sunda|sv;Svenska|sw|ta|te;తెలుగు|tet|tg|th;ไทย|ti|tk|tl|tlh|tn|to|tokipona|tpi|tr;Türkçe|ts|tt|tum|tw|ty|udm|ug|uk;Українська|ur|uz|ve|vec|vi;Tiếng Việt|vls|vo|wa|war|wo|wuu|xal|xh|yi|yo|za|zea|zh;中文|zh-classical|zh-min-nan|zh-yue|zu|';

function qPreviewButton()
{
 sauv = document.getElementById('wpSave');
 if(!sauv) return;
 newBtn = document.createElement('input');
 if(!document.getElementById('p-lang'))
 {
  newDiv = document.createElement('div');
  newDiv.id = 'p-lang';
  newDiv.setAttribute('class', 'portlet');
  newDiv.style.display = 'none';
  newDiv.innerHTML = '<h5>Autres langues</h5><div class="pBody"><ul></ul></div>';
  toolbox = document.getElementById('p-tb');
  toolbox.parentNode.insertBefore(newDiv, toolbox.nextSibling);
 }
 newBtn.type = 'button';
 newBtn.value = 'QPreview';
 newBtn.onclick = qPreview;
 newBtn.id = 'btnQPreview';
 sauv.parentNode.insertBefore(newBtn, sauv.nextSibling);
}
addOnloadHook(qPreviewButton);

function qPreview()
{
 var divPreview = document.getElementById('wikiPreview');
 if (!divPreview) return;
 var btnQPreview = document.getElementById('btnQPreview');
 btnQPreview.value = 'Wait...';
 qPreviewTextbox = document.getElementById('wpTextbox1').value;
 qPreviewAjax = sajax_init_object();
 
 qPreviewAjax.open('POST', document.editform.action+'&live', true);
 Boundary = '--------p1415';
 qPreviewAjax.setRequestHeader('Content-Type', 'multipart/form-data; boundary='+Boundary);
 PostData = '--' + Boundary
  + '\nContent-Disposition: form-data; name="wpTextbox1"\n\n'
  + qPreviewTextbox + '\n--'+Boundary;
 if (qPreviewAjax.overrideMimeType) qPreviewAjax.overrideMimeType('text/html');
 qPreviewAjax.send(PostData);
 
 qPreviewAjax.onreadystatechange = function()
 {
  if (qPreviewAjax.readyState != 4) return;
  html = qPreviewAjax.responseText;
  html = html.replace(/>/g,'>').replace(/</g,'<').replace(/"/g,'"').replace(/&/g,'&').replace(/&apos;/g,"'");
  divPreview.innerHTML = html;
  btnQPreview.value = 'QPreview';
 };
 
 qPreviewIw = '';
 reg1 = new RegExp(' ','g'); reg2 = new RegExp('\\|');
 reg3 = new RegExp('(.*)]'); reg4 = new RegExp(';(.*)');
 regexIw = new RegExp('\\[\\[(\\w{2,12}) *:(.*)\\]\\]', 'gi');
 result = qPreviewTextbox.match(regexIw);
 for(i=0;i<result.length;i++)
 {
  r1 = result[i].replace(regexIw, '$1');
  r2 = result[i].replace(regexIw, '$2').replace(reg1, '_');
  r3 = qPreviewLang.search(RegExp('\\|'+r1+'(?:;|\\|)', 'i'));
  if(r3 != -1) { r3 = qPreviewLang.substr(r3+1).replace(reg2,']'); r3 = reg3.exec(r3)[1]; qPreviewIw += '<li class="interwiki-'+r1+'"><a href="http://'+r1+'.wikipedia.org/wiki/'+r2+'">'+(r3.indexOf(';')!=-1 ? reg4.exec(r3)[1] : 'Langue \''+r1+'\'')+'</a></li>'; }
 }
 document.getElementById('p-lang').getElementsByTagName('ul')[0].innerHTML = qPreviewIw;
 if(qPreviewIw) document.getElementById('p-lang').style.display = 'block';
 else document.getElementById('p-lang').style.display = 'none';
}

function getArticleName()
{
        var strOut = document.title
        // case search
        if (strOut == "Rechercher - Wikipédia")
                return document.getElementById("lsearchbox").value
        // case article being modified
        strOut = strOut.replace("modification de ", "").replace(" - Modifier", "")

        strOut = strOut.replace(" - Prévisualiser", "").replace(" - Wikipédia", "")
        return strOut
}

//liste de suivi et bots
// récupération liste des bots
var bots = new Array("AlphaBot", "Badmood", "Chlewbot", "Chobot", "CyeZBot", "DasBot", "Diderobot", "Eskimbot", "Fabbot", "FlaBot", "Gpvosbot", "HasharBot", "Hexabot", "KocjoBot", "Koyuki", "Loveless", "MMBot", "MedBot", "MoriBot", "PieRRoBoT", "Probot", "Robbot", "RobotE", "RobotQuistnix", "SashatoBot", "Solbot", "StéBot", "Ugur Basak Bot", "WartBot", "YurikBot", "Zwobot")

function addButtonhideBots() {
        if (getArticleName() != "Liste de suivi")
                return
        var span = document.createElement("span")
        var a = document.createElement("a")
        a.setAttribute("id", "hideBots")
        a.setAttribute("href", "javascript: hideBotsEdits()")
        a.innerHTML = "Masquer"
        span.innerHTML = " "
        span.appendChild(a)
        span.innerHTML += " les bots"
        var p = document.getElementById("bodyContent").getElementsByTagName("p")[1]
        p.insertBefore(span, p.getElementsByTagName("form")[0])
        hideBotsEdits()
}

function hideBotsEdits() {
        var disp = ""
        
        if (document.getElementById("hideBots").innerHTML == "Masquer") {
                document.getElementById("hideBots").innerHTML = "Afficher"
                disp = "none"
        } else {
                document.getElementById("hideBots").innerHTML = "Masquer"
                disp = "list-item"
        }
        var uls = document.getElementsByTagName("ul")
        for (var cpt = 0 ; cpt < uls.length ; cpt++) {
                if (uls[cpt].className == "special") {
                        var lis = uls[cpt].getElementsByTagName("li")
                        for (var cpt2 = 0 ; cpt2 < lis.length ; cpt2++) {
                                for (var cpt3 = 0 ; cpt3 < bots.length ; cpt3++)
                                        if (lis[cpt2].getElementsByTagName("a")[3].innerHTML == bots[cpt3])
                                                lis[cpt2].style.display = disp
                        }
                }
        }
}

addLoadEvent(addButtonhideBots)