//Fonctions communes

function addLoadEvent(func) 
   {
   if (window.addEventListener) 
       {
       window.addEventListener("load", func, false);
       } else if (window.attachEvent) 
           {
           window.attachEvent("onload", func);
           }
   }

function insertAfter(parent, node, referenceNode) 
   {
   if(referenceNode.nextSibling) 
      {
      parent.insertBefore(node, referenceNode.nextSibling);
      } else {
             parent.appendChild(node);
             }
   }


//Ajouter une boîte perso avec divers liens à gauche, voir Wikipédia:Monobook
//version 2 inspirée de CategoriesAGauche (Utilisateur:Jmfayard/monobook.js)
//pour forcer son affichage avant les interwikis

function nouvelleBoite2() 
   {
   var h5_perso2 = document.createElement( "h5" );
   var text = document.createTextNode( "boîte perso" ) ;
   h5_perso2.appendChild( text ) ;

   var div_perso2 = document.createElement( "div" );
   div_perso2.setAttribute( "class", "pBody" );

   var l2 = document.createElement( "l2" );
   if (l2)
      {
      l2.innerHTML = l2.innerHTML
      + '  <ul>'
      + '   <li><a href= "http://fr.wikipedia.org/wiki/Special:Newpages">Nouvelles pages</a></li>'
      + '   <li><a href= "http://fr.wikipedia.org/wiki/Special:Log/delete">Pages effacées</a></li>'
      + '   <li><a href= "http://fr.wikipedia.org/wiki/Special:Ipblocklist">Liste des blocages</a></li>'
      + '   <li><a href= "http://fr.wikipedia.org/wiki/Wikipédia:Bulletin_des_admins">Bulletin des admins</a></li>'
      + '   <li><a href= "http://fr.wikipedia.org/wiki/Wikipédia:Liste_des_modèles">Modèles</a></li>'
      + '   <li><a href= "http://fr.wikipedia.org/wiki/Aide:Les_tableaux">Aide tableaux</a></li>'
      + '   <li><a href= "http://fr.wikipedia.org/wiki/Wikipédia:Conventions_typographiques">Conventions typo</a></li>'
      + '   <li><a href= "http://www.ign.fr/affiche_rubrique.asp?rbr_id=1745">IGN</a></li>'
      + '   <li><a href= "http://www.insee.fr/fr/ffc/pop_legale/accueil_pop.asp">INSEE</a></li>'
      + '  </ul>'
      }
   div_perso2.appendChild( l2 ) ;

   var portlet = document.createElement( "div" ) ;
   portlet.setAttribute( "class", "portlet" );
   portlet.setAttribute( "id", "p-nbx2" ) ;
   portlet.appendChild( h5_perso2 ) ;
   portlet.appendChild( div_perso2 ) ;

   div_plang = document.getElementById( "p-lang" );
   document.getElementById("column-one").insertBefore( portlet, div_plang)
   }

addLoadEvent(nouvelleBoite2);


//Boîte de catégories à gauche, voir Utilisateur:Jmfayard/monobook.js

function CategoriesAGauche() 
   {
   var catlinks = document.getElementById("catlinks");
   if (!catlinks) { return; }
   var categories = catlinks.getElementsByTagName("a") ;

   var h5_cats = document.createElement( "h5" );
   var text = document.createTextNode( "Catégories" ) ;
   h5_cats.appendChild( text ) ;

   var div_cats = document.createElement( "div" );
   div_cats.setAttribute( "class", "pBody" );

   var ul = document.createElement( "ul" );

   var a_debut = 1 ; // evitons le lien Categories:
   for (var i = a_debut ; i < categories.length ; i++ ) 
      {
      var a = categories[i] ;
      var li = document.createElement( "li" ) ;
      li.appendChild( a.cloneNode(1) ) ;
      ul.appendChild( li );
      }

   div_cats.appendChild( ul ) ;

   var portlet = document.createElement( "div" ) ;
   portlet.setAttribute( "class", "portlet" );
   portlet.setAttribute( "id", "p-cat" ) ;
   portlet.appendChild( h5_cats ) ;
   portlet.appendChild( div_cats ) ;

   div_ptb = document.getElementById( "p-tb" );
   document.getElementById("column-one").insertBefore( portlet, div_ptb)
   }

addLoadEvent( CategoriesAGauche ) ;


// Boutons supplémentaires lors de la suppression, voir Utilisateur:Dake/Javascript

function SuppressionDeluxe() 
   {
   if (document.title.indexOf("Confirmer la suppression - Wikipédia")!=0) return; 
   var mainNode = document.getElementsByTagName("form");
   var firstForm = mainNode[0];
        
   // vous pouvez ajouter vos messages ci-dessous
   var messages = new Array()
   messages[0] = "Vandalisme";
   messages[1] = "Essai de débutant";
   messages[2] = "Publicité";
   messages[3] = "Violation copyright";

   var table = document.createElement("table");
   var tr = document.createElement("tr");
   table.appendChild(tr);

   // normalement, pas besoin de toucher à partir d'ici
   if (firstForm.getAttribute("id")=="deleteconfirm") 
      {
      actionDelete = firstForm.getAttribute("action");
                
      var inputs = firstForm.getElementsByTagName("input");
      var token = inputs[2].getAttribute("value"); 

      for (var i=0;i<messages.length;i++) 
         {
         var formElement = document.createElement("form");
         formElement.setAttribute("id", "deleteconfirm");
         formElement.setAttribute("method", "post");
         formElement.setAttribute("action", actionDelete);
                        
         var inputReason = document.createElement("input");
         inputReason.setAttribute("name", "wpReason"); 
         inputReason.setAttribute("value", messages[i]); 
         inputReason.setAttribute("type", "hidden"); 
                        
         var inputConfirm = document.createElement("input");
         inputConfirm.setAttribute("name", "wpConfirmB"); 
         inputConfirm.setAttribute("value", messages[i]); 
         inputConfirm.setAttribute("type", "submit"); 
                        
         var inputToken = document.createElement("input");
         inputToken.setAttribute("name", "wpEditToken"); 
         inputToken.setAttribute("value", token); 
         inputToken.setAttribute("type", "hidden"); 
                        
         formElement.appendChild(inputReason);
         formElement.appendChild(inputConfirm);
         formElement.appendChild(inputToken);

         var td = document.createElement("td");
         td.appendChild(formElement);
         tr.appendChild(td); 
         }
                
      var separation = document.createElement("p");
      separation.appendChild(document.createElement("hr"));
      insertAfter(firstForm.parentNode, separation, firstForm);
      insertAfter(firstForm.parentNode, table, separation);
      }
   }

addLoadEvent(SuppressionDeluxe);


// Bouton supplémentaire Google, voir Utilisateur:Dake/Javascript

function googleOnglet() 
   {
   var a = document.getElementById("p-cactions");
      if (a) 
         {
         var pageName = document.title.replace(" - Wikipédia", ""); 
         b = a.getElementsByTagName("ul");
                  
         if(b.length > 0)
            {
            b[0].innerHTML = b[0].innerHTML
            + '<li id="ca-nstab-user"><img src="http://www.google.com/intl/en/logos/Logo_60wht.gif" height="20px">'
            + '<a href="http://www.google.fr/search?num=20&hl=fr&safe=off&q=site%3Afr.wikipedia.org+' + pageName + '&btnG=Search">'
            + '(fr)</a>'
            + '<a href="http://www.google.fr/search?num=20&hl=fr&safe=off&q=' + pageName + '&btnG=Search">'
            + '(web)</a>'
            + '</li>';
            }
         }
   }
      
addLoadEvent(googleOnglet);


// Onglet Purge

function OngletPurge() 
   {
   var a = document.getElementById("p-cactions");
      if (a) 
         {
         var pageName = document.title.replace(" - Wikipédia", ""); 
         b = a.getElementsByTagName("ul");
                  
         if(b.length > 0)
            {
            b[0].innerHTML = b[0].innerHTML
            + '<li id="ca-nstab-user">'
            + '<a href="/w/index.php?action=purge&title=' + pageName + '">purge</a>'
            + '</li>';
            }
         }
   }

addLoadEvent(OngletPurge);


//Modification de la boîte ''navigation''

function TodayDate() 
   {
   m = new Array("janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre");
   today = new Date();
   day = today.getDate();
   year = today.getYear();

   if (year < 2000) year = year + 1900;

   return (day + " " + m[today.getMonth()] + " " + year);
   } 

navigation_innerHTML=
' <li <a title="Page au hasard [alt-X]" accesskey="X" href="/wiki/Special:Random">Page au hasard</a></li>'
+' <li><span title="Page courante du Bistro"><a href="/wiki/Wikipédia:Le Bistro/'+ TodayDate() +'">Bistro du jour</a></span></li>'
+' <li title="Modifs récentes" id="n-help"><a href="/wiki/Special:Recentchanges">Modifs récentes</a></li>'
;

function Menu() 
   {
   var tDate = TodayDate();
   var a = document.getElementById("p-navigation");
   if (a) 
      {
      b = a.getElementsByTagName("ul");
      if (b.length > 0) 
         {
         b[0].innerHTML = navigation_innerHTML;
         }
      }
   }
     
addLoadEvent(Menu);