//<nowiki>

// Nouvelle boîte à outils
if ( mw.config.get( 'wgNamespaceNumber' ) == 3 && typeof $j != 'undefined' && typeof $j.fn.wikiEditor != 'undefined' ) {
	$j(document).ready( function() {
		$j( '#wpTextbox1' ).wikiEditor( 'addToToolbar', {
			'section': 'advanced',
			'groups': {
				'userwarn': {
					'label': 'Avertissements'
				}
			}
		} );
		$j( '#wpTextbox1' ).wikiEditor( 'addToToolbar', {
			'section': 'advanced',
			'group': 'userwarn',
			'tools': {
				'test0': {
					label: 'Test 0',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/b/b8/Button_number_0.png',
					action: {
						type: 'encapsulate',
						options: {
							pre: "{{subst:Test 0}} ~~~~"
						}
					}
				},
				'vandalisme': {
					label: 'Vandalisme',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/a/a7/Button_smiley3.png',
					action: {
						type: 'encapsulate',
						options: {
							pre: "{{subst:Vandalisme|page}} ~~~~"
						}
					}
				},
				'test1': {
					label: 'Test 1',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/8/8e/Button_number_1.png',
					action: {
						type: 'encapsulate',
						options: {
							pre: "{{subst:Test 1}} ~~~~"
						}
					}
				},
				'test2': {
					label: 'Test 2',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/b/bd/Button_number_2.png',
					action: {
						type: 'encapsulate',
						options: {
							pre: "{{subst:Test 2}} ~~~~"
						}
					}
				},
				'test3': {
					label: 'Test 3',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/8/80/Button_number_3.png',
					action: {
						type: 'encapsulate',
						options: {
							pre: "{{subst:Test 3}} ~~~~"
						}
					}
				},
				'onlywarn': {
					label: 'Seul avertissement',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/0/00/Button_vandale.png',
					action: {
						type: 'encapsulate',
						options: {
							pre: "{{subst:Seul avertissement}} ~~~~"
						}
					}
				},
				'spam': {
					label: 'Spam',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/f/fb/Button_spam2.png',
					action: {
						type: 'encapsulate',
						options: {
							pre: "{{subst:Bienvenue spammeur}} ~~~~"
						}
					}
				},
				'copyvio': {
					label: 'Copyvio',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/d/d3/Button_copyvio_discuss.png',
					action: {
						type: 'encapsulate',
						options: {
							pre: "{{subst:Copieur|1=Page|2=URL}} ~~~~"
						}
					}
				},
				'blocked': {
					label: 'Vandale bloqué',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/3/3b/Button_crocs.png',
					action: {
						type: 'encapsulate',
						options: {
							pre: "{{subst:Vandale bloqué|Durée|Unité}} ~~~~"
						}
					}
				}
			}
		} );
	} );
}

//</nowiki>