/* infobulles et touches d’accès */
var ta = new Object();
ta['pt-userpage'] = new Array('.','Ma page utilisateur');
ta['pt-anonuserpage'] = new Array('.','La page utilisateur de l’IP avec laquelle vous contribuez');
ta['pt-mytalk'] = new Array('n','Ma page de discussion');
ta['pt-anontalk'] = new Array('n','Discussion à propos des modifications depuis cette adresse IP');
ta['pt-preferences'] = new Array('','Mes préférences');
ta['pt-watchlist'] = new Array('l','liste des pages dont vous suivez les modifications.');
ta['pt-mycontris'] = new Array('y','Liste de mes contributions');
ta['pt-login'] = new Array('o','Vous êtes invité à vous identifier, mais ce n’est pas obligatoire.');
ta['pt-anonlogin'] = new Array('o','Vous êtes invité à vous identifier, mais ce n’est pas obligatoire.');
ta['pt-logout'] = new Array('o','Se déconnecter');
ta['ca-talk'] = new Array('t','Discussion à propos de l’article');
ta['ca-edit'] = new Array('e','Vous pouvez modifier cette page. Merci d’utiliser le bouton de prévisualisation avant de sauvegarder.');
ta['ca-addsection'] = new Array('+','Ajouter un commentaire à cette discussion.');
ta['ca-viewsource'] = new Array('e','Cette page est protégée. Vous pouvez voir sa source.');
ta['ca-history'] = new Array('h','Anciennes versions de cette page.');
ta['ca-protect'] = new Array('=','Protéger cette page');
ta['ca-delete'] = new Array('d','Supprimer cette page');
ta['ca-undelete'] = new Array('d','Restaurer les modifications effectuées sur cette page avant sa suppression');
ta['ca-move'] = new Array('m','Renommer cette page');
ta['ca-watch'] = new Array('w','Ajouter cette page à votre liste de suivi');
ta['ca-unwatch'] = new Array('w','Retirer cette page de votre liste de suivi');
ta['search'] = new Array('f','Chercher dans ce wiki');
ta['p-logo'] = new Array('','Page principale');
ta['n-mainpage'] = new Array('z','Visitez la page principale');
ta['n-portal'] = new Array('','À propos de ce projet, ce que vous pouvez faire, où trouver les choses');
ta['n-currentevents'] = new Array('','Trouver des informations sur les évènements actuels');
ta['n-recentchanges'] = new Array('r','Liste des changements récents sur le wiki');
ta['n-randompage'] = new Array('x','Charger une page aléatoire');
ta['n-help'] = new Array('','Aide');
ta['n-sitesupport'] = new Array('','Aidez-nous');
ta['t-whatlinkshere'] = new Array('j','Liste de tous les wikis qui lient vers cette page');
ta['t-recentchangeslinked'] = new Array('k','Changements récents dans les pages qui lient vers cette page');
ta['feed-rss'] = new Array('','Flux RSS pour cette page');
ta['feed-atom'] = new Array('','Flux Atom pour cette page');
ta['t-contributions'] = new Array('','Voir la liste de contributions de cet utilisateur');
ta['t-emailuser'] = new Array('','Envoyer un courriel à cet utilisateur');
ta['t-upload'] = new Array('u','Télécharger une image ou des fichiers');
ta['t-specialpages'] = new Array('q','Liste de toutes les pages spéciales');
ta['ca-nstab-main'] = new Array('c','Voir l’article');
ta['ca-nstab-user'] = new Array('c','Voir la page utilisateur');
ta['ca-nstab-media'] = new Array('c','Voir la page du média');
ta['ca-nstab-special'] = new Array('','Ceci est une page spéciale, vous ne pouvez la modifier.');
ta['ca-nstab-project'] = new Array('a','Voir la page du projet');
ta['ca-nstab-image'] = new Array('c','Voir la page de l’image');
ta['ca-nstab-mediawiki'] = new Array('c','Voir le message système');
ta['ca-nstab-template'] = new Array('c','Voir le modèle');
ta['ca-nstab-help'] = new Array('c','Voir la page d’aide');
ta['ca-nstab-category'] = new Array('c','Voir la page de la catégorie');

/*

Fonctions de gestion

*/

/**
 * Installation d'une nouvelle fonction de cette façon:
 * aOnloadFunctions[aOnloadFunctions.length] = nom_de_la_fonction; // (sans parenthèses)
 */
if (!window.aOnloadFunctions) { 
  var aOnloadFunctions = new Array(); 
}

window.onload = function() 
{
  if (window.aOnloadFunctions) {
    for (var _i=0; _i<aOnloadFunctions.length; _i++) {
      aOnloadFunctions[_i]();
    }
  }
}


/**
 * Ajouter une nouvelle fonction a excuter au chargement de la page.
 */ 
function addLoadEvent(func) 
{
  if (window.addEventListener) 
    window.addEventListener("load", func, false);
  else if (window.attachEvent) 
    window.attachEvent("onload", func);
}

/*

Boites deroulantes


[Dérouler]Titre
Text

*/
 // BEGIN Dynamic Navigation Bars (experimantal)
 
 // set up the words in your language
 var NavigationBarHide = '[Enrouler]';
 var NavigationBarShow = '[Dérouler]';
 
 // set up max count of Navigation Bars on page,
 // if there are more, all will be hidden
 // NavigationBarShowDefault = 0; // all bars will be hidden
 // NavigationBarShowDefault = 1; // on pages with more than 1 bar all bars will be hidden
 var NavigationBarShowDefault = 0;
 
 
 // shows and hides content and picture (if available) of navigation bars
 // Parameters:
 //     indexNavigationBar: the index of navigation bar to be toggled
 function toggleNavigationBar(indexNavigationBar)
 {
    var NavToggle = document.getElementById("NavToggle" + indexNavigationBar);
    var NavFrame = document.getElementById("NavFrame" + indexNavigationBar);
 
    if (!NavFrame || !NavToggle) {
        return;
//        return false;
    }
 
    // if shown now
    if (NavToggle.firstChild.data == NavigationBarHide) {
        for (
                var NavChild = NavFrame.firstChild;
                NavChild != null;
                NavChild = NavChild.nextSibling
            ) {
            if (NavChild.className == 'NavPic') {
                NavChild.style.display = 'none';
            }
            if (NavChild.className == 'NavContent') {
                NavChild.style.display = 'none';
            }
        }
    NavToggle.firstChild.data = NavigationBarShow;
 
    // if hidden now
    } else if (NavToggle.firstChild.data == NavigationBarShow) {
        for (
                var NavChild = NavFrame.firstChild;
                NavChild != null;
                NavChild = NavChild.nextSibling
            ) {
            if (NavChild.className == 'NavPic') {
                NavChild.style.display = 'block';
            }
            if (NavChild.className == 'NavContent') {
                NavChild.style.display = 'block';
            }
        }
    NavToggle.firstChild.data = NavigationBarHide;
    }
 }
 
 // adds show/hide-button to navigation bars
 function createNavigationBarToggleButton()
 {
    var indexNavigationBar = 0;
    // iterate over all < div >-elements
    for(
            var i=0; 
            NavFrame = document.getElementsByTagName("div")[i]; 
            i++
        ) {
        // if found a navigation bar
        if (NavFrame.className == "NavFrame") {
 
            indexNavigationBar++;
            var NavToggle = document.createElement("a");
            NavToggle.className = 'NavToggle';
            NavToggle.setAttribute('id', 'NavToggle' + indexNavigationBar);
            NavToggle.setAttribute('href', 'javascript:toggleNavigationBar(' + indexNavigationBar + ');');
            
            var NavToggleText = document.createTextNode(NavigationBarHide);
            NavToggle.appendChild(NavToggleText);
            // Find the NavHead and attach the toggle link (Must be this complicated because Moz's firstChild handling is borked)
            for(
              var j=0; 
              j < NavFrame.childNodes.length; 
              j++
            ) {
              if (NavFrame.childNodes[j].className == "NavHead") {
//                NavFrame.childNodes[j].appendChild(NavToggle);
                NavFrame.childNodes[j].insertBefore(NavToggle, NavFrame.childNodes[j].firstChild);
              }
            }
            NavFrame.setAttribute('id', 'NavFrame' + indexNavigationBar);
        }
    }
    // if more Navigation Bars found than Default: hide all
    if (NavigationBarShowDefault < indexNavigationBar) {
        for(
                var i=1; 
                i<=indexNavigationBar; 
                i++
        ) {
            toggleNavigationBar(i);
        }
    }
 
 }
 
 addLoadEvent(createNavigationBarToggleButton);
 
 // END Dynamic Navigation Bars

/*

Caractères spéciaux

*/

/**
 * Ajoutez le menu pour choisir des sous-ensembles de caractères spéciaux
 * @note	L'ordre de cette liste doit correspondre a celui de MediaWiki:Edittools !
 */
function addCharSubsetMenu() {
  var specialchars = document.getElementById('specialchars');

  if (specialchars) {
    var menu = '<select style="display:inline" onChange="chooseCharSubset(selectedIndex)">';
    menu += "<option>Rapide</option>";
    menu += "<option>Détaller</option>";
    menu += "<option>Inter wiki</option>";
    menu += "<option>Mathématiques</option>";
    menu += "<option>API</option>";
    menu += "</select>";
    specialchars.innerHTML = menu + specialchars.innerHTML;

    /* default subset - try to use a cookie some day */
    chooseCharSubset(0);
  }
}

/* select subsection of special characters */
function chooseCharSubset(s) {
  var l = document.getElementById('specialchars').getElementsByTagName('p');
  for (var i = 0; i < l.length ; i++) {
    l[i].style.display = i == s ? 'inline' : 'none';
    l[i].style.visibility = i == s ? 'visible' : 'hidden';
  }
}

addLoadEvent(addCharSubsetMenu);

/*


All
Version

*/

var ie5 = ((navigator.appName == "Microsoft Internet Explorer") && (parseInt(navigator.appVersion.substring(navigator.appVersion.indexOf("MSIE")+4)) >= 5 ));
var ns5 = ((navigator.appName == "Netscape") && (parseInt(navigator.appVersion) >= 5 ));
var ver5 = document.getElementById; 

var ns4 = (document.layers) ? true : false;
var ie4 = (document.all && !ie5) ? true : false;
var ver4 = ns4 || ie4; 

var ns = ns4 || ns5;
var ie = ie4 || ie5;

/*

Calque

*/
function getLayer(id, doc)
{
  if (!id) 
  {
    return null;
  }  

  if (!doc) 
  {
    doc = document;
  }  

  if (id.id) return id;

  if (ver5)
  {
    return doc.getElementById(id);
  }
  else if (ie4)
  {
    return doc.all[id];
  }
  else 
  {
   	return doc[id];
  }
}

function getStyle(id)
{
  if (!id)
  {
    return null;
  }

  var layer = id.nodeName ? id : getLayer(id);
  
  if (!layer)
  {
	  return null;
  }
  
  if (layer.style)
  {
    return layer.style;
  }
  else
  {
    return layer;
  }
}

function show(id) 
{
    var style = getStyle(id);
    if (style) {
        style.visibility='visible';
    }
}

function hide(id) 
{
    var style = getStyle(id);
    if (style) {
        style.visibility = 'hidden';
    }
}

/*

String

*/

function remplace(string, oldS, newS) 
{
  string = string == null ? "" : string;
  var esc = "ç@;";
  if (esc.indexOf(oldS) >= 0)
  {
  	esc = "*#%";
	if (esc.indexOf(oldS) >= 0) 
    {
      window.alert("unable to replace: " + oldS);
	  return string;
    }
  }
  
  while(string.indexOf(oldS) >= 0) 
  {
    string = string.replace(oldS, esc);  
  }
  
  while(string.indexOf(esc) >= 0) 
  {
    string = string.replace(esc, newS);  
  }
  return string;
}

/*

Propertes

*/

function p(obj, nom)
{
  win = window.open();
  win.document.write("p(" + obj + ", " + nom + ")<br>n");
  win.document.write(proprietes(obj, nom));
}

function proprietes(obj, nom)
{
	var result = "";
	var i;
	for (i in obj)
	{
	 	if ((obj[i] == obj.innerHTML) || (obj[i] == obj.outerHTML))
		{
		    result += nom + "." + i + " = <xmp>" + obj[i] + "</xmp><br>n";
		}
		else
		{
			result += nom + "." + i + " = " + obj[i] + "<br>n";
		}
	}

	return result;
}

function ap(obj, nom)
{
  win = window.open();
  win.document.write("ap(" + obj + ", " + nom + ")<BR>n");
  win.document.write(nom + "<BR>n");
  allproprietes(obj, "  |   ", 0, win.document);
}

var objectToDeploye = new Array("[object]",                   "[object HTMLDocument]", 
    "[object HTMLBodyElement]", "[object HTMLCollection]",    "[object DOMImplementation]",
	"[object HTMLHtmlElement]", "[object StyleSheetList]",    "[object Window]",
	"[object PluginArray]",     "[object NodeList]",          "[object Text]",
	"[object CSS2Properties]",	"[object HTMLScriptElement]", "[object NamedNodeMap]");

function neadDeploye(obj, parent)
{
  if (obj == parent.top || obj == parent.parent || obj == parent.parentNode || !obj) return false;

  for (var i = 0 ; i < objectToDeploye.length ; i++)
  {
    if (obj == objectToDeploye[i]) return true;	
  }
  return false;
}
	
function allproprietes(obj, nom, n, to)
{
    if (n >= 3) return "";
	var result = "";
	var i;

	for (i in obj)
	{
		if (neadDeploye(obj[i], obj))
		{
		    if (to) to.write("- " + nom + "." + i + " = " + obj[i] + "<BR>n");
			result += "- " + nom + "." + i + "<BR>n" + allproprietes(obj[i], nom + "  |   ", n + 1, to);
		}
		else
		{
			if ((obj[i] == obj.innerHTML) || (obj[i] == obj.outerHTML))
			{
//			   if (to) to.write("- " + nom + "." + i + " = <xmp>" + obj[i] + "</xmp><br>n");
//		       result += "- " + nom + "." + i + " = <xmp>" + obj[i] + "</xmp><br>n";
			}
			else if ((obj[i] == obj.innerText) || (obj[i] == obj.outerText))
			{
//			   if (to) to.write("- " + nom + "." + i + " = <xmp>" + obj[i] + "</xmp><br>n");
//		       result += "- " + nom + "." + i + " = <xmp>" + obj[i] + "</xmp><br>n";
			}
			else
			{
			    if (to) to.write("- " + nom + "." + i + " = " + obj[i] + "<br>n");
			 	result += "- " + nom + "." + i + " = " + obj[i] + "<br>n";
			}
		}
	}
	return result;
}
/*

Menu

*/
function getLeft(l)
{
  if (l.offsetParent) return (l.offsetLeft + getLeft(l.offsetParent));
  else return (l.offsetLeft);
}
function getTop(l)
{
  if (l.offsetParent) return (l.offsetTop + getTop(l.offsetParent));
  else return (l.offsetTop);
}

function myHide(object, e) {
//clientX: Sets or retrieves the x-coordinate of the mouse position relative to the viewport (IE), comparable with pageX in Netscape
//clientY: Sets or retrieves the y-coordinate of the mouse position relative to the viewport (IE), comparable with pageY in Netscape
	hide(object);
}

function myShow(object, ref) {
  hideAll();

  var os = getStyle(object);
  var rl = getLayer(ref);
  if (os) {
    os.left = (getLeft(rl) - 5) + 'px';
    show(object);
  }
}
/*

Cookies

 */

function getCookieVal(offset)
{
	var endstr=document.cookie.indexOf (";", offset);
	if (endstr==-1) endstr=document.cookie.length;
	return unescape(document.cookie.substring(offset, endstr));
}
function LireCookie(nom)
{
	var arg=nom+"=";
	var alen=arg.length;
	var clen=document.cookie.length;
	var i=0;
	while (i<clen)
	{
		var j=i+alen;
		if (document.cookie.substring(i, j)==arg) return getCookieVal(j);
		i=document.cookie.indexOf(" ",i)+1;
		if (i==0) break;
	}
	return null;
}
function EcrireCookie(nom, valeur)
{
	var argv=EcrireCookie.arguments;
	var argc=EcrireCookie.arguments.length;
	var expires=(argc > 2) ? argv[2] : null;
	var path=(argc > 3) ? argv[3] : '/';
	var domain=(argc > 4) ? argv[4] : null;
	var secure=(argc > 5) ? argv[5] : false;
	document.cookie=nom+"="+escape(valeur)+
	((expires==null) ? "" : ("; expires="+expires.toGMTString()))+
	((path==null) ? "" : ("; path="+path))+
	((domain==null) ? "" : ("; domain="+domain))+
	((secure==true) ? "; secure" : "");
}

/* 

Navigateur
Browser	Firefox 1.5
OS	Linux
Screen size	1440x900
Color depth	16 bits
Client time	22:12:29
Flash	enable
Directory	desable
QT	desable
Teal	desable
PDF	desable
wma	desable
Java	enable
userAgent	Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.9) Gecko/20070126 Ubuntu/dapper-security Firefox/1.5.0.9
cookieEnabled	true
onLine	true

*/

function navigateur() {

Nav = document.getElementById("navigateur");
Navform = document.getElementById("navigateurform");

if (!Nav && !Navform) {
return false;
}
function plugMoz(pmv_pl) {
	if (pmv_tm.indexOf(pmv_pl) != -1 && (navigator.mimeTypes[pmv_pl].enabledPlugin != null))
		return '1';
	return '0';
}
function plugIE( pmv_plug ){
	pmv_find = false;
	document.write('<SCR' + 'IPT LANGUAGE=VBScript> on error resume next pmv_find = IsObject(CreateObject("' + pmv_plug + '"))</SCR' + 'IPT>n');
	if (pmv_find) return '1';
	return '0';
}
var pmv_jav='0'; if(navigator.javaEnabled()) pmv_jav='1';
var pmv_agent = navigator.userAgent.toLowerCase();
	var pmv_moz = (navigator.appName.indexOf("Netscape") != -1);
	var pmv_ie= (pmv_agent.indexOf("msie") != -1);
	var pmv_win = ((pmv_agent.indexOf("win")!=-1) || (pmv_agent.indexOf("32bit")!=-1));
	
	if (!pmv_win || pmv_moz){
		pmv_tm = '';
		for (var i=0; i < navigator.mimeTypes.length; i++) 
			pmv_tm += navigator.mimeTypes[i].type.toLowerCase();
		var pmv_dir = plugMoz("application/x-director");
		var pmv_fla = plugMoz("application/x-shockwave-flash");
		var pmv_pdf = plugMoz("application/pdf");
		var pmv_qt = plugMoz("video/quicktime");
		var pmv_rea = plugMoz("audio/x-pn-realaudio-plugin");
		var pmv_wma = plugMoz("application/x-mplayer2");
	} else if (pmv_win && pmv_ie){
		var pmv_dir = plugIE("SWCtl.SWCtl.1");
		var pmv_fla = plugIE("ShockwaveFlash.ShockwaveFlash.1");
		var pmv_pdf = '0'; 
		if (plugIE("PDF.PdfCtrl.1") == '1' || plugIE('PDF.PdfCtrl.5') == '1' || plugIE('PDF.PdfCtrl.6') == '1') 
			pmv_pdf = '1';
		var pmv_qt = plugIE("QuickTimeCheckObject.QuickTimeCheck.1");
		var pmv_rea = plugIE("rmocx.RealPlayer G2 Control.1");
		var pmv_wma = plugIE("MediaPlayer.MediaPlayer.1");
	}

try { rtu = top.pmv_do.referrer; } catch(e) { rtu = pmv_do.referrer }


var BrowserDetect = {
	init: function () {
		this.browser = this.searchString(this.dataBrowser) || "An unknown browser";
		this.version = this.searchVersion(navigator.userAgent)
			|| this.searchVersion(navigator.appVersion)
			|| "an unknown version";
		this.OS = this.searchString(this.dataOS) || "an unknown OS";
	},
	searchString: function (data) {
		for (var i=0;i<data.length;i++)	{
			var dataString = data[i].string;
			var dataProp = data[i].prop;
			this.versionSearchString = data[i].versionSearch || data[i].identity;
			if (dataString) {
				if (dataString.indexOf(data[i].subString) != -1)
					return data[i].identity;
			}
			else if (dataProp)
				return data[i].identity;
		}
	},
	searchVersion: function (dataString) {
		var index = dataString.indexOf(this.versionSearchString);
		if (index == -1) return;
		return parseFloat(dataString.substring(index+this.versionSearchString.length+1));
	},
	dataBrowser: [
		{ 	string: navigator.userAgent,
			subString: "OmniWeb",
			versionSearch: "OmniWeb/",
			identity: "OmniWeb"
		},
		{
			string: navigator.vendor,
			subString: "Apple",
			identity: "Safari"
		},
		{
			prop: window.opera,
			identity: "Opera"
		},
		{
			string: navigator.vendor,
			subString: "iCab",
			identity: "iCab"
		},
		{
			string: navigator.vendor,
			subString: "KDE",
			identity: "Konqueror"
		},
		{
			string: navigator.userAgent,
			subString: "Firefox",
			identity: "Firefox"
		},
		{
			string: navigator.vendor,
			subString: "Camino",
			identity: "Camino"
		},
		{		// for newer Netscapes (6+)
			string: navigator.userAgent,
			subString: "Netscape",
			identity: "Netscape"
		},
		{
			string: navigator.userAgent,
			subString: "MSIE",
			identity: "Explorer",
			versionSearch: "MSIE"
		},
		{
			string: navigator.userAgent,
			subString: "Gecko",
			identity: "Mozilla",
			versionSearch: "rv"
		},
		{ 		// for older Netscapes (4-)
			string: navigator.userAgent,
			subString: "Mozilla",
			identity: "Netscape",
			versionSearch: "Mozilla"
		}
	],
	dataOS : [
		{
			string: navigator.platform,
			subString: "Win",
			identity: "Windows"
		},
		{
			string: navigator.platform,
			subString: "Mac",
			identity: "Mac"
		},
		{
			string: navigator.platform,
			subString: "Linux",
			identity: "Linux"
		}
	]

};
BrowserDetect.init();

var inner = '';
inner+="<tr><th>Browser</th><td>" + BrowserDetect.browser + " " + BrowserDetect.version + "</td></tr>";
inner+="<tr><th>OS</th><td>" + BrowserDetect.OS + "</td></tr>";
inner+="<tr><th>Screen size</th><td>" + screen.width + "x" + screen.height + "</td></tr>";
inner+="<tr><th>Color depth</th><td>" + screen.colorDepth + " bits</td></tr>";
inner+="<tr><th>Client time</th><td>" + pmv_da.getHours() + ":" + pmv_da.getMinutes() + ":" + pmv_da.getSeconds() + "</td></tr>";
inner+="<tr><th>Flash</th><td>" + (pmv_fla=='1'?"enable":"desable") + "</td></tr>";
inner+="<tr><th>Directory</th><td>" + (pmv_dir=='1'?"enable":"desable") + "</td></tr>";
inner+="<tr><th>QT</th><td>" + (pmv_qt=='1'?"enable":"desable") + "</td></tr>";
inner+="<tr><th>Teal</th><td>" + (pmv_rea=='1'?"enable":"desable") + "</td></tr>";
inner+="<tr><th>PDF</th><td>" + (pmv_pdf=='1'?"enable":"desable") + "</td></tr>";
inner+="<tr><th>wma</th><td>" + (pmv_wma=='1'?"enable":"desable") + "</td></tr>";
inner+="<tr><th>Java</th><td>" + (pmv_jav=='1'?"enable":"desable") + "</td></tr>";

inner+="<tr><th>userAgent</th><td>" + navigator.userAgent + "</td></tr>";
inner+="<!--tr><th>vendor</th><td>" + navigator.vendor + "</td></tr>";
inner+="<tr><th>platform</th><td>" + navigator.platform + "</td></tr>";
inner+="<tr><th>appCodeName</th><td>" + navigator.appCodeName + "</td></tr>";
inner+="<tr><th>appName</th><td>" + navigator.appName + "</td></tr>";
inner+="<tr><th>appVersion</th><td>" + navigator.appVersion + "</td></tr>";
inner+="<tr><th>language</th><td>" + navigator.language + "</td></tr>";
inner+="<tr><th>oscpu</th><td>" + navigator.oscpu + "</td></tr>";
inner+="<tr><th>vendorSub</th><td>" + navigator.vendorSub + "</td></tr>";
inner+="<tr><th>product</th><td>" + navigator.product + "</td></tr>";
inner+="<tr><th>productSub</th><td>" + navigator.productSub + "</td></tr>";
inner+="<tr><th>securityPolicy</th><td>" + navigator.securityPolicy + "</td></tr-->";
inner+="<tr><th>cookieEnabled</th><td>" + navigator.cookieEnabled + "</td></tr>";
inner+="<tr><th>onLine</th><td>" + navigator.onLine + "</td></tr>";

if (Nav) {
Nav.innerHTML = inner;
}
if (Navform) {
Navform.setAttribute('value', '<br clear="all" style="line-height:0;" />' +
  '<div class="NavFrame">' +
  '<div class="NavHead"></div>' +
  '<div class="NavContent"><table>' + inner + '</table></div>' +
  '<div class="NavEnd" style="line-height:0;"> </div>' +
  '</div>');
}

return true;
}


addLoadEvent(navigateur);

/*

*/