 // <pre><nowiki> 

/*
 * localise_footer()
 *
 * But :         logos francisés de wikimédia et mediawiki en pied de page.
 * Utilisation : ajouter addLoadEvent(localise_footer) à la fin du monobook.js 
 * Auteur :      Régis Lachaume
 * Licence :     domaine public
 *
 */

function localise_footer() {

   var wikimedia_fr = 'http://upload.wikimedia.org/wikipedia/fr/b/b7/Wikimedia-button1-sfrancois.png';
   var poweredby_fr = 'http://upload.wikimedia.org/wikipedia/fr/3/38/Poweredby_mediawiki_88x31-sfrancois.png';

   var logo = document.getElementById('f-poweredbyico');
   if(logo) {
     var img = logo.getElementsByTagName('img');
     if (img.length > 0) {
       img[0].setAttribute('src', poweredby_fr);
     }
   }

   logo = document.getElementById('f-copyrightico');
   if(logo) {
     var img = logo.getElementsByTagName('img');
     if (img.length > 0) {
       img[0].setAttribute('src', wikimedia_fr);
     }
   }

}


addLoadEvent(localise_footer);

 // </pre></nowiki>