/**************************************************************************/


/* XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX */
/*             BOUTONS D'EDITION             */
/* XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX */

/* Fonctions d'ajout */
function addCustomButton(imageFile, speedTip, tagOpen, tagClose, sampleText, imageId) {
  mwCustomEditButtons[mwCustomEditButtons.length] =
    {"imageId": imageId,
     "imageFile": imageFile,
     "speedTip": speedTip,
     "tagOpen": tagOpen,
     "tagClose": tagClose,
     "sampleText": sampleText};
}
 
/***********************************************/
/*  reprise d'une partie des boutons de BASE   */
/***********************************************/

addCustomButton('http://fr.wikipedia.org/skins-1.5/common/images/button_sig.png',
                'Signature',
                '\~\~\~\~',
                '',
                '',
                'mw-editbutton-signature2');

addCustomButton('http://fr.wikipedia.org/skins-1.5/common/images/button_nowiki.png',
                'Nowiki',
                '<nowiki>',
                '</nowiki>',
                '',
                'mw-editbutton-nowiki2');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/0/04/Button_array.png',
                'Tableau',
                '{|\n|-\n|\n|\n|}',
                '',
                '',
                'mw-editbutton-array');
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/c/c9/Button_strike.png',
                'Rayer2',
                '<s>',
                '</s>',
                '',
                'mw-editbutton-strike2');

 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/9/9e/Btn_toolbar_gallery.png',
                'Galerie d\'images',
                '\n<gallery>\nImage:Exemple.jpg|[[Tournesol]]\nImage:Exemple1.jpg|[[La Joconde]]\nImage:Exemple2.jpg|Un [[hamster]]\n</gallery>',
                '',
                '',
                'mw-editbutton-gallery2');
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/3/37/Btn_toolbar_commentaire.png',
                'Commentaire',
                '<!--',
                '-->',
                '',
                'mw-editbutton-comment2');
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/4/47/Button_redir.png',
                'Redirection',
                '#REDIRECT [[',
                ']]',
                'nom de la destination',
                'mw-editbutton-redir2');
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/b/b4/Button_category03.png',
                'Catégorie',
                '[[Catégorie:',
                ']]',
                'nom de la catégorie',
                'mw-editbutton-category2');
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/c/c4/Button_ref.png',
                'Référence',
                '<ref>',
                '</ref>',
                'référence, citation ou lien',
                'mw-editbutton-ref2');
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/6/64/Buttonrefvs8.png',
                'Index des références',
                '== Notes et références ==\n{{Références}}',
                '',
                '',
                'mw-editbutton-references2');
 
var voirAussi = '== Notes et références ==\n'
 + '{{Références}}\n'
 + '== Voir aussi ==\n'
 + '=== Articles connexes ===\n'
 + '* [[À remplacer]]\n'
 + '*\n'
 + '=== Liens externes ===\n'
 + '*\n';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/b/bb/Seealso.png',
                'Section Voir aussi',
                voirAussi,
                '',
                '',
                'mw-editbutton-voiraussi2');
 


/***********/
/*  PERSO  */
/***********/
addCustomButton('',
                '-  Critères  ',
                '[[Wikipédia:Critères d\'admissibilité des articles]]',
                '',
                '',
                'mw-editbutton-critère');
 
addCustomButton('',
                '-  Aider  ',
                '[[Aide:Sommaire]]',
                '',
                '',
                'mw-editbutton-Aide');
 
addCustomButton('',
                '-  Style  ',
                '[[Wikipédia:Style encyclopédique]]',
                '',
                '',
                'mw-editbutton-style');
 
addCustomButton('',
                '-  Login  ',
                '[[Special:Userlogin|Créer un compte ou se connecter]]',
                '',
                '',
                'mw-editbutton-login');

addCustomButton('',
                '-  Signer  ',
                'Vous pouvez signer vos messages en tapant 4 tilde : <nowiki>~~~~</nowiki> ou en cliquant sur le bouton [[Image:button_sig.png]] qui se trouve dans la barre au dessus de votre fenêtre d\'édition. Il vous est également possible de la personnaliser dans vos préférences de votre compte utilisateur ([[Aide:Signature]]). Elle est utile pour signer - dater vos messages, et proposer à vos interlocuteurs un lien vers votre page de discussion.',
                '',
                '',
                'mw-editbutton-aidesigner');



addCustomButton('',
                '-  Liens ext  ',
                '[[Wikipédia:Liens externes]]',
                '',
                '',
                'mw-editbutton-liens');
 
addCustomButton('',
                '-  {{admissibilité}}  ',
                '{{admissibilité}}',
                '',
                '',
                'mw-editbutton-admissibilité');
 
addCustomButton('',
                '-  {{À vérifier}}  ',
                '{{À vérifier}}',
                '',
                '',
                'mw-editbutton-vérifier');
 
addCustomButton('',
                '-  {{Pour Wiktionary}}  ',
                '{{Pour Wiktionary}}',
                '',
                '',
                'mw-editbutton-Wiktionnaire');



var lienweb = '{{Lien web\n'
 + '|url=\n'
 + '|titre=\n'
 + '|auteur=\n'
 + '|lien auteur=\n'
 + '|site=\n'
 + '|en ligne le=\n'
 + '|consulté le=\n'
 + '}}';

addCustomButton('',
                '-  {{Lien web}}  ',
                lienweb,
                '',
                '',
                'mw-editbutton-lienweb2');

addCustomButton('',
                '-  BOITE  ',
                '{{Boîte déroulante début|titre=Discussion}}',
                '{{Boîte déroulante fin}}',
                '',
                'mw-editbutton-boite2');

addCustomButton('',
                '-  SPACE  ',
                '<br style="clear:both;">',
                '',
                '',
                'mw-editbutton-SPACE2');

addCustomButton('',
                '-  Traduction  ',
                '*{{Traduction/Référence|en|TITRE|NUMERO}}',
                '',
                '',
                'mw-editbutton-trad');

addCustomButton('',
                '-  Poisson  ',
                '\{\{Modèle:Projet:Poisson de Polynésie\}\}',
                '',
                '',
                'mw-editbutton-Poisson');