//<source lang="javascript" line>
/*
*************************************************
** Configuration des scripts
*************************************************
*/
//Options pour xpatrol
xpatrolEnableClear = true; // Active la fonctionnalité de blanchiment de page
xpatrolEnableBanner = true; // Active la fonctionnalité d'ajout de bandeau
xpatrolWatchMain = true;   // Ajoute les articles blanchis dans la liste de suivi
xpatrolEnablePurge = false; // Ajoute la fonctionnalité de demande de purge d'historique automatique sur la page dédiée lors d'une violation des droits d'auteur
xpatrolWatchOthers = false; // Ajoute toutes les pages blanchies dans la liste de suivi
xpatrolCopyvioWarningTemplate = 'Copieurlight'; //Remplace le modèle {{Copieur}}, par {{Copieurlight}} moins agressif

//Options pour NewMessage
NewMessage_PagesASurveiller = new Array(); 
//Pages à surveiller de la forme: NewMessage_PagesASurveiller.push('Page à surveiller');
NewMessage_PagesASurveiller.push('Discussion Projet:Animation et bande dessinée asiatiques');
NewMessage_PagesASurveiller.push('Wikipédia:Le Bistro/' + getStrDateToday("j m a"));
NewMessage_PagesASurveiller.push('Discussion utilisateur:Linedwell/Formulaire');

//Options pour ResumeDeluxe
//Titres des résumés
resumedeluxeTitles.push('- révocation');
resumedeluxeTitles.push('- blocage');
resumedeluxeTitles.push('- requête traitée');
//Textes des résumés
resumedeluxeInputs.push('Avis de révocation + avertissement');
resumedeluxeInputs.push('Avis de blocage');
resumedeluxeInputs.push('requête traitée');

/*
*************************************************
** Import des scripts
*************************************************
*/

importScript('Utilisateur:Argos42/PaStec.js'); //Aide au traitement des PàS
importScript('Utilisateur:Linedwell/toolbar.js'); //Personnalisation de la barre d'édition
importScript('Utilisateur:Arkanosis/iKiwi.js'); //Récupération semi-automatique des interWikis depuis un autre wiki
importScript('Utilisateur:Arkanosis/xpatrol.js'); //Ajoute certains outils utiles aux patrouilles (blanchiment, bandeaux, DPH, etc…)
importScript('Utilisateur:Darkoneko/addStopInWatchlist.js') //Ajoute un "stop" sur Special:Watchlist pour enlever facilement des pages de son suivi

obtenir('NewMessage'); //Permet d'avoir un bandeau "Nouveau Message" pour d'autres pages en plus de sa propre PdD - auteur: Utilisateur:Dr_Brains
obtenir('RenommageCategorie'); //Ajoute un onglet "renommer" en haut d'une page de catégorie - auteur: Utilisateur:Dr_Brains
obtenir('getStrDateToday'); //Fonction permettant de récupérer la date du jour à un format voulu - auteur: Utilisateur:Sanao

/*
*************************************************
** Fonctions diverses
*************************************************
*/

/* Fonction d'évaluation d'articles */
var alwaysEval = false; //mettez cette valeur à ''true'' si vous voulez que l'évaluation soit lancée automatiquement (à éviter en temps normal)
function initEvalProjectNames()
{
	evalProjectNames=new Array(); //liste de vos projets
	evalProjectNames.push("ABDA") 
	evalProjectNames.push("Jeu vidéo")
}

/* Fonction pour ajouter des liens dans le menu de gauche */
function addLinksInLeftBar() {
	//ajouter des liens en bas de la boite "navigation"
	addPortletLink('p-navigation', '/wiki/Wikipédia:Le_Bistro/' + getStrDateToday("j_m_a"), 'Bistro du jour', 'n-bistro');
	addPortletLink('p-navigation', '/wiki/Wikipédia:Bulletin_des_administrateurs', 'Bulletin des admins', 'n-bulletin');

	//ajouter des liens en bas de la boite "contribuer"
	addPortletLink('p-Contribuer', '/wiki/Utilisateur:Linedwell/Liste_de_suivi', 'Liste de suivi (2)', 'n-suivi');
}
addOnloadHook(addLinksInLeftBar);


//</source>