/**
 * Bandeaupiniâtre
 *
 * Partant du constat que la zone contenant les onglets est dangereusement peu occupée, bandeaupiniâtre sert à la remplir avec des jolis boutons pour ajouter des bandeaux. Compatible avec la dernière version de Wikipédia (Vector) et la vieille (Monobook).
 *
 * Auteurs : Marin M.
 * Date de dernière révision : 29 janvier 2011
 */

var $ = jQuery;

function bandeauter(nom, template, sup, menu) {
	var span = $('<a></a>').html(nom);
	var li = $('<li></li>').append($('<span></span>').attr('title', template).append(span));
	if(!sup) {
		sup = function() { return '' };
	}

	span.click(function() {
		span.html('Chargement...');
		$.ajax({url: '/w/api.php', type: 'POST', data: 'action=query&prop=info&intoken=edit&format=json&titles=World_of_Goo', success: function(ni) {
			for(i in ni.query.pages) {
				var token = ni.query.pages[i].edittoken.replace('+\\', '%2B%5C');
				var raison = sup();
				$.ajax({url: '/w/api.php', type: 'POST', data: 'action=edit&section=0&prependtext={{' + template + raison + '}}\n\n&summary=Ajout de {{' + template + '}}&token=' + token + '&minor=true&title=' + wgPageName, success: function() {
					if(nom == 'SI') {
						$.ajax({url: '/w/api.php', type: 'POST', data: 'action=edit&section=new&text=' + raison + '&summary=[[' + wgPageName + ']]&token=' + token + '&minor=true&title=Wikipédia:Demande_de_suppression_immédiate', success: function() {
							window.location.reload();
						}})
					} else if(nom == 'Copyvio') {
						$.ajax({url: '/w/index.php?action=raw&title=Wikipédia:Pages_soupçonnées_de_violation_de_copyright', type: 'GET', success: function(content) {
							var content = content.replace(/\+/g, '%2B').replace(/&/g, '%26').replace(/=/g, '%3D').replace('\n<!---------------------------------------------------------------------->\n<!--------------- N', '* [[:' + wgPageName + ']] ([[Discussion:' + wgPageName + '/Droit d\'auteur|\'\'\'sous-page\'\'\']])\n\n<!---------------------------------------------------------------------->\n<!--------------- N');
							$.ajax({url: '/w/api.php', type: 'POST', data: 'action=edit&text=' + content + '&summary=Ajout de [[' + wgPageName.replace(/_/g, ' ') + ']]&token=' + token + '&minor=true&title=Wikipédia:Pages_soupçonnées_de_violation_de_copyright', success: function() {
								window.location.reload();
							}})
						}})
					} else {
						window.location.reload();
					}
				}})
			}
		}})
	});
	if(!menu || skin != 'vector') {
		$('#p-cactions ul').append(li);
		$('#p-namespaces ul').append(li);
	} else {
		$('.menuBandeaupiniatre ul').append(li);
	}
}

function PU(nom, template, sup, menu) {
	var span = $('<a></a>').html(nom);
	var li = $('<li></li>').append($('<span></span>').attr('title', template).append(span));
	if(!sup) {
		sup = function() { return '' };
	}

	span.click(function() {
		span.html('Chargement...');
		$.ajax({url: '/w/api.php', type: 'POST', data: 'action=query&prop=info&intoken=edit&format=json&titles=World_of_Goo', success: function(ni) {
			for(i in ni.query.pages) {
				var token = ni.query.pages[i].edittoken.replace('+\\', '%2B%5C');
				var raison = sup();
				$.ajax({url: '/w/api.php', type: 'POST', data: 'action=edit&appendtext=\n\n{{' + template + raison + '}}&summary=Ajout de {{' + template + '}}&token=' + token + '&minor=true&title=' + wgPageName, success: function() {
					window.location.reload();
				}})
			}
		}})
	});
	if(!menu || skin != 'vector') {
		$('#p-cactions ul').append(li);
		$('#p-namespaces ul').append(li);
	} else {
		$('.menuBandeaupiniatre ul').append(li);
	}
}

function ajoutOnglets() {
	if(wgNamespaceNumber == 0 && $('#ca-edit').text() == 'Modifier' || wgPageName == 'Wikipédia:Bac_à_sable') {
		$('#left-navigation').append($('<div></div>').addClass('vectorMenu').addClass('menuBandeaupiniatre').append($('<div></div>').addClass('menu').append($('<ul></ul>'))));
		$('.menuBandeaupiniatre').prepend($('<h5></h5>'));
		$('.menuBandeaupiniatre h5').append($('<a></a>').attr('href', '#'));
		
		bandeauter('Ébau', 'Ébauche', function() {
			return '|' + prompt('Thèmes séparés par des virgules ou des barres verticales (attention aux majuscules) :').replace(' , ', '|').replace(', ', '|').replace(',', '|')
		});
		bandeauter('Admi', 'Admissibilité à vérifier|date=' + getStrDateToday('m a'));
		bandeauter('Wikif', 'À wikifier|date=' + getStrDateToday('m a'));
		bandeauter('Pub', 'Promotionnel');
		bandeauter('SI', 'Suppression Immédiate', function() {
			return '|' + prompt('Raison ?').replace(/\+/g, '%2B').replace(/&/g, '%26').replace(/=/g, '%3D')
		});
		bandeauter('Src', 'À sourcer|date=' + getStrDateToday('m a'));
		bandeauter('Travail inédit', 'Travail inédit', false, true);
		bandeauter('Désaccord', 'Désaccord de neutralité', function() {
			return '|' + prompt('1 à 3 thèmes séparés par des virgules ou des barres verticales, parmi « Art et culture », « Biographie », « Droit », « Économie », « Histoire », « Informatique », «  Philosophie », « Politique et société », « Religions et croyances », « Science », « Sport » et « Autres » :').replace(' , ', '|').replace(', ', '|').replace(',', '|')
		}, true);
		bandeauter('Suppression', 'Suppression', function() {
			return '|' + prompt('Rentrez un de ces termes : « art visuel », « association », « auteur de jeu », « éditeur de jeu », « enseignement », « fanzine », « fiction », « jeu de société », « musique », « nombre », « politique », « porno », « route », « société », « sportif », « travaux inédits » et « web ».').replace(' , ', '|').replace(', ', '|').replace(',', '|')
		}, true);
		bandeauter('Copyvio', 'Copie à vérifier', function() {
			return '|' + prompt('Adresse du site copié, ou autre chose ?').replace(/\+/g, '%2B').replace(/&/g, '%26').replace(/=/g, '%3D');
		}, true);
		bandeauter('Homonymie', 'Voir homonymes', function() {
			var decortique = wgPageName.split('_(')[0].replace(/_/g, ' ');
			var tobereturned;
			$.ajax({url: '/w/api.php', type: 'POST', data: 'action=query&prop=info&titles=' + decortique + '_(homonymie)&format=json', async: false, success: function(ni) {
				for(i in ni.query.pages) {
					if(ni.query.pages[i].missing == undefined) {
						tobereturned = '|' + decortique + ' (homonymie)';
					} else {
						tobereturned = '|' + decortique;
					}
				}
			}});
			return tobereturned;
		}, true);
		bandeauter('Rédac', 'Rédaction');
		bandeauter('Orthographe', 'Orthographe', false, true);
		
	} else if(wgNamespaceNumber == 3 || wgPageName == 'Discussion_Wikipédia:Bac_à_sable') {
		$('#left-navigation').append($('<div></div>').addClass('vectorMenu').addClass('menuBandeaupiniatre').append($('<div></div>').addClass('menu').append($('<ul></ul>'))));
		$('.menuBandeaupiniatre').prepend($('<h5></h5>'));
		$('.menuBandeaupiniatre h5').append($('<a></a>').attr('href', '#'));
		
		$('#ca-history span').html('Historique');
		$('#ca-addsection span').html('+');
		$('#ca-nstab-user span').html('Utilisateur');
		
		PU('Test :)', 'Test :)');
		PU('0', 'Test 0');
		PU('1', 'Test 1');
		PU('2', 'Test 2');
		PU('3', 'Test 3');
		PU('4', 'Test 4');
		PU('SI 1', 'Bienvenue SI');
		PU('2', 'Bienvenue SI 2');
		PU('3', 'Bienvenue SI 3');
		PU('4', 'Bienvenue SI 4');
		PU('Canu', 'Canular');
		PU('Copy', 'Copieur');
		PU('Soi', 'Page sur soi');
		PU('Fautes', 'Fautes');
		if($("#anontalkpagetext").length != 0) { // IP
			PU('Récompense', 'Récompense IP', function() {
				return '|' + prompt('Nom de l\image (sans préfixe) :').replace(/\+/g, '%2B').replace(/&/g, '%26').replace(/=/g, '%3D') + '|' + prompt('Message signé :').replace(/\+/g, '%2B').replace(/&/g, '%26').replace(/=/g, '%3D')
			}, true);
			bandeauter('Merci', 'Merci IP', false, true);
			bandeauter('Bravo', 'Bravo IP', false, true);
		} else {
			PU('Récompense', 'Récompense', function() {
				return '|' + prompt('Nom de l\image (sans préfixe) :').replace(/\+/g, '%2B').replace(/&/g, '%26').replace(/=/g, '%3D') + '|' + prompt('Message signé :').replace(/\+/g, '%2B').replace(/&/g, '%26').replace(/=/g, '%3D')
			}, true);
		}
		bandeauter('Bug Skype', 'Bug Skype', false, true);
	}
}

addOnloadHook(ajoutOnglets);