/*
 * Résumé Deluxe
 *
 * Ajoute des commentaires de modification prédéfinis
 *
 * Auteur : Dake
 * Contributions : Pabix, Tieno
 * Date de dernière révision : 12 novembre 2006
 * {{Catégorisation JS}}
 */

function setSummary(str)
{
        document.editform.wpSummary.value = str;
}
 
function addToSummary(str)
{
        var resum = document.editform.wpSummary.value;
        if(resum != 0 && resum.indexOf("*/") < resum.length - 3) {
                document.editform.wpSummary.value += ", ";
        }
        document.editform.wpSummary.value += str;
}
 
var alwaysEval = false; //mettez cette valeur à ''true'' si vous voulez que l'évaluation soit lancée automatiquement (à éviter en temps normal)
function initEvalProjectNames()
{
        evalProjectNames=new Array(); //liste de vos projets
        evalProjectNames.push("Chimie") 
        evalProjectNames.push("Physique") //mettre ici autant de lignes comme celle-ci que de projets que vous voulez évaluer
}

function DeluxeBar() {
  if (document.createTextNode) {
        var toolbar = document.getElementById("toolbar"); 
        if (!toolbar) return;
 
        var messages = new Array()
        var images = new Array()
        var commentaires = new Array()
        var a=-1; //Le décompte commence à -1 avec une incrementation sur le premier message, pour éviter tout probleme en cas d'inversion ou suppression du premier message

        messages[++a] = "\<" + "ref name =" + '\\"' + "GESTIS" + '\\"' + "\>" + "{{" + "GESTIS|ZVG= |CAS= |Nom= |Date= " + "}}" + "\<" + "/ref" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/d/d0/Button_GESTIS.png";
        commentaires[a] = "référence GESTIS";
                         
        messages[++a] = "\<" + "ref name =" + '\\"' + "GESTIS" + '\\"' + "/" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/e/e3/Button_GESTIS_short.png";
        commentaires[a] = "référence GESTIS";

        messages[++a] = "\<" + "ref name =" + '\\"' + "NIST" + '\\"' + "\>" + "{{" + "NIST|| " + "}}" + ", consulté le " +"\<" + "/ref" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/4/43/Button_NIST.png";
        commentaires[a] = "référence NIST";
                         
        messages[++a] = "\<" + "ref name =" + '\\"' + "NIST" + '\\"' + "/" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/6/61/Button_NIST_short.png";
        commentaires[a] = "référence NIST";

        messages[++a] = "\<" + "ref name =" + '\\"' + "ESIS" + '\\"' + "\>" + "{{" + "ESIS|| " + "}}" + ", consulté le " +"\<" + "/ref" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/9/95/Button_ESIS.png";
        commentaires[a] = "référence ESIS";

        messages[++a] = "\<" + "ref name =" + '\\"' + "Reptox" + '\\"' + "\>" + "{{" + "Reptox|no_produit= |Nom= |Date=" + "}}" + "\<" + "/ref" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/b/b0/Button_Reptox.png";
        commentaires[a] = "référence Reptox";

        messages[++a] = "\<" + "ref name =" + '\\"' + "ChemID" + '\\"' + "\>" + "{{" + "ChemID|| " + "}}" + ", consulté le " +"\<" + "/ref" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/8/84/Button_ChemID.png";
        commentaires[a] = "référence ChemID";
                         
        messages[++a] = "\<" + "ref name =" + '\\"' + "ChemID" + '\\"' + "/" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/a/a8/Button_ChemID_short.png";
        commentaires[a] = "référence ChemID";

        messages[++a] = "\<" + "ref" + "\>" + "[http://ucbchemicalinventory.colorado.edu/firstpage.htm UCB] Université du Colorado" +"\<" + "/ref" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/f/f3/Button_UCB.png";
        commentaires[a] = "référence UCB";

        messages[++a] = "{{" + "Unité/2||e=|| " + "}}";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/f/ff/Button_Unite2.png";
        commentaires[a] = "modèle Unité/2";
 
        for (var i=0;i<messages.length;i++) {
                var img = document.createElement("img");
                img.setAttribute("src", images[i]);
 
                var ref = document.createElement("a");
                ref.setAttribute("href", "javascript:insertTags('', \"" + messages[i] + "\", '');" + 
                                 "javascript:changeSummary(\"" + commentaires[i] + "\");" ); 
                ref.appendChild(img); 
 
                toolbar.appendChild(ref);

        }
  }
}

function changeSummary(sampleText) {
        document.editform.wpSummary.value = sampleText;
}
 
addOnloadHook(DeluxeBar);

function keyboardShortcuts() {

  var isCtrl = false;

  document.onkeyup=function(e) { //l'user relâche la touche ctrl. La variable passe a False
    if(e.which == 17) isCtrl=false;
  }

  document.onkeydown=function(e){
    if(e.which == 17) { //l'user appuie sur la touche ctrl. La variable passe a True
      isCtrl=true;
      return;
    }

    //gestion des ctrl+lettre que l'on veux ajouter.
    if( isCtrl == true ) {
       switch (e.which) { //quelle touche a été enfoncée ?
  	  case 66: //b
	    insertTags("'''", "'''", 'gras');
            return false
	    break;
	  case 73: //i
	    insertTags("''", "''", 'italique');
            return false
	    break;
          case 76: // l
	    insertTags('[[', ']]', 'lien interne');
            return false
	    break;
          case 77: // m
	    insertTags('{{', '}}', 'modèle');
            return false
	    break;
	  case 85: //u
	    insertTags('<u>', '</u>', 'souligné');
            return false
	    break
       }
     }
  }
  return true
}