// http://fr.wikipedia.org/wiki/Projet:JavaScript/Fonctions_globales_de_mediaWiki
// http://fr.wikipedia.org/wiki/Projet:JavaScript/Aide_Ajax
// https://developer.mozilla.org/fr/Guide_JavaScript_1.5
// https://developer.mozilla.org/fr/Référence_de_JavaScript_1.5_Core
// http://www.w3.org/TR/XMLHttpRequest/
// http://fr.wikipedia.org/w/api.php?titles=Test&action=query&prop=revisions&rvprop=&rvlimit=50&format=jsonfm
function AddRandLinks(nb,limit)
{
  for (var i=0; i<nb; i++) {
    var Page = RandPageWithHist(limit);

    if ( Page.Histlength > 50 ) { Page.Histlength = '>50' }
    MessageContent = '<a href="' + wgArticlePath.split('$1').join(Page.Name) + '"> ' + Page.Name + '</a> (' + Page.Histlength + ')\n';
    var Content = document.getElementById('bodyContent');
    var Div = document.createElement('div');
    //Div.className = "usermessage";
    //Div.id = "usermessage";
    Div.innerHTML = MessageContent;
    Content.parentNode.insertBefore(Div, Content);
  }
}
function RandPageWithHist (limit) {
  var req = sajax_init_object();
  var addr = 'http://fr.wikipedia.org/w/api.php?generator=random&action=query&prop=revisions&rvprop=&rvlimit=51&format=json&grnnamespace=0'
  var debug = "";
  do 
  {
    req.open("GET", addr, false);
    req.send(null);
    var respStr = req.responseText;
    if (typeof (JSON) != 'undefined')
      var resp = JSON.parse(respStr);
    else
      var resp = eval('(' + respStr + ')');

    var Result = new Object;

    for(var prop in resp.query.pages) {
      Result.Name = resp.query.pages[prop].title;
      Result.Histlength = resp.query.pages[prop].revisions.length;
    }
    debug += "NAME : " + Result.Name + " (" + Result.Histlength + ")</p>";
  } while ( Result.Histlength < limit );
  //debugMsg (debug);
  return Result;
}
function debugMsg (MessageContent)
{
  var Content = document.getElementById('bodyContent');
  var Div = document.createElement('div');
  Div.className = "usermessage";
  Div.id = "usermessage";
  Div.innerHTML = MessageContent;
  Content.parentNode.insertBefore(Div, Content);
}
function AddRandGenLink ()
{
  addPortletLink('p-navigation', wgArticlePath.split('$1').join('Utilisateur:MickaëlG/Random'), 'Des articles au hasard', 'n-rand');
}
addOnloadHook(AddRandGenLink);

if(wgPageName == 'Utilisateur:MickaëlG/Random'){
  addOnloadHook(AddRandLinks(15,0));
}