function buildTOC() {
	var myTOC = createTOC();
	populateTOC(myTOC);
	styleTOC(myTOC);
	toggleTOCBODY();
}

function styleTOC(myTOC) {
	myTOC.style.position = "fixed";
	myTOC.style.top = "40px";
	myTOC.style.right="46px";
	myTOC.style.width="450px";
	
	myTOC.style.backgroundColor = "white";
	myTOC.style.opacity = 0.9;
	myTOC.style.color="#9A3613";
	myTOC.style.fontFamily="Arial, serif";
	myTOC.style.padding="4px";
	myTOC.style.fontSize="10px";
	myTOC.style.zIndex = 10;
	
	var mySTYLE = document.createElement("style");
	mySTYLE.type="text/css";
	var newStyle1 = document.createTextNode('#wikiTOC ul {list-type: none; line-height:10px!important}');
	var newStyle2 = document.createTextNode('#wikiTOC ul li a {color: #90FF4B;}');
	mySTYLE.appendChild(newStyle1);
	mySTYLE.appendChild(newStyle2);
	
	var pageHEAD = document.getElementsByTagName("head")[0];
	pageHEAD.appendChild(mySTYLE);
}

function populateTOC() {

	var tocBODY = document.getElementById("wikiTOCBODY");
	
	var tocTable = document.getElementById("toc");
	var tocUL = tocTable.getElementsByTagName("td")[0].getElementsByTagName("ul")[0];
	var mytocBODY = "<ul>"+tocUL.innerHTML+"</ul>";
	tocBODY.innerHTML = mytocBODY;
	tocTable.innerHTML = "";
}

function createTOC() {
	var myTOC = document.createElement("div");
	myTOC.id = "wikiTOC";
	
	var myHEAD = document.createElement("div");
	myHEAD.id = "wikiTOCHEAD";
	var myHEADING = document.createElement("p");
	myHEADING.innerHTML = "TABLE OF CONTENT";
	myHEADING.style.border="1px solid #9A3613";
	myHEADING.style.padding="2px";
	var myICON = document.createElement("p");
	myICON.id="tocICON";
	//myICON.innerHTML = "<a href=\"#\">;</a>";
	myICON.innerHTML = "-";
	myICON.style.cssFloat="right";
	myICON.style.marginTop="-58px";
	myICON.style.fontWeight="bold";
	myICON.style.padding="2px";
	myHEAD.appendChild(myHEADING);
	myHEAD.appendChild(myICON);
	myHEAD.addEventListener("mouseover",toggleTOCBODY,false);
	//myHEAD.addEventListener("click",toggleTOCBODY,false);
	//myTOC.addEventListener("mouseout",toggleTOCBODY,false);	
	
	var myBODY = document.createElement("div");
	myBODY.id = "wikiTOCBODY";
	myBODY.style.border="4px solid #9A3613";
	myBODY.style.height="444px";
	myBODY.style.overflow="auto"
	
	myTOC.appendChild(myHEAD);
	myTOC.appendChild(myBODY);
	var wikiBody = document.getElementsByTagName("body")[0].appendChild(myTOC);
	return myTOC;
}

function toggleTOCBODY(){
	var tocBODY = document.getElementById("wikiTOCBODY");
	var tocICON = document.getElementById("tocICON");
	if (tocBODY.style.display=="none"){
		tocBODY.style.display="block";
		tocICON.innerHTML="-";
	}
	else {
		tocBODY.style.display="none";
		tocICON.innerHTML="+";
	}
}
window.addEventListener("load",buildTOC,false);