// {{Catégorisation JS}} 

/////////////////////////////////////// RECUPERATION DE LA LISTE DES BOTS ET SYSOPS ///////////////////////////////////////


// '/api.php?action=query&list=allusers&aulimit=1&auprop=groups&aufrom=' + UserName

function GetUsersInGroup_UpdateUserList(Group, CookieName, UserList, UserContinue){
      if((!Group)||(!CookieName)) return;
      if(!UserList) UserList = new Array();
      if(!UserContinue) UserContinue = '';
      var APILimit = 499;
      if((wgUserName=="sysop")||(wgUserName=="bot")) APILimit = 4999;
      var url = wgServer + wgScriptPath 
             + '/api.php?format=xml&action=query&list=allusers'
             + '&aulimit='+APILimit
             + '&augroup='+Group
             + UserContinue;
      var NouvelleRequete = sajax_init_object();      
      NouvelleRequete.open("GET", url, true);
      NouvelleRequete.send(null);
      NouvelleRequete.onreadystatechange = function() {
            if(NouvelleRequete.readyState == 4 && NouvelleRequete.status == 200) {
                  var ObjetXML = NouvelleRequete.responseXML; 
                  var Users = ObjetXML.getElementsByTagName('u');
                  for(a=0;a<Users.length;a++){
                        var UserName = Users[a].getAttribute('name');
                        if(UserName) UserList.push(UserName);
                  } 
                  var UserContinue = ObjetXML.getElementsByTagName('query-continue')[0];          
                  if(UserContinue){
                        var AutreRequeteContinue = '&aufrom=' + UserContinue.getElementsByTagName('allusers')[0].getAttribute('aufrom');
                        GetUsersInGroup_UpdateUserList(Group, CookieName, UserList, AutreRequeteContinue);
                  }else{
                        var cookieValue = UserList.join(';');
                        var now = new Date();
                        var CookieDelay = new Date(now.getTime() + 1000 * 60 * 60 * 24 * 7 );
                        document.cookie = escape(CookieName) + '=' + escape(cookieValue) + '; EXPIRES=' + CookieDelay.toGMTString()  + "; PATH=/" ; 
                        window.location.reload();
                  }
            }
      }
}

function GetUsersInGroup_GetUserList(Group, cookieName){
      var cookieValue = false;
      var posName = document.cookie.indexOf(escape(cookieName) + '=' );
      if (posName != -1) {
            var posValue = posName + (escape(cookieName) + '=' ).length;
            var endPos = document.cookie.indexOf(';', posValue) ;
            if (endPos != -1) {
                  cookieValue = unescape(document.cookie.substring(posValue, endPos));
            } else {
                  cookieValue = unescape(document.cookie.substring(posValue));
            }
      }
      if(cookieValue){
            return decodeURIComponent(cookieValue);
      }else{ 
            return false;
      }
}

if(typeof(wgBotMembers)=="undefined"){
      wgBotMembers = GetUsersInGroup_GetUserList('bot', 'User-Group-bot');
      if(!wgBotMembers){
            GetUsersInGroup_UpdateUserList('bot', 'User-Group-bot');
      }else{
            wgBotMembers = wgBotMembers.split(';');
      }
}

if(typeof(wgSysopMembers)=="undefined"){
      wgSysopMembers = GetUsersInGroup_GetUserList('sysop', 'User-Group-sysop');
      if(!wgSysopMembers){ 
            GetUsersInGroup_UpdateUserList('sysop', 'User-Group-sysop');
      }else{
            wgSysopMembers = wgSysopMembers.split(';');
      }
}

/////////////////////////////////////// LANCEMENTS ///////////////////////////////////////

if((wgBotMembers)&&(wgSysopMembers)){     
      importStylesheet('Utilisateur:Od1n/HistoryDeluxe.css');

      if(wgAction=="history"){ 
            addOnloadHook(HistoryDeluxe_History);

      // en attendant de faire meilleur système pour que les liens déjà visités soient plus visibles
      // (bleu clair sur fond bleu vs bleu foncé sur fond bleu, difficile de les distinguer)
      } else if((wgCanonicalSpecialPageName=="Watchlist")&&((document.URL.indexOf("edit")==-1)||(document.URL.indexOf("raw")==-1))){
            // addOnloadHook(HistoryDeluxe_Watchlist);

      } else if(wgCanonicalSpecialPageName=="Recentchanges"){
            addOnloadHook(HistoryDeluxe_Recentchanges);
      } else if(wgCanonicalSpecialPageName=="Recentchangeslinked"){
            addOnloadHook(HistoryDeluxe_Recentchangeslinked);
      } else if(wgCanonicalSpecialPageName=="Newpages"){
            addOnloadHook(HistoryDeluxe_Newpages);
      } else if(wgCanonicalSpecialPageName=="Log"){
            addOnloadHook(HistoryDeluxe_Log);
      } else if(wgCanonicalSpecialPageName=="AbuseLog"){
            addOnloadHook(HistoryDeluxe_AbuseLog);
      } else {
            addOnloadHook(HistoryDeluxe_OtherPages);
      }
}

/////////////////////////////////////// FONCTIONS GENERALES ///////////////////////////////////////

function HistoryDeluxe_History(){
      var HistoryPage = document.getElementById('pagehistory');
      if(!HistoryPage) return;
      var Lis = HistoryPage.getElementsByTagName('li');
      for(var a=0;a<Lis.length;a++){
            addClass(Lis[a], HistoryDeluxe_UserGroupClassName(Lis[a]));
      }
}

function HistoryDeluxe_Watchlist(){
      var Uls = document.getElementsByTagName('ul');
      for(var a=0;a<Uls.length;a++){
            if(hasClass(Uls[a], "special")){
                  var Lis = Uls[a].getElementsByTagName('li');
                  for(var b=0;b<Lis.length;b++){
                        addClass(Lis[b],HistoryDeluxe_UserGroupClassName(Lis[b]));
                  }
            }
      }
}

function HistoryDeluxe_Recentchanges(){
      var Uls = document.getElementsByTagName('ul');
      for(var a=0;a<Uls.length;a++){
            if(hasClass(Uls[a], "special")){
                  var Lis = Uls[a].getElementsByTagName('li');
                  for(var b=0;b<Lis.length;b++){
                        addClass(Lis[b],HistoryDeluxe_UserGroupClassName(Lis[b]));
                  }
            }
      }
}

function HistoryDeluxe_Recentchangeslinked(){
      var Uls = document.getElementsByTagName('ul');
      for(var a=0;a<Uls.length;a++){
            if(hasClass(Uls[a], "special")){
                  var Lis = Uls[a].getElementsByTagName('li');
                  for(var b=0;b<Lis.length;b++){
                        addClass(Lis[b],HistoryDeluxe_UserGroupClassName(Lis[b]));
                  }
            }
      }
}

function HistoryDeluxe_Newpages(){
      var Content = document.getElementById('bodyContent');
      if(!Content) Content=document.getElementById('mw_contentholder');
      if(!Content) Content=document.getElementById('article');

      var List = Content.getElementsByTagName('ul')[0];
      if(!List) return;
      var Lis = List.getElementsByTagName('li');
      for(var b=0;b<Lis.length;b++){
            if(HistoryDeluxe_UserGroupClassName(Lis[b]))
            addClass(Lis[b],HistoryDeluxe_UserGroupClassName(Lis[b]));
      }
}

function HistoryDeluxe_Log(){
      var Content = document.getElementById('bodyContent');
      if(!Content) Content=document.getElementById('mw_contentholder');
      if(!Content) Content=document.getElementById('article');

      var List = Content.getElementsByTagName('ul')[0];
      if(!List) return;
      var Lis = List.getElementsByTagName('li');
      for(var b=0;b<Lis.length;b++){
            if(HistoryDeluxe_UserGroupClassName(Lis[b]))
            addClass(Lis[b],HistoryDeluxe_UserGroupClassName(Lis[b]));
      }
}

function HistoryDeluxe_AbuseLog(){
      var Content = document.getElementById('bodyContent');
      if(!Content) Content=document.getElementById('mw_contentholder');
      if(!Content) Content=document.getElementById('article');

      var List = Content.getElementsByTagName('ul')[0];
      if(!List) return;
      var Lis = List.getElementsByTagName('li');
      for(var b=0;b<Lis.length;b++){
            if(HistoryDeluxe_UserGroupClassName(Lis[b]))
            addClass(Lis[b],HistoryDeluxe_UserGroupClassName(Lis[b]));
      }
}

function HistoryDeluxe_OtherPages(){
      var Uls = document.getElementsByTagName('ul');
      for(var a=0;a<Uls.length;a++){
            if(hasClass(Uls[a], "special")){
                  var Lis = Uls[a].getElementsByTagName('li');
                  for(var b=0;b<Lis.length;b++){
                        addClass(Lis[b],HistoryDeluxe_UserGroupClassName(Lis[b]));
                  }
            }
      }
}

/////////////////////////////////////// FONCTIONS SUBALTERNES ///////////////////////////////////////

function HistoryDeluxe_UserGroupClassName(Li){            
      var LiClass = "UserIs-User";
      var UserName = HistoryDeluxe_GetUserName(Li);
      if(wgBotMembers.indexOf(UserName)!=-1) LiClass = "UserIs-Bot";
      if(wgSysopMembers.indexOf(UserName)!=-1) LiClass = "UserIs-Sysop";
      if(HistoryDeluxe_IsIP(UserName))  LiClass = "UserIs-IP";
      return LiClass;
}

function HistoryDeluxe_GetUserName(Li){
      var AllLinks = Li.getElementsByTagName('a');
      for(var a=0;a<AllLinks.length;a++){
            if(hasClass(AllLinks[a], "mw-userlink")){
                  return AllLinks[a].innerHTML;
            }
      }
      return false;
}

function HistoryDeluxe_IsIP(UserName){
      var ip = /\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}/; 
      if (ip.exec(UserName)) {
            return true;
      }
      return false;
}