// Installe wikEd pour l'édition des pages (pour tous)
// Traduction de [[Utilisateur:Leag|Leag]] : [[Utilisateur:Leag/wikEd|wikEd]]

// installe la traduction française pour [[Utilisateur:Leag/wikEd|wikEd]]
document.write('<script type="text/javascript" src="'
+ 'http://en.wikipedia.org/w/index.php?title=User:Leag/wikEd-fr.js'
+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');

// install [[:en:User:Cacycle/diff]] text diff code
document.write('<script type="text/javascript" src="'
+ 'http://en.wikipedia.org/w/index.php?title=User:Cacycle/diff.js'
+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');

// install [[:en:User:Pilaf/Live_Preview]] page preview tool
document.write('<script type="text/javascript" src="'
+ 'http://en.wikipedia.org/w/index.php?title=User:Pilaf/livepreview.js'
+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');

// install [[:en:User:Cacycle/wikEd]] editing page extension
document.write('<script type="text/javascript" src="'
+ 'http://en.wikipedia.org/w/index.php?title=User:Cacycle/wikEd.js'
+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');


/**
* '''Dernière contribution'''
*
* Indique au chargement de la page si la page a été édité depuis moins de xx temps
* (sert à éviter les conflits de modification éventuels)
*
* Auteur : Seb35
* Date de la dernière révision : 18 mai 2007
* {{Catégorisation JS}}
*/
 
////////////////////// ZONE PERSONNALISABLE //////////////////////
 
// Les temps sont en secondes
var lastContribNiveau1 = 100;   // Niveau d'alerte très fort
var lastContribNiveau2 = 8*60;  // Niveau d'alerte fort
var lastContribNiveau3 = 40*60; // Niveau d'alerte moyen
 
///////////////// FIN DE LA ZONE PERSONNALISABLE /////////////////
 
function lastContrib()
{
var tit = document.getElementById('contentSub');
if(!tit) return;
 
var texte = document.getElementById('lastmod');                      // Monobook et affiliés, Modern
if(!texte) texte = document.getElementById('footer-info-lastmod');   // Vector
if(!texte) return;
 
texte = texte.innerHTML.toString();
var resultat = texte.match(/page le ([0-9]{1,2}) ([a-zéû]*) ([0-9]{4}) à (([0-9]{2}):([0-9]{2}))/);
if(resultat==null) return;
 
function moisFromMot(mot){
var d = new Array('janvier', 'février', 'mars', 'avril', 'mai', 'juin', 'juillet', 'août', 'septembre', 'octobre', 'novembre', 'décembre');
for(var i=0; i<12; i++)
if(mot == d[i]) return i;
}
var last = new Date(Number(resultat[3]), Number(moisFromMot(resultat[2])), Number(resultat[1]), Number(resultat[5]), Number(resultat[6]));
var now = new Date();
var diff = Math.round((now - last)/1000);
if(diff <= lastContribNiveau3)
{
if(diff < -600) { tit.innerHTML = 'Erreur probable dans la concordance des horloges : heure serveur = ' + last + ' >> heure client = ' + now + ' - ' + tit.innerHTML; return; }
if(diff < 0) diff = 0;
var diffHeures = Math.floor(diff/3600);
var diffMinutes = Math.floor((diff - diffHeures * 3600)/60);
var diffSecondes = diff - diffHeures * 3600 - diffMinutes * 60;
tit.innerHTML = '<span style="font-size:8pt;">' + resultat[4] + ' (<a href="http://fr.wikipedia.org/wiki/' + wgPageName + '?action=history"><span style="' + (diff <= lastContribNiveau2 ? 'color:red;' : 'color:black;') + (diff <= lastContribNiveau1 ? ' text-decoration:underline overline;">' : '">') + (diffHeures > 0 ? diffHeures + 'h' : '') + (diffMinutes > 0 ? diffMinutes + 'm' : '') + diffSecondes + 's</span></a>)</span> ' + tit.innerHTML;
}
}
addOnloadHook(lastContrib);


//Organise les liens interwiki selon un certain ordre
//Auteur : Sanao, d'après une idée de Lilyu
 
//Tri les interwiki selon un ordre défini par la variable globale order_lang
//Valeur de retour : Aucune
function sortInterWiki()
{
var lang = document.getElementById("p-lang");
if(lang)
{
var ul_lang = lang.getElementsByTagName("ul");
if(ul_lang.length > 0)
{
ul_lang = ul_lang.item(0);
 
var cur_li_lang = null;
var new_ul_lang = document.createElement("ul");
var ordre_langues = getVarValue("order_lang", new Array("ru")); //Ordre des interwiki
for(var cpt = 0; cpt < ordre_langues.length; cpt++)
{
cur_li_lang = getElementsByClassName(ul_lang, "li", "interwiki-" + ordre_langues[cpt]);
if(cur_li_lang.length > 0)
{
cur_li_lang = cur_li_lang[0];
new_ul_lang.appendChild(cur_li_lang.cloneNode(true));
ul_lang.removeChild(cur_li_lang);
}
}
 
ul_lang.innerHTML = (new_ul_lang.innerHTML + ul_lang.innerHTML);
}
}
}
addOnloadHook(sortInterWiki);

/**
* Sous-pages
*
* Place un bouton "afficher les sous-pages" dans la boîte à outils
*
* Auteur : Delhovlyn
* Date de la dernière révision : 8 juillet 2008
* {{Catégorisation JS}}
*/
addOnloadHook(function () {
var NSWithoutSubpages = new Array(-1, 0, 6, 8, 14, 104, 105);
if (document.getElementById('p-tb') && NSWithoutSubpages.indexOf(wgNamespaceNumber) == -1)
{
var lienSouspages = '/wiki/Special:Index/' + wgPageName + '/';
addPortletLink('p-tb', lienSouspages, 'Sous-pages', 't-subpages', 'Sous-pages de cette page');
}
});