/*
 
  #Author Argos42 (base), Orlodrim (page deletion+"pages liées")
  Some code from LiveRC was used in this version 
 
 
 
  <source lang="javascript"> */
 
//désactivation
var desact=false;
//annonce (faux-nez par exemple)
var annonce="";
 
importScript("Utilisateur:Orlodrim/PaStec-pagesliees.js");
 
if (wgNamespaceNumber%2!=0 && wgTitle.match(/\/Suppression$/)!=null){//PàS
  var ps_actions = {
    DELETE: 1,
    KEEP: 2
  };
  var ps_states = {
    BEGINNING: 0,
    SUBPAGE_HEADER: 1,
    TALKPAGE_TEMPLATE: 2,
    AFD_LIST: 3,
    DELETION: 4,
    DELETION_REQUEST: 5,
    TALK_DELETION: 6,
    CLEAR_ARTICLE: 7,
    END: 8
  };
 
  //compteur global:
  var ps_action = null;
  var ps_state = ps_states.BEGINNING;
  var ps_raison = null;
 
  //mise en place des boutons
  addOnloadHook(function () {
      var header = document.getElementById('talkpageheader');
      if (!header) {
        var contentSub = document.getElementById('contentSub');
        var header = document.createElement('div');
        header.id = 'talkpageheader';
        contentSub.parentNode.insertBefore(header, contentSub.nextSibling);
      }
      if(desact) header.innerHTML+="<h3>PaStec</h3>Script désactivé pour cause de bug).";
      else header.innerHTML+="<h3>PaStec</h3><span style='color : red'>"+annonce+"</span><br>Raison :<br><textarea style='width: 30em' rows=3 id=raison_cloture></textarea><br><input type=button value=SUPPRIMER style='background: red' onclick='delete_pas()'><input type=button value=CONSERVER style='background: green' onclick='keep_pas()'>";
    });
 
  // escape regexp :
  function regescape(text){
    return text.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&");        
                        }
 
      //Fonctions de manipulation de pages
 
      var wpajax = {
    http: function(bundle) {
        // mandatory: bundle.url
        // optional:  bundle.async
        // optional:  bundle.method
        // optional:  bundle.headers
        // optional:  bundle.data
        // optional:  bundle.onSuccess (xmlhttprequest, bundle)
        // optional:  bundle.onFailure (xmlhttprequest, bundle)
        // optional:  bundle.otherStuff OK too, passed to onSuccess and onFailure
        // optional:  bundle.retry //Argos42
        var xmlhttp;
        try {
          xmlhttp = new XMLHttpRequest(); 
        } catch(e) { 
          try {
            xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
          } catch (e) { 
            try {
              xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
            } catch (e) {
              xmlhttp = false;
            }
          }
        }
 
        if (xmlhttp) {
          xmlhttp.onreadystatechange = function() {
            if (xmlhttp.readyState == 4)
              wpajax.httpComplete(xmlhttp,bundle);
          };
          xmlhttp.open(bundle.method ? bundle.method : "GET",bundle.url,bundle.async == false ? false : true);
          if (bundle.headers) {
            for (var field in bundle.headers)
              try {
                xmlhttp.setRequestHeader(field,bundle.headers[field]);
              } catch(err) {
              //Argos42 : pour rendre LiveRC fonctionnel sur chrome
            }
          }
          xmlhttp.send(bundle.data ? bundle.data : null); 
        }
        return xmlhttp;
      },
  
    httpComplete: function(xmlhttp,bundle) {
        if (xmlhttp.status == 200 || xmlhttp.status == 302) {
          if (bundle.onSuccess)
            bundle.onSuccess(xmlhttp,bundle);
        } else if (bundle.onFailure) {
          if(bundle.retry){//je sais jamais comment marche JS
            bundle.retry--;
            wpajax.http(bundle);
            document.title = "§"+document.title;
          }else{
            bundle.onFailure(xmlhttp,bundle);
          }
        } else {
          // A activer en debug mode ?
          //  alert(xmlhttp.status+xmlhttp.responseText);
        }
      }
    };
 
    function doEditPage(xmlreq, data) {
      //data.page     //page to edit
      //data.comment  //modification comment
      //data.pattern  //search pattern 
      //   for pattern
      //      "*" replaces the page content with data.replace
      //      "<" adds data.replace to the beginning of the page
      //      ">" adds data.replace to the end of the page
      //data.replace  //replacing string
      try{
 
        var page = xmlreq.responseXML.getElementsByTagName('page')[0];
        var token = page.getAttribute('edittoken');
        var lrev = page.getElementsByTagName('rev');
        var oldtext = "", basetimestamp = "";
        if (lrev.length > 0) {
          oldtext = lrev[0].textContent;
          basetimestamp = '&basetimestamp=' + encodeURIComponent(lrev[0].getAttribute('timestamp'));
        }
 
        if (data.pattern == "*")       var newtext = data.replace;
        else if (data.pattern == ">")  var newtext = oldtext + data.replace;
        else if (data.pattern == "<")  var newtext = data.replace + oldtext;
        else {
          var newtext= oldtext.replace(data.pattern, data.replace);
          if (oldtext == newtext){
            alert('replace failed in : ' +data.page);
            return; //replace failed
          }
        }
        
        //document.getElementById('talkpageheader').innerHTML+="<br>"+token+"<br>";
        
        
        var requestEditData = 'title=' + encodeURIComponent(data.page) +
          '&text=' + encodeURIComponent(newtext) +
          '&token=' + encodeURIComponent(token) +
          '&summary=' + encodeURIComponent(data.comment) +
          '&starttimestamp=' + encodeURIComponent(page.getAttribute('starttimestamp')) +
          '&watchlist=nochange' + basetimestamp;
        var headers = new Array();
        headers['Content-Type'] = 'application/x-www-form-urlencoded';
        wpajax.http({retry:3,url: wgServer + wgScriptPath + '/api.php?format=xml&action=edit',
              method: "POST", headers: headers, data: requestEditData,
              onFailure: failure_alert, onSuccess:confirm_executed});
 
      }catch(error){
        alert(error+" : "+data.page );
      }
    }
 
    function editPage(page, pattern, replace, comment) {
 
      var request = wgServer + wgScriptPath + '/api.php?format=xml&action=query' +
        '&prop=revisions|info&intoken=edit&rvprop=timestamp|content&titles=' + encodeURIComponent(page);
      wpajax.http({retry:3,url: request, onSuccess: doEditPage, onFailure: failure_alert,
            page : page, comment: comment, pattern: pattern, replace: replace});
    }
 
 
 
 
    function failure_alert(xmlreq,data){
      alert('failure on url: '+data.page);
    }
    // Suppression
 
    function deletePage(title, reason) {
      var request = wgServer + wgScriptPath + '/api.php?format=xml&action=query' +
        '&prop=info&intoken=edit&titles=' + encodeURIComponent(title);
      wpajax.http({retry:3,url: request, onSuccess: deletePageStep2, onFailure: failure_alert,
            title: title, reason: reason});
    }
 
    function deletePageStep2(xmlreq, data) {
      var page = xmlreq.responseXML.getElementsByTagName('page')[0];
      var token = page.getAttribute('edittoken');
      var request = wgServer + wgScriptPath + '/api.php?format=xml&action=delete'
        var requestData = 'title=' + encodeURIComponent(data.title) +
        '&token=' + encodeURIComponent(token) +
        '&reason=' + encodeURIComponent(data.reason)
        var headers = new Array();
      headers['Content-Type'] = 'application/x-www-form-urlencoded';
      wpajax.http({retry:3,url: request, onSuccess:confirm_executed, onFailure: failure_alert,
            method: "POST", headers: headers, data: requestData});
    }
 
 
    function confirm_executed(xmlreq,data){
      //check that the API did not returned errors : 
 
      var error = xmlreq.responseXML.getElementsByTagName('error')[0];
      if (error && ps_state != ps_states.TALK_DELETION) {
                if(data.retry){
                        data.retry--;
                        wpajax.http(data);
                        document.title = "§"+document.title;
                }else{
                alert("Erreur API : "+error.getAttribute('info'));
                }
      }else {
        next_step();
      }
    }
 
 
 
    //
 
    function getPageName(){
      return ((wgNamespaceNumber-1)==0 ? "" : wgFormattedNamespaces[(wgNamespaceNumber-1)]+":" )+ wgTitle.replace(/\/Suppression$/, ""); 
    }
    function getDiscussionPageName(){
      return wgPageName.replace(/\/Suppression$/, "");
    }
 
    //fonctions PaStec
 
    function bandeau_pas(type){
      var raison=ps_raison;
      var bandeau="{{"+type+"|"+ps_raison+"|2=~~~~}}";
      editPage(wgPageName,"=== Discussions ===",bandeau+"\n\n=== Discussions ===",'[[User:Argos42/PaStec|PaStec]] : '+getPageName()+' '+type+' (ajout bandeau clôture)) ([['+wgPageName+'|Voir]]' );
    }
 
    function demander_SI(){
      editPage("Wikipédia:Demande_de_suppression_immédiate",">", "\n== [[:"+getPageName()+"]] == \nSuppression suite à décision PàS [["+wgPageName+"]] ~~~~ ",'[[User:Argos42/PaStec|PaStec]] : '+getPageName()+' suppression (demande de SI)) ([['+wgPageName+'|Voir]]' );
    }
 
    function commenter_pas( type){
      //new RegExp("(.*"+"ÉCU Festival Européen du Film Indépendant"+"(.*))\n((.*)((\n.*?)*)Requ.tes trait.es}}(.*\n))"), "$3$1 :
      editPage("Wikipédia:Pages_à_supprimer",new RegExp("(.*"+regescape(getPageName())+"(.*))\n((.*)((\n.*?)*)Requ.tes trait.es}}(.*\n))"), "$3$1 : "+type+"  ~~~~\n" ,'[[User:Argos42/PaStec|PaStec]] : '+getPageName()+" "+type+" (archivage)) ([["+wgPageName+"|Voir]]" );
    }
 
    function page_conservee(){
      editPage(getDiscussionPageName(),"<", "{{page conservée}}\n",'[[User:Argos42/PaStec|PaStec]] : '+getPageName()+' conservation (ajout bandeau "page conservée")) ([['+wgPageName+'|Voir]]' );
    }
 
    function conserver(){
      editPage(getPageName(),new RegExp("{{([Ss]uppression|[Àà] +supprimer).*}}"), "",'[[User:Argos42/PaStec|PaStec]] : '+getPageName()+' conservation (retrait bandeau suppression)) ([['+wgPageName+'|Voir]]' );
    }
 
    ////////////////////
    //fonctions principales
    function next_step() {
      document.title = "*"+document.title;
      if (ps_action == ps_actions.DELETE) {
          if (ps_state == ps_states.BEGINNING) {
              // Sur la sous-page de la PàS : placer le modèle {{Article supprimé}} ;
              ps_state = ps_states.SUBPAGE_HEADER;
              bandeau_pas("Article supprimé");
          } else if (ps_state == ps_states.SUBPAGE_HEADER) {
              // Sur cette page : déplacer le lien dans la boîte déroulante des propositions traitées. Cette section est indiquée en utilisant le modèle {{PàS traitées}} ;
              ps_state = ps_states.AFD_LIST;
              commenter_pas("suppression");
          } else if (ps_state == ps_states.AFD_LIST) {
              // Supprimer la page. (faire une demande de SI si pas admin)
              if (wgUserGroups.indexOf("sysop")!=-1) {
                  //if sysop : supprimer
                  ps_state = ps_states.DELETION;
                  var reason = "[[" + wgPageName + "|Décision PàS]]";
                  deletePage(getPageName(), reason);
              } else {
                  // Sinon, demande sur [[Wikipédia:Suppression immédiate]]
                  ps_state = ps_states.DELETION_REQUEST;
                  demander_SI();
              }
          } else if (ps_state == ps_states.DELETION) {
              // Suppression de la page de discussion
              ps_state = ps_states.TALK_DELETION;
              deletePage(getDiscussionPageName(), "Page de discussion orpheline");
          } else if (ps_state == ps_states.TALK_DELETION || ps_state == ps_states.DELETION_REQUEST) {
              // « Déwikifiez » les termes qui renvoient vers l'article supprimé (liens bleus qui deviennent rouges) à l'aide des pages liées.
              ps_state = ps_states.END;
              rblCreateList();
          }
      } else {
          if (ps_state == ps_states.BEGINNING) {
              // Sur l'article : ôter de l'article le bandeau {{Suppression}} //et admissibilité
              ps_state = ps_states.CLEAR_ARTICLE;
              conserver();
          } else if (ps_state == ps_states.CLEAR_ARTICLE) {
              // Sur la page de discussion de l'article : insérer le modèle {{Page conservée}}. Lorsque le nom de la sous-page de PàS ne correspond pas exactement au titre de l'article, utiliser le modèle {{page conservée|vote=nom de la sous-page de PàS}}. Hormis ces cas particuliers, l'accès à la sous-page de PàS se fera par le lien « voir le débat de suppression » apparaissant automatiquement en haut de l'onglet historique ;
              ps_state = ps_states.TALKPAGE_TEMPLATE;
              page_conservee();
          } else if (ps_state == ps_states.TALKPAGE_TEMPLATE) {
              //   * Sur la sous-page de la PàS : placer le modèle {{Article conservé}} ;
              ps_state = ps_states.SUBPAGE_HEADER;
              bandeau_pas("Article conservé");
          } else if (ps_state == ps_states.SUBPAGE_HEADER) {
              //   * Sur cette page : déplacer le lien dans la boîte déroulante des propositions traitées. Cette section est indiquée en utilisant le modèle {{PàS traitées}}.
              ps_state = ps_states.AFD_LIST;
              commenter_pas("conservation");
          } else if (ps_state == ps_states.AFD_LIST) {
              ps_state = ps_states.END;
          }
      }
      if (ps_state == ps_states.END) {
          document.getElementById('status').innerHTML="<h3>Traitement de la PaS terminé</h3>" ;
          document.title = "DONE"+document.title;
      }
    }

    function delete_pas(){
      ps_raison = document.getElementById('raison_cloture').value;
      if (ps_raison == "") ps_raison = "{{HC}}";
      document.getElementById('talkpageheader').innerHTML="<h3>Page Supprimée</h3><div id=status><span style='color:red'>Traitement en cours, veuillez patienter.</span><br>Si ce message persiste, une erreur a du survenir.</div><br /><div id=rblFrame></div>";

      ps_action = ps_actions.DELETE;
      ps_state = ps_states.BEGINNING;
      next_step();
    }
 
    function keep_pas(){
      ps_raison = document.getElementById('raison_cloture').value;
      if (ps_raison == "") ps_raison = "admissible";
      document.getElementById('talkpageheader').innerHTML="<h3>Page Conservée</h3><div id=status><span style='color:red'>Traitement en cours, veuillez patienter.</span><br>Si ce message persiste, une erreur a du survenir.</div><br /><div id=rblFrame></div>";

      ps_action = ps_actions.KEEP;
      ps_state = ps_states.BEGINNING;
      next_step();
    }
 
 
 
 
  }
 
 
 
  /* </source> */