/**
 * Redirect vers wikibooks etc.
 *
 */
var redirectedFromArticleDatas = new Array(
   new Array('Utilisateur:Phe/Redirect_vers_Wikibooks', 'wikibooks'),
   new Array('Utilisateur:Phe/Redirect_vers_Wikisource', 'wikisource'),
   new Array('Utilisateur:Phe/Redirect_vers_Wikiversité', 'wikiversity'),
   new Array('Utilisateur:Phe/Redirect_vers_Wikiquote', 'wikiquote'),
   new Array('Utilisateur:Phe/Redirect_vers_Wikinews', 'wikinews'),
   new Array('Utilisateur:Phe/Redirect_vers_Wiktionnaire', 'wiktionary')
);

function redirectedFromArticle() {
   if ( mw.config.get('wgIsArticle') == false)
       return;
   for (var i = 0; i < redirectedFromArticleDatas.length; ++i) {
     var page_match = redirectedFromArticleDatas[i];
     var index = mw.config.get('wgPageName').indexOf(page_match[0]);
     if (index == 0) {
        var div = document.getElementById('contentSub');
        var span = document.getElementById('redirected_from');
        // real target is always encoded in the anchor.
        target = window.location.hash;
        if (!div || !span || target == '')
            break;

        target = target.slice(1);
        // Konqueror 3.5 work around
        if (target.indexOf('#') == 0)
            target = target.slice(1);
        target = target.split('.23');
        target[0] = target[0].replace(/\.([0-9A-Z][0-9A-Z])/g, '%$1');
        var quoted = target[0]
        if (target[1].length)
            quoted += '#' + target[1]
        quoted = quoted.replace(/%2F/g, '/');
        var display = target[2]
        display = display.replace(/\.([0-9A-Z][0-9A-Z])/g, '%$1');
        display = decodeURI(display);
        display = display.replace(/_/g, ' ');

        var e = document.createElement('A');
        e.href = 'http://fr.' + page_match[1] + '.org/wiki/' + quoted;
        e.innerHTML = display.HTMLize();
        span.replaceChild(e, span.firstChild);
        break;
     }
   }
}

addOnloadHook(redirectedFromArticle);