 // Calcule la date pour le bistro quotidien
 
 function getLBDate() {
  var months = new Array("janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre");
  var today = new Date();
  var theDay = today.getDate();
  var theYear = today.getFullYear();
  return(theDay + " " + months[today.getMonth()] + " " + theYear);
 }
 
 // Calcule la date pour le bulletin des administrateurs hebdomadaire
 
 function getBADate() {
  var today = new Date();
  var year = today.getYear();
  var newYear = new Date(year, 0, 1);
  var modDay = newYear.getDay();
  if(modDay == 0) {
   modDay = 6;
  }
  else {
   modDay--;
  }
  var daynum = ((Date.UTC(year, today.getMonth(), today.getDate(), 0, 0, 0) - Date.UTC(year, 0, 1, 0, 0, 0)) /1000/60/60/24) + 1;
  if(modDay < 4 ) {
   var weeknum = Math.floor((daynum + modDay - 1) / 7) + 1;
  }
  else {
   var weeknum = Math.floor((daynum + modDay - 1) / 7);
   if(weeknum == 0) {
    year--;
    var prevNewYear = new Date(year, 0, 1);
    var prevmodDay = prevNewYear.getDay();
    if(prevmodDay == 0) {
     prevmodDay = 6;
    }
    else {
     prevmodDay--;
    }
    if(prevmodDay < 4) {
     weeknum = 53;
    }
    else {
     weeknum = 52;
    }
   }
  }
  return(today.getFullYear() + "/Semaine " + weeknum);
 }
 
 // Ajoute des liens dans la boîte à outils
 
 function newBox() {
  // Augmente la largeur de la boîte de résumé.
  var sumLbl = document.getElementById("wpSummaryLabel");
  if(sumLbl) {
   var sumInput = document.getElementById("wpSummary");
   sumInput.style.width = "75%";
  }
  var tLBDate = getLBDate();
  var tBADate = getBADate();
  var pTB = document.getElementById("p-tb");
  if(pTB) {
   var pBody = pTB.getElementsByTagName("div")[0];
   if(pBody) {
    pBody.innerHTML = pBody.innerHTML
    + '<ul>'
    + '  <li><a href="http://fr.wikipedia.org/wiki/Wikipédia:Annonces" target="_blank">Annonces</a></li>'
    + '  <li><a href="http://fr.wikipedia.org/wiki/Wikipédia:Le Bistro/' + tLBDate + '" target="_blank">Bistro du jour</a></li>'
    + '  <li><a href="http://fr.wikipedia.org/wiki/Wikipédia:Bulletin des administrateurs/' + tBADate + '" target="_blank">BA hebdo</a></li>'
    + '  <li><a href="http://fr.wikipedia.org/wiki/Wikipédia:Comité d\'arbitrage/Arbitrage" target="_blank">Arbitrages</a></li>'
    + '  <li><a href="http://fr.wikipedia.org/wiki/Discussion Projet:Football#footer" target="_blank">Projet football</a></li>'
    + '</ul>'
   }
  }
 }

 addOnloadHook(newBox);