function addLoadEvent(func) {
     if (window.addEventListener) {
             window.addEventListener("load", func, false);
     } else if (window.attachEvent) {
             window.attachEvent("onload", func);
     }
}

// Résumé Deluxe 
// Fonction ResumeDeluxeModif
//
// Code : Dake

function ResumeDeluxeModif(content) {
    if (document.editform.wpSummary.value != 0) {
                document.editform.wpSummary.value+=' ';
        }
        
        document.editform.wpSummary.value+=content;
}

// Résumé Deluxe 
// Fonction ResumeDeluxeModif
//
// Code : Dake

function ResumeDeluxe() {
        // vous pouvez ajouter vos messages ci-dessous - attention aux apostrophes et aux 
        // guillemets qui peuvent casser le script
        var messages = new Array()
        messages[0] = "+catégories";
        messages[1] = "+orthographe";
        messages[2] = "+typo";
        messages[3] = "+interwiki";
        messages[4] = "+wikification";
        messages[5] = "revert vandalisme";
        messages[6] = "création";
        messages[7] = "+MeF";

        // texte dans les boutons (pour éviter de prendre trop de place)
        var labelBoutons = new Array()
        labelBoutons[0] = "cat";
        labelBoutons[1] = "ortho";
        labelBoutons[2] = "typo";
        labelBoutons[3] = "interwiki";
        labelBoutons[4] = "wikification";
        labelBoutons[5] = "vandale";
        labelBoutons[6] = "création";
        labelBoutons[7] = "MeF";
        
        var nombreBoutonsParLigne = 8;
        
        // ne rien toucher ci-dessous
        var mainNode = document.getElementById("wpSummaryLabel");
        if (!mainNode) {
                return;
        }
        var summaryNode = mainNode;
        
        var formButtons = document.createElement("form");
        
        for (var i=0;i<messages.length;i++) {
                if (i%nombreBoutonsParLigne==0) {
                        formButtons.appendChild(document.createElement("p"));
                }
                        
                var nodeInput = document.createElement("input");
                nodeInput.setAttribute("type", "button"); 
                nodeInput.setAttribute("value", labelBoutons[i]); 
                nodeInput.setAttribute("onClick", "ResumeDeluxeModif('" + messages[i] + "')"); 

                formButtons.appendChild(nodeInput); 
        }
        summaryNode.appendChild(formButtons);
        
}

addLoadEvent(ResumeDeluxe);

function editerPremierParagraphe() {
  var modif = document.getElementById("ca-edit").getElementsByTagName("a");
  if (modif.length <= 0) return;
  var url = modif[0].href;
  var a = document.getElementById("p-cactions");
  if (a) {
    b = a.getElementsByTagName("ul");
    if(b.length > 0) {
      b[0].innerHTML = b[0].innerHTML
      + '<li><a href="' + url + '&section=0">modifier 1er paragraphe</a></li>';  
    }
  }
}

addLoadEvent(editerPremierParagraphe);