//================================================================================
// Astuce : utilisez le bouton Prévisualisation pour tester votre nouvelle feuille css/js avant de l’enregistrer.
// Note   : Après avoir publié la page, vous devrez forcer son rechargement pour voir les changements
//    * Mozilla / Konqueror / Firefox : Shift-Ctrl-R
//    * Internet Explorer / Opera : Ctrl-F5
//    * Safari : Cmd-R. 
// Note   : Pour importer votre feuille monobook depuis une URL, utilisez @import url(VOTRE_URL_ICI&action=raw&ctype=text/css)
//================================================================================

//================================================================================
// Ajouter [dans la boîte à outils] l'hyperlien « Importer sur Wikipédia ».
//================================================================================
function LienUploadDirect() 
{
  var a = document.getElementById("p-tb");
  if (a) 
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    {
      b[0].innerHTML = b[0].innerHTML
      + '<li><span id="n-localupload" title="http://fr.wikipedia.org/wiki/Special:Upload">'
      + '<a href="http://fr.wikipedia.org/wiki/Special:Upload">'
      + 'Importer sur Wikipédia</a></span> </li>'
    }
  }
}
addLoadEvent(LienUploadDirect);

//================================================================================
// Ajouter [dans l'onglet « Modifier »] un bouton pour insérer automatiquement 
// le code complet du modèle « Lien Web ».
//================================================================================
var ModèleLienweb = '* {{fr}} {{Lien web\n'
+  ' | url                      = URL (obligatoire)\n'
+  ' | titre                    = titre du document (obligatoire)\n'
+  ' | id                       = identifiant unique dans la page\n'
+  ' | auteur                   = un auteur quelconque\n'
+  ' | lien auteur              = lien dans Wikipédia vers l\'article sur l\'auteur\n'
+  ' | coauteurs                = autres auteurs\n'
+  ' | date                     = jour du mois\n'
+  ' | année                    = année en 4 chiffres; lien automatiquement créé\n'
+  ' | mois                     = mois\n'
+  ' | site                     = lien vers la page d\'accueil du site ou du média\n'
+  ' | éditeur                  = éditeur du support bibliographique\n'
+  ' | série                    = nom de la série ou de la collection\n'
+  ' | isbn                     = ISBN du support bibliographique\n'
+  ' | page                     = numéro, liste ou plage de pages associé à une citation\n'
+  ' | citation                 = formate la citation de la publication dans la note de bas de page\n'
+  ' | en ligne le              = date de mise en ligne du document\n'
+  ' | consulté le              = dernière date d\'accès à l\'url\n'
+  '}}';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/3/3c/Button_lienweb.png',
                'LienWeb',ModèleLienweb,'','','mw-editbutton-lienweb');

//================================================================================
// Ajouter [dans l'onglet « Modifier »] un bouton pour insérer automatiquement 
// le code complet de l'infobox « BD: album ».
//================================================================================
var ModèleBDalbum = '{{Infobox Bande dessinée (œuvre)\n'
+  ' | charte                   = album\n'
+  ' | titre                    = \n'
+  ' | numéro                   = \n'
+  ' | série                    = \n'
+  ' | première publication     = \n'
+  ' | auteur                   = \n'
+  ' | scénario                 = \n'
+  ' | dessin                   = \n'
+  ' | couleur                  = \n'
+  ' | image                    = \n'
+  ' | légende                  = \n'
+  ' | thèmes                   = \n'
+  ' | personnages              = \n'
+  ' | nombre de pages          = \n'
+  ' | album précédent          = \n'
+  ' | album suivant            = \n'
+  ' | ISBN                     = \n'
+  ' | éditeur                  = \n'
+  ' | collection               = \n'
+  ' | prépublication           = \n'
+  '}}\n'
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/f/f7/Laff_alert.svg',
                ' [Album BD]',ModèleBDalbum,'','','mw-editbutton-ModèleBDalbum');

//================================================================================
// Ajouter [dans l'onglet « Modifier »] un bouton pour insérer automatiquement 
// le code complet pour insérer le modèle « citation ».
//================================================================================
var ModèleCitation = '{{Début citation}}Texte cité, automatiquement mis en forme et en retrait par rapport au reste du paragraphe.{{Fin citation}}';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/f/f7/Laff_alert.svg',
                ' [Citation]',ModèleCitation,'','','mw-editbutton-ModèleCitation');

//================================================================================
// Ajouter [dans l'onglet « Modifier »] un bouton pour insérer automatiquement 
// le code complet pour insérer le modèle « date ».
//================================================================================
var ModèleDate = '{{Date|14|février|2002}}';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/f/f7/Laff_alert.svg',
                ' [Date]',ModèleDate,'','','mw-editbutton-ModèleDate');

//================================================================================
// Ajouter [dans l'onglet « Modifier »] un bouton pour insérer automatiquement 
// le code complet pour insérer un bandeau « ébauche ».
//================================================================================
var ModèleEbauche = '{{ébauche|bande dessinée}}';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/f/f7/Laff_alert.svg',
                ' [Ebauche]',ModèleEbauche,'','','mw-editbutton-ModèleEbauche');

//================================================================================
// Ajouter [dans l'onglet « Modifier »] un bouton pour insérer automatiquement 
// le code complet de l'infobox « Épisode ».
//================================================================================
var ModèleÉpisode = '{{épisode de série télévisée\n'
+  ' | Titre de la série        = \n'
+  ' | Titre                    = \n'
+  ' | Image                    = \n'
+  ' | Légende                  = \n'
+  ' | Titre original           = \n'
+  ' | Saison                   = \n'
+  ' | Episode                  = \n'
+  ' | Invités                  = \n'
+  ' | Scénariste               = \n'
+  ' | Réalisateur              = \n'
+  ' | Production               = \n'
+  ' | Diffusion                = \n'
+  ' | Précédent                = \n'
+  ' | Suivant                  = \n'
+  '}}';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/f/f7/Laff_alert.svg',
                ' [Épisode]',ModèleÉpisode,'','','mw-editbutton-ModèleÉpisode');

//================================================================================
// Ajouter [dans l'onglet « Modifier »] un bouton pour insérer automatiquement 
// une étiquette dans un modèle.
//================================================================================
var Etiquette = 
   ' | libellé libre            = <Titre de l\'étiquette>\n'
+  ' | libre                    = <contenu de l\'étiquette>\n';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/4/4b/Books-aj.svg_aj_ashton_01.svg',
                ' [Étiquette]',Etiquette,'','','mw-editbutton-Etiquette');

//================================================================================
// Ajouter [dans l'onglet « Modifier »] un bouton pour insérer automatiquement 
// une étiquette « Abilités » dans un modèle.
//================================================================================
var EtiquetteHabilites = 
   ' | libellé libre            = Habilités\n'
+  ' | libre                    = Intelligence, détective brillant possédant une forte capacité de déduction. Spécialisé dans les arts martiaux.\n';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/4/4b/Books-aj.svg_aj_ashton_01.svg',
                ' [Étiquette Habilités]',EtiquetteHabilites,'','','mw-editbutton-EtiquetteHabilites');

//================================================================================
// Ajouter [dans l'onglet « Modifier »] un bouton pour insérer automatiquement 
// un espace insécable.
//================================================================================
var EspaceInsecable = ' ';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/4/4b/Books-aj.svg_aj_ashton_01.svg',
                ' [Espace insécable]',EspaceInsecable,'','','mw-editbutton-EspaceInsecable');

//================================================================================
// Ajouter [dans l'onglet « Modifier »] un bouton pour insérer automatiquement 
// le code complet de l'infobox « Presse écrite ».
//================================================================================
var ModèlePériodique = '{{Infobox Presse écrite|\n'
+  ' | nom                      = \n'
+  ' | nomorigine               = \n'
+  ' | image                    = \n'
+  ' | pays                     = \n'
+  ' | langue(s)                = \n'
+  ' | périodicité              = \n'
+  ' | format                   = \n'
+  ' | genre                    = [[bande dessinée]] [[Bande dessinée franco-belge|franco-belge]]\n'
+  ' | prix au numéro           = \n'
+  ' | diffusion                = \n'
+  ' | diffusion kiosque        = nombre d\'exemplaires\n'
+  ' | diffusion (date)         = \n'
+  ' | fondateur                = nom du fondateur\n'
+  ' | date de fondation        = \n'
+  ' | date de fin              = \n'
+  ' | ville                    = \n'
+  ' | directeur de publication = \n'
+  ' | directeur de rédaction   = \n'
+  ' | rédacteur en chef        = \n'
+  ' | comité éditorial         = \n'
+  ' | propriétaire             = \n'
+  ' | site                     = \n'
+  ' | ISSN                     = \n'
+  '}}';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/f/f7/Laff_alert.svg',
                ' [Périodique]',ModèlePériodique,'','','mw-editbutton-ModèlePériodique');

//================================================================================
// Ajouter [dans l'onglet « Modifier »] un bouton pour insérer automatiquement 
// le code complet de l'infobox « Personnage (fiction) {charte couleur= bd} ».
//================================================================================
var ModèlePersonnageFictionBD = '{{Infobox Personnage (fiction)\n'
+  ' | charte couleur           = bd\n'
+  ' | oeuvre                   = Titre de la série (?)\n'
+  ' | nom                      = Nom du personnage\n'
+  ' | naissance                = date de naissance du personnage\n'
+  ' | origine                  = [[Belgique]]\n'
+  ' | profession               = [[héros]]\n'
+  ' | genre                    = [[mâle (biologie)|Mâle]]\n'
+  ' | entourage                = Noms des alliés\n'
+  ' | ennemi                   = Nom des ennemis\n'
+  ' | serie                    = [[Titre de la série]]\n'
+  ' | album                    = Nombre d\'albums de la série\n'
+  ' | caractéristique          = Description du personnage\n'
+  ' | première apparition      = [[25 janvier]] [[1962]] - n°1 de [[Record]]\n'
+  ' | créateur                 = [[René Goscinny]] <br> [[Jean Tabary]]\n'
+  '}}';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/f/f7/Laff_alert.svg','[Personnage]', ModèlePersonnageFictionBD,'','','mw-editbutton-ModèlePersonnageFictionBD');

//================================================================================
// Ajouter [dans l'onglet « Modifier »] un bouton pour insérer automatiquement 
// le code complet de l'infobox « Biographie ».
//================================================================================
var ModèlePersonne = '{{Infobox Biographie\n'
+  ' | nom                      = \n'
+  ' | image                    = \n'
+  ' | tailleimage(en px)       = \n'
+  ' | legende                  = \n'
+  ' | nomofficiel              = \n'
+  ' | surnom                   = \n'
+  ' | datedenaissance          = {{Date|14|janvier|1875}}\n'
+  ' | lieudenaissance          = [[Port Jefferson]] ([[New York]], [[États-Unis d’Amérique|USA]]); [[Bruxelles]] {{Belgique}}\n'
+  ' | datededeces              = {{Date|4|septembre|1965}}\n'
+  ' | ageaudecès               = \n'
+  ' | lieudedeces              = \n'
+  ' | nationalite              = [[USA|étatsunien]] [[Belgique|belge]]\n'
+  ' | paysorigine              = {{ITA}}\n'
+  ' | paysaccueil              = {{SUI}}\n'
+  ' | metier                   = [[dessinateur]] de [[bande dessinée]]\n'
+  ' | occupation               = \n'
+  ' | formation                = \n'
+  ' | hommage                  = \n'
+  ' | autresfonctions          = \n'
+  ' | note                     = \n'
+  ' | famille                  = <li>Marie (femme)\n'
+  ' }}';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/f/f7/Laff_alert.svg',
                ' [Personne]',ModèlePersonne,'','','mw-editbutton-ModèlePersonne');

//================================================================================
// Ajouter [dans l'onglet « Modifier »] un bouton pour insérer automatiquement 
// le code complet de l'infobox « BD: série ».
//================================================================================
var ModèleBDsérie = '{{Infobox Bande dessinée (œuvre)\n'
+  ' | charte                   = série\n'
+  ' | titre                    = Titre de la série\n'
+  ' | alias                    = \n'
+  ' | auteur                   = \n'
+  ' | scénario                 = Nom du scénariste\n'
+  ' | dessin                   = Nom du dessinateur\n' 
+  ' | couleur                  = Nom du coloriste\n'
+  ' | image                    = \n'
+  ' | légende                  = \n'
+  ' | genre                    = \n'
+  ' | personnages              = \n'
+  ' | collection               = \n'
+  ' | éditeur                  = \n'
+  ' | pays                     = \n'
+  ' | langue                   = \n'
+  ' | nombre d\'albums          = \n'
+  '}}';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/f/f7/Laff_alert.svg',
                ' [Série BD]',ModèleBDsérie,'','','mw-editbutton-ModèleBDsérie');

//================================================================================
// Ajouter [dans l'onglet « Modifier »] un bouton pour insérer automatiquement 
// le code complet de l'infobox « Société ».
//================================================================================
var ModèleSociété = '{{Infobox Société |\n'
+  ' | nom officiel             = Édifrance\n'
+  ' | logo                     = \n'
+  ' | image                    = \n'
+  ' | forme juridique          = \n'
+  ' | date de création         = {date|12|février|2008}\n'
+  ' | date de disparition      = {date|12|février|2008}\n'
+  ' | dates-clés               = \n'
+  ' | slogan                   = \n'
+  ' | siège (ville)            = \n'
+  ' | siège (pays)             = {{Belgique}}\n'
+  ' | fondateur                = [[Jean-Michel Charlier]]\n'
+  ' | direction actuelle       = \n'
+  ' | personnages-clés         = \n'
+  ' | secteurs d\'activités     = [[presse écrite]]\n'
+  ' | société mère             = [[Le Lombard|Lombard]]\n'
+  ' | filiales                 = \n'
+  ' | produits                 = [[bande dessinée|bandes dessinées]]\n'
+  ' | effectif                 = \n'
+  ' | capitalisation boursière = \n'
+  ' | chiffre d\'affaires       = \n'
+  ' | résultat net             = \n'
+  ' | site web                 = \n'
+  '}}';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/4/4b/Books-aj.svg_aj_ashton_01.svg',
                '[Société]',ModèleSociété,'','','mw-editbutton-Société');

//================================================================================
// Ajouter [dans l'onglet « Modifier »] un bouton pour insérer automatiquement 
// le code complet du modèle « Ouvrage ».
//================================================================================
var ModèleOuvrage = '{{Ouvrage\n'
+  ' | titre                    = Titre de l\'oeuvre\n'
+  ' | titre vo                 = Titre original de l\'œuvre\n'
+  ' | éditeur                  = Nom de l\'éditeur\n'
+  ' | collection               = Titre de la collection\n'
+  ' | série                    = Nom de la série\n'
+  ' | ref                      = Référence de l\'œuvre\n'
+  ' | volume                   = Numéro ou référence du volume, tome, etc.\n'
+  ' | titre volume             = Titre du volume\n'
+  ' | auteur                   = Nom de l\'auteur\n'
+  ' | prénom                   = Prénom de l\'auteur\n'
+  ' | nom                      = Nom de l\'auteur\n'
+  ' | auteurs                  = Listes des auteurs {séparés par des virgules}\n'
+  ' | directeur                = Nom du directeur de publication\n'
+  ' | préface                  = Nom de l\'auteur de la préface\n'
+  ' | trad                     = Nom du ou des traducteurs\n'
+  ' | langue                   = En toutes lettres (français, latin, chinois, etc.)\n'
+  ' | lien langue              = Si différent de {{fr}} (exemple: {{en}}, {{de}}, etc.)\n'
+  ' | lieu                     = Lieu de la première publication\n'
+  ' | année                    = Année de la première publication\n'
+  ' | mois                     = Mois de la première publication\n'
+  ' | jour                     = Jour de la première publication\n'
+  ' | publi                    = dates des autres éditions\n'
+  ' | pages                    = Nombre seulement\n'
+  ' | format                   = format de l\'ouvrage (relié, broché)\n'
+  ' | isbn                     = Numéro (Avec tiret si possible)\n'
+  ' | issn                     = Numéro (Avec tiret si possible)\n'
+  ' | oclc                     = Code\n'
+  ' | présentation en ligne    = URL de présentation de l\’ouvrage chez l\'éditeur\n'
+  ' | lire en ligne            = URL du texte complet chez l\'éditeur\n'
+  ' | partie                   = Emplacement d\'un passage par le numéro de la partie (en chiffre romain)\n'
+  ' | numéro                   = Emplacement d\'un passage par le numéro du chapitre (en chiffre romain)\n'
+  ' | chap                     = Emplacement d\'un passage par le nom du chapitre\n'
+  ' | passage                  = Emplacement d\'un passage sous forme d\'intervalle de pages (sous la forme : 34-36)\n'
+  ' | id                       = Identifiant unique permettant de renvoyer à l\'entrée bibliographique ()\n'
+  ' | commentaire              = Une phrase de commentaire sur l\'entrée bibliographique\n'
+  '}}';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/4/4b/Books-aj.svg_aj_ashton_01.svg',
                ' [Ouvrage]',ModèleOuvrage,'','','mw-editbutton-Ouvrage');