function addLoadEvent(func) {
  if (window.addEventListener) {
    window.addEventListener("load", func, false);
  }
  else if (window.attachEvent) {
         window.attachEvent("onload", func);
       }
}

// AJOUTE DEUX ONGLETS MONOBOOK

function ajoutOngletJS() {
  var a = document.getElementById("p-cactions");
    if (a) {
      b = a.getElementsByTagName("ul");
      if(b.length > 0) {
        b[0].innerHTML = b[0].innerHTML
        + '<li id="ca-nstab-user">'
        + '<a href="/wiki/Utilisateur:Robin_Hood/monobook.js">'
        + 'js</a></li>';
      }
    }
}

function ajoutOngletCSS() {
  var a = document.getElementById("p-cactions");
    if (a) {
      b = a.getElementsByTagName("ul");
      if(b.length > 0) {
        b[0].innerHTML = b[0].innerHTML
        + '<li id="ca-nstab-user">'
        + '<a href="/wiki/Utilisateur:Robin_Hood/monobook.css">'
        + 'css</a></li>';
      }
    }
}

// AJOUTE UN ONGLET STRUCTURE

function ajoutOngletStructure() {
  var a = document.getElementById("p-cactions");
    if (a) {
      b = a.getElementsByTagName("ul");
      if(b.length > 0) {
        b[0].innerHTML = b[0].innerHTML
        + '<li id="ca-nstab-user">'
        + '<a href="/wiki/Utilisateur:Robin_Hood/Structure">'
        + 'Structure</a></li>';
      }
    }
}

// AJOUTE UN ONGLET TERRAIN DE JEU

function ajoutOngletTerrainJeu() {
  var a = document.getElementById("p-cactions");
    if (a) {
      b = a.getElementsByTagName("ul");
      if(b.length > 0) {
        b[0].innerHTML = b[0].innerHTML
        + '<li id="ca-nstab-user">'
        + '<a href="/wiki/Utilisateur:Robin_Hood/BàS">'
        + 'Terrain de jeu</a></li>';
      }
    }
}

// AJOUTE LES LIENS DANS LA BOÎTE DE NAVIGATION

function ajoutLiens() {
  var a = document.getElementById("p-navigation");
    if (a) {
      b = a.getElementsByTagName("ul");
      if(b.length > 0) {
        b[0].innerHTML = b[0].innerHTML 
        + '<li><a style="display: inline" title="Meta:Sorting order" '
        +        'href="http://meta.wikimedia.org/wiki/Interwiki_sorting_order">'
        +              'Ordre des interwikis</a></li>'
        + '<li><a style="display: inline" title="Wikipédia:Le Bistro" '
        +        'href="/w/index.php?title=Wikip%C3%A9dia:Le_Bistro&action=purge">'
        +              'Le Bistro</a></li>'
        + '<li><a style="display: inline" title="Suivis" '
        +        'href="http://fr.wikipedia.org/w/index.php?title=Special:Watchlist&days=0">'
        +              'Tous les suivis</a>'
        +     '<a style="display: inline" title="Suivis" '
        +        'href="http://fr.wikipedia.org/w/index.php?title=Special:Watchlist&days=3">'
        +              '3 jours</a>'
        +     '<a style="display: inline" title="Suivis" '
        +        'href="http://fr.wikipedia.org/w/index.php?title=Special:Watchlist&days=1">'
        +              '1 jour</a></li>'
      }
    }
}

addLoadEvent(ajoutLiens);
if ( wgCanonicalNamespace == "User" || wgCanonicalNamespace == "User_talk" ) {
  addLoadEvent(ajoutOngletJS);
  addLoadEvent(ajoutOngletStructure);
  addLoadEvent(ajoutOngletCSS);
  addLoadEvent(ajoutOngletTerrainJeu);
}

// AJOUTE LES LIENS DANS LA BOÎTE À OUTILS

addOnloadHook(function () {
 
  if ( wgCanonicalNamespace == "User" || wgCanonicalNamespace == "User_talk" ) {
    url = wgServer 
          + "/w/index.php?title=Special:Log&user=" 
          + wgTitle.split("/")[0];
  } 
  else if ( wgCanonicalNamespace == "Special" ) {
               return;
       } 
       else {
         url = wgServer 
               + "/w/index.php?title=Special:Log&page=" 
               + wgPageName;
       }
 
addPortletLink("p-tb", "http://tools.wikimedia.de/~interiot/cgi-bin/count_edits?user=Robin+Hood&dbname=frwiki_p", "Compteur d'éditions", "ca-editcount");
addPortletLink("p-cactions", url, "Journal", "pt-logs");
});