/*
 * Gadget "WebChat en iframe"
 * Ajoute un webchat irc sur une page.
 * Licence : Domaine publique
 *
 * *** Documentation ***
 * Pour ajouter un chat IRC, il suffit de mettre le balise suivante :
 * <div id="webchat" title="MONCHAN" style=text-align:center;"></div>
 * En remplacent MONCHAN par le nom du chan sur freenode 
 * En ajoutant #UIO derrière MONCHAN, cela permet de personnaliser le chan
 */
var wc = document.getElementById("webchat");
if (wc) {
    var ifr = document.createElement('iframe');
    wc.appendChild(ifr);
    var val = wc.title.split("#")
    ifr.src = "http://webchat.freenode.net?nick="
            + wgUserName.replace(/ /,"_")
            + "&channels=" + val[0]
            + "&uio=" + val[1]
    ifr.style.width = '95%';
    ifr.style.height = '300px';
    ifr.style.marginBottom = '1ex';
    ifr.style.marginRight = '1em';
}