//<source lang="javascript" line>
//var avertissement_copyvio = "hide";
//loadJs('Projet:Communes de France/listejavascript.js');
//Affiche un onglet "Consultation" juste après l'onglet "Historique". Cet onglet permet de consulter le nombre de fois où l'article courant a été consulté le mois courant et précédent
function addArticleTrafficStatistics()
{
  var histo = document.getElementById("ca-history");
  if(histo)
  {
    var today = new Date();

    //Mois précédent
    var annee = today.getYear() + 1900;
    if(today.getMonth() == 0)
    {
      var mois = "12";
      annee--;
    }
    else
    {
      var mois = new String(today.getMonth());
      if(mois.length < 2)
      {
        mois = "0" + mois;
      }
    }
    var lien_mois_preced = document.createElement("a");
    lien_mois_preced.setAttribute("href", "http://stats.grok.se/fr/" + annee + mois + "/" + wgPageName);
    lien_mois_preced.setAttribute("title", "Voir le mois précédent");
    lien_mois_preced.appendChild(document.createTextNode("<="));

    //Mois courant
    var annee = today.getYear() + 1900;
    var mois = new String(today.getMonth() + 1);
    if(mois.length < 2)
    {
      mois = "0" + mois;
    }
    var lien_mois_courant = document.createElement("a");
    lien_mois_courant.setAttribute("href", "http://stats.grok.se/fr/" + annee + mois + "/" + wgPageName);
    lien_mois_courant.setAttribute("title", "Voir le mois courant");
    lien_mois_courant.appendChild(document.createTextNode("Consultation"));

    var span = document.createElement("span");
    span.appendChild(lien_mois_preced);
    span.appendChild(lien_mois_courant);

    var stats = document.createElement("li");
    stats.setAttribute("id", "ca-stats");
    stats.appendChild(span);

    histo.parentNode.insertBefore(stats, histo.nextSibling);
  }
}
addOnloadHook(addArticleTrafficStatistics);
//</source>