/* Auteur : Stef48
 * Permet d'avertir un utilisateur si la barre de résumé n'est pas remplie
 * Code créé pour remplacer celui proposer dans les préférences, impliquant un chargement de la page
 * Ce code met en rouge la barre de résumé, si vide, seulement.
 */

addOnloadHook(function()
{
	if (!window.NoSummaryWarningDone)
	{
		var save_el = document.getElementById('wpSave');
		if (save_el)
			save_el.onclick = new Function('return FormValidation();');
	}
});
 
function FormValidation()
{
	var input_el = document.getElementById('wpSummary');
	var summary = input_el.value;
	// Si vide, comprenant les titres de section
	if (summary == '' || summary.substring(summary.indexOf('*/'))=='*/ ')
	{
		// Sauf redirect
		var wpTextbox1 = document.getElementById('wpTextbox1');
		if (wpTextbox1.value.substring(0, 9).toUpperCase() == '#REDIRECT')
			return true;
 
		// Sauf si déjà averti
		if (!input_el.warningSet)
		{
			input_el.warningSet = true;
			//input_el.className = 'warning';
			//document.getElementById('wpSummaryLabel').className = 'warning';
			input_el.style.backgroundColor = '#FFDDDD';
                        //document.getElementById('wpSummaryLabel').style.color = '#FF0000';
			return false;
		}
	}	
	return true;
}

addOnloadHook(FormValidation);