/* 
    D'après un script trouvé chez Lilyu → Utilisateur:Lilyu/Editbar.js
*/


/* XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX */
/*             BOUTONS D'ÉDITION             */
/* XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX */



/* Fonction qui ajoute un bouton. */

function addCustomButton(imageFile, speedTip, tagOpen, tagClose, sampleText, imageId)
{
  mwCustomEditButtons[mwCustomEditButtons.length] =
    {"imageFile": imageFile,
     "speedTip": speedTip,
     "tagOpen": tagOpen,
     "tagClose": tagClose,
     "sampleText": sampleText,
     "imageId": imageId};
}


/*
    Liste des images de boutons : http://commons.wikimedia.org/wiki/MediaWiki_edit_toolbar
*/



/***********************************************/
/*      ajout des boutons personnalisés        */
/***********************************************/


addCustomButton('http://upload.wikimedia.org/wikipedia/commons/d/de/Button_image.png',
                'Insérer une image',
                '[[Fichier:',
                '|thumb|alt=|right|upright=0.75|Texte]]',
                '',
                'mw-editbutton-picture');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/9/91/Button_cite_web.png',
                'Citer un article web',
                '<ref>{{en}} {{Lien web| url = | titre = | auteur = | date = | année = | éditeur = | site = | consulté le = }}.</ref>',
                '',
                '',
                'mw-editbutton-citeweb');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/e/ef/Button_cite_book.png',
                'Citer un livre',
                '<ref>{{pdf}}{{Ouvrage| langue = en| prénom1 = | nom1 = | lien auteur1 = | titre = | numéro d’édition = | lien éditeur = | éditeur = | lieu = | année = | mois = | jour = | pages totales = | isbn = | oclc = | lire en ligne = }}</ref>',
                '',
                '',
                'mw-editbutton-citebook');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/4/49/Button_cite_journal.png',
                'Citer une revue scientifique',
                '<ref>{{article| langue = en| prénom1 = | nom1 = | lien auteur1 = | titre = | périodique = | lien périodique = | volume = | numéro = | jour = | mois = | année = | pages = | url texte = | doi = | consulté le = }}.</ref>',
                '',
                '',
                'mw-editbutton-citejournal');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/e/eb/Button_plantilla.png',
                'Modèle Lang',
                '{{Lang|en|texte=',
                '}}',
                '',
                'mw-editbutton-lang');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/4/4f/Button_template_alt2.png',
                'Modèle Formatnum',
                '{{formatnum:',
                '}}',
                '',
                'mw-editbutton-formatnum');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/9/9a/Button_wiktionary.png',
                'Modèle Traduit de',
                '{{Traduit de|en|titre|date|oldid}}',
                '',
                '',
                'mw-editbutton-traduitde');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/a/a1/Button_template_tl.png',
                'Références pour traduction',
                '{{Traduction/Référence|en|titre|oldid}}',
                '',
                '',
                'mw-editbutton-reftrad');