// Options pour le gadget popups
// http://en.wikipedia.org/wiki/Wikipedia:Tools/Navigation_popups#Options
var popupModifier = 'shift';

function todayDate()
{
    m = new Array("janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre");
    today = new Date();
    day = today.getDate();
    year = today.getYear();
    if (year < 2000)
        year = year + 1900;
    return (day + " " + m[today.getMonth()] + " " + year);
}

function addExtraLinks()
{
    var a = document.getElementById("p-Contribuer");
    if (a)
    {
        var b = a.getElementsByTagName("ul");
        if (b.length > 0)
        {
            b[0].innerHTML = ''
                + '<li id="n-help" title="Aide">'
                + '<a href="/wiki/Aide:Sommaire">Aide</a>'
                + '</li>'

                + '<li id="n-portal" title="À propos du projet">'
                + '<a href="/wiki/Wikipédia:Accueil_de_la_communauté">Communauté</a>'
                + '</li>'

                + '<li id="n-bistro" title="Wikipédia:Le Bistro">'
                + '<a href="/wiki/Wikipédia:Le_Bistro/' + todayDate().replace(/ /g, '_') + '">Le Bistro</a>'
                + '</li>'

                + '<li id="n-recentchanges" title="Liste des modifications récentes sur le wiki [alt-shift-r]">'
                + '<a href="/wiki/Spécial:Modifications_récentes" accesskey="r">Modifications récentes</a>'
                + '</li>'

                + '<li id="n-recentchangesip" title="Liste des modifications récentes sur le wiki par des IP">'
                + '<a href="/w/index.php?title=Spécial:Modifications_récentes&hideliu=1">Modifications récentes IP</a>'
                + '</li>'

                + '<li id="n-npages" title="Special:Newpages">'
                + '<a href="/wiki/Special:Newpages">Nouvelles pages</a>'
                + '</li>'

                + '<li id="n-radmin" title="Wikipédia:Requête aux administrateurs">'
                + '<a href="/wiki/Wikipédia:Requête aux administrateurs">Requêtes</a>'
                + '</li>'
            ;
        }
    }

    a = document.getElementById("p-navigation");
    if (a)
    {
        var b = a.getElementsByTagName("ul");
        if (b.length > 0)
        {
            b[0].innerHTML += ''
                + '<li id="n-commons" title="Wikimedia Commons">'
                + '<a href="http://commons.wikimedia.org/wiki/Accueil?uselang=fr" title="Commons">'
                + '<img style="margin-right: 0.2em;" alt="Commons" src="http://upload.wikimedia.org/wikipedia/commons/thumb/4/4a/Commons-logo.svg/12px-Commons-logo.svg.png">'
                + 'Commons</a>'
                + '</li>'
            ;
        }
    }

}

// Ajout de liens personnalisés dans le menu de gauche
addOnloadHook(addExtraLinks);

// Patch (temporaire ?) pour afficher les balises à filtrer sous forme de liste
// http://fr.wikipedia.org/wiki/Wikipédia:Demande_d'intervention_sur_un_message_système#Sp.C3.A9cial:Nouvelles_pages
//obtenir('TagFilterDeluxe');
if(wgCanonicalSpecialPageName=="Recentchanges" || wgCanonicalSpecialPageName == "Newpages" || wgCanonicalSpecialPageName == "Contributions"){ 
     var TagFilterDeluxe_FilterList = new Array();
     var TagFilterDeluxe_GetFiltersOK = false;
     var TagFilterDeluxe_LoadOK = false;
     TagFilterDeluxe_GetFilters();
     addOnloadHook(TagFilterDeluxe_createOptions);
}
function TagFilterDeluxe_GetFilters(){
      var AdresseRequete = wgServer + wgScriptPath + '/api.php?format=xml&action=query&list=tags&tglimit=499&tgprop=displayname|hitcount';
      var NouvelleRequete = sajax_init_object();
      NouvelleRequete.open("GET", AdresseRequete, true);
      NouvelleRequete.onreadystatechange = function() {
            if(NouvelleRequete.readyState != 4 || NouvelleRequete.status != 200) return;
            var ObjetXML = NouvelleRequete.responseXML; 
            var Informations = ObjetXML.getElementsByTagName('tag');
            for(var a=0;a<Informations.length;a++){
                  var DescriptionFiltre = Informations[a].getAttribute('displayname');
                  DescriptionFiltre = DescriptionFiltre.replace(/^.*?;: /g, '');
                  DescriptionFiltre = DescriptionFiltre.replace(/&nbsp;/g, ' ');
                  DescriptionFiltre = DescriptionFiltre.replace(/<abbr[^>]*>/g, '');
                  DescriptionFiltre = DescriptionFiltre.replace(/<\/abbr>/g, '');
                  DescriptionFiltre = DescriptionFiltre.replace(/«&#160;/g, '');
                  DescriptionFiltre = DescriptionFiltre.replace(/&#160;»/g, '');
                  TagFilterDeluxe_FilterList.push(DescriptionFiltre);
                  if (DescriptionFiltre.length > 0) {
                      if (TagFilterDeluxe_FilterList.indexOf(DescriptionFiltre) < 0)
                           TagFilterDeluxe_FilterList.push(DescriptionFiltre);
                  }
            }
            TagFilterDeluxe_GetFiltersOK = true;
            if(TagFilterDeluxe_LoadOK) TagFilterDeluxe_createOptions(); 
      }
      NouvelleRequete.send(null);
}
function TagFilterDeluxe_createOptions(){
      TagFilterDeluxe_LoadOK = true;
      if(!TagFilterDeluxe_GetFiltersOK) return;
      var Inputs = document.getElementsByTagName('input');
      for(var a=0;a<Inputs.length;a++){
            if(!Inputs[a].name) continue;
            if(Inputs[a].name == "tagfilter" && Inputs[a].type == "text"){
                  var Select = document.createElement('select');
                  Select.name = "tagfilter";
                  var FirstOption = document.createElement('option');
                  FirstOption.value = "";
                  FirstOption.appendChild(document.createTextNode("* Aucune *"));
                  Select.appendChild(FirstOption);
                  var FilterSelected = false;
                  var ActiveFilter = TagFilterDeluxe_getActiveFilter();
                  for(var b=0;b<TagFilterDeluxe_FilterList.length;b++){
                        var Option = document.createElement('option');
                        Option.value = TagFilterDeluxe_FilterList[b];
                        Option.appendChild(document.createTextNode(TagFilterDeluxe_FilterList[b])); 
                        if(TagFilterDeluxe_FilterList[b] == ActiveFilter){
                               Option.selected = "selected";
                               FilterSelected = true;
                        }
                        Select.appendChild(Option);
                  }
                  Inputs[a].parentNode.insertBefore(Select, Inputs[a]);
                  Inputs[a].parentNode.removeChild(Inputs[a]);
            }
      }
}
function TagFilterDeluxe_getActiveFilter(){
      var url = document.URL;
      var Params = url.split("&");
      var Filter = false;
      for(var c=0;c<Params.length;c++){
            if(Params[c].indexOf("tagfilter=")!=-1){
                  var FilterTemp = Params[c].split("tagfilter=").join("");
                  if(FilterTemp!="") Filter = decodeURIComponent(FilterTemp).replace(/\+/g, " ");
            }
      }
      return Filter;
}