// options pour l'outil Evaluation
var alwaysEval = false; //mettez cette valeur à ''true'' si vous voulez que l'évaluation soit lancée automatiquement (à éviter en temps normal)
function initEvalProjectNames()
{
        evalProjectNames=new Array(); //liste de vos projets
        evalProjectNames.push("Chimie") 
        evalProjectNames.push("Physique") //mettre ici autant de lignes comme celle-ci que de projets que vous voulez évaluer
}

//ajout de boutons dans la toolbar en mode edition pour le sourçage de données physico-chimiques
function DeluxeBar() {
  if (document.createTextNode) {
        var toolbar = document.getElementById("toolbar"); 
        if (!toolbar) return;
 
        var messages = new Array()
        var images = new Array()
        var commentaires = new Array()
        var a=-1; //Le décompte commence à -1 avec une incrementation sur le premier message, pour éviter tout probleme en cas d'inversion ou suppression du premier message

        messages[++a] = "\<" + "ref name =" + '\\"' + "GESTIS" + '\\"' + "\>" + "{{" + "GESTIS|ZVG= |CAS= |Nom= |Date= " + "}}" + "\<" + "/ref" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/d/d0/Button_GESTIS.png";
        commentaires[a] = "référence GESTIS";
                         
        messages[++a] = "\<" + "ref name =" + '\\"' + "GESTIS" + '\\"' + "/" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/e/e3/Button_GESTIS_short.png";
        commentaires[a] = "référence GESTIS";

        messages[++a] = "\<" + "ref name =" + '\\"' + "NIST" + '\\"' + "\>" + "{{" + "NIST|| " + "}}" + ", consulté le " +"\<" + "/ref" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/4/43/Button_NIST.png";
        commentaires[a] = "référence NIST";
                         
        messages[++a] = "\<" + "ref name =" + '\\"' + "NIST" + '\\"' + "/" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/6/61/Button_NIST_short.png";
        commentaires[a] = "référence NIST";

        messages[++a] = "\<" + "ref name =" + '\\"' + "ESIS" + '\\"' + "\>" + "{{" + "ESIS|| " + "}}" + ", consulté le " +"\<" + "/ref" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/9/95/Button_ESIS.png";
        commentaires[a] = "référence ESIS";

        messages[++a] = "\<" + "ref name =" + '\\"' + "ChemID" + '\\"' + "\>" + "{{" + "ChemID|| " + "}}" + ", consulté le " +"\<" + "/ref" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/8/84/Button_ChemID.png";
        commentaires[a] = "référence ChemID";
                         
        messages[++a] = "\<" + "ref name =" + '\\"' + "ChemID" + '\\"' + "/" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/a/a8/Button_ChemID_short.png";
        commentaires[a] = "référence ChemID";

        messages[++a] = "{{" + "Unité/2||e=|| " + "}}";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/f/ff/Button_Unite2.png";
        commentaires[a] = "modèle Unité/2";
 
        for (var i=0;i<messages.length;i++) {
                var img = document.createElement("img");
                img.setAttribute("src", images[i]);
 
                var ref = document.createElement("a");
                ref.setAttribute("href", "javascript:insertTags('', \"" + messages[i] + "\", '');" + 
                                 "javascript:changeSummary(\"" + commentaires[i] + "\");" ); 
                ref.appendChild(img); 
 
                toolbar.appendChild(ref);

        }
  }
}

function changeSummary(sampleText) {
        document.editform.wpSummary.value = sampleText;
}
 
addOnloadHook(DeluxeBar);

// bouton pour l'import de la dernière version de la chimiebox
function importTemplateButton(){
   if (document.createTextNode){

        var toolbar = document.getElementById("toolbar"); 
        if (!toolbar) return;

        var img = document.createElement("img");
        img.setAttribute("src","http://upload.wikimedia.org/wikipedia/fr/7/77/Button_Chimiebox.png");
        var ref = document.createElement("ref");
        ref.setAttribute("onclick","javascript:importTemplate();"); 
        ref.appendChild(img); 

        toolbar.appendChild(ref);

        }
}

function importTemplate(){
        var request = sajax_init_object();
        request.open('GET', 'http://fr.wikipedia.org/w/index.php?title=Modèle:Chimiebox/Référence&action=raw', true);
        request.send(null);
        request.onreadystatechange = function() {
        if (request.readyState == 4 && request.status == 200) {
        var text = document.getElementById('wpTextbox1');
        text.value = request.responseText + text.value;
        }
        }
        };

addOnloadHook(importTemplateButton);

//active liveRC
loadJs('User:EDUCA33E/LiveRC.js');