/*
glossary.js
Author: [[fr:w:User:Alphos]]
*/

function showGlossaryToggle() {

  //instanciation de l'objet de requête
  if (window.XMLHttpRequest) {
    xhttp=new XMLHttpRequest();
  }
  else {
    xhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }

  xhttp.open("GET","http://fr.wikipedia.org/w/api.php?action=parse&page=Utilisateur:" + encodeURIComponent(wgUserName) + "/Glossaire/" + encodeURIComponent(wgPageName) + "&prop=text|revid&format=xml",false);

  xhttp.send(null);
  xmlxml = xhttp.responseXML;

  //récupération du RevId correspondant : si c'est 0, la page n'existe pas, donc pas la peine de montrer le toggle ou de continuer la fonction
  var glossaryRevId = xmlxml.getElementsByTagName('api')[0].getElementsByTagName('parse')[0].getAttribute('revid');

  if (glossaryRevId != 0) {
    //contenu du glossaire
    var glossaryContentHTML = xmlxml.getElementsByTagName('api')[0].getElementsByTagName('parse')[0].getElementsByTagName('text')[0].firstChild.nodeValue;

    //éléments de la barre latérale dans un calque
    var pLogo = document.getElementById('p-logo');
    pLogo.style.zIndex = '1';
    var pSearch = document.getElementById('p-search');
    pSearch.style.zIndex = '1';
    var pLang = document.getElementById('p-lang');
    if (pLang) { pLang.style.zIndex = '1'; }

    //affichage de la petite flèche en bas à droite
    var glossaryToggle = document.createElement('div');
    glossaryToggle.id = 'glossary-toggle';
    glossaryToggle.style.display = 'block';
    glossaryToggle.style.position = 'fixed';
    glossaryToggle.style.bottom = '0px';
    glossaryToggle.style.right = '0px';
    glossaryToggle.style.backgroundColor = '#EEFFEE';
    glossaryToggle.style.padding = '5px';
    glossaryToggle.innerHTML = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/f/f5/Pfeil_links_oben.svg/10px-Pfeil_links_oben.svg.png" onclick="toggleGlossary();" />';
    document.getElementById('content').appendChild(glossaryToggle);

    //création de la div de contenu au-dessus de la barre latérale, sans l'afficher par défaut (permet d'utiliser la barre latérale)
    var glossaryContent = document.createElement('div');
    glossaryContent.id = 'glossary-content';
    glossaryContent.style.display = 'none';
    glossaryContent.style.padding = '5px';
    glossaryContent.style.width = '13.4em';
    glossaryContent.style.fontSize = '.85em';
    glossaryContent.style.backgroundColor = '#FFEEEE';
    glossaryContent.style.position = 'fixed';
    glossaryContent.style.maxHeight = '100%';
    glossaryContent.style.top = '0px';
    glossaryContent.style.left = '0px';
    glossaryContent.style.overflow = 'auto';
    glossaryContent.style.zIndex = '5';
    glossaryContent.innerHTML = '<div style="min-width: 1em; padding: 10px; margin: auto; color: green; background-color: #EEEEEE; font-weight: bold; font-variant: small-caps; text-align: center; font-size: 1.5em;">Glossaire<br/><span style="font-size: 9px; font-variant: normal;" class="plainlinks"><a href="http://fr.wikipedia.org/w/index.php?action=edit&title=Utilisateur:' + encodeURIComponent(wgUserName) + '/Glossaire/' + encodeURIComponent(wgPageName) + '"><span title="Modifier ce glossaire">m</span></a> &bull; <a href="http://fr.wikipedia.org/wiki/Utilisateur:' + encodeURIComponent(wgUserName) + '/Glossaire/' + encodeURIComponent(wgPageName) + '"><span title="Voir ce glossaire">v</span></a></span></div>' + glossaryContentHTML ;
    document.getElementById('content').appendChild(glossaryContent);
  }
}

addOnloadHook(showGlossaryToggle);

function toggleGlossary() {
  //javascript pour utiliser la flèche en bas à droite : clic pour afficher ou masquer le contenu du glossaire

  var glossaryToggle = document.getElementById('glossary-toggle');
  var glossaryContent = document.getElementById('glossary-content');

  if (glossaryContent.style.display == 'none') {
    glossaryContent.style.display = 'block';
    glossaryToggle.innerHTML = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/f/f5/Pfeil_rechts_unten.svg/10px-Pfeil_rechts_unten.svg.png" onclick="toggleGlossary();" />';
    glossaryToggle.title = 'masquer le glossaire pour cette page';
  }
  else {
    glossaryContent.style.display = 'none';
    glossaryToggle.innerHTML = '<img src="http://upload.wikimedia.org/wikipedia/commons/thumb/f/f5/Pfeil_links_oben.svg/10px-Pfeil_links_oben.svg.png" onclick="toggleGlossary();" />';
    glossaryToggle.title = 'afficher le glossaire pour cette page';
  }
}