// En cas de problèmes consultez l'aide du modèle le programmeur concerné

// Sommaire
// 2. Useful fonctions
// 3. Deluxe History
// 5. Spy (utilité inconnue)
// 6. Edition de l'en-tête (section O)
// 7. Accueil perso
// 8. Lien edicount
// 9. Restauration améliorée
// 10 Recherche avancée
// 11 Image Use (utilité inconnue)
// 12 Category Tree
// 13 fill_empty (utilité inconnue)
// 14 Barre d'édition Deluxe
// 15 Sommaire d'édition améliorée
// 16 Onglet Shortpages
// 17 Barre de navigation personnalisée
// 18 Importation d'images sur Commons
// 20 Résumé Deluxe 
// 21 boutons prédéfinis pour justifier un blocage


/***********************************************************/
// 1 : Interface d'édition améliorée

importScriptURI("http://toolserver.org/~magnus/wysiwtf/wysiwtf.js");

/***********************************************************/
// 2 : Useful functions
document.write('<script type="text/javascript" src="' 
             + 'http://fr.wikipedia.org/w/index.php?title=Utilisateur:GôTô/ufunctions.js' 
             + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');


/***********************************************************/
// 3 : Deluxe History
document.write('<script type="text/javascript" src="' 
            + 'http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dake/monobook.js/deluxehistory_noajax.js' 
            + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');


/***********************************************************/
// 5 : Spy

document.write('<script type="text/javascript" src="' 
            + 'http://fr.wikipedia.org/w/index.php?title=Utilisateur:WartDark/spy.js' 
            + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');

/***********************************************************/
// 6 : Edition de l'en-tête

obtenir("EditZeroth");

/***********************************************************/


/* Variables pour activer/desactiver les fonctionnalitées  */

var deactivateAll = false;

var activateSuiviManager = true;
var activateImageUse = true;
var activateCategoryUse = true;
var activateGlobalSearch = false;
var activateOptimizedSuivi = false;
var activateDeluxeBar = true;
var activateResumeDeluxe = true;

// Tout désactiver
if (deactivateAll)
{
  activateImageUse = false;
  activateCategoryUse = false;
  activateGlobalSearch = false;
  activateOptimizedSuivi = false;
  activateDeluxeBar = false;
  activateResumeDeluxe = true;
}



/***********************************************************/

/* 7 : accueil perso */
// Auteur : Verdy P. (inspiré d'une protoversion de Wart Dark)

var articleAccueilPerso = "Special:Mypage/Accueil";           
// Convertit le nom d’article en chemin absolu
var cheminAccueilPerso = "/wiki/" + articleAccueilPerso;
// Redirection immédiate vers votre accueil personnel en cas de chargement de la page d’accueil par défaut
if (window.location.pathname != cheminAccueilPerso &&
    window.location.pathname == "/wiki/Accueil" && window.location.search == "")
  window.location.pathname = cheminAccueilPerso;
// Modifie les liens affichés dans la barre de navigation de toutes les pages une fois chargées
function liensAccueilPerso() {
  var element = document.getElementById("p-logo").getElementsByTagName("a")[0];
  element.setAttribute("href", cheminAccueilPerso);
  element.setAttribute("title", articleAccueilPerso);
  element = document.getElementById("n-mainpage").getElementsByTagName("a")[0];
  element.setAttribute("href", "/wiki/Accueil?1");
}
addLoadEvent(liensAccueilPerso);


/***********************************************************/
/* 8 : Lien Editcount */
// Auteur : Educa33e
var tabAction = "p-cactions";
function addECButton()
       {
        if ( window.location.href.indexOf('Contributions') < 0) return;
        var c = document.getElementById('contentSub');
        var a = c.getElementsByTagName('a');
        name = a[0].innerHTML;
        var l = document.getElementById(tabAction);
        t = l.innerHTML;
        ind = t.toLowerCase().indexOf("</ul>");
        before = t.substring(0,ind);
        after = t.substring(ind); 
        pitem = "<li><a href='http://tools.wikimedia.de/~interiot/cgi-bin/count_edits?user="+escape(name)+"&dbname=frwiki_p'>"+
                "<div id='EditCount' style='display:inline;'>" + 
                "Editcount"  + 
                "</div></a></li>";
        l.innerHTML = before + pitem + after ;           
      }
addLoadEvent(addECButton);


/*********************************/

// 9 : restauration avec boîte cochée d'office
// Auteur : Gôtô

obtenir("RestaurationDeluxe");

/*********************************/

// 10 : recherche avancée

document.write('<script type="text/javascript" src="' 
             + 'http://fr.wikipedia.org/w/index.php?title=Utilisateur:Wart_Dark/advanced_search.js' 
             + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');


/***********************************************************/

// 11 : Image Use
// Auteur : Anakin
// Dernière mise à jour : 11 décembre 2005

function ImageUse()
{
  var element = document.getElementById('ca-nstab-image');
  if (element)
  {
    var imagename = element.firstChild.href;

    var indexofname;
    if (imagename.indexOf("http://") != -1)
      indexofname = imagename.indexOf(":", 6);
    else
      indexofname = imagename.indexOf(":");

    imagename = imagename.substring(indexofname + 1);

    var indexofampersand = imagename.indexOf("&");
    if (indexofampersand != -1)
      imagename = imagename.substring(0, indexofampersand);

    var li = document.createElement('li');
    li.id = 'ca-imageuse';

    var a = document.createElement('a');
    a.appendChild(document.createTextNode("Voir l'utilisation"));
    a.href = 'http://www.juelich.de/avatar/check-usage/check-usage.php?filename=' + imagename + '&template';

    li.appendChild(a);

    document.getElementById('ca-nstab-image').parentNode.appendChild(li);
  }
}
  addLoadEvent(ImageUse);

/***********************************************************/

// 12 : Category Tree
// Auteur : Anakin
// Dernière mise à jour : 11 décembre 2005

function CategoryTree()
{
  var element = document.getElementById('ca-nstab-category');
  if (element)
  {
    var categoryname = element.firstChild.href;
    categoryname = categoryname.substring(7);

    var wikiname = categoryname.substring(0, categoryname.indexOf('.'));

    var indexofname = categoryname.indexOf(":") + 1;
    categoryname = categoryname.substring(indexofname);

    var indexofampersand = categoryname.indexOf("&");
    if (indexofampersand != -1)
      categoryname = categoryname.substring(0, indexofampersand);

    var li = document.createElement('li');
    li.id = 'ca-categorytree';

    var a = document.createElement('a');
    a.appendChild(document.createTextNode("Arborescence"));
    a.href = 'http://tools.wikimedia.de/~daniel/WikiSense/CategoryTree.php?wiki=' + wikiname + '&art=on&cat=' + categoryname;

    li.appendChild(a);

    document.getElementById('ca-nstab-category').parentNode.appendChild(li);
  }
}
  addLoadEvent(CategoryTree);


/***********************************************************/

// 14 : Barre d'édition Deluxe

function DeluxeBar() {
  if (document.createTextNode) {
      var toolbar = document.getElementById("toolbar"); 
    if (!toolbar) return;
    
        ///// zone personnalisable ////
    var messages = new Array()
        // le texte a été splitté sinon Mediawiki casse tout...
    messages[0] = "{{subst:" + "Utilisateur:Wart Dark/Bienvenue sur ta page"  + "}}" +  "~~" + "~~";
    messages[1] = "{{subst:" + "Bienvenue" + "}}" +  "~~" + "~~";
    messages[2] = "{{subst:" + "Vandalisme IP|page" + "}}" +  "~~" + "~~";

    messages[3] = "{{subst:" + "Bienvenue spammeur" + "}}" +  "~~" + "~~";
    messages[4] = "{{subst:" + "Utilisateur:Dake/Traité||~~" + "~~" + "}}";

        messages[5] = "{{subst:" + "Utilisateur:Dake/TraitéConserver||~~" + "~~" + "}}";
    messages[6] = "{{subst:" + "Utilisateur:Dake/TraitéSupprimer||~~" + "~~" + "}}";
    messages[7] = "{{" + "À recycler" + "}}";

        messages[8] = "{{subst:" + "Utilisateur:Eskimo/Copyvio|page|URL|titre" + "}} " +  "~~" + "~~";
    messages[9] = "{{" + "copie de site|URL|Titre" + "}}";
    messages[10] = "{{" + "suppression" + "}}";

        messages[11] = "{{subst:" + "Utilisateur:Meanos/Modèles/PAdQ rejetée|premier/second tour|0|0|0|-|~~" + "~~}}";
        messages[12] = "{{subst:" + "Utilisateur:Meanos/Modèles/PAdQ validée|premier/second tour|0|0|0|-|~~" + "~~}}";

    var images = new Array()
    images[0] = "http://upload.wikimedia.org/wikipedia/fr/1/12/Button_accueilA.png";
    images[1] = "http://upload.wikimedia.org/wikipedia/fr/e/eb/Button_accueilB.png";
        images[2] = "http://upload.wikimedia.org/wikipedia/fr/a/ad/Button_vandale2.png";
    images[3] = "http://upload.wikimedia.org/wikipedia/fr/f/fb/Button_spam2.png";

    images[4] = "http://upload.wikimedia.org/wikipedia/fr/d/d9/Button_trait%C3%A9.png";
    images[5] = "http://upload.wikimedia.org/wikipedia/fr/a/ae/Button_trait%C3%A9conserver.png";
    images[6] = "http://upload.wikimedia.org/wikipedia/fr/9/96/Button_trait%C3%A9supprimer.png";

    images[7] = "http://upload.wikimedia.org/wikipedia/fr/4/4d/Button_recyclage.png";
        images[8] = "http://upload.wikimedia.org/wikipedia/fr/e/e5/Button_copyvio.png";
    images[9] = "http://upload.wikimedia.org/wikipedia/fr/e/e5/Button_copyvio.png";
    images[10] = "http://upload.wikimedia.org/wikipedia/fr/f/f8/Button_suppr.png";
        images[11] = "http://upload.wikimedia.org/wikipedia/fr/c/cf/Button_PAdQ_rejet.png";
        images[12] = "http://upload.wikimedia.org/wikipedia/fr/2/29/Button_PAdQ_validation.png";

    var commentaires = new Array()
    commentaires[0] = "Bienvenue sur ta page !"
    commentaires[1] = "Bienvenue !"
    commentaires[2] = "Avertissement vandalisme";

        commentaires[3] = "Avertissement spam" ;
        commentaires[4] = "Traité"
        commentaires[5] = "Traité : page conservée" 

        commentaires[6] = "Traité : page supprimée"
        commentaires[7] = "À recycler";
        commentaires[8] = "Violation de copyright"

        commentaires[9] = "Violation de copyright";
        commentaires[10] = "Proposé à la suppression";
        commentaires[11] = "Notification de rejet de la proposition"
        commentaires[12] = "Notification de validation de la proposition"
        ////////////////////////////////

    for (var i=0;i<messages.length;i++) {
        var img = document.createElement("img");
        img.setAttribute("src", images[i]);
        
        var ref = document.createElement("a");
        ref.setAttribute("href", "javascript:insertTags('', \"" + messages[i] + "\", '');" + 
                         "javascript:changeSummary(\"" + commentaires[i] + "\");" ); 
        ref.appendChild(img); 
        
        toolbar.appendChild(ref);
    }
  }
}

function changeSummary(sampleText) {
    document.editform.wpSummary.value = sampleText;
}

addLoadEvent(DeluxeBar);


/***********************************************************/

// 15 : Sommaire d'édition améliorée

function changeSummary(sampleText) {

    var txtarea = document.editform.wpSummary;
    // IE
    if(document.selection  && !is_gecko) {
        var theSelection = document.selection.createRange().text;
        if(!theSelection) { theSelection=sampleText;}
        txtarea.focus();
        if(theSelection.charAt(theSelection.length - 1) == " "){// exclude ending space char, if any
            theSelection = theSelection.substring(0, theSelection.length - 1);
            document.selection.createRange().text = theSelection + " ";
        } else {
            document.selection.createRange().text =  theSelection ;
        }

    // Mozilla
    } else if(txtarea.selectionStart || txtarea.selectionStart == '0') {
        var replaced = false;
         var startPos = txtarea.selectionStart;
        var endPos = txtarea.selectionEnd;
        if(endPos-startPos) replaced=true;
        var scrollTop=txtarea.scrollTop;
        var myText = (txtarea.value).substring(startPos, endPos);
        if(!myText) { myText=sampleText;}
        if(myText.charAt(myText.length - 1) == " "){ // exclude ending space char, if any
            subst = myText.substring(0, (myText.length - 1)) + " ";
        } else {
            subst =  myText ;
        }
        txtarea.value = txtarea.value.substring(0, startPos) + subst +
          txtarea.value.substring(endPos, txtarea.value.length);
        txtarea.focus();
        //set new selection
        if(replaced){
            var cPos=startPos+(myText.length);
            txtarea.selectionStart=cPos;
            txtarea.selectionEnd=cPos;
        }else{
            txtarea.selectionStart=startPos;   
            txtarea.selectionEnd=startPos+myText.length;
        }    
        txtarea.scrollTop=scrollTop;

    // All other browsers get no toolbar.
    // There was previously support for a crippled "help"
    // bar, but that caused more problems than it solved.
    }
    // reposition cursor if possible
    if (txtarea.createTextRange) txtarea.caretPos = document.selection.createRange().duplicate();
}

/***********************************************************/

// 16 : Onglet Shortpages

function nouvelOnglet() {
  var a = document.getElementById("p-cactions");
        if (a) 
        {
          b = a.getElementsByTagName("ul");
          if(b.length > 0)
          {
            b[0].innerHTML = b[0].innerHTML
            + '<li id="ca-nstab-user">'
            + '<a href="/wiki/Special:Shortpages">'
            + 'shortpages</a></li>';
          }
        }
      }
      
addLoadEvent(nouvelOnglet);

function insertAfter(parent, node, referenceNode) {
    parent.insertBefore(node, referenceNode.nextSibling);
}



/***********************************************************/

// 17 : Barre de navigation personnalisée

function TodayDate() {
      m = new Array("janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre");
      today = new Date();
      day = today.getDate();
      year = today.getYear();
 
      if (year < 2000)    
           year = year + 1900;
 
      return (day + " " + m[today.getMonth()] + " " + year);
}
 
 
function OptimizedNavig() 
{
  var a = document.getElementById("p-navigation");
  if (a) 
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    {
      b[0].innerHTML = b[0].innerHTML
      + '<br>'
      + '<li><span id="n-bistro" title="Wikipédia:Le Bistro">'
      + '<a href="/wiki/Wikipédia:Le_Bistro/' + TodayDate() + '">Le Bistro</a>'
      + '</span></li>'
      + '<li><span id="n-pas" title="Wikipédia:Pages à supprimer">'
      + '<a href="/wiki/Wikipédia:Pages à supprimer">Pages à supprimer</a>'
      + '</span></li>'
      + '<br>'
      + '<li><span id="n-radmin" title="Wikipédia:Requête aux administrateurs">'
      + '<a href="/wiki/Wikipédia:Requête aux administrateurs">Requêtes</a>'
      + '</span></li>'
      + '<li><span id="n-npages" title="Special:Newpages">'
      + '<a href="/wiki/Special:Newpages">Nouvelles pages</a>'
      + '</span></li>'
      + '<li><span id="n-npages" title="Boîte à outils">'
      + '<a href="/w/index.php?title=Utilisateur:Wart Dark/Boîte à outils">Boîtes à outils</a>'
      + '</span></li>'
    }
  }
}
 
addOnloadHook(OptimizedNavig);


/***********************************************************/

// 18 : Importation d'images sur Commons

function PaletteOutils() 
{
  var a = document.getElementById("p-tb");
  if (a) 
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    {
      b[0].innerHTML = b[0].innerHTML
      + '<li><span id="n-bistro" title="http://commons.wikimedia.org/wiki/Special:Upload">'
      + '<a href="http://commons.wikimedia.org/wiki/Special:Upload">'
      + 'Importer une image sur Commons</a></span> </li>'
    }
  }
}
      
addLoadEvent(PaletteOutils);


/*****/

// 19 : Dérouler/Enrouler les sections (darkoneko)

/* ajoute une classe à un element */
function addClass(elem,classe) {
  elem.className += " "+classe;
}

/* enlève la premiere occurence du nom d'une classe d'un element */
function removeClass(elem,classe) {
    var reg = new RegExp('(\\s|^)'+classe+'(\\s|$)');
    elem.className=elem.className.replace(reg,' '); //ne replace que la premiere occurence (comme ça les hide imbriqués restent en hide ^^)
}

/* Cette fonction ajoute un "onclick" sur chaque titre, qui lancera un appel à toogleTitle() lors d'un clic sur ceux ci */
function ImplementToogleOnclick() {
   for( var titleLevel = 1 ; titleLevel <= 6 ; titleLevel++) { //tous les h1, h2 ... h6
      var titleList = document.getElementsByTagName('h' + titleLevel)
      var nb = titleList.length
      for( var a = 0 ; a < nb ; a++) {
          titleList[a].setAttribute('onclick', "toogleTitle(this)");
      }
   }
  //pour que ça ne se replie pas quand on clique sur un bouton modifier, on annule l'event au niveau du lien
  var editLinkList = document.getElementsByClassName('editsection')
  nb = editLinkList.length
  for( a = 0 ; a < nb ; a++) {
     editLinkList[a].setAttribute('onclick', "event.cancelBubble=true;");
  }
}
addOnloadHook(ImplementToogleOnclick)

/* Cette fonction, quand invoquée, fait disparaitre ou réaparaitre le contenu placé sous un titre jusqu'au prochain titre de niveau egal ou supérieur
(= un h3 s'arrete au prochain h2 ou h3 mais continuera s'il rencontre un h4 ou h5) */
function toogleTitle(p_this) {
  var titre_niveau = p_this.nodeName.substring(1,2) //le x de hx (1 de h1, etc.)

  //construction de l'expression reguliere permettant le trouver le prochain titre de niveau égal ou supérieur
  var stopMatch = "(h1"
  for(var niveau = 2 ; niveau <= titre_niveau ; niveau++)  {
    stopMatch += "|h" + niveau
  }
  stopMatch += ")"
  regex_stopMatch = new RegExp(stopMatch, "i" )

  var nextSiblingNode = p_this.nextSibling

  if( p_this.className != "neko_toogle_cache"  ) { // il faut replier
    p_this.className = "neko_toogle_cache"  //on ajoute une classe au titre pour savoir s'il est en mode replié

    while( nextSiblingNode ) {
       if( nextSiblingNode.nodeName.match(regex_stopMatch) ) break; //on a atteint le titre "bloquant" suivant = stop
       if( nextSiblingNode.style && nextSiblingNode.nodeName != 'SCRIPT' ) addClass(nextSiblingNode, "hidden") //ne pas affecter les nodes texte ni script
       nextSiblingNode = nextSiblingNode.nextSibling //on passe au voisin suivant
    }
  } else { //il faut déplier
    p_this.className = ""

    while( nextSiblingNode ) {
       if( nextSiblingNode.nodeName.match(regex_stopMatch) ) break;
       if( nextSiblingNode.style && nextSiblingNode.nodeName != 'SCRIPT' ) removeClass(nextSiblingNode, "hidden")
       nextSiblingNode = nextSiblingNode.nextSibling
    }
  }
}


/***********************************************************/

// 20 : Résumé Deluxe 

// Résumé Deluxe 
// Fonction ResumeDeluxeModif
//
// Code : Dake & Modifications de GôTô
function addToSummary(str) {
    if (document.editform.wpSummary.value != 0) {
        document.editform.wpSummary.value+=' - ';
    }
    
    document.editform.wpSummary.value+=str;
}

function DeluxeSummary()
{
        var sumLbl = document.getElementById("wpSummaryLabel")
        if (sumLbl)
        {
                //élargissement boite de résumé
                var sumInput = document.getElementById("wpSummary")
                sumInput.style.width = "100%"

                var titles = new Array()
                titles.push("Ortho")
                titles.push("Wiki")
                titles.push("style")
                titles.push("retouche")
                titles.push("+ Ébauche")
                titles.push("+ Cat")
                titles.push("homonymie")
                titles.push("- Lien rouge")
                titles.push("coquille")
                titles.push("interwiki")
                titles.push("mise en page")
                titles.push("redirect")
                titles.push("Commons")


                var inputs = new Array()
                inputs.push("Orthographe")
                inputs.push("Wikification")
                inputs.push("style")
                inputs.push("retouche de la modification précèdente")
                inputs.push("ébauchage")
                inputs.push("catégorisation")
                inputs.push("homonymie")
                inputs.push("Correction lien rouge")
                inputs.push("coquille")
                inputs.push("interwiki")
                inputs.push("mise en page")
                inputs.push("redirection")
                inputs.push("Remplacement image par version de Commons")

                
                var str = ""
                for (var cpt = 0; cpt < titles.length; cpt ++)
                {
                        str += "<a href=\"javascript:addToSummary('"+ inputs[cpt] + "')\""
                                + " class=\"sumLink\" title=\"Ajouter '" + inputs[cpt] +"' dans la boîte de résumé\">"
                                + titles[cpt]
                                + "</a> "
                }
                sumLbl.innerHTML = str + "<br />" + sumLbl.innerHTML
        }
}

addLoadEvent(DeluxeSummary)



/****************************************************/
/* 21 boutons prédéfinis pour justifier un blocage */
/* Auteur : Pabix                                 */
/*************************************************/

function BlocageDeluxe() {
  if (document.title.indexOf("Bloquer le compte - Wikipédia")!=0) return; 
  var mainNode = document.getElementsByTagName("form");
  var firstForm = mainNode[0];
  var messages = new Array()
    messages[0] = "Vandalismes divers";
    messages[1] = "Suite à décision du comité d'arbitrage";
    messages[2] = "Malgré plusieurs avertissements";
    messages[3] = "Récidiviste";
    messages[4] = "Identifiant à caractère injurieux";
    messages[5] = "Robot fou";
    messages[6] = "Spammeur";
 var duree = new Array()
    duree[0] = "6 hours";
    duree[1] = "1 month";
    duree[2] = "3 days";
    duree[3] = "10 days";
    duree[4] = "infinite";
    duree[5] = "infinite";
    duree[6] = "2 hours";
  var table = document.createElement("table");
  var tr = document.createElement("tr");
  table.appendChild(tr);
  if (firstForm.getAttribute("id")=="blockip") {
    actionBlock = firstForm.getAttribute("action");
    var inputs = firstForm.getElementsByTagName("input");
    var token = inputs[4].getAttribute("value");
    var lePauvre = inputs[0].getAttribute("value");
    for (var i=0;i<messages.length;i++) {
   //   if (i%3==0) {
        tr = document.createElement("tr");
        table.appendChild(tr);
   //   }
      var formElement = document.createElement("form");
      formElement.setAttribute("id", "blockip");
      formElement.setAttribute("method", "post");
      formElement.setAttribute("action", actionBlock);
      var inputReason = document.createElement("input");
      inputReason.setAttribute("name", "wpBlockReason"); 
      inputReason.setAttribute("value", messages[i]); 
      inputReason.setAttribute("type", "hidden"); 
      var dureeC = document.createElement("input");
      dureeC.setAttribute("name", "wpBlockExpiry"); 
      dureeC.setAttribute("value", "other"); 
      dureeC.setAttribute("type", "hidden");
      var dureeC2 = document.createElement("input");
      dureeC2.setAttribute("name", "wpBlockOther"); 
      dureeC2.setAttribute("value", duree[i]); 
      dureeC2.setAttribute("type", "text");
      var inputConfirm = document.createElement("input");
      inputConfirm.setAttribute("name", "wpBlock"); 
      inputConfirm.setAttribute("value", messages[i]); 
      inputConfirm.setAttribute("type", "submit");
      var ident = document.createElement("input");
      ident.setAttribute("name", "wpBlockAddress"); 
      ident.setAttribute("value", lePauvre); 
      ident.setAttribute("type", "hidden"); 
      var inputToken = document.createElement("input");
      inputToken.setAttribute("name", "wpEditToken"); 
      inputToken.setAttribute("value", token); 
      inputToken.setAttribute("type", "hidden"); 
      formElement.appendChild(inputReason);
      formElement.appendChild(dureeC);
      formElement.appendChild(dureeC2);
      formElement.appendChild(inputConfirm);
      formElement.appendChild(inputToken);
      formElement.appendChild(ident);
      var td = document.createElement("td");
      td.appendChild(formElement);
      tr.appendChild(td); 
    }
    var separation = document.createElement("p");
    separation.appendChild(document.createElement("hr"));
    insertAfter(firstForm.parentNode, separation, firstForm);
    insertAfter(firstForm.parentNode, table, separation);
  }
}
addLoadEvent(BlocageDeluxe)