// à base d'un copier coller de http://fr.wikipedia.org/wiki/Utilisateur:Tvpm/monobook.js

// Utilisation d'une image
// Barre de synthèse des modifs
// Historique des shortpages
// Barre des tabs en bas
// Über-God mod


 // ----------------------------------------------------------------------------- 
 // Image située sur différents wiki | Gracias Anakin (:
 
 function ImageUse()
 {
   if (!(document.getElementById('ca-nstab-image'))) return false;

   var imagename = document.getElementById('ca-nstab-image').firstChild.href;
   imagename = imagename.substring(imagename.indexOf("Image:") + 6);
   var indexofempercent = imagename.indexOf("&");
   if (indexofempercent != -1)
     imagename = imagename.substring(0, indexofempercent);
 
   if(imagename)
   {
     var li = document.createElement('li');
     li.id = 'ca-imageuse';
 
     var a = document.createElement('a');
     a.appendChild(document.createTextNode("Voir l'utilisation"));
     a.href = 'http://www.juelich.de/avatar/check-usage/check-usage.php?filename=' + imagename + '&template';
 
     li.appendChild(a);
 
     document.getElementById('ca-watch').parentNode.appendChild(li);
   }
 }
 addLoadEvent(ImageUse);

 // -----------------------------------------------------------------------------
 // Synthèse rapide des modifs (résumé deluxe), by Gôtô & Dake.

 function addToSummary(str)
 {
        document.editform.wpSummary.value += " " + str
 }

 function DeluxeSummary()
 {
        var sumLbl = document.getElementById("wpSummaryLabel")
        if (sumLbl)
        {
                //élargissement boite de résumé
                var sumInput = document.getElementById("wpSummary")
                sumInput.style.width = "90%"

                var titles = new Array()
                titles.push("cat")
                titles.push("rd")
                titles.push("image")
                titles.push("interwiki")
                titles.push("taxo")
                titles.push("pub")
                titles.push("Wikif’")
                titles.push("Recyc’")
                titles.push("Ortho’")
                titles.push("Retouches")
                titles.push("ajInfo")
                titles.push("réorg")

                var inputs = new Array()
                inputs.push("Catégorisation")
                inputs.push("Redirection.")
                inputs.push("Ajout(s) ou réparation(s) d’image(s).")
                inputs.push("Interwikification de l’article.")
                inputs.push("Taxobisation du sujet.")
                inputs.push("Sans la pub, c’est mieux.")
                inputs.push("Wikification d’éléments.")
                inputs.push("Recyclage.")
                inputs.push("Problème(s) d’orthographe et/ou de grammaire.")
                inputs.push("Diverses retouches.")
                inputs.push("Ajout d’infos")
                inputs.push("Réorganisation(s).")
                
                var str = ""
                for (var cpt = 0; cpt < titles.length; cpt ++)
                {
                        str += "<a href=\"javascript:addToSummary('" + inputs[cpt] + "')\""
                                + " class=\"sumLink\" title=\"Ajouter '" + inputs[cpt] +"' dans la boîte de résumé\">"
                                + titles[cpt]
                                + "</a> "
                }
                sumLbl.innerHTML = str + "<br />" + sumLbl.innerHTML
        }
 }

 addLoadEvent(DeluxeSummary)

 // ----------------------------------------------------------------------------- 
 // Onglet Purge
 
 function OngletPurge() {
   var a = document.getElementById("p-cactions");
        if (a) 
        {
          var pageName = document.title.replace(" - Wikipédia", ""); 
          b = a.getElementsByTagName("ul");
                  
          if(b.length > 0)
          {
            b[0].innerHTML = b[0].innerHTML
            + '<li id="ca-nstab-user">'
            + '<a href="/w/index.php?action=purge&title=' + pageName + '">purge</a>'
            + '</li>';
          }
        }
      }
 addLoadEvent(OngletPurge);

 // -----------------------------------------------------------------------------
 // Ajout de l'historique/pages liées sur les Special:Shortpages, by Dake (:

 function OptimizedShortPages() {
        if (document.URL.indexOf("http://fr.wikipedia.org/wiki/Special:Shortpages")!=0) return; 
        
        var mainNode = document.getElementsByTagName("ol");
   
        var allArticles = mainNode[0].getElementsByTagName("li"); 
        for (i=0; i<allArticles.length; i++) {
                var articleName = allArticles[i].childNodes[0].getAttribute("title");

                var historyElement = document.createElement("a");
                var histUrl      = "/w/index.php?title=" + articleName + "&action=history"
                historyElement.setAttribute("href", histUrl);
                var historyText = document.createTextNode("… (hist) ");
                historyElement.appendChild(historyText);
        
                insertAfter(allArticles[i], historyElement, allArticles[i].childNodes[1]); 
                
                var relatedElement = document.createElement("a");
                var relatedUrl  = "/wiki/Special:Whatlinkshere/" + articleName
                relatedElement.setAttribute("href", relatedUrl);
                var relatedText = document.createTextNode(" (liens) ");
                relatedElement.appendChild(relatedText);
                
                var diffElement = document.createElement("a");
                var diffUrl      = "/w/index.php?title=" + articleName + "&diff=0"
                diffElement.setAttribute("href", diffUrl);
                var diffText = document.createTextNode(" (diff) ");
                diffElement.appendChild(diffText);
                
                insertAfter(allArticles[i], relatedElement, historyElement);
                insertAfter(allArticles[i], diffElement, relatedElement);
                insertAfter(allArticles[i], document.createTextNode(allArticles[i].childNodes[1].data), diffElement);
                
                allArticles[i].removeChild(allArticles[i].childNodes[1]); 
          }
 }

 addLoadEvent(OptimizedShortPages);

//----------------------------------

function addArticleTrafficStatistics()
{
  var histo = document.getElementById("ca-history");
  if(histo)
  {
    var lien = document.createElement("a");
    var today = new Date();
    var annee = today.getYear() + 1900;
    var mois = new String(today.getMonth() + 1);
    if(mois.length < 2)
    {
      mois = "0" + mois;
    }
    lien.setAttribute("href", "http://stats.grok.se/fr/" + annee + mois + "/" + wgPageName);
    lien.appendChild(document.createTextNode("Consultation"));
 
    var stats = document.createElement("li");
    stats.setAttribute("id", "ca-stats");
    stats.appendChild(lien);
 
    histo.parentNode.insertBefore(stats, histo.nextSibling);
  }
}
addOnloadHook(addArticleTrafficStatistics);


// Outil sur les redirections grâce aux popups
popupFixRedirs = true;