'''aib''' est un script à importer dans son [[Spécial:Ma page/monobook.js|monobook.js]] pour disposer de fonctionnalités supplémentaires.

== Installation ==

Pour installer aib, il suffit d'ajouter la ligne suivante dans son [[Spécial:Ma page/monobook.js|monobook.js]] (dans le cas ou le thème utilisé est Monobook).

<source lang="javascript">
importScript('Utilisateur:Arkanosis/aib.js');
</source>

''Attention'', en faisant ceci, vous incluez un script situé sur le compte de [[Utilisateur:Arkanosis|Arkanosis]], et vous serez impacté par toutes les modifications qu'il apportera au script ultérieurement.

Si cela est souhaitable pour bénéficier en permanence des dernières améliorations, corrections de bugs et nouvelles fonctionnalités, c'est potentiellement problématique sur le plan de la sécurité.
Évitez donc cette manipulation si vous êtes CU, Steward ou Oversight.

Par ailleurs, le script peut cesser de fonctionner pendant les mises à jour (qui devraient néanmoins être rares et rapides).

Pour être prévenu des mises à jour, pensez à placer cette page de documentation dans votre liste de suivi : elle est mise à jour à chaque nouvel ajout de fonctionnalité.

== Fonctionnalités ==

''Attention'', le développement d'aib en est à son tout début. Son fonctionnement n'est absolument pas garanti.

=== Activées par défaut ===

* aib ajoute un onglet à gauche de l'onglet "modifier" permettant d'ajouter rapidement une infobox biographie
* si cela est possible, aib tente d'extraire un maximum d'informations possibles de l'article pour remplir automatiquement l'infobox

=== À activer par l'utilisateur ===

''Rien pour l'instant''

=== Options ===

''Rien pour l'instant''

=== Exemple de configuration de aib dans un monobook.js ===

<source lang="javascript">

// Options

// Activation de aib
importScript('Utilisateur:Arkanosis/aib.js');

</source>

== Support ==

Le support de xpatrol est assuré sur [[Discussion utilisateur:Arkanosis|la page de discussion d'Arkanosis]].

== Historique des version ==

* 19 décembre 2009 (première version) : Ajout rapide d'une infobox biographie avec remplissage automatique du nom et des dates de naissance et de décès

== Nouvelles fonctionnalités prévues pour les prochaines versions ==

Les fonctionnalités suivantes sont prévues pour les prochaines versions de xpatrol :

* Extraction de plus d'informations des articles
* Autres types d'infoboxes
* Extraction de données présentes sur d'autres sites que Wikipédia (scrapping)

Vous pouvez suggérer l'ajout d'autres fonctionnalités sur [[Discussion utilisateur:Arkanosis|la page de discussion d'Arkanosis]].

== Remerciements ==

Les personnes suivantes ont contribué à l'amélioration de aib :