//{{Projet:JavaScript/Script|AjoutBoutonSource}}
//<nowiki>
/*
* AjoutBoutonSource (basé sur DeluxeBar de Dake)
*
* Ajoute plusieurs boutons pour faciliter le "sourçage" lors de l'édition d'un article, avec possibilité de cacher certains boutons.
*
* Auteur : Sanao
* Dernière révision : 21 novembre 2007
*/
 function AjoutBoutonSource()
{
  var messages_debut = new Array();
  var messages_fin = new Array();
  var images = new Array();
  var commentaires = new Array();
  var id_images = new Array();
  var langue = getVarValue("langue_citation_etrangere", "en");
  
  with (messages_debut) 
  {
    push("{{Citation|"); //Citation française
    push("{{Citation étrangère|langue=" + langue + "|"); //Citation étrangère
    push(""); //À sourcer
    push("{{Référence nécessaire|"); //Référence nécessaire
    push(""); //Lien web
    push(""); //Article
    push(""); //Livre
  }
 
  with (messages_fin) 
  {
    push("}}"); //Citation française
    push("}}"); //Citation étrangère
    push("{{à sourcer|date=" + getStrDateToday("m a") + "}}"); //À sourcer
    push("|date=" + getStrDateToday("m a") + "}}"); //Référence nécessaire
    
    push("<ref>{{Lien web\n|url=\n|titre=\n|id=\n|série=\n|auteur=\n|lien auteur=\n|coauteurs=\n|date=\n|année=\n|mois=\n|site=\n|éditeur=\n|page=\n|citation=\n|en ligne le=\n|consulté le=" + getStrDateToday("j m a") + "\n}}</ref>");
    
    push("<ref>{{Article\n|langue=\n|prénom1=\n|nom1=\n|lien auteur1=\n|titre=\n|périodique=\n|lien périodique=\n|jour=\n|mois=\n|année=\n|volume=\n|numéro=\n|pages=\n|issn=\n|url texte=\n|consulté le=\n}}</ref>");
    
    push("<ref>{{ouvrage\n|langue=\n|prénom1=\n|nom1=\n|lien auteur1=\n|titre=\n|sous-titre=\n|numéro d'édition=\n|éditeur=\n|lien éditeur=\n|lieu=\n|jour=\n|mois=\n|année=\n|volume=\n|tome=\n|pages totales=\n|passage=\n|isbn=\n|lire en ligne=\n|consulté le=\n}}</ref>");
}
 
  with (images)
  {
    push("http://upload.wikimedia.org/wikipedia/commons/2/26/Button_latinas.png");
    push("http://upload.wikimedia.org/wikipedia/commons/0/05/Button_Anführung.png");
    push("http://upload.wikimedia.org/wikipedia/commons/5/5c/Button_references2.png");
    push("http://upload.wikimedia.org/wikipedia/commons/3/33/Button_unreferenced.png");
    push("http://upload.wikimedia.org/wikipedia/commons/3/3c/Button_lienweb.png");
    push("http://upload.wikimedia.org/wikipedia/commons/b/b4/Button_lienjournal.png");
    push("http://upload.wikimedia.org/wikipedia/commons/e/ef/Button_cite_book.png");
  }
 
  with (commentaires)
  {
    push("Citation française");
    push("Citation étrangère");
    push("Section ou article à sourcer");
    push("Référence nécessaire");
    push("Lien web");
    push("Article");
    push("Livre");
  }
 
  with (id_images)
  {
    push("citation_francaise");
    push("citation_etrangere");
    push("a_sourcer");
    push("ref_nec");
    push("lien_web");
    push("article");
    push("livre");
  }

  ajoutBoutonsToolbar(messages_debut, messages_fin, commentaires, images, id_images);
}
if( wgAction == 'edit' || wgAction == 'submit' ) addOnloadHook(AjoutBoutonSource);
//</nowiki>