/* {{Projet:JavaScript/Script|HotCatsMultiLang}} */

/*
Fichier d'internationalisation du gadget [[MediaWiki:Gadget-HotCatsMulti.js]]

Voir page de discussion

*/
//<source lang=javascript>//<pre><nowiki>
function hotcat_LangCustom(){
    if(wgUserLanguage=="fr") return; // Langue par défaut
    else hotcat_GetLangCustom(wgUserLanguage);

}

function hotcat_GetLangCustom(Lang){

    if(Lang=="en"){ ////////////////////////////////////////////// ANGLAIS
        // "Catégories"
        hotcat_text_MainCategoryText = "Categories";
        // "Modifier plusieurs catégories";
        hotcat_text_MultiLinkTitle = "Modify several categories";
        // "Ajouter/modifier/supprimer la clef de tri principale";
        hotcat_text_DefaultSortTitle = "Add/modify/remove {{DEFAULTSORT:}}";
        // "Valider"
        hotcat_text_MultiInputOK = "Save";
        // "Annuler"
        hotcat_text_MultiInputCancel = "Cancel";
        // "Supprimer la catégorie"
        hotcat_text_RemoveLinkTitle = "Remove category";
        // "Voulez-vous vraiment supprimer la catégorie";
        hotcat_text_RemoveConfirm = "Do you really want to remove category";
        // "Modifier la catégorie"
        hotcat_text_ModifyLinkTitle = "Modify category";
        // "Ajouter une catégorie"
        hotcat_text_AddLinkTitle = "Add a category";
        // "Cette catégorie existe."
        hotcat_text_Exists_YesTitle = "This category exists";
        // "Cette catégorie n'existe pas."
        hotcat_text_Exists_NoTitle = "This category doesn't exist";
        // "Suggérer les catégories-mères"
        hotcat_text_ParentTitle = "Search parent categories";
        // "Suggérer les catégories-filles"
        hotcat_text_DaughterTitle =  "Search sub-categories";
        // "OK"
        hotcat_text_InputOK = "OK";
        // "Annuler"
        hotcat_text_InputCancel = "Cancel";
        // "Récapitulatif :"
        hotcat_text_RecapTitle = "Recapitulatory :";
        // "Catégories à supprimer :"
        hotcat_text_RecapRemove = "Categories to remove :";
        // "Catégories à modifier :"
        hotcat_text_RecapModify = "Categories to modify :";
        // "Catégories à ajouter :"
        hotcat_text_RecapAdd = "Categories to add :";
        // "Clef de tri globale :'
        hotcat_text_RecapSort = "{{DEFAULTSORT:}} :";
        // "Impossible de trouver la catégorie « $1 » - elle est peut-être incluse via un modèle."
        hotcat_text_AlertProblem1 = "Catégory « $1 » not found. It may be in a template."
        // "La catégorie « $1 » est déjà présente."
        hotcat_text_AlertProblem2 = "Catégory « $1 » already present.";
        // "Plusieurs occurrences de la catégorie « $1 » trouvées."
        hotcat_text_AlertProblem3 = "Found more than one occurrence of category « $1 »";

    } /////////////////////////////FIN ANGLAIS

    if(Lang=="it"){ ////////////////////////////////////////////// ITALIEN
        // "Catégories"
        hotcat_text_MainCategoryText = "Categorie";
        // "Modifier plusieurs catégories";
        hotcat_text_MultiLinkTitle =  "Modificare molte categorie";
        // "Ajouter/modifier/supprimer la clef de tri principale";
        hotcat_text_DefaultSortTitle = "Modificare {{DEFAULTSORT:}}";
        // "Valider"
        hotcat_text_MultiInputOK =  "Validare";
        // "Annuler"
        hotcat_text_MultiInputCancel =  "Annullare";
        // "Supprimer la catégorie"
        hotcat_text_RemoveLinkTitle =  "Cancellare la categoria";
        // "Voulez-vous vraiment supprimer la catégorie";
        hotcat_text_RemoveConfirm = "Vuole realmente cancellare la categoria";
        // "Modifier la catégorie"
        hotcat_text_ModifyLinkTitle = "Modificare la categoria";
        // "Ajouter une catégorie"
        hotcat_text_AddLinkTitle = "Aggiungere una categoria";
        // "Cette catégorie existe."
        hotcat_text_Exists_YesTitle =  "Questa categoria esista.";
        // "Cette catégorie n'existe pas."
        hotcat_text_Exists_NoTitle =  "Questa categoria non esista.";
        // "Suggérer les catégories-mères"
        hotcat_text_ParentTitle =  "Suggerire le categorie madre";
        // "Suggérer les catégories-filles"
        hotcat_text_DaughterTitle =  "Suggerire le categorie sorelle";
        // "OK"
        hotcat_text_InputOK = "OK";
        // "Annuler"
        hotcat_text_InputCancel =  "Annullare";
        // "Récapitulatif :"
        hotcat_text_RecapTitle =  "Riassunto :";
        // "Catégories à supprimer :"
        hotcat_text_RecapRemove =  "Categorie da cancellare :";
        // "Catégories à modifier :"
        hotcat_text_RecapModify =  "Categorie da modificare :";
        // "Catégories à ajouter :"
        hotcat_text_RecapAdd =  "Categorie da aggiungere :";
        // "Clef de tri globale :'
        hotcat_text_RecapSort = "{{DEFAULTSORT:}} :";
        // "Impossible de trouver la catégorie « $1 » - elle est peut-être incluse via un modèle."
        hotcat_text_AlertProblem1 =  "Impossibile da trovare la catégoria « $1 » - è forse inclusa via uno template.";
        // "La catégorie « $1 » est déjà présente."
        hotcat_text_AlertProblem2 =  "La categoria « $1 » è già inclusa.";
        // "Plusieurs occurrences de la catégorie « $1 » trouvées."
        hotcat_text_AlertProblem3 =  "Molte possibilità trovate per la categoria « $1 ».";
 
    } /////////////////////////////FIN ITALIEN

    if(Lang=="br"){ ////////////////////////////////////////////// BRETON

        // libellé du lien vers le mode "multi"
        hotcat_text_MultiLinkText = "(±)";
        // popup du lien vers le mode "multi"
        hotcat_text_MultiLinkTitle = "Kemm meur a rummad";
        // libellé du bouton de validation du mode "multi"
        hotcat_text_MultiInputOK = "Gwiriekaat";
        // libellé du bouton d'annulation du mode "multi"
        hotcat_text_MultiInputCancel = "Nullañ";
        // libellé du lien pour modifier le {{DEFAULTSORT:}}
        hotcat_text_DefaultSortText = "(D)";
        // popup du lien pour modifier le {{DEFAULTSORT:}}
        hotcat_text_DefaultSortTitle = "Ouzhpennañ/Kemm/Dilemel an alc'hwez diforc'hañ pennañ";
        // libellé du lien pour supprimer une catégorie
        hotcat_text_RemoveLinkText = "(–)";
        // popup du lien pour supprimer une catégorie
        hotcat_text_RemoveLinkTitle = "Dilemel ar rummad";
        // texte de la popup de confirmation de suppression d'une catégorie
        hotcat_text_RemoveConfirm = "Ha c'hoant hoc'h eus dilemel ar rummad";
        // libellé du lien pour modifier une catégorie
        hotcat_text_ModifyLinkText = "(±)";
        // popup du lien pour modifier une catégorie
        hotcat_text_ModifyLinkTitle = "Kemm ar rummad";
        // libellé du lien pour ajouter une catégorie
        hotcat_text_AddLinkText = "(+)";
        // popup du lien pour ajouter une catégorie
        hotcat_text_AddLinkTitle = "Ouzhpennañ ur rummad";
        // popup de l'icône "existe"
        hotcat_text_Exists_YesTitle = "Ar rummad-mañ a zo anezhañ.";
        // popup de l'icône "n'existe pas"
        hotcat_text_Exists_NoTitle = "N'eusk ket eus ar rummad-se.";
        // libellé du bouton de suggestion de catégories-mères
        hotcat_text_ParentText = "↑";
        // popup du bouton de suggestion de catégories-mères
        hotcat_text_ParentTitle = "Atizañ ar usrummadoù";
        // libellé du bouton de suggestion de sous--catégories
        hotcat_text_DaughterText  = "↓"; 
        // popup du bouton de suggestion de sous--catégories
        hotcat_text_DaughterTitle = "Atizañ ar isrummadoù";
        // libellé des boutons de confirmation
        hotcat_text_InputOK  = "OK";
        // libellé des boutons d'annulation
        hotcat_text_InputCancel = "Nullañ";
        // titre de la légende
        hotcat_text_LabelText = "Alc'hwez";
        // popup du lien vers la documentation :
        hotcat_text_LabelTitle = "gwelout ar bajenn sikour (prenestr nevez)";
        // titre du récapitulatif
        hotcat_text_RecapTitle = 'Dezastum:';
        // "Catégories à supprimer" dans le récapitulatif et la légende
        hotcat_text_RecapRemove = 'Rummadoù da nullañ';
        // "Catégories à modifier" dans le récapitulatif et la légende
        hotcat_text_RecapModify = 'Rummadoù da gemm'
        // "Catégories à ajouter" dans le récapitulatif et la légende
        hotcat_text_RecapAdd = 'Rummadoù da ouzhpennañ';
        // "Clef de tri globale" dans le récapitulatif
        hotcat_text_RecapSort = 'Alc\'hwez dirfoc\'hañ hollek';
        // "Édition mineure" dans le récapitulatif et la popup des boutons "radio"
        hotcat_text_Minoredit = "Kemm dister";
        // "Suivre cette page" dans le récapitulatif et la popup des boutons "radio"
        hotcat_text_Watchthis = "Heuliañ ar bajenn-mañ";
        // "Défaut" dans le récapitulatif et la popup des boutons "radio"
        hotcat_text_RadioDefault = "Diouer";
        // "Oui" dans le récapitulatif et la popup des boutons "radio"
        hotcat_text_RadioYes = "Ya";
        // "Non" dans le récapitulatif et la popup des boutons "radio"
        hotcat_text_RadioNo = "Nann";
        // Pop-up d'erreur "Impossible de trouver la catégorie"
        hotcat_text_AlertProblem1 = "Dibosubl eo da gavout ar rummad « $1 » - marteze emañ enklozet dre ur patrom.";
        // Pop-up d'erreur "La catégorie est déjà présente"
        hotcat_text_AlertProblem2 = "Ar rummad « $1 » a zo dija anezhañ.";
        // Pop-up d'erreur "Plusieurs occurrences de la catégorie trouvées"
        hotcat_text_AlertProblem3 = "Meur a reveziadenn eus ar rummad « $1 » a zo bet kavet.";

    } /////////////////////////////FIN BRETON

} //////////////////////////////////////////////// FIN FONCTION LANGAGE
//</nowiki></pre></source>