/* {{Projet:JavaScript/Script|NoBlockIpBots}} */

/* 

Permet aux administrateurs d'être prévenus si ils s'apprêtent à bloquer un bot afin de ne pas bloquer son IP

*/

if(wgCanonicalSpecialPageName=="Blockip") addOnloadHook(NoBlockIpBots);

function NoBlockIpBots(){

// désactivation du script si la variable NoBlockIpBots_Disabled existe
      if(typeof(NoBlockIpBots_Disabled) != 'undefined') return; 

// vérification que les éléments sont présents (non sysops)
      var uNameInput = document.getElementById('mw-bi-target');
      var IPcheckbox = document.getElementById("wpEnableAutoblock");
      if((!uNameInput)||(!IPcheckbox)) return; 

// si le nom d'utilisateur est modifié, relancer la requête
      uNameInput.onkeyup = function(){
            setTimeout("NoBlockIpBots()", 500);
      }
// Lancement requête
      var uName = uNameInput.value;
      var NouvelleRequete = sajax_init_object();
      var AdresseRequete = wgServer + '/w/api.php?format=xml&action=query&list=allusers&aulimit=1&auprop=groups&augroup=bot&aufrom=' + uName.replace(/&/g,"%26");
      NouvelleRequete.open("GET", AdresseRequete, true);
      NouvelleRequete.onreadystatechange = function() {
            if(NouvelleRequete.readyState != 4 || NouvelleRequete.status != 200) return;
            var ElementTraitement = NouvelleRequete.responseXML; 
            var Bot = ElementTraitement.getElementsByTagName('u')[0];
            if(!Bot) return;
            var BotName = Bot.getAttribute("name");
            if(BotName==uName){
                  if(document.getElementById('Span_IsBot')) return;
                  var AlertMsg = document.createElement('span');
                  AlertMsg.id = 'Span_IsBot';
                  AlertMsg.innerHTML = '<b>Cet utilisateur est un bot : ne pas bloquer son IP</b>';
                  uNameInput.parentNode.appendChild(AlertMsg);
                  IPcheckbox.checked = false;
            }else{
                  var LastSpan = document.getElementById('Span_IsBot');
                  if(LastSpan) LastSpan.parentNode.removeChild(LastSpan);
                  IPcheckbox.checked = "checked";
            }
      }
      NouvelleRequete.send(null);
}