/* {{Projet:JavaScript/Script|TagFilterDeluxe}} */

// /////////////////////////////////////////////////////// LANCEMENT

if(wgCanonicalSpecialPageName=="Recentchanges" || wgCanonicalSpecialPageName == "Newpages" || wgCanonicalSpecialPageName == "Contributions"){ 
     var TagFilterDeluxe_FilterList = new Array();
     var TagFilterDeluxe_GetFiltersOK = false;
     var TagFilterDeluxe_LoadOK = false;
     TagFilterDeluxe_GetFilters();
     addOnloadHook(TagFilterDeluxe_createOptions);
}

// /////////////////////////////////////////////////////// RECHERCHE DES FILTRES EXISTANTS
 
 
function TagFilterDeluxe_GetFilters(){
      var AdresseRequete = wgServer + wgScriptPath + '/api.php?format=xml&action=query&list=tags&tglimit=499&tgprop=displayname|hitcount';
      var NouvelleRequete = sajax_init_object();
      NouvelleRequete.open("GET", AdresseRequete, true);
      NouvelleRequete.onreadystatechange = function() {
            if(NouvelleRequete.readyState != 4 || NouvelleRequete.status != 200) return;
            var ObjetXML = NouvelleRequete.responseXML; 
            var Informations = ObjetXML.getElementsByTagName('tag');
            for(var a=0;a<Informations.length;a++){
                  var DescriptionFiltre = Informations[a].getAttribute('displayname');
                  DescriptionFiltre = DescriptionFiltre.replace(/.*nbsp;: /g, "");
                  DescriptionFiltre = DescriptionFiltre.replace(/&nbsp;/g, " ");     
                  DescriptionFiltre = DescriptionFiltre.replace(/<abbr [^>]+>/g, "");
                  DescriptionFiltre = DescriptionFiltre.replace(/<\/abbr>/g, "");
                  DescriptionFiltre = DescriptionFiltre.replace(/« /g, "");  
                  DescriptionFiltre = DescriptionFiltre.replace(/ »/g, ""); 
                  TagFilterDeluxe_FilterList.push(DescriptionFiltre);
            }
            TagFilterDeluxe_GetFiltersOK = true;
            if(TagFilterDeluxe_LoadOK) TagFilterDeluxe_createOptions(); 
      }
      NouvelleRequete.send(null);
}

// /////////////////////////////////////////////////////// MODIF OPTIONS

function TagFilterDeluxe_createOptions(){
      TagFilterDeluxe_LoadOK = true;
      if(!TagFilterDeluxe_GetFiltersOK) return;
      var Inputs = document.getElementsByTagName('input');
      for(var a=0;a<Inputs.length;a++){
            if(!Inputs[a].name) continue;
            if(Inputs[a].name == "tagfilter" && Inputs[a].type == "text"){
                  var Select = document.createElement('select');
                  Select.name = "tagfilter";
                  var FirstOption = document.createElement('option');
                  FirstOption.value = "";
                  FirstOption.appendChild(document.createTextNode("* Aucune *"));
                  Select.appendChild(FirstOption);
                  var FilterSelected = false;
                  var ActiveFilter = TagFilterDeluxe_getActiveFilter();
                  for(var b=0;b<TagFilterDeluxe_FilterList.length;b++){
                        var Option = document.createElement('option');
                        Option.value = TagFilterDeluxe_FilterList[b];
                        Option.appendChild(document.createTextNode(TagFilterDeluxe_FilterList[b])); 
                        if(TagFilterDeluxe_FilterList[b] == ActiveFilter){
                               Option.selected = "selected";
                               FilterSelected = true;
                        }
                        Select.appendChild(Option);
                  }
                  Inputs[a].parentNode.insertBefore(Select, Inputs[a]);
                  Inputs[a].parentNode.removeChild(Inputs[a]);
            }
      }
}

// /////////////////////////////////////////////////////// RECHERCHE FILTRE ACTIF DANS L'URL

function TagFilterDeluxe_getActiveFilter(){
      var url = document.URL;
      var Params = url.split("&");
      var Filter = false;
      for(var c=0;c<Params.length;c++){
            if(Params[c].indexOf("tagfilter=")!=-1){
                  var FilterTemp = Params[c].split("tagfilter=").join("");
                  if(FilterTemp!="") Filter = decodeURIComponent(FilterTemp).replace(/\+/g, " ");
            }
      }
      return Filter;
}