//<source lang=javascript>//<pre><nowiki>
function DeveloppementJavaScript_GetScripts(){ // Début de la fonction
/*****************************************************************************************************************/
 
 /*****************************************************************************************************************************   
 * DeveloppementJavaScript_ScriptType : 1 => script ; 2 à 6 => titre de section (h2 à h6)                                     *
 * DeveloppementJavaScript_ScriptText : type 1 => description du script ; autre type => texte du titre de section             *
 * DeveloppementJavaScript_ScriptPage : type 1 => Page à importer ; autre type => inutilisé                                   *
 * DeveloppementJavaScript_ScriptId : type 1 => ID du script (titre de la sous-page sans le ".js") ; autre type => inutilisé  *
 ******************************************************************************************************************************/

/* Variables pratiques pour les liens */
    var PrettyURL = wgServer + wgArticlePath.split('$1').join(''); // ( http://fr.wikipedia.org/wiki/ )
    var UglyURL = wgServer + wgScript + '?title=';                 // ( http://fr.wikipedia.org/w/index.php?title= )


/* Définition d'un titre de section *************************************************** PROPOSITIONS ******* */
    DeveloppementJavaScript_ScriptType.push(4);
    DeveloppementJavaScript_ScriptText.push('Scripts utilisateur (propositions)');
    DeveloppementJavaScript_ScriptId.push('');
    DeveloppementJavaScript_ScriptPage.push('');
 
/* Définition d'un script */
    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Script alternatif pour le modèle {{Autres projets}}.');
    DeveloppementJavaScript_ScriptId.push('Autres projets');
    DeveloppementJavaScript_ScriptPage.push('Projet:JavaScript/Développement/Autres projets.js');
 
// etc...
 
/* Définition d'un titre de section *************************************************** VALIDATIONS ******* */
    DeveloppementJavaScript_ScriptType.push(4);
    DeveloppementJavaScript_ScriptText.push('Scripts utilisateur (tests finaux et validation)');
    DeveloppementJavaScript_ScriptId.push('');
    DeveloppementJavaScript_ScriptPage.push('');


/* Définition d'un script */
    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Script proposé par Truc, qui permet cela.');
    DeveloppementJavaScript_ScriptId.push('SonScript');
    DeveloppementJavaScript_ScriptPage.push('Projet:JavaScript/Développement/SonScript.js');

// etc...

/* Définition d'un titre de section *************************************************** GADGETS ******* */
    DeveloppementJavaScript_ScriptType.push(4);
    DeveloppementJavaScript_ScriptText.push('Gadgets validés');
    DeveloppementJavaScript_ScriptId.push('');
    DeveloppementJavaScript_ScriptPage.push(''); 

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Test de l\'accessibilité d\'une page.');
    DeveloppementJavaScript_ScriptId.push('Accessibility');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-Accessibility.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('AddContribNumberInNewPages');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-AddContribNumberInNewPages.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('AdvancedContribs');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-AdvancedContribs.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('AdvancedResearch');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-AdvancedResearch.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('AjoutBoutonSource');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-AjoutBoutonSource.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('AllmessagesDeluxe');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-AllmessagesDeluxe.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('AncreTitres');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-AncreTitres.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('ArticlesRecents');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-ArticlesRecents.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('ArticlesRecents');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-ArticlesRecents.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('AvertissementImage');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-AvertissementImage.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('BandeauxEbauches');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-BandeauxEbauches.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('BandeauxPortails');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-BandeauxPortails.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('BistroDuJour');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-BistroDuJour.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('BistroOracle');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-BistroOracle.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('BlocageDeluxe');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-BlocageDeluxe.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('BlockLogById');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-BlockLogById.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('BoutonModifier');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-BoutonModifier.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('CatsaGauche');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-CatsaGauche.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('contribsrange');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-contribsrange.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('CopyScape');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-CopyScape.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('DeluxeHistory');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-DeluxeHistory.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget de développement.');
    DeveloppementJavaScript_ScriptId.push('DeveloppementJavaScript');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-DeveloppementJavaScript.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('EditZeroth');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-EditZeroth.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('EvalProject');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-EvalProject.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('Evaluation');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-Evaluation.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('ExtendedCache');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-ExtendedCache.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('FusionContribs');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-FusionContribs.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('GoogleSearch');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-GoogleSearch.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('HistoryNumDiff');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-HistoryNumDiff.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Ajout/modif/retrait rapide de catégories.');
    DeveloppementJavaScript_ScriptId.push('HotCats');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-HotCats.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Ajout/modif/retrait rapide de catégories.');
    DeveloppementJavaScript_ScriptId.push('HotCatsMulti');
    DeveloppementJavaScript_ScriptPage.push('Mediawiki:Gadget-HotCatsMulti.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('LastContrib');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-LastContrib.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('LiensRouges');
    DeveloppementJavaScript_ScriptPage.push('Mediawiki:Gadget-LiensRouges.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('MagnusEditBox');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-MagnusEditBox.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('NavigAdmin');
    DeveloppementJavaScript_ScriptPage.push('Mediawiki:Gadget-NavigAdmin.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('OldSearchBox');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-OldSearchBox.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('OngletJournal');
    DeveloppementJavaScript_ScriptPage.push('Mediawiki:Gadget-OngletJournal.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('OngletPurge');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-OngletPurge.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('OptimizedNavig');
    DeveloppementJavaScript_ScriptPage.push('Mediawiki:Gadget-OptimizedNavig.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('OptimizedShort');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-OptimizedShort.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('OptimizedSuivi');
    DeveloppementJavaScript_ScriptPage.push('Mediawiki:Gadget-OptimizedSuivi.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('Popups');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-Popups.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('Pub');
    DeveloppementJavaScript_ScriptPage.push('Mediawiki:Gadget-Pub.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('QPreview');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-QPreview.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('Rebours');
    DeveloppementJavaScript_ScriptPage.push('Mediawiki:Gadget-Rebours.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('RenommageCategorie');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-RenommageCategorie.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('RestaurationDeluxe');
    DeveloppementJavaScript_ScriptPage.push('Mediawiki:Gadget-RestaurationDeluxe.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('ResumeDeluxe');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-ResumeDeluxe.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('RevertDiff');
    DeveloppementJavaScript_ScriptPage.push('Mediawiki:Gadget-RevertDiff.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('Scriptus');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-Scriptus.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('SousPages');
    DeveloppementJavaScript_ScriptPage.push('Mediawiki:Gadget-SousPages.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('SuppressionDeluxe');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-SuppressionDeluxe.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('SupprimerInfoBulles');
    DeveloppementJavaScript_ScriptPage.push('Mediawiki:Gadget-SupprimerInfoBulles.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('UTCLiveClock');
    DeveloppementJavaScript_ScriptPage.push('Mediawiki:Gadget-UTCLiveClock.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('WikEd');
    DeveloppementJavaScript_ScriptPage.push('MediaWiki:Gadget-WikEd.js');

    DeveloppementJavaScript_ScriptType.push(1);
    DeveloppementJavaScript_ScriptText.push('Gadget.');
    DeveloppementJavaScript_ScriptId.push('ZoomOnThumb');
    DeveloppementJavaScript_ScriptPage.push('Mediawiki:Gadget-ZoomOnThumb.js');

/*****************************************************************************************************************/
} // Fin de la fonction
//</nowiki></pre></source><noinclude>[[Catégorie:Projet:JavaScript/Développement|!]]</noinclude>