/* <pre> */

//-----------------------------------------------------------
// Optimisation de la barre de navigation

// TodayDate() pompé chez PieRRoMaN
function TodayDate()
 {
  m = new Array("janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre");
  today = new Date();
  day = today.getDate();
  year = today.getYear();
  if(year < 2000)
  {
   year = year + 1900;
  }
  return(day + " " + m[today.getMonth()] + " " + year);
 }
 

function OptimizedNavBar() 
{
  var tDate = TodayDate()
  var a = document.getElementById("p-Navigation");
  if (!a)
  {
    a = document.getElementById("p-navigation");
  }
  if (a) 
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    {
      b[0].innerHTML = b[0].innerHTML
      + '<li><span id="n-bistro"><a href="/wiki/Wikipédia:Le Bistro">Le Bistro</a></span></li>'
      + '<li><span id="n-bistrojour"><a href="/wiki/Wikipédia:Le Bistro/'+tDate+'">Le Bistro du jour</a></span></li>'
    }
  }
}

addLoadEvent(OptimizedNavBar);

//-----------------------------------------------------------
// Menu contribuer

function OptimizedContribAdmin() 
{
  var a = document.getElementById("p-Contribuer");
  if (!a)
  {
    a = document.getElementById("p-Contribution");
  }
  if (a) 
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    {
      b[0].innerHTML = b[0].innerHTML
      + '<li><span id="n-newbies">'
      + '<a href="/wiki/Special:Contributions/newbies">RC newbies</a>'
      + '</span></li>'
    }
  }
}



//-----------------------------------------------------------
// Résumé Deluxe - Raccourcis pour commentaires de modification article
// Fonction ResumeDeluxeModif
//
// Code : Dake

function ResumeDeluxeModif(content) {
    if (document.editform.wpSummary.value != 0) {
                document.editform.wpSummary.value+=' - ';
        }
        
        document.editform.wpSummary.value+=content;
}

function ResumeDeluxe() {
        // vous pouvez ajouter vos messages ci-dessous - attention aux apostrophes et aux 
        // guillemets qui peuvent casser le script
        // + texte dans les boutons (pour éviter de prendre trop de place)
        var messages = new Array()
        var labelBoutons = new Array()

        messages.push("Wikification");
        labelBoutons.push ("Wikif");

        messages.push("Style");
        labelBoutons.push ("Style");

        messages.push("coquille(s)");
        labelBoutons.push ("coq");

        messages.push("orthographe");
        labelBoutons.push ("Ortho");

        messages.push ("catégories");
        labelBoutons.push ("Cat");

        messages.push("typographie");
        labelBoutons.push ("Typo");

        messages.push ("retouches");
        labelBoutons.push ("Retouches");

        messages.push ("ajouts")
        labelBoutons.push ("Ajouts");

        messages.push ("ajout image")
        labelBoutons.push ("Ajout IMG");

        messages.push ("nettoyage");
        labelBoutons.push ("Nett");

        messages.push ("redirection");
        labelBoutons.push ("Redir");

        messages.push ("Interwiki");
        labelBoutons.push ("Interwiki");
        
        var nombreBoutonsParLigne = 15;
           // ne rien toucher ci-dessous
        var mainNode = document.getElementById("wpSummaryLabel");
        if (!mainNode) {
                return;
        }
        var summaryNode = mainNode;
        
        var formButtons = document.createElement("form");
        
        for (var i=0;i<messages.length;i++) {
                if (i%nombreBoutonsParLigne==0) {
                        formButtons.appendChild(document.createElement("p"));
                }
                        
                var nodeInput = document.createElement("input");
                nodeInput.setAttribute("type", "button"); 
                nodeInput.setAttribute("value", labelBoutons[i]); 
                nodeInput.setAttribute("onClick", "ResumeDeluxeModif('" + messages[i] + "')"); 

                formButtons.appendChild(nodeInput); 
        }
        summaryNode.appendChild(formButtons);
        
}

addLoadEvent(ResumeDeluxe);

//-----------------------------------------------------------
// Onglet Purge

function OngletPurge() {
  var a = document.getElementById("p-cactions");
        if (a) 
        {
          var pageName = document.title.replace(" - Wikipédia", ""); 
          b = a.getElementsByTagName("ul");
                  
          if(b.length > 0)
          {
            b[0].innerHTML = b[0].innerHTML
            + '<li id="ca-nstab-user">'
            + '<a href="/w/index.php?action=purge&title=' + pageName + '">purger</a>'
            + '</li>';
          }
        }
      }

// Onglet Purge

addLoadEvent(OngletPurge);

//-----------------------------------------------------------
// Barre d'édition

function DeluxeBar() {
  /* <nowiki> nowiki pour ne pas interprêter les caractères spéciaux de MediaWiki */
  if (document.createTextNode) {
        var toolbar = document.getElementById("toolbar"); 
        if (!toolbar) return;
        
        ///// zone personnalisable ////
        var messages = new Array()
        var images = new Array()
        var commentaires = new Array()

        messages[0] = "{{subst:Bienvenue sur ta page}}~~~~";
        commentaires[0] = "Bienvenue sur ta page !"
        images[0] = "http://upload.wikimedia.org/wikipedia/fr/e/eb/Button_accueilB.png";

        messages[1] = "{{subst:Bienvenue}}~~~~";
        commentaires[1] = "Bienvenue !"
        images[1] = "http://upload.wikimedia.org/wikipedia/fr/e/eb/Button_accueilB.png";

        messages[2] = "{{subst:User:Gribeco/Bienvenue débutant}}~~~~";
        commentaires[2] = "Bienvenue débutant"
        images[2] = "http://upload.wikimedia.org/wikipedia/fr/1/12/Button_accueilA.png";

        messages[3] = "{{subst:test1}}~~~~";
        commentaires[3] = "Avertissement"
        images[3] = "http://upload.wikimedia.org/wikipedia/commons/1/1d/Bouton_Vandale1.png";

        ////////////////////////////////

        for (var i=0;i<messages.length;i++) {
                var img = document.createElement("img");
                img.setAttribute("src", images[i]);
                
                var ref = document.createElement("a");
                ref.setAttribute("href", "javascript:insertTags('', \"" + messages[i] + "\", '');" + 
                                 "javascript:changeSummary(\"" + commentaires[i] + "\");" ); 
                ref.appendChild(img); 
                
                toolbar.appendChild(ref);
        }
  }
  /* </nowiki> fin nowiki */
}

function changeSummary(sampleText) {
        document.editform.wpSummary.value = sampleText;
}

addLoadEvent(DeluxeBar);

/***************************************************************************/
/* Onglet Editcount
/* Auteur : Educa33e /Suite à demande Fred.th– le 26 mars 2006, sur le bistro.
/* Cette fonction ajoute un onglet "editcount" à partir de la page 
/* special:Contributions d'un utilisateur, afin d'accèder directement 
/* au lien (site externe) des statistiques d'édition de ce contributeur.
/***************************************************************************/
var tabAction = "p-cactions";
function addECButton()
       {
        if ( window.location.href.indexOf('Contributions') < 0) return;
        var c = document.getElementById('contentSub');
        var a = c.getElementsByTagName('a');
        name = a[0].innerHTML;
        var l = document.getElementById(tabAction);
        t = l.innerHTML;
        ind = t.toLowerCase().indexOf("</ul>");
        before = t.substring(0,ind);
        after = t.substring(ind); 
        pitem = "<li><a href='http://tools.wikimedia.de/~interiot/cgi-bin/count_edits?user="+escape(name)+"&dbname=frwiki_p'>"+
                "<div id='EditCount' style='display:inline;'>" + 
                "Editcount"  + 
                "</div></a></li>";
        l.innerHTML = before + pitem + after ;           
      }
addLoadEvent(addECButton);

////////////////////////////////////////////////////////////////////////////////

/*************************
 * Navigation Pop-ups    *
 *************************/

document.write('<script type="text/javascript" src="' 
		+ 'http://en.wikipedia.org/w/index.php?title=User:Lupin/popups.js' 
		+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
document.write('<script type="text/javascript" src="' 
		+ 'http://fr.wikipedia.org/w/index.php?title=User:Leag/popups-strings-fr.js' 
		+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
popupStructure='menus';
popupDelay=0;
popupAdminLinks=true;
popupMaxWidth=false;
popupOnlyArticleLinks=false;
popupMaxWidth=false;

/* </pre> */