obtenir("EvalProject");
 
function ajoutEvalProject() {
   evalProjectButtons=Array();
   evalProjectNames=Array();
 with (evalProjectButtons) {
   push("http://upload.wikimedia.org/wikipedia/commons/thumb/3/3c/Nuvola_apps_kugar.png/24px-Nuvola_apps_kugar.png");
 }
 
 with (evalProjectNames) {
  push("Félins");
 }
}
 
addOnloadHook(ajoutEvalProject);
no_external_cache=true;

//<source lang="javascript" line>
/*
* Fonction
*
* Ajoute un bouton ou plusieurs boutons dans la barre d'outils (voir http://fr.wikipedia.org/wiki/MediaWiki:Gadget-AjoutBoutonSource.js pour un exemple d'utilisation de cette fonction)
* @param messages_debut Tableau Javascript contenant le texte devant être inséré au début du texte sélectionné
* @param messages_fin Tableau Javascript contenant le texte devant être inséré à la fin du texte sélectionné
* @param commentaires Tableau Javascript contenant le commentaire affiché dans l'infobulle lorsque l'on passe le curseur sur le bouton de la barre d'outil
* @param images Tableau Javascript contenant l'URL de l'image qui servira pour le bouton
* @param id_images Tableau Javascript contenant l'ID de l'image
* Auteur : Sanao
* Dernière révision : 22 novembre 2007
*/
function ajoutBoutonsToolbar(messages_debut, messages_fin, commentaires, images, id_images)
{
  if (document.createTextNode)
  {
    if (document.getElementById("toolbar"))
    {
      for (var cpt = 0; cpt < messages_fin.length; cpt++)
      {
        if(getVarValue(id_images[cpt], "show") != "hide")
        {
          addButton(images[cpt], commentaires[cpt], messages_debut[cpt], messages_fin[cpt], "", "mw-editbutton-" + id_images[cpt]);
        }
      }
    }
  }
}
//</source>

//[[Projet:Javascript]]
//<nowiki>
/*
* AjoutBoutonSource (basé sur DeluxeBar de Dake)
*
* Ajoute plusieurs boutons pour faciliter le "sourçage" lors de l'édition d'un article, avec possibilité de cacher certains boutons.
*
* Auteur : Sanao, modif Abujoy
* Dernière révision : 31 mars 2009
*/
 function AjoutBoutonSource()
{
  var messages_debut = new Array();
  var messages_fin = new Array();
  var images = new Array();
  var commentaires = new Array();
  var id_images = new Array();
 
  with (messages_debut) 
  {
    push("« "); //Citation française
    push("’"); //Apostrophe typographique
    push("{{Référence nécessaire|"); //Référence nécessaire
    push(""); //Lien web
    push(""); //Article
    push(""); //Livre
    push("''{{lang|en|"); //Langues
  }
 
  with (messages_fin) 
  {
    push(" »"); //Citation française
    push(""); //apostrophe typographique
    push("|date=" + getStrDateToday("m a") + "}}"); //Référence nécessaire
 
    push("<ref>{{Lien web   |url=   |titre=  |auteur=  |date=  |site=  |éditeur=  |consulté le=" + getStrDateToday("j m a") + "}}</ref>");
 
    push("<ref>{{Article\n  | auteur=\n  | titre=\n  | périodique =\n | jour=\n  | mois=\n  | année=\n  | volume=\n  | numéro=\n  | pages=\n  | ISSN=\n  | url texte=\n  | consulté le=" + getStrDateToday("j m a") + "\n}}</ref>");
 
    push("<ref>{{ouvrage\n  |éditeur=\n  |titre=\n  |auteur=\n  |lieu=\n  |année=\n  |mois=\n  |jour=\n  |pages=\n  |isbn=\n  |lire en ligne=\n }}</ref>");

    push("}}''"); // Langues
  }


  with (images)
  {
    push("http://upload.wikimedia.org/wikipedia/commons/2/26/Button_latinas.png");
    push("http://upload.wikimedia.org/wikipedia/commons/3/32/Button_apostrophe.PNG")
    push("http://upload.wikimedia.org/wikipedia/commons/3/33/Button_unreferenced.png");
    push("http://upload.wikimedia.org/wikipedia/commons/3/3c/Button_lienweb.png");
    push("http://upload.wikimedia.org/wikipedia/commons/b/b4/Button_lienjournal.png");
    push("http://upload.wikimedia.org/wikipedia/commons/e/ef/Button_cite_book.png");
    push("http://upload.wikimedia.org/wikipedia/commons/b/b8/Button_Globe.png");
  }
 
  with (commentaires)
  {
    push("Citation française");
    push("Apostrophe typo");
    push("Référence nécessaire");
    push("Lien web");
    push("Article");
    push("Livre");
    push("Langue");
  }
 
  with (id_images)
  {
    push("citation_francaise");
    push("Apostrophe_typo");
    push("ref_nec");
    push("lien_web");
    push("article");
    push("livre");
    push("Langues");
  }
 
  ajoutBoutonsToolbar(messages_debut, messages_fin, commentaires, images, id_images);
}
if( wgAction == 'edit' || wgAction == 'submit' ) addOnloadHook(AjoutBoutonSource);
//</nowiki>