importScript('Utilisateur:Al_Maghi/Gadget-WarCost.js');

/**
 * Cost of War
 *
 * La fonction liveWarCost ajoute un compteur pour voir le coût de la guerre.
 *
 * Inspired with UTC Clock JavaScript gadget and Niko's JavaScript on http://costofwar.com
 *
 * Authors: Niko (niko@alum.mit.edu), fr:user:Al_Maghi
 * Last revision: Nov 21, 2009
 */
 
//////////////////////Start CUSTOMIZATION//////////////////////

var totalEuros=186000000000;  //budget 2009 - 2014
var startOfWar=new Date("Jan 1, 2009");
var budgetedThrough=new Date("Dec 31, 2014");

/////////////////End CUSTOMIZATION/////////////////

function liveWarCost(){
	liveWarCost.node = addPortletLink( 'p-personal', wgServer + wgScriptPath + '/index.php?title=' + encodeURIComponent(wgPageName) + '&action=purge', '', 'utcdate' );
	liveWarCost.node.style.fontSize = 'xx-small';
	liveWarCost.node.style.fontWeight = 'bolder';
 
	showWarCost();
}
//addOnloadHook(liveWarCost);
 
function showWarCost(){
	var warcostNode = liveWarCost.node;
	if( !warcostNode ) {return;}
 var totalMS=budgetedThrough-startOfWar;
 var ratePerMS=totalEuros/totalMS;
 var curDate=new Date();
 var diff=curDate-startOfWar;
 var costOfAfgWar="WarCost: "+number_str(diff*ratePerMS)+"€";
warcostNode.firstChild.replaceChild( document.createTextNode( costOfAfgWar ), warcostNode.firstChild.firstChild );
	window.setTimeout(showWarCost, 100);
}
function number_str(n){
 var x=n.toString();
 var dot=x.lastIndexOf('.');
 x=x.substr(0,dot);
 var l=x.length;
 var res="";
 for(l-=3;l>0;l-=3){res="'"+x.substr(l,3)+res;}
 res=x.substr(0,l+3)+res;return res;
}

//
//------------------------------------------------
addOnloadHook(function () {
    if (wgNamespaceNumber != 2 && wgNamespaceNumber != 3)  // User or User talk
        return;
    var user = wgTitle.split("/")[0];
    var url = wgScript + "?title=Special:UserRights&user=" + encodeURIComponent(user);
    addPortletLink("p-tb", url, "User rights", "t-userrights", "List of user groups for "+user);
});

//----Optimisation de la barre de navigation----

//Bistro d'aujourd'hui
 
function TodayDate() {
      m = new Array("janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre");
      today = new Date();
      day = today.getDate();
      year = today.getYear();
 
      if (year < 2000)    
           year = year + 1900;
 
      return (day + " " + m[today.getMonth()] + " " + year);
}
 
 
function OptimizedNavig() 
{
  var a = document.getElementById("p-navigation");
  if (a) 
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    {
      b[0].innerHTML = b[0].innerHTML
      + '<br>'
      + '<li><span id="n-bistro" title="Wikipédia:Le Bistro">'
      + '<a href="/wiki/Wikipédia:Le_Bistro/' + TodayDate() + '">Le Bistro</a>'
      + '</span></li>'
      + '<li><span id="n-pas" title="Wikipédia:Pages à supprimer">'
      + '<a href="/wiki/Wikipédia:Pages à supprimer">Pages à supprimer</a>'
      + '</span></li>'
      + '<li><span id="n-ias" title="Wikipédia:Images à supprimer">'
      + '<a href="/wiki/Wikipédia:Images à supprimer">Images à supprimer</a>'
      + '</span></li>'
      + '<br>'
      + '<li><span id="n-radmin" title="Wikipédia:Requête aux administrateurs">'
      + '<a href="/wiki/Wikipédia:Requête aux administrateurs">Requêtes</a>'
      + '</span></li>'
      + '<li><span id="n-npages" title="Special:Newpages">'
      + '<a href="/wiki/Special:Newpages">Nouvelles pages</a>'
      + '</span></li>'
    }
  }
}
 
addOnloadHook(OptimizedNavig);