function myCollapseTable( tableIndex ) {
  var Button = document.getElementById( "mycollapseButton" + tableIndex );
  var Table = document.getElementById( "mycollapsibleTable" + tableIndex );
  if ( !Table || !Button ) return false;
 
  var Rows = Table.getElementsByTagName( "tr" ); 
 
 
  if ( Button.firstChild.data == collapseCaption ) {
    ThElement = Rows[0].getElementsByTagName( "th" )[0];
    ThElement.savedBgColor = ThElement.style.backgroundColor;
    ThElement.style.backgroundColor = "#eeeeee";
    for ( var i = 1; i < Rows.length; i++ ) {
      Rows[i].style.display = "none";
    }
    Button.firstChild.data = expandCaption;
  } else {
    for ( var i = 1; i < Rows.length; i++ ) {
      ThElement = Rows[0].getElementsByTagName( "th" )[0];
      ThElement.style.backgroundColor = ThElement.savedBgColor;
      Rows[i].style.display = Rows[0].style.display;
    }
    Button.firstChild.data = collapseCaption;
  }
}
 
function createmyCollapseButtons() {
  var tableIndex = 0;
  var NavigationBoxes = new Object();
  var Tables = document.getElementsByTagName( "table" );
 
  for ( var i = 0; i < Tables.length; i++ ) {
    if ( hasClass( Tables[i], "collapsible" ) ) {
      NavigationBoxes[ tableIndex ] = Tables[i];
      Tables[i].setAttribute( "id", "mycollapsibleTable" + tableIndex );
 
      var Button     = document.createElement( "span" );
      var ButtonLink = document.createElement( "a" );
      var ButtonText = document.createTextNode( collapseCaption );
      var TheOtherButton = document.getElementById( "collapseButton" + tableIndex );
      TheOtherButton.style.display = "none";
 
      Button.style.styleFloat = "right";
      Button.style.cssFloat = "right";
      Button.style.fontWeight = "normal";
      Button.style.textAlign = "right";
      Button.style.width = "6em";
 
      ButtonLink.setAttribute( "id", "mycollapseButton" + tableIndex );
      ButtonLink.setAttribute( "href", "javascript:myCollapseTable(" + tableIndex + ");" );
      ButtonLink.appendChild( ButtonText );
 
      Button.appendChild( ButtonLink );
 
      var Header = Tables[i].getElementsByTagName( "tr" )[0].getElementsByTagName( "th" )[0];
      /* only add button and increment count if there is a header row to work with */
      if (Header) {
        Header.insertBefore( Button, Header.childNodes[0] );
        tableIndex++;
      }
    }
  }
 
  for (var i = 0; i < tableIndex; i++) {
    if ( hasClass( NavigationBoxes[i], "collapsed" ) || ( tableIndex >= autoCollapse && hasClass( NavigationBoxes[i], "autocollapse" ) ) ) myCollapseTable( i );
  }
}
 
addOnloadHook (createmyCollapseButtons);