/*
 * deroulerLesBoitesDeroulantes2()
 * comme son nom l'indique, déroule (ou enroule) toutes les boîtes déroulantes des pages où vous allez, au clic d'un bouton.
 * pour l'utiliser, ajouter la ligne suivante à votre monobook.js ou vector.js :
   loadJs('User:Alphos/boiteDeroulante2.js');
 */
function deroulerLesBoitesDeroulantes2( showorhide) {
  jQuery( ".NavFrame" ).filter( ":has(.NavToggle)" ).map(
    function() {
      if ( !showorhide ) 
        jQuery( this ).children( ".NavToggle" ).text( BoiteDeroulante_Derouler );
        jQuery( this ).children( ".NavContent" ).hide();
      if ( showorhide ) {
        jQuery( this ).children( ".NavToggle" ).text( BoiteDeroulante_Enrouler );
        jQuery( this ).children( ".NavContent" ).show();
      }
      return true;
    }
  );
  jQuery( ".navbox" ).filter( ":has(.navboxToggle)" ).map(
    function() {
      if ( !showorhide ) 
        jQuery( this ).find( ".navboxToggle" ).find( "a" ).text( BoiteDeroulante_Derouler );
        jQuery( this ).find( "tr:not(:first-child)" ).hide();
      if ( showorhide ) {
        jQuery( this ).find( ".navboxToggle" ).find( "a" ).text( BoiteDeroulante_Enrouler );
        jQuery( this ).find( "tr" ).show();
      }
      return true;
    }
  );
}
function deroulerLesBoitesDeroulantes2boutons() {
  if ( ( skin != "monobook" ) && ( skin != "vector" ) ) return;
  if ( jQuery( ".NavFrame" ).filter( ":has(.NavToggle)" ).size() + jQuery( ".navbox" ).filter( ":has(.navboxToggle)" ).size() == 0 ) return;
  if ( skin == "monobook" ) {
    var navBoxTogglerShow = jQuery( "<a>" + BoiteDeroulante_Derouler + "</a>" ).click ( function() { deroulerLesBoitesDeroulantes2(true); } );
    var navBoxTogglerHide = jQuery( "<a>" + BoiteDeroulante_Enrouler + "</a>" ).click ( function() { deroulerLesBoitesDeroulantes2(false); } );
    var navBoxToggler = jQuery( "<li/>" ).html( "<b>NavBox :</b> " ).attr( "id", "ca-navtoggle" );
    navBoxToggler.find( "b" ).css( "margin", "0 0 0.3em 0.8em" );
    navBoxToggler.append( navBoxTogglerShow ).append( navBoxTogglerHide );
    jQuery( "#p-cactions ul" ).append( navBoxToggler );
    return;
  }
  if ( skin == "vector" ) {
    var navBoxTogglerShow = jQuery( '<li id="ca-navtoggle-show"><a>' + BoiteDeroulante_Derouler + "</a></li>" ).click ( function() { deroulerLesBoitesDeroulantes2(true); } );
    var navBoxTogglerHide = jQuery( '<li id="ca-navtoggle-hide"><a>' + BoiteDeroulante_Enrouler + "</a></li>" ).click ( function() { deroulerLesBoitesDeroulantes2(false); } );
    jQuery( "#p-cactions div.menu ul" ).append( navBoxTogglerShow );
    jQuery( "#p-cactions div.menu ul" ).append( navBoxTogglerHide );
  }
}
addOnloadHook( deroulerLesBoitesDeroulantes2boutons );