/**
 * AncreTitres
 *
 * Cette fonction fournit un lien vers une section de page en cliquant
 * sur le lien [ancre] à droite du titre de section.
 *
 * Auteurs : Pabix, Phe, Bayo -- Correctif apporté par Chphe
 * Date de dernière révision : 26 septembre 2009
 * {{Projet:JavaScript/Script|AncreTitres}}
 */
 
var AncreTitres={
nom_ancre : "[Tableau de bord]",
description : "Obtenir une URL vers cette section",
linkcolor : "",
fontSize : "xx-small",
fontWeight : "normal",
afficheE : true,
}
function ancrer(){
	if (!document.getElementById('content')) return;
	var titres = document.getElementsByTagName("span");
	var i = 0;
	var titre_courant;
        if (!AncreTitres.afficheI && !AncreTitres.afficheE) return;
	for (i = 0 ; i < titres.length ; i++){
		var titre_courant = titres[i].parentNode;	
		if (!(titres[i].className.match(/mw-headline/gi))) continue;
		var ancre_nom = titres[i].id;
 
		var small;
		var link;
 
		span = document.createElement('span');
		with(span ) {
			if (AncreTitres.linkcolor != "") style.color=AncreTitres.linkcolor;
			style.fontSize=AncreTitres.fontSize;
			style.fontWeight=AncreTitres.fontWeight;
			className = 'noprint ancretitres';
		}
 
		if (AncreTitres.afficheE) {
			link = document.createElement('a');
			with(link) {
				innerHTML=AncreTitres.nom_ancre;
				title=AncreTitres.description;
				setAttribute("ancre", wgServer + wgScript + "?title="
					+ wgPageName + "#" + ancre_nom
				);
				setAttribute("onclick", "window.prompt("
					+ "'Lien : ', this.getAttribute('ancre'));"
				);
                        	setAttribute("href", "javascript:;");										}
			span.appendChild(document.createTextNode(' '));
			span.appendChild(link);
		}
		}
		titre_courant.appendChild(span);
	}
}
addOnloadHook(ancrer);