/*  <pre><nowiki> */

loadJs('User:EDUCA33E/LiveRC.js');

/**
 * Maintenance des images
 */
document.write('<script type="text/javascript"' +
  'src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Korrigan/quickdelete.js' +
  '&action=raw&ctype=text/javascript&dontcountme=s"></script>');

/** 
 * Ajouter une barre de fonctionnalité pour gérer facilement la liste de suivi.
 *
 * Auteur : Dake
 */
var suiviManagerAllPages = new Array();
                                        
function SuiviManagerRegexp (regexp)
{
        var match = new RegExp(regexp);

        for (var i=0;i<suiviManagerAllPages.length;i++) {
                var pageName = suiviManagerAllPages[i].childNodes[0].getAttribute("value");
                if (match.test(pageName)) {
                        suiviManagerAllPages[i].childNodes[0].checked=true; 
                }
        }
}
                
function SuiviManagerLiensRouges ()
{

        for (var i=0;i<suiviManagerAllPages.length;i++) {
                var pageClass = suiviManagerAllPages[i].childNodes[1].getAttribute("class");
                if (pageClass && pageClass=="new") {
                        suiviManagerAllPages[i].childNodes[0].checked=true; 
                }
        }
}

function SuiviManagerDeselect()
{
        for (var i=0;i<suiviManagerAllPages.length;i++) {
                suiviManagerAllPages[i].childNodes[0].checked=false; 
        }
}


function SuiviManager () {
        if (document.URL.indexOf("http://fr.wikipedia.org/wiki/Special:Watchlist/edit")!=0) return; 
        
        var a=0;
        var b=0;                        
        var interfaceMsg = new Array(); 
        var regexpList = new Array(); 
        
        //////////////////////////////////////////////////
        // Expressions régulières et liens de l'interface
        //
        // besoin d'aide pour les regexp ? 
        // http://www.commentcamarche.net/javascript/jsregexp.php3
        //////////////////////////////////////////////////

        interfaceMsg[a++]       = "<b>Tout cocher</b>";
        regexpList[b++]         = "^.*"; 
        
        interfaceMsg[a++]       = "Utilisateurs";
        regexpList[b++]         = "^Utilisateur:";
        
        interfaceMsg[a++]       = "Wikipédia:*"; 
        regexpList[b++]         = "^Wikipédia:";
        
        interfaceMsg[a++]       = "Sous-pages de PàS"; 
        regexpList[b++]         = "^Wikipédia:Pages à supprimer\/";

        interfaceMsg[a++]       = "Sous-pages de PàV"; 
        regexpList[b++]         = "^Wikipédia:Pages à vérifier\/";
        
        interfaceMsg[a++]       = "Pages du bistro"; 
        regexpList[b++]         = "^Wikipédia:Le Bistro\/";
        
        interfaceMsg[a++]       = "Images"; 
        regexpList[b++]         = "^Image:";
        
        interfaceMsg[a++]       = "Modèles"; 
        regexpList[b++]         = "^Modèle:"; 
        
        interfaceMsg[a++]       = "Aide"; 
        regexpList[b++]         = "^Aide:"; 
        
        interfaceMsg[a++]       = "Catégories"; 
        regexpList[b++]         = "^Catégorie:";      
        
        interfaceMsg[a++]       = "Portails"; 
        regexpList[b++]         = "^Portail:";        

        //////////////////////////////////////////////////
        var topTag = document.getElementById("contentSub")
        
        // récupère toutes les pages
        var watchlist = document.getElementsByTagName("ul");

        for (u=0;u<watchlist.length;u++) {
                        var entries = watchlist[u].getElementsByTagName("li"); 
                        for (i=0;i<entries.length;i++) {
                                suiviManagerAllPages.push(entries[i]);
                        }
        }
        
        // prépare la mini-interface
        var str = "<div style=\"background-color:#8ecfe4;font-size:1px;height:8px;border:1px solid #AAAAAA;-moz-border-radius-topright:0.5em;-moz-border-radius-topleft:0.5em;\"></div>"
        + "<div style=\"border:1px solid #6ac1de;border-top:0px solid white;padding:5px 5px 0 5px;margin-bottom:3ex;\"><p>"
        + "<div style=\"float: left; text-align: left; white-space: nowrap;\"></div>"
        
        for (var cpt = 0; cpt < interfaceMsg.length; cpt ++) {
                str += "<a href=\"javascript:SuiviManagerRegexp('" + regexpList[cpt] + "')\">"
                                                + interfaceMsg[cpt]
                                                + " ·</a> "
                }
        
                str += "<a href=\"javascript:SuiviManagerLiensRouges()\">"
                        + "Retirer les liens rouges"
                        + " ·</a> "
                        
                str += "<a href=\"javascript:SuiviManagerDeselect()\">"
                        + "<b>Enlever toutes les coches</b>"
                        + " ·</a> "
                                
        topTag.innerHTML =       topTag.innerHTML + "<br clear=all />" + str + "<p></div>"
                
}

addLoadEvent(SuiviManager);

/**
 * Ajouter des caractères spéciaux utiles pour les transcriptions du grec.
 */
function getElementsByClassName (nomClasse)
{
    var all_obj, ret_obj = new Array(), j = 0, teststr;

    if (document.all)
    {
        all_obj = document.all;
    }
    else if(document.getElementsByTagName && !document.all)
    {
        all_obj = document.getElementsByTagName("*");
    }

    for (i=0; i < all_obj.length; i++)
    {
        if (all_obj[i].className.indexOf(nomClasse) != -1)
        {
            teststr="," + all_obj[i].className.split(" ").join(",") + ",";
            if (teststr.indexOf("," + nomClasse + ",") != -1)
            {
                ret_obj[j] = all_obj[i];
                j++;
            }
         }
    }

    return ret_obj;
}

function caracteresSpeciauxHellenopedia ()
{
        var elemP = document.getElementById("edittoolsinfo");
        if (elemP == undefined)
        {
            return; // pas en mode d'édition
        }
        elemP = getElementsByClassName("plainlinks")[1]; // ça tient sur trois pattes
        elemP = elemP.getElementsByTagName("P")[0];

        var chaine = "<br />Hellénopédia : ";
        
        // Caractères spéciaux à ajouter
        chaine += "<a href=\"javascript:insertTags('á', '', '')\">á</a> ";
        chaine += "<a href=\"javascript:insertTags('Á', '', '')\">Á</a> ";
        chaine += "<a href=\"javascript:insertTags('ã', '', '')\">ã</a> ";
        chaine += "<a href=\"javascript:insertTags('Ã', '', '')\">Ã</a> ";
        chaine += "· ";
        chaine += "<a href=\"javascript:insertTags('é', '', '')\">é</a> ";
        chaine += "<a href=\"javascript:insertTags('É', '', '')\">É</a> ";
        chaine += "<a href=\"javascript:insertTags('ẽ', '', '')\">ẽ</a> ";
        chaine += "<a href=\"javascript:insertTags('Ẽ', '', '')\">Ẽ</a> ";
        chaine += "<a href=\"javascript:insertTags('ế', '', '')\">ế</a> ";
        chaine += "<a href=\"javascript:insertTags('Ế', '', '')\">Ế</a> ";
        chaine += "<a href=\"javascript:insertTags('ễ', '', '')\">ễ</a> ";
        chaine += "<a href=\"javascript:insertTags('Ễ', '', '')\">Ễ</a> ";
        chaine += "<a href=\"javascript:insertTags('ề', '', '')\">ề</a> ";
        chaine += "<a href=\"javascript:insertTags('Ề', '', '')\">Ề</a> ";
        chaine += "· ";
        chaine += "<a href=\"javascript:insertTags('í', '', '')\">í</a> ";
        chaine += "<a href=\"javascript:insertTags('Í', '', '')\">Í</a> ";
        chaine += "<a href=\"javascript:insertTags('ĩ', '', '')\">ĩ</a> ";
        chaine += "<a href=\"javascript:insertTags('Ĩ', '', '')\">Ĩ</a> ";
        chaine += "· ";
        chaine += "<a href=\"javascript:insertTags('ó', '', '')\">ó</a> ";
        chaine += "<a href=\"javascript:insertTags('Ó', '', '')\">Ó</a> ";
        chaine += "<a href=\"javascript:insertTags('õ', '', '')\">õ</a> ";
        chaine += "<a href=\"javascript:insertTags('Õ', '', '')\">Õ</a> ";
        chaine += "<a href=\"javascript:insertTags('ố', '', '')\">ố</a> ";
        chaine += "<a href=\"javascript:insertTags('Ố', '', '')\">Ố</a> ";
        chaine += "<a href=\"javascript:insertTags('ỗ', '', '')\">ỗ</a> ";
        chaine += "<a href=\"javascript:insertTags('Ỗ', '', '')\">Ỗ</a> ";
        chaine += "<a href=\"javascript:insertTags('ồ', '', '')\">ồ</a> ";
        chaine += "<a href=\"javascript:insertTags('Ồ', '', '')\">Ồ</a> ";
        chaine += "· ";
        chaine += "<a href=\"javascript:insertTags('ú', '', '')\">ú</a> ";
        chaine += "<a href=\"javascript:insertTags('Ú', '', '')\">Ú</a> ";
        chaine += "<a href=\"javascript:insertTags('ũ', '', '')\">ũ</a> ";
        chaine += "<a href=\"javascript:insertTags('Ũ', '', '')\">Ũ</a> ";
        chaine += "· ";
        chaine += "<a href=\"javascript:insertTags('ý', '', '')\">ý</a> ";
        chaine += "<a href=\"javascript:insertTags('Ý', '', '')\">Ý</a> ";
        chaine += "<a href=\"javascript:insertTags('ỹ', '', '')\">ỹ</a> ";
        chaine += "<a href=\"javascript:insertTags('Ỹ', '', '')\">Ỹ</a> ";
        chaine += "· ";
        chaine += "<a href=\"javascript:insertTags('{{grec ancien|', '', '')\">{{grec ancien|</a> "
        chaine += "<a href=\"javascript:insertTags('{{grec moderne|', '', '')\">{{grec moderne|</a> ";
        elemP.innerHTML += chaine;
}

addLoadEvent(caracteresSpeciauxHellenopedia);

/*
 * Barre d'outils anti-vandalisme
 */

function DeluxeBar() {
  if (document.createTextNode) {
        var toolbar = document.getElementById("toolbar"); 
        if (!toolbar) return;
        
        ///// zone personnalisable ////
        var messages = new Array();
        // le texte a été splitté sinon Mediawiki casse tout...
        messages[0] = "{{subst:" + "Test1"  + "}}" +  "~~" + "~~";
        messages[1] = "{{subst:" + "Test2" + "}}" +  "~~" + "~~";
        messages[2] = "{{subst:" + "Test3" + "}}" +  "~~" + "~~";
        messages[3] = "{{subst:" + "Vandale" + "}}" +  "~~" + "~~";
        messages[4] = "{{subst:" + "Vandalisme|page" + "}}" +  "~~" + "~~";
        messages[5] = "{{subst:" + "Bienvenue spammeur" + "}}" +  "~~" + "~~";
        messages[6] = "{{subst:" + "VandaleBloqué|n" + "}}" +  "~~" + "~~";

        var images = new Array()
        images[0] = "http://upload.wikimedia.org/wikipedia/fr/0/00/Button_vandale.png";
        images[1] = "http://upload.wikimedia.org/wikipedia/fr/0/00/Button_vandale.png";
        images[2] = "http://upload.wikimedia.org/wikipedia/fr/6/67/Button_%C3%A9clair.png";
        images[3] = "http://upload.wikimedia.org/wikipedia/fr/a/ad/Button_vandale2.png";
        images[4] = "http://upload.wikimedia.org/wikipedia/fr/0/00/Button_vandale2.png";
        images[5] = "http://upload.wikimedia.org/wikipedia/fr/f/fb/Button_spam2.png";
        images[6] = "http://upload.wikimedia.org/wikipedia/fr/6/62/Button_stop.png";

        var commentaires = new Array();
        commentaires[0] = "avertissement 1er niveau";
        commentaires[1] = "avertissement 2e niveau";
        commentaires[2] = "dernier avertissement";
        commentaires[3] = "avertissement 1er niveau";
        commentaires[4] = "avertissement 2e niveau" ;

        commentaires[5] = "avertissement spammeur";
        commentaires[6] = "avis de blocage";

        ////////////////////////////////

        for (var i=0;i<messages.length;i++) {
                var img = document.createElement("img");
                img.setAttribute("src", images[i]);
                
                var ref = document.createElement("a");
                ref.setAttribute("href", "javascript:insertTags('', \"" + messages[i] + "\", '');" + 
                                 "javascript:changeSummary(\"" + commentaires[i] + "\");" ); 
                ref.appendChild(img); 
                
                toolbar.appendChild(ref);
        }
  }
}

function changeSummary(sampleText) {
        document.editform.wpSummary.value = sampleText;
}

addLoadEvent(DeluxeBar);

/**
 * À mort le quick preview
 */
function remLoadEvent(func) 
{
  if (window.removeEventListener) 
    window.removeEventListener("load", func, false);
  else if (window.detachEvent) 
    window.detachEvent("onload", func);
}

remLoadEvent(addQuickPreview);


function OptimizedNavig() 
{
  var a = document.getElementById("p-navigation");
  if (a) 
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    {
      b[0].innerHTML = b[0].innerHTML
      + '<br>'
      + '<li><span id="n-bistro" title="Wikipédia:Le Bistro">'
      + '<a href="/wiki/Wikipédia:Le_Bistro/">Le Bistro</a>'
      + '</span></li>'
      + '<li><span id="n-pas" title="Wikipédia:Pages à supprimer">'
      + '<a href="/wiki/Wikipédia:Pages à supprimer">Pages à supprimer</a>'
      + '</span></li>'
      + '<li><span id="n-ias" title="Wikipédia:Images à supprimer">'
      + '<a href="/wiki/Wikipédia:Images à supprimer">Images à supprimer</a>'
      + '</span></li>'
      + '<br>'
      + '<li><span id="n-radmin" title="Wikipédia:Requête aux administrateurs">'
      + '<a href="/wiki/Wikipédia:Requête aux administrateurs">Requêtes</a>'
      + '</span></li>'
      + '<li><span id="n-npages" title="Special:Newpages">'
      + '<a href="/wiki/Special:Newpages">Nouvelles pages</a>'
      + '</span></li>'
    }
  }
}

addLoadEvent(OptimizedNavig);

/**
 * Lien direct vers Special:Upload pour importer une image
 */
function LienUploadDirect() 
{
  var a = document.getElementById("p-tb");
  if (a) 
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    {
      b[0].innerHTML = b[0].innerHTML
      + '<li><span id="n-localupload" title="http://fr.wikipedia.org/wiki/Special:Upload">'
      + '<a href="http://fr.wikipedia.org/wiki/Special:Upload">'
      + 'Importer sur Wikipédia</a></span> </li>'
    }
  }
}
addLoadEvent(LienUploadDirect);

//<nowiki> History tools
document.write('<script type="text/javascript" src="' 
             + 'http://en.wikipedia.org/w/index.php?title=User:Voice_of_All/History/monobook.js' 
             + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');

//</nowiki>

/* </nowiki></pre> */