/*
***************************************************************************
** colorlist - Colore les entrées de la liste de suivi
** Compatibilité : frwiki uniquement
** Support : Discussion_utilisateur:Arkanosis
** Licence : domaine public
**
** Installation : ajouter
**  importScript('Utilisateur:Arkanosis/colorlist.js');
** dans le monobook.js
*/

function colorlist()
{
  if (wgCanonicalSpecialPageName != "Watchlist")
    return;

  var lines = document.getElementsByTagName('table');
  for (var lineId = 0; lineId < lines.length; ++lineId)
    if (lines[lineId].className == "mw-enhanced-rc" && lines[lineId].innerHTML.match(/.+>Discussion utilisateur:.+/))
      lines[lineId].innerHTML = lines[lineId].innerHTML.replace('<tr>', '<tr style="background-color:AliceBlue;">');
}

addOnloadHook(colorlist);

// TODO support des modifications récentes, coloration à la liverc / historique + distinction pages de discussion / articles / Wikipédia: ...
// TODO liens pour filtrer certains types de modifications (déplacer la fonctionnalité de xpatrol vers ici peut-être ; ou intégrer tout à xpatrol)