/*
***************************************************************************
** emoticache - Remplace les smilies par leur équivalent texte
** Support : Discussion_utilisateur:Arkanosis
** Licence : domaine public
**
** Installation : ajouter
**  importScript('Utilisateur:Arkanosis/emoticache.js');
** dans le monobook.js / vector.js
*/

function emoticache()
{
  var spans = document.getElementsByTagName('span');
  for (var spanId = 0; spanId < spans.length; ++spanId)
  {
    if (spans[spanId].className.indexOf('smiley') != -1)
    {
      spans[spanId].innerHTML = '<i><small>' + spans[spanId].getElementsByTagName('img')[0].getAttribute('alt') + '</small></i>';
    }
  }
}
 
addOnloadHook(emoticache);