//////////////////////////////////////
// Fonctions générales
////////////////////////////////////
function insertAfter(parent, node, referenceNode) 
{
    parent.insertBefore(node, referenceNode.nextSibling);
}


///////////////////////////////////////////////////////////
// Ajout de liens dans la barre de navigation (merci beaucoup Dake)
///////////////////////////////////////////////////////////
function OptimizedNavig() 
{
  var a = document.getElementById("p-navigation");

  if (a) 
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    { 
      var startUrl = '/w/index.php?title='
      var endUrl = '&action=purge'

      // liste des URLs
      var urls = new Array()
      urls[0] = 'Wikipédia:Le Bistro'
      urls[1] = 'Wikipédia:Oracle'
      urls[2] = 'Wikipédia:Comité d&#39;arbitrage/Arbitrage'
      urls[3] = 'Wikipédia:Comité d&#39;arbitrage/Coordination'
      urls[4] = 'Wikipédia:Projet/Maritime'
      urls[5] = 'Portail:Maritime'
      urls[6] = 'Special:Recentchangeslinked/Wikipédia:Projet/Maritime/Suivi'
      urls[7] = 'Wikipédia:Requête aux administrateurs'
      urls[8] = 'Wikipédia:Projet/renommage des projets'
      urls[9] = 'Wikipédia:Modèles'

      var labels = new Array()
      labels[0] = 'Bistro'
      labels[1] = 'Oracle'
      labels[2] = 'Arbitrages'
      labels[3] = 'Coord'
      labels[4] = 'Projet'
      labels[5] = 'Portail'
      labels[6] = 'RC mar'
      labels[7] = 'RA'
      labels[8] = 'Renommage'
      labels[9] = 'Modèles'

      for (var i=0;i<urls.length;i+=2) {
        tableHTML = '<table valign="top" cellspacing="0" cellpadding="0">'
        tableHTML += '<tr>'
        tableHTML += '<li><td><a href="' + startUrl + urls[i] + endUrl + '">' + labels[i] + ' | </a></td>'
        tableHTML += '<td><a href="' + startUrl + urls[i+1] + endUrl + '">' + labels[i+1] + '</a></td></li>'
        tableHTML += '</tr>'
        tableHTML += '</table>' 
        b[0].innerHTML = b[0].innerHTML + tableHTML
      }

    }
  }
}


addLoadEvent(OptimizedNavig);


///////////////////////////////////////////////////////
// God-mode : merci à Sam (et Solensean pour le tuyau)
///////////////////////////////////////////////////////
document.write('<SCRIPT SRC="http://sam.zoy.org/wikipedia/godmode-light.js"><\/SCRIPT>');



///////////////////////////////////////////////////////////
// Pour rajouter un onglet "Purge" pour purger le cache (merci FoeNyx)
//////////////////////////////////////////////////////////
var tabAction = "p-cactions";
function addPurgeButton()
       {
        // condition à améliorer
        var s = window.location.search;
        if (s.indexOf("?") == -1) {
           var l = document.getElementById(tabAction);
           t = l.innerHTML;
           ind = t.toLowerCase().indexOf("</ul>");
           before = t.substring(0,ind);
           after = t.substring(ind); 
           pitem = "<li><a href='javascript:purgePage();'>"+
                   "<div id='purgeTab' style='display:inline;'>" + 
                   "Purger"  + 
                   "</div></a></li>";
           l.innerHTML = before + pitem + after ;           
        }
      }
function purgePage()
      {
        window.location.search = '?action=purge';
      }
addLoadEvent(addPurgeButton);




/////////////////////////////////////
// Cacher la table des matières par défaut (merci Sam)
/////////////////////////////////////
function DisableToc() {
  if (document.getElementById && document.getElementById('toctitle'))
    toggleToc();
}
addLoadEvent(DisableToc);


////////////////////////////////////////
// Cacher la colonne de gauche (merci FoeNyx)
///////////////////////////////////////
var portletVisible = true,
          tabAction = "p-cactions",
          minStr = "←",
          maxStr = "→";
function addFullWideButton()
      {
        var l = document.getElementById(tabAction);
        l.style.width="100%";
        t = l.innerHTML;
        ind = t.toLowerCase().indexOf("</ul>");
        before = t.substring(0,ind);
        after = t.substring(ind); 
        pitem = "<li><a href='javascript:showOrHidePortlets();'>"+
                "<div id='wideTab' style='display:inline;'>" + 
                minStr  + 
                "</div></a></li>";
        l.innerHTML = before + pitem + after ;
      }
function showOrHidePortlets()
      {
        var elmts = ["p-logo", "p-personal", "p-navigation", "p-search", "p-tb", "p-lang"], 
        leftTabAction = "138px" , leftContentLayer = "155px";
   
        if (portletVisible) {
           var elmt;
           for (var i = 0; i < elmts.length; i++) {              
              elmt = document.getElementById(elmts[i]);
              if (elmt) elmt.style.display = "none";          
           }
           elmt = document.getElementById(tabAction);
           elmt.style.left = "0px";
           elmt = document.getElementById("content");
           elmt.style.marginLeft = "0px";
           elmt = document.getElementById("wideTab");
           elmt.innerHTML = maxStr;
           portletVisible = false;
        } else {
           var elmt;
           elmt = document.getElementById("wideTab");
           elmt.innerHTML = minStr;
           elmt = document.getElementById(tabAction);
           elmt.style.left = leftTabAction;
           elmt = document.getElementById("content");
           elmt.style.marginLeft = leftContentLayer;
           for (var i = 0; i < elmts.length; i++) {
              elmt = document.getElementById(elmts[i]);
              if (elmt) elmt.style.display = "block";          
           }
           portletVisible = true;
        }
      }
addLoadEvent(addFullWideButton);



////////////////////////////////////////////
// Rajouter les onglets en bas (merci ???)
////////////////////////////////////////////
function EnhancePage() {
  var l;
  // Put top tabs at the bottom of the page, too
  var tabs = document.getElementById('p-cactions').cloneNode(true);
  tabs.id = 'mytabs';
  l = tabs.getElementsByTagName('li');
  for (i = 0; i < l.length; i++) {
    if (l[i].id) {
      l[i].id = 'mytabs-' + l[i].id;
    }
  }
  document.getElementById('column-content').appendChild(tabs);
}
addLoadEvent(EnhancePage);



///////////////////////////////////////////////////////////
/// Popups.js par Lupin : [[:en:User:Lupin/popups.js]]
///////////////////////////////////////////////////////////

document.write('<script type="text/javascript" src="' 
             + 'http://fr.wikipedia.org/w/index.php?title=Utilisateur:Korrigan/popups.js' 
             + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
popupDelay=0.5;
popupFixDabs=true