//-----------------------------------------------------------
// Barre d'édition (merci à gribeco)

function DeluxeBar() {
  /* <nowiki> nowiki pour ne pas interprêter les caractères spéciaux de MediaWiki */
  if (document.createTextNode) {
        var toolbar = document.getElementById("toolbar"); 
        if (!toolbar) return;
        
        ///// zone personnalisable ////
        var messages = new Array()
        var images = new Array()
        var commentaires = new Array()

        //messages.push("{{subst:Bienvenue sur ta page}}-~~~~");
        //commentaires.push("Bienvenue sur ta page !");
        //images.push("http://upload.wikimedia.org/wikipedia/fr/e/eb/Button_accueilB.png");

        messages.push("{{subst:Bienvenue}}-~~~~");
        commentaires.push("Bienvenue !");
        images.push("http://upload.wikimedia.org/wikipedia/fr/e/eb/Button_accueilB.png");

        messages.push("{{subst:User:Gribeco/Bienvenue débutant}}-~~~~");
        commentaires.push("Bienvenue débutant");
        images.push("http://upload.wikimedia.org/wikipedia/fr/1/12/Button_accueilA.png");

        messages.push("{{subst:test1}}-~~~~");
        commentaires.push("Avertissement");
        images.push("http://upload.wikimedia.org/wikipedia/commons/1/1d/Bouton_Vandale1.png");

        messages.push("{{subst:test2}}-~~~~");
        commentaires.push("Deuxième avertissement");
        images.push("http://upload.wikimedia.org/wikipedia/commons/c/cc/Bouton_Vandale2.png");

        messages.push("{{subst:test3}}-~~~~");
        commentaires.push("Dernier avertissement avant blocage");
        images.push("http://upload.wikimedia.org/wikipedia/commons/e/e4/Bouton_Vandale3.png");

        messages.push("{{subst:Bienvenue spammeur}}-~~~~");
        commentaires.push("Avertissement spam");
        images.push("http://upload.wikimedia.org/wikipedia/fr/f/fb/Button_spam2.png");

        messages.push("{{subst:Bienvenue autopromo|}}-~~~~");
        commentaires.push("Pas d'autopromotion sur Wikipédia");
        images.push("http://upload.wikimedia.org/wikipedia/commons/4/49/Button_talk.png");

        messages.push("{{subst:Bienvenue copyvio|}}-~~~~");
        commentaires.push("Problème de copyright");
        images.push("http://upload.wikimedia.org/wikipedia/fr/d/d3/Button_copyvio_discuss.png");

        messages.push("{{subst:Vandale bloqué||}}-~~~~");
        commentaires.push("Blocage pour vandalisme");
        images.push("http://upload.wikimedia.org/wikipedia/commons/b/b0/Button_blocage.png");

        messages.push("{{fait}} Fait --~~~~");
        commentaires.push("Fait");
        images.push("http://upload.wikimedia.org/wikipedia/commons/5/5b/Button_check.png");

        messages.push("{{subst:Vandale bloqué sans avertissement|}}-~~~~");
        commentaires.push("Bloqué sans avertissement");
        images.push("http://upload.wikimedia.org/wikipedia/fr/6/67/Button_%C3%A9clair.png");

        messages.push("{{copie de site|URL|Titre}}");
        commentaires.push("Violation de copyright");
        images.push("http://upload.wikimedia.org/wikipedia/fr/e/e5/Button_copyvio.png");

        messages.push("{{suppression}}");
        commentaires.push("Proposé à la suppression");
        images.push("http://upload.wikimedia.org/wikipedia/fr/f/f8/Button_suppr.png");

        messages.push("{{motivation modif|page=}}-~~~~");
        commentaires.push("La boite de commentaire");
        images.push("http://upload.wikimedia.org/wikipedia/commons/7/74/Button_oeil.png");

        messages.push("{{subst:bonjour IP}}-~~~~");
        commentaires.push("bienvenue IP");
        images.push("http://upload.wikimedia.org/wikipedia/fr/d/d9/Button_trait%C3%A9.png");


        ////////////////////////////////

        for (var i=0;i<messages.length;i++) {
                var img = document.createElement("img");
                img.setAttribute("src", images[i]);
                
                var ref = document.createElement("a");
                ref.setAttribute("href", "javascript:insertTags('', \"" + messages[i] + "\", '');" + 
                                 "javascript:changeSummary(\"" + commentaires[i] + "\");" ); 
                ref.appendChild(img); 
                
                toolbar.appendChild(ref);
        }
  }
  /* </nowiki> fin nowiki */
}

function changeSummary(sampleText) {
        document.editform.wpSummary.value = sampleText;
}

addLoadEvent(DeluxeBar);

/***************************************/
/* Pour avoir l'historique en couleurs */
/***************************************/

document.write('<script type="text/javascript" src="' 
             + 'http://fr.wikipedia.org/w/index.php?title=Utilisateur:GôTô/objects.js' 
             + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');

document.write('<script type="text/javascript" src="' 
            + 'http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dake/monobook.js/deluxehistory.js' 
            + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');



/***************************************/
/* Ajout de liens internes (bistro, PàS, etc.) */
/* dans la boîte de navigation à gauche */
/***************************************/


function OptimizedNavig() 
{
  var a = document.getElementById("p-navigation");
  if (a) 
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    {
      b[0].innerHTML = b[0].innerHTML
      + '<li><a href="/wiki/Utilisateur:~Pyb/Boîte à outils">Boite à outils</a></li>'
      + '<li><a href="/wiki/Wikipédia:Bulletin des administrateurs">Bulletin admins</a></li>'
      + '<TABLE valign="top" cellspacing="0" cellpadding="0" style="padding:1px;"><TR>'
      + '<TD style="padding-right:5px;"><a href="/wiki/Special:Newpages">Newpages</a></TD>'
      + '<TD><a href="/wiki/Special:Newimages">Newimages</a></TD>'
      + '</TR><TR>'
      + '<TD style="padding-right:5px;"><a href="/wiki/Projet:Économie">Projet</a></TD>'
     + '<TD><a href="/wiki/Portail:Économie">Portail</a></TD>'
      + '</TR><TR>'
      + '<TD style="padding-right:5px;"><a href="/wiki/Wikipédia:Le_bistro">Bistro</a></TD>'
       + '</TR></TABLE>';

    }
  }
}
addLoadEvent(OptimizedNavig)

/***************************************/
/* Onglet d'utilisation d'une image     */
/* sur les différents projets Wikimedia */
/***************************************/

function ImageUse()
{
  var element = document.getElementById('ca-nstab-image');
  if (element)
  {
    var imagename = element.firstChild.href;

    var indexofname;
    if (imagename.indexOf("http://") != -1)
      indexofname = imagename.indexOf(":", 6);
    else
      indexofname = imagename.indexOf(":");

    imagename = imagename.substring(indexofname + 1);

    var indexofampersand = imagename.indexOf("&");
    if (indexofampersand != -1)
      imagename = imagename.substring(0, indexofampersand);

    var li = document.createElement('li');
    li.id = 'ca-imageuse';

    var a = document.createElement('a');
    a.appendChild(document.createTextNode("Voir l'utilisation"));
    a.href = 'http://www.juelich.de/avatar/check-usage/check-usage.php?filename=' + imagename + '&template';

    li.appendChild(a);

    document.getElementById('ca-nstab-image').parentNode.appendChild(li);
  }
}
  addLoadEvent(ImageUse);



/***************************************/
/* Importation sur Commons simplifiée  */
/***************************************/




function PaletteOutils() 
{
  var a = document.getElementById("p-tb");
  if (a) 
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    {
      b[0].innerHTML = b[0].innerHTML
      + '<li><span id="n-bistro" title="http://commons.wikimedia.org/wiki/Special:Upload">'
      + '<a href="http://commons.wikimedia.org/wiki/Special:Upload">'
      + 'Importer une image ou un son sur Commons</a></span> </li>'
    }
  }
}
      
addLoadEvent(PaletteOutils);