// User:Edit Counter/Estrie
// User:Edit Counter/Tinodela
// User:Edit Counter/Cantons-de-l'Est
// User:Edit Counter/Polmars


////////////// Début de la section personnalisable //////////////////////

var CurrentDateHour = "Date et heure d'aujourd'hui";
var UserInfos = "Informations sur le contributeur";
var Pseudonym = "Pseudonyme";
var RegisteredOn = "Enregistré le";
var GrossContributions = "Modifications brutes";
var TotalPerNamespace = "Totaux par espaces de noms";
var NamespaceMain = "(Principal)"; // The name given to the main namespace
var UnknowUser = "Ce pseudonyme est inconnu sur ce wiki";
var UnknownDate = "(date inconnue)";
var MissingTag = "Edit Counter ne peut afficher les informations qu'il a recueillies, car il manque une balise dans la page";
var ProvidePseudonym = "Prière de fournir un pseudonyme";
var AcknowledgeCommand = "J'ai bien reçu votre commande. Je devrais la compléter d'ici 60 secondes. Je vous avertirai quand les informations seront affichées."
var DrawComplete = "Les données sont affichées."

////////////// Fin de la section personnalisable /////////////////////////


// JavaScript Raphaël library (see http://raphaeljs.com)
importScript("User:Cantons-de-l'Est/raphael.js");

// If XMLHttpRequest undefined, then define it
importScript("User:Cantons-de-l'Est/XMLHttpRequest.js");

// Create something like http://fr.wikipedia.org/w/api.php?format=json
var g_szUrlPrefix = wgServer + "/w/api.php?format=json";


var g_szTitlePrefix = "";
var g_aParams = new Array();
function GetParametersFromUrl() {
  // Example URL ending :
  //   User:Edit Counter/Cantons-de-l'Est&chart=pie|bar&refresh=yes
  //
  // The URL must contain the pseudonym :
  // - Cantons-de-l'Est
  //
  // It may contain :
  // - chart=pie|bar
  // - refresh=yes|no
  //
  // Anything else is useless
  //
//Ping();
  g_aParams['pseudonym'] = "";
  g_aParams['bar'] = false;
  g_aParams['pie'] = false;
  g_aParams['refresh'] = false;
  
  var sz = wgTitle;
  
  if( sz.indexOf('Edit Counter/') == 0 )
  {
    g_szTitlePrefix = 'Edit Counter/';
    sz = sz.substring('Edit Counter/'.length);
    
    // Get parameters
    /////////////////
    var a = sz.split('&');
    g_aParams['pseudonym'] = a[0];
    for(var i = 1; i < a.length; i++)
    {
      var b = a[i].split('=');
      if( b && b.length > 0 )
      {
        if( b[0].indexOf('chart') == 0)
        {
          var c = b[1].split('|');
          for(var j = 0; j < c.length; j++)
          {
            if( c[j] && c[j] == 'pie') g_aParams['bar'] = true;
            if( c[j] && c[j] == 'bar') g_aParams['pie'] = true;
          }
        }
        if( b[0].indexOf('refresh') == 0)
        {
          if( b[1] && b[1] == 'yes') g_aParams['refresh'] = true;
        }
      }
    }
  }
}


var g_anNamespaceIds = new Array();
var g_aszNamespaceNames = new Array();
function GetNamespaceInfos()
{
  var i = 0;
  for(var NSnb in wgFormattedNamespaces)
  {
    if(NSnb >= 0)
    {
      g_anNamespaceIds[i] = NSnb;
      g_aszNamespaceNames[i] = wgFormattedNamespaces[NSnb];
      if(NSnb == '0')
      {
        // Use the name provided for the main namespace
        g_aszNamespaceNames[i] = NamespaceMain;
      }
      i++;
    }
  }
}


var g_nContribGross = null;
var g_szUserId = null;
var g_szRegistration = null;
function GetTotalContribs() {
//Ping();
  var szUrl = g_szUrlPrefix + "&action=userdailycontribs&daysago=10000&user=" + g_aParams['pseudonym'];

  var objJson = {};
  var objHttpRequest = new XMLHttpRequest();
  objHttpRequest.open("GET", szUrl, true);
  objHttpRequest.onreadystatechange = function () {
    var done = 4, ok = 200;
    if (objHttpRequest.readyState == done && objHttpRequest.status == ok) {
       objJson = JSON.parse(objHttpRequest.responseText);

//{"userdailycontribs"://{"id":18624,"registration":0,"timeFrameEdits":674,"pastYearEdits":164,"totalEdits":"50676"}}
       g_szUserId = objJson.userdailycontribs.id;
       g_szRegistration = objJson.userdailycontribs.registration;
       g_nContribGross = objJson.userdailycontribs.totalEdits;
       ConfirmPseudonym();
    }
  };
  objHttpRequest.send(null);
}


function ConfirmPseudonym() {
//Ping();
  if( g_szUserId == "0" )
  {
    alert(UnknowUser + " : " + g_aParams['pseudonym']);
  }
  else
  {
    alert(AcknowledgeCommand);
    GetEdits();
  }
}


function GetEdits() {
//Ping();
  for(var nId = 0; nId < g_anNamespaceIds.length; nId++)
  {
    var szUrl = g_szUrlPrefix + 
                "&action=query" + 
                "&list=usercontribs" +
                "&uclimit=500" +
                "&ucprop=" +
                "&ucuser=" + g_aParams['pseudonym'] +
                "&ucnamespace=" + g_anNamespaceIds[nId];
    g_anEditCounts[nId] = 0;
    g_aszUcstart[nId] = "";
    g_abIsComplete[nId] = false;

    new WalkEdits_recursive(szUrl, "", nId);
  }
  
  DisplayInfos();
}


var g_anEditCounts = new Array();
var g_aszUcstart = new Array();
var g_abIsComplete = new Array();
var g_nSentinel = 1000;
function WalkEdits_recursive(szUrl, szSuffix, nId) {
//Ping();
  var objJson = {};
  var objHttpRequest = new XMLHttpRequest();
  objHttpRequest.open("GET", szUrl + szSuffix, true);
  objHttpRequest.onreadystatechange = function () {
    var done = 4, ok = 200;
    if (objHttpRequest.readyState == done && objHttpRequest.status == ok) {
      objJson = JSON.parse(objHttpRequest.responseText);
    
      g_anEditCounts[nId] += objJson.query.usercontribs.length;
//alert(g_nSentinel + ", g_anEditCounts[" + nId + "] : " + g_anEditCounts[nId]);
  
      g_aszUcstart[nId] = "";
      try { g_aszUcstart[nId] = objJson["query-continue"]["usercontribs"]["ucstart"]; } catch(e) { /* Nothing here */ }

      if( g_aszUcstart[nId] != "" && g_nSentinel-- >= 0)
      {
        WalkEdits_recursive(szUrl, "&ucstart=" + g_aszUcstart[nId], nId)
      }
      else
      {
        g_abIsComplete[nId] = true;
      }
    }
  };
  objHttpRequest.send(null);
}


var g_IdTimeout = null;
function DisplayInfos() {
  var bIsAllCompleted = true;
  for(var j = 0; j < g_anNamespaceIds.length; j++)
  {
    bIsAllCompleted &= g_abIsComplete[j];
  }
  
  if( bIsAllCompleted == true )
  {
    clearTimeout(g_IdTimeout);
    
    Draw();
  }
  else
  {
    g_IdTimeout = setTimeout("DisplayInfos()", 1000);
  }
}


function ConvertToReadableDate(sz)
{
// Expect something like '20090526011210'
  var d = new Date();
  d.setYear(sz.substring(0,4));
  var n = sz.substring(4,6);
  d.setMonth(n - 1);
  d.setDate(sz.substring(6,8));
  d.setHours(sz.substring(8,10));
  d.setMinutes(sz.substring(10,12));
  d.setSeconds(sz.substring(12,14));
  
  return d.toLocaleString();
}


function GetUserInfos()
{
  var sz = "";
  
  sz += '<table width="100%">';
  sz += '<tr>';
  sz += '<td style="border-bottom-style:solid; border-width:2px; font-weight:900;">' + UserInfos + '</td>';
  sz += '</tr>';
  sz += '</table>';
  sz += '<table width="60%" align="center">';
  sz += '<tr>';
  var d = new Date();
  sz += '<td>' + CurrentDateHour + ' : ' + '</td>';
  sz += '<td>' + d.toLocaleString() + '</td>';
  sz += '</tr>';
  sz += '<tr>';
  sz += '<td>' + Pseudonym + ' : ' + '</td>';
  sz += '<td>' + g_aParams['pseudonym'] + '</td>';
  sz += '</tr>';
  sz += '<td>' + RegisteredOn + ' : ' + '</td>';
  if(g_szRegistration != 0)
  {
    sz += '<td>' + ConvertToReadableDate(g_szRegistration) + ' (UTC)</td>';
  }
  else
  {
    sz += '<td>' + UnknownDate + '</td>';
  }
  sz += '<tr>';
  sz += '<td>' + GrossContributions + ' : ' + '</td>';
  sz += '<td>' + Math.floor(g_nContribGross).toLocaleString() + '</td>';
  sz += '</tr>';
  sz += '<tr>';
  sz += '<td> &#160; </td>';
  sz += '<td> &#160; </td>';
  sz += '</tr>';
  sz += '</table>';
    
  return sz;
}


function GetPieChartPaths(anValues, cx, cy, r)
{
// SVG explanations at http://www.w3.org/TR/SVG/paths.html#PathData

// Compute a partial sector, the side and the arc. Each partial sector adds up
// on the screen to form a pie chart.

  // Compute the angles in degrees
  ////////////////////////////////
  var nTotal = 0;
  for(var i = 0; i < anValues.length; i++) 
  {
    nTotal += anValues[i];
  }
  
  var anAngles = new Array();
  for(var i = 0; i < anValues.length; i++) 
  {
    anAngles[i] = anValues[i] / nTotal * 360 ;
  }
  
  // Compute sectors
  //////////////////
  var rad = Math.PI / 180;
  var aszCoord = new Array();
  
  var nAnglesSum = 0;
  var rx = r;
  var ry = 0;
  for(var i = 0; i < anValues.length; i++)
  {
    aszCoord[i] = "M " + cx + "," + cy + " " +
                  "L " + (cx + rx) + "," + (cy + ry) + " " +
                  "A " + r + "," + r 
    nAnglesSum += anAngles[i];
    rx = Math.round(Math.cos( -nAnglesSum * Math.PI/180 ) * r);
    ry = Math.round(Math.sin( -nAnglesSum * Math.PI/180 ) * r);
    
    if(anAngles[i] < 180)
    {
      aszCoord[i] += " 0 " + "0,0 "; // Shortest path 
    }
    else
    {
      aszCoord[i] += " 0 " + "1,0 "; // Longest path 
    }
    
    aszCoord[i] += (cx + rx) + "," + (cy + ry);
    aszCoord[i] += " z";
//alert(aszCoord[i]);
  }
  return aszCoord;
}

// Namespace ID
// Color
// Gradient color
var g_anGraphParams = [
   ['0',
        "rgb(255, 85, 85)",
     "90-rgb(255, 85, 85)-rgb(253, 158, 158)"
   ]
  ,['1',
        "rgb(85, 255, 85)",
     "90-rgb(85, 255, 85)-rgb(140, 253, 140)"
   ]
  ,['2',
        "rgb(255, 255, 85)",
     "90-rgb(255, 255, 85)-rgb(255, 255, 141)"
   ]
  ,['3',
         "rgb(255, 85, 255)",
      "90-rgb(255, 85, 255)-rgb(255, 145, 255)"
   ]
  ,['4',
         "rgb(85, 85, 255)",
      "90-rgb(85, 85, 255)-rgb(135, 135, 249)"
   ]
  ,['5',
         "rgb(85, 255, 255)",
      "90-rgb(85, 255, 255)-rgb(159, 255, 255)"
   ]
  ,['6',
         "rgb(192, 0, 0)",
      "90-rgb(192, 0, 0)-rgb(190, 87, 87)"
   ]
  ,['7',
         "rgb(210, 105, 30)",
      "90-rgb(210, 105, 30)-rgb(207, 138, 89)"
   ]
  ,['8',
         "rgb(64, 61, 61)",
      "90-rgb(64, 61, 61)-rgb(128, 128, 128)"
   ]
  ,['9',
         "rgb(255, 255, 141)",
      "90-rgb(255, 255, 141)-rgb(255, 255, 240)"
   ]
  ,['10',
         "rgb(255, 175, 175)",
      "90-rgb(255, 175, 175)-rgb(251, 209, 209)"
   ]
  ,['11',
         "rgb(128, 128, 128)",
      "90-rgb(128, 128, 128)-rgb(176, 173, 173)"
   ]
  ,['12',
         "rgb(0, 192, 0)",
      "90-rgb(0, 192, 0)-rgb(78, 190, 78)"
   ]
  ,['13',
         "rgb(255, 165, 0)",
      "90-rgb(255, 165, 0)-rgb(249, 199, 105)"
   ]
  ,['14',
         "rgb(117, 163, 209)",
      "90-rgb(117, 163, 209)-rgb(164, 186, 209)"
   ]
  ,['15',
         "rgb(192, 0, 192)",
      "90-rgb(192, 0, 192)-rgb(188, 99, 188)"
   ]
  ,['100',
         "rgb(192, 192, 0)",
      "90-rgb(192, 192, 0)-rgb(192, 192, 77)"
   ]
  ,['101',
         "rgb(166, 121, 210)",
      "90-rgb(166, 121, 210)-rgb(178, 148, 207)"
   ]
  ,['102',
         "rgb(102, 0, 0)",
      "90-rgb(102, 0, 0)-rgb(102, 42, 42)"
   ]
  ,['103',
         "rgb(55, 55, 103)",
      "90-rgb(55, 55, 103)-rgb(77, 77, 103)"
   ]
  ,['104',
         "rgb(135, 206, 235)",
      "90-rgb(135, 206, 235)-rgb(182, 220, 236)"
   ]
  ,['105',
         "rgb(0, 255, 127)",
      "90-rgb(0, 255, 127)-rgb(110, 248, 178)"
   ]
  ,['108',
         "rgb(255, 99, 71)",
      "90-rgb(255, 99, 71)-rgb(253, 144, 124)"
   ]
  ,['109',
         "rgb(128, 128, 0)",
      "90-rgb(128, 128, 0)-rgb(125, 125, 59)"
   ]
];


function DrawPieChart(szHtmlId, anIds, anValues)
{
  // Canvas dimensions
  var nWidth = 400;
  var nHeight = 400;
  
  // Creates canvas at <div id="pie_chart"...
  // This canvas is larger than the side lengths in order to accommodate 
  // some display problems within IE 8.0
  var paper = Raphael(szHtmlId, nWidth + 5, nHeight + 5);
  
  var r = Math.floor(nHeight / 2), 
    cx = Math.floor(nWidth / 2) + 2,
    cy = Math.floor(nHeight / 2) + 2;
  var aszCoord = GetPieChartPaths(anValues, cx, cy, r);
  
  var path = null;
  for(var i = 0; i < aszCoord.length; i++)
  {
//alert(aszCoord[i]);
    path = paper.path(aszCoord[i]);
//    path.attr("stroke", "blue");
//    path.attr("stroke-width", "1");
    path.attr("stroke-width", "0");
    for(var j = 0; j < g_anGraphParams.length; j++)
    {
      if( anIds[i] == g_anGraphParams[j][0] )
      {
//alert('Gradient color[' + j + '] : ' + g_anGraphParams[j][2]);
        path.attr({ 
          "fill": g_anGraphParams[j][1], 
          "fill-opacity": 1, 
          "title": g_aszNamespaceNames[j] /* Namespace in a tooltip */ +
                  ' (' + anValues[i] + ')'
        });
        break; // From for
      }
    }
  }
}

function GetDecimalSeparator()
{
  var n = 1.1;
  return n.toLocaleString().substring(1, 2);
}

function GetCategories(anIds, anValues)
{
  var nSum = 0;
  for(var i = 0; i < anValues.length; i++)
  {
    nSum += anValues[i];
  }
  
  // Get the percentages rounded to 2 digits after 
  // the local decimal separator
  ////////////////////////////////////////////////
  var aszPercent = new Array();
  for(var i = 0; i < anValues.length; i++)
  {
    aszPercent[i] = anValues[i] / nSum * 100;
    aszPercent[i] = Math.round(aszPercent[i] * 100)
    aszPercent[i] = aszPercent[i] / 100;
    aszPercent[i] = aszPercent[i].toLocaleString();
    
    var sep = GetDecimalSeparator();
    var nPos = aszPercent[i].indexOf(sep);
    aszPercent[i] = aszPercent[i].substring(0, nPos + 4);
    if( aszPercent[i].indexOf(sep) == -1)
    {
      aszPercent[i] += ',00';
    }
    else
    {
      var a = aszPercent[i].split(sep);
      if( a[1].length == 1)
      {
        aszPercent[i] += '0';
      }
    }
  }
  
  var sz = '';
  sz += '<table>';
  
  sz += '<tr style="font-weight:900;">';
  sz += '<td> </td>';
  sz += '<td width="4px"> </td>';
  sz += '<td align="right">Contrib</td>';
  sz += '<td width="8px"> </td>';
  sz += '<td align="center"> % </td>';
  sz += '</tr>';
  
  var szDefault = '<td style="background-color:white;">(???)</td>';
  for(var i = 0; i < anValues.length; i++)
  {
    sz += '<tr>';
    for(var j = 0; j < g_anGraphParams.length; j++)
    {
      if( g_anGraphParams[j][0] == anIds[i] )
      {
        szDefault = '<td style="background-color:' 
                    + g_anGraphParams[j][1] 
                    + ';">' 
                    + g_aszNamespaceNames[j]
/* + ' <' + anIds[i] + '> ' */
                    + '</td>';
        break; // From for
      }
    }
    sz += szDefault;
    sz += '<td width="4px"> </td>';
    sz += '<td align="right">' + anValues[i].toLocaleString() + '</td>';
    sz += '<td width="4px"> </td>';
    sz += '<td align="right">' + aszPercent[i] + '</td>';
    sz += '</tr>';
  }
  
  sz += '<tr style="font-weight:900;">';
  sz += '<td align="right">Total :</td>';
  sz += '<td width="4px"> </td>';
  sz += '<td align="right">' + nSum.toLocaleString() + '</td>';
  sz += '<td width="4px"> </td>';
  sz += '<td align="center">100</td>';
  sz += '</tr>';
  
  sz += '</table>';
  
  return sz;
}


function DrawPieInfos(szIdHeader, szIdCategories, szIdPieChart)
{
  var sz = "";
  sz += '<table width="100%">';
  sz += '<tr>';
  sz += '<td style="border-bottom-style:solid; border-width:2px; font-weight:900;">' + TotalPerNamespace + '</td>';
  sz += '</tr>';
  sz += '</table>';
  var objPieHeader = document.getElementById(szIdHeader);
  objPieHeader.innerHTML = sz;
  
  // Remove empty categories before drawing
  /////////////////////////////////////////
  var anIds = g_anNamespaceIds.slice();
  var anEditCounts = g_anEditCounts.slice();
  for(var i = g_anEditCounts.length - 1; i >= 0; i--)
  {
    if( g_anEditCounts[i] == 0 )
    {
      anIds.splice(i, 1);
      anEditCounts.splice(i, 1);
    }
  }
  
  sz = "";
  sz += GetCategories(anIds, anEditCounts);
  var objPieCategories = document.getElementById(szIdCategories);
  objPieCategories.innerHTML = sz;
  
  // Draw directly the pie chart
  DrawPieChart(szIdPieChart, anIds, anEditCounts);
}


function Draw()
{
  var objPage = document.getElementById("edit_counter");
  var sz = "";
  // Insert page layout code
  //////////////////////////
  sz = "";
  sz += '<div id="edit_counter_user_infos"></div>';
  sz += '<div id="edit_counter_pie_header"></div>';
  sz += '<table width="100%">';
  sz += '<tr>';
  sz += '<td width="50%" id="edit_counter_pie_categories"></td>';
  sz += '<td width="50%" id="edit_counter_pie_chart"></td>';
  sz += '</tr>';
  sz += '</table>';
  objPage.innerHTML = sz;
  
  // Insert user's infos
  //////////////////////
  var objUserInfos = document.getElementById("edit_counter_user_infos");
  objUserInfos.innerHTML = GetUserInfos();
  
  // Insert pie chart infos
  // Raphael library insert SVG code directly
  /////////////////////////
  DrawPieInfos("edit_counter_pie_header", 
               "edit_counter_pie_categories", 
               "edit_counter_pie_chart");
 
  // Insert bar chart infos
  //////////////////////////
  
  // Insert hourly chart infos
  ////////////////////////////
  
  // Insert dow chart infos
  //////////////////////////
  
  // Insert top articles infos
  ////////////////////////////
  
    
  alert(DrawComplete);
}


function Draw_before()
{
  var sz = ""
  var nContribNet = 0;
  for(var i = 0; i < g_anNamespaceIds.length; i++)
  {
    // Count only those with an ID not negative
    if( g_anNamespaceIds[i] >= 0 )
    {
      sz += "'" + g_anNamespaceIds[i] + "' : " + g_anEditCounts[i] + "\n";
      nContribNet += g_anEditCounts[i];
    }
  }
  sz += "Contibutions nettes : " + nContribNet + "\n";
  sz += "Suppressions : " + (g_nContribGross - nContribNet) + "\n";
  sz += "Contributions brutes : " + g_nContribGross + "\n";
  alert(sz);
}


var g_n = 0;
function Ping() {
jQuery( document ).ready( function( $ ) { 
 
  try {
    var objEditCounter = document.getElementById("edit_counter");
 
    sz = objEditCounter.innerHTML;
    sz += (g_n++ % 10);
 
    objEditCounter.innerHTML = sz; 
  } catch(e) { /* Nothing here */ }
});
}


function EditCounter() {
  // Invoke this extension only from a user namespace in view mode.
  // The page must be "under" User:Edit Counter.
  if( wgNamespaceNumber == 2 && 
      wgTitle.indexOf('Edit Counter/') == 0 &&
      wgAction == "view" )
  {
    if( document.getElementById("edit_counter") )
    {
      // Look for something like 
      // "User:Edit Counter/Cantons-de-l'Est&chart=pie|bar&refresh=yes"
      // before polling the DB and creating any graph
      //////////////////////////////////////////////////////////////////
      GetParametersFromUrl();
      
      if(g_szTitlePrefix.length > 0)
      {
        if ( g_aParams['pseudonym'].length > 0)
        {
          GetNamespaceInfos();
          GetTotalContribs();
        }
        else
        {
          alert(ProvidePseudonym);
          return;
        }
      }
    }
    else
    {
      alert(MissingTag + " : <div id='edit_counter'></div>");
    }
  }

/*
g_anEditCounts[0] = 43987
g_anEditCounts[1] = 562;
g_anEditCounts[2] = 928;
g_anEditCounts[3] = 776;
g_anEditCounts[4] = 1163;
g_anEditCounts[5] = 39;
g_anEditCounts[6] = 4;
g_anEditCounts[7] = 0;
g_anEditCounts[8] = 72;
g_anEditCounts[9] = 9;
g_anEditCounts[10] = 911;
g_anEditCounts[11] = 62;
g_anEditCounts[12] = 520;
g_anEditCounts[13] = 5;
g_anEditCounts[14] = 429;
g_anEditCounts[15] = 41;
g_anEditCounts[16] = 226;
g_anEditCounts[17] = 4;
g_anEditCounts[18] = 351;
g_anEditCounts[19] = 25;
g_anEditCounts[20] = 5;
g_anEditCounts[21] = 0;
*/
  
}

addOnloadHook(function(){
  EditCounter();
});

// Trois comptes en même temps : http://fr.wikipedia.org/w/api.php?action=query&list=users&ususers=Sherbrooke|Cantons-de-l%27Est|Estrie|Talabot&usprop=editcount|registration|groups|gender

/*
jQuery( document ).ready( function( $ ) { 
    g_aParams['pseudonym'] = prompt("Saisir le pseudonyme du contributeur\n(par exemple, Sherbrooke)", "");
});
*/