obtenir("ResumeDeluxe");
obtenir("OptimizedSuivi");
obtenir("OngletPurge");
obtenir("EditZeroth");
obtenir("DeluxeBar");
obtenir("FusionContribs");
obtenir("BistroDuJour");
obtenir("RevertDiff");
obtenir("OngletGoogle");
obtenir("FusionContribs");
obtenir("RevertDiff");
obtenir("AncreTitres");

obtenir("BlocageDeluxe");
obtenir("SuppressionDeluxe");
obtenir("RestaurationDeluxe");
obtenir("OptimizedShort");
obtenir("NavigAdmin");

function AddLoadEvent(func) 
{
	if (window.addEventListener) window.addEventListener("load", func, false);
	else if (window.attachEvent) window.attachEvent("onload", func);
}

function ChangeMenuLink(eltId, Text, Url)
{
	var li=document.getElementById(eltId).firstChild
	if(li)
	{
		li.textContent = Text
		li.href=Url
	}
}

function SetLiveRc()
{
	ChangeMenuLink('n-help', 'IRC', 'irc://irc.freenode.net/#wikipedia-fr')
	ChangeMenuLink('n-recentchanges', 'LiveRc', 'http://fr.wikipedia.org/wiki/Utilisateur:EDUCA33E/LiveRC')
	ChangeMenuLink('n-aboutwp', "Suppression immédiate", 'http://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Demande_de_suppression_imm%C3%A9diate' )
	ChangeMenuLink('n-sitesupport', "Bulletin des admins", 'http://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Bulletin_des_administrateurs')
}
loadJs('User:EDUCA33E/LiveRC.js');

function MygetObj(name) { 
	if (document.getElementById) {
		this.obj = document.getElementById(name);
	} else if (document.all) {
		this.obj = document.all[name];
	} else if (document.layers) {
		this.obj = document.layers[name];
	}
}

function getHTTPObject() {
	var xmlhttp = false;
	if (!xmlhttp && typeof XMLHttpRequest != 'undefined') {
		try {
			xmlhttp = new XMLHttpRequest();
		} catch (e) {
			xmlhttp = false;
		}
	}
	return xmlhttp;
}

function changeSummary(sampleText) {
	document.editform.wpSummary.value = sampleText;
}

function getArticleNameURL()
{
        var strOut = document.URL;

        strOut = strOut.replace('http://fr.wikipedia.org/wiki/', "");
        return strOut;
} 

function plagiarismsearch(){
       var formElement = document.createElement('form');
       formElement.setAttribute('method', 'post');
       formElement.setAttribute('id', 'copyscapequery');
       formElement.setAttribute('name', 'copyscapequery');
       formElement.setAttribute('action', 'http://www.copyscape.com/?results');

       var queryInput = document.createElement('input');
       queryInput.setAttribute('name', 'q');
       queryInput.setAttribute('type', 'hidden');
       queryInput.setAttribute('value', "http://fr.wikipedia.org/w/index.php?title="+getArticleNameURL()+"&action=raw");
       formElement.appendChild(queryInput);

       var queryGO = document.createElement('a');
       queryGO.setAttribute('href', 'javascript:document.forms.copyscapequery.submit();');
       var queryText = document.createTextNode('copyscape');
       queryGO.appendChild(queryText);

       var link = document.createElement('li');
       link.setAttribute ('id', 'ca-copyscape');
       link.appendChild(queryGO);
       link.appendChild(formElement);

       var panelControl = document.getElementById('p-cactions');
       if (panelControl) {
               panelLinks = panelControl.getElementsByTagName('ul')[0];
               if (panelLinks){
                       panelLinks.appendChild(link);
               }
       }
}
addLoadEvent(plagiarismsearch);

var suiviManagerAllPages = new Array();
                                        
function SuiviManagerRegexp(regexp)
{
        var match = new RegExp(regexp);

        for (var i=0;i<suiviManagerAllPages.length;i++) {
                var pageName = suiviManagerAllPages[i].childNodes[0].getAttribute("value");
                if (match.test(pageName)) {
                        suiviManagerAllPages[i].childNodes[0].checked=true; 
                }
        }
}
                
function SuiviManagerLiensRouges()
{

        for (var i=0;i<suiviManagerAllPages.length;i++) {
                var pageClass = suiviManagerAllPages[i].childNodes[2].getAttribute("class");
                if (pageClass && pageClass=="new") {
                        suiviManagerAllPages[i].childNodes[0].checked=true; 
                }
        }
}

function SuiviManagerDeselect()
{
        for (var i=0;i<suiviManagerAllPages.length;i++) {
                suiviManagerAllPages[i].childNodes[0].checked=false; 
        }
}


function SuiviManager() {
        if (document.URL.indexOf("http://fr.wikipedia.org/wiki/Special:Watchlist/edit")!=0) return; 
        
        var a=-1;
        var interfaceMsg = new Array(); 
        var regexpList = new Array(); 

        interfaceMsg[++a]       = "<b>Tout cocher</b>";
        regexpList[a]           = "^.*"; 
        
        interfaceMsg[++a]       = "Utilisateurs";
        regexpList[a]           = "^Utilisateur:";
        
        interfaceMsg[++a]       = "Wikipédia:*"; 
        regexpList[a]           = "^Wikipédia:";
        
        interfaceMsg[++a]       = "Sous-pages de PàS"; 
        regexpList[a]           = "^Wikipédia:Pages à supprimer\/";

        interfaceMsg[++a]       = "Sous-pages de PàV"; 
        regexpList[a]           = "^Wikipédia:Pages à vérifier\/";
        
        interfaceMsg[++a]       = "Pages du bistro"; 
        regexpList[a]           = "^Wikipédia:Le Bistro\/";
        
        interfaceMsg[++a]       = "Images"; 
        regexpList[a]           = "^Image:";
        
        interfaceMsg[++a]       = "Modèles"; 
        regexpList[a]           = "^Modèle:"; 
        
        interfaceMsg[++a]       = "Aide"; 
        regexpList[a]           = "^Aide:"; 
        
        interfaceMsg[++a]       = "Catégories"; 
        regexpList[a]           = "^Catégorie:";      
        
        interfaceMsg[++a]       = "Portails"; 
        regexpList[a]           = "^Portail:";        

        var topTag = document.getElementById("contentSub")
        
        // récupère toutes les pages
        var watchlist = document.getElementsByTagName("ul");

        for (u=0;u<watchlist.length;u++) {
                        var entries = watchlist[u].getElementsByTagName("li"); 
                        for (i=0;i<entries.length;i++) {
                                suiviManagerAllPages.push(entries[i]);
                        }
        }
        
        var str = "<div style=\"background-color:#8ecfe4;font-size:1px;height:8px;border:1px solid #AAAAAA;-moz-border-radius-topright:0.5em;-moz-border-radius-topleft:0.5em;\"></div>"
        + "<div style=\"border:1px solid #6ac1de;border-top:0px solid white;padding:5px 5px 0 5px;margin-bottom:3ex;\"><p>"
        + "<div style=\"float: left; text-align: left; white-space: nowrap;\"></div>"
        
        for (var cpt = 0; cpt < interfaceMsg.length; cpt ++) {
                str += "<a href=\"javascript:SuiviManagerRegexp('" + regexpList[cpt] + "')\">"
                                                + interfaceMsg[cpt]
                                                + " ·</a> "
                }
        
                str += "<a href=\"javascript:SuiviManagerLiensRouges()\">"
                        + "Retirer les liens rouges"
                        + " ·</a> "
                        
                str += "<a href=\"javascript:SuiviManagerDeselect()\">"
                        + "<b>Enlever toutes les coches</b>"
                        + " ·</a> "
                                
        topTag.innerHTML =       topTag.innerHTML + "<br clear=all />" + str + "<p></div>"
                
}

addLoadEvent(SuiviManager);

function getElementsByClass(searchClass,node,tag) {
        // Function from http://www.dustindiaz.com/getelementsbyclass/
        var classElements = new Array();
        if ( node == null )
                node = document;
        if ( tag == null )
                tag = '*';
        var els = node.getElementsByTagName(tag);
        var elsLen = els.length;
        var pattern = new RegExp("(^|\\s)"+searchClass+"(\\s|$)");
        for (i = 0, j = 0; i < elsLen; i++) {
                if ( pattern.test(els[i].className) ) {
                        classElements[j] = els[i];
                        j++;
                }
        }
        return classElements;
}

var _GET = new Array();
var _uri = location.href;

var _temp_get_arr = _uri.substring(_uri.indexOf('?')+1, _uri.length).split("&");

var _temp_get_arr_1 = new Array();

for(_get_arr_i=0; _get_arr_i<_temp_get_arr.length; _get_arr_i++){
        _temp_get_arr_1 = _temp_get_arr[_get_arr_i].split("=");
        _GET[decodeURI(_temp_get_arr_1[0])] = decodeURI(_temp_get_arr_1[1]);
}

delete _uri; delete _temp_get_arr; delete _temp_get_arr_1;

function getMessage (where, user1, user2) {
        var message = prompt ('Quel message faut-il laisser ?', '');
        if (message) {
        window.location = 'http://fr.wikipedia.org/w/index.php?title=' + _GET['title'] + '&action=edit&oldid=' + _GET['oldid'] + '&'+where+'=2&user1='+user1+'&user2='+user2+'&message='+message;
        }
}

addOnloadHook(function (){
                if (location.href.match(/diff=/)) {
                // Get username of submitter
                var user1 = getElementsByClass('diff-otitle',null,'td'); user1 = user1[0].getElementsByTagName('a')[2].innerHTML;
                var user2 = getElementsByClass('diff-ntitle',null,'td'); user2 = user2[0].getElementsByTagName('a')[2].innerHTML;
                if (user2 == "défaire"){ 
                    user2 = getElementsByClass('diff-ntitle',null,'td'); user2 = user2[0].getElementsByTagName('a')[3].innerHTML; 
                }
                document.getElementById('contentSub').innerHTML = '(<a href="http://fr.wikipedia.org/w/index.php?title=' + _GET['title'] + '&action=edit&oldid=' + _GET['oldid'] + '&revert=1&user1='+user1+'&user2='+user2+'">Annuler</a> / <a href="javascript:var message = getMessage(\'revert\', \''+user1+'\', \''+user2+'\');">Message</a>) (<a href="http://fr.wikipedia.org/w/index.php?title=' + _GET['title'] + '&action=edit&oldid=' + _GET['oldid'] + '&vandalism=1&user1='+user1+'&user2='+user2+'">Vandalisme</a> / <a href="javascript:var message = getMessage(\'vandalism\', \''+user1+'\', \''+user2+'\');">Message</a>) (Avertir : <a href="http://fr.wikipedia.org/w/index.php?title=User_talk:'+user2+'&action=edit&section=new&warn=1">Test0</a> / <a href="http://fr.wikipedia.org/w/index.php?title=User_talk:'+user2+'&action=edit&section=new&warn=2">Test1</a> / <a href="http://fr.wikipedia.org/w/index.php?title=User_talk:'+user2+'&action=edit&section=new&warn=3">Test2</a> / <a href="http://fr.wikipedia.org/w/index.php?title=User_talk:'+user2+'&action=edit&section=new&warn=4">Test3</a>)';
                } else if (location.href.match(/revert=1/)) {
                document.getElementById('wpSummary').value = 'Révocation des modifications par [[Special:Contributions/'+_GET['user2']+'|'+_GET['user2']+']] ; retour à la version de [[Special:Contributions/'+_GET['user1']+'|'+_GET['user1']+']]';
                document.getElementById('editform').submit();
                } else if (location.href.match(/revert=2/)) {
                document.getElementById('wpSummary').value = 'Révocation des modifications par [[Special:Contributions/'+_GET['user2']+'|'+_GET['user2']+']] ; retour à la version de [[Special:Contributions/'+_GET['user1']+'|'+_GET['user1']+']] ('+_GET['message']+')';
                        document.getElementById('editform').submit();
                        } else if (location.href.match(/vandalism=1/)) {
                        document.getElementById('wpSummary').value = 'Révocation de vandalisme par [[Special:Contributions/'+_GET['user2']+'|'+_GET['user2']+']] ; retour à la version de [[Special:Contributions/'+_GET['user1']+'|'+_GET['user1']+']]';
                        document.getElementById('editform').submit();
                        } else if (location.href.match(/vandalism=2/)) {
                        document.getElementById('wpSummary').value = 'Révocation de vandalisme par [[Special:Contributions/'+_GET['user2']+'|'+_GET['user2']+']] ; retour à la version de [[Special:Contributions/'+_GET['user1']+'|'+_GET['user1']+']] ('+_GET['message']+')';
                                document.getElementById('editform').submit();
                                } else if (location.href.match(/warn=1/)) {
                                document.getElementById('wpSummary').value = 'Avertissement';
                                document.getElementById('wpTextbox1').value = '{{sub'+'st:test0}} ~~'+'~~';
                                document.getElementById('editform').submit();
                                } else if (location.href.match(/warn=2/)) {
                                document.getElementById('wpSummary').value = 'Avertissement';
                                document.getElementById('wpTextbox1').value = '{{sub'+'st:test1}} ~~'+'~~';
                                document.getElementById('editform').submit();
                                } else if (location.href.match(/warn=3/)) {
                                document.getElementById('wpSummary').value = 'Avertissement';
                                document.getElementById('wpTextbox1').value = '{{sub'+'st:test2}} ~~'+'~~';
                                document.getElementById('editform').submit();
                                } else if (location.href.match(/warn=4/)) {
                                document.getElementById('wpSummary').value = 'Avertissement';
                                document.getElementById('wpTextbox1').value = '{{sub'+'st:test3}} ~~'+'~~';
                                document.getElementById('editform').submit();
                                }
                                });
















function UndeleteSelectAll()
{
        if (wgCanonicalSpecialPageName != 'Undelete') return;
        var title2 = document.getElementsByTagName("h2");
        var all = document.createElement("input");
        all.setAttribute("type", "checkbox");
        if (all.attachEvent)
                all.attachEvent("onclick", function () { SelectAllInputs(document.getElementById("checkAll").checked) });
        else
                all.setAttribute("onclick", "javascript: SelectAllInputs(this.checked)");
        all.setAttribute("title", "Sélectionner/Désélectionner tous");
        title2[title2.length -1].appendChild(all);
        all.click();
}

function SelectAllInputs(bool)
{
        var inputs = document.getElementById("undelete").getElementsByTagName("input");
        for (var cpt = 0 ; cpt < inputs.length ; cpt++)
        {
                inputs[cpt].checked = bool;
        }
}

addLoadEvent(UndeleteSelectAll);
//


function googleOnglet() {
  var a = document.getElementById("p-cactions");
        if (a) 
        {
          var pageName = document.title.replace(" - Wikipédia", ""); 
          b = a.getElementsByTagName("ul");
                  
          if(b.length > 0)
          {
            b[0].innerHTML = b[0].innerHTML
            + '<li id="ca-nstab-user"><font style="color: blue; font-weight: bold; padding-left: 0.5em">G</font>'
            + '<a href="http://www.google.fr/search?num=20&hl=en&safe=off&q=site%3Afr.wikipedia.org+' + pageName + '&btnG=Search">'
            + 'wp-fr</a>'
            + '<a href="http://www.google.fr/search?num=20&hl=en&safe=off&q=site%3Awikipedia.org+' + pageName + '&btnG=Search">'
            + 'wp</a>'
            + '<a href="http://www.google.fr/search?num=20&hl=fr&safe=off&q=' + pageName + '&btnG=Search&meta=lr%3Dlang_fr">'
            + 'web-fr</a>'
            + '<a href="http://www.google.fr/search?num=20&hl=en&safe=off&q=' + pageName + '&btnG=Search">'
            + 'web</a>'
            + '</li>';
          }
        }
      } 
addLoadEvent(googleOnglet);

//<pre><nowiki>
/*
 * EvaluationDeluxe
 * 
 * La fonction EvalProject ajoute un ou plusieurs boutons qui ouvrent un popup d'évaluation
 * sur un ou plusieurs projets donné. Le bouton n'est ajouté que sur les pages de discussion
 * des articles.
 *
 * Un modèle d'évaluation de projet sera mis à jour ou ajouté sur la page de
 * discussion concernée.
 *
 * Auteurs : Ugo14
 * Date de dernière révision :
 */

//////////////////////ZONE PERSONNALISABLE//////////////////////
var evalProjectButtons = new Array();
var evalProjectNames = new Array();

with (evalProjectButtons) {
        push("http://upload.wikimedia.org/wikipedia/commons/7/73/Button_iran.png"); //push(""); donne le bouton vide
}
with (evalProjectNames) {
        push("Iran");
}
/////////////////FIN DE LA ZONE PERSONNALISABLE/////////////////

function popupEvalProject(project) {
        var pattern=new RegExp("\\{\\{Wikiprojet "+project+".*\\}\\}","i");
        var found=document.editform.wpTextbox1.value.match(pattern); 
        var aa="inconnu";
        var ii="inconnue";
        var chki=new Array();
        var chka=new Array();
        for (i=0;i<4;i++) {chki[i]="";}
        for (i=0;i<6;i++) {chka[i]="";}
        if (found) {
                if (found[0].match(/importance=faible/i)) {
                        ii="faible";
                        chki[0]="checked";
                } else if (found[0].match(/importance=moyenne/i)) {
                        ii="moyenne";
                        chki[1]="checked";
                } else if (found[0].match(/importance=élevée/i)) {
                        ii="élevée";
                        chki[2]="checked";
                } else if (found[0].match(/importance=maximum/i)) {
                        ii="maximum";
                        chki[3]="checked";
                }
                if (found[0].match(/avancement=ébauche/i)) {
                        aa="ébauche";
                        chka[0]="checked";
                } else if (found[0].match(/avancement=BD/i)) {
                        aa="BD";
                        chka[1]="checked";
                } else if (found[0].match(/avancement=BA/i)) {
                        aa="BA";
                        chka[3]="checked";
                } else if (found[0].match(/avancement=B/i)) {
                        aa="B";
                        chka[2]="checked";
                } else if (found[0].match(/avancement=AdQ/i)) {
                        aa="AdQ";
                        chka[5]="checked";
                } else if (found[0].match(/avancement=A/i)) {
                        aa="A";
                        chka[4]="checked";
                }
        }

        var popup = window.open('','name','');

        javaCode =  '<script type="text\/javascript">var a="'+aa+'"; var i="'+ii+'"; function insertCode(){';
        javaCode += "var textarea=window.opener.document.editform.wpTextbox1.value; ";
        javaCode += 'var pattern=new RegExp("\\\\{\\\\{Wikiprojet '+project+'.*\\\\}\\\\}","i"); ';
        javaCode += 'if (textarea.match(pattern)) { ';
        javaCode += 'window.opener.document.editform.wpTextbox1.value=';
        javaCode += 'textarea.replace(pattern,"{{Wikiprojet '+project+'|importance="+i+"|avancement="+a+"}}");  ';
        javaCode += ' }else{ ';
        javaCode += 'window.opener.insertTags("","{{Wikiprojet '+project+'|importance="+i+"|avancement="+a+"}}",""); ';
        javaCode += ' } ';
        javaCode += 'window.opener.document.editform.wpSummary.value ="Évaluation wikiprojet '+project+' : importance="+i+", avancement="+a; ';
        javaCode += '} <\/script>';
  
        popup.document.write('<html><head><title>Évaluation de '+wgTitle+' pour le projet '+project+'</title>');
        popup.document.write('<script type="text\/javascript" src="\/skins-1.5\/common\/wikibits.js"><!-- wikibits js --><\/script>');
        popup.document.write('<style type="text\/css" media="screen projection">/*<![CDATA[*/ @import "\/skins-1.5\/monobook\/main.css?5"; /*]]>*/<\/style>');
        popup.document.write(javaCode); 
        popup.document.write('</head><body>');
        popup.document.write('<h1>Évaluation de <b>'+wgTitle+'</b> dans le cadre du projet <b>'+project+'</b></h1>');
        popup.document.write('<p><center><form name="paramForm">');
        popup.document.write('<table cellpading=1 cellspacing=0>');
        popup.document.write('<tr><th colspan=2>Avancement</th><th colspan=2>Importance</th></tr>');
        popup.document.write('<tr><td bgcolor="#6699ff"><input type="radio" name="avancement" onCLick="a=\'AdQ\'" '+chka[5]+'></td>');
        popup.document.write('<td bgcolor="#6699ff">AdQ</td>');
        popup.document.write('<td bgcolor="#ff00ff"><input type="radio" name="importance" onClick="i=\'maximum\'" '+chki[3]+'></td>');
        popup.document.write('<td bgcolor="#ff00ff">maximum</td></tr>');
        popup.document.write('<tr><td bgcolor="#66ffff"><input type="radio" name="avancement" onClick="a=\'A\'" '+chka[4]+'></td>');
        popup.document.write('<td bgcolor="#66ffff">A</td>');
        popup.document.write('<td bgcolor="#ff88ff"><input type="radio" name="importance" onClick="i=\'élevée\'" '+chki[2]+'></td>');
        popup.document.write('<td bgcolor="#ff88ff">élevée</td></tr>');
        popup.document.write('<tr><td bgcolor="#66ff66"><input type="radio" name="avancement" onClick="a=\'BA\'" '+chka[3]+'></td>');
        popup.document.write('<td bgcolor="#66ff66">BA</td>');
        popup.document.write('<td bgcolor="#ffccff"><input type="radio" name="importance" onClick="i=\'moyenne\'" '+chki[1]+'></td>');
        popup.document.write('<td bgcolor="#ffccff">moyenne</td></tr>');
        popup.document.write('<tr><td bgcolor="#ffff66"><input type="radio" name="avancement" onClick="a=\'B\'" '+chka[2]+'></td>');
        popup.document.write('<td bgcolor="#ffff66">B</td>');
        popup.document.write('<td bgcolor="#ffeeff"><input type="radio" name="importance" onClick="i=\'faible\'" '+chki[0]+'></td>');
        popup.document.write('<td bgcolor="#ffeeff">faible</td></tr>');
        popup.document.write('<tr><td bgcolor="#ffaa66"><input type="radio" name="avancement" onClick="a=\'BD\'" '+chka[1]+'></td>');
        popup.document.write('<td bgcolor="#ffaa66">BD</td>');
        popup.document.write('<td></td>');
        popup.document.write('<td></td></tr>');
        popup.document.write('<tr><td bgcolor="#ff6666"><input type="radio" name="avancement" onClick="a=\'ébauche\'" '+chka[0]+'></td>');
        popup.document.write('<td bgcolor="#ff6666">ébauche</td>');
        popup.document.write('<td></td>');
        popup.document.write('<td></td></tr>');
        popup.document.write('</table>');
        popup.document.write('<p>');
        popup.document.write('<input type="submit" value="Évaluer" onClick="javascript:insertCode();javascript:self.close()">');
        popup.document.write('<input type="submit" value="Annuler" onClick="javascript:self.close()">');
        popup.document.write('</form></center>');
        popup.document.write('<iframe id="article" src="http://fr.wikipedia.org/wiki/'+wgTitle+'" width="100%" height="75%" align="bottom"></iframe>');
        popup.document.write('</body></html>');
        popup.document.close();
}

function EvalProject () {

        if ((wgAction != "edit") || (wgCanonicalNamespace != "Talk")) return false;

        if (document.createTextNode) {
                var toolbar = document.getElementById("toolbar");
                if (!toolbar) return;

                for(var i = 0; i < evalProjectNames.length; i ++) {
                        var img = document.createElement("img");
                        if (evalProjectButtons[i]==undefined || evalProjectButtons[i]=="") {
                                img.setAttribute("src","http://upload.wikimedia.org/wikipedia/fr/8/84/Button_vide.png");
                        } else {
                                img.setAttribute("src", evalProjectButtons[i]);
                        }
                        var ref = document.createElement("a");
                        ref.setAttribute("href", "javascript:popupEvalProject('"+evalProjectNames[i]+"');");
                        ref.setAttribute("title", "Évaluation projet "+evalProjectNames[i]);
                        ref.appendChild(img);

                        toolbar.appendChild(ref);
                }
        }
}

addLoadEvent(EvalProject);
 // [[:en:User:Lupin/popups.js]]
 document.write('<script type="text/javascript" src="' 
    + 'http://fr.wikipedia.org/w/index.php?title=User:Leag/popups-strings-fr.js' 
    + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
 document.write('<script type="text/javascript" src="' 
             + 'http://en.wikipedia.org/w/index.php?title=User:Lupin/popups.js' 
             + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
 
/* Ajout des bidouilles de Gôtô pour les couleurs dans les modifications */
document.write('<script type="text/javascript" src="' 
             + 'http://fr.wikipedia.org/w/index.php?title=Utilisateur:GôTô/objects.js' 
             + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
document.write('<script type="text/javascript" src="' 
            + 'http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dake/monobook.js/deluxehistory.js' 
            + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
/* ça devrait être bon*/


 /* D'après DainDwarf*/
 /* <pre> <nowiki> */
 /*Pour avoir la date du jour*/
 function TodayDate() {
     m = new Array("janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre");
     today = new Date();
     day = today.getDate();
     year = today.getYear();
     if (year < 2000)    
          year = year + 1900;
     return (day + " " + m[today.getMonth()] + " " + year);
 }

 /*Ajout d'une boite sur le cote, avec des liens*/
 function addLoadEvent(func) {
         if (window.addEventListener) {
             window.addEventListener("load", func, false);
         } else if (window.attachEvent) {
             window.attachEvent("onload", func);
         }
      }

      function nouvelleBoite() {
        var l = document.getElementById("column-one");
        if (l) {
          l.innerHTML = l.innerHTML
          + '<div class="portlet" id="p-nbx">'
          + ' <h5>Boîte personnelle</h5>'
          + ' <div class="pBody">'
          + '   <ul>'
          + '     <li><a href="http://fr.wikipedia.org/wiki/Wikipédia:Le_Bistro/' + TodayDate() + '">Le Bistro du jour</a></li>'
          + '     <li><a href="http://fr.wikipedia.org/wiki/WP:BA">Bulletin des Administrateurs</a></li>'
          + '     <li><a href="/wiki/Wikipédia:Requête aux administrateurs">Requêtes</a></li>'
          + '     <li><a href="/wiki/Special:Shortpages">Articles courts</a></li>' 
          + '     <li><a href="/wiki/Special:Log">Journaux</a></li>' 
          + '     <li><a href="http://meta.wikimedia.org/wiki/Main_Page">Wikimedia</a></li>'
          + '     <li><a href="http://commons.wikimedia.org/wiki/Accueil">Commons</a></li>'
          + '     <li><a href="http://fr.wikibooks.org/wiki/Accueil">Wikibooks</a></li>'
          + '     <li><a href="http://fr.wikisource.org/wiki/Accueil">Wikisource</a></li>'
          + '     <li><a href="http://fr.wiktionary.org/wiki/Wiktionnaire:Page_d%27accueil">Wiktionnaire</a></li>'
          + '     <li><a href="http://fr.wikinews.org/wiki/Accueil"> Wikinews</a></li>'
          + '     <li><a href="http://it.wikinews.org/wiki/Pagina_principale"> Wikinews it</a></li>'
          + '     <li><a href="http://fr.wikiversity.org/wiki/Accueil"> Wikiversité</a></li>'
          + '     <li><a href="http://fr.wikiquote.org/wiki/Accueil"> Wikiquote</a></li>'
          + '     <li><a href="http://fr.wikipedia.org/wiki/Utilisateur:Catalyse/monobook.js">Monobook.js</a></li>'
          + '     <li><a href="http://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Personnaliser_monobook">Personnalisation du monobook</a></li>'
          + '     <li><a href="http://fr.wikipedia.org/wiki/Utilisateur:EDUCA33E/LiveRC">LiveRC de EDUCA33E</a></li>'
          + '     <li><a href="http://bugzilla.wikimedia.org/"> Bugzilla</a></li>'
          + '   </ul>'
          + ' </div>'
          + '</div> ';
        }
      }
      addLoadEvent(nouvelleBoite);
 /* </nowiki> </pre> */

function PaletteOutils() 
{
  var a = document.getElementById("p-tb");
  if (a) 
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    {
      b[0].innerHTML = b[0].innerHTML
      + '<li><span id="n-bistro" title="http://commons.wikimedia.org/wiki/Special:Upload">'
      + '<a href="http://commons.wikimedia.org/wiki/Special:Upload">'
      + 'Importer une image ou un son sur Commons</a></span> </li>'
    }
  }
}  
addLoadEvent(PaletteOutils);


 /**************************************************************/
 /* Ajoute un lien Google sur les liens rouges                 */
 /* Auteur original : Seb35                                    */
 /* Modifications pour IE/Firefox : Dake                       */
 /**************************************************************/
 function liensRouges_main()
 {
 if(/Spe[cz]ial(?::|%3A)Watchlist/i.test(window.location) || /edit/i.test(window.location)) return;
 var allLinks = document.getElementById('bodyContent').getElementsByTagName('a');
 for(i=0; i<allLinks.length; i++)
 {
  if(allLinks[i].getAttribute('class') == 'new')
  {
   titre = allLinks[i].getAttribute('title');

   var newElementOutside = document.createElement("sup");

   var newElement = document.createElement("a");
   newElement.setAttribute("title",'Rechercher \'' + titre + '\'');
   newElement.setAttribute("href", 'http://www.google.com/search?num=100&q=' + titre + '+site:fr.wikipedia.org');
   newElement.appendChild(document.createTextNode(" google "));

   newElementOutside.appendChild(newElement);
   insertAfter( allLinks[i].parentNode, newElementOutside, allLinks[i]);
   }
  }
 }
 addLoadEvent(liensRouges_main);

// Auteur : Anakin
// Dernière mise à jour : 11 décembre 2005

function CategoryTree()
{
  var element = document.getElementById('ca-nstab-category');
  if (element)
  {
    var categoryname = element.firstChild.href;
    categoryname = categoryname.substring(7);

    var wikiname = categoryname.substring(0, categoryname.indexOf('.'));

    var indexofname = categoryname.indexOf(":") + 1;
    categoryname = categoryname.substring(indexofname);

    var indexofampersand = categoryname.indexOf("&");
    if (indexofampersand != -1)
      categoryname = categoryname.substring(0, indexofampersand);

    var li = document.createElement('li');
    li.id = 'ca-categorytree';

    var a = document.createElement('a');
    a.appendChild(document.createTextNode("Arborescence"));
    a.href = 'http://tools.wikimedia.de/~daniel/WikiSense/CategoryTree.php?wikilang=fr&wiki=' + wikiname + '&art=on&cat=' + categoryname;

    li.appendChild(a);

    document.getElementById('ca-nstab-category').parentNode.appendChild(li);
  }
}

addLoadEvent(CategoryTree);

// Auteur : Anakin
// Dernière mise à jour : 11 décembre 2005

function ImageUse()
{
  var element = document.getElementById('ca-nstab-image');
  if (element)
  {
    var imagename = element.firstChild.href;

    var indexofname;
    if (imagename.indexOf("http://") != -1)
      indexofname = imagename.indexOf(":", 6);
    else
      indexofname = imagename.indexOf(":");

    imagename = imagename.substring(indexofname + 1);

    var indexofampersand = imagename.indexOf("&");
    if (indexofampersand != -1)
      imagename = imagename.substring(0, indexofampersand);

    var li = document.createElement('li');
    li.id = 'ca-imageuse';

    var a = document.createElement('a');
    a.appendChild(document.createTextNode("Voir l'utilisation"));
    a.href = 'http://www.juelich.de/avatar/check-usage/check-usage.php?filename=' + imagename + '&template';

    li.appendChild(a);

    document.getElementById('ca-nstab-image').parentNode.appendChild(li);
  }
}
  addLoadEvent(ImageUse);

/* Lien Editcount */
var tabAction = "p-cactions";
function addECButton()
       {
        if ( window.location.href.indexOf('Contributions') < 0) return;
        var c = document.getElementById('contentSub');
        var a = c.getElementsByTagName('a');
        name = a[0].innerHTML;
        var l = document.getElementById(tabAction);
        t = l.innerHTML;
        ind = t.toLowerCase().indexOf("</ul>");
        before = t.substring(0,ind);
        after = t.substring(ind); 
        pitem = "<li><a href='http://tools.wikimedia.de/~interiot/cgi-bin/count_edits?user="+escape(name)+"&dbname=frwiki_p'>"+
                "<div id='EditCount' style='display:inline;'>" + 
                "Editcount"  + 
                "</div></a></li>";
        l.innerHTML = before + pitem + after ;           
      }
addLoadEvent(addECButton);

//---------------------------------------------------------------------------------------------Objets (cookies)
document.write('<script type="text/javascript" src="' 
             + 'http://fr.wikipedia.org/w/index.php?title=Utilisateur:GôTô/objects.js' 
             + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');

function addWatchUserLinks() {
        var a = document.getElementById("p-search")
        if (a)
                a = a.getElementsByTagName("div")[0]
        if (a)
        {
                var str = a.innerHTML + '  <a class="searchLink" href="javascript:watchUser(document.getElementById(\'searchInput\').value)" title="Mettre en évidence les contributions de cet utilisateur">'
                        + 'watch user</a>'
                        + '  <a class="searchLink" href="javascript:unwatchUser(document.getElementById(\'searchInput\').value)" title="Ne plus mettre en évidence les contributions de cet utilisateur">'
                        + 'unwatch user</a>'
                a.innerHTML = str
        }
}

function watchUser(usr) {
        if (!isUserWatched(usr)) {
                var all = cookies.get("watchUser")
                cookies.set("watchUser", (all ? all + usr + "/" : usr + "/"))
                highlightWatchedUsers()
        }
}

function unwatchUser(usr) {
        if (!isUserWatched(usr))
                return
        var all = cookies.get("watchUser").split("/")
        var out = ""
        for (var cpt = 0 ; cpt < all.length ; cpt++)
                if (all[cpt] != usr && all[cpt])
                        out += all[cpt] + "/"
        cookies.set("watchUser", out)
        highlightWatchedUsers()
}

function isUserWatched(usr) {
        var all = cookies.get("watchUser")
        if (!all)
                return null
        for (var cpt = 0 ; cpt < all.split("/").length ; cpt++)
                if (all.split("/")[cpt] == usr)
                        return 1
        return null
}

function highlightWatchedUsers() {
        if (window.location.href.indexOf("Special:Recentchanges") < 1)
                return
        var uls = document.getElementsByTagName("ul")
        var ul = uls[0]
        for (var cpt = 1 ; cpt < uls.length && ul.className != "special" ; cpt++)
                ul = uls[cpt]
        var lis = ul.getElementsByTagName("li")
        for (var cpt = 0 ; cpt < lis.length ; cpt++) {
                var usr = lis[cpt].getElementsByTagName("a")[3].innerHTML
                if (lis[cpt].getElementsByTagName("span")) {
                        var spans = lis[cpt].getElementsByTagName("span")
                        for (var cpt2 = 0 ; cpt2 < spans.length ; cpt2++)
                                if (spans[cpt2].className == "newpage")
                                        var usr = lis[cpt].getElementsByTagName("a")[2].innerHTML
                }
                if (isUserWatched(usr))
                        lis[cpt].className = "userWatched"
                else
                        lis[cpt].className = ""
        }
}

addLoadEvent(highlightWatchedUsers)
addLoadEvent(addWatchUserLinks)




///////////////////////ajouts/////////////////////////


function addToSummary(str)
{
        document.editform.wpSummary.value += " " + str
}

function DeluxeSummary()
{
        var sumLbl = document.getElementById("wpSummaryLabel")
        if (sumLbl)
        {
                //élargissement boite de résumé
                var sumInput = document.getElementById("wpSummary")
                sumInput.style.width = "90%"

                var titles = new Array()
                titles.push("+ ébauche")
                titles.push("dev")
                titles.push("pub")
                titles.push("fini")
                titles.push("cat")
                titles.push("image")
                titles.push("interwiki")
                titles.push("corr interwiki")
                titles.push("wikif")
                titles.push("portail")
                titles.push("image")
                titles.push("lien int")
                titles.push("lien ext")
                titles.push("corr lien int")
                titles.push("corr lien ext")
                titles.push("lien ext -> lien int")
                titles.push("lien int -> interwiki")
                titles.push("lien ext -> interwiki")
                titles.push("MeP")
                titles.push("fusion")
                titles.push("redir")
                titles.push("ortho/gram")
                titles.push("retouches")
                titles.push("ajInfo")
                titles.push("rangmt")
                titles.push("recat")
                titles.push("PàS conservé")
                titles.push("création")
                titles.push("Avis")
                titles.push("Motivation")
                titles.push("Réponse")
                titles.push("régul")
                titles.push("délais")
                titles.push("sup copyvio")
                titles.push("date")
                titles.push("rv-motif")
                titles.push("blocage")


                var inputs = new Array()
                inputs.push("bandeau ébauche")
                inputs.push("Mise en Développement")
                inputs.push("Publication de la page")
                inputs.push("Article terminé. Veuillez en créer un nouveau pour coller le mieux aux actualités")
                inputs.push("- catégorie")
                inputs.push(" -image")
                inputs.push(" -liens interwiki")
                inputs.push("correction de liens interwiki")
                inputs.push("Wikification ")
                inputs.push("- portail")
                inputs.push("- image manquante")
                inputs.push("- lien interne")
                inputs.push("- lien externe")
                inputs.push("correction lien interne")
                inputs.push("correction lien externe")
                inputs.push("conversion lien externe en lien interne")
                inputs.push("conversion lien interne en lien interwiki")
                inputs.push("conversion lien externe en lien interwiki")
                inputs.push("mise en page")
                inputs.push("fusion")
                inputs.push("Redirect")
                inputs.push("correction orthographe/grammaire")
                inputs.push("diverses retouches")
                inputs.push("ajout infos")
                inputs.push("rangement interwikis/catégories")
                inputs.push("changement catégorie")
                inputs.push("article listé sur PàS - retrait du bandeau (conservé)")
                inputs.push("Initialisation de la page")
                inputs.push("Avis rendu !")
                inputs.push("Motivation ")
                inputs.push("Réponse ")
                inputs.push("- non régularisé ")
                inputs.push("- délais non respectés ")
                inputs.push("- suppression passage en copyvio du site : ")
                inputs.push("- "+ TodayDate())
                inputs.push("revert de la dernière contribution. Indiquez les motifs des modifications dans boîte de résumé ou en indiquer le renvoi en page de discussion")
                inputs.push("Avis de blocage")

                var str = ""
                for (var cpt = 0; cpt < titles.length; cpt ++)
                {
                        str += "<a href=\"javascript:addToSummary('" + inputs[cpt] + "')\""
                                + " class=\"sumLink\" title=\"Ajouter '" + inputs[cpt] +"' dans la boîte de résumé\">"
                                + titles[cpt]
                                + " ·</a> "
                }
                sumLbl.innerHTML = str + "<br />" + sumLbl.innerHTML
        }
}

addLoadEvent(DeluxeSummary)

//Bistro d'aujourd'hui

function TodayDate() {
      m = new Array("janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre");
      today = new Date();
      day = today.getDate();
      year = today.getYear();

      if (year < 2000)    
           year = year + 1900;

      return (day + " " + m[today.getMonth()] + " " + year);
}


function OptimizedNavig() 
{
  var a = document.getElementById("p-navigation");
  if (a) 
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    {
      b[0].innerHTML = b[0].innerHTML
      + '<br>'
      + '<li><span id="n-bistro" title="Wikipédia:Le Bistro">'
      + '<a href="/wiki/Wikipédia:Le_Bistro/' + TodayDate() + '">Le Bistro</a>'
      + '</span></li>'
      + '<li><span id="n-pas" title="Wikipédia:Pages à supprimer">'
      + '<a href="/wiki/Wikipédia:Pages à supprimer">Pages à supprimer</a>'
      + '</span></li>'
      + '<li><span id="n-ias" title="Wikipédia:Images à supprimer">'
      + '<a href="/wiki/Wikipédia:Images à supprimer">Images à supprimer</a>'
      + '</span></li>'
      + '<br>'
      + '<li><span id="n-radmin" title="Wikipédia:Requête aux administrateurs">'
      + '<a href="/wiki/Wikipédia:Requête aux administrateurs">Requêtes</a>'
      + '</span></li>'
      + '<li><span id="n-npages" title="Special:Newpages">'
      + '<a href="/wiki/Special:Newpages">Nouvelles pages</a>'
      + '</span></li>'
    }
  }
}

addLoadEvent(OptimizedNavig);