/////////////////////////////////// LIVE RC ///////////////////////////////////
loadJs('User:EDUCA33E/LiveRC.js');
 
/////////////////////////////////// BOÎTE DE RÉSUMÉ PERSONNALISÉE ///////////////////////////////////
function addToSummary(str)
{
        document.editform.wpSummary.value += " " + str
}
function DeluxeSummary()
{
        var sumLbl = document.getElementById("wpSummaryLabel")
        if (sumLbl)
        {
                //élargissement boite de résumé
                var sumInput = document.getElementById("wpSummary")
                sumInput.style.width = "90%"
 
                var titles = new Array()
                titles.push("Lien(s) externe(s)")
                titles.push("Lien(s) interne(s)")
                titles.push("Orthographe")
                titles.push("Orthographe/Grammaire")
                titles.push("Typographie")
                titles.push("Ébauche")
                titles.push("Déplacement bandeau ébauche")
                titles.push("Portail(s)")
                titles.push("Catégorisation")
                titles.push("Lien(s) interwiki")
                titles.push("Mise en page")
                titles.push("Style")
                titles.push("Retouche(s)")
                titles.push("Coquille(s)")
                titles.push("Ajout d’information(s)")
                titles.push("Ajout de référence(s)")
                titles.push("Ajout Wikispecies")
                titles.push("Ajout Commons")
                titles.push("Précision(s)")
                titles.push("+")
                titles.push("Image")
 
                var inputs = new Array()
                inputs.push("--> Ajout lien(s) externe(s)")
                inputs.push("--> Ajout lien(s) interne(s)")
                inputs.push("--> Orthographe")
                inputs.push("--> Correction orthographe et/ou grammaire")
                inputs.push("--> Typographie")
                inputs.push("--> Ajout bandeau d’ébauche")
                inputs.push("--> Déplacement du bandeau d’ébauche en haut de page")
                inputs.push("--> Ajout portail(s)")
                inputs.push("--> Ajout catégorie(s)")
                inputs.push("--> Ajout de lien(s) interwiki")
                inputs.push("--> Mise en page")
                inputs.push("--> Style")
                inputs.push("--> Retouche(s) diverses")
                inputs.push("--> Coquille(s)")
                inputs.push("--> Ajout d’information(s)")
                inputs.push("--> Ajout de référence(s)")
                inputs.push("--> Ajout Wikispecies")
                inputs.push("--> Ajout Commons")
                inputs.push("--> Précision(s)")
                inputs.push("+")
                inputs.push("Ajout image")
 
                var str = ""
                for (var cpt = 0; cpt < titles.length; cpt ++)
                {
                        str += "<a href=\"javascript:addToSummary('" + inputs[cpt] + "')\""
                                + " class=\"sumLink\" title=\"Ajouter '" + inputs[cpt] +"' dans la boîte de résumé\">"
                                + titles[cpt]
                                + "&nbsp;&middot;</a> "
                }
                sumLbl.innerHTML = str + "<br />" + sumLbl.innerHTML
        }
}
 
addOnloadHook(DeluxeSummary)
 
 
 
////////////////////////////// AJOUT DE BOUTONS DANS LA BARRE PERSONNELLE ///////////////////////////////////
  addOnloadHook(function() {
    addPortletLink('p-personal', '/wiki/Projet:Biologie/Le_café_des_biologistes', 'Le café des biologistes');
  });
 
///////////////////////////// AJOUT DE BOUTONS DANS LA BARRE D'OUTILS D'ÉDITION /////////////////////////////
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/e/e4/Blue_square_G.PNG',
 'Lien vers Genre (biologie)',
 '[[genre (biologie)|',
 ']]',
 'genre',
 'mw-editbutton-genre');
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/7/7d/Blue_square_F.PNG',
 'Lien vers Famille (biologie)',
 '[[famille (biologie)|',
 ']]',
 'famille',
 'mw-editbutton-famille');
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/0/08/Blue_square_O.PNG',
 'Lien vers Ordre (biologie)',
 '[[ordre (biologie)|',
 ']]',
 'ordre',
 'mw-editbutton-ordre');
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/8/83/Crystal_Clear_app_babelfish.png',
 'poisson',
 '{{ébauche|poisson}}\n\nLe’\'\'\'',
 '\'\'\' (\'\'\'\'\'{{lang|la|}}\'\'\'\'\') est une [[espèce]] de [[poisson]] de la [[famille (biologie)|famille]] des {{lang|la|[[]]}}.\n\nCette espèce vit .\n\n== Voir aussi ==\n=== Références taxinomiques ===\n\n\n=== Liens externes ===\n\n{{Portail|zoologie}}\n\n[[Catégorie:]]',
 'Poisson',
 'mw-editbutton-Poisson');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/9/93/Berryteuthis_magister.jpg',
 'poisson',
 '{{ébauche|céphalopode}}\n\nLe’\'\'\'',
 '\'\'\' (\'\'\'\'\'{{lang|la|}}\'\'\'\'\') est une [[espèce]] de [[poisson]] de la [[famille (biologie)|famille]] des {{lang|la|[[]]}}.\n\nCette espèce vit .\n\n== Voir aussi ==\n=== Références taxinomiques ===\n\n\n=== Liens externes ===\n\n{{Portail|zoologie}}\n\n[[Catégorie:]]',
 'Poisson',
 'mw-editbutton-céphalopode');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/7/70/Unit%C3%A9%2C_cm.png',
 'unité en cm',
 '{{unité|',
 '|cm}}',
 '??',
 'mw-editbutton-cm');
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/b/bb/Button_latin.jpg',
 'texte en latin',
 '{{lang|la|',
 '}}',
 'texte en latin',
 'mw-editbutton-latin');
 
/////////////////////////////////// POUR L'ÉVALUATION RAPIDE DES ARTICLES ///////////////////////////////////
var alwaysEval = false; //mettez cette valeur à ''true'' si vous voulez que l'évaluation soit lancée automatiquement (à éviter en temps normal)
function initEvalProjectNames()
{
	evalProjectNames=new Array(); //liste de vos projets
	evalProjectNames.push("Zoologie") 
	evalProjectNames.push("Ornithologie")
	evalProjectNames.push("Félins")
	evalProjectNames.push("Botanique") //mettre ici autant de lignes comme celle-ci que de projets que vous voulez évaluer
}

/////////////////////////////////// REFS POP-UP ///////////////////////////////////
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dr_Brains/ReferencesPopUp.js&action=raw&ctype=text/javascript"></script>');