/* 
 * OptimizedNavigAdmin2
 * 
 * Liens utiles à l'administration
 * 
 * Auteur : Dake
 * Contributeur : Tieno
 * D'après : MediaWiki:Gadget-NavigAdmin.js
 * révision : 21 juin 2009 Coyau
 */

function OptimizedNavigAdmin2()
{
        var a = document.getElementById("p-navigation");
        if (a)
        {
                b = a.getElementsByTagName("ul");
                if(b.length > 0)
                {
                        b[0].innerHTML = b[0].innerHTML
                                + '<li><span id="n-bistro" title="Wikipédia:Le Bistro du jour">'
                                + '<a href="/wiki/Wikipédia:Le Bistro du jour">LB</a>'
                                + '</span> — <span id="n-badmin" title="Wikipédia:Bulletin des administrateurs">'
                                + '<a href="/wiki/Wikipédia:Bulletin des administrateurs">BA</a>'
                                + '</span> / <span id="n-radmin" title="Wikipédia:Requête aux administrateurs">'
                                + '<a href="/wiki/Wikipédia:Requête aux administrateurs">RA</a>'
                                + '</span></li>'
                                + '<li>New<span id="n-spages" title="Special:Newpages">'
                                + '<a href="/wiki/Special:Newpages">pages</a>'
                                + '</span>/<span id="n-simages" title="Special:Newimages">'
                                + '<a href="/wiki/Special:Newimages">images</a>'
                                + '</span></li>'
                                + '<li><span id="n-logs" title="Special:Log">'
                                + '<a href="/wiki/Special:Log">Journaux</a>'
                                + '</span></li>'
                }
        }
}

addOnloadHook(OptimizedNavigAdmin2);


/* custom barre du haut
 * http://darkoneko.wordpress.com/2010/03/12/personnalisons-wikipedia-la-barre-du-haut/
 * 12 mars 2010
 */

importScript('Utilisateur:Darkoneko/divers.js') // si vous ne l'avez pas déjà

function customizeTopBar() {
   var logout = document.getElementById("pt-logout")
   if (!logout) return
   var topBarUl = logout.parentNode

   //changer le texte pour "Page de discussion"
   document.getElementById('pt-mytalk').getElementsByTagName("a")[0].firstChild.nodeValue = "PdD"

   //changer le texte pour "Préférences"
   document.getElementById('pt-preferences').getElementsByTagName("a")[0].firstChild.nodeValue = "Prefs"

   //changer le texte pour "Liste de suivi"
   document.getElementById('pt-watchlist').getElementsByTagName("a")[0].firstChild.nodeValue = "LdS"

   var mycontris = document.getElementById('pt-mycontris');
   //ajouter "js" a gauche de discussion. La variable "wgUserName" contient le nom de l'utilisateur en cours.
   topBarUl.insertBefore( createLiAdressNode('/wiki/commons:Special:Watchlist', 'Commons'), mycontris)
   topBarUl.insertBefore( createLiAdressNode('/wiki/wikt:Special:Watchlist', 'WT'), mycontris)
   topBarUl.insertBefore( createLiAdressNode('/wiki/s:Special:Watchlist', 'WS'), mycontris)

   //changer le texte pour "Contributions"
   mycontris.getElementsByTagName("a")[0].firstChild.nodeValue = "contribs"

   //ajouter "log" a gauche de déconnexion
   topBarUl.insertBefore( createLiAdressNode('/w/index.php?title=Special:Journal&user='+wgUserName, 'log'), logout )

   //changer le texte pour "Déconnexion"
   logout.getElementsByTagName("a")[0].firstChild.nodeValue = "X"
}
addOnloadHook(customizeTopBar)