/* ************************************************************************************************************************************************ 
// Extension de LiveRC
 
// Messages de révocation pré-définis

// Version personnalisée par Coyote du 86 du JS de Dr Brains 
 
Ajoutez dans votre [[User:<PSEUDO>/LiveRCparam.js]] le code :
 
importScript('Utilisateur:Dr Brains/LiveRC/RevertMessagesExtension.js');
 
 
{{Catégorisation JS|LiveRC}} 
 
************************************************************************************************************************************************ */
if (typeof(lrcHooks)!="undefined") { // DÉBUT IF
 
/* ************************************************************************************************************************************************ */
 
if(typeof(lrcRevertMessages)=='undefined')
lrcRevertMessages = [
    { resume: "[[Wikipédia:Bac à sable|Bac à sable]]" , text: "Bac à sable" },
    { resume: "[[Wikipédia:Vandalisme|Vandalisme]]"   , text: "Vandalisme"  },
    { resume: "Retrait d'information non sourcées"    , text: "Non-sourcé"  },
    { resume: "[[Wikipédia:Neutralité de point de vue|Ajout d'un texte sans neutralité]]"    , text: "POV"  },
    { resume: "Ajout sans intérêt"    , text: "Sans intérêt"  },
    { resume: "[[Wikipédia:CAA|Article hors critères]]"    , text: "HC"  },
    { resume: "[[Wikipédia:LE|Ajout d'un lien externe hors critères]]"    , text: "Lien"  },
    { resume: "??"                , text: "??"   }
  ];
 
 
function LiveRC_RevertMessagesExtension_Init(){
    var RevertInput = document.getElementById("LiveRevertMessage");
    if(!RevertInput) return;
    var Opt = '<option selected="selected" onClick="LiveRC_RevertMessagesExtension_Update()" value=""> </option>';
    for(var a=0,l=lrcRevertMessages.length;a<l;a++){
      Opt += '<option value="'+lrcRevertMessages[a].resume+'" '
            + 'onClick="LiveRC_RevertMessagesExtension_Update()" '
            + 'name="'+a+'">'+lrcRevertMessages[a].text+'</option>';
    }
    var Select = document.createElement('select');
    Select.id = "LiveRevertMessage_List";
    Select.innerHTML = Opt;
    Select.style.display = "none";
    Select.style.position = "relative" ;
    Select.style.width = RevertInput.offsetWidth + "px" ;
    Select.style.top = parseInt(RevertInput.offsetHeight) + "px";
    Select.style.marginBottom = "-" + (20 + parseInt(RevertInput.offsetHeight)) + "px" ;
    Select.style.marginLeft = "-"+RevertInput.offsetWidth+"px" ;
    RevertInput.parentNode.insertBefore(Select, RevertInput.nextSibling);
    Select.onkeyup = LiveRC_RevertMessagesExtension_KeyPress;
 
    RevertInput.onmouseover = LiveRC_RevertMessagesExtension_Toggle;
    RevertInput.onfocus = LiveRC_RevertMessagesExtension_Toggle;
}
 
function LiveRC_RevertMessagesExtension_Toggle(){
    var RevertSelect = document.getElementById("LiveRevertMessage_List");
    if(!RevertSelect) return;
    if(RevertSelect.style.display == "none"){
        RevertSelect.style.display = "inline";
    }else{
        RevertSelect.style.display = "none";
    }
}
 
function LiveRC_RevertMessagesExtension_Hide(){
    var RevertSelect = document.getElementById("LiveRevertMessage_List");
    if(!RevertSelect) return;
    RevertSelect.style.display = "none";
    RevertSelect.onkeyup = null;
    RevertSelect.onclick = null;
}
 
function LiveRC_RevertMessagesExtension_KeyPress(e){
    if (!e) var e = window.event;
    if (e.keyCode != 13) return;
    LiveRC_RevertMessagesExtension_Update();
}
 
function LiveRC_RevertMessagesExtension_Update(){
    var RevertInput = document.getElementById("LiveRevertMessage");
    var RevertSelect = document.getElementById("LiveRevertMessage_List");
    if(!RevertInput || !RevertSelect) return;
    var InputValue = RevertInput.value;
    if(InputValue!="") RevertInput.value += " ; ";
    var Options = RevertSelect.getElementsByTagName('option');
    for(var a=0,l=Options.length;a<l;a++){
        if(!Options[a].selected) continue;
        RevertInput.value = Options[a].value;
        RevertInput.focus();
        return;
    }
}
 
LiveRC_AddHook("AfterPreviewDiff", LiveRC_RevertMessagesExtension_Init);
 
 
/* ************************************************************************************************************************************************ */
} // FIN IF