/* 
Cette page est une version "prète à l'emploi" d'une version améliorée de addStopInWatchlist, qui
 * ajoute dans chaque ligne de la liste de suivi un lien "stop", à droite de (hist)
 * lors d'un clic sur (stop), la page est retirée de la liste de suivi, et la ligne est barrée sur la page (pour indiquer que l'action a bien été effectuée)
Darkoneko, 22avril2010
*/



//Ajoute un "stop" sur special:watchlist pour enlever facilement des pages de son suivi
function addStopInWatchlist() {
  var allDays = document.getElementsByTagName("ul")

  for (i=0; i<allDays.length; i++) {
   if (allDays[i].getAttribute("class") != "special") continue //pour ne pas choper les autres "<ul>" de la page. On veux juste ceux des jours de la watchlist

    var artList = allDays[i].getElementsByTagName("li")
    for (j=0; j<artList.length; j++) {
    	var aTag = artList[j].getElementsByTagName("a")
	var articleName = aTag[0].getAttribute("title")
        if( articleName.indexOf("Spécial:") != -1) continue //pas de (stop) sur les lignes de log de renommage/suppression/etc.

        var separateur = document.createTextNode(") (")
	if (aTag[0].childNodes[0].data == "diff") { // séparation des cas (nouvel article, ou déjà existant)
	  insertAfter(artList[j], separateur , aTag[1])
	} else {
	  insertAfter(artList[j], separateur , aTag[0])
	}
	insertAfter(artList[j], createAdressNode("#", 'stop', "return remove_page_from_watchlist(this, \""+ articleName.replace("\"", "\\\"") +"\")" ), separateur)
    }
  }
}
//fonction appelée lorsque l'on clique sur le "stop"
function remove_page_from_watchlist(p_this, page_name) {
   var http_request = sajax_init_object()
   var address = "/w/api.php?action=watch&title=" + encodeURIComponent( page_name ) + "&unwatch"
   http_request.open('POST', address , false)
   http_request.send(null)

   p_this.parentNode.style.setProperty("text-decoration", "line-through", '') //on barre la ligne qui n'est plus suivie
   return false 
}

 
if( wgCanonicalSpecialPageName == "Watchlist") {
   addOnloadHook(addStopInWatchlist)
}