/* <nowiki> nowiki pour ne pas interpréter les caractères spéciaux de MediaWiki */
function addCustomButton(imageFile, speedTip, tagOpen, tagClose, sampleText, imageId)
{
	mwCustomEditButtons[mwCustomEditButtons.length] =
	{
		"imageId": imageId,
     		"imageFile": imageFile,
     		"speedTip": speedTip,
     		"tagOpen": tagOpen,
     		"tagClose": tagClose,
     		"sampleText": sampleText
	};
}  
 
function buttonload ()
{
	// Si on est dans l'espace de nom Discussion_Utilisateur :
  	if (wgNamespaceNumber == 3)
	{ 
	
		var Spam = '== Révocation de votre modification ==\n'
		+ 'Bonjour, et bienvenue sur Wikipédia ! Vous venez d’effectuer une modification sur un article, mais elle a dû être défaite. Ce n’est pas bien grave : on est là pour s’entraider {{;)}} !\n\n'
		+ 'En effet, rajouter des liens externes n’est pas idéal puisqu’une des règles de Wikipédia est de ne pas être un annuaire de liens externes. Un excellent article peut contenir un seul lien (comme <span class="plainlinks">[http://fr.wikipedia.org/w/index.php?title=Thermo%C3%A9lectricit%C3%A9&oldid=30140570#Lien_externe Thermoélectricité]</span>) ou une douzaine (<span class="plainlinks">[http://fr.wikipedia.org/w/index.php?title=Assassinat_de_John_F._Kennedy&oldid=31170828#Liens_externes Assassinat de JFK]</span>).\n\n'
		+ 'Cependant, ne vous inquiétez pas ! Essayez de comprendre le fonctionnement de Wikipédia, continuez à l’améliorer pour le mieux et d’autres contributeurs vous aideront si vous le leur demandez. Si vous êtes perdu, il existe un [[Aide:Sommaire|sommaire de l’aide]].\n\n'
		+ 'D’ailleurs, si vous avez des questions, n’hésitez pas à [[Discussion Utilisateur:' + wgUserName + '|me contacter]] {{=)}}. ~~~~'
		addCustomButton('http://upload.wikimedia.org/wikipedia/commons/c/cb/Pulsante_spam.png',	'Revert pour cause de spam', Spam, '', '', 'mw-editbutton-aide');


		var Syntaxe = '== Révocation de votre modification ==\n'
		+ 'Bonjour, et bienvenue sur Wikipédia ! Vous venez d’effectuer une modification sur un article, mais elle a dû être défaite. Ce n’est pas bien grave : on est là pour s’entraider {{;)}}.\n\n'
		+ 'En effet, votre modification n’était pas présentable en l’état. Généralement, il faut éviter le <b>gras</b> dans le corps d’un article, ne pas abuser des caractères en <i>italique</i>, des listes, des tableaux compliqués, éviter de sauter trop de lignes, respecter les conventions typographiques…\n\n'
		+ 'Cela rendait l’article compliqué à la lecture. Je vous conseille de lire [[aide:syntaxe|la page d’aide sur la syntaxe]] : mais, ne cherchez pas à faire compliqué, écrivez votre texte simplement, d’autres contributeurs le mettront en forme.\n\n'
		+ 'Cependant, ne vous inquiétez pas ! Essayez de comprendre le fonctionnement de Wikipédia, continuez à l’améliorer pour le mieux et d’autres contributeurs vous aideront si vous le leur demandez. Si vous êtes perdu, il existe un [[Aide:Sommaire|sommaire de l’aide]].\n\n'
		+ 'D’ailleurs, si vous avez des questions, n’hésitez pas à [[Discussion Utilisateur:' + wgUserName + '|me contacter]] {{=)}}. ~~~~'
 
		addCustomButton('http://upload.wikimedia.org/wikipedia/commons/c/c3/Button_syntaxe-stax.png', 'Revert pour cause de syntaxe', Syntaxe, '', '', 'mw-editbutton-aide');


		var Source = '== Révocation de votre modification ==\n'
		+ 'Bonjour, et bienvenue sur Wikipédia ! Vous venez d’effectuer une modification sur un article, mais elle a dû être défaite. Ce n’est pas bien grave : on est là pour s’entraider {{;)}}.\n\n'
		+ 'En effet, votre ajout était, selon moi, sujet à caution. Il n’est généralement pas nécessaire de citer ses sources lorsque l’information est logique ou évidente, mais dans des cas comme celui-ci c’est essentiel. La page [[Wikipédia:Citez vos sources]] résume assez bien tout ce qu’il faut savoir à ce sujet (quand, comment et quelles sources utiliser).\n\n'
		+ 'Cependant, ne vous inquiétez pas ! Essayez de comprendre le fonctionnement de Wikipédia, continuez à l’améliorer pour le mieux et d’autres contributeurs vous aideront si vous le leur demandez. Si vous êtes perdu, il existe un [[Aide:Sommaire|sommaire de l’aide]].\n\n'
		+ 'D’ailleurs, si vous avez des questions, n’hésitez pas à [[Discussion Utilisateur:' + wgUserName + '|me contacter]] {{=)}}. ~~~~'

		addCustomButton('http://upload.wikimedia.org/wikipedia/commons/c/c1/Button_source-srce.png', 'Revert pour cause d’ajout sans source', Source, '', '', 'mw-editbutton-aide');
 

		var NPOV = '== Révocation de votre modification ==\n'
		+ 'Bonjour, et bienvenue sur Wikipédia ! Vous venez d’effectuer une modification sur un article, mais elle a dû être défaite. Ce n’est pas bien grave : on est là pour s’entraider {{;)}}.\n\n'
		+ 'En effet, votre modification ne respectait pas un point de vue neutre. Généralement, lors de l’ajout d’informations dans un article, il faut penser à respecter la neutralité qui est de rigueur sur une encyclopédie. Par exemple, il faut sourcer ses propos par des sources secondaires, des journaux, des livres, ou des sites internet fiables. Il faut attribuer les citations à leurs auteurs, et citer l’œuvre où elles sont parues.\n\n'
		+ 'Je vous conseille de lire [[Wikipédia:Neutralité de point de vue|le principe fondateur sur la neutralité de point de vue]].\n\n'
		+ 'Cependant, ne vous inquiétez pas ! Essayez de comprendre le fonctionnement de Wikipédia, continuez à l’améliorer pour le mieux et d’autres contributeurs vous aideront si vous le leur demandez. Si vous êtes perdu, il existe un [[Aide:Sommaire|sommaire de l’aide]].\n\n'
		+ 'D’ailleurs, si vous avez des questions, n’hésitez pas à [[Discussion Utilisateur:' + wgUserName + '|me contacter]] {{=)}}. ~~~~'
 
		addCustomButton('http://upload.wikimedia.org/wikipedia/commons/6/6d/Button_npov.png', 'Revert pour cause de point de vue non neutre', NPOV, '', '', 'mw-editbutton-aide');
 

		var BVIP = '== Bienvenue ==\n'
		+ '<table>\n'
		+ ' <tr>\n'
		+ '  <td>[[Image:Face-smile.svg|left|80px|Merci pour votre contribution]]</td>\n'
		+ '  <td>\n'
		+ 'Bonjour et bienvenue sur Wikipédia ! Je tenais à vous remercier pour votre apport à l’encyclopédie.\n\n'
		+ 'Si vous le souhaitez vous pouvez <b>[[special:connexion|créer un compte]]</b>, et choisir ainsi vos préférences d’utilisateur et participer aux discussions et aux décisions de la communauté. C’est également plus pratique pour demander conseil à d’autres participants.\n\n'
		+ 'N’hésitez pas à [[Discussion Utilisateur:' + wgUserName + '|me contacter]] si vous désirez une information ou une aide. Amicalement ~~~~\n'
		+ '  </td>\n'
		+ ' </tr>\n'
		+ '</table>\n'
 
		addCustomButton('http://upload.wikimedia.org/wikipedia/commons/8/8e/Button_BienvenueIP-BVIP.png', 'Bienvenue IP', BVIP, '', '', 'mw-editbutton-aide');
 

		var BVCP = '== Violation de copyright ==\n'
		+ 'Bonjour, et bienvenue sur Wikipédia ! Vous venez d’effectuer une modification sur un article, mais elle a dû être défaite. Ce n’est pas bien grave : on est là pour s’entraider {{;)}}.\n\n'
		+ 'En effet, votre modification ne respectait pas les droits d’auteur, car elle provenait d’un site internet ou d’un livre non libre. La plupart des ressources disponibles ne sont, d’ailleurs, pas libres. Il faut souvent [[Aide:Republication|demander un accord]].\n\n'
		+ 'Pour ne pas [[Wikipédia:Copyright|violer de droits d’auteur]], vous pouvez néanmoins vous aider de votre ressource, en la reformulant et en la synthétisant.\n'
		+ 'Je vous conseille de lire [[Wikipédia:Copyright|cette page]] qui pourra vous aider à comprendre les droits d’auteur.\n\n'
		+ 'Cependant, ne vous inquiétez pas ! Essayez de comprendre le fonctionnement de Wikipédia, continuez à l’améliorer pour le mieux et d’autres contributeurs vous aideront si vous le leur demandez. Si vous êtes perdu, il existe un [[Aide:Sommaire|sommaire de l’aide]].\n\n'
		+ 'D’ailleurs, si vous avez des questions, n’hésitez pas à [[Discussion Utilisateur:' + wgUserName + '|me contacter]] {{=)}}. ~~~~'
 
		addCustomButton('http://upload.wikimedia.org/wikipedia/commons/5/58/Button_black_copyright.png', 'Violation de droits d’auteur', BVCP, '', '', 'mw-editbutton-aide');
 

		var sysopmsg = '== Blocage ==\n'
		+ 'Bonjour et bienvenue. En tant qu’[[Wikipédia:Administrateur|Administrateur]] de la Wikipédia francophone, je viens de vous bloquer pour <!-- durée de blocage -->. C’est-à-dire que durant cette période, vous ne pourrez plus modifier de page sur ce site, mis à part votre page de discussion.\n\n'
		+ 'Si vous estimez ce blocage non justifié, n’hésitez pas à ajouter <code><nowiki>{{Déblocage|la raison invoquée}}</nowiki></code> dans lequel vous remplacerez <code><i>la raison invoquée</i></code> par la raison qui vous motive à demander un déblocage.\n\n'
		+ 'Cependant, gardez en mémoire que je n’agis pas à la légère, et qu’en contre partie, je devais avoir mes raisons pour vous bloquer. Je vous encourage donc à lire [[Wikipédia:Ce que Wikipédia n’est pas|ce que Wikipédia n’est pas]] ainsi que ses [[Wikipédia:Principes fondateurs|principes fondateurs]].\n\n'
		+ 'D’ailleurs, si vous avez des questions, n’hésitez pas à [[Discussion Utilisateur:' + wgUserName + '|me contacter]] {{=)}}. <span class="plainlinks">[{{fullurl:Discussion Utilisateur:Diti|action=edit&section=new&editintro=Utilisateur:Diti/Parler_manchot}} →]</span>[[Utilisateur:Diti|<span style="color: #ffa500;">Diti</span>]] <small>[[Special:Contributions/Diti|<span style="color: #ccc">le</span>]] [[Discussion Utilisateur:Diti|<span style="color: #545451">manchot</span>]] —</small> 15 novembre 2008 à 19:47 (CET)'
 
		var groupArray = '#'+wgUserGroups;
		if (groupArray.indexOf("sysop") > 0) addCustomButton('http://upload.wikimedia.org/wikipedia/commons/e/e4/Bouton_Vandale3.png', 'Blocage', sysopmsg, '', '', 'mw-editbutton-admin');

	}


	// Si on est dans l'espace de nom principal :

	if (wgNamespaceNumber == 0)
	{
		/* Pour l’instant rien, tout peut être utile */
	}
	
		var Ouvrage = '{{Ouvrage\n'
		+ '|éditeur=      \n'
		+ '|collection=   \n'
		+ '|série=        \n'
		+ '|titre=        \n'
		+ '|titre vo=     \n'
		+ '|ref=          <!-- Voir [[Aide:Espace référence]] -->\n'
		+ '|volume=       <!-- Numéro ou référence du volume, tome, etc. -->\n'
		+ '|titre volume= \n'
		+ '|auteur=       <!-- Nom et prénom de l’auteur, ne donnera pas de lien. Multiples : utiliser “auteurs” -->\n'
		+ '|prénom=       <!-- Avec “nom” ci-dessous renseigné, créera un lien [[Prénom Nom]] -->\n'
		+ '|nom=          <!-- À utiliser avec “prénom” ci-dessus -->\n'
		+ '|auteurs=      <!-- Liste des auteurs, séparés par des virgules -->\n'
		+ '|directeur=    <!-- Nom du directeur de publication -->\n'
		+ '|préface=      <!-- Nom de l’auteur de la préface -->\n'
		+ '|trad=         <!-- Nom du ou des traducteurs -->\n'
		+ '|langue=       <!-- français, anglais, etc. -->\n'
		+ '|lien langue=  <!-- Si différent de fr, {{en}} par exemple -->\n'
		+ '|lieu=         <!-- Lieu première publication -->\n'
		+ '|année=        <!-- Année première publication -->\n'
		+ '|mois=         <!-- Mois première publication -->\n'
		+ '|jour=         <!-- Jour première publication -->\n'
		+ '|publi=        <!-- Années de réimpression -->\n'
		+ '|pages=        \n'
		+ '|format=       <!-- relié, broché, etc. -->\n'
		+ '|isbn=         <!-- (xxx-x-xxx-xxxxx-x) Si plusieurs, “isbn2” et “isbn3” -->\n'
		+ '|issn=         \n'
		+ '|oclc=         \n'
		+ '|présentation en ligne=<!-- URL de présentation de l’ouvrage chez l’éditeur -->\n'
		+ '|lire en ligne=<!-- URL du texte complet chez l’éditeur -->\n'
		+ '|partie=       <!-- Emplacement d’un passage par le numéro de la partie, chiffre romains -->\n'
		+ '|numéro=       <!-- Emplacement d’un passage par le numéro du chapitre, chiffres romains -->\n'
		+ '|chap=         <!-- Emplacement d’un passage par le nom du chapitre -->\n'
		+ '|passage=      <!-- (xx-xx) Emplacement d’un passage sous forme d’intervalle de pages -->\n'
		+ '|id=           <!-- Permet de faire un lien [[#id|vers l’id de l’entrée bibliographique]]\n'
		+ '|commentaire=  <!-- Une phrase de commentaire sur l’entrée bibliographique -->\n'
		+ '}}'
		
		addCustomButton('http://upload.wikimedia.org/wikipedia/commons/e/ef/Button_cite_book.png', 'Ouvrage', Ouvrage, '', '', '');


	/* } Accolade remise plus haut, tout peut être utile */

}
addOnloadHook(buttonload);