addOnloadHook(CheckToc);


var Maxtoc = 0;

var LiList = new Array();
var LiLevel = new Array();

function CheckToc(){
     var toc = document.getElementById('toc');
     var toctitle = document.getElementById('toctitle');
     if((!toc)||(!toctitle)) return;

     var GlobalUl = toc.getElementsByTagName('ul')[0];
     var AllLis = GlobalUl.getElementsByTagName('li');
     for(var a=0;a<AllLis.length;a++){
          for(var b=1;b<7;b++){
               if(hasClass(AllLis[a],"toclevel-"+b)){
                     LiList.push(AllLis[a]);
                     LiLevel.push(b);
                     continue;
               }               
          }          
     }
     ModifyToc();
}

function ModifyToc(){
     for(var a=0;a<LiList.length;a++){
          var Li = LiList[a];
          var Level = LiLevel[a];
          var ULUnderLi = Li.getElementsByTagName('ul')[0];
          if(ULUnderLi){
               var CollapseLink = document.createElement('a');
               CollapseLink.href = "javascript:ToggleUlToc("+a+");";
               CollapseLink.title = "Réduire";
               CollapseLink.innerHTML = "[&nbsp;-&nbsp;]";
               var Separator = document.createTextNode(" ");
               Li.insertBefore(Separator, Li.firstChild);
               Li.insertBefore(CollapseLink, Li.firstChild);
          }else{
               var Separator = document.createElement('span');
               Separator.innerHTML = "[x] ";
               Separator.setAttribute("style", "color:white !important");
               Li.insertBefore(Separator, Li.firstChild);
          }
     }
     CollapseAllLis();
}

function CollapseAllLis(){
     for(var a=(LiList.length-1);a>-1;a--){
          var Level = LiLevel[a];
          if(Level>Maxtoc){
               ToggleUlToc(a);
          }
     }
}

function ToggleUlToc(Index){
     var Li = LiList[Index];
     var ULUnderLi = Li.getElementsByTagName('ul')[0];
     var AUnderLi = Li.getElementsByTagName('a')[0];
     if((!ULUnderLi)||(!AUnderLi)) return;
     if(ULUnderLi.style.display=='none'){
          ULUnderLi.style.display = 'block'
          AUnderLi.title = "Réduire";
          AUnderLi.innerHTML = "[&nbsp;-&nbsp;]";
     }else{
          ULUnderLi.style.display = 'none'
          AUnderLi.title = "Développer";
          AUnderLi.innerHTML = "[&nbsp;+&nbsp;]";
     }
}
















/* jQuery section Begin */ jQuery(document).ready(function($){


// TOC ///////////////////////////////////////////////////////////////////// 

/* Auto-hide TOC like that in Baidu Baike */
 
/*
     if ($('table#toc.toc').size()>0){
          if ($('table#toc.toc').position().left==0){
               $('li.toclevel-1>ul').hide()
               $('table#toc.toc')
               .css('position','absolute')
               .css('float','left')
               .css('margin-right','1em')
               $('table#toc.toc td > ul')
               .hover(
                    function(){$('li.toclevel-1>ul').attr('style','display:none').show('slow')},
                    function(){$('li.toclevel-1>ul').stop(true,false).hide('slow')}
               )
               $('table#toc.toc')
               .after(
                    $('<div/>')
                    .attr('id','tocspace')
                    .css('height',$('table#toc.toc').height())
                    .css('padding','8px')
               )
               $('table#toc.toc #togglelink').attr("href","javascript:(function(){      
                    toggleToc();jQuery('#tocspace').css('height',jQuery('table#toc.toc').height());return})()")
               }
          }

*/



// SIDEBAR /////////////////////////////////////////////////////////////////////


/* Prototype code to show collapsing left nav options */
/* First draft and will be changing greatly */
 
$( '#panel' ).addClass( 'collapsible-nav' );
 
// Always show the first portal
$( '#panel > div.portal:first' )
.addClass( 'expanded' )
.find( 'div.body' )
.show();
 
// Remember which portals to hide and show
$( '#panel > div.portal:not(:first)' )
.each(
 function() {
  $(this).addClass( 'collapsed' );
 }
);
 
// Toggle the selected menu's class and expand or collapse the menu
$('#panel > div.portal:not(:first) > h5').click(
  function() {
    $(this).parent().siblings('div[id!=p-navigation]')
    .addClass('collapsed')
    .removeClass('expanded')
    .find('div.body')
    .hide('fast');
    $(this).parent()
    .toggleClass('expanded')
    .toggleClass('collapsed')
    .find('div.body')
    .slideToggle('fast');
    if ($('#panel').css('position')=='absolute'){hide_lang();}
  }
);
 
/* language section collapse */
 
try{
  var langs = prefered_langs
}
catch(err)
{
  var langs = ['en','de','fr','pl','it','ja','nl','es','simple','zh','zh-classical','zh-yue','wuu','la'];
}
var finish = langs.length;
var pan_top = $('#panel').position().top-$(document).scrollTop();
 
var show_lang = function(){
  $('#panel').css('position','absolute').css('top',$(document).scrollTop()+pan_top)
  .animate({top:$(document).scrollTop()},'slow');
  $('#p-lang > div > ul > li').show();
  $('#p-lang-show').hide();
};
 
var hide_lang = function(){
  var top = $('#panel').position().top-$(document).scrollTop();
  $('#panel').css('position','fixed').css('top',top).animate({top:pan_top},'slow');
  $('#p-lang > div > ul > li').hide();
  langs.map(
    function(lang){return $('.interwiki-'+lang).show();}
  );
  $('#p-lang-show').show();
}
 
if ($('#p-lang > div > ul > li').size() > finish){
  $('#p-lang > div > ul > li').hide();
  langs.map(
    function(lang){return $('.interwiki-'+lang).show();}
  );
 
  $('#p-lang > div > ul').append(
    $('<li id="p-lang-show"><span style="color:gray;font-size:90%;cursor:pointer;">Plus</span></li>')
    .click(show_lang)
  );
 
  $('#p-lang > div > ul').append(
    $('<li id="p-lang-hide"><span style="color:gray;font-size:90%;cursor:pointer;">Masquer</span></li>')
    .click(hide_lang).hide()
  );
}
 
$('#panel').css('position','fixed')
 
$(window).scroll(function(){
  if ( $('#panel').css('position')=='absolute' &&
       ( $('#panel').offset().top>$(document).scrollTop()+pan_top ||
         $('#p-lang-hide').offset().top<$(document).scrollTop()+pan_top ) )
  {hide_lang()}
})
 
/* jQuery section End */ });