/* {{Projet:JavaScript/Script|PagesSansBandeauDePortail}} */

// Documentation : [[Projet:Portails/Articles_sans_portail/intro]]

// <source lang=javascript><pre><nowiki>

var PagesSansBandeauDePortail_GoodPages = 'Projet:Articles_sans_portail/';
var PagesSansBandeauDePortail_BadPages = 'Projet:Articles_sans_portail/intro';


var PagesSansBandeauDePortail_WorkingImage = "http://upload.wikimedia.org/wikipedia/commons/d/de/Ajax-loader.gif";

var PagesSansBandeauDePortail_Modeles = new Array();
var PagesSansBandeauDePortail_Images = new Array();

PagesSansBandeauDePortail_Modeles.push('[[File:Yes check.svg|15px|Fait|link=]]');
PagesSansBandeauDePortail_Images.push('<img height="15" width="15" src="http://upload.wikimedia.org/wikipedia/commons/thumb/f/fb/Yes_check.svg/15px-Yes_check.svg.png" alt="Fait">');

PagesSansBandeauDePortail_Modeles.push('[[File:Disambig.png|15px|Homonymie|link=]]');
PagesSansBandeauDePortail_Images.push('<img height="11" width="15" src="http://upload.wikimedia.org/wikipedia/commons/thumb/6/69/Disambig.png/15px-Disambig.png" alt="Disambig.png">');

// ///////////////////////////////////////////////////// FONCTION DE REQUÊTE ///////////////
 
var PagesSansBandeauDePortail_ajax = {
  http: function(bundle) {
    // mandatory: bundle.url
    // optional:  bundle.async
    // optional:  bundle.method
    // optional:  bundle.headers
    // optional:  bundle.data
    // optional:  bundle.onSuccess (xmlhttprequest, bundle)
    // optional:  bundle.onFailure (xmlhttprequest, bundle)
    // optional:  bundle.otherStuff OK too, passed to onSuccess and onFailure
    var xmlhttp;
    try {
      xmlhttp = new XMLHttpRequest(); 
    } catch(e) { 
      try {
        xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
      } catch (e) { 
        try {
          xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
        } catch (e) {
          xmlhttp = false
        }
      }
    }
 
    if (xmlhttp) {
      xmlhttp.onreadystatechange = function() {
        if (xmlhttp.readyState == 4)
          PagesSansBandeauDePortail_ajax.httpComplete(xmlhttp,bundle);
      };
      xmlhttp.open(bundle.method ? bundle.method : "GET",bundle.url,bundle.async == false ? false : true);
      if (bundle.headers) {
        for (var field in bundle.headers)
          try {
            xmlhttp.setRequestHeader(field,bundle.headers[field]);
          } catch(err) {
            //Argos42 : pour rendre LiveRC fonctionnel sur chrome
          }
      }
      xmlhttp.send(bundle.data ? bundle.data : null); 
    }
    return xmlhttp;
  }, 
  httpComplete: function(xmlhttp,bundle) {
    if (xmlhttp.status == 200 || xmlhttp.status == 302) {
      if (bundle.onSuccess)
        bundle.onSuccess(xmlhttp,bundle);
    } else if (bundle.onFailure) {
      bundle.onFailure(xmlhttp,bundle);
 
    } else {
      // A activer en debug mode ?
         //  alert(xmlhttp.status+xmlhttp.responseText);
    }
  }
};
















if((wgPageName.indexOf(PagesSansBandeauDePortail_GoodPages)!=-1)&&(wgPageName.indexOf(PagesSansBandeauDePortail_BadPages)==-1)&&(wgAction=="view")){
 addOnloadHook(PagesSansBandeauDePortail_AddNavigLinks);
 addOnloadHook(PagesSansBandeauDePortail_AddLinks);
 
document.write('<style type="text/css">'
+ '.SpanLinks {margin-right:1em;}'
+ '.TopBarDiv {padding:0.3em;cursor:move !important;}'
+ '</style>');

}

function PagesSansBandeauDePortail_AddNavigLinks(){
      var Content = document.getElementById('bodyContent');               // monobook, myskin, chick, simple, vector
      if(!Content) Content = document.getElementById('article');          // cologneblue, nostalgia, standard
      if(!Content) Content = document.getElementById('mw_contentholder'); // modern
      if(!Content) return;

      var ThisPage = false;
      var TDs = Content.getElementsByTagName('td');
      for(var a=0;a<TDs.length;a++){
            if(hasClass(TDs[a], "list")){
                  var Strongs = TDs[a].getElementsByTagName('strong');
                  for(var b=0;b<Strongs.length;b++){
                        if(hasClass(Strongs[b], "selflink")){
                              ThisPage = Strongs[b];
                        }
                  }
            }
      }
      if(!ThisPage) return;

      var PreviousPage = false;
      var Node = ThisPage.previousSibling;
      while(Node){
            if(Node.tagName){
                  if(Node.tagName.toLowerCase() == "a"){
                        PreviousPage = Node;
                         break;
                  }
            }
            Node = Node.previousSibling;
      }

      var NextPage = false;
      var Node = ThisPage.nextSibling;
      while(Node){
            if(Node.tagName){
                  if(Node.tagName.toLowerCase() == "a"){
                        NextPage = Node;
                         break;
                  }
            }
            Node = Node.nextSibling;
      }
      var PreviousLink = "";
      if(PreviousPage){
            PreviousLink='<a href="'+PreviousPage.href+'" title="'+PreviousPage.title+'">Page précédente : '+PreviousPage.innerHTML+'</a>';
      }
      var NextLink = "";
      if(NextPage){
            NextLink='<a href="'+NextPage.href+'" title="'+NextPage.title+'">Page suivante : '+NextPage.innerHTML+'</a>';
      }           
      var Tables = document.getElementsByTagName('table');
      for(var a=0;a<Tables.length;a++){
            if(hasClass(Tables[a], "navbox")){
                  var TitleLinks = Tables[a].getElementsByTagName('th')[0].getElementsByTagName('a');
                  var TitleDiv = TitleLinks[(TitleLinks.length-1)].parentNode;
                  TitleDiv.innerHTML = '<small>('+PreviousLink +')</small>&nbsp;&nbsp;—&nbsp;&nbsp;'+ TitleDiv.innerHTML + '&nbsp;&nbsp;—&nbsp;&nbsp;<small>(' + NextLink+')</small>';
            }
      }
}

var PagesSansBandeauDePortail_AllLinks = new Array();

function PagesSansBandeauDePortail_AddLinks(){
      var Content = document.getElementById('bodyContent');               // monobook, myskin, chick, simple, vector
      if(!Content) Content = document.getElementById('article');          // cologneblue, nostalgia, standard
      if(!Content) Content = document.getElementById('mw_contentholder'); // modern
      if(!Content) return;
      var Count = -1;
      var Liste = Content.getElementsByTagName('li');
      for(var a=0;a<Liste.length;a++){
            var Lien = Liste[a].getElementsByTagName('a')[0];
            if(!Lien) continue;
            if(decodeURIComponent(Lien.href).indexOf(wgFormattedNamespaces[6]+":")!=-1) Lien = Liste[a].getElementsByTagName('a')[1];   
            if(!Lien) continue;
            if((Lien.href.indexOf("#")==-1)&&(Lien.className!="new")&&(Lien.className!="mw-redirect")&&(Lien.parentNode.tagName.toLowerCase()!="s")&&(Lien.href.indexOf("javascript:")==-1)){
                    Count++
                    PagesSansBandeauDePortail_AllLinks.push(Lien);
                    Lien.id = "Link_"+Count;
                    Lien.className = "LinkWithButtons";
                    var SpanLinks = document.createElement('span');
                    SpanLinks.className = "SpanLinks";
                    Lien.parentNode.insertBefore(SpanLinks, Lien);

                    var PreviewLink = document.createElement('a');
                    PreviewLink.href = "javascript:PagesSansBandeauDePortail_Preview('"+Count+"');";
                    PreviewLink.title = "Previsualiser la page";
                    PreviewLink.innerHTML = '<img height="15" width="15" src="http://upload.wikimedia.org/wikipedia/commons/thumb/6/61/Crystal_Clear_app_kappfinder.png/15px-Crystal_Clear_app_kappfinder.png" alt="Prévisualiser">';
                    SpanLinks.appendChild(PreviewLink);
            }
      }
      var Spans = document.getElementsByTagName('span');
      for(var a=0;a<Spans.length;a++){
            if(hasClass(Spans[a], "editsection")){
                  var Section = Spans[a].getElementsByTagName('a')[0].href.split('section=')[1];
                  var UpdateAllLink = '<a href="javascript:PagesSansBandeauDePortail_UpdateAll('+Section+');" title="Marquer comme faites les pages de cette section ayant un bandeau de portail">[mettre à jour]</a>';

                  Spans[a].innerHTML += '&nbsp;'+UpdateAllLink;
                  Spans[a].id = "editsection_"+Section;
            }
      }
}


function PagesSansBandeauDePortail_Done(index, modeleIndex){
      //alert('Done - '+index);
      var Lien = document.getElementById("Link_"+index);
      if(!Lien) return;
      var Page = PagesSansBandeauDePortail_HTMLDecode(Lien.innerHTML);
      PagesSansBandeauDePortail_Edit(Page, modeleIndex, index);
}

function PagesSansBandeauDePortail_Preview(index){
      //alert('Preview - '+index);
      var Lien = document.getElementById("Link_"+index);
      if(!Lien) return;
      var Href = Lien.href;
      var Frame = document.getElementById("Frame_"+index);
      if(!Frame){ 
            var agt=navigator.userAgent.toLowerCase();
            var is_ie = ((agt.indexOf("msie") != -1) && (agt.indexOf("opera") == -1));
            if(is_ie){
                  LargeurEcran = parseInt(screen.width);
                  HauteurEcran = parseInt(screen.height);
            }else{
                  LargeurEcran = parseInt(window.innerWidth);
                  HauteurEcran = parseInt(window.innerHeight);
            }
            var Parent = Lien.parentNode;
            Frame = document.createElement('div');
            Frame.id="Frame_"+index;
            Parent.appendChild(Frame);
            Frame.style.position='fixed';
            Frame.style.zIndex= 1000;
            Frame.style.width= '75%';
            PositionGauche = parseInt((LargeurEcran-Frame.clientWidth)/2) ;
            PositionHaut = parseInt((HauteurEcran-Frame.clientHeight)/5) ;
            Frame.style.left=PositionGauche + 'px';
            Frame.style.top=PositionHaut + 'px';
            Frame.style.backgroundColor='white';
            Frame.style.border='3px double black';

            var TopBar = document.createElement('div');
            TopBar.className = "TopBarDiv";
            var CloseLink = document.createElement('a');
            CloseLink.href = "javascript:PagesSansBandeauDePortail_EndPreview('"+index+"');";
            CloseLink.title = "Fermer la fenêtre";
            CloseLink.setAttribute("style", "float:right");
            CloseLink.innerHTML = '<img height="30" width="30" src="http://upload.wikimedia.org/wikipedia/commons/thumb/2/2e/Crystal_Clear_action_button_cancel.png/30px-Crystal_Clear_action_button_cancel.png" alt="Fermer">';
            TopBar.appendChild(CloseLink);

            var CenterTag = document.createElement('center');
            TopBar.appendChild(CenterTag);

            var DoneLink = document.createElement('a');
            DoneLink.href = "javascript:PagesSansBandeauDePortail_Done('"+index+"', 0);";
            DoneLink.title = "Marquer comme fait";
            DoneLink.innerHTML = '<img height="30" width="30" src="http://upload.wikimedia.org/wikipedia/commons/thumb/4/47/Done.png/30px-Done.png" alt="Fait">';
            CenterTag.appendChild(DoneLink);
            CenterTag.appendChild(document.createTextNode(' - '));

            var HomonDoneLink = document.createElement('a');
            HomonDoneLink.href = "javascript:PagesSansBandeauDePortail_Done('"+index+"', 1);";
            HomonDoneLink.title = "Marquer comme page d\'homonymie";
            HomonDoneLink.innerHTML = '<img height="30" width="30" src="http://upload.wikimedia.org/wikipedia/commons/thumb/6/69/Disambig.png/30px-Disambig.png" alt="Fait : homonymie">';
            CenterTag.appendChild(HomonDoneLink);
            Frame.appendChild(TopBar);
            TopBar.onmousedown=function(event) {
                  monbody = document.body;
                  if(is_ie){ 
                        if(!event) { event= window.event; }
                        positionSouris_X = parseInt( event.clientX + monbody.scrollLeft );
                        positionSouris_Y = parseInt( event.clientY + monbody.scrollTop );
                  }else{
                        positionSouris_X = parseInt( event.clientX );
                        positionSouris_Y = parseInt( event.clientY );
                  }

                  Frame.initialX = parseInt( positionSouris_X - Frame.offsetLeft);
                  Frame.initialY = parseInt( positionSouris_Y - Frame.offsetTop);
                  monbody.onmousemove = function(event) {
                  if(is_ie){
                        if(!event) { event= window.event; }
                              positionSouris_X = parseInt( event.clientX + monbody.scrollLeft );
                              positionSouris_Y = parseInt( event.clientY + monbody.scrollTop );
                        }else{
                              positionSouris_X = parseInt( event.clientX );
                              positionSouris_Y = parseInt( event.clientY );
                        }
                        PositionGauche = parseInt( positionSouris_X ) - Frame.initialX;
                        PositionHaut = parseInt(positionSouris_Y ) - Frame.initialY;
                        if( PositionGauche < 0){
                              PositionGauche = 0;
                        }
                        if( PositionHaut < 0){
                              PositionHaut = 0;
                        }
                        Frame.style.left=PositionGauche + 'px';
                        Frame.style.top=PositionHaut + 'px';
                        Frame.style.opacity='.8';
                  }

                  monbody.onmouseup=function(event) {
                        Frame.style.opacity='';
                        monbody.onmousemove=null;
                        monbody.onmouseup=null;
                  }
            }

            var FrameContent = document.createElement('div');
            FrameContent.id = "FrameContent"+index
            FrameContent.setAttribute('style', "width:100%;height:"+parseInt(HauteurEcran/2) + "px;overflow-y:scroll;");
            Frame.appendChild(FrameContent);
            var BottomBar = document.createElement('div');
            BottomBar.style.height = "30px";
            BottomBar.style.cursor='se-resize';
            BottomBar.onmousedown = function(event){
                  monbody = document.body;
                  if(is_ie){ 
                        if(!event) { event= window.event; }
                        positionSouris_X = parseInt( event.clientX + monbody.scrollLeft );
                        positionSouris_Y = parseInt( event.clientY + monbody.scrollTop );
                  }else{
                        positionSouris_X = parseInt( event.clientX );
                        positionSouris_Y = parseInt( event.clientY );
                  }
                  FrameContent.initialWidth = parseInt( positionSouris_X - FrameContent.offsetWidth );
                  FrameContent.initialHeight = parseInt( positionSouris_Y - FrameContent.offsetHeight );
                  Frame.initialWidth = parseInt( positionSouris_X - Frame.offsetWidth );
                  Frame.initialHeight = parseInt( positionSouris_Y - Frame.offsetHeight );
                  Frame.style.opacity='.8';
        
                  monbody.onmousemove=function(event) {
                        if(is_ie){ 
                              if(!event) { event= window.event; }
                              positionSouris_X = parseInt( event.clientX + monbody.scrollLeft );
                              positionSouris_Y = parseInt( event.clientY + monbody.scrollTop );
                        }else{
                              positionSouris_X = parseInt( event.clientX );
                              positionSouris_Y = parseInt( event.clientY );
                        }
                        FrameContent.width  = parseInt( positionSouris_X - FrameContent.initialWidth  ) + 'px';
                        FrameContent.height = parseInt( positionSouris_Y - FrameContent.initialHeight ) + 'px';
                        Frame.style.width  = parseInt( positionSouris_X - Frame.initialWidth  ) + 'px';
                        Frame.style.height = parseInt( positionSouris_Y - Frame.initialHeight ) + 'px';

                  }
                  monbody.onmouseup=function(event) {
                        Frame.style.opacity = '';
                        monbody.onmousemove=null;
                        monbody.onmouseup=null;
                  }
            }
            Frame.appendChild(BottomBar);
            Parent.appendChild(Frame);
            PagesSansBandeauDePortail_GetPageContent(index, Href);
      }
}

function PagesSansBandeauDePortail_EndPreview(index){
      var Frame = document.getElementById("Frame_"+index);
      if(Frame) Frame.parentNode.removeChild(Frame);
}

function PagesSansBandeauDePortail_HTMLDecode(text){
      var EncodedCharacter = new Array();
      var DecodedCharacter = new Array();
      var CharacterCount = 0;
 
      EncodedCharacter[CharacterCount] = "&amp;";
      DecodedCharacter[CharacterCount] = "&";
      CharacterCount++;
      EncodedCharacter[CharacterCount] = "&#039;";
      DecodedCharacter[CharacterCount] = "'";
      CharacterCount++;
      EncodedCharacter[CharacterCount] = "&quot;";
      DecodedCharacter[CharacterCount] = '"';
      CharacterCount++; 
      EncodedCharacter[CharacterCount] = "&nbsp;";
      DecodedCharacter[CharacterCount] = ' ';
      CharacterCount++;

      for(var a=0;a<EncodedCharacter.length;a++){
            while(text.indexOf(EncodedCharacter[a])!=-1){
                  text = text.split(EncodedCharacter[a]).join(DecodedCharacter[a]);
                  if(text.indexOf(EncodedCharacter[a])==-1) break;
            }
      }
      return text;
}

function PagesSansBandeauDePortail_Edit(Page, ModeleIndex, index){
      PagesSansBandeauDePortail_EndPreview(index);
      var Image = document.createElement('img');
      Image.id = "Working_Image"+index;
      Image.src = PagesSansBandeauDePortail_WorkingImage;
      Image.width = 50
      Image.heigth = 50
      Image.style.position = "fixed";
      Image.style.zIndex = 10000;
      Image.style.top = 0;
      Image.style.right = 0;
      document.body.insertBefore(Image, document.body.firstChild);

      var AdresseEdition = wgServer + wgScript + '?title=' + wgPageName.replace(/&/g, "%26") + '&action=edit';
      var RequeteEdition = sajax_init_object();
      RequeteEdition.open("GET", AdresseEdition, true);
      RequeteEdition.onreadystatechange = function() {
            if(RequeteEdition.readyState != 4 || RequeteEdition.status != 200) return;
            var ElementTraitement = document.createElement('div');
            ElementTraitement.id = "EditPage_"+index;
            ElementTraitement.style.display = "none";
            document.body.insertBefore(ElementTraitement, document.body.firstChild)  
            ElementTraitement.innerHTML = RequeteEdition.responseText;
            var ContenuPage = document.getElementById("wpTextbox1").value;
            var AncienSommaire = document.editform.wpSummary.value; 
            var AncienLien = '[['+Page+']]';
            var NouvelleLigne = '<li>'+PagesSansBandeauDePortail_Modeles[ModeleIndex]+'&nbsp;<s>[['+Page+']]</s></li>';
            var Lines = ContenuPage.split('\n');
            for(var a=0;a<Lines.length;a++){
                  var ThisLine = Lines[a];
                  if(ThisLine.indexOf(AncienLien)!=-1){
                        for(var b=0;b<PagesSansBandeauDePortail_Modeles.length;b++){
                              if(ThisLine.indexOf(PagesSansBandeauDePortail_Modeles[b])!=-1){
                                    ModeleIndex = b;
                                    PagesSansBandeauDePortail_EditOK(index, ModeleIndex)
                                    return;
                              }
                        }
                        Lines[a] = NouvelleLigne;
                  }
            }
            var NouveauContenuPage = Lines.join('\n');
            var NouveauSommaire = 'Mise à jour : - [['+Page+']]';
            document.getElementById("wpTextbox1").value = NouveauContenuPage;
            document.editform.wpSummary.value = NouveauSommaire ;
            document.editform.wpMinoredit.checked = "checked";
            document.editform.wpWatchthis.checked = false;
            var action = document.getElementById("editform").action;
            var boundary = '--------123xyz';
            var data = '';
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpTextbox1"\n\n' + NouveauContenuPage + '\n'
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpSummary"\n\n' + NouveauSommaire + '\n'
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpMinoredit"\n\n'
                  + document.editform.wpMinoredit.value + '\n'
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpSection"\n\n' 
                  + document.editform.wpSection.value + '\n'
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpStarttime"\n\n' 
                  + document.editform.wpStarttime.value + '\n'
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpEdittime"\n\n' 
                  + document.editform.wpEdittime.value + '\n'
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpEditToken"\n\n' 
                  + document.editform.wpEditToken.value + '\n'
            var RequetePublication = sajax_init_object();
            RequetePublication.open('POST', action, true);
            RequetePublication.setRequestHeader('Content-Type', 'multipart/form-data; boundary='+boundary);
            RequetePublication.onreadystatechange = function(){
                  if (RequetePublication.readyState != 4) return;
                  PagesSansBandeauDePortail_EditOK(index, ModeleIndex);
            }
            RequetePublication.send(data + '--' + boundary);
      }
      RequeteEdition.send(null);
}

function PagesSansBandeauDePortail_EditOK(index, ModeleIndex){
      var EditDiv = document.getElementById("EditPage_"+index);
      if(EditDiv) EditDiv.parentNode.removeChild(EditDiv);
      var WorkingImage = document.getElementById("Working_Image"+index);
      if(WorkingImage) WorkingImage.parentNode.removeChild(WorkingImage);

      var Link = document.getElementById("Link_"+index);
      if(Link){
            var Modele = PagesSansBandeauDePortail_Images[ModeleIndex];
            var Li = Link.parentNode;
            var Span = Li.getElementsByTagName('span')[0];
            Li.removeChild(Link);
            var Barre = document.createElement('s');
            Barre.appendChild(Link);
            Li.innerHTML = Modele+'&nbsp;';
            Li.appendChild(Barre);
      }
}




var PagesSansBandeauDePortail_UpdateIsRunning = false;

function PagesSansBandeauDePortail_UpdateAll(Section){
      if(PagesSansBandeauDePortail_UpdateIsRunning) return;
      var PagesSansBandeauDePortail_AllLinksTitle = new Array();
      var SousTitre = document.getElementById("editsection_"+Section).parentNode;
      var Node = SousTitre.nextSibling;
      var FoundNode = false;
      while((Node)&&(!FoundNode)){
            if(Node.tagName){
                  if(Node.tagName.toLowerCase().indexOf("h")!=-1) break;
                  if((Node.tagName.toLowerCase().indexOf("ol")!=-1)&&(!FoundNode)){
                        FoundNode = Node;
                        break;
                  }
            }
            Node = Node.nextSibling;
      }
      var AllLinks = Node.getElementsByTagName('a');
      for(var a=0;a<AllLinks.length;a++){
            if(hasClass(AllLinks[a], "LinkWithButtons")){
                  if(AllLinks[a].parentNode.tagName.toLowerCase()!="s"){
                        var Title = PagesSansBandeauDePortail_HTMLDecode(AllLinks[a].innerHTML);
                        PagesSansBandeauDePortail_AllLinksTitle.push(Title);
                  }
            }
      }
      var Conf = confirm('Nombre de pages à vérifier : '+PagesSansBandeauDePortail_AllLinksTitle.length);
      if((PagesSansBandeauDePortail_AllLinksTitle.length==0)||(!Conf)) return;
      var DivImage = document.createElement('div')
      DivImage.id = "Working_Image";
      DivImage.style.height = "100%"
      DivImage.style.position = "fixed";
      DivImage.style.zIndex = 10000;
      DivImage.style.top = 0;
      DivImage.style.right = 0;
      DivImage.style.overflowY = "scroll";
      DivImage.style.background = "white";
      DivImage.style.border = "2px solid silver";
      DivImage.style.opacity = 0.8;
      var Image = document.createElement('img');
      Image.src = PagesSansBandeauDePortail_WorkingImage;
      Image.width = 50
      Image.heigth = 50
      DivImage.appendChild(Image);
      var NewOl = document.createElement('ol');
      NewOl.id="Working_Image_Ol";
      DivImage.appendChild(NewOl);
      document.body.insertBefore(DivImage, document.body.firstChild);
      PagesSansBandeauDePortail_UpdateIsRunning = true;
      PagesSansBandeauDePortail_UpdateOne(Section, PagesSansBandeauDePortail_AllLinksTitle, 0);
}

function PagesSansBandeauDePortail_UpdateOne(Section, TitleList, position, TitleCheckedList){
      if(!TitleCheckedList) TitleCheckedList = new Array();
      if(!position) position = 0;
      var Link = TitleList[position];
      if(!Link){
            PagesSansBandeauDePortail_UpdateEdit(Section, TitleList, TitleCheckedList);
            return;
      }
      TitleCheckedList[position] = false;
      var Adresse = wgServer + wgScriptPath + '/api.php?format=xml&action=query&prop=templates&tllimit=499&titles='+Link.replace(/&/g, "%26");
      var Requete = sajax_init_object();
      Requete.open("GET", Adresse, true);
      Requete.onreadystatechange = function() {
            if(Requete.readyState != 4 || Requete.status != 200) return;
            var XML = Requete.responseXML;
            var AllTemp = XML.getElementsByTagName('tl');
            for(var a=0;a<AllTemp.length;a++){
                  var Titre = AllTemp[a].getAttribute('title');
                  if(Titre=="Modèle:Méta lien vers portail"){
                        TitleCheckedList[position] = true;
                  }                  
            }
            document.getElementById("Working_Image_Ol").innerHTML += '<li>'
                                                                + Link
                                                                + ' : '
                                                                + TitleCheckedList[position]
                                                                + '</li>';
            PagesSansBandeauDePortail_UpdateOne(Section, TitleList, (position+1), TitleCheckedList);
      }
      Requete.send(null);
}

function PagesSansBandeauDePortail_UpdateEdit(Section, TitleList, TitleCheckedList){
      var Adresse = wgServer + wgScript + '?title='+wgPageName.replace(/&/g, "%26")+'&action=edit&section='+Section;
      var RequeteEdition = sajax_init_object();
      RequeteEdition.open("GET", Adresse, true);
      RequeteEdition.onreadystatechange = function() {
            if(RequeteEdition.readyState != 4 || RequeteEdition.status != 200) return;
            var ElementTraitement = document.createElement('div');
            ElementTraitement.id = "EditPage";
            ElementTraitement.style.display = "none";
            document.body.insertBefore(ElementTraitement, document.body.firstChild)  
            ElementTraitement.innerHTML = RequeteEdition.responseText;
            var ContenuPage = document.getElementById("wpTextbox1").value;
            var AncienSommaire = document.editform.wpSummary.value; 
            var Lines = ContenuPage.split('\n');
            for(var a=0;a<Lines.length;a++){
                  var ThisLine = Lines[a];                  
                  for(var b=0;b<TitleList.length;b++){
                        var OldLink="[["+TitleList[b]+"]]";
                        if(ThisLine.indexOf(OldLink)!=-1){
                              var WithPortal = TitleCheckedList[b];
                              if(WithPortal){
                                    Lines[a] = '<li>'+PagesSansBandeauDePortail_Modeles[0]+'&nbsp;<s>[['+TitleList[b]+']]</s></li>';
                              }
                        }
                  }
            }
            var NouveauContenuPage = Lines.join('\n');
            var NouveauSommaire = AncienSommaire +'Mise à jour globale';
            document.getElementById("wpTextbox1").value = NouveauContenuPage;
            document.editform.wpSummary.value = NouveauSommaire ;
            document.editform.wpMinoredit.checked = "checked";
            document.editform.wpWatchthis.checked = false;
            var action = document.getElementById("editform").action;
            var boundary = '--------123xyz';
            var data = '';
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpTextbox1"\n\n' + NouveauContenuPage + '\n'
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpSummary"\n\n' + NouveauSommaire + '\n'
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpMinoredit"\n\n'
                  + document.editform.wpMinoredit.value + '\n'
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpSection"\n\n' 
                  + document.editform.wpSection.value + '\n'
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpStarttime"\n\n' 
                  + document.editform.wpStarttime.value + '\n'
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpEdittime"\n\n' 
                  + document.editform.wpEdittime.value + '\n'
            data += '--' + boundary + '\nContent-Disposition: form-data; name="wpEditToken"\n\n' 
                  + document.editform.wpEditToken.value + '\n'
            var RequetePublication = sajax_init_object();
            RequetePublication.open('POST', action, true);
            RequetePublication.setRequestHeader('Content-Type', 'multipart/form-data; boundary='+boundary);
            RequetePublication.onreadystatechange = function(){
                  if (RequetePublication.readyState != 4) return;
                  PagesSansBandeauDePortail_UpdateFinish(TitleList, TitleCheckedList);
            }
            RequetePublication.send(data + '--' + boundary);
      }
      RequeteEdition.send(null);      
}
function PagesSansBandeauDePortail_UpdateFinish(TitleList, TitleCheckedList){
      for(var a=0;a<TitleList.length;a++){
            if(TitleCheckedList[a]){
                  var ThisTitle = TitleList[a];
                  for(var b=0;b<PagesSansBandeauDePortail_AllLinks.length;b++){
                        var LinkTitle = PagesSansBandeauDePortail_HTMLDecode(PagesSansBandeauDePortail_AllLinks[b].innerHTML);
                        if(LinkTitle==ThisTitle) PagesSansBandeauDePortail_EditOK(b, 0);
                  }
            }
      }
      var EditPage = document.getElementById("EditPage");
      if(EditPage) EditPage.parentNode.removeChild(EditPage);
      var Working = document.getElementById("Working_Image");
      if(Working) Working.parentNode.removeChild(Working);
      PagesSansBandeauDePortail_UpdateIsRunning = false;
}

//</nowiki></pre></source>////////////////////////////////////////////////////////////////////////////////////////




function PagesSansBandeauDePortail_getElementWithId( elementId , elementTagName , elementParentNode ){
      if(!elementParentNode) elementParentNode = document;
 
      if (elementParentNode.getElementById) return elementParentNode.getElementById(elementId);
 
      var TheElement = false;
      var Elements = elementParentNode.getElementsByTagName(elementTagName);
      var elementcount = 0;
      while(elementcount<Elements.length){
            var Id = Elements[elementcount].getAttribute('id');
            if(Id){
                  if(Id==elementId){
                        TheElement = Elements[elementcount];
                        break;
                  }
            }
            elementcount++
      }
      if (! TheElement) return null;
      return TheElement;
}


function PagesSansBandeauDePortail_GetPageContent(Index, Href){
      PagesSansBandeauDePortail_ajax.http({ url       : encodeURIComponent(decodeURIcomponent(Href)),
                                            onSuccess : PagesSansBandeauDePortail_CreateBandeauPortailLinks,
                                            index     : Index
      });
}

function PagesSansBandeauDePortail_CreateBandeauPortailLinks(Req, data){
      var Frame = document.getElementById("FrameContent"+data.index);
      if(!Frame) return;
      var TempDiv = document.createElement('div');
      document.body.insertBefore(TempDiv, document.body.firstChild);
      TempDiv.innerHTML = Req.responseText;
      var Content = PagesSansBandeauDePortail_getElementWithId( "bodyContent" , "div", TempDiv);
      if(!Content) Content = PagesSansBandeauDePortail_getElementWithId( "mw_contentholder" , "div", TempDiv);
      if(!Content) Content = PagesSansBandeauDePortail_getElementWithId( "article" , "div", TempDiv);
      if(!Content){
            TempDiv.parentNode.removeChild(TempDiv);
            return;
      }
      while(Frame.firstChild){ Frame.removeChild(Frame.firstChild); }
      Frame.innerHTML = Content.innerHTML;
      TempDiv.parentNode.removeChild(TempDiv);

      lrcBandeauPortail_IsEditMode = false;
      var Preview = document.getElementById("livePreview");
      if(!Preview || !data) return;
      lrcBandeauPortail_CurrentPage = data.page
      for(var El in PagesSansBandeauDePortail_BandeauPortailMatrix){
            while(PagesSansBandeauDePortail_BandeauPortailMatrix[El].length!=0){
                  PagesSansBandeauDePortail_BandeauPortailMatrix[El].pop();
            }
      }
      while(PagesSansBandeauDePortail_BandeauPortail_NewBandeaux.length!=0){
            PagesSansBandeauDePortail_BandeauPortail_NewBandeaux.pop();
      }
      var Homonymie = getElementWithId("homonymie", "*", Preview);
      var UlBandeaux = getElementWithId('bandeau-portail', "ul", Preview);
      if( Homonymie && !UlBandeaux) return; 
      if(!UlBandeaux) UlBandeaux = lrcBandeauxPortails_CreateUl(Preview);
      lrcBandeauxPortails_AddLink(UlBandeaux);
      lrcBandeauPortail_getOldPageContent(lrcBandeauPortail_CurrentPage, true);

}











 

///////////////////////// VARIABLES ////////////////////////////////////////////////////////

//// PARAMÈTRES PERSONNALISABLES ////

var PagesSansBandeauDePortail_BandeauPortailVariables = {
     suggestion_delay : 200, // Délai avant les suggestions, en ms
     list_size        : 5,   // Taille de la liste déroulante (en items)
     list_items       : 10,  // Nombre de bandeaux suggérés lors de la recherche (maximum autorisé : 4999 pour les sysop et les bots, 499 pour les autres utilisateurs)
     Minoredit        : 1,   // Modification mineure ( -1 = défaut ; 0 = jamais ; 1 = toujours )
     Watchthis        : -1,  // Suivre la page modifiée ( -1 = défaut ; 0 = jamais ; 1 = toujours )
     list_down        : false, // Permet d'afficher la liste de suggestion vers le bas
     autocommit       : true,  // Permet de publier automatiquement la modification

}

//// TEXTES ////

var PagesSansBandeauDePortail_BandeauPortailText = {
     RemoveLinkText   : "(–)",
     RemoveLinkTitle  : "Supprimer le bandeau",
     RemoveConfirm    : "Voulez-vous vraiment supprimer le bandeau",
     AddLinkText      : "(+)",
     AddLinkTitle     : "Ajouter un bandeau",
     InputOK          : "OK",
     InputCancel      : "Annuler",
     ModifyLinkText   : "(±)",
     ModifyLinkTitle  : "Modifier les bandeaux",
}

//// VARIABLES NON PERSONNALISABLES ////

var PagesSansBandeauDePortail_BandeauPortailMatrix = {
     Li          : new Array(),
     Form        : new Array(),
     Input       : new Array(),
     Select      : new Array(),
     BandeauName : new Array()
}

var PagesSansBandeauDePortail_BandeauPortail_NewBandeauIndex = 2000;


var PagesSansBandeauDePortail_BandeauPortail_Multi_Edit = false ;
var PagesSansBandeauDePortail_BandeauPortail_suggest_running = 0 ;
var PagesSansBandeauDePortail_BandeauPortail_running = 0 ;
var PagesSansBandeauDePortail_BandeauPortail_last_v = "" ;
var PagesSansBandeauDePortail_BandeauPortail_last_key = "";
var PagesSansBandeauDePortail_BandeauPortail_OldDefaultSort = "";
var PagesSansBandeauDePortail_BandeauPortail_OldPageContent = "";
var PagesSansBandeauDePortail_BandeauPortail_Form_Index = 1000;
var PagesSansBandeauDePortail_BandeauPortail_CatNamespace = wgFormattedNamespaces[14]+':';
var PagesSansBandeauDePortail_BandeauPortail_CurrentPage = false;
var PagesSansBandeauDePortail_BandeauPortail_IsEditMode = false;


///////////////////////// LANCEMENT ////////////////////////////////////////////////////////

importStylesheetURI('http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dr Brains/LiveRC/BandeauPortail.css&action=raw&ctype=text/css');

function lrcRunBandeauPortail(data){
}
 
function  lrcBandeauPortail_AvoidEditMode(){
    lrcBandeauPortail_IsEditMode = false;
}

////////////////////////////////////////// HOOKS
 
LiveRC_AddHook("AfterPreviewArticle", lrcRunBandeauPortail); 


LiveRC_AddHook("AfterPreviewDiff", lrcBandeauPortail_AvoidEditMode);
LiveRC_AddHook("AfterPreviewHistory", lrcBandeauPortail_AvoidEditMode);
LiveRC_AddHook("AfterPreviewContribs", lrcBandeauPortail_AvoidEditMode);
LiveRC_AddHook("AfterPreviewDeletedContribs", lrcBandeauPortail_AvoidEditMode);
LiveRC_AddHook("AfterPreviewLog", lrcBandeauPortail_AvoidEditMode);
LiveRC_AddHook("AfterPreviewFilter", lrcBandeauPortail_AvoidEditMode);
LiveRC_AddHook("AfterPreviewMove", lrcBandeauPortail_AvoidEditMode);
LiveRC_AddHook("AfterPreviewProtect", lrcBandeauPortail_AvoidEditMode);
LiveRC_AddHook("AfterPreviewDelete", lrcBandeauPortail_AvoidEditMode);
LiveRC_AddHook("AfterPreviewBlock", lrcBandeauPortail_AvoidEditMode);
LiveRC_AddHook("AfterPreviewRevisiondelete", lrcBandeauPortail_AvoidEditMode);
LiveRC_AddHook("AfterPreviewWhatlinkshere", lrcBandeauPortail_AvoidEditMode);

LiveRC_AddHook("AfterFillParamPanel", function(){
    LiveRC_ManageParams_Fill(lrcBandeauPortailVariables, "lrcBandeauPortailVariables");
    LiveRC_ManageParams_Fill(lrcBandeauPortailText, "lrcBandeauPortailText");
});

//<source lang=javascript><pre><nowiki>

function lrcBandeauxPortails_CreateUl(Preview){
      var Bandeau = document.createElement('ul');
      Bandeau.id = 'bandeau-portail';
      Bandeau.className = 'bandeau-portail';
      var CatLinks = getElementWithId('catlinks', 'div', Preview);
      if(CatLinks){
            CatLinks.parentNode.insertBefore(Bandeau,CatLinks);
      }else{
            Preview.appendChild(Bandeau);
      }
      return Bandeau;
}

function lrcBandeauxPortails_AddLink(UlBandeaux){
      var Li = document.createElement('li');
      var Link = document.createElement('a');
      Link.appendChild(document.createTextNode(lrcBandeauPortailText.ModifyLinkText));
      Link.title = lrcBandeauPortailText.ModifyLinkTitle;
      Link.href = "javascript:;";
      Link.onclick = function (){
            lrcBandeauxPortails_ModifyUl(lrcBandeauxPortails_CheckBandeaux(lrcBandeauPortail_OldPageContent));
            return false;
      };
      Li.appendChild(Link);
      UlBandeaux.appendChild(Li);
}

// RÉCUPÉRATION DU CONTENU ACTUEL DE LA PAGE PREVISUALISEE (asynchrone ou synchrone)
 
function lrcBandeauPortail_getOldPageContent(Page, Mode){
    var URL = wgServer + wgScript + '?title=' + encodeURIComponent(Page) + '&action=raw';
    wpajax.http({ url: URL, 
                  async : Mode,
                  onSuccess: lrcBandeauPortail_UpdateOldPageContent
    });
}

function lrcBandeauPortail_UpdateOldPageContent(Req, data){
    try{
        lrcBandeauPortail_OldPageContent = Req.responseText;
    }catch(e){
        lrcBandeauPortail_OldPageContent = "";
    }
}

function lrcBandeauxPortails_CheckBandeaux(Contenu){
    var Bandeaux = new Array();
    Contenu = Contenu.replace(/\{\{portail/ig, "\{\{Portail");
    Contenu = Contenu.replace(/\{\{Portail /ig, "\{\{Portail\|");
    var Reg = new RegExp("\\{\\{Portail\\|[^\\}]*\\}\\}", "ig")
    var matches = Contenu.match(Reg);
    if(matches!=null){
        for(var a=0,l=matches.length;a<l;a++){
            var ParamsModele = matches[a].split('{{Portail|')[1].split('}}')[0] + '|';
            ParamsModele = lrcBandeauxPortails_CleanModele(ParamsModele);
            while(ParamsModele.indexOf('|')!=-1){
                var NewParam = ParamsModele.split('|')[0];
                if(NewParam!='') Bandeaux.push(NewParam);
                ParamsModele = ParamsModele.split(NewParam+'|')[1];               
            }
        }
    }
    return Bandeaux;
}

// Nettoyage modèle (espaces, retour à la ligne, pipes)
function  lrcBandeauxPortails_CleanModele(Modele){
          Modele = Modele.replace(/\n/ig, ""); 
          Modele = Modele.replace(/ \|/ig, "\|");
          Modele = Modele.replace(/\| /ig, "\|");
          Modele = Modele.replace(/\|\|/ig, "\|");
          Modele = Modele.replace(/\|\}/ig, "\}");
          return Modele;
}

///////////////////////// TRANSFORMATIONS ////////////////////////////////////////////////////////

function lrcBandeauxPortails_ModifyUl(Bandeaux){
      var Preview = document.getElementById("livePreview");
      if(!Preview) return;
      var BandeauUl = getElementWithId('bandeau-portail', 'ul', Preview);
      if(!BandeauUl) return;
      var OldBandeauUlForm = getElementWithId('bandeau-portail-form', 'ul', Preview);
      if(OldBandeauUlForm) OldBandeauUlForm.parentNode.removeChild(OldBandeauUlForm);
      for(var El in lrcBandeauPortailMatrix){
            while(lrcBandeauPortailMatrix[El].length!=0) lrcBandeauPortailMatrix[El].pop();
      }
      var BandeauForm = document.createElement('ul');
      BandeauForm.id = 'bandeau-portail-form';
      for(var a=0,l=Bandeaux.length;a<l;a++){
            if(a>2000 || !Bandeaux[a]) continue;
            var NewLI = document.createElement('li');
            BandeauForm.appendChild(NewLI);
            NewLI.appendChild(lrcBandeauxPortails_CreateForm(Bandeaux[a], a));
            lrcBandeauPortailMatrix.Li[a] = NewLI;
      }
      var Inputs = lrcBandeauxPortails_CreateInputs();
      BandeauForm.appendChild(Inputs);
      BandeauUl.style.display = "none";
      BandeauUl.parentNode.insertBefore(BandeauForm, BandeauUl);
      if(Bandeaux.length==0) lrcBandeauxPortails_AddNewForm(Inputs.getElementsByTagName('input')[0]);
      BandeauForm.getElementsByTagName("input")[0].focus();
}

function lrcBandeauxPortails_CreateForm(Bandeau, Index){
      var Li = document.createElement('li')
      var Form = document.createElement("form");
      var Input = document.createElement("input");
      Input.className = "Bandeau_Input";
      Input.type = "text";
      Input.value = Bandeau;
      Input.onkeyup = function () { 
            var FormIndex = lrcBandeauPortail_getIndex(this, lrcBandeauPortailMatrix.Input);
            window.setTimeout("lrcBandeauPortail_TextChanged("+FormIndex+");", lrcBandeauPortailVariables.suggestion_delay );
      } ;
      var Select = document.createElement('select');
      Select.style.display = "none";
      Select.onclick = function () { 
            var FormIndex = lrcBandeauPortail_getIndex(this, lrcBandeauPortailMatrix.Select);
            lrcBandeauPortailText_replace(FormIndex);
      } ;
      var SupLink = document.createElement('input');
      SupLink.value = lrcBandeauPortailText.RemoveLinkText;
      SupLink.title = lrcBandeauPortailText.RemoveLinkTitle + " « "+Bandeau+" »";
      SupLink.type = "button";
      SupLink.onclick = function(){
            lrcBandeauxPortails_DeleteForm(this)
            return false;
      }
      SupLink.onselect = function(){
            lrcBandeauxPortails_DeleteForm(this)
            return false;
      }
      Form.appendChild(Input);
      Form.appendChild(Select);
      Form.appendChild(SupLink);
      lrcBandeauPortailMatrix.Form[Index] = Form;
      lrcBandeauPortailMatrix.Input[Index] = Input;
      lrcBandeauPortailMatrix.Select[Index] = Select;
      lrcBandeauPortailMatrix.BandeauName[Index] = Bandeau;
      Li.appendChild(Form);
      return Li;
}

function lrcBandeauxPortails_CreateInputs(){
      var Li = document.createElement("li");
      var Form = document.createElement("form");
      var AddInput = document.createElement('input');
      AddInput.value = lrcBandeauPortailText.AddLinkText;
      AddInput.title = lrcBandeauPortailText.AddLinkTitle;
      AddInput.type = "button";
      AddInput.onclick = function (){
            lrcBandeauxPortails_AddNewForm(this);
            return false;
      };
      AddInput.onselect = function (){
            lrcBandeauxPortails_AddNewForm(this);
            return false;
      };
      var OKInput = document.createElement("input");
      OKInput.type = "button";
      OKInput.value = lrcBandeauPortailText.InputOK;
      OKInput.onclick = function(){
            lrcBandeauPortail_CheckForms();
      };
      OKInput.onselect = function(){
            lrcBandeauPortail_CheckForms();
      };
      var CancelInput = document.createElement("input");
      CancelInput.type = "button";
      CancelInput.value = lrcBandeauPortailText.InputCancel;
      CancelInput.onclick = function(){
            lrcBandeauPortail_CloseForms();
      };
      CancelInput.onselect = function(){
            lrcBandeauPortail_CloseForms();
      };
      Form.appendChild(AddInput);
      Form.appendChild(OKInput);
      Form.appendChild(CancelInput);
      Li.appendChild(Form);
      return Li;
}

function lrcBandeauxPortails_DeleteForm(Input){
      var ThisForm = Input.parentNode;
      var FormIndex = lrcBandeauPortail_getIndex(ThisForm, lrcBandeauPortailMatrix.Form);
      var Text = lrcBandeauPortailText.RemoveConfirm + " « "+lrcBandeauPortailMatrix.BandeauName[FormIndex]+" »"
      if(confirm(lrcBandeauPortailText.RemoveConfirm)){
            var ThisLi = ThisForm.parentNode;
            ThisLi.parentNode.removeChild(ThisLi);
      }
}

function lrcBandeauxPortails_AddNewForm(Input){
      lrcBandeauPortail_NewBandeauIndex++;
      var Li = Input.parentNode.parentNode;
      var NewLi = document.createElement('li');
      Li.parentNode.insertBefore(NewLi, Li);
      NewLi.appendChild(lrcBandeauxPortails_CreateForm("", lrcBandeauPortail_NewBandeauIndex));
      lrcBandeauPortailMatrix.Li[lrcBandeauPortail_NewBandeauIndex] = NewLi;
}

function lrcBandeauPortail_CloseForms(){
      var Preview = document.getElementById("livePreview");
      if(!Preview) return;
      var BandeauUl = getElementWithId('bandeau-portail', 'ul', Preview);
      if(!BandeauUl) return;
      var OldBandeauUlForm = getElementWithId('bandeau-portail-form', 'ul', Preview);
      if(OldBandeauUlForm) OldBandeauUlForm.parentNode.removeChild(OldBandeauUlForm);
      BandeauUl.style.display = "";
}

////////////////////////////////////////////////////// SUGGESTIONS


var lrcBandeauPortail_suggest_running = 0;
function lrcBandeauPortail_TextChanged(FormIndex){
    if ( lrcBandeauPortail_suggest_running ) return ;
    var text = lrcBandeauPortailMatrix.Input[FormIndex];
    var v = text.value ;
    if(v==="") return;
    lrcBandeauPortail_suggest_running = 1 ;
    var APILimit = ( ((wgUserGroups.indexOf("sysop")!=-1)||(wgUserGroups.indexOf("bot")!=-1)) ? 4999 : 499 );
    if(lrcBandeauPortailVariables.list_items>APILimit) lrcBandeauPortailVariables.list_items = APILimit; // API max
    var URL =  wgServer + wgScriptPath + '/api.php?format=xml&action=query&generator=allpages&gapnamespace=10&gaplimit='+lrcBandeauPortailVariables.list_items+'&gapfrom=Portail%20'+encodeURIComponent(v)+'&prop=info';
    wpajax.http({ url: URL, 
                  onSuccess: lrcBandeauPortailText_changed_getSuggests,
                  index:FormIndex
    });
}

function lrcBandeauPortailText_changed_getSuggests(Req, data){
    var xml = Req.responseXML ;
    if ( xml == null ) return ;
    var titles = new Array();
    var isredirect = new Array();
    var pages = xml.getElementsByTagName("page") ;
    for( var i=0,l=pages.length;i<l;i++) {
        var s = pages[i].getAttribute("title").replace(/Modèle:Portail /, "");
        titles.push ( s ) ;
        var R = pages[i].getAttribute("redirect");
        var Redirect = (R==null ? false : true);
        isredirect.push(Redirect);
    }
    lrcBandeauPortail_show_suggestions(titles, isredirect, data.index) ;
    lrcBandeauPortail_suggest_running = 0 ;
}

// AFFICHAGE DES SUGGESTIONS

function lrcBandeauPortail_show_suggestions (titles, isredirect, FormIndex) {
    var text = lrcBandeauPortailMatrix.Input[FormIndex] ;
    var list = lrcBandeauPortailMatrix.Select[FormIndex] ;
    if(titles.length==0){
        list.style.display = "none" ;
        return ;
    }  
    var TailleListe = lrcBandeauPortailVariables.list_size;
    if (titles.length < TailleListe ) TailleListe = titles.length;
    var listh = TailleListe * 20 ;
    list.size = TailleListe ;
    list.style.align = "left" ;
    list.style.zIndex = 5 ;
    list.style.position = "relative" ;
    list.style.width = text.offsetWidth + "px" ;
    list.style.height = listh + "px" ;
    if (typeof lrcBandeauPortailVariables.list_down != "undefined" && lrcBandeauPortailVariables.list_down) {
        list.style.top = parseInt(text.offsetHeight) + "px";
        list.style.marginBottom = "-" + ((TailleListe * 20) + parseInt(text.offsetHeight)) + "px" ;
    }else{
        list.style.marginTop = "-" + (TailleListe * 20) + "px" ;
    }
    list.style.marginLeft = "-" + text.offsetWidth + "px" ;

    while ( list.firstChild ) list.removeChild ( list.firstChild ) ;
    for ( var i = 0 ; i < titles.length ; i++ ) {
        var opt = document.createElement ( "option" ) ;
        var ot = document.createTextNode ( titles[i] ) ;
        opt.appendChild ( ot ) ;
        opt.value = titles[i];
        list.appendChild ( opt ) ;
        if(isredirect[i]) opt.setAttribute('style', 'font-style:italic !important;');
    }  
    list.onkeyup = lrcBandeauPortail_KeypressedOnList;
    list.style.display = "inline" ;
    var first_title = titles.shift () ;
    var lrcBandeauPortail_last_v = text.value;
    if ( first_title == lrcBandeauPortail_last_v ) return ;
    var suggestion = first_title;
    if (text.createTextRange) {
        var ra = text.createTextRange();
        ra.moveStart("character", lrcBandeauPortail_last_v.length);
        ra.moveEnd("character", suggestion.length);
        ra.select();
    } else if( text.setSelectionRange ) {
        text.setSelectionRange( lrcBandeauPortail_last_v.length, suggestion.length );
    } else {
        text.selectionStart = lrcBandeauPortail_last_v.length ;
        text.selectionEnd = suggestion.length ;
    }
}

// SÉLECTION D'UNE SUGGESTION AU CLAVIER

function lrcBandeauPortail_KeypressedOnList(e){
    if (!e) var e = window.event;
    if (e.keyCode != 13) return;
    lrcBandeauPortailText_replace(lrcBandeauPortail_getIndex(this, lrcBandeauPortailMatrix.Select))
}

// REMPLACEMENT DU CHAMP DE TEXTE PAR UNE SUGGESTION

function lrcBandeauPortailText_replace(Index){
    var Text = lrcBandeauPortailMatrix.Input[Index];
    var TextValue = Text.value;
    var List = lrcBandeauPortailMatrix.Select[Index];
    var Options = List.getElementsByTagName('option');
    for(var a=0;a<Options.length;a++){
        if(Options[a].selected){
            var ListValue = Options[a].value;
            Text.value = ListValue;
            lrcBandeauPortail_TextChanged(Index) ;
            Text.focus();
            return;
        }
    }
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

// VALIDATION DU FORMULAIRE + LISTING DES BANDEAUX À ENLEVER/MODIFIER/AJOUTER 

var lrcBandeauPortail_NewBandeaux = new Array();
function lrcBandeauPortail_CheckForms(){
      var Preview = document.getElementById("livePreview");
      if(!Preview) return;
      var OldBandeauUlForm = getElementWithId('bandeau-portail-form', 'ul', Preview);
      if(!OldBandeauUlForm) return;
      while(lrcBandeauPortail_NewBandeaux.length!=0) lrcBandeauPortail_NewBandeaux.pop();
      var Inputs = getElementsByClass("Bandeau_Input", OldBandeauUlForm, "input");
      if(Inputs.length==0) return;
      for(var a=0,l=Inputs.length;a<l;a++){
            if(Inputs.value!="") lrcBandeauPortail_NewBandeaux.push(Inputs[a].value);
      }
      if(!confirm("{{Portail|"+lrcBandeauPortail_NewBandeaux.join("|")+"}}")) return;
      lrcBandeauPortail_IsEditMode = true;
      liveEdit(lrcBandeauPortail_CurrentPage);
}

function lrcBandeauPortail_DoEdit(){
    var Preview = document.getElementById("livePreview");
    if(!Preview || !lrcBandeauPortail_IsEditMode) return;
    var TextArea = getElementWithId('wpTextbox1', 'textarea', Preview);
    if(!TextArea) return;
    if(lrcBandeauPortailVariables.autocommit) getElementWithId('editform', 'form', Preview).style.display = "none";
    var prevent_autocommit = 0;
    var NewTemplate = "{{Portail|"+lrcBandeauPortail_NewBandeaux.join("|")+"}}";
    var OldText = TextArea.value;
    OldText = OldText.replace(/\{\{portail/ig, "\{\{Portail");
    OldText = OldText.replace(/\{\{Portail /ig, "\{\{Portail\|");
    var Reg = new RegExp("\\{\\{Portail\\|[^\\}]*\\}\\}", "ig")
    var matches = OldText.match(Reg);
    if(matches!=null){
        var Replaced = false;
        for(var a=0,l=matches.length;a<l;a++){
            if(Replaced){
                OldText = OldText.replace(matches[a], "");
            }else{
                OldText = OldText.replace(matches[a], NewTemplate);
                Replaced = true;
            }
        }
    }else{          
        if((OldText.indexOf('{{DEFAULTSORT:')!=-1)||(OldText.indexOf('[[Catégorie:')!=-1)||(OldText.indexOf('[[catégorie:')!=-1)||(OldText.indexOf('[[Categorie:')!=-1)||(OldText.indexOf('[[categorie:')!=-1)){
// ------------------------------------------------------------------------------------ Il y a des catégories
            var DebutModele1 = OldText.substring(0, OldText.indexOf('{{DEFAULTSORT:'));
            var DebutModele2 = OldText.substring(0, OldText.indexOf('[[Catégorie:'));
            var DebutModele3 = OldText.substring(0, OldText.indexOf('[[catégorie:'));
            var DebutModele4 = OldText.substring(0, OldText.indexOf('[[Categorie:'));
            var DebutModele5 = OldText.substring(0, OldText.indexOf('[[categorie:'));    
            var SuiteModele = OldText.split(DebutModele1).join('').split(DebutModele2).join('').split(DebutModele3).join('').split(DebutModele4).join('').split(DebutModele5).join('')      
               var DebutModele = OldText.split(SuiteModele).join('');
        }else{
// ------------------------------------------------------------------------------------ Il n'y a pas de catégories 
            var interWiki = new RegExp('^\\s*\\[\\[([a-z][a-z].?(x?-[^\\]]+)?|simple|tokipona):([^\\]]*)\\]\\]\\s*$');
            var blank = new RegExp('^\\s*$');
            var lines = OldText.split('\n');
            var DebutModele = '';
            var SuiteModele = '';
            var FoundInterwiki = false;
            for (var lineId = lines.length - 1; lineId >= 0; --lineId){
                if (!interWiki.exec(lines[lineId]) && !blank.exec(lines[lineId])){
                    DebutModele = lines.slice(0, lineId + 1).join('\n');
                    SuiteModele = lines.slice(lineId + 1).join('\n');
                    break;
                }
            }
            DebutModele = DebutModele + '\n\n';
            while(SuiteModele.indexOf('\n\n')!=-1){
                SuiteModele = SuiteModele.split("\n\n").join("\n");
            }
            SuiteModele = SuiteModele.replace(/^\n/, "");
        }
        OldText = DebutModele + NewTemplate + SuiteModele;
    } 
    getElementWithId("wpTextbox1", "textarea", Preview).value = OldText;
    getElementWithId("wpSummary", "input", Preview).value = '[[Modèle:Portail|Portail]] : '+NewTemplate;
    if(lrcBandeauPortailVariables.Minoredit==1) getElementWithId("wpMinoredit", "input", Preview).checked = true;
    if(lrcBandeauPortailVariables.Minoredit==0) getElementWithId("wpMinoredit", "input", Preview).checked = false;
    if(lrcBandeauPortailVariables.Watchthis==1) getElementWithId("wpWatchthis", "input", Preview).checked = true;
    if(lrcBandeauPortailVariables.Watchthis==0) getElementWithId("wpWatchthis", "input", Preview).checked = false;
    if((lrcBandeauPortailVariables.autocommit)&&(prevent_autocommit != 1)){
        var Input = getElementWithId("Live_wpSave", "input", Preview);
        if(Input){
            processEdit(Input);
        }else{
            prevent_autocommit = 1;
        }
    }
    if(prevent_autocommit == 1) getElementWithId("editform", "form", Preview).style.display = "";
    lrcBandeauPortail_IsEditMode = false;
}

LiveRC_AddHook("AfterPreviewEdit", lrcBandeauPortail_DoEdit);


///////////////////////// DIVERS ////////////////////////////////////////////////////////

// RÉCUPÉRATION DU N° D'INDEX

function lrcBandeauPortail_getIndex( Element, TheArray ){
    for(var a in TheArray){
        if(Element === TheArray[a]) return a;
    }
    return null;
}

// PREMIÈRE LETTRE EN MAJUSCULE

String.prototype.ucFirst = function () {
    return this.substr(0,1).toUpperCase() + this.substr(1,this.length);
}

// PREMIÈRE LETTRE EN MINUSCULE

String.prototype.lcFirst = function () {
    return this.substr(0,1).toLowerCase() + this.substr(1,this.length);
}