// LIEN API 
// http://fr.wikipedia.org/w/api.php?action=query&list=recentchanges&rclimit=499&rcshow=anon&rcprop=user|title|timestamp

// LIEN CONTRIBUTIONS 
// http://fr.wikipedia.org/w/index.php?title=Special:Contributions&tagfilter=&contribs=user&target=123.*&namespace=&year=&month=-1


/////////////////////////////////////////////////////////////// PARTIE PERSONNALISABLE /////////////////////////////////////////////////////////////// 

var IPWatch_NbResults = 50; // Limite de résultats par page


var IPWatch_PageTitle ='Voir la page';
var IPWatch_DiffTitle ='Voir la différence de version';
var IPWatch_DiffText ='diff';
var IPWatch_HistTitle ='Voir l\'historique de cette page';
var IPWatch_HistText ='hist';
var IPWatch_EditTitle ='Modifier cette page';
var IPWatch_EditText ='edit';
var IPWatch_UserTitle ='Voir la page personnelle de cet utilisateur';
var IPWatch_TalkTitle ='Discuter avec cet utilisateur';
var IPWatch_TalkText ='d';
var IPWatch_ContribTitle ='Voir les contributions de cet utilisateur';
var IPWatch_ContribText ='c';
var IPWatch_DeletedContribTitle ='Voir les contributions supprimées de cet utilisateur';
var IPWatch_DeletedContribText ='s';
var IPWatch_BlockTitle ='Bloquer cet utilisateur';
var IPWatch_BlockText ='b';

/////////////////////////////////////////////////////////////// FIN DE LA PARTIE PERSONNALISABLE /////////////////////////////////////////////////////////////// 

var IPWatch_Namespace;
var IPWatch_User;

if(wgCanonicalSpecialPageName=="Contributions"){
      addOnloadHook(IPWatch);
}

function IPWatch(){
      var Content = document.getElementById("bodyContent");
      if(!Content) Content = document.getElementById("mw_contentholder");
      if(!Content) Content = document.getElementById("article");
      if(!Content) Content = document.body;

      IPWatch_Form = Content.getElementsByTagName('form')[0];
      var IPWatch_Fielset = IPWatch_Form.getElementsByTagName('fieldset')[0];
      if(IPWatch_Fielset) IPWatch_Fielset.innerHTML += "<p>Pour effectuer une recherche sur une plage IP, insérer dans le champ « Adresse IP ou nom d’utilisateur » le début de l'adresse suivi d'une astérisque (*).</p>";
      
      IPWatch_Results = document.createElement('div');
      Content.appendChild(IPWatch_Results);
      IPWatch_Results.innerHTML = '<div id="IPWatchSuivante"></div><ul id="IPWatchResultats"></ul>';
      IPWatch_Init();

}

function IPWatch_Init(){
      var URL = decodeURIComponent(document.URL);
      if(URL.indexOf('&contribs=user')!=-1){
             IPWatch_User = URL.split('&target=')[1].split('&')[0];
             IPWatch_Namespace = URL.split('&namespace=')[1].split('&')[0];
             if(IPWatch_User.indexOf("*")!=-1) IPWatch_Run('', 'On');
      }
}

var IPWatch_Match = new Array();
var IPWatch_MatchCount = -1;

function IPWatch_Run(RcStart, NewRequest){
      if(!RcStart) RcStart =''
      var Resultats = document.getElementById('IPWatchResultats');
      var PageSuivante = document.getElementById('IPWatchSuivante');
      if(NewRequest){
            while(Resultats.firstChild){Resultats.removeChild(Resultats.firstChild); }
            while(PageSuivante.firstChild){PageSuivante.removeChild(PageSuivante.firstChild); }
            PageSuivante.innerHTML = '<img src="http://upload.wikimedia.org/wikipedia/commons/8/88/Throbber_allbackgrounds_twelvebar.gif" height="18" width="18" /> <b>Recherche en cours</b>';
      }

      var AdresseRequete = wgServer + '/w/api.php?action=query&list=recentchanges&rclimit=499&rcshow=anon&rcprop=user|title|timestamp|ids|comment' + RcStart + '&rcnamespace=' + IPWatch_Namespace;
      var NouvelleRequete = sajax_init_object()
      NouvelleRequete.open("GET", AdresseRequete, true);
      NouvelleRequete.send(null);
      NouvelleRequete.onreadystatechange = function() {
            if(NouvelleRequete.readyState == 4 && NouvelleRequete.status == 200) {
                  var IPWatch_MatchUser = new RegExp("^" + IPWatch_User.replace(/\./g, "\\.").replace(/\*$/, "") );

                //  if(IPWatch_MatchCount==-1){alert("^" + IPWatch_User.replace(/\./g, "\\.").replace(/\*$/, ""));  }

                  var ElementTraitement = document.createElement('div');
                  ElementTraitement.innerHTML = NouvelleRequete.responseText; 
                  var Informations = ElementTraitement.getElementsByTagName('span');
                  var AllMatch = false;
                  var AutreRequete = false;
                  for(var b=0;b<Informations.length;b++){
                        var ContenuInformation = Informations[b].innerHTML;
                        while(ContenuInformation.indexOf('&amp;')!=-1){
                              ContenuInformation = ContenuInformation.split('&amp;').join("&");
                              if(ContenuInformation.indexOf('&amp;')==-1) break;
                        }
                        while(ContenuInformation.indexOf('&#039;')!=-1){
                              ContenuInformation = ContenuInformation.split('&#039;').join("'");
                              if(ContenuInformation.indexOf('&#039;')==-1) break;
                        }
                        while(ContenuInformation.indexOf('&quot;')!=-1){
                              ContenuInformation = ContenuInformation.split('&quot;').join('"');
                              if(ContenuInformation.indexOf('&quot;')==-1) break;
                        }
                        if(ContenuInformation.indexOf('title=')!=-1){
                              var IPWatch_ThisUser = ContenuInformation.split('user="')[1].split('"')[0];
                              if( IPWatch_ThisUser.match(IPWatch_MatchUser) ){
                                    IPWatch_MatchCount++
                                    var IPWatch_ThisTitle = ContenuInformation.split('title="')[1].split('"')[0];
                                    var IPWatch_ThisNamespace = ContenuInformation.split('ns="')[1].split('"')[0];
                                    var IPWatch_ThisTimestamp = ContenuInformation.split('timestamp="')[1].split('"')[0];
                                    var IPWatch_ThisRevid = ContenuInformation.split('old_revid="')[1].split('"')[0];
                                    var IPWatch_ThisOldid = ContenuInformation.split('revid="')[1].split('"')[0];
                                    var IPWatch_ThisComment = ContenuInformation.split('comment="')[1].split('"')[0];
                                    if(IPWatch_MatchCount<=IPWatch_NbResults){

IPWatch_Match[IPWatch_MatchCount] = ''
+ '<li>' + IPWatch_ThisTimestamp.split("T").join(" ").split("Z").join(" ") 
+ ' — <a href="' + wgServer + '/wiki/' + encodeURIComponent(IPWatch_ThisTitle) + '" title="'+IPWatch_PageTitle+'" >' + IPWatch_ThisTitle + '</a> '
+ '(<a href="' + wgServer + wgScript + '?title=' + encodeURIComponent(IPWatch_ThisTitle) + '&diff=' +IPWatch_ThisOldid+ '&oldid='+IPWatch_ThisRevid+'" title="'+IPWatch_DiffTitle+'" >'+IPWatch_DiffText+'</a>'
+ '|<a href="' + wgServer + wgScript + '?title=' + encodeURIComponent(IPWatch_ThisTitle) + '&action=history" title="'+IPWatch_HistTitle+'" >'+IPWatch_HistText+'</a>'
+ '|<a href="' + wgServer + wgScript + '?title=' + encodeURIComponent(IPWatch_ThisTitle) + '&action=edit" title="'+IPWatch_EditTitle +'" >'+IPWatch_EditText+'</a>) — '
+ '<a href="' + wgServer + '/wiki/User:' + encodeURIComponent(IPWatch_ThisUser) + '" title="'+IPWatch_UserTitle+'" >' + IPWatch_ThisUser + '</a> '
+ '(<a href="' + wgServer + '/wiki/User talk:' + encodeURIComponent(IPWatch_ThisUser) + '" title="'+IPWatch_TalkTitle+'" >'+IPWatch_TalkText+'</a>'
+ '|<a href="' + wgServer + '/wiki/Special:Contributions/' + encodeURIComponent(IPWatch_ThisUser) + '" title="'+IPWatch_ContribTitle+'" >'+IPWatch_ContribText+'</a>';

if(wgUserGroups.indexOf("sysop")!=-1){ 
     IPWatch_Match[IPWatch_MatchCount] += '|<a href="' + wgServer + '/wiki/Special:DeletedContributions/' + encodeURIComponent(IPWatch_ThisUser) + '" title="'+IPWatch_DeletedContribTitle+'" >'+IPWatch_DeletedContribText+'</a>'
+ '|<a href="'+wgServer + '/wiki/Special:Blockip/'+encodeURIComponent(IPWatch_ThisUser)+'" title="'+IPWatch_BlockTitle+'">'+IPWatch_BlockText+'</a>';
}
IPWatch_Match[IPWatch_MatchCount] += ') — ' + IPWatch_ThisComment + '</li>';

                                          Resultats.innerHTML += IPWatch_Match[IPWatch_MatchCount];
                                    }else{
                                          AllMatch = true;
                                          IPWatch_MatchCount = -1;
                                          var RcStart = '&rcstart=' + IPWatch_ThisTimestamp;
                                          PageSuivante.innerHTML = '<b><a href="javascript:IPWatch_Run(\''+RcStart+'\', \'On\');" >Voir les '+IPWatch_NbResults+' résultats suivants</a></b>'
                                    }
                              }
                        }
                        if((ContenuInformation.indexOf('rcstart=')!=-1)&&(AllMatch == false)){
                              var RcStart = '&rcstart=' + ContenuInformation.split('rcstart="')[1].split('"')[0];
                              IPWatch_Run(RcStart);
                        }
                  }
            }
      }
}