/* ************************************************************************************************************************************************ 
// Extension de LiveRC

// Modes Plein écran/Normal


{{Projet:JavaScript/Script|LiveRC}} 

************************************************************************************************************************************************ */
if (typeof(lrcHooks)!="undefined") { // DÉBUT IF

/* ************************************************************************************************************************************************ */

var lrcFullPageToggleState = false;

var lrcFullPageToggleText = [
                             {text:"<>", title:"Plein écran"},
                             {text:"><", title:"Mode normal"}
                            ];

lrcManageParams_Desc['DesclrcFullPageToggleText'] = new Array('Paramètres de FullScreenExtension', 'FullScreenExtension');

importStylesheetURI('http://fr.wikipedia.org/w/index.php?title=User:Dr Brains/LiveRC/FullScreenExtension.css&action=raw&ctype=text/css');

function LiveRC_FullScreenExtension_AddLink(){
    var lvPreviewFoot = document.getElementById( 'livePreviewFoot' );
    if(!lvPreviewFoot) return;
    var Link = document.createElement('input');
    Link.type = "button";
    Link.id = "FullPageToggleLink";
    Link.value = lrcFullPageToggleText[0]["text"];
    Link.title = lrcFullPageToggleText[0]["title"];
    Link.setAttribute('style', 'padding:0;');
    Link.onclick = LiveRC_FullScreenExtension_Toggle;
    Link.onselect = LiveRC_FullScreenExtension_Toggle;
    lvPreviewFoot.appendChild(document.createTextNode(" "));
    lvPreviewFoot.appendChild(Link);
}

function LiveRC_FullScreenExtension_Toggle(){
    var ToggleLink = document.getElementById("FullPageToggleLink");  
    if(lrcFullPageToggleState){       // Revenir au mode normal
        addClass(document.body, "lrcNormal" + skin);
        removeClass(document.body, "lrcFull"+skin);
        ToggleLink.title = lrcFullPageToggleText[0]["title"];
        ToggleLink.value = lrcFullPageToggleText[0]["text"];
        lrcFullPageToggleState = false;
    }else{                            // Passer en mode Plein écran
        addClass(document.body, "lrcFull"+skin);
        removeClass(document.body, "lrcNormal" + skin);
        ToggleLink.title = lrcFullPageToggleText[1]["title"];
        ToggleLink.value = lrcFullPageToggleText[1]["text"];
        lrcFullPageToggleState = true;
    }
}

LiveRC_AddHook("AfterOptions", LiveRC_FullScreenExtension_AddLink);
LiveRC_AddHook("AfterFillParamPanel", function(){
    LiveRC_ManageParams_Fill(lrcFullPageToggleText, "lrcFullPageToggleText");
});

/* ************************************************************************************************************************************************ */
} // FIN IF