/* Extension de LiveRC 

Met un lien sur les icônes PàS, AdQ, etc.
 
 
Ajoutez dans votre [[User:<PSEUDO>/LiveRCparam.js]] le code :

importScript('Utilisateur:Dr Brains/LiveRC/LinkOnIconExtension.js');


{{Catégorisation JS|LiveRC}}
*/

if (typeof(lrcHooks)!="undefined") { // DÉBUT IF

function lrcXILGetTalkPage(article) {
    var PageNamespaceNumber = getNamespaceInfoFromPage(article);
    var PageName = getNamespaceInfoFromPage(article, "PageName");
    if(PageNamespaceNumber%2==0){
        var TalkPageNamespaceNumber = (PageNamespaceNumber+1);
    }else{
        var TalkPageNamespaceNumber = PageNamespaceNumber;
    }
    return wgFormattedNamespaces[TalkPageNamespaceNumber] + ":" + PageName;
}

function lrcXILHook(Args) {
  var tr1 = document.getElementById(Args.id);
  if (!tr1) return;
  var rc = Args.rc;
  var article = rc.title;
  var user = rc.user;
  var talkpage = lrcXILGetTalkPage(article);
  var images = tr1.getElementsByTagName('img');

  for (var i = 0; i < images.length; i++) {
    var img = images[i];
    var imgAlt = img.getAttribute('alt');
    var link = false;
    if(imgAlt == 'PaS') {
      link = '<a href="'+lrcGetPageURL(talkpage + '/Suppression')+'" '
           + 'onClick="liveArticle('+lrcEscapeStr(talkpage + '/Suppression')+'); return false;" >';
    }else if (imgAlt == 'Copyright') {
      link = '<a href="'+lrcGetPageURL(talkpage + '/Droit d\'auteur');
           + 'onClick="liveArticle('+lrcEscapeStr(talkpage + '/Droit d\'auteur')+'); return false;" >';
    }else if (imgAlt == 'Article potentiellement de qualité' || imgAlt == 'Adq') {
      link = '<a href="'+lrcGetPageURL(talkpage + '/Article de qualité')+'" '
           + 'onClick="liveArticle('+lrcEscapeStr(talkpage + '/Article de qualité')+'); return false;" >';
    }else if (imgAlt == 'Bon article') {
      link = '<a href="'+lrcGetPageURL(talkpage + '/Bon article')+'" '
           + 'onClick="liveArticle('+lrcEscapeStr(talkpage + '/Bon article')+'); return false;" >';
    }else if (imgAlt == 'Article semi-protégé' || imgAlt == 'Article protégé' || imgAlt == 'Protection') {
      link = '<a href="'+lrcGetUglyPageURL('Spécial:Journal', '&type=protect&page='+encodeURIComponent(article))+'" '
           + 'onClick="liveLog(\'protect\',{page:'+lrcEscapeStr(article)+'}); return false;" >';
    }else if (imgAlt == 'Suppression') {
      link = '<a href="'+lrcGetUglyPageURL('Spécial:Journal', '&type=delete&page='+encodeURIComponent(article))+'" '
           + 'onClick="liveLog(\'delete\',{page:'+lrcEscapeStr(article)+'}); return false;" >';
    }else if (imgAlt == 'Administrateur') {
      link = '<a href="'+lrcGetPageURL('Wikipédia:Administrateur/'+encodeURIComponent(user))+'" '
           + 'onClick="liveArticle('+lrcEscapeStr('Wikipédia:Administrateur/'+user)+'); return false;" >';
    }
    if (!link) continue;
    var parent = img.parentNode;
    var span = document.createElement('span')
    parent.insertBefore(span, img);
    parent.removeChild(img);
    span.appendChild(img);
    span.innerHTML = link + span.innerHTML + '</a>';
  }
}

LiveRC_AddHook("AfterRC", lrcXILHook);

} // FIN IF