// [[User:Lupin/popups.js]] - 

///////////////////////////////////////////////////////////// Options //////////////////////////////////////////////////////////////////////////////////////

popupDelay=1.2; 
  //Nombre de secondes avant l'apparition du popups.

popupHideDelay=0.2;	
  //Nombre approximatif de secondes entre le moment ou la souris quitte le lien et la disparition du popup.

simplePopups=false; 	
  //Si vous voulez seulement les liens ou que vous trouvez que que la bande passante consommée est trop importante, mettez true. Aucune donnée ne sera chargée et le popups affichera juste la liste des liens.

popupStructure='original'; 
  //// 'original', 'fancy', 'fancy2', 'menus', 'shortmenus', 'lite', 'nostalgia' 
  //Sélectionne la structure du popups. 'original', par défaut si simplePopups est true (ou si votre navigateur ne supporte pas les menus), possède tous les liens de navigation; 'fancy' et fancy2 sont des variantes. 'menus', par défaut si simplePopups est false, affiche les liens des menus qui apparaissent quans vous passez la souris sur le titre du popup. 'shortmenus' est une version plus légère que 'menus' avec moins de liens. Enfin, 'nostalgia' a une structure sans lien, tandis que 'lite' a une structure simple, avec juste la prévisualisation sans aucun lien. Notez que pour ce paramètre, vous devez inclure les simples quotes : popupStructure='fancy';.

popupActionsMenu=true;
  //Quand vous utilisez les menus, vous pouvez faire que le titre du popup génère un menu (false) ou un menu « actions » séparé (true, par défaut).

popupImages=true;
  //Si false les images ne sont pas affichées.

popupSubpopups=true;
//Si true les liens sont générés en prévisualisation.

popupOnEditSelection=true;
//Si true un popups est généré pour les wikiliens sélectionnés lors de l'édition.

popupAdminLinks=true;
//Si true les liens administrateurs sont affichés (bloquer, supprimer, protéger et déprotéger).

popupShortcutKeys=true;
//	Si true vous pouvez accéder à divers liens du popups à l'aide d'une touche. Quand la souris passe sur un lien avec un raccourcis, celui-ci apparait à la suite de la description du lien. Par exemple, dans Firefox ou Opera, pour éditer un article dans un nouvel onglet vous pouvez appuyer sur 'e Control-Enter'. La touche Échap fait disparaître le popup.

popupFixRedirs=false ;
//	Si true vous pouvez automatiquement corriger un lien vers une page de redirection en cliquant sur « Redirection ». Note : you probably don't want to "fix" such links every time you come across them, and you definitely don't want to go on a hunt for them to "fix" them. See About fixing redirects.

popupWatchRedirredPages=true ;
//	Si true les pages de redirection seront affichées; si false, elles ne le seront pas. Si null, les pages s'afficheront ou pas en fonction de vos préférences utilisateur.

popupRedirAutoClick='wpDiff';  //'wpSave', 'wpPreview', 'wpDiff' 
//	The button which is automatically pressed when fixing redirects.

popupRedlinkRemoval=true ;
//	Si true vous pouvez automatiquement supprimer les liens rouge d'une page en selectionnant « supprimer ce lien ».

popupFixDabs=false ;
//	Si true vous pouvez automatiquement corriger les liens vers les pages d'homonymie en cliquant sur un des liens tout en bas du popup.

popupAllDabsStubs=false ;
//	Si false les pages d'ébauche d'homonymie de l'espace encyclopédique seront traitées différemment. (Setting this to true can lead to lots of false positives).

popupWatchDisambiggedPages=null ;
//	Si true les pages d'homonymie seront affichées; si false, elles ne le seront pas. Si null, les pages s'afficheront ou pas en fonction de vos préférences utilisateur.

popupNavLinks=true ;
//	Si true les liens de navigation sont affichés. Si false, ils ne le sont pas.

popupLastEditLink=true;
// 	Si true le popup affichera un lien « dernière modification ».

popupHistoricalLinks=true ;
//	Quand la souris passe sur un lien Hist ou Diff, un lien « éditeAncien » est affiché si true. Sinon, vous obtenez les mêmes liens que pour un lien classique.

popupPreviews=true;
//	Si true et que vous n'avez paramétré simplePopups, alors une prévisualisation de la première partie de l'article s'affichera. (Rapports sur les pages mal affichées sont les bienvenus). Si false, il n'y a pas de prévisualisation.

popupSummaryData=true;
//	Si true un résumé des données de la page est affiché. Si false, page de résumé.

popupLastModified=true;
//	Si true l'ancienneté de la page est affichée dans le résumé. C'est le délai depuis la dernière modification de la page.

popupDiffDates=true;
//	Si true, les dates des versions comparées sont affichées lors de la prévisualisation des différences.

popupImageLinks=false;
//	Si true, les pages liées à une image apparaissent lors de la prévisualisation. Ceci ne fonctionne pas pour les images de Commons.

popupOnlyArticleLinks=true ;
//	Si true, le popups génère seulement des liens sur les articles. Sinon, les autres liens (comme édit, aide) auront des liens popups.

imagePopupsForImages=false;
//	Par défaut, une prévisualisation de l'image est chargée quand la souris passe sur une image visible. Si false l'image n'est pas chargée.

popupMaxWidth=500;
//	La largeur maximum du popup en pixels. Si false le popup s'agrandi pour s'adapter au contenu.

popupInitialWidth=false ;
//	La largeur initial du popup en pixels. Si false le popup s'adapte au contenu initiale.

popupEditCounterTool="interiot"; // "kate", "interiot", "perso" ;
//	L'édit counter utilisé, choix entre Kate's tool, Interiot's tool ou une url perso définie par popupEditCounterUrl.

//popupEditCounterUrl 	"" ;
//	L'url pour un édit counter peso. Vous pouvez utiliser ces paramètres dans l'url: $1 sera remplacer par le nom d'utilisateur, et $2 par le nom de la base de données (par exemple, frwiki_p).

popupDragHandle='popupTopLinks';
// 	Le nom d'un élément par lequel le popup peut être déplacé sans maintenir shift enfoncé. Si false, le popup peut être déplacé avec la touche shift.

popupAdjustDates=true ;
//	Si true, les dates de l'historique, diff et contributions d'utilisateur sont ajustées avec vos préférences d'utilisateur.

popupThumbAction="linkfull";  //"imagepage", "sizetoggle", "linkfull" 	
//Ceci contrôle ce qui se passe quand vous cliquez sur une image dans la prévisualisation. "imagepage" vous amène sur la page de l'image (et génére un sous popup quand vous passez sur l'image), tandis que le popup est généré pour la page de l'image; "sizetoggle" signifie que l'image est retaillée lors du clic, et "linkfull" signifie que l'image point directement vers l'image en taille réelle.

popupRevertSummary= "";     //une chaîne de caractère;
// 	Résumé utilisé lors d'une révocation et non un résumé de son choix (voir ci-dessous). Le premier %s à apparaître dans la chaîne de caractère est remplacé par la version ID de la page en train d'être révoquée.

popupRevertSummaryPrompt=true;
// 	Si true, vous pourrez changer le résumé par défaut à chaque révocation.

//popupQueriedRevertSummary="" ;
//	Résumé utilisé lors d'une révocation en utilisant "the query interface" pour obtenir les informations sur de la révocation. $1, $2, $3 dans la chaîne de caractère sont remplacés par la version ID, la date et l'utilisateur de la version en train d'être révoquée.

//popupQueriedRevertToPreviousSummary="";
// 	Résumé utilisé lors d'une révocation en utilisant le lien diff présent sur la page de contributions d'un utilisateur et en utilisant " the query interface" pour obtenir des informations sur la révocation. $1, $2, $3 dans la chaîne de caractère sont remplacés par la version ID, la date et l'utilisateur de la version actuelle après la révocation.

//popupFixRedirsSummary="";
//	Résumé utilisé lors de la réparation d'une redirection. Le premier %s à apparaître dans la chaîne de caractère est remplacé par la page de redirection, et le second %s par la page cible.

//popupFixDabsSummary="";
//	Résumé utilisé lors de la modification d'un lien vers une page d'homonymie. Le premier %s à apparaître dans la chaîne de caractère est remplacé par la page d'homonymie, et le second  %s par la page cible.

//popupRedlinkSummary="";
//	Résumé utilisé lors de la suppression de liens rouge. Le premier %s à apparaître dans la chaîne de caractère est remplacé par le nom du lien rouge.



popupHistoryPreviewLimit=25;
// 	Prévisualise au maximum ce nombre de modifications en partant du haut le page d'historique.

popupCategoryMembers=true;
// 	Affiche ou non les membres des catégories.

popupPreviewHistory=true  ;
//	Affiche ou non la prévisualisation des liens vers la page d'historique.

popupContribsPreviewLimit=25 ;
//	Prévisualise au maximum ce nombre de contributions.

popupPreviewKillTemplates=false ;
//	Si true, les modèles contenus dans un article sont enlevés de la prévisualisation; sinon, ils sont affichés en ligne wiki.

popupPreviewRawTemplates=false;
//	Si true, les modèles (pages modèle : namespace) sont prévisualisés entièrement en ligne wiki; sinon, une tentative est faite pour les afficher.

popupPreviewFirstParOnly=false ;
//	Si true, les prévisualisations sont restreintes au premier paragraphe d'un article.

popupMaxPreviewSentences=10;
// 	Nombre maximum de phrases extraites de l'article et affichées.

popupMaxPreviewCharacters=600;
// 	Nombre maximum de caractères extraits de l'article et affichés.



popupNavLinkSeparator=' &sdot; ' ;
//	HTML inséré entre liens de navigation. Par défaut ' &bull; ' dans Konqueror et ' &#183; ' dans les navigateurs Microsoft, ils n'apparaîssent pas comme le caractère &sdot;.

popupAppendRedirNavLinks=true;
// 	Si true, une nouvelle série des liens de navigation est générée pour les cibles des redirections; si false, vous serez averti de la redirection mais aucun lien de navigation ne sera généré. N'a aucun effet si popupNavLinks est paramétré en false.

removeTitles=true;
// 	Les titres (conseiller par défaut) des liens sont déplacés dans le lien principal du popup si la valeur est true. Si c'est false ils ne le seront pas.

popupLazyDownloads=true;
// 	Si true, les téléchargements n'ont pas lieu avant que le popup ne s'affiche. Si false, ils démarrent dès que la souris passe sur un lien.

popupLazyPreviews=true;
// 	Si true, les prévisualisations n'ont pas lieu avant que le popup ne s'affiche. Si false, elles sont générées dès que les données nécessaire sont disponible.




document.write('<script type="text/javascript" src="' 
             + 'http://fr.wikipedia.org/w/index.php?title=User:Leag/popups-strings-fr.js' 
             + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
document.write('<script type="text/javascript" src="' 
             + 'http://en.wikipedia.org/w/index.php?title=User:Lupin/popups.js' 
             + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');