/*
{{Utilisateur:Dr Brains/onglets}}

<big>'''[[Utilisateur:Dr Brains/Video.js]]'''</big> est un script permettant d'insérer une vidéo YouTube, DailyMotion ou Google à la place du logo wikipédia. Son fonctionnement est calqué sur les Widgets correspondants (voir [[:mw:Extension:Widgets]]).

Il ne fonctionne que pour les habillages monobook ou vector.

== Installation ==
Pour installer cette fonction, ajouter à votre page [[Special:Mypage/monobook.js|monobook.js]] ou [[Special:Mypage/vector.js|vector.js]] le code suivant :

<div style="margin:0.5em;padding:0.5em;border:1px dashed green;">
<source lang=javascript>
importScript('Utilisateur:Dr Brains/Video.js');
</source>
</div>

== Personnalisation ==
Il est possible de changer la vidéo et de modifier les dimensions et la position de la vidéo, pour ce faire, les paramètres présents dans la partie personnalisable du script doivent être déclarés '''avant''' l'appel de la fonction.

=== Exemple ===

<div style="margin:0.5em;padding:0.5em;border:1px dashed green;">
<source lang=javascript>
var MyLogoVideo_Site = 'YouTube';
var MyLogoVideo_Id = 'Hg8Fa_EUQqY';
var MyLogoVideo_Largeur = '50';
var MyLogoVideo_Hauteur = '50';
var MyLogoVideo_Position = 'top:100px; left:100px;';

importScript('Utilisateur:Dr Brains/Video.js');
</source>
</div>


{{Image panoramique|Demo Script Video.png|1000|Aperçu.}}

== CODE SOURCE ==
{{Projet:JavaScript/Script}} 
{{Boîte déroulante début|titre=Video.js}}<!--
*/
// --><source lang=javascript>
//<pre><nowiki>

////////////////////////////////////////////////////////// PARTIE PERSONNALISABLE ////////////////////////////////////////////////////////////////

if(typeof(MyLogoVideo_Site)=='undefined'){      var MyLogoVideo_Site = 'YouTube';                }    // 'YouTube' , 'DailyMotion' ou 'Google'
if(typeof(MyLogoVideo_Id)=='undefined'){        var MyLogoVideo_Id = 'MOmYbu8cdQg';              }    // N° d'identification de la vidéo, visible dans l'URL
if(typeof(MyLogoVideo_Largeur)=='undefined'){   var MyLogoVideo_Largeur = '155';                 }    // Largeur 
if(typeof(MyLogoVideo_Hauteur)=='undefined'){   var MyLogoVideo_Hauteur = '155';                 }    // Hauteur 
if(typeof(MyLogoVideo_Position)=='undefined'){  var MyLogoVideo_Position = 'top:0px; left:0px;'; }    // Position 

////////////////////////////////////////////////////////// FIN DE LA PARTIE PERSONNALISABLE ////////////////////////////////////////////////////////////////

if(MyLogoVideo_Site=='DailyMotion'){ // ------------------------------------
       document.write('<style type="text/css">');
       document.write('#p-logo {display:none;}');
       document.write('</style>');
       document.write('<div style="z-index: 3; position:absolute; '+MyLogoVideo_Position+'  width:'+MyLogoVideo_Largeur+'px; height: '+MyLogoVideo_Hauteur+'px; overflow: visible;">');
       document.write('<object width="'+MyLogoVideo_Largeur+'" height="'+MyLogoVideo_Hauteur+'"><param name="movie" value="http://www.dailymotion.com/swf/'+Video_Id+'&v31=&colors=background:DDDDDD;glow:FFFFFF;foreground:333333;special:FFC300;&related=0"></param><param name="allowFullScreen" value="true"></param><param name="allowScriptAccess" value="always"></param><embed src="http://www.dailymotion.com/swf/'+MyLogoVideo_Id+'&v31=&colors=background:DDDDDD;glow:FFFFFF;foreground:333333;special:FFC300;&related=0" type="application/x-shockwave-flash" width="'+MyLogoVideo_Largeur+'" height="'+MyLogoVideo_Hauteur+'" allowFullScreen="true" allowScriptAccess="always"></embed></object>');
       document.write('</div');
} else if(MyLogoVideo_Site=='Google'){ // ------------------------------------
       document.write('<style type="text/css">');
       document.write('#p-logo {display:none;}');
       document.write('</style>');
       document.write('<div style="z-index: 3; position:absolute; '+MyLogoVideo_Position+' width: '+MyLogoVideo_Largeur+'px; height: '+MyLogoVideo_Hauteur+'px; overflow: visible;">');
       document.write('<embed id="VideoPlayback" style="width:'+MyLogoVideo_Largeur+'px; height:'+MyLogoVideo_Hauteur+'px" flashvars="" src="http://video.google.com/googleplayer.swf?docid='+MyLogoVideo_Id+'&hl=en" type="application/x-shockwave-flash"></embed>');
       document.write('</div');
}else if(MyLogoVideo_Site=='YouTube'){ // ------------------------------------
       document.write('<style type="text/css">');
       document.write('#p-logo {display:none;}');
       document.write('</style>');
       document.write('<div style="z-index: 3; position:absolute; '+MyLogoVideo_Position+' width: '+MyLogoVideo_Largeur+'px; height: '+MyLogoVideo_Hauteur+'px; overflow: visible;">');
       document.write('<object width="'+MyLogoVideo_Largeur+'" height="'+MyLogoVideo_Hauteur+'"><param name="movie" value="http://www.youtube.com/v/'+MyLogoVideo_Id+'"></param><param name="wmode" value="transparent"></param><embed src="http://www.youtube.com/v/'+MyLogoVideo_Id+'" type="application/x-shockwave-flash" wmode="transparent" width="'+MyLogoVideo_Largeur+'" height="'+MyLogoVideo_Hauteur+'"></embed></object>');
       document.write('</div');
}

//</nowiki></pre></source>{{Boîte déroulante fin}}