var WatchSubPages_AutoWatchSubPages = true;

if((wgAction=="edit")||(wgAction=="submit")){
    addOnloadHook(WatchSubPages_Edit);
}else if((wgAction=="view")||(wgAction=="purge")){
    addOnloadHook(WatchSubPages_View);
}

function WatchSubPages_View(){
    var CaWatch = document.getElementById("ca-watch");
    var Watch = true;
    if(!CaWatch){
         CaWatch = document.getElementById("ca-unwatch");
         Watch = false;
    }
    if(!CaWatch) return;

    var WatchID = CaWatch.id;
    var WatchLink = CaWatch.getElementsByTagName('a')[0];
    var WatchLinkTitle = WatchLink.title.split('cette page').join('cette page et ses sous-pages');
    var WatchLinkAccessKey = ( WatchLink.accesskey ? WatchLink.accesskey : "" );
    var WatchLinkHTML = WatchLink.innerHTML;

    var NewWatchLi = document.createElement('li');
    NewWatchLi.id = WatchID + "_subpages";
    var NewWatchLink = document.createElement('a');
    NewWatchLi.appendChild(NewWatchLink);
    NewWatchLink.accesskey = WatchLinkAccessKey;
    NewWatchLink.title = WatchLinkTitle;
    NewWatchLink.href = "javascript:WatchSubPages_AddSubPages("+Watch+");";
    NewWatchLink.innerHTML = WatchLinkHTML;
    CaWatch.parentNode.insertBefore(NewWatchLi, CaWatch);
    CaWatch.parentNode.removeChild(CaWatch);

    var Element = document.createElement('div');
    Element.innerHTML = '<ul id="WatchSubPages_ElementControle"></ul>';
    var SiteNotice = document.getElementById("siteNotice");
    SiteNotice.parentNode.insertBefore(Element,SiteNotice);
}



function WatchSubPages_Edit(){
    var WatchInput = document.getElementById("wpWatchthis");
    var SaveInput = document.getElementById("wpSave");
    if((!WatchInput)||(!SaveInput)) return;

    var NewInput = document.createElement('input');
    NewInput.type = "checkbox";
    NewInput.name = "wpWatchthisSubPages";
    NewInput.id = "wpWatchthisSubPages";
    NewInput.style.display =  "inline";
    if(WatchSubPages_AutoWatchSubPages) NewInput.checked = "checked";
    var NewLabel = document.createElement('label');
    NewLabel.for = "wpWatchthisSubPages";
    NewLabel.value = "Suivre les sous-pages de cette page";
    NewLabel.innerHTML = "Suivre les sous-pages de cette page";
    var NewSeparator = document.createElement('div');
    NewSeparator.className= "visualClear";

    SaveInput.parentNode.parentNode.insertBefore(NewInput, SaveInput.parentNode);
    SaveInput.parentNode.parentNode.insertBefore(NewLabel, SaveInput.parentNode);
    SaveInput.parentNode.parentNode.insertBefore(NewSeparator, SaveInput.parentNode);
    
    
    //SaveInput.type = "button";
    //SaveInput.onclick = "WatchSubPages_Save()";
    //SaveInput.onselect = "WatchSubPages_Save()";
}

function WatchSubPages_Save(){
    var CheckBox = document.getElementById("wpWatchthisSubPages");
    if(CheckBox.checked){
          WatchSubPages_AddSubPages(true, "edit");
    }else{
          document.editform.submit();
    }
}

function WatchSubPages_AddSubPages(watch, mode){
     var Action = 'watch';
     if(!watch) Action = 'unwatch';
     if(!mode) mode= "view";

     var Pages = new Array();
     var Pagescount = -1;

     var ThisPage = wgPageName.replace(/_/g," ");
     var AdresseRequete = wgServer + '/w/api.php?action=query&list=allpages&aplimit=499&apnamespace='+wgNamespaceNumber+'&apfrom=' + wgTitle;
     var NouvelleRequete = sajax_init_object();
     NouvelleRequete.open("GET", AdresseRequete, true);
     NouvelleRequete.send(null);
     NouvelleRequete.onreadystatechange = function() {
            if(NouvelleRequete.readyState == 4 && NouvelleRequete.status == 200) {
                  //alert('Reçu');
                  var ElementTraitement = document.createElement('div');
                  ElementTraitement.innerHTML = NouvelleRequete.responseText; 
                  document.body.insertBefore(ElementTraitement,document.body.firstChild);
                  var Informations = ElementTraitement.getElementsByTagName('span');
                  for(var a=0;a<Informations.length;a++){
                        var ContenuInformation = Informations[a].innerHTML;
                        if(ContenuInformation.indexOf('title=')!=-1){
                             var Title = ContenuInformation.split('title="').split('"')[0];
                             Title = WatchSubPages_Clean(Title);
                             if((Title==ThisPage)||(Title.indexOf(ThisPage+'/')!=-1)){
                                     Pagescount++
                                     Pages[Pagescount] = Title;
                             }
                        }
                  }
                  WatchSubPages_Proceed(Action, Pages, mode, 0);
            }
     }
}

function WatchSubPages_Proceed(Action, PagesList, mode, position){
     if(!position) position = 0;
     var ThisPage = PagesList[position];
     if(!ThisPage){ 
          if(mode="edit") document.editform.submit(); 
          return;
     } 
     var NouvelleRequete = sajax_init_object()
     var AdresseRequete = wgServer +'/w/api.php?action=watch&title=' + ThisPage;       
     NouvelleRequete.open("GET", AdresseRequete, true);
     NouvelleRequete.send(null);
     NouvelleRequete.onreadystatechange = function() {
          if(NouvelleRequete.readyState == 4 && NouvelleRequete.status == 200) {
               var Element = document.getElementById('WatchSubPages_ElementControle');
               if(Element){
                      Element.innerHTML += '<li>La page <b>' + PageASuivre + '</b> a été ajoutée à votre liste de suivi.</li>';
               }
               WatchSubPages_Proceed(Action, PagesList, (position+1));
          }
     }
}

function WatchSubPages_Clean(text){
     while(text.indexOf('&amp;')!=-1){
          text = text.split('&amp;').join("&");
          if(text.indexOf('&amp;')==-1) break;
     }
     while(text.indexOf('&#039;')!=-1){
          text = text.split('&#039;').join("'");
          if(text.indexOf('&#039;')==-1) break;
     }
     while(text.indexOf('&quot;')!=-1){
          text = text.split('&quot;').join('"');
          if(text.indexOf('&quot;')==-1) break;
     }
     return text;
}