var WhoSaidThat_Text_Onglet = "WhoSaidThat";

addOnloadHook(WhoSaidThat_AddLink);

// --------------------------------------------------------------------------------------------
// Ajout du lien "WhoSaidThat"
 
function WhoSaidThat_AddLink(){
     if(typeof(WhoSaidThat_LangCustom)=="function") WhoSaidThat_LangCustom();
     if(typeof(WhoSaidThat_UserCustom)=="function") WhoSaidThat_UserCustom();
     var OngletsCactions = document.getElementById('p-cactions');
     if(OngletsCactions){
          var CactionsUl = OngletsCactions.getElementsByTagName('ul')[0];
          CactionsUl.innerHTML += '<li><a href="javascript:WhoSaidThat_GetSelectedText();">'+WhoSaidThat_Text_Onglet+'</a></li>';
          removeClass(OngletsCactions, "emptyPortlet");
     }
}

var WhoSaidThat_Text = "";
var WhoSaidThat_StartId = "";

function WhoSaidThat_GetSelectedText(){
  WhoSaidThat_StartId = "";
  WhoSaidThat_Text = ""
  var selection = document.getSelection();
  //includes apostraphes
  //fixme: if at begin of container.
  var finalText = selection.toString();
  try {
    var expandWord = /['\-]/ //list of chars that are not actual word boundries.
    var range = selection.getRangeAt(0);
    var rangeBefore = range.cloneRange();
    if (rangeBefore.startOffset !== 0 ) {
      rangeBefore.setStart(rangeBefore.startContainer, rangeBefore.startOffset - 1);
      var textNode = rangeBefore.cloneContents().firstChild;
      if (textNode.nodeType === 3 && expandWord.test(textNode.data.charAt(0))) {
        for (var i = 0; i < 30 /*to stop run-away*/; i++) {
          rangeBefore.setStart(rangeBefore.startContainer, rangeBefore.startOffset - 1);
          textNode = rangeBefore.cloneContents().firstChild;
          if ((textNode.nodeType !== 3) || (textNode.nodeType === 3 && textNode.data.match(/^\s/))) {
            rangeBefore.setStart(rangeBefore.startContainer, rangeBefore.startOffset + 1);
            finalText = rangeBefore.toString();
            rangeBefore.detach();
            range.detach();
            WhoSaidThat_Text = finalText;
          }
          else if (rangeBefore.startOffset === 0) { //at the end of the range. this might add periods, which are stripped later.
            finalText = rangeBefore.toString();
            rangeBefore.detach();
            range.detach();
            WhoSaidThat_Text = finalText;
          }
        }
      }
    }
    rangeBefore.detach(); //done with it.
    var rangeAfter = range.cloneRange();
    rangeAfter.setEnd(rangeAfter.endContainer, rangeAfter.endOffset + 1);
    var textNode = rangeAfter.cloneContents().firstChild; //double var...
    if (textNode.nodeType === 3 && expandWord.test(textNode.data.charAt(textNode.data.length - 1))) {
      for (var i = 0; i < 30 /*to stop run-away*/; i++) {
        rangeAfter.setEnd(rangeAfter.endContainer, rangeAfter.endOffset + 1);
        textNode = rangeAfter.cloneContents().firstChild;
        if ((textNode.nodeType !== 3) || (textNode.nodeType === 3 && textNode.data.match(/\s$/))) {
          rangeAfter.setEnd(rangeAfter.endContainer, rangeAfter.endOffset - 1);
          finalText = rangeAfter.toString();
          rangeAfter.detach();
          range.detach();
          return finalText;
        } else if (rangeAfter.endOffset - rangeAfter.endContainer.data.length === 0) { // this assumes this is a text node... this might add periods, which are stripped later.
          finalText = rangeAfter.toString();
          rangeAfter.detach();
          range.detach();
          WhoSaidThat_Text = finalText;
        }
      }
    }
    rangeAfter.detach(); //no match, and done with this range.
  } catch (e) {
    if (window.range) {range.detach();}
    WhoSaidThat_Text = finalText;
  }
  WhoSaidThat_Text = finalText;
  if(confirm(WhoSaidThat_Text)) WhoSaidThat_GetRevisions();
}


var WhoSaidThat_APILimit = ( wgUserGroups.indexOf("sysop")!=-1 || wgUserGroups.indexOf("bot"!=-1) ? 4999 : 499 );
var WhoSaidThat_ObjetXML;

function WhoSaidThat_GetRevisions(){
      var NouvelleRequete = sajax_init_object()
      var AdresseRequete = wgServer + wgScriptPath + '/api.php?format=xml&action=query&prop=revisions&rvlimit='+WhoSaidThat_APILimit+'&rvprop=ids|user|content|timestamp&titles='+wgPageName.replace(/&/g, "%26") + WhoSaidThat_StartId;
      NouvelleRequete.open("GET", AdresseRequete, true);
      NouvelleRequete.onreadystatechange = function() {
            if(NouvelleRequete.readyState != 4 ) return;
            WhoSaidThat_ObjetXML = NouvelleRequete.responseXML; 
            WhoSaidThat_SearchMatches();
      }
      NouvelleRequete.send(null);
}

function WhoSaidThat_SearchMatches(position){
      if(!position) position = 0;
      var FoundIndex = -1;
      var Found = false;
      var AutreRequeteContinue = "";
      var Revisions = WhoSaidThat_ObjetXML.getElementsByTagName('rev');
      for(var a=0;a<Revisions.length;a++){
            if(Found) continue;
            var Content = (Revisions[a].firstChild ? Revisions[a].firstChild.nodeValue : "");
            if(Content=="") continue;
            if(Content.indexOf(WhoSaidThat_Text)!=-1){
                  FoundIndex++
                  if(FoundIndex==position){
                        Found = true;
                        var User = Revisions[a].getAttribute('user');
                        var Oldid = Revisions[a].getAttribute('revid');
                        var Diff = Revisions[a].getAttribute('parentid');
                        var Time = WhoSaidThat_ManageTimeStamp(Revisions[a].getAttribute('timestamp'));
                  }
            }
      }
      var CanContinue = WhoSaidThat_ObjetXML.getElementsByTagName('query-continue')[0];
      if(CanContinue) WhoSaidThat_StartId = "&rvstartid=" + CanContinue.getElementsByTagName('revisions')[0].getAttribute("rvstartid");
      if(!Found && CanContinue){                  
            WhoSaidThat_GetRevisions();
            return;
      }
      if(!Found && !CanContinue){
            alert('Pas trouvé de correspondance');
            return;
      }
      WhoSaidThat_FoundAMatch(position, User, Oldid, Diff, Time);
}

function WhoSaidThat_FoundAMatch(position, User, Oldid, Diff, Time){
    WhoSaidThat_CloseMenu(); 
    var agt=navigator.userAgent.toLowerCase();
    var is_ie = ((agt.indexOf("msie") != -1) && (agt.indexOf("opera") == -1));
    if(is_ie){
        var LargeurEcran = parseInt(screen.width);
        var HauteurEcran = parseInt(screen.height);
    }else{
        var LargeurEcran = parseInt(window.innerWidth);
        var HauteurEcran = parseInt(window.innerHeight);
    }
 
    var Menu = document.createElement('div');
    Menu.id='WhoSaidThat_Menu';
    Menu.className ='WhoSaidThat_Menu';
    Menu.style.position='fixed';
    Menu.style.zIndex= 500;
    Menu.style.padding='5px';
    Menu.style.backgroundColor='white';
    Menu.style.border='3px double black';
    Menu.style.width= '450px';
    Menu.style.height= '120px';
    document.body.appendChild(Menu);
    PositionGauche = parseInt((LargeurEcran-Menu.clientWidth)/2) ;
    PositionHaut = parseInt((HauteurEcran-Menu.clientHeight)/3) ;
    Menu.style.left=PositionGauche + 'px';
    Menu.style.top=PositionHaut + 'px';
 
    var MenuContent = ''
    + '<center>'
    + '« '+WhoSaidThat_Text+' »'
    + '<br />'
    + User + "le " + Time
    + '&nbsp'
    + '(<a href="' + wgServer + wgScript + '?title=' + wgPageName + '&diff=' + Diff + '&oldid=' + Oldid + '">diff</a>)'
    + '</center>'
    + '<br />'
    + '<br />'
    + '<center>'
    + '<input id="WhoSaidThat_NextInput" type="button" style="cursor:pointer;" '
    + ' value="'+WhoSaidThat_Text_PopButtonNextText+'" title="'+WhoSaidThat_Text_PopButtonNextTitle+'" '
    + ' onclick="WhoSaidThat_SearchMatches('+(position+1)+');" onselect="WhoSaidThat_SearchMatches('+(position+1)+');"/>'
    + '&nbsp;&nbsp;'
    + '<input type="button" style="cursor:pointer;" '
    + ' value="'+WhoSaidThat_Text_PopButtonCancelText+'" title="'+WhoSaidThat_Text_PopButtonCancelTitle+'" '
    + ' onclick="WhoSaidThat_CloseMenu();" onselect="WhoSaidThat_CloseMenu();"/>'
    + '</center>'
 
    Menu.innerHTML = MenuContent;
    document.getElementById("WhoSaidThat_NextInput").focus();
}

var WhoSaidThat_Text_PopButtonNextText = "Révision suivante";
var WhoSaidThat_Text_PopButtonNextTitle = "Révision suivante";

var WhoSaidThat_Text_PopButtonCancelText = "Annuler";
var WhoSaidThat_Text_PopButtonCancelTitle = "Annuler";

function WhoSaidThat_CloseMenu(){
    var OldMenu = document.getElementById('WhoSaidThat_Menu');
    if(OldMenu) OldMenu.parentNode.removeChild(OldMenu);

}

function WhoSaidThat_ManageTimeStamp(TimeStamp){
     if(!TimeStamp) return false;
     var DateUgly = TimeStamp.replace(/Z/g, "").split("T")[0];
     var Time = TimeStamp.split("T")[1].replace(/Z/g, "");
     var Date = DateUgly.split("-");
     var Year = Date[0];
     var Month = Date[1];
     var Day = Date[2];
     var Text = Day + "/" + Month + "/" + Year + " à " + Time;
     return Text;
}