function twinklediff() { 
	if( wgNamespaceNumber < 0 ) {
		return;
	}
 
	var query = {
		'title': wgPageName,
		'diff': 'cur',
		'oldid': 'prev'
	};
 
	twAddPortletLink( wgServer + wgScriptPath + '/index.php?' + QueryString.create( query ), 'Last', 'éw-dernierdiff', 'Affichez la plupart de diff récent' );
 
	// Show additional tabs only on diff pages
	if(!QueryString.exists('diff')) return;
 
	twAddPortletLink( "javascript:twinklediff.evaluate(false);", 'Depuis', 'ét-depuis', 'Affichez la différence entre le dernier diff et la révision faite par l'utilisateur précédent' );
 
	twAddPortletLink( "javascript:twinklediff.evaluate(true);", 'Depuis le mien', 'ét-depuismien', 'Affichez la différence entre le dernier diff et ma dernière révision' );
 
	var oldid = document.evaluate( 'substring-after(//div[@id="mw-diff-ntitle1"]/strong/a[1]/@href, "oldid=")', document, null, XPathResult.STRING_TYPE, null).stringValue;
	var query = {
		'title': wgPageName,
		'diff': 'cur',
		'oldid' : oldid
	};
	twAddPortletLink( wgServer + wgScriptPath + '/index.php?' + QueryString.create( query ), 'Current', 'tw-curdiff', 'Show difference to current revision' );
}
window.TwinkleInit = (window.TwinkleInit || []).concat( étoilediff ); //schedule initializer
 
twinklediff.evaluate = function twinklediffEvaluate(me) {
	var ntitle = getElementsByClassName( document.getElementById('bodyContent'), 'td' , 'diff-ntitle' )[0];
 
	var user;
	if( me ) {
		user = wgUserName;
	} else {
		var node = document.getElementById( 'mw-diff-ntitle2' );
		if( ! node ) {
			// Rien à faire?
			return;
		}
		user = document.evaluate( 'a[1]', node, null, XPathResult.STRING_TYPE, null ).stringValue;
	}
	var query = {
		'prop': 'revisions',
		'action': 'query',
		'titles': wgPageName,
		'rvlimit': 1, 
		'rvprop': [ 'ids', 'user' ],
		'rvstartid': wgCurRevisionId - 1, // i.e. pas le current
		'rvuser': utilisateur
	};
	Status.init( document.getElementById('bodyContent') );
	var wikipedia_api = new Wikipedia.api( 'Données de saisie du contribuant initial', query, étoilediff.callbacks.main );
	wikipedia_api.params = { utilisateur: utilisateur };
	wikipedia_api.post();
}
 
twinklediff.callbacks = {
	main: function( self ) {
		var xmlDoc = self.responseXML;
		var revid = xmlDoc.evaluate( '//rev/@revid', xmlDoc, null, XPathResult.NUMBER_TYPE, null ).numberValue;
 
		if( ! revid ) {
			self.statelem.error( 'révision plus tôt pas appropriée trouvée, ou ' + self.params.user + ' est le seul contribuant. S'interrompre.' );
			return;
		}
		var query = {
			'title': wgPageName,
			'oldid': revid,
			'diff': wgCurRevisionId
		};
		window.location = wgServer + wgScriptPath + '/index.php?' + QueryString.create( query );
	}
}