//<pre><nowiki>

/*
** Code nécessaire à l'import des scripts suivants
*/
importScript('Utilisateur:Arkanosis/dateutils.js');
importScript('Utilisateur:Arkanosis/xportlet.js');

/*
** Cette fonction ajoute trois onglets aux pages utilisateur (uniquement) pour voir les contributions, l'editcount et la page de candidature au statut de sysop du propriétaire de la page
** Support : Discussion_utilisateur:Arkanosis
*/
function ongletsUtilisateur()
{
  if (document.title.indexOf('Utilisateur:') != -1 || document.title.indexOf('Discussion utilisateur:') != -1)
  {
    var utilisateur = document.title.replace('Utilisateur:', '').replace('Discussion utilisateur:', '').replace(' - Wikipédia', '').replace('Modification de ', '');
    var editNode = document.getElementById('ca-edit');
    if (!utilisateur || !editNode)
      return;
 
    addPortletLink('p-cactions', '/wiki/Spécial:Contributions/' + utilisateur, 'contributions', 'ca-contrib', 'Voir les contributions de l\'utilisateur', 'o', editNode);
    addPortletLink('p-cactions', 'http://toolserver.org/~soxred93/count/index.php?name=' + utilisateur + '&lang=fr&wiki=wikipedia', 'editcount', 'ca-ecount', 'Voir l\'editcount de l\'utilisateur', 'n', editNode);
    addPortletLink('p-cactions', 'http://fr.wikipedia.org/wiki/Wikipédia:Administrateur/' + utilisateur, 'admin', 'ca-admin', 'Voir la candidature de l\'utilisateur', 'a');
  }
}
addOnloadHook(ongletsUtilisateur);

/*
** Cette fonction ajoute de nouveaux liens au menu de gauche qui sont utiles pour un contributeur régulier
** Compatibilité : frwiki uniquement
** Support : Discussion_utilisateur:Arkanosis
*/
function liensUtiles()
{
  var hasardNode = document.getElementById('n-randompage');
  if (!hasardNode)
    return;
 
  addPortletLink('p-navigation', '/wiki/Wikipedia:Annonces', 'Annonces', 'n-annonces', 'Annonces', 'a', hasardNode);
  addPortletLink('p-navigation', '/wiki/Wikipedia:Le Bistro/' + today(), 'Bistro du jour', 'n-bistro', 'Bistro du jour', 'b', hasardNode);
  addPortletLink('p-navigation', '/wiki/Wikipedia:Le Bistro/' + yesterday(), 'Bistro de la veille', 'n-bistro-v', 'Bistro de la veille', 'v', hasardNode);
  addPortletLink('p-navigation', '/wiki/Wikipédia:Requête aux administrateurs', 'Requête aux administrateurs', 'n-ra', 'Requête aux administrateurs', 'r', hasardNode);
 
  newPortlet('column-one', 'p-proj', 'Projets', 'p-coll-create_a_book');
  addPortletLink('p-proj', '/wiki/Portail:Amérique précolombienne', 'Précolompédia', 'j-précol', 'Précolompédia');
  addPortletLink('p-proj', '/wiki/Spécial:Suivi_des_liens/Catégorie:Portail:Amérique_précolombienne/Articles_liés', 'Liste de suivi', 'j-suivi', 'Liste de suivi');
  addPortletLink('p-proj', '/wiki/Projet:Amérique précolombienne/Articles récents', 'Articles récents', 'j-récents', 'Précolompédia');
 
  newPortlet('column-one', 'p-rc', 'Patrouille RC', 'p-coll-create_a_book');
  addPortletLink('p-rc', '/wiki/Wikipédia:Patrouille_RC', 'Patrouille RC', 'r-patrouille', 'Patrouille RC'); 
  addPortletLink('p-rc', '/wiki/Utilisateur:EDUCA33E/LiveRC', 'Live RC', 'r-live', 'Live RC'); 
  addPortletLink('p-rc', '/w/index.php?limit=50&tagfilter=&title=Spécial%3AContributions&contribs=newbie&target=&namespace=0&year=&month=-1', 'RC noob', 'r-noob', 'RC noob'); 
  addPortletLink('p-rc', '/w/index.php?namespace=0&hideliu=1&title=Spécial%3AModifications+récentes', 'RC IP', 'r-ip', 'RC IP'); 
  addPortletLink('p-rc', '/wiki/Spécial:Nouvelles_pages', 'Nouvelles pages', 'r-newpage', 'Nouvelles pages');
  addPortletLink('p-rc', '/wiki/Spécial:Journal/newusers', 'Nouveaux utilisateurs', 'r-nuser', 'Nouveaux utilisateurs');
 
  newPortlet('column-one', 'p-conf', 'Configuration', 'p-coll-create_a_book');
  addPortletLink('p-conf', '/wiki/Spécial:Préférences', 'Préférences', 'c-pref', 'Préférences');
  addPortletLink('p-conf', '/wiki/Spécial:Ma_page/monobook.js', 'monobook.js', 'c-js', 'monobook.js');
  addPortletLink('p-conf', '/wiki/Spécial:Ma_page/monobook.css', 'monobook.css', 'c-css', 'monobook.css');
  addPortletLink('p-conf', '/wiki/Spécial:Ma_page/LiveRCparam.js', 'LiveRC', 'c-live', 'LiveRC');
  addPortletLink('p-conf', '/wiki/Spécial:Ma_page/Editcounter', 'Editcounter', 'c-editcount', 'Editcounter');
}
addOnloadHook(liensUtiles);

/*
** Cette fonction retire les liens du menu de gauche qui sont inutiles pour un contributeur régulier
** Compatibilité : frwiki uniquement
** Support : Discussion_utilisateur:Arkanosis
*/
function liensInutiles()
{
  // Barre du haut
  removePortletLink('p-personal', 'pt-optin-try'); // Essayer la bêta Açai
  removePortletLink('p-personal', 'pt-preferences'); // Préférences
 
  // Navigation
  removePortletLink('p-navigation', 'n-thema'); // Portails thématiques
  removePortletLink('p-navigation', 'n-alphindex'); // Index alphabétique
  removePortletLink('p-navigation', 'n-contact'); // Contacter Wikipédia
   
  // Contribuer
  removePortlet('p-Contribuer');
}
addOnloadHook(liensInutiles);

//Ne pas changer de page après avoir marqué vérifié (sur une page de diff uniquement)
importScript('Utilisateur:Arkanosis/xpatrol.js');

// Ajoute un lien vers les statistiques de visite d'une page : http://stats.grok.se/ (pour tous)
loadJS('[[Utilisateur:Leag/traffic.js]]');

// Ajoute de la couleur aux historiques (pour tous)
loadJS('[[Utilisateur:GôTô/objects.js]]');
loadJS('[[Utilisateur:Dake/monobook.js/deluxehistory.js]]');
//loadJS('[[Utilisateur:Dake/monobook.js/deluxehistory_noajax.js]]');

// Onglet purger (OngletPurge) (pour tous) (voir [[Special:Gadgets]])
//loadJS('[[Utilisateur:Leag/purger.js]]'); 

// Correction d'orthographe (pour tous)
//loadJS('[[Utilisateur:Leag/ortho.js]]');

// Ajout de boutons pour le résumé des modifs (ResumeDeluxeModif) (pour tous)
loadJS('[[Utilisateur:Leag/resume.js]]');

// Ajout de boutons de révocations des modifications (pour les non-admin)
//loadJS('[[Utilisateur:Leag/godmode.js]]');

//Ajout d'une comparaison des heures de contributions de plusieurs utilisateurs (pour tous)
obtenir("FusionContribs");

// Ajoute un onglet Editcount sur la page de contribution d'un utilisateur (pour tous)
loadJS('[[Utilisateur:Leag/editcount.js]]');

// Ajoute un onglet Copyscape (pour tous)
//loadJS('[[Utilisateur:Leag/plagiat.js]]');

// Ajoute un lien Importer sur Commons (pour tous)
//loadJS('[[Utilisateur:Leag/impcommons.js]]');

// Remplace la boîte de recherche par une plus complète avec des raccourcis (pour tous)
//obtenir("AdvancedResearch");

// Ajoute un onglet pour éditer la section 0 (pour tous) (voir [[Special:Gadgets]])
//obtenir("EditZeroth");

///////////////////////////////////
function addToSummary(str)
{
document.editform.wpSummary.value += " " + str
}
function DeluxeSummary()
{
var sumLbl = document.getElementById("wpSummaryLabel")
if (sumLbl)
{
//élargissement boite de résumé
var sumInput = document.getElementById("wpSummary")
sumInput.style.width = "100%"
 
var titles = new Array()
titles.push("+")
titles.push("zut")
titles.push("langue")
titles.push("style")
titles.push("typo")
titles.push("indent")
titles.push("MeP")
titles.push("wikif")
titles.push("corr lien")
titles.push("neutre")
titles.push("+biblio")
titles.push("+réf")
titles.push("+portail précolom")
 
var inputs = new Array()
inputs.push(" + petite précision")
inputs.push(" + correction de coquille (prévisualiser, prévisualiser!)")
inputs.push(" + correction d'erreur linguistique")
inputs.push(" + reformulation stylistique")
inputs.push(" + correction typographique")
inputs.push(" + correction de l'indentation")
inputs.push(" + mise en page")
inputs.push(" + wikification")
inputs.push(" + correction de lien erroné")
inputs.push(" + neutralisation")
inputs.push(" + complément bibliographique")
inputs.push(" + ajout de référence en note de bas de page")
inputs.push(" + portail Amérique précolombienne")

var str = ""
for (var cpt = 0; cpt < titles.length; cpt ++)
{
str += "<a href=\"javascript:addToSummary('" + inputs[cpt] + "')\""
+ " class=\"sumLink\" title=\"Ajouter '" + inputs[cpt] +"' dans la boîte de résumé\">"
+ titles[cpt]
+ "&nbsp;&middot;</a> "
}
sumLbl.innerHTML = str + "<br />" + sumLbl.innerHTML
}
}
 
addOnloadHook(DeluxeSummary)
// Installe wikEd pour l'édition des pages (pour tous)

var wikEdDiffPreset = false;
var wikEdRegExTypoFix = true;
//var wikEdRegExTypoFixURL = 'http://fr.wikipedia.org/wiki/Wikipédia:AutoWikiBrowser/Typos?action=raw';

// install the French translation for [[en:User:Cacycle/wikEd]]
document.write('<script type="text/javascript" src="'
+ 'http://en.wikipedia.org/w/index.php?title=User:Leag/wikEd-fr.js'
+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');

// install [[User:Cacycle/diff]] text diff code
document.write('<script type="text/javascript" src="'
+ 'http://en.wikipedia.org/w/index.php?title=User:Cacycle/diff.js'
+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');

// install [[User:Pilaf/Live_Preview]] page preview tool
document.write('<script type="text/javascript" src="'
+ 'http://en.wikipedia.org/w/index.php?title=User:Pilaf/livepreview.js'
+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');

// install [[User:Cacycle/wikEd]] editing page extension
document.write('<script type="text/javascript" src="'
+ 'http://en.wikipedia.org/w/index.php?title=User:Cacycle/wikEd.js'
+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');

// Navigation Pop-ups
loadJS('[[Utilisateur:Leag/popups-strings-fr.js]]');

document.write('<script type="text/javascript" src="' 
            + 'http://en.wikipedia.org/w/index.php?title=User:Lupin/popups.js' 
             + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');

popupAdminLinks=true;
popupFixRedirs=true;
popupWatchRedirredPages=true;
popupFixDabs=true;
popupDabRegexp = '([{][{]\\s*homonymie|homonymie\\s*[}][}])';
popupImages=false;
popupHideDelay=0.1;
// popupInitialWidth=400;
// popupMaxWidth=400;

// Fonction pour charger un js
function loadJS(page){
  page=page.replace(/^\[\[(.*)\]\]$/, '$1');
  document.write('<script type="text/javascript" src="' +
                 'http://fr.wikipedia.org/w/index.php?title=' + page +
                 '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
}

// Active LiveRC (pour tous)
loadJs('Utilisateur:EDUCA33E/LiveRC.js');

// Évaluation des articles (pour tous)
//loadJs('Utilisateur:Maloq/Evaluation.js'); //le script
 
//var alwaysEval = false; //mettez cette valeur à true si vous voulez que l'evaluation soit lancée automatiquement (à éviter en temps normal)
//function initEvalProjectNames()
//{
//        evalProjectNames=new Array("Précolompédia"); //liste de vos projets
//        evalProjectNames.push("Précolompédia") //mettre ici autant de ligne comme celle ci que de projet que vous voulez évaluer
//}

obtenir("EvalProject");
 
function ajoutEvalProject() {
   evalProjectButtons=Array();
   evalProjectNames=Array();
with (evalProjectButtons) {
   push("http://upload.wikimedia.org/wikipedia/commons/7/73/Inca_Logo.png");
}
 
with (evalProjectNames) {
  push("Précolompédia");
}
}

importScript('Utilisateur:Dr Brains/OuvrageArticle.js');

importScript("Utilisateur:Romainhk/DemandeDeTraductionFacile.js");

obtenir('RenommageCategorie');

//</nowiki></pre>