<!-- Importation sur Commons simplifiée -->
function PaletteOutils() 
{
  var a = document.getElementById("p-tb");
  if (a) 
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    {
      b[0].innerHTML = b[0].innerHTML
      + '<li><span id="n-bistro" title="http://commons.wikimedia.org/wiki/Special:Upload">'
      + '<a href="http://commons.wikimedia.org/wiki/Special:Upload">'
      + 'Importer une image ou un son sur Commons</a></span> </li>'
    }
  }
}

/**
 * Historique amélioré
 *
 * Indique le nombre de caractères ajoutés/supprimés à la place de la taille de la version,
 * comme pour la Liste de suivi ou les Modifications récentes.
 *
 * Auteur : The RedBurn
 *
 * Date de dernière révision : 21 mai 2007
 */
 
function getNumFromString (i,eltsByTag) {
  var regString = /\((.*) bytes\)/;
  var resultString;
  var string = eltsByTag.item(i).innerHTML;
  var separator = /[^0-9]/g;
  var empty = "(empty)";
 
  if(wgUserLanguage == "fr")
  {
    regString = /\((.*) octets\)/;
    empty = "(vide)";
  }
 
  if(string==empty)
    string=0;
  else {
    resultString= regString.exec(string);
    string = resultString[1].replace(separator,"");
    string = parseInt(string );
  }
  return string;
}
 
function makeNumDiff() {
  var string;
  var resultPrevString = 0; // précédent dans l'ordre chronologique
  var resultNextString = 0;
  var className;
  var lastI = 0;
  var i = 0;
  var eltsByTag = document.getElementsByTagName("span");
  var length = eltsByTag.length;
 
  while(i<length && eltsByTag.item(i).className != "history-size")
    i++;
 
  if(i<length) {
    resultNextString = getNumFromString(i,eltsByTag);
    lastI = i;
    i++;
 
    while (i<length) {
      if (eltsByTag.item(i).className == "history-size"){
 
        resultPrevString = getNumFromString(i,eltsByTag);
 
        string = resultNextString - resultPrevString;
 
        if (string>0) {
          className = "mw-plusminus-pos";
          string = "+" + string;
        }
        else
          if (string<0)
            className = "mw-plusminus-neg";
          else
            className = "mw-plusminus-null";
 
        if (string<-500)
          string = "<strong>" + "(" + string + ")" + "</strong>";
        else
          string = "(" + string + ")";
 
        eltsByTag.item(lastI).innerHTML = string ;
        eltsByTag.item(lastI).className = className;
 
        resultNextString = resultPrevString;
        lastI = i;
      }
      i++;
    }
  }
}
if(wgAction && wgAction == "history")
  addOnloadHook(makeNumDiff);
     
addLoadEvent(PaletteOutils);

<!-- LIENS GAUCHE/BOITE PERSO -->
      function addLoadEvent(func) 
      {
         if (window.addEventListener) {
             window.addEventListener("load", func, false);
         } else if (window.attachEvent) {
             window.attachEvent("onload", func);
         }
      }
 
      function nouvelleBoite() {
        var l = document.getElementById("column-one");
        if (l) {
          l.innerHTML = l.innerHTML
          + '<div class="portlet" id="p-nbx">'
          + ' <h5>Boîte perso</h5>'
          + ' <div class="pBody">'
          + '   <ul>'
          + '     <li><a href="http://fr.wikipedia.org/wiki/Aide:Formules_TeX">LaTex</a></li>'
          + '     <li><a href="http://fr.wikipedia.org/wiki/Aide:Espace_référence">Référence</a></li>'
          + '     <li><a href="http://fr.wikipedia.org/wiki/Aide:Insérer_une_image">Image</a></li>'
          + '     <li><a href="http://fr.wikipedia.org/wiki/Projet:Physique">Porjet physique</a></li>'
          + '     <li><a href="http://fr.wikipedia.org/wiki/Projet:Physique/Coin_café_du_labo">Café</a></li>'
          + '     <li><a href="http://fr.wikipedia.org/wiki/Wikipédia:Le_Bistro">Bistrot</a></li>'
          + '     <li><a href="http://fr.wikipedia.org/w/index.php?namespace=&target=Modèle%3APortail+physique&showlinkedto=1&limit=500&title=Special%3ASuivi+des+liens">Recent Change</a></li>'
          + '   </ul>'
          + ' </div>'
          + '</div> ';
        }
      }
      addLoadEvent(nouvelleBoite);