function nouvelÉlément(nom) {
    return document.createElement(nom);
}
function nouvelElément(nom) {
    return nouvelÉlément(nom);
}
function nouveauTexte(texte) {
    return document.createTextNode(texte);
}
function nouvelAttribut(nom) {
    return document.createAttribute(nom);
}
 
function nouveauLien(href,label) {
    var a = nouvelÉlément("a");
    var h = nouvelAttribut("href");
    h.value = href;
    a.setAttributeNode(h);
    a.title = label;
    a.appendChild(nouveauTexte(label));
    return a;
}
 
function nouveauLienEncapsulé(href,label) {
    var li = nouvelÉlément("li");
    li.appendChild(nouveauLien(href,label));
            return li;
}
 
function $(id) {
    if(document.getElementById)
        return document.getElementById(id);
    if(document.all)
        return document.all[id];
    return false;
}
 
function $$(name,obj) {
    if (!obj) var obj = document;
    return obj.getElementsByTagName(name);
}

function p_personal() {
    var ul = $$( "ul", $("p-personal") )[0];
    var li = nouveauLienEncapsulé("/wiki/Utilisateur:Flo/vector.css","Vector.css");
    ul.appendChild(li);
    li = nouveauLienEncapsulé("/wiki/Utilisateur:Flo/vector.js","Vector.js");
    ul.appendChild(li);
    li = nouveauLienEncapsulé("/wiki/Utilisateur:Flo/Tests","Tests");
    ul.appendChild(li);
}
addLoadEvent(p_personal);

function tex(){
    var images = $$("img");
    for each(var i in images) {
        if( !i.className || i.className != "tex" ) continue;
        i.title = i.alt;
    }
}
addLoadEvent(tex);


// Tableau des boutons
var regexpButtons = [];
 
/**
 * Ajout d'un bouton à la toolbar d'édition
 * inspirée de insertButton()
 * @param title : titre de la fonction
 * @param image : source de l'image à afficher
 * @param code: javascript à exécuter lors du click sur le bouton
 *
function ajouteBouton(image, titre, code, codeAlt, codeMaj) {
	if(!image) image = "http://upload.wikimedia.org/wikipedia/commons/e/ec/Button_base.png";
	regexpButtons[regexpButtons.length] =
		{titre: titre, image: image, code: code, codeMaj: codeMaj, codeAlt: codeAlt};
}

	addCustomButton('http://upload.wikimedia.org/wikipedia/commons/5/52/Button_grec.png',
		'Math','{{math|§=','}}','','');
 		//http://upload.wikimedia.org/wikipedia/commons/f/f5/Button_l_ln.png
 
	ajouteBouton("http://upload.wikimedia.org/wikipedia/commons/5/59/Button_replace.png", 
		"Remplacer","remplacer(false)","remplacer(true)");
 
	ajouteBouton("http://fr.wikipedia.org/skins-1.5/common/images/button_math.png", 
		"Remplacer dans/hors <math/>",
"lastPattern = '(?=(?:[^<]|<(?!math>|\\/math>))*<\\/math>)'; remplacer()",
"lastPattern = '(?!(?:[^<]|<(?!math>|\\/math>))*<\\/math>)'; remplacer()");
 
	ajouteBouton("http://upload.wikimedia.org/wikipedia/commons/7/72/Button_span_2.png", 
		"Remplacer une balise", "lastPattern = '<sub>((?:[^<]|<(?!/sub>))*)</sub>'; remplacer();");
 
	ajouteBouton("http://upload.wikimedia.org/wikipedia/commons/1/12/Button_find.png",
		"Chercher/compter", "chercher(false)", "chercher(true)");
 
	ajouteBouton("http://upload.wikimedia.org/wikipedia/commons/0/03/Button_paragraphe_1.png",
		"Insérer 1",
		"insertTags(left1,right1,def1)",
		"left1 = prompt('Gauche :',left1); right1 = prompt('Droite :',right1); def1 = prompt('Défaut :',def1)");
 
	ajouteBouton('http://upload.wikimedia.org/wikipedia/commons/5/5f/Button_center.png',
		'Centrer/avec saut de ligne',
		"insertTags('<center>','</center>')","insertTags('\\n<center>','</center>\\n')");
 
	ajouteBouton('http://upload.wikimedia.org/wikipedia/commons/2/26/Button_latinas.png',
		'Guillemets/Nettoyer la ponctuation', 'insertTags("« "," »","")','ponctuation()');
		// http://upload.wikimedia.org/wikipedia/commons/4/4d/Button_quotes.png
 
	ajouteBouton("http://upload.wikimedia.org/wikipedia/commons/8/8e/Button_shifting.png",
		"Indenter/Désindenter",
		"regexpReplace(/\\n/g,'\\n:');", "regexpReplace(/\\n:/g,'\\n')");
 
	ajouteBouton("http://upload.wikimedia.org/wikipedia/commons/6/66/Button_mort.png", 
		"Centrer les équations",
"regexpReplace(/\\n(?::\\s*)?(<math>(?:[^<]|<(?!\\/math>))*<\\/math>[^\\n]*)/g, '\\n<center>$1</center>');");
		// http://upload.wikimedia.org/wikipedia/commons/f/ff/Button_arrow_right.png
 
	ajouteBouton("http://upload.wikimedia.org/wikipedia/commons/4/4e/Button_romain.png",
		"Différentielles",
		"insertTags('\x5C\x5Cmathrm','','');",
		"regexpReplace(/([^a-z\\\\])(d)(?=(?:[^<]|<(?!math>|\\/math>))*<\\/math>)/ig, '$1\x5C\x5Cmathrm $2'); regexpReplace(/\\\\mathrm\\s*\\\\mathrm/ig,'\x5C\x5Cmathrm');");
		// http://upload.wikimedia.org/wikipedia/commons/2/2e/Button_broom.png
 
	ajouteBouton("http://upload.wikimedia.org/wikipedia/commons/c/c7/Button_polytonique.png",
		"Italique2TeX (un/plusieurs caractères)",
 		"regexpReplace(/([^'])''([^'])''([^'])/ig,'$1<math>$2</math>$3')",
 		"regexpReplace(/''(([^']|[^']'[^'])*)''/ig,'<math>$1</math>')");
 
	ajouteBouton("http://upload.wikimedia.org/wikipedia/commons/6/6a/Button_sup_letter.png",
		"HTML2TeX", "HTML2TeX(false)", "HTML2TeX(true)");


if((wgAction=="edit" || wgAction=="submit") && typeof js2AddOnloadHook=="function") js2AddOnloadHook( function ()
{
    var tb = document.getElementById('wikiEditor-ui-toolbar');
    if(!tb) return;
 
    var fils = tb.firstChild;
    if(!fils || fils.className != "toolbar section section-main") return;
    var n_div = document.createElement('div');
 
    n_div.className = "group group-insert"
    fils.appendChild(n_div);
 
    for (var i = 0; i < mwCustomEditButtons.length; i++) {
        mwInsertEditButton(n_div, mwCustomEditButtons[i]);
    } 
});
*/
/* http://brightbyte.de/repos/xskin/common//ajaxwatch.js?view=1
// dependencies:
// * ajax.js:
//   *extern sajax_init_object, sajax_do_call
// * wikibits.js:
// *extern changeText, akeytt, hookEvent

// These should have been initialized in the generated js
// extern wgAjaxWatch, wgArticleId

if(typeof wgAjaxWatch === "undefined" || !wgAjaxWatch) {
        var wgAjaxWatch = {
                watchMsg: "Watch",
                unwatchMsg: "Unwatch",
                watchingMsg: "Watching...",
                unwatchingMsg: "Unwatching..."
        };
}

wgAjaxWatch.supported = true; // supported on current page and by browser
wgAjaxWatch.watching = false; // currently watching page
wgAjaxWatch.inprogress = false; // ajax request in progress
wgAjaxWatch.timeoutID = null; // see wgAjaxWatch.ajaxCall
wgAjaxWatch.watchLink1 = null; // "watch"/"unwatch" link
wgAjaxWatch.watchLink2 = null; // second one, for (some?) non-Monobook-based
wgAjaxWatch.oldHref = null; // url for action=watch/action=unwatch

wgAjaxWatch.setLinkText = function(newText) {
        changeText(wgAjaxWatch.watchLink1, newText);
        if (wgAjaxWatch.watchLink2) {
                changeText(wgAjaxWatch.watchLink2, newText);
        }
};

wgAjaxWatch.setLinkID = function(newId) {
        wgAjaxWatch.watchLink1.id = newId;
        akeytt(newId); // update tooltips for Monobook
};

wgAjaxWatch.ajaxCall = function() {
        if(!wgAjaxWatch.supported || wgAjaxWatch.inprogress) {
                return;
        }
        wgAjaxWatch.inprogress = true;
        wgAjaxWatch.setLinkText(wgAjaxWatch.watching ? wgAjaxWatch.unwatchingMsg : wgAjaxWatch.watchingMsg);
        jQuery.ajax({url: wgScriptPath + '/api.php' ,data:'action=watch&format=json&title=' + wgArticleId + (wgAjaxWatch.watching ? "&unwatch" : ""), success:wgAjaxWatch.processResult})
        // if the request isn't done in 10 seconds, allow user to try again
        wgAjaxWatch.timeoutID = window.setTimeout(function() { wgAjaxWatch.inprogress = false; }, 10000);
        return;
};

wgAjaxWatch.processResult = function(request) {
        if(!wgAjaxWatch.supported) {
                return;
        }
        var response = request.responseText;
        if(response == "<err#>") {
                window.location.href = wgAjaxWatch.oldHref;
                return;
        } else if(response == "<w#>") {
                wgAjaxWatch.watching = true;
                wgAjaxWatch.setLinkText(wgAjaxWatch.unwatchMsg);
                wgAjaxWatch.setLinkID("ca-unwatch");
                wgAjaxWatch.oldHref = wgAjaxWatch.oldHref.replace(/action=watch/, "action=unwatch");
        } else if(response == "<u#>") {
                wgAjaxWatch.watching = false;
                wgAjaxWatch.setLinkText(wgAjaxWatch.watchMsg);
                wgAjaxWatch.setLinkID("ca-watch");
                wgAjaxWatch.oldHref = wgAjaxWatch.oldHref.replace(/action=unwatch/, "action=watch");
        }
        wgAjaxWatch.inprogress = false;
        if(wgAjaxWatch.timeoutID) {
                window.clearTimeout(wgAjaxWatch.timeoutID);
        }
        return;
};

wgAjaxWatch.onLoad = function() {
        var el1 = document.getElementById("ca-unwatch");
        var el2 = null;
        if (!el1) {
                el1 = document.getElementById("mw-unwatch-link1");
                el2 = document.getElementById("mw-unwatch-link2");
        }
        if(el1) {
                wgAjaxWatch.watching = true;
        } else {
                wgAjaxWatch.watching = false;
                el1 = document.getElementById("ca-watch");
                if (!el1) {
                        el1 = document.getElementById("mw-watch-link1");
                        el2 = document.getElementById("mw-watch-link2");
                }
                if(!el1) {
                        wgAjaxWatch.supported = false;
                        return;
                }
        }

        if(!wfSupportsAjax()) {
                wgAjaxWatch.supported = false;
                return;
        }

        // The id can be either for the parent (Monobook-based) or the element
        // itself (non-Monobook)
        wgAjaxWatch.watchLink1 = el1.tagName.toLowerCase() == "a" ? el1 : el1.firstChild;
        wgAjaxWatch.watchLink2 = el2 ? el2 : null;

        wgAjaxWatch.oldHref = wgAjaxWatch.watchLink1.getAttribute("href");
        wgAjaxWatch.watchLink1.setAttribute("href", "javascript:wgAjaxWatch.ajaxCall()");
        if (wgAjaxWatch.watchLink2) {
                wgAjaxWatch.watchLink2.setAttribute("href", "javascript:wgAjaxWatch.ajaxCall()");
        }
        return;
};

hookEvent("load", wgAjaxWatch.onLoad);
*/
/*
***************************************************************************
** ManWatch - possibilité de retirer un article de la liste de suivi
** directement depuis celle-ci
** Compatibilité : mediawiki
** Support : Discussion_utilisateur:Arkanosis
** Licence : MIT/X11
**
** Installation : ajouter
**  importScript('User:Arkanosis/ManWatch.js');
** dans le monobook.js ou vector.js
*/
 
function manWatchUnwatched(data)
{
  alert(data.watch.message);
}
 
function manWatchUnwatch(pageName)
{
        jQuery.ajax({url: wgScriptPath + '/api.php' , data:'action=watch&format=json&title=' + pageName + '&unwatch', success:manWatchUnwatched});
        return false;
}
 
function manWatch()
{
  if (wgPageName == 'Spécial:Liste_de_suivi')
  {
    var links = document.getElementsByTagName('a');
    for (var linkId = 0; linkId < links.length; ++linkId)
    {
      var link = links[linkId];
      if (link.text == 'hist')
      {
        var del = document.createElement('a');
        var pageName = link.getAttribute('href').replace(/.*?title=(.+?)&.*/, '$1');
        del.onclick = function(){manWatchUnwatch(pageName)};
        del.innerHTML = 'suppr';
        link.parentNode.insertBefore(del, link.nextSibling);
        link.parentNode.insertBefore(document.createTextNode(' | '), del);
      }
    }
  }
}
 
addOnloadHook(manWatch);

// http://www.mediawiki.org/wiki/Extension:WikiEditor/Toolbar_customization
// http://svn.wikimedia.org/viewvc/mediawiki/trunk/extensions/WikiEditor/modules/jquery.wikiEditor.toolbar.config.js?view=markup

var vectorButtons = []
var i = 0;
                // To add a booklet section:
vectorButtons[i++] = {
                        'sections': {
                                'typo': {
                                        'type': 'booklet',
                                        'label': 'Typo'
                                }
                        }
};
 
                // To add a special characters page
vectorButtons[i++] = {
                        'section': 'typo',
                        'pages': {
                                'typo': {
                                        'layout': 'characters',
                                        'label': 'Typo',
                                        'characters': [
            {label: '\x5Cmathrm', labelMsg: 'différentielles',
            action: {
                type: 'encapsulate',
                options: {pre: "\x5Cmathrm ", peri:"", post: "", regex:/([^a-z\\])(d)(?=(?:[^<]|<(?!math>|\/math>))*<\/math>)/ig, regexReplace:'$1\x5Cmathrm $2'}
            }},
            {label: '{{math}}',
            action: {
                type: 'encapsulate',
                options: {pre: "{{math|", peri:"§=", post: "}}"} //options
            }},
            {label: 'code/',
            action: {
                type: 'encapsulate',
                options: {pre: "<code>", peri:"", post: "</code>"} //options
            }},
            {label: 'center/', labelMsg: 'centrer les équations',
            action: {
                type: 'encapsulate',
                options: {pre: "<center>", peri:"", post: "</center>", ownline:true, regex:/\n(?::\s*)?(<math>(?:[^<]|<(?!\/math>))*<\/math>[^\n]*)/g, regexReplace:'\n<center>$1</center>'} //options
            }},
            {label: 'math/',
            action: {
                type: 'encapsulate',
                options: {pre: "<math>", peri:"", post: "</math>", regex:/''(([^']|[^']'[^'])*)''/ig, regexReplace:'<math>$1</math>' } //options
            }},
            {label: '« »',
            action: {
                type: 'encapsulate',
                options: {pre: "« ", peri:" ", post: " »", regex:/([ ,;.:])"([^"]+)"/g, regexReplace:"$1« $2 »" } //options "
            }},
            {label: '-',
            action: {
                type: 'encapsulate',
                options: {pre: " - ", peri:"", post: "", regex:/ - (?!(?:[^<]|<(?!math>|\/math>))*<\/math>)/g, regexReplace:" — " }
            }},
            {label: 'alert', action: { type: 'callback', execute: listProp }},
            {label: 'sub/',
            action: {
                type: 'replace',
                options: {regex:/<sub>((?:[^<]|<(?!\/sub>))*)<\/sub>/ig, regexReplace:"_{$1}"} //
            }},
            {label: 'sup/',
            action: {
                type: 'replace',
                options: {regex:/<sup>((?:[^<]|<(?!\/sup>))*)<\/sup>/ig, regexReplace:"^{$1}"} //options
            }}
] // characters
                                } // TeX
                        }
};
function listProp(bar){ var s = "";
    for (i in bar) {
      s = s + "\n" + i + " = " + bar[i];
    }
alert(s);
};

/*
foobar
<math>foo \mathrm dx dydz</math>.bar
bar
*/

if ( typeof $j != 'undefined' && typeof $j.fn.wikiEditor != 'undefined' ) {
//    $j(document).ready( function() {
addOnloadHook( function() {
        for (var i = 0; i < vectorButtons.length; i++) {
            $j( '#wpTextbox1' ).wikiEditor( 'addToToolbar', vectorButtons[i] );
        } 
    } );//function
}//if