/* <pre><nowiki> */
// ============================================================================================
// Interface à gauche
// Auteur : ?
// ============================================================================================

addOnloadHook(function () {
    content = document.getElementById("column-content");    // Find the main content column

    footer = document.getElementById("footer");  // Find the footer
    footer.parentNode.removeChild(footer);    // Remove the footer from the global wrapper
    content.appendChild(footer);    // Place footer at the end of the content column;

    tabs = document.getElementById("p-cactions");   // Find the top tab list
    tabs.parentNode.removeChild(tabs);    // Remove the tab list from the side column
    content.insertBefore(tabs,content.firstChild);    // Place tab list at the beginning of the content column
});






// ============================================================================================
// LiveRC Utilisateur:EDUCA33E/LiveRC/Documentation
// ============================================================================================

loadJs('User:EDUCA33E/LiveRC.js');


// ============================================================================================
// Liens supplémentaires
// ============================================================================================

obtenir('BistroDuJour');

addOnloadHook(function() { addPortletLink('p-tb', 'Utilisateur:GaMip/Presse-papiers', 'Presse-papiers'); });





// ============================================================================================
// Ajoute Lien sur les stat. de consultation d'une page
// Auteur : ?
// ============================================================================================

function addArticleTrafficStatistics()
{
  var histo = document.getElementById("ca-history");
  if(histo)
  {
    var lien = document.createElement("a");
    var today = new Date();
    var annee = today.getYear() + 1900;
    var mois = new String(today.getMonth() + 1);
    if(mois.length < 2)
    {
      mois = "0" + mois;
    }
    lien.setAttribute("href", "http://stats.grok.se/fr/" + annee + mois + "/" + wgPageName);
    lien.setAttribute("title","Statistiques");
    lien.appendChild(document.createTextNode("Stats accès"));
 
    var stats = document.createElement("li");
    stats.setAttribute("id", "ca-stats");
    stats.appendChild(lien);
 
    histo.parentNode.insertBefore(stats, histo.nextSibling);
  }
}
addOnloadHook(addArticleTrafficStatistics);





// ============================================================================================
// Résumé Deluxe - Ajoute des commentaires de modification prédéfinis
// Auteur : Dake
// Contributions : Pabix, Tieno
// Date de dernière révision : 12 novembre 2006
// ============================================================================================

//////////////////////ZONE PERSONNALISABLE//////////////////////
var resumedeluxeTitles = new Array();
with (resumedeluxeTitles)
{
        push("Cor.");
        push("- Interwiki");
        push("- Redirect");
        push("- Ortho");
        push("- Typo");
        push("- Rouges");
        push("- Cat");
        push("- Wikif");
        push("- LienPageOrph");
        push("- PlusOrph");
        push("- LienArtHomo");
        push("- LienPagedesHomo");
        push("- Ebauche");
        push("- Check ]");
        push("- Check =");
        push("- Check ref");
}
var resumedeluxeInputs= new Array();
with (resumedeluxeInputs)
{
        push("Correction ");
        push("Interwiki");
        push("Suppression de redirection");
        push("Orthographe");
        push("Typographie");
        push("Correction de lien rouge");
        push("Catégorisation");
        push("Wikification");
        push("Lien sur page orpheline");
        push("Plus orphelin");
        push("Lien sur article homonyme");
        push("Lien sur page des homonymes");
        push("Bandeau ébauche");
        push("Crochets incorrects");
        push("Niveaux des titres");
        push("Manque <reference />");
}
/////////////////FIN DE LA ZONE PERSONNALISABLE/////////////////

function setSummary(str)
{ document.editform.wpSummary.value = str;
}

function addToSummary(str)
{ var resum = document.editform.wpSummary.value;
  if(resum != 0 && resum.indexOf("*/") < resum.length - 3)
  { document.editform.wpSummary.value += " - ";
  }
  document.editform.wpSummary.value += str;
}

function DeluxeSummary()
{ var sumLbl = document.getElementById("wpSummaryLabel");
  if(sumLbl)
  { var sumInput = document.getElementById("wpSummary");
    sumInput.style.width = "95%";
    var str = "Mess. : ";
    for(var cpt = 0; cpt < resumedeluxeTitles.length; cpt ++)
    { str += "<a href=\"javascript:addToSummary('" +resumedeluxeInputs[cpt] + "')\""
      + " class=\"sumLink\" title=\"Ajouter '" +resumedeluxeInputs[cpt] +"' dans la boîte de résumé\">"
      + resumedeluxeTitles[cpt]
      + "</a> ";
    }
    sumLbl.innerHTML = str + "<br />" + sumLbl.innerHTML;
  }
}

addLoadEvent(DeluxeSummary);





// ============================================================================================
// Barre d'outils d'édition perso
// ============================================================================================

function addCustomButton(imageFile, speedTip, tagOpen, tagClose, sampleText, imageId)
{ mwCustomEditButtons[mwCustomEditButtons.length] =
        {"imageId": imageId,
        "imageFile": imageFile,
        "speedTip": speedTip,
        "tagOpen": tagOpen,
        "tagClose": tagClose,
        "sampleText": sampleText};
}

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/3/30/Btn_toolbar_rayer.png',
                'Texte rayé',
                '<s>','</s>',
                '','ps-editbutton-Texte-raye');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/7/78/Button_head_A2.png',
                'Titre de niveau 2',
                '== ',' ==',
                '','ps-editbutton-Titre-N2');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/b/ba/Button_paragraphe_3.png',
                'Titre de niveau 3',
                '=== ',' ===',
                '','ps-editbutton-Titre-N3');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/b/ba/Search_button_bckg.png','','','','','ps-editbutton-Sep01');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/c/c0/Button_link.png',
                'Lien interne',
                '[[',']]',
                '','ps-editbutton-Lien');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/7/73/External_link_icon.png',
                'Lien externe',
                '* {{fr}} [',']',
                '','ps-editbutton-Lien_externe');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/a/a9/Button_tournesol.png',
                'Image',
                '[[Image:','|thumb|]]',
                '','ps-editbutton-Image');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/9/9e/Btn_toolbar_gallery.png',
                'Galerie d\'images',
                '<gallery>\nImage:','|\n</gallery>',
                'légende','ps-editbutton-Galerie');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/1/11/Btn_toolbar_liste.png',
                'Liste de lien',
                '* [[',']]',
                '','ps-editbutton-Lien-interne');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/e/eb/Button_plantilla.png',
                'Modèle',
                '{{','}}',
                '','ps-editbutton-Modele');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/c/c8/Button_redirect.png',
                'Redirect',
                '#REDIRECT [[',']]',
                '','ps-editbutton-Redirect');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/b/bb/Seealso.png',
                'Voir aussi',
                '== Notes et références ==\n<references />\n\n== Voir aussi ==\n=== Articles connexes ===\n=== Liens externes ===\n','',
                '','ps-editbutton-Voir-aussi');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/b/ba/Search_button_bckg.png','','','','','ps-editbutton-Sep02');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/6/62/Button_desambig.png',
                'Lien sur page des homonymes',
                '{{Voir homonymes|','}}',
                '','ps-editbutton-Lien-page-homonymes');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/4/4c/Button_interprojet.png',
                'Interwiki en',
                '[[en:',']]',
                '','ps-editbutton-Interwiki-en');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/b/b4/Button_category03.png',
                'Catégorisation',
                '[[Catégorie:',']]',
                '','ps-editbutton-Cat');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/b/ba/Search_button_bckg.png','','','','','ps-editbutton-Sep03');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/7/78/Button_titre.png',
                'Bandeau ébauche',
                '{{ébauche|','}}',
                '','ps-editbutton-Bandeau-ebauche');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/d/d9/Button_uncorrect.png',
                'Réf nécessaires',
                '{{Référence nécessaire}}','',
                '','ps-editbutton-Ref-nec');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/b/ba/Search_button_bckg.png','','','','','ps-editbutton-Sep04');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/e/e9/Button_done.png',
                'Page orpheline (Fait)',
                '# [[',']] {{fait}}',
                '','ps-editbutton-Page-o-f');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/a/a5/Button_not_done.png',
                'Page orpheline (Croix)',
                '# [[',']] {{Croix3}}',
                '','ps-editbutton-Page-o-c');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/5/5f/Button_rediriger.png',
                'Lien sur PS liées',
                '* [[Special:Whatlinkshere/','|]]',
                '','ps-editbutton-Page-o-PSL');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/b/ba/Search_button_bckg.png','','','','','ps-editbutton-Sep05');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/1/1c/Button_smiley_face_smile.png',
                'Sourire',
                '{{Sourire}}','',
                '','ps-editbutton-Sourire');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/7/74/Button_oeil.png',
                'Clin d\'œil',
                '{{Clin d\'œil}}','',
                '','ps-editbutton-Clin');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/b/b0/Button_blocage.png',
                'Triste',
                '{{triste}}','',
                '','ps-editbutton-triste');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/b/ba/Button_conserver.png',
                'Pour',
                '{{Pour}}','',
                '','ps-editbutton-Pour');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/f/fc/Button_supp.png',
                'Contre',
                '{{contre}}','',
                '','ps-editbutton-Contre');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/4/4e/Button_neutre.png',
                'Neutre',
                '{{neutre}}','',
                '','ps-editbutton-Neutre');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/6/6d/Button_sig.png',
                'Signature',
                '--\~\~\~\~','',
                '','ps-editbutton-Signature');






// ============================================================================================
// Menu PopUp
// Auteur : en:User:Lupin/popups.js
// Traduction de Utilisateur:Leag/Navigation popups
// ============================================================================================

document.write('<script type="text/javascript" src="' 
+ 'http://fr.wikipedia.org/w/index.php?title=User:Leag/popups-strings-fr.js' 
+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
document.write('<script type="text/javascript" src="'          
+ 'http://en.wikipedia.org/w/index.php?title=User:Lupin/popups.js'       
+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');   

popupHideDelay=0.1;
popupImages=false;
imagePopupsForImages=false;
popupSummaryData=false;





/* </nowiki></pre> */