/* <pre><nowiki> */


/*
https://secure.wikimedia.org/wikipedia/fr /w/index.php?title=
http://fr.wikipedia.org                   /w/index.php?title=
*/

var secure=0;
if (location.href.indexOf('https://secure.wikimedia.org') != -1) {
  secure=1;
}

function getbase(lang, project, projectssl)
{
  if(secure) {
    return('https://secure.wikimedia.org/' + projectssl + '/' + lang);
  } else {
    return('http://' + lang + '.' + project + '.org');
  }
}


/* Prefs */
/*window.addContribLinkNearTalkPageInContributions_editcount = true;*/
/*var oldEditsectionLinks = true;*/

/* Params popups */
popupDabRegexp = '([{][{]\\s*homonymie|homonymie\\s*[}][}]|[{][{]\s*Personnes homonymes\s*[}][}])';
popupStubRegexp ='[{][{]\\s*ébauche';
popupFixRedirs = true;
popupFixDabs = true;
popupOnEditSelection = false;
popupRevertSummaryPrompt = true;


/* Gadgets dans Projet:JavaScript/Liste_des_fonctions_disponibles */
/*obtenir('BistroOracle');*/
obtenir('BistroDuJour');
obtenir('verifHomon');
obtenir('CopyScape');
obtenir('FusionContribs');
obtenir('AddContribNumberInNewPages');
obtenir('AllmessagesDeluxe');


/*var NewMessage_PagesASurveiller = new Array();
NewMessage_PagesASurveiller.push('Discussion Projet:Transports en Île-de-France');
NewMessage_PagesASurveiller.push('Discussion Projet:Chemin de fer');
NewMessage_PagesASurveiller.push('Discussion Projet:Transport en commun/Arrêt de bus');
NewMessage_PagesASurveiller.push('Discussion Projet:Stargate');
NewMessage_PagesASurveiller.push('Discussion Projet:SF');
obtenir('NewMessage');*/


/* Autres */
/*loadJs('Utilisateur:EDUCA33E/LiveRC.js');*/


/* Onglet Stats */
function OngletStats() {
    var today = new Date();
    var year = today.getYear() + 1900;
    var month = new String(today.getMonth() + 1);
    if(month.length < 2)
    {
      month = "0" + month;
    }
    var encodedPageName = encodeURIComponent("http://stats.grok.se/fr/" + year + month + "/" + wgPageName).replace(/%20/g, '_').replace(/%3A/g, ':').replace(/%2F/g, '/');
    addPortletLink(
        'p-cactions',
        encodedPageName,
        'Stats',
        'ca-stats',
        'Statistiques de consultation'
    );
}
if (wgNamespaceNumber >= 0 && (wgAction === 'view' || wgAction === 'purge')) {
    addOnloadHook(OngletStats);
}


/* Onglet Nouvelle section */
function addNewSection() {
  addPortletLink('p-cactions', wgScript + '?title=' + encodeURIComponent(wgPageName) + '&action=edit&section=new', 'Nouvelle section', 'ca-edit-new', '', '', document.getElementById('ca-history'));
  var x = document.getElementById('ca-edit');
  var y = document.getElementById('ca-edit-new');
  if( !x || !y ) return;

  if (x.className == 'selected') {
          if (/&action=edit&section=new$/.test(window.location.href)) {
                  x.className = 'istalk';
                  y.className = 'selected';
          } else {
                  x.className = 'selected istalk';
          }
  } else if (x.className == 'selected istalk') {
          if (/&action=edit&section=new$/.test(window.location.href)) {
                  x.className = 'istalk';
                  y.className = 'selected istalk';
          } else {
                  y.className = 'istalk';
          }
  } else {
          y.className = x.className;
          x.className = 'istalk';
  }
}
if( wgNamespaceNumber >= 0 ) addOnloadHook(addNewSection);


/* Bookmarks */
/*
Fonction pratique pour créer un nouveau menu de lien avant les liens interlangues avec "id" un identifiant html, "title" le titre du bloc et "body" le ul contenant les liens.
*/
function addNavBox(id, title, body) {
    if(skin=="monobook" || skin=="chick" || skin=="myskin" || skin=="simple") {
        var portletClassName = "portlet";
        var pBodyClassName = "pBody";
        var columnId = "column-one";
    } else if(skin=="modern") {
        var portletClassName = "portlet";
        var pBodyClassName = "pBody";
        var columnId = "mw_portlets";
    } else if(skin=="vector") {
        var portletClassName = "portal collapsed";
        var pBodyClassName = "body";
        var columnId = "mw-panel";
    } else {
         return;
    }
    var navBox = document.createElement("div");
    navBox.setAttribute("class", portletClassName);
    navBox.setAttribute("id", id);
    navBox.innerHTML = '<h5>' + title + '</h5><div class="' + pBodyClassName + '">' +  body + '</div>';
    if(document.getElementById("p-lang")) {
        document.getElementById(columnId).insertBefore(navBox, document.getElementById("p-lang"));
    } else {
        document.getElementById(columnId).appendChild(navBox);
    }
}

function addBookmarks() {
  var today = new Date();
  var year = today.getYear() + 1900;
  var month = new String(today.getMonth() + 1);
  if(month.length < 2)
  {
    month = "0" + month;
  }

  if (document.getElementById('p-navigation'))
  {
    addPortletLink('p-navigation', wgArticlePath.split('$1').join('Wikipédia:Requête aux administrateurs'), 'RA', 'n-navRA');
    addPortletLink('p-navigation', wgArticlePath.split('$1').join('Wikipédia:Bulletin des administrateurs'), 'BA', 'n-navBA');
    //addPortletLink('p-navigation', wgArticlePath.split('$1').join('Wikipédia:Bot/Requêtes'), 'BotReq', 'n-navbotreg');
    //addPortletLink('p-navigation', wgArticlePath.split('$1').join('Wikipédia:Vandalisme en cours/Archives/' + year + '/' + month, 'Vandalism'), 'Vandalisme', 'n-navvandalism');

    addNavBox('p-bookmarks', 'Suivi', '');
    addPortletLink('p-bookmarks', wgArticlePath.split('$1').join('Discussion Projet:Transports en Île-de-France'), 'TIdF', 'n-navtidf');
    addPortletLink('p-bookmarks', wgScript + '?title=' + 'Special:Suivi des liens&target=Portail:Transports en Île-de-France/Suivi&hidebots=0', '-> RCb', 'n-navtidfrcb');
    addPortletLink('p-bookmarks', wgScript + '?title=' + 'Special:Suivi des liens&target=Catégorie:Portail:Transports en Île-de-France/Articles liés&hidebots=0', '-> RCa', 'n-navtidfrca');
    addPortletLink('p-bookmarks', wgArticlePath.split('$1').join('Discussion Projet:Stargate'), 'Stargate', 'n-navstargate');
    addPortletLink('p-bookmarks', wgScript + '?title=' + 'Special:Suivi des liens&target=Portail:Stargate/Suivi&hidebots=0', '-> RCb', 'n-navstargatercb');
    addPortletLink('p-bookmarks', wgScript + '?title=' + 'Special:Suivi des liens&target=Catégorie:Portail:Stargate/Articles liés&hidebots=0', '-> RCa', 'n-navstargaterca');
    addPortletLink('p-bookmarks', wgArticlePath.split('$1').join('Discussion Projet:Chemin de fer'), 'CdF', 'n-navcdf');
    addPortletLink('p-bookmarks', wgScript + '?title=' + 'Special:Suivi des liens&target=Portail:Chemin de fer/Suivi&hidebots=0', '-> RCb', 'n-navcdfrcb');
    addPortletLink('p-bookmarks', wgScript + '?title=' + 'Special:Suivi des liens&target=Catégorie:Portail:Chemin de fer/Articles liés&hidebots=0', '-> RCa', 'n-navcdfrca');
    addPortletLink('p-bookmarks', wgArticlePath.split('$1').join('Discussion Projet:SF'), 'SF', 'n-navsf');
    addPortletLink('p-bookmarks', wgScript + '?title=' + 'Special:Suivi des liens&target=Catégorie:Portail:Science-fiction/Articles liés&hidebots=0', '-> RCa', 'n-navsfrca');
    addPortletLink('p-bookmarks', wgArticlePath.split('$1').join('Discussion Portail:Île-de-France'), 'IdF', 'n-navidf');
    addPortletLink('p-bookmarks', wgScript + '?title=' + 'Special:Suivi des liens&target=Catégorie:Portail:Île-de-France/Articles liés&hidebots=0', '-> RCa', 'n-navidfrca');
    addPortletLink('p-bookmarks', wgArticlePath.split('$1').join('Discussion Projet:Transport en commun'), 'TC', 'n-navtc');
    addPortletLink('p-bookmarks', wgScript + '?title=' + 'Special:Suivi des liens&target=Catégorie:Portail:Transports en commun/Articles liés&hidebots=0', '-> RCa', 'n-navtcrca');
    addPortletLink('p-bookmarks', wgArticlePath.split('$1').join('Discussion Projet:LGBT'), 'LGBT', 'n-navlgbt');
    addPortletLink('p-bookmarks', wgScript + '?title=' + 'Special:Suivi des liens&target=Catégorie:Portail:LGBT/Articles liés&hidebots=0', '-> RCa', 'n-navlgbtrca');
    addPortletLink('p-bookmarks', getbase('en', 'wikipedia', 'wikipedia') + '/wiki/Special:Watchlist', '((en))', 'n-naven');
    addPortletLink('p-bookmarks', getbase('commons', 'wikimedia', 'wikipedia') + '/wiki/Special:Watchlist', '((commons))', 'n-naven');
  }
}
addOnloadHook(addBookmarks);


/* Auto Refresh */
function refresh()
{
    window.location.href = window.location;
}
function refresh1min()
{
    setTimeout( "refresh()", 60000 );
}
function refresh5min()
{
    setTimeout( "refresh()", 300000 );
}

/*if (location.href.indexOf('/Special:Modifications_r%C3%A9centes') != -1
 || location.href.indexOf('/Sp%C3%A9cial:Modifications_r%C3%A9centes') != -1
 || (location.href.indexOf('/Special:Recentchanges') != -1
 && location.href.indexOf('/Special:Recentchangeslinked') == -1)) {
  addLoadEvent(refresh1min);
}*/

if (location.href.indexOf('/Special:Watchlist') != -1
 || location.href.indexOf('/Special:Liste_de_suivi') != -1
 || location.href.indexOf('/Sp%C3%A9cial:Liste_de_suivi') != -1) {
  addLoadEvent(refresh5min);
}

/* </nowiki></pre> */