/*
==LiveWP==
*Documentation : [[:fr:User:EDUCA33E/LiveRC/Documentation]]
*Authors : [[:fr:User:EDUCA33E]] & [[:fr:User:TiChou]]
*Version: 0.3.4 (beta)

// ///////////////////////////////////// //
== Global variables / Variables globales ==
// ///////////////////////////////////// //

<pre> */

var lrcRCLimit       = 30;      // LiveRC default RC list size;
var lrcPreviewHeight = '250px'; // LiveRC default preview window height;
var lrcAutoCloseDiff = 0;       // LiveRC default Diff behaviour;
var lrcTZ            = '';      // Default time zone (+02:00, 02:00, -0200, -05:45, ...)

/* </pre>

// //////////////////// //
== Internationalization ==
// //////////////////// //

<pre> */

// Category translation;
// /////////////////////
var lang_category = 'Catégorie:';

// Menu translation;
// /////////////////
var lang_menu = [ {
  PAUSE:   "Pause",
  PREVIEW: "Prévisualiser",
  LISTS:   "Listes",
  LOWDIFF: "Diff réduit",
  RCLABEL: "RC",
  NOBOTS:  "Sans Bots",
  IPONLY:  "IP seules",
  NAMESP:  "Espace",
  XTIMES:  "fois",
  UNDORC:  "Défaire",
  REVERT:  "Révoquer",
  REASON:  "Motif",
  AVERTS:  "Avertir",
  RVMES1:  "LiveRC : Révocation des modifications de",
  RVMES2:  "retour à la version de",
  EMPTY:   "Blanchir"
} ];

// Comments test table (regexp format);
// ////////////////////////////////////
var commenttests = [
  { state: BLANKING  , regex: /^Résumé automatique : blanchiment|^[Bb]lanchi/ },
  { state: REPLACED  , regex: /^Résumé automatique : contenu remplacé par/ },
  { state: REVERT    , regex: /^(LiveRC : )?Révocation |^Annulation des modifications|^(Undid|Revert to( the)?) revision|^(Undoing|Reverted( \d+)?) edit|^r(e)?v(ert(ing|ed)?)?\b/ }
];

// Categories test table (regexp format);
var categoriestests = [
  { state: LOCK      , regex: 'Page (semi-protégée|en semi-protection longue)' },
  { state: FULLLOCK  , regex: 'Page protégée' },
  { state: HOMONYMIE , regex: 'Homonymie' },
  { state: ADQ       , regex: 'Article de qualité( contesté)?' },
  { state: BA        , regex: 'Bon article' },
  { state: APDQ      , regex: 'Article potentiellement (bon|de qualité)' },
  { state: COPYRIGHT , regex: 'Article soupçonné de travail sous copyright' },
  { state: PAS       , regex: 'Page proposée à la suppression' },
  { state: FIRE      , regex: 'Wikipompiers' }
];

// LiveRC default template use;
// ////////////////////////////
var lstAvert = [
  { template: "Test 0"              , string: "Test 0"    , hasPage: false },
  { template: "Test 1"              , string: "Test 1"    , hasPage: false },
  { template: "Test 2"              , string: "Test 2"    , hasPage: false },
  { template: "Test 3"              , string: "Test 3"    , hasPage: false },
  { template: "Vandalisme"          , string: "Vandal"    , hasPage: true  },
  { template: "Spammeur"            , string: "Spam"      , hasPage: true  },
  { template: "Motivation_modif"    , string: "Résumé"    , hasPage: true  },
  { template: "Signature"           , string: "Signature" , hasPage: false },
  { template: "Bienvenue_copyright" , string: "Copyright" , hasPage: false }
];

/* </pre> */