/*
==LiveWP==
*Documentation : [[:fr:User:EDUCA33E/LiveRC/Documentation]]
*Authors : [[:fr:User:EDUCA33E]] & [[:fr:User:TiChou]]
*Version: 0.3.4 (beta)
 
// ///////////////////////////////////// //
== Global variables / Variables globales ==
// ///////////////////////////////////// //
 
<pre> */
 
lrcRCLimit       = 50;      // Nombre de ligne RC à afficher au maximum;
lrcPreviewHeight = "300px"; // Taille de la fenêtre de prévisualisation;
lrcAutoCloseDiff = 0;       // Fermeture automatique d'une ligne sur diff; 0 non ; 1 oui ;
var lrcTZ            = '';      // Default time zone (+02:00, 02:00, -0200, -05:45, ...)
 
if (wgUserName=="Gz260 test"){
lstContact.push("Chrono1084");
lstContact.push("Coyau");
lstContact.push("Elfix");
lstContact.push("Gonioul");
lstContact.push("Hercule");
lstContact.push("Ico");
lstContact.push("JLM");
lstContact.push("Kyro");
lstContact.push("Lgd");
lstContact.push("Maurilbert");
lstContact.push("Moyg");
lstContact.push("Nakor");
lstContact.push("Salebot");
lstContact.push("Suprememangaka");
lstContact.push("Vinz1789");
lstContact.push("Vlaam");
lstContact.push("Vyk");
}

/* </pre>
 
// //////////////////// //
== Internationalization ==
// //////////////////// //
 
<pre> */
 
// Category translation;
// /////////////////////
var lang_category = 'Catégorie:';
 
// Menu translation;
// /////////////////
var lang_menu = [ {
  PAUSE:   "Pause",
  PREVIEW: "Prévisualiser",
  LISTS:   "Listes",
  LOWDIFF: "Diff réduit",
  RCLABEL: "RC",
  NOBOTS:  "Sans Bots",
  IPONLY:  "IP seules",
  NAMESP:  "Espace",
  XTIMES:  "fois",
  UNDORC:  "Défaire",
  REVERT:  "Révoquer",
  REASON:  "Motif",
  AVERTS:  "Avertir",
  RVMES1:  "[[User:EDUCA33E/LiveRC/Documentation|LiveRC]] : Révocation des modifications de",
  RVMES2:  "retour à la version de",
  EMPTY:   "Blanchir",
  RCSHOW:  "Edit",
  LOGSHOW: "Journaux"
} ];
 
// Comments test table (regexp format);
// ////////////////////////////////////
var commenttests = [
  { state: BLANKING  , regex: /^Résumé automatique : blanchiment|^[Bb]lanchi/ },
  { state: REPLACED  , regex: /^Résumé automatique : contenu remplacé par/ },
  { state: REVERT    , regex: /(LiveRC : )?Révocation |([Bb]ot : )?[Aa]nnulation des modifications|^(Undid|Revert to( the)?) revision|^(Undoing|Reverted( \d+)?) edit|^r(e)?v(ert(ing|ed)?)?\b/ }
];
 
// Categories test table (regexp format);
var categoriestests = [
  { state: LOCK      , regex: 'Page (semi-protégée|en semi-protection longue)' },
  { state: FULLLOCK  , regex: 'Page protégée' },
  { state: HOMONYMIE , regex: 'Homonymie' },
  { state: ADQ       , regex: 'Article de qualité( contesté)?' },
  { state: BA        , regex: 'Bon article' },
  { state: APDQ      , regex: 'Article potentiellement (bon|de qualité)' },
  { state: COPYRIGHT , regex: 'Article soupçonné de travail sous copyright' },
  { state: PAS       , regex: 'Page proposée à la suppression' },
  { state: FIRE      , regex: 'Wikipompiers' }
];
 
// LiveRC default template use;
// ////////////////////////////
var lstAvert = [
  { template: "Test 0"              , string: "Test 0"            , hasPage: true  },
  { template: "Test 1"              , string: "Test 1"            , hasPage: true  },
  { template: "Test 2"              , string: "Test 2"            , hasPage: true  },
  { template: "Test 2+"             , string: "Test 2+"      , hasPage: true  },
  { template: "Test 2-"             , string: "Test 2-"      , hasPage: true  },
  { template: "Test 3"              , string: "Test 3"            , hasPage: true  },
  { template: "Bravo IP"            , string: "Bravo IP"          , hasPage: true  },
  { template: "Copieur"             , string: "Copyvio"           , hasPage: true  },
  { template: "Faux décès 0"        , string: "Faux décès"        , hasPage: true  },
  { template: "Faux décès 1"        , string: "Faux décès 1"      , hasPage: true  },
  { template: "RCneutralité"        , string: "Neutralité"        , hasPage: true  },
  { template: "Page sur soi"        , string: "Page sur soi"      , hasPage: true  },
  { template: "Motivation modif"    , string: "Résumé"            , hasPage: true  },
  { template: "Seul avertissement"  , string: "Seul avertissement", hasPage: true  },
  { template: "Signature"           , string: "Signature"         , hasPage: true  },
  { template: "Faut sourcer"        , string: "Source"            , hasPage: true  },
  { template: "Bienvenue spammeur"  , string: "Spam"              , hasPage: true  },
  { template: "Bienvenue spammeur 2", string: "Spam 2"            , hasPage: true  },
  { template: "Bienvenue spammeur 3", string: "Spam 3"            , hasPage: true  },
  { template: "Vandalisme"          , string: "Vandalisme"        , hasPage: true  },
  { template: "Vandalisme cracra"   , string: "Vandalisme cracra" , hasPage: true  },
  { template: "Vandalisme IP"       , string: "Vandalisme IP"     , hasPage: true  }
];
 
/* </pre> */