importScript("Utilisateur:Jean-Frédéric/titlesearch.js");

/*----------------------------------------------------------------------------
 * Ajoute des commentaires de modification prédéfinis
 *
 * Auteur : Dake
 * Contributions : Pabix, Tieno
 * Date de dernière révision : 12 novembre 2006
 */
//////////////////////ZONE PERSONNALISABLE//////////////////////
var resumedeluxeTitles = new Array();
with (resumedeluxeTitles) {
        push("Interwiki en");
        push("- Commons");
        push("- redirect");
        push("- lien");
        push("- ortho");
        push("- typo");
        push("- wikif");
        push("- cat");
        push("- Modèle");
        push("- Palette");
        push("- LgTitre");
        push("- Homon");
}
var resumedeluxeInputs= new Array();
with (resumedeluxeInputs) {
        push("Ajout [[en:]]");
        push("Ajout [[Commons:Category:]]");
        push("Création : Redirection vers [[]]");
        push("Correction lien");
        push("Orthographe");
        push("Typographie");
        push("Wikification");
        push("Catégorisation");
        push("Ajout [[Modèle:|{{}}]]");
        push("Ajout [[Modèle:Palette |{{Palette }}]]");
        push("Ajout [[Modèle:Langue du titre|{{Langue du titre}}]]");
        push("[[P:HOM|Résolution homonymie]] sur [[]] --> [[]]");
}
/////////////////FIN DE LA ZONE PERSONNALISABLE/////////////////

function setSummary(str)
{
        document.editform.wpSummary.value = str;
}

function addToSummary(str)
{
        var resum = document.editform.wpSummary.value;
        if(resum != 0 && resum.indexOf("*/") < resum.length - 3) {
                document.editform.wpSummary.value += " - ";
        }
        document.editform.wpSummary.value += str;
}

function DeluxeSummary()
{
        var sumLbl = document.getElementById("wpSummaryLabel");
        if(sumLbl) {
                var sumInput = document.getElementById("wpSummary");
                sumInput.style.width = "95%";
                var str = "Messages prédéfinis : ";
                for(var cpt = 0; cpt < resumedeluxeTitles.length; cpt ++) {
                        str += "<a href=\"javascript:addToSummary('" +resumedeluxeInputs[cpt] + "')\""
                                + " class=\"sumLink\" title=\"Ajouter '" +resumedeluxeInputs[cpt] +"' dans la boîte de résumé\">"
                                + resumedeluxeTitles[cpt]
                                + "</a> ";
                }
                sumLbl.innerHTML = str + "<br />" + sumLbl.innerHTML;
        }
}
addOnloadHook(DeluxeSummary);
//
 

/*
 * Onglet Statistiques
 */
function addArticleTrafficStatistics()
{
  var histo = document.getElementById("ca-history");
  if(histo)
  {
    var lien = document.createElement("a");
    var today = new Date();
    var annee = today.getYear() + 1900;
    var mois = new String(today.getMonth() + 1);
    if(mois.length < 2)
    {
      mois = "0" + mois;
    }
    lien.setAttribute("href", "http://stats.grok.se/fr/" + annee + mois + "/" + wgPageName);
    lien.appendChild(document.createTextNode("Traffic"));
 
    var stats = document.createElement("li");
    stats.setAttribute("id", "ca-stats");
    stats.appendChild(lien);
 
    histo.parentNode.insertBefore(stats, histo.nextSibling);
  }
}
addOnloadHook(addArticleTrafficStatistics);



/*
 * Catégories à Gauche
 *
 * Met les catégories dans un panneau de navigation, préserve HotCats
 *
 * Auteurs : Original par Jmfayard, Version modifiée par Jean-Fred
 * Dernière révision : 26 juin 2009
 */
 
function CategoriesAGauche() {
 
	var catlinks = document.getElementById("mw-normal-catlinks");
	if (!catlinks) { return; }
	var categories = catlinks.getElementsByTagName("a") ;
 
	var h5_cats = document.createElement( "h5" );
	var text = document.createTextNode( "Catégories" ) ;
	h5_cats.appendChild( text ) ;
 
	var div_cats = document.createElement( "div" );
	div_cats.setAttribute( "class", "pBody" );
 
	var ul = document.createElement( "ul" );
 
	var len = categories.length;
	if (wgAction == 'view'){
 
		for (var i = 1 ; i < len-2 ; i+=3 ) {
			var li = document.createElement( "li" ) ;
			li.appendChild(categories[i].cloneNode(1));
			li.appendChild (document.createTextNode (' '));
			li.appendChild(categories[i+1].cloneNode(1));
			li.appendChild (document.createTextNode (' '));
			li.appendChild(categories[i+2].cloneNode(1));
			ul.appendChild( li );
		}
		//Le lien d'ajout rapide 
		var a = categories[len -1];
		var li = document.createElement( "li" ) ;
		li.appendChild( a.cloneNode(1)) ;
		ul.appendChild( li );
	}
	else
	{
		for (var i = 1 ; i < len ; i+=3 )
		{
			var li = document.createElement( "li" ) ;
			li.appendChild(categories[i].cloneNode(1));
			ul.appendChild( li );
		}
	}
 
 
	//Les catégories cachées
	var hiddencatlinks = document.getElementById("mw-hidden-catlinks");
	if (hiddencatlinks) 
	{ 
		var hiddencategories = hiddencatlinks.getElementsByTagName("a") ;
		for (var i = 0 ; i < hiddencategories.length ; i++ ) 
		{
			var li = document.createElement( "li" ) ;
			li.appendChild(hiddencategories[i].cloneNode(1));
			ul.appendChild( li );
		}
	}
 
	div_cats.appendChild( ul ) ;
 
	var portlet = document.createElement( "div" ) ;
	portlet.setAttribute( "class", "portlet" );
	portlet.setAttribute( "id", "p-cat" ) ;
 
	portlet.appendChild( h5_cats ) ;
 
	portlet.appendChild( div_cats ) ;
 
	//document.getElementById("column-one").insertBefore( document.getElementById("p-search"),  portlet ) ;
	//document.getElementById("column-one").appendChild(  portlet ) ;
	div_ptb = document.getElementById( "p-tb" );
	document.getElementById("column-one").insertBefore( portlet, div_ptb)
}
 
addOnloadHook( CategoriesAGauche ) ;

/*
 * Evaluation
 */
var alwaysEval = false;
function initEvalProjectNames()
{
        evalProjectNames=new Array();
        evalProjectNames.push("Jeu vidéo")
        evalProjectNames.push("Entreprises")
        evalProjectNames.push("ABDA")
}


obtenir("BistroDuJour");
loadJs('Utilisateur:Jean-Frédéric/editbar.js');

// ReferencesPopup
importScript( "Utilisateur:Deep silence/ReferencesPopup.js" );

obtenir('HistoryNumDiff');