  //  Add a "Kate" link to your monobook "personal menu" list at the very
  //  top of the page.
  //
  //  Indicate where you would like "Kate" to appear:
  //    pt-userpage, pt-mytalk, pt-preferences,
  //    pt-watchlist, pt-mycontris, pt-logout
  //
gsKateInsertBefore = 'pt-mycontris'; // leave blank to append after "logout"
  //
function KateLink()
{
  var user = document.getElementById( 'pt-userpage' ).firstChild.firstChild.data;

  var li = document.createElement( 'li' );
    li.id = 'pt-kate';

    var a = document.createElement( 'a' );
      a.appendChild( document.createTextNode( 'editcount' ) ); // eh, the css makes the text lowercase
      a.href = 'http://tools.wikimedia.de/~interiot/cgi-bin/count_edits?dbname=frwiki_p&user=' + user;

    li.appendChild( a );

  var li2 = document.createElement( 'li' );
    li2.id = 't-lonely';
    var a2 = document.createElement( 'a' );
      a2.appendChild( document.createTextNode( 'Pages Orphelines' ) ); // eh, the css makes the text lowercase
      a2.href = '/w/index.php?title=Special:Lonelypages';
    li2.appendChild( a2 );
    var before2 = document.getElementById('t-specialpages');
      before2.appendChild( li2, before2 );

  if ( ! gsKateInsertBefore ) // append to end (right) of list
  {  document.getElementById( 'pt-logout' ).parentNode.appendChild( li );
  }
  else
  {  var before = document.getElementById( gsKateInsertBefore );
      before.appendChild( li, before );
  }
}
   if ( window.addEventListener ) window.addEventListener( 'load', KateLink, false );
else if ( window.attachEvent      ) window.attachEvent   ( 'onload', KateLink );