//<pre><nowiki>
/* Version 1.beta.1

[[Image:Zeus_head_thumb-zanaq.png|left]]


'''Zeusmode''' - by [[User:Zanaq|Zanaq]] - is an extensive elaboration of Sam Hocevar's godmode-light script and some other [[Wikipedia:WikiProject_User_scripts/Scripts|scripts]]. It has been tested with [[Mozilla]] and [[Mozilla Firefox]]. Some functionality is retained when using [[Internet Explorer]].
*/

/*
==Zeusmode==

===Features===

* Rollback link in user contribution list and on last diff
* Link to diffs since own last edit on tabs ''and'' in the watchlist 
** doesnt work with extended watchlist
* Template checkbox bar in edit window ''and'' most other views
* Link to last diff
* Link for editing top section 
* hide one's own differences in the Watchlist
* Opera compatibility and some fixes by valhallasw
=== Credits ===
By [[:en:User:Zanaq]], based on:
*the ''God-like Monobook skin'', (c) 2005 Sam Hocevar <sam@zoy.org>
**$Id: godmode-light.js 980 2005-11-12 01:51:51Z sam $
*Wikipedia user Scripts, http://en.wikipedia.org/wiki/Wikipedia:WikiProject_User_scripts/Scripts
** Add edit top link, by [[:en:User:Pile0nades]]
** Changes since I last edited, by [[:en:User:JesseW]]
** Show last diff, by [[:en:User:JesseW]]
** hideOwn differences in Watchlist, anonymous
** quickWikify, by [[:en:User:Raylu]]
-----------------------------------------------------------------------------
*/

// -----------------------------------------------------------------------------
// Default system messages
// -----------------------------------------------------------------------------
var rollbacklink = 'rollback';
var cantrollback = 'Cannot revert edit; last contributor is only author of this page.';
var alreadyrolled = 'Cannot rollback last edit of [[$1]] by [[User:$2|$2]] ([[User talk:$2|Talk]]); someone else has edited or rolled back the page already. Last edit was by [[User:$3|$3]] ([[User talk:$3|Talk]]). ';
var revertpage = 'Reverted edits by [[Special:Contributions/$2|$2]] to last version by $1';

var txtPleaseWait = 'Please wait, reverting edits by ';
var txtErrBadAuth= '<b>Error:</b> Bad authentication token!';
var txtGetHist= 'Getting article history...';
var txtLast = 'Last';
var txtShowMostRecentDiff="Show most recent diff";
var txtComment = 'Comment';

var txtSince = 'Since';
var txtChangesSinceILastEdited = "Changes since I last edited";

var txtEditTopLink = 'edit';
var txtHideLink = 'hide';

var txtSavePage = 'Save';
var txtMinorEdit = '<b>M</b>';
var qTemplate = new Array();
var qPos = new Array();
var qCategory = new Array();
var qTemplateText = new Array();
var qPrompt = new Array();
var qDisplayText = new Array();
var qDefault = new Array();
var dontusesquirlyBrackets = new Array();
var qAdvancedParameters = new Array();
var qHidden = new Array;
var qCustomTemplateIdentifier = new Array();

var stupidEnglishWatchlist = false;
var txtPlace = 'revert to version by [[User:$3|$3]] of $2 ($1)';
var txtPlaceLink = 'place';
var txtDiffPrevious = 'cur';
var txtEditconflict = 'Edit conflict: Someone has altered the page since you last loaded it';
var lenRevisionOf = 0;
var diffadjuster = 2;

var txtParseEditform = 'Parsing the editform <small>(any error in this stage indicates an error in the <a href=http://nl.wikipedia.org/w/index.php?title=Speciaal:Recentchanges&days=14&namespace=8>mediawiki namespace</a>.)</small>: ';
var txtOk = ' Ok';
var txtSubmitEditform = 'Now submitting the form..... ';
var txtPlaceOld = 'Placing old version.... '
var txtLoadEditform = 'Loading the editform ($1): ';
var txtParseHist = 'Parsing article history';
txtLastErr = 'Error: Last editor is $1 not $2';
txtOnlyErr = 'Error: $1 is the only editor!';
var txtNotEdited = 'You have not edited this page! (recently)';

namespaceSpecial = 'Special';

var k = 0;
var templateDeleteIdentifier= 0;

// -----------------------------------------------------------------------------
// Modules and configuration
// -----------------------------------------------------------------------------

//If you are sysop, replace the next line with var isSysop = true;
var isSysop = false;

document.write('<scr'+'ipt type="text/javascript"'
  + 'src="http://nl.wikipedia.org/w/index.php?title=Gebruiker:Zanaq/Zeusmode/toolbox.js'
  + '&action=raw&ctype=text/javascript&dontcountme=s"></scr'+'ipt>');

document.write('<scr'+'ipt type="text/javascript"'
  + 'src="http://nl.wikipedia.org/w/index.php?title=Gebruiker:Zanaq/Zeusmode/revert.js'
  + '&action=raw&ctype=text/javascript&dontcountme=s"></scr'+'ipt>');

document.write('<scr'+'ipt type="text/javascript"'
  + 'src="http://nl.wikipedia.org/w/index.php?title=Gebruiker:Zanaq/Zeusmode/newpages.js'
  + '&action=raw&ctype=text/javascript&dontcountme=s"></scr'+'ipt>');

document.write('<scr'+'ipt type="text/javascript"'
  + 'src="http://nl.wikipedia.org/w/index.php?title=Gebruiker:Zanaq/Zeusmode/qtemplate.js'
  + '&action=raw&ctype=text/javascript&dontcountme=s"></scr'+'ipt>');

document.write('<scr'+'ipt type="text/javascript"'
  + 'src="http://nl.wikipedia.org/w/index.php?title=Gebruiker:Zanaq/Zeusmode/' + wgContentLanguage + '.js'
  + '&action=raw&ctype=text/javascript&dontcountme=s"></scr'+'ipt>');


//If you want to define your own templates, place a copy of 
// [[nl:Gebruiker:Zanaq/Zeusmode/<LANGUAGE_CODE>-templates.js]] 
//In your own namespace and replace the following reference with
//a reference to your own namespace, eg. [[User:Whatever/templates.js]]

document.write('<scr'+'ipt type="text/javascript"'
  + 'src="http://nl.wikipedia.org/w/index.php?title=Gebruiker:Zanaq/Zeusmode/' + wgContentLanguage + '-templates.js'
  + '&action=raw&ctype=text/javascript&dontcountme=s"></scr'+'ipt>');


// [[User:Lupin/popups.js]]
document.write('<scr'+'ipt type="text/javascript"'
  + 'src="http://nl.wikipedia.org/w/index.php?User:Lupin/popups.js'
  + '&action=raw&ctype=text/javascript&dontcountme=s"></scr'+'ipt>');
//</nowiki></pre>