var suiviManagerAllPages = new Array();
 
function SuiviManagerRegexp(regexp)
{
        var match = new RegExp(regexp);
 
        for (var i=0;i<suiviManagerAllPages.length;i++) {
                var pageName = suiviManagerAllPages[i].childNodes[0].getAttribute("value");
                if (match.test(pageName)) {
                        suiviManagerAllPages[i].childNodes[0].checked=true; 
                }
        }
}
 
function SuiviManagerLiensRouges()
{
 
        for (var i=0;i<suiviManagerAllPages.length;i++) {
                var pageClass = suiviManagerAllPages[i].childNodes[1].getAttribute("class");
                if (pageClass && pageClass=="new") {
                        suiviManagerAllPages[i].childNodes[0].checked=true; 
                }
        }
}
 
function SuiviManagerDeselect()
{
        for (var i=0;i<suiviManagerAllPages.length;i++) {
                suiviManagerAllPages[i].childNodes[0].checked=false; 
        }
}
 
 
function SuiviManager() {
        if (document.URL.indexOf("http://fr.wikipedia.org/wiki/Special:Watchlist/edit")!=0) return; 
 
        var a=0;
        var b=0;                        
        var interfaceMsg = new Array(); 
        var regexpList = new Array(); 
 
        //////////////////////////////////////////////////
        // Expressions régulières et liens de l'interface
        //
        // besoin d'aide pour les regexp ? 
        // http://www.commentcamarche.net/javascript/jsregexp.php3
        //////////////////////////////////////////////////
 
        interfaceMsg[a++]       = "<b>Tout cocher</b>";
        regexpList[b++]         = "^.*"; 
 
        interfaceMsg[a++]       = "Utilisateurs";
        regexpList[b++]         = "^Utilisateur:";
 
        interfaceMsg[a++]       = "Wikipédia:*"; 
        regexpList[b++]         = "^Wikipédia:";
 
        interfaceMsg[a++]       = "Sous-pages de PàS"; 
        regexpList[b++]         = "^Wikipédia:Pages à supprimer\/";
 
        interfaceMsg[a++]       = "Sous-pages de PàV"; 
        regexpList[b++]         = "^Wikipédia:Pages à vérifier\/";
 
        interfaceMsg[a++]       = "Pages du bistro"; 
        regexpList[b++]         = "^Wikipédia:Le Bistro\/";
 
        interfaceMsg[a++]       = "Images"; 
        regexpList[b++]         = "^Image:";
 
        interfaceMsg[a++]       = "Modèles"; 
        regexpList[b++]         = "^Modèle:"; 
 
        interfaceMsg[a++]       = "Aide"; 
        regexpList[b++]         = "^Aide:"; 
 
        interfaceMsg[a++]       = "Catégories"; 
        regexpList[b++]         = "^Catégorie:";      
 
        interfaceMsg[a++]       = "Portails"; 
        regexpList[b++]         = "^Portail:";        
 
        //////////////////////////////////////////////////
        var topTag = document.getElementById("contentSub")
 
        // récupère toutes les pages
        var watchlist = document.getElementsByTagName("ul");
 
        for (u=0;u<watchlist.length;u++) {
                        var entries = watchlist[u].getElementsByTagName("li"); 
                        for (i=0;i<entries.length;i++) {
                                suiviManagerAllPages.push(entries[i]);
                        }
        }
 
        // prépare la mini-interface
        var str = "<div style=\"background-color:#8ecfe4;font-size:1px;height:8px;border:1px solid #AAAAAA;-moz-border-radius-topright:0.5em;-moz-border-radius-topleft:0.5em;\"></div>"
        + "<div style=\"border:1px solid #6ac1de;border-top:0px solid white;padding:5px 5px 0 5px;margin-bottom:3ex;\"><p>"
        + "<div style=\"float: left; text-align: left; white-space: nowrap;\"></div>"
 
        for (var cpt = 0; cpt < interfaceMsg.length; cpt ++) {
                str += "<a href=\"javascript:SuiviManagerRegexp('" + regexpList[cpt] + "')\">"
                                                + interfaceMsg[cpt]
                                                + " ·</a> "
                }
 
                str += "<a href=\"javascript:SuiviManagerLiensRouges()\">"
                        + "Retirer les liens rouges"
                        + " ·</a> "
 
                str += "<a href=\"javascript:SuiviManagerDeselect()\">"
                        + "<b>Enlever toutes les coches</b>"
                        + " ·</a> "
 
        topTag.innerHTML =       topTag.innerHTML + "<br clear=all />" + str + "<p></div>"
 
}
 
addLoadEvent(SuiviManager);


var alwaysEval = false; //mettez cette valeur à ''true'' si vous voulez que l'évaluation soit lancée automatiquement (à éviter en temps normal)
function initEvalProjectNames()
{
	evalProjectNames=new Array(); //liste de vos projets
	evalProjectNames.push("ABDA") 
	evalProjectNames.push("Télévision")
        evalProjectNames.push("Jeu vidéo")
}


// [[:en:User:Lupin/popups.js]]
// Traduction de [[Utilisateur:Leag|Leag]] : [[Utilisateur:Leag/Navigation popups|Navigation popups]]

document.write('<script type="text/javascript" src="' 
    + 'http://fr.wikipedia.org/w/index.php?title=User:Leag/popups-strings-fr.js' 
    + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
document.write('<script type="text/javascript" src="' 
             + 'http://en.wikipedia.org/w/index.php?title=User:Lupin/popups.js' 
             + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');

var tabAction = "p-cactions";
function addJapanButton()
       {
        // condition à améliorer
        var toolbar = document.getElementById("toolbar"); 
        if (!toolbar) return;
        var l = document.getElementById(tabAction);
        t = l.innerHTML;
        ind = t.toLowerCase().indexOf("</ul>");
        before = t.substring(0,ind);
        after = t.substring(ind); 
        pitem = "<li><a href='javascript:hepburn();' accesskey=\">\">"+
                "<div id='japan' style='display:inline;'>" + 
                "Hepburn"  + 
                "</div></a></li>";
        l.innerHTML = before + pitem + after ;           
      }

function hepburn() {
var txt = document.editform.wpTextbox1;
txt.focus();
    if ( window.getSelection )
    {
    // mozilla
      if( txt.selectionStart || txt.selectionStart == '0')
      {
        var text = txt.value.substring(txt.selectionStart, txt.selectionEnd);
        var s2 = txt.value;

        text = text.replace(new RegExp("aa", "g"), "ā").replace(new RegExp("Aa", "g"), "Ā");
        // La norme Hepburn réserve la conversion suivante aux noms non-sino-japonais.
        //text = text.replace(new RegExp("ii", "g"), "ī").replace(new RegExp("Ii", "g"), "Ī");
        text = text.replace(new RegExp("ee", "g"), "ē").replace(new RegExp("Ee", "g"), "Ē");
        text = text.replace(new RegExp("uu", "g"), "ū").replace(new RegExp("Uu", "g"), "Ū");
        text = text.replace(new RegExp("oo", "g"), "ō").replace(new RegExp("Oo", "g"), "Ō");
        text = text.replace(new RegExp("ou", "g"), "ō").replace(new RegExp("Ou", "g"), "Ō");
        text = text.replace(new RegExp("â", "g"), "ā").replace(new RegExp("Â", "g"), "Ā");
        // La norme Hepburn réserve la conversion suivante aux noms non-sino-japonais.
        //text = text.replace(new RegExp("î", "g"), "ī").replace(new RegExp("Î", "g"), "Ī");
        text = text.replace(new RegExp("ê", "g"), "ē").replace(new RegExp("Ê", "g"), "Ē");
        text = text.replace(new RegExp("û", "g"), "ū").replace(new RegExp("Û", "g"), "Ū");
        text = text.replace(new RegExp("ô", "g"), "ō").replace(new RegExp("Ô", "g"), "Ō");
        text = text.replace(new RegExp("cch", "g"), "tch");

        var savestart = txt.selectionStart;
        txt.value = s2.substring(0, txt.selectionStart)
                     + text
                     + s2.substr(txt.selectionEnd);
        txt.selectionStart = savestart + text.length;
        txt.selectionEnd = savestart + text.length;
      }
    }
    else if( document.getSelection )
    {
    // Safari/Konqueror
        var text = document.getSelection( ).replace(new RegExp("aa", "g"), "ā");
        //Manque la suite...
    }
    else 
    {
    // internet explorer
      var range = document.selection.createRange();
      var text = range.text;
      text = text.replace(new RegExp("aa", "g"), "ā").replace(new RegExp("Aa", "g"), "Ā");
      // La norme Hepburn réserve la conversion suivante aux noms non-sino-japonais.
      //text = text.replace(new RegExp("ii", "g"), "ī").replace(new RegExp("Ii", "g"), "Ī");
      text = text.replace(new RegExp("ee", "g"), "ē").replace(new RegExp("Ee", "g"), "Ē");
      text = text.replace(new RegExp("uu", "g"), "ū").replace(new RegExp("Uu", "g"), "Ū");
      text = text.replace(new RegExp("oo", "g"), "ō").replace(new RegExp("Oo", "g"), "Ō");
      text = text.replace(new RegExp("ou", "g"), "ō").replace(new RegExp("Ou", "g"), "Ō");
      text = text.replace(new RegExp("â", "g"), "ā").replace(new RegExp("Â", "g"), "Ā");
      // La norme Hepburn réserve la conversion suivante aux noms non-sino-japonais.
      //text = text.replace(new RegExp("î", "g"), "ī").replace(new RegExp("Î", "g"), "Ī");
      text = text.replace(new RegExp("ê", "g"), "ē").replace(new RegExp("Ê", "g"), "Ē");
      text = text.replace(new RegExp("û", "g"), "ū").replace(new RegExp("Û", "g"), "Ū");
      text = text.replace(new RegExp("ô", "g"), "ō").replace(new RegExp("Ô", "g"), "Ō");
      text = text.replace(new RegExp("cch", "g"), "tch");
      range.text = text;
    }
}

function customSpecialChars()
{
        var elmtP = document.getElementById("editpage-copywarn")
        if (elmtP == undefined)
                return  // Pas en édition
        //elmtP = elmtP.getElementsByTagName("table")[0]

        var str = "Caractères spéciaux: "

        str += "<a href=\"javascript:insertTags('Ā','', '')\" accesskey=\",\">Ā</a> "
        str += "<a href=\"javascript:insertTags('ā','', '')\" accesskey=\"a\">ā</a> "
        str += "<a href=\"javascript:insertTags('Ē','', '')\" accesskey=\";\">Ē</a> "
        str += "<a href=\"javascript:insertTags('ē','', '')\" accesskey=\"f\">ē</a> "
        str += "<a href=\"javascript:insertTags('Ī','', '')\" accesskey=\":\">Ī</a> "
        str += "<a href=\"javascript:insertTags('ī','', '')\" accesskey=\"i\">ī</a> "
        str += "<a href=\"javascript:insertTags('Ō','', '')\" accesskey=\"!\">Ō</a> "
        str += "<a href=\"javascript:insertTags('ō','', '')\" accesskey=\"o\">ō</a> "
        str += "<a href=\"javascript:insertTags('Ū','', '')\" accesskey=\"ù\">Ū</a> "
        str += "<a href=\"javascript:insertTags('ū','', '')\" accesskey=\"v\">ū</a> "

        elmtP.innerHTML = "<br/ ><center>" + str + "</center><br />" + elmtP.innerHTML
}

// Quick-replacer pour rectifier les mots sans diacritique triviaux sur les pages japonaises
var tabAction = "p-cactions";
function addAutoMacronButton()
       {
        // condition à améliorer
        var toolbar = document.getElementById("toolbar"); 
        if (!toolbar) return;
        var l = document.getElementById(tabAction);
        t = l.innerHTML;
        ind = t.toLowerCase().indexOf("</ul>");
        before = t.substring(0,ind);
        after = t.substring(ind); 
        pitem = "<li><a href='javascript:macron();' accesskey=\"²\">"+
                "<div id='macron' style='display:inline;'>" + 
                "Macron"  + 
                "</div></a></li>";
        l.innerHTML = before + pitem + after ;           
      }

function macron() {
var txt = document.editform.wpTextbox1;
txt.focus();
    if ( window.getSelection )
    {
    // mozilla
      if( txt.selectionStart || txt.selectionStart == '0')
      {
        var text = txt.value.substring(txt.selectionStart, txt.selectionEnd);
        var s2 = txt.value;

        text = text.replace(new RegExp("Tokyo", "g"), "Tōkyō");
        text = text.replace(new RegExp("Kobe", "g"), "Kōbe");
        text = text.replace(new RegExp("Keiō", "g"), "Keiō");
        text = text.replace(new RegExp("Saikyo", "g"), "Saikyō");
        text = text.replace(new RegExp("Chuo", "g"), "Chūō");
        text = text.replace(new RegExp("Toei Oedo", "g"), "Toei Ōedo");
        text = text.replace(new RegExp("Odakyu", "g"), "Odakyū");
        text = text.replace(new RegExp("Hanzomon", "g"), "Hanzōmon");
        text = text.replace(new RegExp("Tokyu", "g"), "Tōkyū");
        text = text.replace(new RegExp("Koto", "g"), "Kōtō");
        text = text.replace(new RegExp("Keiyo", "g"), "Keiyō");
        text = text.replace(new RegExp("Shonan", "g"), "Shōnan");

        var savestart = txt.selectionStart;
        txt.value = s2.substring(0, txt.selectionStart)
                     + text
                     + s2.substr(txt.selectionEnd);
        txt.selectionStart = savestart + text.length;
        txt.selectionEnd = savestart + text.length;
      }
    }
}

importScript('User:Arkanosis/iRef.js');

addLoadEvent(addAutoMacronButton);
addLoadEvent(addJapanButton);
addLoadEvent(customSpecialChars);


obtenir('BistroDuJour');
obtenir('BandeauxPortails');