/*
 * Bistro_Oracle
 * 
 * Ajout de liens dans la barre de navigation vers le Bistro et l'Oracle
 * 
 * Auteur : ??
 * Date de dernière révision : 3 novembre 2006
 * {{Catégorisation JS}}
 */

function Bistro_Oracle() {
	var a = document.getElementById("p-navigation");
	if (a) {
		b = a.getElementsByTagName("ul");
		if(b.length > 0) {
			b[0].innerHTML = b[0].innerHTML + '<li><a style="display: inline" id="n-bistro" title="Wikipédia:Le Bistro" href="/w/index.php?title=Wikip%C3%A9dia:Le_Bistro&action=purge">Bistro</a>, <a style="display: inline" id="n-bistro" title="Oracle" href="/wiki/Wikipédia:Oracle">Oracle</a></li>'
		}
	}
}
addOnloadHook(Bistro_Oracle);

/**
 * Bistro du jour
 *
 * Lien vers le bistro du jour dans le panneau de navigation
 *
 * Auteur : ??
 * Contributeur : Tieno, Maloq
 * Dernière révision : 2 septembre 2008
 * {{Catégorisation JS}}
 */

function TodayDate() {
      var m = ["janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre"];
      var today = new Date();
      var day = today.getDate();
      var year = today.getYear();

      if (year < 2000)
           year = year + 1900;

      return (day + " " + m[today.getMonth()] + " " + year);
}

function BistroDuJour()
{
 addPortletLink('p-navigation', '/wiki/Wikipédia:Le_Bistro/' + TodayDate().replace(new RegExp(' ','g'),'_'), 'Bistro du jour', 'n-bistro');
}
addOnloadHook(BistroDuJour);
  
function nouvelleBoite() {
    var l = document.getElementById('column-one');
    if (!l) return;
    l.innerHTML = l.innerHTML
     + '<div class="portlet" id="p-nbx">'
     + ' <h5>Boîte perso</h5>'
     + ' <div class="pBody">'
     + '   <ul>'
     + '     <li><a href="http://fr.wikipedia.org/wiki/Wikipédia:Le_Bistro">Le Bistro</a></li>'
     + '     <li><a href="http://fr.wikipedia.org/wiki/User:Yug/monobook.js">Monobook.js</a></li>'
     + '   </ul>'
     + ' </div>'
     + '</div> ';
  }
  addOnloadHook(nouvelleBoite);


/**
 * Catégories à Gauche
 *
 * Met les catégories dans un panneau de navigation
 *
 * Auteur : Jmfayard
 * Dernière révision : 3 novembre 2006
 * {{Catégorisation JS}}
 */

function CategoriesAGauche() {

        var catlinks = document.getElementById("catlinks");
        if (!catlinks) { return; }
        var categories = catlinks.getElementsByTagName("a") ;

        var h5_cats = document.createElement( "h5" );
        var text = document.createTextNode( "Catégories" ) ;
        h5_cats.appendChild( text ) ;

        var div_cats = document.createElement( "div" );
        div_cats.setAttribute( "class", "pBody" );

        var ul = document.createElement( "ul" );

        var a_debut = 1 ; // evitons le lien Categories:
        for (var i = a_debut ; i < categories.length ; i++ ) {
                var a = categories[i] ;
                var li = document.createElement( "li" ) ;
                li.appendChild( a.cloneNode(1) ) ;
                ul.appendChild( li );
        }

        div_cats.appendChild( ul ) ;


        var portlet = document.createElement( "div" ) ;
        portlet.setAttribute( "class", "portlet" );
        portlet.setAttribute( "id", "p-cat" ) ;

        portlet.appendChild( h5_cats ) ;

        portlet.appendChild( div_cats ) ;

        //document.getElementById("column-one").insertBefore( document.getElementById("p-search"),  portlet ) ;
        //document.getElementById("column-one").appendChild(  portlet ) ;
        div_ptb = document.getElementById( "p-tb" );
        document.getElementById("column-one").insertBefore( portlet, div_ptb)

}
addOnloadHook( CategoriesAGauche ) ;