loadJs('User:EDUCA33E/LiveRC.js'); // Chargement de LiveRC
 
obtenir('CopyScape'); // Détection de copyvio
 
obtenir('RenommageCategorie'); // Ajoute un onglet permettant de renommer une catégorie
 
obtenir('BistroOracle'); // Procure un lien vers le Bistro et l'Oracle
 
obtenir('EvalProject'); // Évaluation d'articles
 
obtenir('LiensRouges'); // Ajoute deux liens vers une recherche Google et les pages liées aux liens rouges pour trouver rapidement un titre approchant ou vérifier si le titre est demandé
 
obtenir('BlocageDeluxe'); // Ajout de boutons prédéfinis pour justifier un blocage
 
importScript('Utilisateur:Arkanosis/iKiwi.js'); // Récupération semi-automatique des interWikis depuis un autre wiki, parcours rapide des sous-pages du Projet:Interwikification

/*<pre>*/

 
 
/**
 * Installation d'une nouvelle fonction de cette façon :
 * aOnloadFunctions[aOnloadFunctions.length] = nom_de_la_fonction; // (sans parenthèses)
 */
if (!window.aOnloadFunctions) { 
  var aOnloadFunctions = new Array(); 
}
 
window.onload = function() 
{
  if (window.aOnloadFunctions) {
    for (var _i=0; _i<aOnloadFunctions.length; _i++) {
      aOnloadFunctions[_i]();
    }
  }
}
 
 
/**
 * Ajouter une nouvelle fonction à excuter au chargement de la page.
 */ 
function addLoadEvent(func) 
{
  if (window.addEventListener) 
    window.addEventListener("load", func, false);
  else if (window.attachEvent)
    window.attachEvent("onload", func);
}
 
//////////BARRE EDITION BOUTON//////////////////////////////////
 
function DeluxeBar() {
  if (document.createTextNode) {
        var toolbar = document.getElementById("toolbar"); 
        if (!toolbar) return;
 
 
        var messages = new Array()
        var images = new Array()
        var commentaires = new Array()
        var a=-1;
 
//Le décompte commence à -1 avec une incrementation sur le premier message, pour éviter tout probleme en cas d'inversion ou suppression du premier message
 
        // le texte a été splitté sinon Mediawiki casse tout...
 
        messages[++a] = "{{subst:" + "Bienvenue" + "}}" +  "--" + "~~" + "~~";
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/e/eb/Button_accueilB.png";
        commentaires[a] = "Bienvenue !"
 
        messages[++a] = "{{subst:" + "Testeurfou" + "}}" +  "--" + "~~" + "~~";
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/0/00/Button_vandale.png";
        commentaires[a] = "Avertissement vandalisme"
 
        messages[++a] = "{{subst:" + "Utilisateur:Grondin/Modèles en travaux/Note relecture|" + "}}";
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/2/2a/Button_examine.png";
        commentaires[a] = "Notes de relecture"
 
      ////////////////////////////////
 
for (var i=0;i<messages.length;i++) {
                var img = document.createElement("img");
                img.setAttribute("src", images[i]);
 
                var ref = document.createElement("a");
                ref.setAttribute("href", "javascript:insertTags('', \"" + messages[i] + "\", '');" + 
                                 "javascript:changeSummary(\"" + commentaires[i] + "\");" ); 
                ref.appendChild(img); 
 
                toolbar.appendChild(ref);
        }
  }
}
 
function changeSummary(sampleText) {
        document.editform.wpSummary.value = sampleText;
}
 
addLoadEvent(DeluxeBar);
 
 
function addToSummary(str)
{
        document.editform.wpSummary.value += " " + str
}
 
function DeluxeSummary()
{
        var sumLbl = document.getElementById("wpSummaryLabel")
        if (sumLbl)
        {
                //élargissement boite de résumé
                var sumInput = document.getElementById("wpSummary")
                sumInput.style.width = "90%"
 
                var titles = new Array()
                titles.push("ébauche")
                titles.push("cat")
                titles.push("image")
                titles.push("interwiki")
                titles.push("int")
                titles.push("ext")
                titles.push("interprojet")
                titles.push("corr interwiki")
                titles.push("corr rint")
                titles.push("corr ext")
                titles.push("ext -> int")
                titles.push("int -> interwiki")
                titles.push("MeP")
                titles.push("lecture")
                titles.push("fusion")
                titles.push("redir")
                titles.push("ortho/gram")
                titles.push("retouches")
                titles.push("ajInfo")
                titles.push("recat")
                titles.push("création")
                titles.push("Vote")
                titles.push("Motivation")
                titles.push("Réponse")
                titles.push("redir db")
                titles.push("sup copyvio")
                titles.push("date")
                titles.push("blocage")
 
 
                var inputs = new Array()
                inputs.push("- bandeau ébauche ")
                inputs.push("- catégorie ")
                inputs.push("- image ")
                inputs.push("- liens interwiki ")
                inputs.push("- lien interne ")
                inputs.push("- lien externe ")
                inputs.push("- lien interprojet ")
                inputs.push("correction liens interwiki ")
                inputs.push("correction lien interne ")
                inputs.push("correction lien externe ")
                inputs.push("conversion lien externe en lien interne ")
                inputs.push("conversion lien interne en lien interwiki ")
                inputs.push("mise en page ")
                inputs.push("Fiche de lecture ")
                inputs.push("fusion ")
                inputs.push("Redirect ")
                inputs.push("correction orthographe/grammaire ")
                inputs.push("diverses retouches ")
                inputs.push("ajout infos ")
                inputs.push("changement catégorie ")
                inputs.push("Initialisation de la page ")
                inputs.push("Avis rendu !")
                inputs.push("Ma motivation ")
                inputs.push("Réponse ")
                inputs.push("Correction double redirection ")
                inputs.push("- suppression passage en copyvio du site : ")
                inputs.push("- du "+ TodayDate())
                inputs.push("Avis de blocage ")
 
                var str = ""
                for (var cpt = 0; cpt < titles.length; cpt ++)
                {
                        str += "<a href=\"javascript:addToSummary('" + inputs[cpt] + "')\""
                                + " class=\"sumLink\" title=\"Ajouter '" + inputs[cpt] +"' dans la boîte de résumé\">"
                                + titles[cpt]
                                + " ·</a> "
                }
                sumLbl.innerHTML = str + "<br />" + sumLbl.innerHTML
        }
}
 
addLoadEvent(DeluxeSummary)
 
///////////////////////////////////////////////////
 
////////////////Ajout de liens internes (bistro, PàS, etc.) dans la boîte de navigation à gauche/////////////////////
 
function OptimizedNavig() 
{
  var a = document.getElementById("lire");
 
  if (a) 
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    { 
      var startUrl = '/w/index.php?title='
      var endUrl = '&action=purge'
 
      // liste des URLs
      var urls = new Array()
      urls[0] = 'Wikisource:Pages à supprimer'
      urls[1] = 'Special:Newpages'
      urls[2] = 'Special:Blockip'
      urls[3] = 'Special:Log/delete'
      urls[4] = 'Special:Unusedcategories'
      urls[5] = 'Special:Export'
      urls[6] = 'Special:Import'
      urls[7] = 'b:Special:Import'
      urls[8] = 'v:Special:Import'
      urls[9] = 'q:Special:Import'
      urls[10] = 'w:Special:Import'
      urls[11] = 'wikt:Special:Import'
      urls[12] = 'MediaWiki:Monobook.js'
      urls[13] = 'MediaWiki:Edittools'
 
 
 
      var labels = new Array()
      labels[0] = 'PàS'
      labels[1] = 'nPage'
      labels[2] = 'Block'
      labels[3] = 'Log/Del'
      labels[4] = 'unCat'
      labels[5] = 'Export'
      labels[6] = 'Import'
      labels[7] = 'b:Import'
      labels[8] = 'v:Import'
      labels[9] = 'q:Import'
      labels[10] = 'w:Import'
      labels[11] = 'wikt:Import'
      labels[12] = 'monobook'
      labels[13] = 'Edittools'
 
 
      for (var i=0;i<urls.length;i+=2) {
        tableHTML = '<table valign="top" cellspacing="0" cellpadding="0">'
        tableHTML += '<tr>'
        tableHTML += '<li><td><a href="' + startUrl + urls[i] + endUrl + '">' + labels[i] + ' | </a></td>'
        tableHTML += '<td><a href="' + startUrl + urls[i+1] + endUrl + '">' + labels[i+1] + '</a></td></li>'
        tableHTML += '</tr>'
        tableHTML += '</table>' 
        b[0].innerHTML = b[0].innerHTML + tableHTML
      }
 
    }
  }
}
 
addLoadEvent(OptimizedNavig);
 
 
/////////////////////////////////////
//OPTIMISE LE SUIVI
//Auteur : ?
//Version/Date : ?
function OptimizedSuivi() 
{
  if (document.URL.indexOf("http://fr.wikipedia.org/wiki/Special:Watchlist")==0 ||
      document.URL.indexOf("http://fr.wikipedia.org/w/index.php?title=Special:Watchlist")==0) {
 
    var allDays = document.getElementsByTagName("ul");          
    for (i=0; i<allDays.length; i++) {
       if (allDays[i].getAttribute("class") == "special") {
 
          var artList = allDays[i].getElementsByTagName("li");
          for (j=0; j<artList.length; j++) {
             var elem = artList[j];
             var aTag = elem.getElementsByTagName("a");
             var articleName = aTag[0].getAttribute("title");
             var stopWatch  = "/w/index.php?title=" + articleName + "&action=unwatch"
 
             var newElement = document.createElement("a");
             newElement.setAttribute("href",stopWatch);
             var newText = document.createTextNode("stop");
             newElement.appendChild(newText);
 
             var newPar = document.createTextNode(") (")
             // séparation des cas (nouvel article, ou déjà existant)
             if (aTag[0].childNodes[0].data == "diff") {
                insertAfter(elem, newPar, aTag[1]); 
             } else {
                insertAfter(elem, newPar, aTag[0]); 
             }
 
             insertAfter(elem, newElement, newPar);
          }       
       }
    }
  }
}
addLoadEvent(OptimizedSuivi);
 

/////////////////////////////////////AJOUT DE L'HISTORIQUE - PAGES LIÉES - sur les Special:Shortpages///////////////
function OptimizedShortPages() {
        if (document.URL.indexOf("http://fr.wikipedia.org/wiki/Special:Shortpages")!=0) return; 
 
        var mainNode = document.getElementsByTagName("ol");
 
        var allArticles = mainNode[0].getElementsByTagName("li"); 
        for (i=0; i<allArticles.length; i++) {
                var articleName = allArticles[i].childNodes[0].getAttribute("title");
 
                var historyElement = document.createElement("a");
                var histUrl      = "/w/index.php?title=" + articleName + "&action=history"
                historyElement.setAttribute("href", histUrl);
                var historyText = document.createTextNode("? (hist) ");
                historyElement.appendChild(historyText);
 
                insertAfter(allArticles[i], historyElement, allArticles[i].childNodes[1]); 
 
                var relatedElement = document.createElement("a");
                var relatedUrl  = "/wiki/Special:Whatlinkshere/" + articleName
                relatedElement.setAttribute("href", relatedUrl);
                var relatedText = document.createTextNode(" (liens) ");
                relatedElement.appendChild(relatedText);
 
                var diffElement = document.createElement("a");
                var diffUrl      = "/w/index.php?title=" + articleName + "&diff=0"
                diffElement.setAttribute("href", diffUrl);
                var diffText = document.createTextNode(" (diff) ");
                diffElement.appendChild(diffText);
 
                insertAfter(allArticles[i], relatedElement, historyElement);
                insertAfter(allArticles[i], diffElement, relatedElement);
                insertAfter(allArticles[i], document.createTextNode(allArticles[i].childNodes[1].data), diffElement);
 
                allArticles[i].removeChild(allArticles[i].childNodes[1]); 
          }
}
 
addLoadEvent(OptimizedShortPages);
 
///////////////////////MEILLEUR SUIVI///////////////////////
 
function OptimizedSuivi() 
{
        if (document.URL.indexOf("http://fr.wikipedia.org/wiki/Special:Watchlist")==0 ||
        document.URL.indexOf("http://fr.wikipedia.org/w/index.php?title=Special:Watchlist")==0 ){
 
                var allDays = document.getElementsByTagName("ul");
 
                for (i=0; i<allDays.length; i++) {
                        if (allDays[i].getAttribute("class") == "special") {
 
                                var artList = allDays[i].getElementsByTagName("li");
                                for (j=0; j<artList.length; j++) {
                                        var elem = artList[j];
                                        var aTag = elem.getElementsByTagName("a");
                                        var articleName = aTag[0].getAttribute("title");
                                        var stopWatch  = "/w/index.php?title=" + articleName + "&action=unwatch"
 
                                        var newElement = document.createElement("a");
                                        newElement.setAttribute("href",stopWatch);
                                        var newText = document.createTextNode("stop");
                                        newElement.appendChild(newText);
 
                                        var newPar = document.createTextNode(") (")
                                        // séparation des cas (nouvel article, ou déjà existant)
                                        if (aTag[0].childNodes[0].data == "diff") {
                                                insertAfter(elem, newPar, aTag[1]); 
                                        } else {
                                                insertAfter(elem, newPar, aTag[0]); 
                                        }
 
                                        insertAfter(elem, newElement, newPar);
                                }       
                        }
                }
        }
}
 
addLoadEvent(OptimizedSuivi);
 
////////////////////////////////////////
 
 
////FONCTION TODAYDATE///
function TodayDate()
{
        var m = new Array("janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre")
        var today = new Date()
        var day = today.getDate()
        var year = today.getYear()
 
        if (year < 2000)
                year += 1900
 
        return (day + " " + m[today.getMonth()] + " " + year)
}
 
 
///////////////////////////////////////////////////////
 
/* WikiED */
 
// Installe wikEd pour l'édition des pages (pour tous)
 
// install the French translation for [[en:User:Cacycle/wikEd]]
document.write('<script type="text/javascript" src="'
+ 'http://en.wikipedia.org/w/index.php?title=User:Leag/wikEd-fr.js'
+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
 
// install [[User:Cacycle/diff]] text diff code
document.write('<script type="text/javascript" src="'
+ 'http://en.wikipedia.org/w/index.php?title=User:Cacycle/diff.js'
+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
 
// install [[User:Pilaf/Live_Preview]] page preview tool
document.write('<script type="text/javascript" src="'
+ 'http://en.wikipedia.org/w/index.php?title=User:Pilaf/livepreview.js'
+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
 
// install [[User:Cacycle/wikEd]] editing page extension
document.write('<script type="text/javascript" src="'
+ 'http://en.wikipedia.org/w/index.php?title=User:Cacycle/wikEd.js'
+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
 
/* Barre d'outil du type général sans le commentaire mais avec balises */
 
//Ressemble à la fonction de /skins-1.5/commons/wikibits.js pour insérer un autre lien que insertTags
function marque_tab()
{
 var toolbar = document.getElementById('toolbar');
 if (!toolbar) return false;
 
 var textbox = document.getElementById('wpTextbox1');
 if (!textbox) return false;
 
 if (!document.selection && textbox.selectionStart == null)
 return false;
 
 var image = document.createElement("img");
 image.width = 23;
 image.height = 22;
 toolbar.appendChild(image);
}
 
addOnloadHook(marque_tab);
 
 
 
/*</pre>*/