 /* <pre><nowiki> */

/*************************** FONCTION POUR LeYaYa ET Sébastien Savard ************************************************************/

function sortWatchlistByNamespace() {
        if (unescape(window.location.href).indexOf("Special:Watchlist") > 0) {
                var main = document.createElement("div");
                main.id = "main";
                main.name = "Espace encyclopédique";
                var user = document.createElement("div");
                user.id = "user";
                user.name = "Espace utilisateur";
                var wiki = document.createElement("div");
                wiki.id = "wiki";
                wiki.name = "Espace wikipédia";
                var help = document.createElement("div");
                help.id = "help";
                help.name = "Espace aide";
                var temp = document.createElement("div");
                temp.id = "temp";
                temp.name = "Espace modèle";
                var img = document.createElement("div");
                img.id = "img";
                img.name = "Espace image";
                var cat = document.createElement("div");
                cat.id = "cat";
                cat.name = "Espace catégorie";
                var media = document.createElement("div");
                media.id = "media";
                media.name = "Espace mediawiki";
                var proj = document.createElement("div");
                proj.id = "proj";
                proj.name = "Espace projet";
                var port = document.createElement("div");
                port.id = "port";
                port.name = "Espace portail";
                var ref = document.createElement("div");
                ref.id = "ref";
                ref.name = "Espace référence";

                var h4s = document.getElementsByTagName("h4");
                for (var cpt1 = 0 ; cpt1 < h4s.length ; cpt1++) {
                        h4s[cpt1].style.display = "none";
                        if (h4s[cpt1].nextSibling.nextSibling.nodeName.toLowerCase() == "ul") {
                                h4s[cpt1].nextSibling.nextSibling.style.display = "none";
                                var lis = h4s[cpt1].nextSibling.nextSibling.getElementsByTagName("li");
                                for (var cpt2 = 0 ; cpt2 < lis.length ; cpt2++) {
                                        //we don't know which link to check :(
                                        var as = lis[cpt2].getElementsByTagName("a");
                                        var link;
                                        if (as[1].innerHTML == "hist" || as[1].innerHTML == "stop") {
                                                if(as[2].innerHTML == "stop") {
                                                        link = as[3].innerHTML;
                                                } else {
                                                        link = as[2].innerHTML;
                                                }
                                        } else {
                                                link = as[1].innerHTML;
                                        }
                                        //get the namespace
                                        var div = main;
                                        if (link.indexOf(":") > 0 && link.indexOf("Discuter:") < 0) {
                                                switch(link.split(":")[0]) {
                                                        case "Utilisateur":
                                                        case "Discussion Utilisateur": div = user; break;
                                                        case "Wikipédia":
                                                        case "Discussion Wikipédia": div = wiki; break;
                                                        case "Aide":
                                                        case "Discussion Aide": div = help; break;
                                                        case "Modèle":
                                                        case "Discussion Modèle": div = temp; break;
                                                        case "Image":
                                                        case "Discussion Image": div = img; break;
                                                        case "Catégorie":
                                                        case "Discussion Catégorie": div = cat; break;
                                                        case "MediaWiki":
                                                        case "Discussion MediaWiki": div = media; break;
                                                        case "Projet":
                                                        case "Discussion Projet": div = proj; break;
                                                        case "Portail":
                                                        case "Discussion Portail": div = port; break;
                                                        case "Référence":
                                                        case "Discussion Référence": div = ref; break;
                                                }
                                        }
                                        var sousDivs = div.getElementsByTagName("div");
                                        var currentH4 = null;
                                        var currentUl = null;
                                        if (sousDivs.length) {
                                                var sousH4s = sousDivs[0].getElementsByTagName("h4");
                                                for (var cpt3 = 0 ; cpt3 < sousH4s.length && !currentH4 ; cpt3++)
                                                        if (sousH4s[cpt3].innerHTML == h4s[cpt1].innerHTML)
                                                                currentH4 = sousH4s[cpt3];
                                                if (!currentH4) {
                                                        currentH4 = document.createElement("h4");
                                                        currentH4.innerHTML = h4s[cpt1].innerHTML;
                                                        sousDivs[0].appendChild(currentH4);
                                                        currentUl = document.createElement("ul");
                                                        currentUl.className = "special";
                                                        sousDivs[0].appendChild(currentUl);
                                                } else {
                                                        if (currentH4.nextSibling.nodeName.toLowerCase() == "ul")
                                                                currentUl = currentH4.nextSibling;
                                                        else
                                                                currentUl = currentH4.nextSibling.nextSibling;
                                                }
                                        } else {
                                                var sousDiv = document.createElement("div");
                                                sousDiv.id = div.id + "ToHide";
                                                var h3 = document.createElement("h3");
                                                h3.innerHTML = div.name;
                                                h3.style.cursor = "pointer";
                                                h3.title = "Clique moi pour faire apparaître ou disparaître ce que je contiens";
                                                h3.setAttribute("onclick", "javascript: var el = document.getElementById('" + div.id + "ToHide" + "'); el.style.display = (el.style.display == 'none' ? 'inline' : 'none');");
                                                div.appendChild(h3);
                                                div.appendChild(sousDiv);
                                                currentH4 = document.createElement("h4");
                                                currentH4.innerHTML = h4s[cpt1].innerHTML;
                                                sousDiv.appendChild(currentH4);
                                                currentUl = document.createElement("ul");
                                                currentUl.className = "special";
                                                sousDiv.appendChild(currentUl);
                                        }
                                        currentUl.appendChild(lis[cpt2].cloneNode(true));
                                }
                        }
                }
                var divToc = document.createElement("div");
                divToc.align = "center";
                var divNew = document.createElement("div");
                divNew.appendChild(document.createElement("br"));
                divNew.appendChild(divToc);
                document.getElementById("bodyContent").insertBefore(divNew, document.getElementById("bodyContent").getElementsByTagName("h4")[0]);


                var a1 = document.createElement("a");
                a1.href = "#";
                a1.innerHTML = "Masquer tous";
                a1.setAttribute("onclick", "javascript: h3s = document.getElementsByTagName('h3'); for (var cpt = 0 ; cpt < h3s.length ; cpt++) { var evObj = document.createEvent('MouseEvents'); evObj.initMouseEvent( 'click', true, true, window, 1, 12, 345, 7, 220, false, false, true, false, 0, null ); h3s[cpt].dispatchEvent(evObj); } this.innerHTML = (this.innerHTML.indexOf('Masquer') == 0 ? this.innerHTML.replace('Masquer', 'Montrer') : this.innerHTML.replace('Montrer', 'Masquer') );");
                divToc.appendChild(a1);
                if (main.hasChildNodes()) {
                        divNew.appendChild(main);
                        var a = document.createElement("a");
                        a.href = "#" + main.id;
                        a.innerHTML = main.name;
                        a.setAttribute("onclick", "javascript: el = document.getElementById('" + main.id + "ToHide" + "'); el.style.display = 'inline';");
                        divToc.appendChild(document.createTextNode(": "));
                        divToc.appendChild(a);
                }
                if (user.hasChildNodes()) {
                        divNew.appendChild(user);
                        var a = document.createElement("a");
                        a.href = "#" + user.id;
                        a.innerHTML = user.name;
                        a.setAttribute("onclick", "javascript: el = document.getElementById('" + user.id + "ToHide" + "'); el.style.display = 'inline';");
                        divToc.appendChild(document.createTextNode(" ~ "));
                        divToc.appendChild(a);
                }
                if (wiki.hasChildNodes()) {
                        divNew.appendChild(wiki);
                        var a = document.createElement("a");
                        a.href = "#" + wiki.id;
                        a.innerHTML = wiki.name;
                        a.setAttribute("onclick", "javascript: el = document.getElementById('" + wiki.id + "ToHide" + "'); el.style.display = 'inline';");
                        divToc.appendChild(document.createTextNode(" ~ "));
                        divToc.appendChild(a);
                }
                if (help.hasChildNodes()) {
                        divNew.appendChild(help);
                        var a = document.createElement("a");
                        a.href = "#" + help.id;
                        a.innerHTML = help.name;
                        a.setAttribute("onclick", "javascript: el = document.getElementById('" + help.id + "ToHide" + "'); el.style.display = 'inline';");
                        divToc.appendChild(document.createTextNode(" ~ "));
                        divToc.appendChild(a);
                }
                if (temp.hasChildNodes()) {
                        divNew.appendChild(temp);
                        var a = document.createElement("a");
                        a.href = "#" + temp.id;
                        a.innerHTML = temp.name;
                        a.setAttribute("onclick", "javascript: el = document.getElementById('" + temp.id + "ToHide" + "'); el.style.display = 'inline';");
                        divToc.appendChild(document.createTextNode(" ~ "));
                        divToc.appendChild(a);
                }
                if (img.hasChildNodes()) {
                        divNew.appendChild(img);
                        var a = document.createElement("a");
                        a.href = "#" + img.id;
                        a.innerHTML = img.name;
                        a.setAttribute("onclick", "javascript: el = document.getElementById('" + img.id + "ToHide" + "'); el.style.display = 'inline';");
                        divToc.appendChild(document.createTextNode(" ~ "));
                        divToc.appendChild(a);
                }
                if (cat.hasChildNodes()) {
                        divNew.appendChild(cat);
                        var a = document.createElement("a");
                        a.href = "#" + cat.id;
                        a.innerHTML = cat.name;
                        a.setAttribute("onclick", "javascript: el = document.getElementById('" + cat.id + "ToHide" + "'); el.style.display = 'inline';");
                        divToc.appendChild(document.createTextNode(" ~ "));
                        divToc.appendChild(a);
                }
                if (media.hasChildNodes()) {
                        divNew.appendChild(media);
                        var a = document.createElement("a");
                        a.href = "#" + media.id;
                        a.innerHTML = media.name;
                        a.setAttribute("onclick", "javascript: el = document.getElementById('" + media.id + "ToHide" + "'); el.style.display = 'inline';");
                        divToc.appendChild(document.createTextNode(" ~ "));
                        divToc.appendChild(a);
                }
                if (proj.hasChildNodes()) {
                        divNew.appendChild(proj);
                        var a = document.createElement("a");
                        a.href = "#" + proj.id;
                        a.innerHTML = proj.name;
                        a.setAttribute("onclick", "javascript: el = document.getElementById('" + proj.id + "ToHide" + "'); el.style.display = 'inline';");
                        divToc.appendChild(document.createTextNode(" ~ "));
                        divToc.appendChild(a);
                }
                if (port.hasChildNodes()) {
                        divNew.appendChild(port);
                        var a = document.createElement("a");
                        a.href = "#" + port.id;
                        a.innerHTML = port.name;
                        a.setAttribute("onclick", "javascript: el = document.getElementById('" + port.id + "ToHide" + "'); el.style.display = 'inline';");
                        divToc.appendChild(document.createTextNode(" ~ "));
                        divToc.appendChild(a);
                }
                if (ref.hasChildNodes()) {
                        divNew.appendChild(ref);
                        var a = document.createElement("a");
                        a.href = "#" + ref.id;
                        a.innerHTML = ref.name;
                        a.setAttribute("onclick", "javascript: el = document.getElementById('" + ref.id + "ToHide" + "'); el.style.display = 'inline';");
                        divToc.appendChild(document.createTextNode(" ~ "));
                        divToc.appendChild(a);
                }
        }
}

addLoadEvent(sortWatchlistByNamespace);

/* </nowiki></pre> */