//<nowiki>
function addCustomButton(imageFile, speedTip, tagOpen, tagClose, sampleText, imageId)
{
	mwCustomEditButtons[mwCustomEditButtons.length] =
	{
		"imageId": imageId,
		"imageFile": imageFile,
		"speedTip": speedTip,
		"tagOpen": tagOpen,
		"tagClose": tagClose,
		"sampleText": sampleText
	};
}

function creerBoutons()
{
	if(wgAction == "edit")
	{
		// Si on est dans l'espace de nom Discussion_Utilisateur:
		if(wgNamespaceNumber == 3)
		{
			addCustomButton('http://upload.wikimedia.org/wikipedia/commons/7/76/Testwarn1.png','Test 0','== Vos modifications sur [[',']] ont été annulées ==\n{{subst:Test 0}} ~~~~','');
			addCustomButton('http://upload.wikimedia.org/wikipedia/commons/0/03/Testwarn2.png','Test 1','== Vos modifications sur [[',']] ont été annulées ==\n{{subst:Test 1}} ~~~~','');
			addCustomButton('http://upload.wikimedia.org/wikipedia/commons/7/72/Testwarn3.png','Test 2','== Vos modifications sur [[',']] ont été annulées ==\n{{subst:Test 2}} ~~~~','');
			addCustomButton('http://upload.wikimedia.org/wikipedia/commons/9/9d/Testwarn4.png','Test 3','== Vos modifications sur [[',']] ont été annulées ==\n{{subst:Test 3}} ~~~~','');
			addCustomButton('http://upload.wikimedia.org/wikipedia/commons/c/cb/Pulsante_spam.png','Spam','== Vos modifications sur [[',']] ont été annulées ==\n{{subst:Bienvenue spammeur}} ~~~~','');
			addCustomButton('http://upload.wikimedia.org/wikipedia/commons/c/cc/Bouton_Vandale2.png','Bloqué','== Notification de blocage ==\n{{Bloqué}} ~~~~','','');
			addCustomButton('http://upload.wikimedia.org/wikipedia/commons/e/e4/Bouton_Vandale3.png','Banni','== Notification de blocage ==\n{{Vandale banni}} ~~~~','','');
		}

		// Si on est dans l'espace de nom Utilisateur:
		if(wgNamespaceNumber == 2 && wgPageName.split("/",1) == "Utilisateur:Linedwell")
		{
			addCustomButton('http://upload.wikimedia.org/wikipedia/commons/9/9d/Button_fait.png','Fini','{{Utilisateur:Linedwell/statut|fini}}','','');
			addCustomButton('http://upload.wikimedia.org/wikipedia/commons/6/6d/Button_unsigned.png','En cours','{{Utilisateur:Linedwell/statut|en cours}}','','');
			addCustomButton('http://upload.wikimedia.org/wikipedia/commons/3/3f/Button_attendre.png','En attente','{{Utilisateur:Linedwell/statut|standby}}','','');
			addCustomButton('http://upload.wikimedia.org/wikipedia/commons/9/9d/Button_halt.png','Stoppé','{{Utilisateur:Linedwell/statut|stoppé}}','','');
		}
		
		// Si on est dans l'espace de nom Main
		if(wgNamespaceNumber == 0 || wgPageName == "Utilisateur:Linedwell/Brouillon")
		{
			var infoboxAnimation = '{{Infobox modulaire/Début}}\n'
			+'{{Infobox Animation\n'
			+' | style entête    = œuvre\n'
			+' | titre           = \n'
			+' | image           = <!-- facultatif -->\n'
			+' | légende         = <!-- facultatif -->\n'
			+' | titreKanji      = <!-- facultatif -->\n'
			+' | titreJaponais   = <!-- facultatif -->\n'
			+' | type            = <!-- facultatif -->\n'
			+' | genre           = <!-- facultatif -->\n'
			+' | thème           = <!-- facultatif -->\n'
			+'}}\n'
			
			addCustomButton('http://upload.wikimedia.org/wikipedia/commons/e/ec/Button_base.png','Infobox Animation',infoboxAnimation,'{{Infobox modulaire/Fin}}','');
			
			var infoboxAnimationAnime = '{{Infobox Animation/Anime\n'
			+' | titre           = <!-- facultatif -->\n'
			+' | format          = série\n'
			+' | origine         = Japon\n'
			+' | type            = <!-- facultatif -->\n'
			+' | réalisateur1    = <!-- facultatif -->\n'
			+' | producteur1     = <!-- facultatif -->\n'
			+' | scénariste1     = <!-- facultatif -->\n'
			+' | studio          = <!-- facultatif -->\n'
			+' | compositeur1    = <!-- facultatif -->\n'
			+' | musique         = <!-- facultatif -->\n'
			+' | licence         = <!-- facultatif -->\n'
			+' | autre_licence   = <!-- facultatif -->\n'
			+' | chaine          = <!-- facultatif -->\n'
			+' | autre_chaine    = <!-- facultatif -->\n'
			+' | durée           = <!-- facultatif -->\n'
			+' | date_sortie     = <!-- facultatif -->\n'
			+' | début_diffusion = <!-- facultatif -->\n'
			+' | fin_diffusion   = <!-- facultatif -->\n'
			+' | nb_épisodes     = <!-- facultatif -->\n'
			+' | liste_épisodes  = <!-- facultatif -->\n'
			+'}}'
			
			addCustomButton('http://upload.wikimedia.org/wikipedia/commons/e/ec/Button_base.png','Infobox Animation/Anime',infoboxAnimationAnime,'','');
			
			var infoboxAnimationManga = '{{Infobox Animation/Manga\n'
			+' | titre           = <!-- facultatif -->\n'
			+' | format          = série\n'
			+' | origine         = Japon\n'
			+' | type            = <!-- facultatif -->\n'
			+' | auteur          = <!-- facultatif -->\n'
			+' | dessinateur     = <!-- facultatif -->\n'
			+' | éditeur         = <!-- facultatif -->\n'
			+' | autre_éditeur   = <!-- facultatif -->\n'
			+' | prépublié       = <!-- facultatif -->\n'
			+' | premier_volume  = <!-- facultatif -->\n'
			+' | dernier_volume  = <!-- facultatif, s’affiche uniquement si premier_volume est entré -->\n'
			+' | one_shot_sortie = <!-- facultatif -->\n'
			+' | nb_volumes      = <!-- facultatif -->\n'
			+' | liste_volumes   = <!-- facultatif, s’affiche uniquement si nb_volumes est entré -->\n'
			+'}}'
			
			addCustomButton('http://upload.wikimedia.org/wikipedia/commons/e/ec/Button_base.png','Infobox Animation/Manga',infoboxAnimationManga,'','');
			
		}
	}
}
	

addOnloadHook(creerBoutons);