 
obtenir('CopyScape'); // Détection de copyvio
 
obtenir('RenommageCategorie'); // Ajoute un onglet permettant de renommer une catégorie
 
obtenir('BistroOracle'); // Procure un lien vers le Bistro et l'Oracle
 
obtenir('EvalProject'); // Évaluation d'articles
 
obtenir('LiensRouges'); // Ajoute deux liens vers une recherche Google et les pages liées aux liens rouges pour trouver rapidement un titre approchant ou vérifier si le titre est demandé
 
obtenir('BlocageDeluxe'); // Ajout de boutons prédéfinis pour justifier un blocage
 
importScript('Utilisateur:Arkanosis/iKiwi.js'); // Récupération semi-automatique des interWikis depuis un autre wiki, parcours rapide des sous-pages du Projet:Interwikification

/*<pre>*/

 
 
/**
 * Installation d'une nouvelle fonction de cette façon :
 * aOnloadFunctions[aOnloadFunctions.length] = nom_de_la_fonction; // (sans parenthèses)
 */
if (!window.aOnloadFunctions) { 
  var aOnloadFunctions = new Array(); 
}
 
window.onload = function() 
{
  if (window.aOnloadFunctions) {
    for (var _i=0; _i<aOnloadFunctions.length; _i++) {
      aOnloadFunctions[_i]();
    }
  }
}
 
 
/**
 * Ajouter une nouvelle fonction à excuter au chargement de la page.
 */ 
function addLoadEvent(func) 
{
  if (window.addEventListener) 
    window.addEventListener("load", func, false);
  else if (window.attachEvent)
    window.attachEvent("onload", func);
}
 
//////////BARRE EDITION BOUTON//////////////////////////////////
 
function DeluxeBar() {
  if (document.createTextNode) {
        var toolbar = document.getElementById("toolbar"); 
        if (!toolbar) return;
 
 
        var messages = new Array()
        var images = new Array()
        var commentaires = new Array()
        var a=-1;
 
//Le décompte commence à -1 avec une incrementation sur le premier message, pour éviter tout probleme en cas d'inversion ou suppression du premier message
 
        // le texte a été splitté sinon Mediawiki casse tout...
 
        messages[++a] = "{{subst:" + "Bienvenue" + "}}" +  "--" + "~~" + "~~";
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/e/eb/Button_accueilB.png";
        commentaires[a] = "Bienvenue !"
 
        messages[++a] = "{{subst:" + "Testeurfou" + "}}" +  "--" + "~~" + "~~";
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/0/00/Button_vandale.png";
        commentaires[a] = "Avertissement vandalisme"
 
        messages[++a] = "{{subst:" + "Utilisateur:Grondin/Modèles en travaux/Note relecture|" + "}}";
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/2/2a/Button_examine.png";
        commentaires[a] = "Notes de relecture"
 
      ////////////////////////////////
 
for (var i=0;i<messages.length;i++) {
                var img = document.createElement("img");
                img.setAttribute("src", images[i]);
 
                var ref = document.createElement("a");
                ref.setAttribute("href", "javascript:insertTags('', \"" + messages[i] + "\", '');" + 
                                 "javascript:changeSummary(\"" + commentaires[i] + "\");" ); 
                ref.appendChild(img); 
 
                toolbar.appendChild(ref);
        }
  }
}
 
function changeSummary(sampleText) {
        document.editform.wpSummary.value = sampleText;
}
 
addLoadEvent(DeluxeBar);
 
 
function addToSummary(str)
{
        document.editform.wpSummary.value += " " + str
}
 
function DeluxeSummary()
{
        var sumLbl = document.getElementById("wpSummaryLabel")
        if (sumLbl)
        {
                //élargissement boite de résumé
                var sumInput = document.getElementById("wpSummary")
                sumInput.style.width = "90%"
 
                var titles = new Array()
                titles.push("ébauche")
                titles.push("cat")
                titles.push("image")
                titles.push("interwiki")
                titles.push("int")
                titles.push("ext")
                titles.push("interprojet")
                titles.push("corr interwiki")
                titles.push("corr rint")
                titles.push("corr ext")
                titles.push("ext -> int")
                titles.push("int -> interwiki")
                titles.push("MeP")
                titles.push("lecture")
                titles.push("fusion")
                titles.push("redir")
                titles.push("ortho/gram")
                titles.push("retouches")
                titles.push("ajInfo")
                titles.push("recat")
                titles.push("création")
                titles.push("Vote")
                titles.push("Motivation")
                titles.push("Réponse")
                titles.push("redir db")
                titles.push("sup copyvio")
                titles.push("date")
                titles.push("blocage")
 
 
                var inputs = new Array()
                inputs.push("- bandeau ébauche ")
                inputs.push("- catégorie ")
                inputs.push("- image ")
                inputs.push("- liens interwiki ")
                inputs.push("- lien interne ")
                inputs.push("- lien externe ")
                inputs.push("- lien interprojet ")
                inputs.push("correction liens interwiki ")
                inputs.push("correction lien interne ")
                inputs.push("correction lien externe ")
                inputs.push("conversion lien externe en lien interne ")
                inputs.push("conversion lien interne en lien interwiki ")
                inputs.push("mise en page ")
                inputs.push("Fiche de lecture ")
                inputs.push("fusion ")
                inputs.push("Redirect ")
                inputs.push("correction orthographe/grammaire ")
                inputs.push("diverses retouches ")
                inputs.push("ajout infos ")
                inputs.push("changement catégorie ")
                inputs.push("Initialisation de la page ")
                inputs.push("Avis rendu !")
                inputs.push("Ma motivation ")
                inputs.push("Réponse ")
                inputs.push("Correction double redirection ")
                inputs.push("- suppression passage en copyvio du site : ")
                inputs.push("- du "+ TodayDate())
                inputs.push("Avis de blocage ")
 
                var str = ""
                for (var cpt = 0; cpt < titles.length; cpt ++)
                {
                        str += "<a href=\"javascript:addToSummary('" + inputs[cpt] + "')\""
                                + " class=\"sumLink\" title=\"Ajouter '" + inputs[cpt] +"' dans la boîte de résumé\">"
                                + titles[cpt]
                                + " ·</a> "
                }
                sumLbl.innerHTML = str + "<br />" + sumLbl.innerHTML
        }
}
 
addLoadEvent(DeluxeSummary)
 
///////////////////////////////////////////////////
 
////////////////Ajout de liens internes (bistro, PàS, etc.) dans la boîte de navigation à gauche/////////////////////
 
function OptimizedNavig() 
{
  var a = document.getElementById("lire");
 
  if (a) 
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    { 
      var startUrl = '/w/index.php?title='
      var endUrl = '&action=purge'
 
      // liste des URLs
      var urls = new Array()
      urls[0] = 'Wikisource:Pages à supprimer'
      urls[1] = 'Special:Newpages'
      urls[2] = 'Special:Blockip'
      urls[3] = 'Special:Log/delete'
      urls[4] = 'Special:Unusedcategories'
      urls[5] = 'Special:Export'
      urls[6] = 'Special:Import'
      urls[7] = 'b:Special:Import'
      urls[8] = 'v:Special:Import'
      urls[9] = 'q:Special:Import'
      urls[10] = 'w:Special:Import'
      urls[11] = 'wikt:Special:Import'
      urls[12] = 'MediaWiki:Monobook.js'
      urls[13] = 'MediaWiki:Edittools'
 
 
 
      var labels = new Array()
      labels[0] = 'PàS'
      labels[1] = 'nPage'
      labels[2] = 'Block'
      labels[3] = 'Log/Del'
      labels[4] = 'unCat'
      labels[5] = 'Export'
      labels[6] = 'Import'
      labels[7] = 'b:Import'
      labels[8] = 'v:Import'
      labels[9] = 'q:Import'
      labels[10] = 'w:Import'
      labels[11] = 'wikt:Import'
      labels[12] = 'monobook'
      labels[13] = 'Edittools'
 
 
      for (var i=0;i<urls.length;i+=2) {
        tableHTML = '<table valign="top" cellspacing="0" cellpadding="0">'
        tableHTML += '<tr>'
        tableHTML += '<li><td><a href="' + startUrl + urls[i] + endUrl + '">' + labels[i] + ' | </a></td>'
        tableHTML += '<td><a href="' + startUrl + urls[i+1] + endUrl + '">' + labels[i+1] + '</a></td></li>'
        tableHTML += '</tr>'
        tableHTML += '</table>' 
        b[0].innerHTML = b[0].innerHTML + tableHTML
      }
 
    }
  }
}
 
addLoadEvent(OptimizedNavig);
 
 
/////////////////////////////////////
//OPTIMISE LE SUIVI
//Auteur : ?
//Version/Date : ?
function OptimizedSuivi() 
{
  if (document.URL.indexOf("http://fr.wikipedia.org/wiki/Special:Watchlist")==0 ||
      document.URL.indexOf("http://fr.wikipedia.org/w/index.php?title=Special:Watchlist")==0) {
 
    var allDays = document.getElementsByTagName("ul");          
    for (i=0; i<allDays.length; i++) {
       if (allDays[i].getAttribute("class") == "special") {
 
          var artList = allDays[i].getElementsByTagName("li");
          for (j=0; j<artList.length; j++) {
             var elem = artList[j];
             var aTag = elem.getElementsByTagName("a");
             var articleName = aTag[0].getAttribute("title");
             var stopWatch  = "/w/index.php?title=" + articleName + "&action=unwatch"
 
             var newElement = document.createElement("a");
             newElement.setAttribute("href",stopWatch);
             var newText = document.createTextNode("stop");
             newElement.appendChild(newText);
 
             var newPar = document.createTextNode(") (")
             // séparation des cas (nouvel article, ou déjà existant)
             if (aTag[0].childNodes[0].data == "diff") {
                insertAfter(elem, newPar, aTag[1]); 
             } else {
                insertAfter(elem, newPar, aTag[0]); 
             }
 
             insertAfter(elem, newElement, newPar);
          }       
       }
    }
  }
}
addLoadEvent(OptimizedSuivi);
 

/////////////////////////////////////AJOUT DE L'HISTORIQUE - PAGES LIÉES - sur les Special:Shortpages///////////////
function OptimizedShortPages() {
        if (document.URL.indexOf("http://fr.wikipedia.org/wiki/Special:Shortpages")!=0) return; 
 
        var mainNode = document.getElementsByTagName("ol");
 
        var allArticles = mainNode[0].getElementsByTagName("li"); 
        for (i=0; i<allArticles.length; i++) {
                var articleName = allArticles[i].childNodes[0].getAttribute("title");
 
                var historyElement = document.createElement("a");
                var histUrl      = "/w/index.php?title=" + articleName + "&action=history"
                historyElement.setAttribute("href", histUrl);
                var historyText = document.createTextNode("? (hist) ");
                historyElement.appendChild(historyText);
 
                insertAfter(allArticles[i], historyElement, allArticles[i].childNodes[1]); 
 
                var relatedElement = document.createElement("a");
                var relatedUrl  = "/wiki/Special:Whatlinkshere/" + articleName
                relatedElement.setAttribute("href", relatedUrl);
                var relatedText = document.createTextNode(" (liens) ");
                relatedElement.appendChild(relatedText);
 
                var diffElement = document.createElement("a");
                var diffUrl      = "/w/index.php?title=" + articleName + "&diff=0"
                diffElement.setAttribute("href", diffUrl);
                var diffText = document.createTextNode(" (diff) ");
                diffElement.appendChild(diffText);
 
                insertAfter(allArticles[i], relatedElement, historyElement);
                insertAfter(allArticles[i], diffElement, relatedElement);
                insertAfter(allArticles[i], document.createTextNode(allArticles[i].childNodes[1].data), diffElement);
 
                allArticles[i].removeChild(allArticles[i].childNodes[1]); 
          }
}
 
addLoadEvent(OptimizedShortPages);
 
///////////////////////MEILLEUR SUIVI///////////////////////
 
function OptimizedSuivi() 
{
        if (document.URL.indexOf("http://fr.wikipedia.org/wiki/Special:Watchlist")==0 ||
        document.URL.indexOf("http://fr.wikipedia.org/w/index.php?title=Special:Watchlist")==0 ){
 
                var allDays = document.getElementsByTagName("ul");
 
                for (i=0; i<allDays.length; i++) {
                        if (allDays[i].getAttribute("class") == "special") {
 
                                var artList = allDays[i].getElementsByTagName("li");
                                for (j=0; j<artList.length; j++) {
                                        var elem = artList[j];
                                        var aTag = elem.getElementsByTagName("a");
                                        var articleName = aTag[0].getAttribute("title");
                                        var stopWatch  = "/w/index.php?title=" + articleName + "&action=unwatch"
 
                                        var newElement = document.createElement("a");
                                        newElement.setAttribute("href",stopWatch);
                                        var newText = document.createTextNode("stop");
                                        newElement.appendChild(newText);
 
                                        var newPar = document.createTextNode(") (")
                                        // séparation des cas (nouvel article, ou déjà existant)
                                        if (aTag[0].childNodes[0].data == "diff") {
                                                insertAfter(elem, newPar, aTag[1]); 
                                        } else {
                                                insertAfter(elem, newPar, aTag[0]); 
                                        }
 
                                        insertAfter(elem, newElement, newPar);
                                }       
                        }
                }
        }
}
 
addLoadEvent(OptimizedSuivi);
 
////////////////////////////////////////
 
 
////FONCTION TODAYDATE///
function TodayDate()
{
        var m = new Array("janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre")
        var today = new Date()
        var day = today.getDate()
        var year = today.getYear()
 
        if (year < 2000)
                year += 1900
 
        return (day + " " + m[today.getMonth()] + " " + year)
}
 
 
///////////////////////////////////////////////////////
 
/* WikiED */
 
// Installe wikEd pour l'édition des pages (pour tous)
 
// install the French translation for [[en:User:Cacycle/wikEd]]
document.write('<script type="text/javascript" src="'
+ 'http://en.wikipedia.org/w/index.php?title=User:Leag/wikEd-fr.js'
+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
 
// install [[User:Cacycle/diff]] text diff code
document.write('<script type="text/javascript" src="'
+ 'http://en.wikipedia.org/w/index.php?title=User:Cacycle/diff.js'
+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
 
// install [[User:Pilaf/Live_Preview]] page preview tool
document.write('<script type="text/javascript" src="'
+ 'http://en.wikipedia.org/w/index.php?title=User:Pilaf/livepreview.js'
+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
 
// install [[User:Cacycle/wikEd]] editing page extension
document.write('<script type="text/javascript" src="'
+ 'http://en.wikipedia.org/w/index.php?title=User:Cacycle/wikEd.js'
+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
 
/* Barre d'outil du type général sans le commentaire mais avec balises */
 
//Ressemble à la fonction de /skins-1.5/commons/wikibits.js pour insérer un autre lien que insertTags
function marque_tab()
{
 var toolbar = document.getElementById('toolbar');
 if (!toolbar) return false;
 
 var textbox = document.getElementById('wpTextbox1');
 if (!textbox) return false;
 
 if (!document.selection && textbox.selectionStart == null)
 return false;
 
 var image = document.createElement("img");
 image.width = 23;
 image.height = 22;
 toolbar.appendChild(image);
}
 
addOnloadHook(marque_tab);
 
 
 
/*</pre>*/

importScript('Utilisateur:Argos42/PaStec.js');




function addLoadEvent(func) {
    if (window.addEventListener) {
        window.addEventListener("load", func, false);
    } else if (window.attachEvent) {
        window.attachEvent("onload", func);
    }
}
 
function TodayDate() {
     m = new Array("janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre");
     today = new Date();
     day = today.getDate();
     year = today.getYear();
 
     if (year < 2000)    
          year = year + 1900;
 
     return (m[today.getMonth()] + " " + year);
}








 
// debut fonction  DeluxeBar
 
function DeluxeBar() {
  if (document.createTextNode) {
        var toolbar = document.getElementById("toolbar"); 
        if (!toolbar) return;
 
        var messages = new Array()
        var images = new Array()
        var commentaires = new Array()
        var a=-1; //Le décompte commence à -1 avec une incrementation sur le premier message, pour éviter tout probleme en cas d'inversion ou suppression du premier message
 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/f/fe/New_icon_shiny_badge.svg', 'Souhaiter la bienvenue aux nouveaux', '{{Utilisateur:Trizek/Bac à sable/bienvenutage|user\=Lomita|sign\=~'+'~'+'~'+'~|message\=}}', '', '', 'mw-editbutton-bienvenutageproto')

        messages[++a] = "{{" + "admissibilite|date= " + TodayDate() + "}}" ;
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/thumb/4/47/Crystal_Clear_mimetype_applix.png/20px-Crystal_Clear_mimetype_applix.png";
        commentaires[a] = "Admissibilité";

        messages[++a] = "{{" + "a sourcer|date= " + TodayDate() + "}}" ;
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/thumb/e/e8/Crystal_Clear_filesystem_pipe.png/20px-Crystal_Clear_filesystem_pipe.png";
        commentaires[a] = "A sourcer";

        messages[++a] = "{{" + "pub|date= " + TodayDate() + "}}" ;
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/thumb/1/10/Crystal_Clear_app_kfm.png/20px-Crystal_Clear_app_kfm.png";
        commentaires[a] = "Publicité";

        messages[++a] = "Bonjour, mettre le même lien sur une multitude d'articles s'apparente à du spam et n'est pas autorisé sur Wikipédia. Donc, si le contenu de ce lien est encyclopédique et peut apporter des améliorations aux différents articles, il faut l'analyser, enrichir les articles en écriture et le passer en référence – Tout est expliqué dans [[WP :SPAM]] – Je vous invite également à lire ou relire les règles concernant les liens externes [[WP:LE]] - En conséquence, je reverte immédiatement tous les liens externes que vous avez mis sur différents articles. Bonne continuation <br> "+  "~~" + "~~";
        images[a] =  "http://upload.wikimedia.org/wikipedia/commons/f/fb/Button_spam2.png";
       commentaires[a] = "1er avertissement pour spam";

        messages[++a] = "{{" + "Bienvenue spammeur" + "}}" +  "~~" + "~~";
        images[a] =  "http://upload.wikimedia.org/wikipedia/commons/thumb/7/7e/Crystal_Clear_filesystem_file_important.png/20px-Crystal_Clear_filesystem_file_important.png"
       commentaires[a] = "Dernier avertissement pour spam";



        messages[++a] = "{{" + "Test0" + "}}" +  "~~" + "~~";
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/thumb/9/99/Crystal_Clear_action_lock-silver.png/20px-Crystal_Clear_action_lock-silver.png";
        commentaires[a] = "Test0";
 
        messages[++a] = "{{" + "Test1" + "}}" +  "~~" + "~~";
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/thumb/f/ff/Crystal_Clear_action_lock.png/20px-Crystal_Clear_action_lock.png";
        commentaires[a] = "Test1";
 
        messages[++a] = "{{" + "Test3" + "}}" +  "~~" + "~~";
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/thumb/4/4d/Crystal_Clear_action_lock_-_pink.png/20px-Crystal_Clear_action_lock_-_pink.png";
        commentaires[a] = "Dernier avertissement avant blocage";

        messages[++a] = "{{" + "BSI" + "}}" +  "~~" + "~~";
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/thumb/3/32/Crystal_Clear_app_atlantik.png/20px-Crystal_Clear_app_atlantik.png";
        commentaires[a] = "BSI -";
 
 
        messages[++a] = "{{" + "Bienvenue Copyvio 1" + "}}<br>Bonjour, Avant de faire cette demande de républication, assurez vous également que votre article est considéré admissible  [[WP:CAA|'''critères d'admissibilité''']] - En effet, ''Un article est admissible s'il expose des connaissances vérifiables, pertinentes et neutres sur un sujet développé dans des documents dignes de foi'' ; donc un article basé sur le seul site officiel risque d'être supprimé, autorisation ou pas). -  Bonne continuation - " +  "~~" + "~~";
        images[a]   = "http://upload.wikimedia.org/wikipedia/commons/d/d3/Button_copyvio_discuss.png";
        commentaires[a] = "Violation de droits d'auteurs";

        messages[++a] = "{{" + "Bienvenue Copyvio 3" + "}}<br>Bonjour, Merci de prendre connaissance du message précédent-  Bonne continuation - " +  "~~" + "~~";
        images[a]   = "http://upload.wikimedia.org/wikipedia/commons/d/d3/Button_copyvio_discuss.png";
        commentaires[a] = "Violation de droits d'auteurs";

         messages[++a] = "Bonjour, Wikipédia est une encyclopédie avec des règles, Je vous invite à prendre connaissance des critères d'admissibilité [[WP:CAA]] des articles - J'ai supprimé le votre qui ne répondait pas à ces critères - Maintenant, si vous pensez que cette suppression n'est pas justifiée, vous pouvez demander l'avis d'un deuxième administrateur en faisant une demande de restauration de page [[WP:DRP]] en y indiquant des '''sources fiables sous forme de liens externes'''  lui permettant ainsi de confirmer ou infirmer cette suppression - Bonne continuation<br>" +  "~~" + "~~";
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/thumb/a/a1/Crystal_Clear_action_editdelete.png/20px-Crystal_Clear_action_editdelete.png";
        commentaires[a] = "Critères d'admissibilité des articles";
 
        messages[++a] = "Bonjour, Wikipédia est une encyclopédie libre avec des règles et notamment concernant les liens externes que je vous invite à lire [[WP:LE]] - WP n'est pas une plateforme publicitaire ni un annuaire de liens externes - Donc, si le contenu de ce lien est encyclopédique et peut apporter des améliorations à l'article, il faut l'analyser, enrichir l'article en écriture et le passer en références. Je vous remercie de bien vouloir en tenir compte lors de vos prochaines contributions. Bonne continuation<br>"  +  "~~" + "~~";
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/thumb/5/5d/Crystal_Clear_action_run.png/20px-Crystal_Clear_action_run.png";
        commentaires[a] = "Aide liens externes";
 
                for (var i=0;i<messages.length;i++) {
                var img = document.createElement("img");
                img.setAttribute("src", images[i]);
 
                var ref = document.createElement("a");
                ref.setAttribute("href", "javascript:insertTags('', \"" + messages[i] + "\", '');" + 
                                 "javascript:changeSummary(\"" + commentaires[i] + "\");" ); 
                ref.appendChild(img); 
 
                toolbar.appendChild(ref);
        }
  }
}
 
function changeSummary(sampleText) {
        document.editform.wpSummary.value = sampleText;
}
 
addOnloadHook(DeluxeBar);

// fin fonction  DeluxeBar


// debut fonction  DeluxeSummary 

// Résumé Projet:Correction syntaxique
function addToSummary(str)
{
        document.editform.wpSummary.value += str
}
function clearSummary()
{
        document.editform.wpSummary.value = "";
}
function DeluxeSummary()
{
        var sumLbl = document.getElementById("wpSummaryLabel")
        if (sumLbl)
        {
                //élargissement boite de résumé
                var sumInput = document.getElementById("wpSummary")
                sumInput.style.width = "90%"
 
                var titles = new Array()
                titles.push("Balise HTML")
                titles.push("Balise small")
                titles.push("Catégorie")
                titles.push("Defaultsort")
                titles.push("Image")
                titles.push("ISBN")
                titles.push("Lien externe")
                titles.push("Lien interne")
                titles.push("Lien interwiki")
                titles.push("Liste")
                titles.push("Modèle")
                titles.push("Référence")
                titles.push("Tableau")
                titles.push("Titre de section")
                titles.push("Homonymie") 
                titles.push("Version saine") 
                titles.push("Copyvio") 
                titles.push("[[WP:LE]]") 
                titles.push("Compte pub") 
                titles.push("Hébergement") 
                titles.push("Bienvenue") 

                var inputs = new Array()
                inputs.push("Balise HTML <X> (détection par [[Projet:Correction syntaxique]]) ")
                inputs.push("Balise <small> dans un texte déjà réduit (détection par [[Projet:Correction syntaxique]]) ")
                inputs.push("Catégorie (détection par [[Projet:Correction syntaxique]]) ")
                inputs.push("DEFAULTSORT (détection par [[Projet:Correction syntaxique]]) ")
                inputs.push("Image (détection par [[Projet:Correction syntaxique]]) ")
                inputs.push("ISBN (détection par [[Projet:Correction syntaxique]]) ")
                inputs.push("Lien externe (détection par [[Projet:Correction syntaxique]]) ")
                inputs.push("Lien interne (détection par [[Projet:Correction syntaxique]]) ")
                inputs.push("Lien interwiki (détection par [[Projet:Correction syntaxique]]) ")
                inputs.push("Liste (détection par [[Projet:Correction syntaxique]]) ")
                inputs.push("Modèle (détection par [[Projet:Correction syntaxique]]) ")
                inputs.push("Référence (détection par [[Projet:Correction syntaxique]]) ")
                inputs.push("Tableau (détection par [[Projet:Correction syntaxique]]) ")
                inputs.push("Titre de section (détection par [[Projet:Correction syntaxique]]) ")
                inputs.push("Projet pages homonymie [[P:HOM]] ")
                inputs.push("Version saine sans copyvio ")
                inputs.push("Violation des droits d'auteurs ")
                inputs.push("Voir [[WP:LE]] ")
                inputs.push("Compte publicitaire ")
                inputs.push("Hébergement ")
                inputs.push("Bienvenue ")

                var str = ""
                for (var cpt = 0; cpt < titles.length; cpt ++)
                {
                        str += "• <a href=\"javascript:addToSummary('" + inputs[cpt] + "')\""
                                + " class=\"sumLink\" title=\"Ajouter '" + inputs[cpt] +"' dans la boîte de résumé\">"
                                +titles[cpt]
                                + "</a>  "
                }
                sumLbl.innerHTML = "<a href=\"javascript:clearSummary()\">Correction syntaxique</a> ••" + str + "<br />" + sumLbl.innerHTML
        }
}
 
//addOnloadHook(DeluxeSummary);
addLoadEvent(DeluxeSummary)
 
// fin fonction  DeluxeSummary


//############################################################//

obtenir("SuppressionDeluxe");
obtenir("BlocageDeluxe");
obtenir("RestaurationDeluxe");
obtenir("OptimizedShort");