// Projet:Liens vers les pages d'homonymie
//// Détecteur de lien vers un page d'homonymie
obtenir('verifHomon');

// Projet:Correction syntaxique & Wikipédia:Atelier accessibilité
//// Résumé simplifié
function addToSummary(str)
{
        document.editform.wpSummary.value += str
}
function clearSummary()
{
        document.editform.wpSummary.value = "";
}
function DeluxeSummary()
{
        var sumLbl = document.getElementById("wpSummaryLabel")
        if (sumLbl)
        {
                //élargissement boite de résumé
                var sumInput = document.getElementById("wpSummary")
                sumInput.style.width = "90%"
                
                var next   = "(s) ·"
                
//---------------------------------------------------------------------------------
//      Début de la définition des messages pour Projet:Correction syntaxique
//---------------------------------------------------------------------------------
                
                var couleurCS = "#FA8900"                
                var titlesCS = new Array()
                var inputsCS = new Array()
                
                titlesCS.push(" CS: ·")
                inputsCS.push("[[P:CS|Correction syntaxique]] : ")
                
                titlesCS.push(" interne")
                inputsCS.push("lien interne")
                titlesCS.push(next)
                inputsCS.push("liens internes")
                
                titlesCS.push(" externe")
                inputsCS.push("lien externe")
                titlesCS.push(next)
                inputsCS.push("liens externes")
                
                titlesCS.push(" modèle")
                inputsCS.push("modèle")
                titlesCS.push(next)
                inputsCS.push("modèles")
                
                titlesCS.push(" inter")
                inputsCS.push("[[P:CS/082|lien interwiki]]")
                titlesCS.push(next)
                inputsCS.push("[[P:CS/082|liens interwiki]]")
                
                titlesCS.push(" HTML")
                inputsCS.push("Balise HTML")
                titlesCS.push(next)
                inputsCS.push("Balises HTML")
                
                titlesCS.push(" table")
                inputsCS.push("tableau")
                titlesCS.push(next)
                inputsCS.push("tableaux")
                
                titlesCS.push(" HTMLtable")
                inputsCS.push("[[P:CS/031|tableau mis en syntaxe wiki]]")
                titlesCS.push(next)
                inputsCS.push("[[P:CS/031|tableaux mis en syntaxe wiki]]")
                
                titlesCS.push(" .ref")
                inputsCS.push("[[P:CS/067|ponctuation avant une référence]]")
                titlesCS.push(next)
                inputsCS.push("[[P:CS/067|ponctuation avant des références]]")
                
                titlesCS.push(" ref×")
                inputsCS.push("[[P:CS/081|référence répétée]]")
                titlesCS.push(next)
                inputsCS.push("[[P:CS/081|références répétées]]")
                
                titlesCS.push(" (CS)")
                inputsCS.push(" ([[P:CS|correction syntaxique]])")
                
//---------------------------------------------------------------------------------
//      Fin de la définition des messages pour Projet:Correction syntaxique
//---------------------------------------------------------------------------------
                
//---------------------------------------------------------------------------------
//      Début de la définition des messages pour Wikipédia:Atelier accessibilité
//---------------------------------------------------------------------------------
                
                var couleurAA = "#2CAC2F"
                var titlesAA = new Array()
                var inputsAA = new Array()
                
                titlesAA.push(" AA: ·")
                inputsAA.push("[[WP:AA|Atelier accessibilité]] : ")
                
                titlesAA.push(" liste ·")
                inputsAA.push("[[Wikipédia:Atelier_accessibilité/Bonnes_pratiques#Listes|éléments de listes mal utilisés]]")
                
                titlesAA.push(" scope")
                inputsAA.push("[[Wikipédia:Atelier_accessibilité/Bonnes_pratiques#Tableaux|scopes sur le tableau]]")
                titlesAA.push(next)
                inputsAA.push("[[Wikipédia:Atelier_accessibilité/Bonnes_pratiques#Tableaux|scopes sur les tableaux]]")

                titlesAA.push(" {{lang}}")
                inputsAA.push("[[Wikipédia:Atelier_accessibilité/Bonnes_pratiques#Changements_de_langue|{{lang}}]]")
                
                titlesAA.push(" (AA)")
                inputsAA.push(" ([[WP:AA|atelier accessibilité]])")
                
//---------------------------------------------------------------------------------
//      Fin de la définition des messages pour Wikipédia:Atelier accessibilité
//---------------------------------------------------------------------------------
                
                var strCS = ""
                for (var cpt = 0; cpt < titlesCS.length; cpt ++)
                {
                        strCS += "<a href=\"javascript:addToSummary('" + inputsCS[cpt] + "')\""
                                + " class=\"sumLink\" title=\"Ajouter '" + inputsCS[cpt] +"' dans la boîte de résumé\" style=\"color:" + couleurCS + ";\">"
                                +titlesCS[cpt]
                                + "</a>"
                }
                var strAA = ""
                for (var cpt = 0; cpt < titlesAA.length; cpt ++)
                {
                        strAA += "<a href=\"javascript:addToSummary('" + inputsAA[cpt] + "')\""
                                + " class=\"sumLink\" title=\"Ajouter '" + inputsAA[cpt] +"' dans la boîte de résumé\" style=\"color:" + couleurAA + ";\">"
                                +titlesAA[cpt]
                                + "</a>"
                }
                sumLbl.innerHTML = "<b><a href=\"http://fr.wikipedia.org/wiki/Projet:Correction_syntaxique\""
                                    + " title=\"ouvrir la page du projet dans un nouvel onglet\""
                                    + " Onclick=\"window.open(this.href);return false;\" style=\"color:" + couleurCS + ";\">"
                                    + "Projet correction syntaxique :</a></b> "
                                    + "<a href=\"javascript:clearSummary()\" title=\"Effacer le résumé\" style=\"color:" + couleurCS + ";\"><i>Eff</i></a> ·"
                                    + strCS + "<br />"
                                    + "<b><a href=\"http://fr.wikipedia.org/wiki/Wikipédia:Atelier Accessibilité\""
                                    + " title=\"ouvrir la page de l'atelier dans un nouvel onglet\""
                                    + " Onclick=\"window.open(this.href);return false;\"  style=\"color:" + couleurAA + ";\">"
                                    + "Atelier accessibilité :</a></b> "
                                    + "<a href=\"javascript:clearSummary()\" title=\"Effacer le résumé\" style=\"color:" + couleurAA + ";\"><i>Eff</i></a> ·"
                                    + strAA
                                    + "<br />"
//---------------------------------------------------------------------------------
//      Début des utilisations de {{lang}}
//---------------------------------------------------------------------------------
                                    + "<a href=\"javascript:insertTags('{{lang|en|','}}')\">{{en}}</a> · "
                                    + "<a href=\"javascript:insertTags('{{lang|de|','}}')\">{{de}}</a>"
//---------------------------------------------------------------------------------
//      Fin des utilisations de {{lang}}
//---------------------------------------------------------------------------------
                                    + "<br />" + sumLbl.innerHTML
        }
}
 
addOnloadHook(DeluxeSummary);