var alreadyVisited = [];

var code = $('html').html();
var content = $('#bodyContent').html();
var title = $('#firstHeading').html();
var titleTag = $('title').html();
alreadyVisited[location.href] = [content, title, titleTag, wgNamespaceNumber, wgAction, wgPageName, wgMainPageTitle];

function updatePage(url, incache) {
	if(incache) {
		$('#bodyContent').html(alreadyVisited[i][0]);
		
		$('#firstHeading').html(alreadyVisited[i][1]);
		
		$('title').html(alreadyVisited[i][2]);
		
		wgNamespaceNumber = alreadyVisited[i][3];
		wgAction = alreadyVisited[i][4];
		wgPageName = alreadyVisited[i][5];
		wgMainPageTitle = alreadyVisited[i][6];

		if(wgAction == 'edit') {
			importScript('MediaWiki:Common.js/edit.js');
		}
		
		for(var i in onloadFuncts) {
			onloadFuncts[i]();
		}
		
		watchContent('#bodyContent ');
	}
	
	else {
		$('#bodyContent').slideToggle('fast');
		$('#firstHeading').fadeOut('fast');
		$.ajax({url: url, success: function(code) {
			var content = code.split('<div id="bodyContent">')[1].split('<div class="visualClear"></div>')[0];
			$('#bodyContent').html(content);
			$('#bodyContent').slideToggle('fast');
			
			var title = code.split('class="firstHeading">')[1].split('</h1>')[0];
			$('#firstHeading').html(title);
			$('#firstHeading').fadeIn('fast');
			
			var titleTag = code.split('<title>')[1].split('</title>')[0];
			$('title').html(titleTag);
			
			wgNamespaceNumber = code.split('type="text/javascript">wgNamespaceNumber=')[1].split(';wgAction="')[0];
			if(parseInt(wgNamespaceNumber) == wgNamespaceNumber) wgNamespaceNumber = parseInt(wgNamespaceNumber);
			wgAction = code.split(';wgAction="')[1].split('";wgPageName="')[0];
			wgPageName = code.split(';wgPageName="')[1].split('";wgMainPageTitle="')[0];
			wgMainPageTitle = code.split('";wgMainPageTitle="')[1].split('";wgWikimediaMobileUrl="')[0];
			
			alreadyVisited[url] = [content, title, titleTag, wgNamespaceNumber, wgAction, wgPageName, wgMainPageTitle];
			
			if(wgAction == 'edit') {
				importScript('MediaWiki:Common.js/edit.js');
			}
			
			for(var i in onloadFuncts) {
				onloadFuncts[i]();
			}
			
			watchContent('#bodyContent ');
		}});
	}
}

function watchContent(prfx) {
	$(prfx + 'a:not(.external)').click(function(e) {
		var url = $(this).attr('href');
		
		if(url.charAt(0) == '/') {
			url = 'http://fr.wikipedia.org' + url;
		}
		
		if(url.indexOf('http://fr.wikipedia.org/w') == 0) {
			history.pushState(null, null, url);
			e.preventDefault();
			updatePage(url, false);
		}
	});
}

watchContent('');
	
$(window).bind('popstate', function() {
	updatePage(location.href, true);
});