 {{À wikifier|date=avril 2008}}
{{à délister}}
'''Cherif Rahmani''' (arabe:شريف رحماني) né le 16 janvier 1945 à [[Aïn-Ouessara]] dans la [[wilaya]] de [[Djelfa]] (Algérie) est un homme politique algérien.

== Formation et Diplômes ==
*Diplôme de l'[[École nationale d'administration (France)|École nationale d'administration]] (ENA) (1ère promotion ). 
*Docteur d'État en Aménagement du territoire. Professeur à l'université de Poitiers. 
*Professeur à l'ENA.

== Fonctions politiques, parlementaires et ministérielles ==
*Sous-directeur des collectivités locales au ministère de l'Intérieur, 
*Directeur de l'administration et des finances locales au ministère de l'Intérieur. 
*Directeur Général des collectivités locales au Ministère de l'Intérieur. 
*Inspecteur général à la Présidence de la République. Wali de Tébessa. Wali d'Alger. 
*Secrétaire général du ministère de l'Intérieur. 
*Ministre de la Jeunesse et des Sports. 
*Ministre de l'Equipement. 
*Ministre de l'Equipement et de l'Aménagement du territoire. 
*Ministre en mission extraordinaire chargé de l'administration de la Wilaya d'Alger. 
*Ministre Gouverneur du Grand Alger. 
*Ministre de l'Aménagement du territoire et de l'Environnement.

== Biographie ==
Cherif Rahmani travaillera à améliorer le droit environnemental en Algérie. Sous son patronage, de nouvelles institutions spécialisées ont vu le jour dans le but de concevoir et de mettre en œuvre une politique de l’environnement dans la perspective du développement durable.

Il a également veillé à la mise en place d’instruments économiques et financiers visant à instaurer en Algérie une fiscalité écologique aux normes internationales consacrant le principe de pollueur-payeur. Il a contribué à la mise en œuvre du Plan National d’Action pour l’Environnement et le Développement Durable (PNAE-DD). Cette approche, adopté par le Gouvernement, a déterminé quatre objectifs stratégiques : l’amélioration de la santé et de la qualité de vie, l’amélioration et la productivité du capital naturel, la réduction des pertes économiques et l’amélioration de la compétitivité, l’amélioration de l’environnement global (réduction des gaz à effet de serre, changements climatiques…).

En tant que Président de la Fondation « Déserts du Monde » et Porte-parole honorifique de l’Année internationale des Nations Unies pour les déserts et la lutte contre la désertification, M. Rahmani a, par exemple, contribué à la réalisation de l’Institut des Déserts et du Musée des Déserts, à la réhabilitation du Fort de Tinerkout. Il a également participé à la réalisation de la Conférence internationale sur la biodiversité des déserts (Brésil), de la Conférence internationale sur les femmes et la désertification (Italie), du Deuxième symposium international sur la désertification et la migration (Tunisie), ainsi qu’à l’organisation du 3ème Festival des Cultures et Civilisations des Peuples des Déserts.

Cherif Rahmani a élaboré le Schéma national d'aménagement du territoire (SNAT 2025). Le SNAT est doté de moyens législatifs, réglementaires, organisationnels, financiers et fiscaux, pour impulser une réorganisation du territoire. Celle-ci a déjà commencé avec un vaste et ambitieux programme d'investissement, de modernisation économique et infrastructurelle. 

Il a reçu le 24 mars 2008 <ref>http://www.elmoudjahid.com/em/de-bouche-a-oreille 2158.html?VivvoSessionId=11be4d7e47d527bf704f8</ref> « Le bouclier de l'Environnement », décoration décernée par le Réseau arabe pour l'environnement et le développement durable (RAED) qui regroupe les associations et les organisations non gouvernementales du monde arabe.

Le Plan d’actions  pour la Méditerranée (PAM) lui a décerné le titre d’ambassadeur de la côte méditerrannéenne <ref>http://www.dzira.com/actualites/article-4428.htm</ref>

==Controverses==

Chérif Rahmani suscite beaucoup de critiques, Ce bâtisseur de l’Algérie moderne a servi l’Algérie pendant sa periode difficile. L’amour de l’Algérie et le développement de la nation ont était la priorité de ce grand serviteur de l'état. Cherif Rahmani représente la peur et la haine pour ses ennemies (voir ci-dessous) et l’espoir, l’efficacité pour les vrais algériens.

Example : Chérif Rahmani aurait détourné des biens de l'État algérien, principalement pendant son mandat de Gouverneur d'Alger. <ref> EL Khabar EL Oussboui ,hebdomadaire en arabe n° 445 du 8-14 septembre 2007</ref><ref>El Khabar, quotidien en arabe, numeros du 6/9/2005, et du 15/11/2007</ref><ref>Ech-chorouk el youmi , quotidien en arabe, numeros du 9/10/2007,du 18/11/2007,du 15/12/2007 et du 6/2/2008</ref>

Il est qualifié par ses '''détracteurs''' de {{guil|nouveau Dey d'Alger}}<ref>Jean Pierre TUQUOI , le Monde du 3 mars 200, www.algeria-watch.org</ref>, suite aux dilapidations des deniers de l'Etat algérien.

==Notes et références==
<references/>