/**
 * Utilisation du modèle Modèle:Images
 */
function toggleImage(group, remindex, shwindex) {
    document.getElementById('ImageGroupsGr' + group + 'Im' + remindex).style.display = 'none';
    document.getElementById('ImageGroupsGr' + group + 'Im' + shwindex).style.display = 'block';
}

function imageGroup(cible) {

    if (/^[^#]*[?&](%20)*printable=[^&#]/.test(document.URL)) {
        return;
    }

    var conteneur;
    if (cible) {
        conteneur = cible;
    } else {
        conteneur = document.getElementById('bodyContent');
        if (!conteneur) { conteneur = document.getElementById('mw_contentholder'); }
        if (!conteneur) { conteneur = document.getElementById('article'); }
        if (!conteneur) { return; }
    }

    var jGroups = $(conteneur).find('div.ImageGroupUnits');

    var i, il, j, jl;
    var jUnits;
    var currentimage;

    for (i = 0, il = jGroups.length; i < il; i++) {

        jUnits = jGroups.eq(i).find('div.thumb');

        for (j = 0, jl = jUnits.length; j < jl; j++) {
            currentimage = jUnits[j];
            currentimage.id = 'ImageGroupsGr' + i + 'Im' + j;
            var imghead = document.createElement('div');
            imghead.style.fontSize = '110%';

            var leftArrow = document.createElement('img');
            leftArrow.src = 'http://upload.wikimedia.org/wikipedia/commons/thumb/4/49/ArrowLeftNavbox.svg/12px-ArrowLeftNavbox.svg.png';
            leftArrow.width = '12';
            leftArrow.height = '12';
            if (j > 0) {
                leftArrow.alt = 'Précédent';
                var leftLink = document.createElement('a');
                leftLink.href = 'javascript:toggleImage('+i+','+j+','+(j-1)+');';
                leftLink.title = 'Image précédente';
                leftLink.appendChild(leftArrow);
                imghead.appendChild(leftLink);
            } else {
                leftArrow.style.visibility = 'hidden';
                imghead.appendChild(leftArrow);
            }

            $(imghead).append(' <tt>(' + (j+1) + '/' + jl + ')</tt> ');

            var rightArrow = document.createElement('img');
            rightArrow.src = 'http://upload.wikimedia.org/wikipedia/commons/thumb/1/10/ArrowRightNavbox.svg/12px-ArrowRightNavbox.svg.png';
            rightArrow.width = '12';
            rightArrow.height = '12';
            if (j < jl - 1) {
                rightArrow.alt = 'Suivant';
                var rightLink = document.createElement('a');
                rightLink.href = 'javascript:toggleImage('+i+','+j+','+(j+1)+');';
                rightLink.title = 'Image suivante';
                rightLink.appendChild(rightArrow);
                imghead.appendChild(rightLink);
            } else {
                rightArrow.style.visibility = 'hidden';
                imghead.appendChild(rightArrow);
            }

            currentimage.insertBefore(imghead, currentimage.childNodes[0]);

            if (j !== 0) {
                currentimage.style.display = 'none';
            }
        }
    }
}
$(document).ready(function ($) {
    imageGroup();
});