/* désactivation des liens [archive] après les liens externes, faute de voir ces liens [archive] subsister 
   dans les pages appelant plus de 50 liens externes */
 
no_external_cache = true;

// Projet:JavaScript/Script|getStrToday
//<source lang="javascript" line>
/*
* Fonction
*
* Retourne une chaîne de caractères de la date courante dans un certain format
* @param format Format de la date "j" pour le jour, "m" pour le mois et "a" pour l'année. Ainsi si l'on est le 21 novembre 2007 et l'on passe en paramètre cette chaîne "a_m_d", la chaîne retournée sera "2007_novembre_21"
* Auteur : Sanao
* Dernière révision : 21 novembre 2007 
*/
function getStrDateToday(format)
{
  var str_mois = new Array();
  with (str_mois)
  {
    push("janvier");
    push("février");
    push("mars");
    push("avril");
    push("mai");
    push("juin");
    push("juillet");
    push("août");
    push("septembre");
    push("octobre");
    push("novembre");
    push("décembre");
  }
  var today = new Date();
  var day = today.getDate();
  var year = today.getYear();
  if (year < 2000)
  {
    year = year + 1900;
  }
  var str_date = format;
 
  //Création de la chaîne
  var regex = /j/gi;
  str_date = str_date.replace(regex, day.toString());
  regex = /a/gi;
  str_date = str_date.replace(regex, year.toString());
  regex = /m/gi;
  str_date = str_date.replace(regex, str_mois[today.getMonth()]);
 
  return (str_date);
}
//</source>


function y2k(number) { return (number < 1000) ? number + 1900 : number; }
 
function getWeek(year,month,day) {
    var when = new Date(year,month,day);
    var newYear = new Date(year,0,1);
    var offset = 7 + 1 - newYear.getDay();
    if (offset == 8) offset = 1;
    var daynum = ((Date.UTC(y2k(year),when.getMonth(),when.getDate(),0,0,0) - Date.UTC(y2k(year),0,1,0,0,0)) /1000/60/60/24) + 1;
    var weeknum = Math.floor((daynum-offset+7)/7);
    if (weeknum == 0) {
        year--;
        var prevNewYear = new Date(year,0,1);
        var prevOffset = 7 + 1 - prevNewYear.getDay();
        if (prevOffset == 2 || prevOffset == 8) weeknum = 53; else weeknum = 52;
    }
    return weeknum;
}
 
function getStrDateCeJour(format)
{
  var str_mois = new Array();
  with (str_mois)
  {
    push("janvier");
    push("février");
    push("mars");
    push("avril");
    push("mai");
    push("juin");
    push("juillet");
    push("août");
    push("septembre");
    push("octobre");
    push("novembre");
    push("décembre");
  }
  var today = new Date();
  var day   = today.getDate();
  var year  = today.getYear();
  var month = today.getMonth();
  if (year < 2000)
  {
    year = year + 1900;
  }
  var str_date = format;
 
  //Création de la chaîne
  var regex = /j/gi;
  str_date = str_date.replace(regex, day.toString());
  regex = /a/gi;
  str_date = str_date.replace(regex, year.toString());
  regex = /n/gi;
  str_date = str_date.replace(regex, month.toString());
  regex = /m/gi;
  str_date = str_date.replace(regex, str_mois[month]);
  regex = /s/gi;
  str_date = str_date.replace(regex, getWeek(year,month,day));
 
  return (str_date);
}

/* addPortletLink :
 
    * 'p-personal' : barre utilisateur en haut à droite
    * 'p-navigation' : pour la boite Navigation
    * 'p-Contribuer' : pour la boîte Contribuer
    * 'p-search' : pour la boîte Rechercher
    * 'p-tb' : pour la Boîte à outils
    * 'p-lang' : pour la boîte Autres langues
 
*/
 
 
  addOnloadHook(function() {
    addPortletLink("p-navigation", "/wiki/Catégorie:Modèle pour l'Oracle", "Modèles de l'Oracle");
  });
  addOnloadHook(function() {
    addPortletLink('p-navigation', '/wiki/Catégorie:Espace encyclopédique', 'Les catégories');
  });
 
var jourbistro = getStrDateToday('j_m_a');
 
  addOnloadHook(function() {
    addPortletLink('p-Contribuer', '/wiki/Wikipédia:Le_Bistro/'+jourbistro, 'Bistro du jour');
  });
 
var semaineoracle = getStrDateCeJour('s_a');
 
  addOnloadHook(function() {
    addPortletLink('p-Contribuer', '/wiki/Wikipédia:Oracle/semaine_'+semaineoracle, 'Oracle de la semaine');
  });
 
  addOnloadHook(function() {
    addPortletLink('p-Contribuer', '/wiki/Wikipédia:Guilde des Guides', 'Guilde des Guides');
  });
/*  addOnloadHook(function() {
    addPortletLink('p-Contribuer', '/wiki/Utilisateur:EDUCA33E/LiveRC', 'LiveRC');
  });
*/
 
  addOnloadHook(function() {
    addPortletLink('p-tb', '/wiki/Catégorie:Administrateur Wikipédia', 'Administrateurs');
  });
  addOnloadHook(function() {
    addPortletLink('p-tb', "/wiki/Utilisateur:Olivier Hammam/Pense-bête", "Pense-bête");
  });
  addOnloadHook(function() {
    addPortletLink('p-tb', '/wiki/Projet:Maintenance', 'Projet Maintenance');
  });
 
 
loadJs('User:EDUCA33E/LiveRC.js');