var hrlAjax = {
  http: function(bundle) {
    try {
      xmlhttp = new XMLHttpRequest(); 
    } catch(e) { 
      try {
        xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
      } catch (e) { 
        try {
          xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
        } catch (e) {
          return false;
        }
      }
    }
    xmlhttp.onreadystatechange = function() {
      if (xmlhttp.readyState == 4 && (xmlhttp.status == 200 || xmlhttp.status == 302))
        bundle.onSuccess(xmlhttp, bundle);
    };
    xmlhttp.open("GET", bundle.url, true);
    xmlhttp.send(null); 
  },
};

var hrlMonths = {"janvier": 0, "février": 1, "mars": 2, "avril": 3, "mai": 4,
  "juin": 5, "juillet": 6, "août": 7, "septembre": 8, "octobre": 9,
  "novembre": 10, "décembre": 11};

function hrlDisplay(xmlhttp, bundle) {
  var query = xmlhttp.responseXML.getElementsByTagName("query")[0];
  if (!query) return;
  var queryCont = xmlhttp.responseXML.getElementsByTagName("query-continue").length > 0;
  var patrolled = new Object();
  var actions = query.getElementsByTagName("patrol");
  var lastId = -1;
  var regExpId = new RegExp(/&oldid=(\d+)/);
  var regExpDate = new RegExp(/^(\d+) ([^ ]+) (\d+)/);
  var minDate = new Date(new Date() - 30 * 86400 * 1000); // Après c'est trop tard

  for (var i = 0; i < actions.length; i++) {
    lastId = actions[i].getAttribute("cur");
    patrolled[lastId] = 1;
  }

  var revs = document.getElementById("pagehistory").getElementsByTagName("li");
  for (var i = 0; i < revs.length; i++) {
    var links = revs[i].getElementsByTagName("a");
    for (var j = 0; j < links.length; j++) {
      var match = regExpId.exec(links[j].href);
      if (match && links[j].href.indexOf("&diff=") == -1) {
        var oldid = parseInt(match[1]);
        match = regExpDate.exec(links[j].textContent);
        if (match && hrlMonths[match[2]] && (new Date(match[3], hrlMonths[match[2]], match[1])) < minDate) return;
        if (!patrolled[oldid] && (!queryCont || oldid >= lastId)) {
          var abbr = document.createElement('abbr');
          abbr.className = "unpatrolled";
          abbr.title = "Cette modification n’a pas été relue.";
          abbr.textContent = "!";
          links[j].parentNode.insertBefore(abbr, links[j])
          links[j].parentNode.insertBefore(document.createTextNode(' '), links[j]);
        }
        break;
      }
    }
  }
}

if (wgAction == "history") {
  addOnloadHook(function () {
    var url = wgServer + wgScriptPath + "/api.php?format=xml&action=query&list=logevents&letype=patrol&leprop=details&lelimit=20&letitle=" + encodeURIComponent(wgPageName);
    hrlAjax.http({url: url, onSuccess: hrlDisplay});
  });
}