/***********************************************************/
/* Variables pour activer/desactiver les fonctionnalitées  */

var activateImageUse = true;
var activateGlobalSearch = true;
var activateOptimizedSuivi = true;

// Tout désactiver
var deactivateAll = false;
if (deactivateAll)
{
  activateImageUse = false;
  activateGlobalSearch = false;
  activateOptimizedSuivi = false;
}


/***********************************************************/
/* Auteur : Anakin                                         */
/* Dernière mise à jour : 08 décembre 2005                 */
function ImageUse()
{
  var imagename = document.getElementById('ca-nstab-image').firstChild.href;
  var indexofname = imagename.indexOf("Image:");

  if (indexofname != -1)
  {
    // this is an image

    // The name without the "Image:" substring
    imagename = imagename.substring(indexofname + 6);

    var indexofampercent = imagename.indexOf("&");
    if (indexofampercent != -1)
      imagename = imagename.substring(0, indexofampercent);

    var li = document.createElement('li');
    li.id = 'ca-imageuse';

    var a = document.createElement('a');
    a.appendChild(document.createTextNode("Voir l'utilisation"));
    a.href = 'http://www.juelich.de/avatar/check-usage/check-usage.php?filename=' + imagename + '&template';

    li.appendChild(a);

    document.getElementById('ca-watch').parentNode.appendChild(li);
  }
}
if (activateImageUse)
  addLoadEvent(ImageUse);




/***********************************************************/
function DeluxeBar()
{
  if (document.createTextNode)
  {
    var toolbar = document.getElementById("toolbar"); 
    if (!toolbar)
      return;
        
    ///// zone personnalisable ////
    var messages = new Array()

    // le texte a été splitté sinon Mediawiki casse tout...
    messages[0] = "{{subst:" + "Bienvenue sur ta page"  + "}}" +  "~~" + "~~";
    messages[1] = "{{subst:" + "Bienvenue" + "}}" +  "~~" + "~~";
    messages[2] = "{{" + "suppression" + "}}";

/* **
    messages[5] = "{{subst:" + "Utilisateur:Dake/Traité||~~" + "~~" + "}}";
    messages[6] = "{{subst:" + "Utilisateur:Dake/TraitéConserver||~~" + "~~" + "}}";
    messages[7] = "{{subst:" + "Utilisateur:Dake/TraitéSupprimer||~~" + "~~" + "}}";
        
    messages[8] = "{{subst:" + "Utilisateur:Eskimo/Copyvio|page|URL|titre" + "}} " +  "~~" + "~~";
    messages[9] = "{{" + "copie de site|URL|Titre" + "}}";
    messages[10] = "{{" + "suppression" + "}}";

    messages[11] = "{{subst:" + "Utilisateur:Meanos/Modèles/PAdQ rejetée|premier/second tour|0|0|0|-|~~" + "~~}}";
    messages[12] = "{{subst:" + "Utilisateur:Meanos/Modèles/PAdQ validée|premier/second tour|0|0|0|-|~~" + "~~}}";
*/

    var images = new Array()
    images[0] = "http://upload.wikimedia.org/wikipedia/fr/1/12/Button_accueilA.png";
    images[1] = "http://upload.wikimedia.org/wikipedia/fr/e/eb/Button_accueilB.png";
    images[2] = "http://upload.wikimedia.org/wikipedia/fr/f/f8/Button_suppr.png";

/* **
    images[2] = "http://upload.wikimedia.org/wikipedia/fr/0/00/Button_vandale.png";
    images[3] = "http://upload.wikimedia.org/wikipedia/fr/a/ad/Button_vandale2.png";
    images[4] = "http://upload.wikimedia.org/wikipedia/fr/f/fb/Button_spam2.png";

    images[5] = "http://upload.wikimedia.org/wikipedia/fr/d/d9/Button_trait%C3%A9.png";
    images[6] = "http://upload.wikimedia.org/wikipedia/fr/a/ae/Button_trait%C3%A9conserver.png";
    images[7] = "http://upload.wikimedia.org/wikipedia/fr/9/96/Button_trait%C3%A9supprimer.png";

    images[8] = "http://upload.wikimedia.org/wikipedia/fr/e/e5/Button_copyvio.png";
    images[9] = "http://upload.wikimedia.org/wikipedia/fr/e/e5/Button_copyvio.png";
    images[10] = "http://upload.wikimedia.org/wikipedia/fr/f/f8/Button_suppr.png";
    images[11] = "http://upload.wikimedia.org/wikipedia/fr/c/cf/Button_PAdQ_rejet.png";
    images[12] = "http://upload.wikimedia.org/wikipedia/fr/2/29/Button_PAdQ_validation.png";
*/

    var commentaires = new Array()
    commentaires[0] = "Bienvenue sur ta page !"
    commentaires[1] = "Bienvenue !"
    commentaires[2] = "Proposé à la suppression"; 

/* **
    commentaires[2] = "Avertissement vandalisme"

    commentaires[3] = "Avertissement vandalisme";
    commentaires[4] = "Avertissement spam" ;

    commentaires[5] = "Traité"
    commentaires[6] = "Traité : article conservé" 
    commentaires[7] = "Traité : article supprimé"

    commentaires[8] = "Violation de copyright"
    commentaires[9] = "Violation de copyright";
    commentaires[10] = "Proposé à la suppression"; 

    commentaires[11] = "Notification de rejet de la proposition"
    commentaires[12] = "Notification de validation de la proposition"
*/
    

    for (var i = 0; i < messages.length; i++)
    {
      var img = document.createElement("img");
      img.setAttribute("src", images[i]);
      img.setAttribute("width", "23");
      img.setAttribute("height", "22");
      img.setAttribute("alt", commentaires[i]);
      img.setAttribute("title", commentaires[i]);
                
      var ref = document.createElement("a");
      ref.setAttribute("href", "javascript:insertTags('', \"" + messages[i] + "\", '');" + 
                               "javascript:changeSummary(\"" + commentaires[i] + "\");" ); 
      ref.appendChild(img); 
                
      toolbar.appendChild(ref);
    }
  }
}
addLoadEvent(DeluxeBar);




/***********************************************************/
// auteur : Utilisateur:Dake
// version corrigée - 18.09.2005 - 13:25 
// cette fonction est incompatible avec le suivi optimisé

function OptimizedSuivi() 
{
  if (document.URL.indexOf("http://fr.wikipedia.org/wiki/Special:Watchlist") == 0
   || document.URL.indexOf("http://fr.wikipedia.org/w/index.php?title=Special:Watchlist") == 0)
  {
    var allDays = document.getElementsByTagName("ul");
                
    for (i = 0; i < allDays.length; i++)
    {
      if (allDays[i].getAttribute("class") == "special")
      {
        var artList = allDays[i].getElementsByTagName("li");
        for (j = 0; j < artList.length; j++)
        {
          var elem = artList[j];
          var aTag = elem.getElementsByTagName("a");
          var articleName = aTag[0].getAttribute("title");
          var stopWatch  = "/w/index.php?title=" + articleName + "&action=unwatch";
          elem.innerHTML = "(<a href=\"" + stopWatch + "\">stop</a>) " + elem.innerHTML;
        }
      }
    }
  }
}
if (activateOptimizedSuivi)
  addLoadEvent(OptimizedSuivi);



/***********************************************************/
// auteur : Utilisateur:Anakin
// dernière version : 08 décembre 2005

function startSearch()
{
  var textsearch = document.getElementById('searchInput').value;

  var link = "http://vs.aka-online.de/cgi-bin/globalwpsearch.pl?search=";
  link = link + textsearch;
  link = link + "&timeout=120&minor=1";

  window.location = link;
}


function globalSearch()
{
  var pSearchElement = document.getElementById('searchform');

  var newElement = document.createElement("input");
  newElement.setAttribute("type", "button");
  newElement.setAttribute("name", "globalsearch");
  newElement.setAttribute("class", "searchButton");
  newElement.setAttribute("value", "Recherche globale");
  newElement.setAttribute("onClick", "startSearch()");

  pSearchElement.appendChild(newElement);
}

if (activateGlobalSearch)
  addLoadEvent(globalSearch);