/**
 * Verschiebt bevorzugte Interlanguage-Links in der Liste „Andere Sprachen“ nach
 * oben. Eine ausführliche Beschreibung ist auf der Diskussionsseite zu finden.
 */
addOnloadHook(function()
{
	var i, n = 0, p, u;
	if (! (u = document.getElementById("p-lang"))) return;
	u = u.getElementsByTagName("UL")[0];
	var l = u.getElementsByTagName("LI");
	/* Priorisierte Liste mit den nach oben zu sortierenden Sprachen */
	var a = window.moveInterwikisToTopArray || ["de", "en", "fr"];
	for (p = a.length - 1; p >= 0; p--)
		for (i = 0; i < l.length; i++)
			if (l[i].className.substr(10, a[p].length) === a[p])
			{
				/* Kleiner Abstand, wenn >1 Link umsortiert wurde */
				if (++n === 2)
					u.firstChild.style.marginBottom = "0.5em";
				u.insertBefore(l[i], u.firstChild);
				break;
			}
});