var ja_langname = {
	"aa"           : "アファル語",
	"ab"           : "アブハズ語",
	"af"           : "アフリカーンス語",
	"ak"           : "アカン語",
	"als"          : "アレマン語",
	"am"           : "アムハラ語",
	"an"           : "アラゴン語",
	"ang"          : "古英語",
	"ar"           : "アラビア語",
	"arc"          : "アラム語",
	"arz"          : "アラビア語エジプト方言",
	"as"           : "アッサム語",
	"ast"          : "アストゥリア語",
	"av"           : "アヴァル語",
	"ay"           : "アイマラ語",
	"az"           : "アゼルバイジャン語",
	"ba"           : "バシキール語",
	"bar"          : "バイエルン・オーストリア語",
	"bat-smg"      : "サモギティア語",
	"bcl"          : "ビコール語",
	"be"           : "ベラルーシ語",
	"be-x-old"     : "ベラルーシ語（タラシケヴィツァ）",
	"bg"           : "ブルガリア語",
	"bh"           : "ビハール語",
	"bi"           : "ビスラマ語",
	"bm"           : "バンバラ語",
	"bn"           : "ベンガル語",
	"bo"           : "チベット語",
	"bpy"          : "ビシュヌプリヤ・マニプリ語",
	"br"           : "ブルトン語",
	"bs"           : "ボスニア語",
	"bug"          : "ブギス語",
	"bxr"          : "ブリヤート語",
	"ca"           : "カタルーニャ語",
	"cbk-zam"      : "チャバカノ語",
	"cdo"          : "閩東語",
	"ce"           : "チェチェン語",
	"ceb"          : "セブアノ語",
	"ch"           : "チャモロ語",
	"cho"          : "チョクトー語",
	"chr"          : "チェロキー語",
	"chy"          : "シャイアン語",
	"co"           : "コルシカ語",
	"cr"           : "クリー語",
	"crh"          : "クリミア・タタール語",
	"cs"           : "チェコ語",
	"csb"          : "カシューブ語",
	"cu"           : "古代教会スラヴ語",
	"cv"           : "チュヴァシ語",
	"cy"           : "ウェールズ語",
	"da"           : "デンマーク語",
	"de"           : "ドイツ語",
	"diq"          : "ザザキ語",
	"dsb"          : "下ソルブ語",
	"dv"           : "ディベヒ語",
	"dz"           : "ゾンカ語",
	"ee"           : "エウェ語",
	"el"           : "ギリシア語",
	"eml"          : "エミリア・ロマーニャ語",
	"en"           : "英語",
	"eo"           : "エスペラント",
	"es"           : "スペイン語",
	"et"           : "エストニア語",
	"eu"           : "バスク語",
	"ext"          : "エストレマドゥーラ語",
	"fa"           : "ペルシア語",
	"ff"           : "フラニ語",
	"fi"           : "フィンランド語",
	"fiu-vro"      : "ヴォロ語",
	"fj"           : "フィジー語",
	"fo"           : "フェロー語",
	"fr"           : "フランス語",
	"frp"          : "アルピタン語",
	"fur"          : "フリウリ語",
	"fy"           : "フリジア語",
	"ga"           : "アイルランド語",
	"gd"           : "スコットランド・ゲール語",
	"gl"           : "ガリシア語",
	"glk"          : "ギラキ語",
	"gn"           : "グアラニー語",
	"got"          : "ゴート語",
	"gu"           : "グジャラート語",
	"gv"           : "マン島語",
	"ha"           : "ハウサ語",
	"hak"          : "客家語",
	"haw"          : "ハワイ語",
	"he"           : "ヘブライ語",
	"hi"           : "ヒンディー語",
	"hif"          : "フィジー・ヒンディー語",
	"ho"           : "モトゥ語",
	"hr"           : "クロアチア語",
	"hsb"          : "上ソルブ語",
	"ht"           : "ハイチ語",
	"hu"           : "ハンガリー語",
	"hy"           : "アルメニア語",
	"hz"           : "ヘレロ語",
	"ia"           : "インターリングア",
	"id"           : "インドネシア語",
	"ie"           : "インターリング",
	"ig"           : "イボ語",
	"ii"           : "彝語",
	"ik"           : "イヌピアック語",
	"ilo"          : "イロカノ語",
	"io"           : "イド語",
	"is"           : "アイスランド語",
	"it"           : "イタリア語",
	"iu"           : "イヌクティトゥット語",
	"ja"           : "日本語",
	"jbo"          : "ロジバン",
	"jv"           : "ジャワ語",
	"ka"           : "グルジア語",
	"kaa"          : "カラカルパク語",
	"kab"          : "カビル語",
	"kg"           : "コンゴ語",
	"ki"           : "キクユ語",
	"kj"           : "クワニャマ語",
	"kk"           : "カザフ語",
	"kl"           : "グリーンランド語",
	"km"           : "クメール語",
	"kn"           : "カンナダ語",
	"ko"           : "朝鮮語",
	"kr"           : "カヌリ語",
	"ks"           : "カシミール語",
	"ksh"          : "リプアーリ語",
	"ku"           : "クルド語",
	"kv"           : "コミ語",
	"kw"           : "コーンウォール語",
	"ky"           : "キルギス語",
	"la"           : "ラテン語",
	"lad"          : "ジュデズモ語",
	"lb"           : "ルクセンブルク語",
	"lbe"          : "ラク語",
	"lg"           : "ルガンダ語",
	"li"           : "リンブルフ語",
	"lij"          : "リグリア語",
	"lmo"          : "ロンバルド語",
	"ln"           : "リンガラ語",
	"lo"           : "ラーオ語",
	"lt"           : "リトアニア語",
	"lv"           : "ラトビア語",
	"map-bms"      : "バニュマス語",
	"mdf"          : "モクシャ語",
	"mg"           : "マダガスカル語",
	"mh"           : "マーシャル語",
	"mi"           : "マオリ語",
	"mk"           : "マケドニア語",
	"ml"           : "マラヤーラム語",
	"mn"           : "モンゴル語",
	"mo"           : "モルドバ語",
	"mr"           : "マラーティー語",
	"ms"           : "マレー語",
	"mt"           : "マルタ語",
	"mus"          : "マスコギ語",
	"my"           : "ビルマ語",
	"myv"          : "エルジャ語",
	"mzn"          : "マーザンダラーン語",
	"na"           : "ナウル語",
	"nah"          : "ナワトル語",
	"nap"          : "ナポリ語",
	"nds"          : "低ザクセン語",
	"nds-nl"       : "オランダ低ザクセン語",
	"ne"           : "ネパール語",
	"new"          : "ネパール・バサ語",
	"ng"           : "ンドンガ語",
	"nl"           : "オランダ語",
	"nn"           : "ノルウェー語（ニーノシュク）",
	"no"           : "ノルウェー語（ブークモール）",
	"nov"          : "ノヴィアル",
	"nrm"          : "ノルマン語",
	"nv"           : "ナバホ語",
	"ny"           : "チェワ語",
	"oc"           : "オック語",
	"om"           : "オロモ語",
	"or"           : "オリヤー語",
	"os"           : "オセット語",
	"pa"           : "パンジャーブ語",
	"pag"          : "パンガシナン語",
	"pam"          : "パンパンガ語",
	"pap"          : "パピアメント語",
	"pdc"          : "ペンシルバニアドイツ語",
	"pi"           : "パーリ語",
	"pih"          : "ノーフォーク語・ピトケアン語",
	"pl"           : "ポーランド語",
	"pms"          : "ピエモンテ語",
	"ps"           : "パシュトー語",
	"pt"           : "ポルトガル語",
	"qu"           : "ケチュア",
	"rm"           : "ロマンシュ語",
	"rmy"          : "ロマ語",
	"rn"           : "ルンディ語",
	"ro"           : "ルーマニア語",
	"roa-rup"      : "アルーマニア語",
	"roa-tara"     : "タラント語",
	"ru"           : "ロシア語",
	"rw"           : "ルワンダ語",
	"sa"           : "サンスクリット",
	"sah"          : "サハ語",
	"sc"           : "サルデーニャ語",
	"scn"          : "シチリア語",
	"sco"          : "スコットランド語",
	"sd"           : "シンド語",
	"se"           : "北部サーミ語",
	"sg"           : "サンゴ語",
	"sh"           : "セルビア・クロアチア語",
	"si"           : "シンハラ語",
	"simple"       : "シンプル英語",
	"sk"           : "スロバキア語",
	"sl"           : "スロベニア語",
	"sm"           : "サモア語",
	"sn"           : "ショナ語",
	"so"           : "ソマリ語",
	"sq"           : "アルバニア語",
	"sr"           : "セルビア語",
	"srn"          : "スラナン語",
	"ss"           : "スワティ語",
	"st"           : "ソト語",
	"stq"          : "ザーターフリジア語",
	"su"           : "スンダ語",
	"sv"           : "スウェーデン語",
	"sw"           : "スワヒリ語",
	"szl"          : "シレジア語",
	"ta"           : "タミル語",
	"te"           : "テルグ語",
	"tet"          : "テトゥン語",
	"tg"           : "タジク語",
	"th"           : "タイ語",
	"ti"           : "ティグリニャ語",
	"tk"           : "トルクメン語",
	"tl"           : "タガログ語",
	"tn"           : "ツワナ語",
	"to"           : "トンガ語",
	"tokipona"     : "トキポナ",
	"tpi"          : "トク・ピシン",
	"tr"           : "トルコ語",
	"ts"           : "ツォンガ語",
	"tt"           : "タタール語",
	"tum"          : "トゥンブカ語",
	"tw"           : "トウィ語",
	"ty"           : "タヒチ語",
	"udm"          : "ウドムルト語",
	"ug"           : "ウイグル語",
	"uk"           : "ウクライナ語",
	"ur"           : "ウルドゥー語",
	"uz"           : "ウズベク語",
	"ve"           : "ヴェンダ語",
	"vec"          : "ヴェネツィア語",
	"vi"           : "ベトナム語",
	"vls"          : "西フラマン語",
	"vo"           : "ヴォラピュク",
	"wa"           : "ワロン語",
	"war"          : "ワライ語",
	"wo"           : "ウォロフ語",
	"wuu"          : "呉語",
	"xal"          : "オイラト語",
	"xh"           : "コサ語",
	"yi"           : "イディッシュ語",
	"yo"           : "ヨルバ語",
	"za"           : "チワン語",
	"zea"          : "ゼーランド語",
	"zh"           : "中国語",
	"zh-classical" : "漢文",
	"zh-min-nan"   : "閩南語",
	"zh-yue"       : "広東語",
	"zu"           : "ズールー語"
};

addOnloadHook(function() {
	var interlang_div = document.getElementById('p-lang');
	if(!interlang_div) return;
	
	var reg_uri = /http:\/\/([a-z-]+)\.wik\w+\.org\/wiki\/(.*)/;
	var interlangs = interlang_div.getElementsByTagName('a');
	for(var i = 0; i < interlangs.length; i++) {
		var matches = reg_uri.exec(interlangs[i].getAttribute('href', 2));
		if(matches) {
			var title = ja_langname[matches[1]];
			if(matches[2].length > 0) {
				title += ': ' + decodeURIComponent(matches[2].replace(/_/g, ' '));
			}
			interlangs[i].setAttribute('title', title);
		}
	}
});