 /* 
    Auteur : Stef48 ; Picsou 31
    Description : Permet d'obtenir des liens dans le menu de gauche vers les principales pages de l'espace de nom "Wikipédia"
 */
 
 function mygetGDGDat() {
  var today = new Date();
  var year = today.getFullYear();
  var newYear = new Date(year, 0, 1);
  var modDay = newYear.getDay();
  if(modDay == 0) {
   modDay = 6;
  }
  else {
   modDay--;
  }
  var daynum = ((Date.UTC(year, today.getMonth(), today.getDate(), 0, 0, 0) - Date.UTC(year, 0, 1, 0, 0, 0)) /1000/60/60/24) + 1;
  if(modDay < 4 ) {
   var weeknum = Math.floor((daynum + modDay - 1) / 7) + 1;
  }
  else {
   var weeknum = Math.floor((daynum + modDay - 1) / 7);
   if(weeknum == 0) {
    year--;
    var prevNewYear = new Date(year, 0, 1);
    var prevmodDay = prevNewYear.getDay();
    if(prevmodDay == 0) {
     prevmodDay = 6;
    }
    else {
     prevmodDay--;
    }
    if(prevmodDay < 4) {
     weeknum = 53;
    }
    else {
     weeknum = 52;
    }
   }
  }
  weeknum = weeknum - 1;
  return(+ today.getFullYear() + '/' + weeknum);
 }
 
 function addLink()
 {
   addPortletLink('p-navigation', '/wiki/Wikipédia:Accueil', 'Accueil', 'n-waccueil');
   addPortletLink('p-navigation', '/wiki/Wikipédia:Le bistro', 'Bistro', 'n-bistro');
   addPortletLink('p-navigation', '/wiki/Wikipédia:Wikimag', 'Wikimag de la semaine', 'n-wikimag');
   addPortletLink('p-navigation', '/wiki/Utilisateur:EDUCA33E/LiveRC', 'LiveRC', 'n-liverc');
   addPortletLink('p-navigation', '/wiki/Catégorie:Article concernant Toulouse d\'importance inconnue', 'Évaluation Tolopédia', 'n-evaltolopedia');
   addPortletLink('p-navigation', '/wiki/Wikipédia:Atelier graphique/Images à améliorer', 'Atelier graphique', 'n-graphiclab');
   addPortletLink('p-navigation', '/wiki/Wikipédia:Requêtes aux administrateurs', 'Requêtes aux administrateurs', 'n-sysoprequests');
   addPortletLink('p-navigation', '/wiki/Wikipédia:Questions techniques', 'Questions techniques', 'n-qt');
   addPortletLink('p-navigation', '/wiki/Wikipédia:Bulletin des administrateurs', 'Bulladm', 'n-ba');
   addPortletLink('p-navigation', '/wiki/Wikipédia:Bulletin des Patrouilleurs', 'Patrouille', 'n-bpa');
   addPortletLink('p-navigation', '/wiki/Wikipédia:Oracle', 'Oracle', 'n-oracle');
   addPortletLink('p-navigation', '/wiki/Utilisateur:Pic-Sou/common.js', 'common.js', 'n-js');
 }
 addOnloadHook(addLink);