/*
**************************************************
** Configuration
*/

BandeauxPortails_Watchthis = 1;

iKiwiDistantWiki = 'en';
iKiwiWatchOthers = true;

popupFixRedirs = true;
popupFixDabs = true;
popupEditCounterTool = 'perso';
popupEditCounterUrl = 'http://toolserver.org/~soxred93/count/index.php?name=$1&lang=fr&wiki=wikipedia';
popupAdjustDates = true;

xpatrolEnableClear = true;
xpatrolEnableBanner = true;
xpatrolEnablePurge = true;
xpatrolPurgeWarnEditor = true;
xpatrolWatchOthers = true;
xpatrolSignatureRegistered = 'Amicalement~~' + '~~';

/*
**************************************************
** Scripts maintenus par d'autres utilisateurs
*/

importScript('User:EDUCA33E/LiveRC.js');
importScript('User:Alphos/abuseFilterHelper2.js');
//importScript('User:Arktest/LiveRC.js');
importScript('User:Arktest/popups.js');
importScript('User:Dr_Brains/LiveAbuseLog.js');
importScript('User:Dr Brains/MessageWatchlist.js');
obtenir('PagesSansBandeauDePortail');

/*
**************************************************
** Scripts maintenus par moi-même
*/

// Pour les développeurs
importScript('User:Arkanosis/dateutils.js');
importScript('User:Arkanosis/xportlet.js');

// Pour les utilisateur finaux
importScript('User:Arkanosis/aTrans.js');
importScript('User:Arkanosis/iKiwi.js');
importScript('User:Arkanosis/iRef.js');
importScript('User:Arkanosis/ManWatch.js');
importScript('User:Arkanosis/lastContribs.js');
importScript('User:Arkanosis/watchModifiedArticles.js');
importScript('User:Arkanosis/xmsg.js');
importScript('User:Arkanosis/xpatrol.js');

/*
** Cette fonction ajoute deux onglets aux pages utilisateur (uniquement) pour voir les contributions et l'editcount du propriétaire de la page
** Compatibilité : frwiki uniquement
** Support : Discussion_utilisateur:Arkanosis
*/
function ongletsUtilisateur()
{
  if (document.title.indexOf('Utilisateur:') != -1 || document.title.indexOf('Discussion utilisateur:') != -1)
  {
    var editNode = document.getElementById('ca-edit');
    if (!editNode)
      editNode = document.getElementById('ca-viewsource');
    if (!editNode)
      return;

    addPortletLink('p-cactions', '/wiki/Spécial:Contributions/' + wgTitle, 'contributions', 'ca-contrib', 'Voir les contributions de l\'utilisateur', 'o', editNode);
    addPortletLink('p-cactions', 'http://toolserver.org/~soxred93/count/index.php?name=' + wgTitle + '&lang=fr&wiki=wikipedia', 'editcount', 'ca-ecount', 'Voir l\'editcount de l\'utilisateur', 'n', editNode);
    addPortletLink('p-cactions', 'http://fr.wikipedia.org/wiki/Wikipédia:Administrateur/' + wgTitle, 'admin', 'ca-admin', 'Voir la candidature de l\'utilisateur', 'a');
  }
}
addOnloadHook(ongletsUtilisateur);

/*
** Cette fonction ajoute deux liens en haut de page (à gauche de déconnexion) pour voir les créations et l'editcount de l'utilisateur courant
** Compatibilité : frwiki uniquement
** Support : Discussion_utilisateur:Arkanosis
*/
function editCount()
{
  var decoNode = document.getElementById('pt-logout');
  if (!decoNode)
    return;
 
  addPortletLink('p-personal', 'http://toolserver.org/~soxred93/pages/index.php?name=' + wgUserName + '&lang=fr&wiki=wikipedia&namespace=0&redirects=noredirects', 'Créations', 'pt-ecount', 'Vos créations', 'r', decoNode);
  addPortletLink('p-personal', 'http://toolserver.org/~soxred93/count/index.php?name=' + wgUserName + '&lang=fr&wiki=wikipedia', 'Editcount', 'pt-ecount', 'Votre editcount', 'u', decoNode);
}
addOnloadHook(editCount);

/*
** Cette fonction ajoute de nouveaux liens au menu de gauche qui sont utiles pour un contributeur régulier
** Compatibilité : frwiki uniquement (nécessite Utilisateur:Arkanosis/dateutils.js et Utilisateur:Arkanosis/xportlet.js)
** Support : Discussion_utilisateur:Arkanosis
*/
function liensUtiles()
{
  var hasardNode = document.getElementById('n-randompage');
  if (!hasardNode)
    return;

  addPortletLink('p-navigation', '/wiki/Wikipedia:Annonces', 'Annonces', 'n-annonces', 'Annonces', 'a', hasardNode);
  addPortletLink('p-navigation', '/wiki/Wikipedia:Le Bistro/' + today(), 'Bistro du jour', 'n-bistro', 'Bistro du jour', 'b', hasardNode);
  addPortletLink('p-navigation', '/wiki/Wikipedia:Le Bistro/' + yesterday(), 'Bistro de la veille', 'n-bistro-v', 'Bistro de la veille', 'v', hasardNode);
  addPortletLink('p-navigation', '/wiki/User:~Pyb/Bac à sable/I', 'Travaux à venir', 'n-travaux', 'Travaux à venir', 't', hasardNode);
  addPortletLink('p-navigation', '/wiki/User:~Pyb/Bac à sable/II', 'Travaux à venir 2', 'n-travaux2', 'Travaux à venir 2', 't2', hasardNode);
  addPortletLink('p-navigation', '/wiki/User:~Pyb/Bac à sable/III', 'Travaux à venir 3', 'n-travaux3', 'Travaux à venir 3', 't3', hasardNode);
  addPortletLink('p-navigation', '/wiki/User:~Pyb/Bac à sable/IV', 'Travaux à venir 4', 'n-travaux4', 'Travaux à venir 4', 't4', hasardNode);

  newPortlet('column-one', 'p-proj', 'Projets', 'p-coll-create_a_book');
  addPortletLink('p-proj', '/wiki/Projet:Art public', 'Art public', 'j-art', 'Art public');
  addPortletLink('p-proj', '/wiki/Projet:Monuments historiques', 'Monuments historiques', 'j-mh', 'Monuments historiques');
  addPortletLink('p-proj', '/wiki/Projet:Économie', 'Économie', 'j-eco', 'Économie');
  addPortletLink('p-proj', '/wiki/Projet:Paris', 'Paris', 'j-paris', 'Paris');

  newPortlet('column-one', 'p-conf', 'Configuration', 'p-coll-create_a_book');
  addPortletLink('p-conf', '/wiki/Spécial:Préférences', 'Préférences', 'c-pref', 'Préférences');
  addPortletLink('p-conf', '/wiki/Spécial:Ma_page/monobook.js', 'monobook.js', 'c-js', 'monobook.js');
  addPortletLink('p-conf', '/wiki/Spécial:Ma_page/monobook.css', 'monobook.css', 'c-css', 'monobook.css');
}
addOnloadHook(liensUtiles);

/*
** Cette fonction retire les liens du menu de gauche ou de la barre du haut qui sont inutiles pour un contributeur régulier
** Compatibilité : frwiki uniquement (nécessite Utilisateur:Arkanosis/xportlet.js)
** Support : Discussion_utilisateur:Arkanosis
*/
function liensInutiles()
{
  // Logo
  removePortlet('p-logo');
  document.getElementById('column-one').setAttribute('style', 'padding-top: 1.3em;');

  // Barre du haut
  removePortletLink('p-personal', 'pt-prefswitch-link-off'); // Nouvelles fonctionnalités
  removePortletLink('p-personal', 'pt-optin-try'); // Essayer la bêta Açai
  removePortletLink('p-personal', 'pt-preferences'); // Préférences

  // Navigation
  removePortletLink('p-navigation', 'n-thema'); // Portails thématiques
  removePortletLink('p-navigation', 'n-alphindex'); // Index alphabétique
  removePortletLink('p-navigation', 'n-contact'); // Contacter Wikipédia

  // Contribuer
  removePortlet('p-Contribuer');
}
addOnloadHook(liensInutiles);