importScript('User:Marc-André_Beauchamp/RC.js');


// <pre><nowiki>
/////////////////////////////////////////////////////////////// PARTIE PERSONNALISABLE : DÉFINITION DES SCRIPTS

var GlobalManager_ScriptType = new Array();
var GlobalManager_ScriptText = new Array();
var GlobalManager_ScriptPage = new Array();
var GlobalManager_ScriptId  =  new Array();

 /*******************************************************************************************************************
 * Les scripts personnalisés sont à définir au sein d'une fonction appelée GlobalManager_GetUserScripts()           *         
 * GlobalManager_ScriptType : 1 => script ; 2 à 6 => titre de section                                               *
 * GlobalManager_ScriptText : type 1 => description du script ; autre type => texte du titre                        *
 * GlobalManager_ScriptPage : type 1 => Page à importer ; autre type => inutilisé                                   *
 * GlobalManager_ScriptId : type 1 => ID du script (titre de la sous-page sans le ".js") ; autre type => inutilisé  *
 ********************************************************************************************************************/

function GlobalManager_GetDefaultScripts(){ ///// SCRIPTS PAR DÉFAUT

GlobalManager_ScriptType.push(4); ////////////
GlobalManager_ScriptText.push('Bots');
GlobalManager_ScriptId.push('');
GlobalManager_ScriptPage.push('');

GlobalManager_ScriptType.push(5); ////////////
GlobalManager_ScriptText.push('Semi-automatiques');
GlobalManager_ScriptId.push('');
GlobalManager_ScriptPage.push('');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Création automatique d\'un modèle de lien "page au hasard" à partir des pages d\'une catégorie.');
GlobalManager_ScriptId.push('PageAuHasard');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/PageAuHasard.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Création automatique d\'un modèle de page "Lumière sur..." à partir des pages d\'une catégorie.');
GlobalManager_ScriptId.push('LumiereSur');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/LumiereSur.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Création automatique d\'un tableau triable de l\'évaluation des pages d\'une catégorie.');
GlobalManager_ScriptId.push('VerifEval');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/VerifEval.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Création automatique d\'un tableau triable avec diverses informations sur les pages d\'une catégorie.');
GlobalManager_ScriptId.push('MaintenanceCategorie');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/MaintenanceCategorie.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Création automatique d\'un tableau triable des images utilisées par les pages d\'une catégorie.');
GlobalManager_ScriptId.push('ImagesUtilisees');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/ImagesUtilisees.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Création automatique d\'une liste des dernières entrées dans une catégorie.');
GlobalManager_ScriptId.push('ArticlesRecents');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/ArticlesRecents.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Création automatique d\'un tableau triable des pages demandées à partir d\'une catégorie.');
GlobalManager_ScriptId.push('ArticlesManquants');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/ArticlesManquants.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Redirection automatique vers <a href="'+wgServer + wgArticlePath.split('$1').join('Special:Randompage') +'">Page au Hasard</a> pour trouver des pages sans bandeaux de portail.');
GlobalManager_ScriptId.push('BandeauxPortailsAutoRedirect');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/BandeauxPortailsAutoRedirect.js');

GlobalManager_ScriptType.push(5); ////////////
GlobalManager_ScriptText.push('Automatiques');
GlobalManager_ScriptId.push('');
GlobalManager_ScriptPage.push('');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Vidage/Renommage automatique de catégories.');
GlobalManager_ScriptId.push('RenommageCategorie');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/RenommageCategorie.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ajout d\'un bouton pour remplacer une chaîne de caractère par une autre.');
GlobalManager_ScriptId.push('Remplace');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/Remplace.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Forçage de la purge des pages contenues dans une catégorie.');
GlobalManager_ScriptId.push('ForcePurge');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/ForcePurge.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Listage des pages contenues dans une catégorie et ses sous-pages.');
GlobalManager_ScriptId.push('PagesInCategoryBOT');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/PagesInCategoryBOT.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Vidage/Renommage automatique de catégories.');
GlobalManager_ScriptId.push('RenommageCategorieBOT');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/RenommageCategorieBOT.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Ajout/retrait/modification automatique de bandeaux de catégorie dans les pages d\'une catégorie et de ses sous-catégories.');
GlobalManager_ScriptId.push('BandeauxCategoriesBOT');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/BandeauxCategoriesBOT.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Ajout/retrait/modification automatique de bandeaux de portail dans les pages d\'une catégorie et de ses sous-catégories.');
GlobalManager_ScriptId.push('BandeauxPortailsBOT');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/BandeauxPortailsBOT.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Ajout automatique de modèles (palettes) dans les pages d\'une catégorie et de ses sous-catégories.');
GlobalManager_ScriptId.push('AjoutModeleBOT');
GlobalManager_ScriptPage.push('Utilisateur:Dr Brains/AjoutModeleBOT.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Mise à jour des différents modèles <a href="'+wgServer + wgArticlePath.split('$1').join('Modèle:Articles récents') +'">{{Articles récents}}</a> (<a href="'+wgServer + wgArticlePath.split('$1').join('Utilisateur:Dr_Bot/Scripts/Articles_récents_BOT') +'">Page de démarrage</a>).');
GlobalManager_ScriptId.push('ArticlesRecentsBOT');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/ArticlesRecentsBOT.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Mise à jour des différents modèles <a href="'+wgServer + wgArticlePath.split('$1').join('Modèle:Page au hasard') +'">{{Page au hasard}}</a> (<a href="'+wgServer + wgArticlePath.split('$1').join('Utilisateur:Dr_Bot/Scripts/Page_au_hasard_BOT') +'">Page de démarrage</a>).');
GlobalManager_ScriptId.push('PageAuHasardBOT');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/PageAuHasardBOT.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Mise à jour de la liste des portails (<a href="'+wgServer + wgArticlePath.split('$1').join('Utilisateur:Dr_Bot/Scripts/Liste_des_Portails_BOT') +'">Page de démarrage</a>).');
GlobalManager_ScriptId.push('ListAllPortals');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/ListAllPortals.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Mise à jour de la liste des portails (<a href="'+wgServer + wgArticlePath.split('$1').join('Utilisateur:Dr_Bot/Scripts/Liste_des_Portails_Ébauchés_BOT') +'">Page de démarrage</a>).');
GlobalManager_ScriptId.push('ListAllPortalsStub');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/ListAllPortalsStub.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Mise à jour de la liste des projets (<a href="'+wgServer + wgArticlePath.split('$1').join('Utilisateur:Dr_Bot/Scripts/Liste_des_Projets_BOT') +'">Page de démarrage</a>).');
GlobalManager_ScriptId.push('ListAllProjects');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/ListAllProjects.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Correction de doubles redirections (<a href="'+wgServer + wgArticlePath.split('$1').join('Utilisateur:Dr Bot/Scripts/DoubleRedirections') +'">Page de démarrage</a>).');
GlobalManager_ScriptId.push('DoubleRedirections');
GlobalManager_ScriptPage.push('Utilisateur:Dr Brains/DoubleRedirections.js');

GlobalManager_ScriptType.push(4); ////////////
GlobalManager_ScriptText.push('Scripts');
GlobalManager_ScriptId.push('');
GlobalManager_ScriptPage.push('');

GlobalManager_ScriptType.push(5); ////////////
GlobalManager_ScriptText.push('Opérationnels');
GlobalManager_ScriptId.push('');
GlobalManager_ScriptPage.push('');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Fonctions diverses.');
GlobalManager_ScriptId.push('Divers');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/Divers.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Arrondit les angles de l\'interface.');
GlobalManager_ScriptId.push('Arrondis');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/Arrondis.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Journal des filtrages en temps réel (<a href=http://fr.wikipedia.org/wiki/User:Dr_Brains/LiveAbuseLog>Page</a>).');
GlobalManager_ScriptId.push('LiveAbuseLog');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/LiveAbuseLog.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Modifications récentes en temps réel (<a href=http://fr.wikipedia.org/wiki/User:EDUCA33E/LiveRC>Page</a>).');
GlobalManager_ScriptId.push('LiveRC');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/LiveRC.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Rafraîchissement automatique de la <a href="' + wgServer +wgArticlePath.split("$1").join("Special:Mycontributions") + '">page de contributions</a>.');
GlobalManager_ScriptId.push('LiveContribs');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/LiveContribs.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Traduction automatique des liens d\'une page.');
GlobalManager_ScriptId.push('LinkTranslate');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/LinkTranslate.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Alerte de nouveaux messages sur des pages prédéfinies autres que la page de discussion.');
GlobalManager_ScriptId.push('NewMessage');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/NewMessage.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Liste de suivi globale.');
GlobalManager_ScriptId.push('GlobalWatchlist');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/GlobalWatchlist.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Ajout d\'un ou plusieurs bloc-notes sur les bords de la page.');
GlobalManager_ScriptId.push('BlocNote');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/BlocNote.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Permet d\'enrouler les panneaux de la barre de navigation gauche.');
GlobalManager_ScriptId.push('CollapseSidebox');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/CollapseSidebox.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Édition améliorée.');
GlobalManager_ScriptId.push('wikEd');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/wikEd.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Divise la zone d\'édition en plusieurs parties.');
GlobalManager_ScriptId.push('Edit');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/Edit.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Récupération d\'interwikis depuis un wikipedia d\'une autre langue.');
GlobalManager_ScriptId.push('iKiwi');
GlobalManager_ScriptPage.push('Utilisateur:Arkanosis/iKiwi.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Ajout/retrait/modification rapide de bandeaux d\'ébauche.');
GlobalManager_ScriptId.push('BandeauxEbauches');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/BandeauxEbauches.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Modifie le rendu des catégories et des bandeaux de portails.');
GlobalManager_ScriptId.push('CategoriesBandeauxPortail');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/CategoriesBandeauxPortail.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Gestion de <a href="http://fr.wikipedia.org/wiki/Projet:Portails/Articles_sans_portail">Projet:Portails/Articles sans portail</a>.');
GlobalManager_ScriptId.push('PagesSansBandeauDePortail');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/PagesSansBandeauDePortail.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Ajout/retrait/modification rapide de bandeaux de portails.');
GlobalManager_ScriptId.push('BandeauxPortails');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/BandeauxPortails.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Ajout/retrait/modification rapide de bandeaux de catégorie.');
GlobalManager_ScriptId.push('BandeauxCategories');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/BandeauxCategories.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Ajout ou retrait rapide de catégories');
GlobalManager_ScriptId.push('HotCatsMulti');
GlobalManager_ScriptPage.push('Utilisateur:Dr Brains/HotCatsPerso.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Création de page à partir de la catégorie.');
GlobalManager_ScriptId.push('NewCatInputbox');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/NewCatInputbox.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ajoute l\'ancienne barre d\'outils au\-dessus de la nouvelle (bêta Açai).');
GlobalManager_ScriptId.push('AcaiToolbar');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/AcaiToolbar.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('MenuClicDroit, version de développement');
GlobalManager_ScriptId.push('MenuClicDroit_Dev');
GlobalManager_ScriptPage.push(' Utilisateur:Dr_Brains/MenuClicDroit_Dev.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Permet de prévisualiser chaque entrée de diverses <a href=http://fr.wikipedia.org/wiki/Special:Specialpages>Pages spéciales</a>.');
GlobalManager_ScriptId.push('SpecialPagePreview'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/SpecialPagePreview.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Affiche la dernière modification de la liste de suivi en haut de la page.');
GlobalManager_ScriptId.push('MessageWatchlist'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/MessageWatchlist.js'); 

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Permet de suivre les contributions d\'une liste de contributeurs.');
GlobalManager_ScriptId.push('WatchUsers'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/WatchUsers.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Permet de suivre les contributions d\'une liste de contributeurs.');
GlobalManager_ScriptId.push('AdvancedContribs'); 
GlobalManager_ScriptPage.push('MediaWiki:Gadget-AdvancedContribs.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Permet d\'ajouter toutes les pages d\'une catégorie à la liste de suivi.');
GlobalManager_ScriptId.push('WatchCategoryMembers'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/WatchCategoryMembers.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Permet de sélectionner facilement les pages à supprimer de la liste de suivi.');
GlobalManager_ScriptId.push('ListeSuivi'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/ListeSuivi.js'); 

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Permet de rechercher les modifications éffectuées par une plage IP dans <a href="'+wgServer+'/wiki/Spécial:Contributions">Spécial:Contributions</a> (version avec prévisualisation).');
GlobalManager_ScriptId.push('IPWatch');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/IPWatch.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Permet de rechercher les modifications éffectuées par une plage IP dans <a href="'+wgServer+'/wiki/Spécial:Contributions">Spécial:Contributions</a> (version sans prévisualisation).');
GlobalManager_ScriptId.push('IPWatchNoPreview');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/IPWatchNoPreview.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Permet de compter les pages liées dans <a href="'+wgServer+'/wiki/Spécial:Whatlinkshere">Spécial:Pages liées</a>.');
GlobalManager_ScriptId.push('WhatlinkshereDeluxe'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/WhatlinkshereDeluxe.js'); 

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Permet de sélectionner/dé-sélectionner facilement les versions  de la page à masquer.');
GlobalManager_ScriptId.push('OversightDeluxe');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/OversightDeluxe.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Permet de sélectionner/dé-sélectionner facilement les pages à supprimer de la page <a href="'+wgServer+'/wiki/Spécial:Nuke">Spécial:Nuke</a>.');
GlobalManager_ScriptId.push('NukeDeluxe');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/NukeDeluxe.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('<a href="' + wgServer + '/wiki/Special:AbuseLog" >Journal des filtrages</a> amélioré.'); 
GlobalManager_ScriptId.push('AbuseLogDeluxe'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/AbuseLogDeluxe.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Permet de sélectionner/dé-sélectionner facilement les versions à restaurer.');
GlobalManager_ScriptId.push('UndeleteDeluxe');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/UndeleteDeluxe.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Améliore la page spéciale de suppression : pages liées et résumés de suppressions prédéfinis.');
GlobalManager_ScriptId.push('DeleteDeluxe');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/DeleteDeluxe.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Améliore la page spéciale de renommage : résumés de renommage prédéfinis, pages liées et correction des doubles redirections.');
GlobalManager_ScriptId.push('MoveDeluxe');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/MoveDeluxe.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Amélioration de la page spéciale <a href="'+wgServer+'/wiki/Spécial:Newpages">Spécial:Nouvelles pages</a>.');
GlobalManager_ScriptId.push('NewPagesDeluxe');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/NewPagesDeluxe.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Procure des résumés de modification prédéfinis.');
GlobalManager_ScriptId.push('ResumeDeluxe');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/ResumeDeluxe.js');
 
GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Permet aux non-sysops de révoquer à partir de l\'historique. Permet de personnaliser le résumé de révocation.');
GlobalManager_ScriptId.push('RevocationDeluxe');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/RevocationDeluxe.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Améliore les pages d\'historique.');
GlobalManager_ScriptId.push('HistoryDeluxe'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/HistoryDeluxe.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Mermet une recherche des messages système par mot-clef (RegExp).');
GlobalManager_ScriptId.push('AllmessagesDeluxe'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr Brains/AllmessagesDeluxe.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Dans <a href=http://fr.wikipedia.org/wiki/Special:Blockip>Special:Blockip</a>, permet de savoir si l\'utilisateur visé est un bot pour prévenir le blocage de son IP.');
GlobalManager_ScriptId.push('NoBlockIpBots'); 
GlobalManager_ScriptPage.push('MediaWiki:Gadget-NoBlockIpBots.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ajoute un onglet \"CatScan\" pour rechercher les images utilisées dans une catégorie (recherche sur les wiki liés).');
GlobalManager_ScriptId.push('CatScan');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/CatScan.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ajoute des liens (page précédente) et (page suivante) en haut et en bas des sous-pages du <a href=http://fr.wikipedia.org/wiki/Wikipédia:Bistro>Bistro</a>.');
GlobalManager_ScriptId.push('NavigationBistro');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/NavigationBistro.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ajoute des liens (page précédente) et (page suivante) en haut et en bas des sous-pages de la <a href=http://fr.wikipedia.org/wiki/Wikipédia:Guilde_des_Guides>Guilde des Guides</a>.');
GlobalManager_ScriptId.push('NavigationGuilde');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/NavigationGuilde.js');
 
GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ajoute un onglet \"Modifier\" et \"Historique\" pour la page associée.');
GlobalManager_ScriptId.push('DoubleActions'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/DoubleActions.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Transforme les onglets en menus déroulants.');
GlobalManager_ScriptId.push('MenuActions');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/MenuActions.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Procure un menu contextuel complet (clic droit).');
GlobalManager_ScriptId.push('MenuClicDroit');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/MenuClicDroit.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Ajout d\'un bouton pour emplacer les <a href="' + wgServer + wgArticlePath.split("$1").join("Catégorie:Page utilisant un modèle obsolète") + '" title="Catégorie:Page utilisant un modèle obsolète" >modèles inter-projets obsolètes</a> par {{Autres projets}}.');
GlobalManager_ScriptId.push('ModeleObsolete');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/ModeleObsolete.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ajout d\'un bouton pour inverser les lignes de la fenêtre de modification.');
GlobalManager_ScriptId.push('InvertEditPage');
GlobalManager_ScriptPage.push('Utilisateur:Dr Brains/InvertEditPage.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ajout d\'un bouton pour la création rapide de portail d\'après modèle.');
GlobalManager_ScriptId.push('CreatePortal');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/CreatePortal.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Fixe la position de la barre de navigation gauche, des onglets et des liens personnels.');
GlobalManager_ScriptId.push('FixSidebar');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/FixSidebar.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Panneaux de la barre de navigation gauche enroulables et réorganisables (skin Monobook).');
GlobalManager_ScriptId.push('MagicSidebox');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/MagicSidebox.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Panneaux de la barre de navigation gauche enroulables et réorganisables (skin Vector).');
GlobalManager_ScriptId.push('VectorMagicSidebox');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/VectorMagicSidebox.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ajoute un lien dans la boîte à outils permettant de vérifier les liens de la page pointant sur une page d\'homonymie.'); 
GlobalManager_ScriptId.push('verifHomon');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/verifHomon.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ajoute un lien dans la boîte à outils permettant de vérifier les liens de la page pointant sur une ébauche.'); 
GlobalManager_ScriptId.push('verifEbauche');
GlobalManager_ScriptPage.push('Utilisateur:Dr Brains/verifEbauche.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ajoute un panneau avec des liens utiles pour l\'administration.');
GlobalManager_ScriptId.push('SysopPortlet');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/SysopPortlet.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ajoute un panneau dans la barre de gauche pour traduire un terme en différentes langues.');
GlobalManager_ScriptId.push('TranslatePortlet');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/TranslatePortlet.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Suivi dans un panneau de la barre de gauche des articles les plus modifiés actuellement (mise à jour à intervalle régulier (100 secondes).'); 
GlobalManager_ScriptId.push('SuiviRC');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/SuiviRC.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Permet d\'évaluer rapidement un article.'); 
GlobalManager_ScriptId.push('Evaluation');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/Evaluation.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Rend les liens cliquables à l\intérieur d\'une balise source.');
GlobalManager_ScriptId.push('SourceCliquable');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/SourceCliquable.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Permet d\'ajouter des bandeaux au début d\'une page ou d\'une section.');
GlobalManager_ScriptId.push('BandeauxFaciles');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/BandeauxFaciles.js');
 
GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ajout de flèches pour atteindre le sommet ou le bas de la page.');
GlobalManager_ScriptId.push('Scroll'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/Scroll.js');
 
GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ajout en dessous de la zone de recherche d\'un champ pour tester l\'existence d\'une page.');
GlobalManager_ScriptId.push('TestExist'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/TestExist.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Zoom lors du passage de la souris au dessus d\'une image thumb ou galerie.');
GlobalManager_ScriptId.push('ZoomOnThumb'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/ZoomOnThumb.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ajout de liens permettant un zoom dans la page de description d\'une image.');
GlobalManager_ScriptId.push('ZoomOnFileDescriptionPage'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/ZoomOnFileDescriptionPage.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Fournit une loupe dans la page de description d\'une image.');
GlobalManager_ScriptId.push('Loupe'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/Loupe.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ouverture de pop-up lors du passage de la souris au dessus d\'un lien.');
GlobalManager_ScriptId.push('Popups'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/Popups.js');
 
GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Références en pop-up au survol de la souris.');
GlobalManager_ScriptId.push('ReferencesPopUp'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/ReferencesPopUp.js');
 
GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ajout d\'un compteur de consultation de la page courante.'); 
GlobalManager_ScriptId.push('Consult'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/Consult.js');

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Permet le suivi d\'une ou plusieurs catégories.');
GlobalManager_ScriptId.push('SuiviCat'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/SuiviCat.js');
 
GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Permet de surligner son nom d\'utilisateur.');
GlobalManager_ScriptId.push('myName'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/myName.js');
 
GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ajoute dans le footer la taille de la page courante.'); 
GlobalManager_ScriptId.push('PageSize'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/PageSize.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ajoute une indication de la dernière modif.');
GlobalManager_ScriptId.push('LastContrib'); 
GlobalManager_ScriptPage.push('MediaWiki:Gadget-LastContrib.js'); 

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Jeu du démineur.'); 
GlobalManager_ScriptId.push('demineur'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/demineur.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Patrouille dans une nouvelle fenêtre.'); 
GlobalManager_ScriptId.push('WindowPatrol'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/WindowPatrol.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Obtenir des informations sur la page courante.');
GlobalManager_ScriptId.push('PageManager'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/PageManager.js'); 

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Divers gadgets concernant l\'affichage.');
GlobalManager_ScriptId.push('SkinManager'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/SkinManager.js'); 

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Colore la section visée lors du survol de la souris sur un lien de section \"modifier\".');
GlobalManager_ScriptId.push('ColorSection'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/ColorSection.js'); 

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Masquage/Affichage d\'une section via un lien juste devant le titre de la section.');
GlobalManager_ScriptId.push('CollapseSection'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/CollapseSection.js'); 

GlobalManager_ScriptType.push(1);
GlobalManager_ScriptText.push('Remplace le logo par un clip vidéo issu de DailyMotion, YouTube ou Google.'); 
GlobalManager_ScriptId.push('Video'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/Video.js'); 

GlobalManager_ScriptType.push(5);  ///////////////////////////////////////
GlobalManager_ScriptText.push('En test');
GlobalManager_ScriptId.push(''); 
GlobalManager_ScriptPage.push(''); 

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('<a href=http://fr.wikipedia.org/wiki/Utilisateur:Dr_Brains/BacASable.js>Bac à Sable</a>'); 
GlobalManager_ScriptId.push('BacASable'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/BacASable.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('<a href=http://fr.wikipedia.org/wiki/Utilisateur:Dr_Brains/Twinkle.js>Twinkle</a>'); 
GlobalManager_ScriptId.push('Twinkle'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/Twinkle.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Barre d\'outils améliorée'); 
GlobalManager_ScriptId.push('ToolbarDeluxe'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/ToolbarDeluxe.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Permet d\'éditer la page en sélectionnant simplement du texte.');
GlobalManager_ScriptId.push('QuickEdit'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/QuickEdit.js'); 

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Jeux WidgetBox. (<a href=http://fr.wikipedia.org/wiki/Utilisateur:'+wgUserName.replace(/ /g,"_")+'/Jeux>Salle de jeux</a>)'); 
GlobalManager_ScriptId.push('Jeux'); 
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/Jeux.js');

GlobalManager_ScriptType.push(5);  ///////////////////////////////////////
GlobalManager_ScriptText.push('Obsolètes ou archivés');
GlobalManager_ScriptId.push(''); 
GlobalManager_ScriptPage.push(''); 

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Permet de basculer du mode normal au mode plein écran.'); 
GlobalManager_ScriptId.push('FullScreen');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/FullScreen.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ajoute une boîte favoris dans la barre de gauche.'); 
GlobalManager_ScriptId.push('favoris');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/favoris.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Permet de masquer les liens de la page.'); 
GlobalManager_ScriptId.push('CacheLiens');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/CacheLiens.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Ajoute des onglets pour effectuer une recherche Google basée sur la titre de la page courante.'); 
GlobalManager_ScriptId.push('Google');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/Google.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Permet de moduler la taille de la zone d\'édition.');
GlobalManager_ScriptId.push('TailleEdit');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/TailleEdit.js');

GlobalManager_ScriptType.push(1); 
GlobalManager_ScriptText.push('Permet d\'insérer n\'importe quelle balise.');
GlobalManager_ScriptId.push('Balise');
GlobalManager_ScriptPage.push('Utilisateur:Dr_Brains/Balise.js');

} /// FIN DES SCRIPTS PAR DÉFAUT

// //////////////////////////////////////////////////////////// PARTIE PERSONNALISABLE : PARAMÈTRES

// Liste des skins disponibles
var GlobalManager_RunningSkins = new Array(); 
GlobalManager_RunningSkins.push('monobook');
GlobalManager_RunningSkins.push('chick');
GlobalManager_RunningSkins.push('simple');
GlobalManager_RunningSkins.push('myskin');
GlobalManager_RunningSkins.push('modern');
GlobalManager_RunningSkins.push('vector');
GlobalManager_RunningSkins.push('cologneblue');
GlobalManager_RunningSkins.push('nostalgia');
GlobalManager_RunningSkins.push('standard');

// Langue du wiki d'origine
var GlobalManager_LangFrom = 'fr';

// Adresses du wiki d'origine
var GlobalManager_URLFrom = 'http://fr.wikipedia.org/wiki/';
var GlobalManager_URLBisFrom = 'http://fr.wikipedia.org/w/index.php?title=';

// Page du GlobalManager
var GlobalManager_HomePage = 'User:Dr_Brains/GlobalManager.js';

// Résumé de modification
var GlobalManager_Resume = 'Mise à jour avec [[:'+GlobalManager_LangFrom+':'+GlobalManager_HomePage+']]';

// Commentaires d'édition
var GlobalManager_CommStart = '//DebutSectionAuto : Cette section est produite par le script [[:fr:User:Dr_Brains/GlobalManager.js]]
//ConfigSectionAuto setup-ToolbarDeluxe.js  setup-BacASable.js  setup-LastContrib.js  setup-TranslatePortlet.js  setup-SysopPortlet.js  setup-HistoryDeluxe.js  setup-IPWatch.js  setup-WatchUsers.js  setup-HotCatsMulti.js  setup-iKiwi.js  setup-wikEd.js  setup-LinkTranslate.js  setup-LiveContribs.js  setup-AjoutModeleBOT.js  setup-BandeauxPortailsBOT.js  setup-BandeauxCategoriesBOT.js  setup-ArticlesManquants.js  setup-MaintenanceCategorie.js  setup-VerifEval.js  setup-LumiereSur.js 

document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=User:Dr_Brains/GlobalManager.js&action=raw&ctype=text/javascript"></script>'); 

// Importation de [[Utilisateur:Dr_Brains/ToolbarDeluxe.js]]
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dr_Brains/ToolbarDeluxe.js&action=raw&ctype=text/javascript"></script>'); 

// Importation de [[Utilisateur:Dr_Brains/BacASable.js]]
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dr_Brains/BacASable.js&action=raw&ctype=text/javascript"></script>'); 

// Importation de [[MediaWiki:Gadget-LastContrib.js]]
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=MediaWiki:Gadget-LastContrib.js&action=raw&ctype=text/javascript"></script>'); 

// Importation de [[Utilisateur:Dr_Brains/TranslatePortlet.js]]
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dr_Brains/TranslatePortlet.js&action=raw&ctype=text/javascript"></script>'); 

// Importation de [[Utilisateur:Dr_Brains/SysopPortlet.js]]
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dr_Brains/SysopPortlet.js&action=raw&ctype=text/javascript"></script>'); 

// Importation de [[Utilisateur:Dr_Brains/HistoryDeluxe.js]]
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dr_Brains/HistoryDeluxe.js&action=raw&ctype=text/javascript"></script>'); 

// Importation de [[Utilisateur:Dr_Brains/IPWatch.js]]
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dr_Brains/IPWatch.js&action=raw&ctype=text/javascript"></script>'); 

// Importation de [[Utilisateur:Dr_Brains/WatchUsers.js]]
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dr_Brains/WatchUsers.js&action=raw&ctype=text/javascript"></script>'); 

// Importation de [[Utilisateur:Dr Brains/HotCatsPerso.js]]
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dr Brains/HotCatsPerso.js&action=raw&ctype=text/javascript"></script>'); 

// Importation de [[Utilisateur:Arkanosis/iKiwi.js]]
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Arkanosis/iKiwi.js&action=raw&ctype=text/javascript"></script>'); 

// Importation de [[Utilisateur:Dr_Brains/wikEd.js]]
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dr_Brains/wikEd.js&action=raw&ctype=text/javascript"></script>'); 

// Importation de [[Utilisateur:Dr_Brains/LinkTranslate.js]]
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dr_Brains/LinkTranslate.js&action=raw&ctype=text/javascript"></script>'); 

// Importation de [[Utilisateur:Dr_Brains/LiveContribs.js]]
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dr_Brains/LiveContribs.js&action=raw&ctype=text/javascript"></script>'); 

// Importation de [[Utilisateur:Dr Brains/AjoutModeleBOT.js]]
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dr Brains/AjoutModeleBOT.js&action=raw&ctype=text/javascript"></script>'); 

// Importation de [[Utilisateur:Dr_Brains/BandeauxPortailsBOT.js]]
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dr_Brains/BandeauxPortailsBOT.js&action=raw&ctype=text/javascript"></script>'); 

// Importation de [[Utilisateur:Dr_Brains/BandeauxCategoriesBOT.js]]
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dr_Brains/BandeauxCategoriesBOT.js&action=raw&ctype=text/javascript"></script>'); 

// Importation de [[Utilisateur:Dr_Brains/ArticlesManquants.js]]
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dr_Brains/ArticlesManquants.js&action=raw&ctype=text/javascript"></script>'); 

// Importation de [[Utilisateur:Dr_Brains/MaintenanceCategorie.js]]
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dr_Brains/MaintenanceCategorie.js&action=raw&ctype=text/javascript"></script>'); 

// Importation de [[Utilisateur:Dr_Brains/VerifEval.js]]
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dr_Brains/VerifEval.js&action=raw&ctype=text/javascript"></script>'); 

// Importation de [[Utilisateur:Dr_Brains/LumiereSur.js]]
document.write('<script type="text/javascript" src="http://fr.wikipedia.org/w/index.php?title=Utilisateur:Dr_Brains/LumiereSur.js&action=raw&ctype=text/javascript"></script>'); 

//FinSectionAuto';

// //////////////////////////////////////////////////////////// PARTIE PERSONNALISABLE : TEXTES

var GlobalManager_Text_SelectScripts = "Sélectionner les scripts à ajouter à la page : ";
var GlobalManager_Text_Help = "Documentation";
var GlobalManager_Text_InputOK = "Générer le script";
var GlobalManager_Text_Hide = "[Masquer]";
var GlobalManager_Text_Show = "[Afficher]";
var GlobalManager_Text_Import = "Importation des scripts : ";
var GlobalManager_Text_Edit = "Édition de la page : ";
var GlobalManager_Text_Save = "Sauvegarde de la page : ";
var GlobalManager_Text_OK = "OK";
var GlobalManager_Text_SelectAll = "Tous";
var GlobalManager_Text_SelectNone = "Aucun";


// //////////////////////////////////////////////////////////// FIN DE LA PARTIE PERSONNALISABLE

////////////////////////// VARIABLES GLOBALES NON PERSONNALISABLES

var GlobalManager_URLHome = wgServer + wgArticlePath.split('$1').join('');
var GlobalManager_URLBisHome = wgServer + wgScript + '?title=';

var GlobalManager_RunningPages = new Array();
for(var a=0;a<GlobalManager_RunningSkins.length;a++){
      GlobalManager_RunningPages.push(wgFormattedNamespaces[2] + ':' + wgUserName.replace(/ /g, "_") + '/' + GlobalManager_RunningSkins[a] + '.js');
}
var GlobalManager_CurrentRunningPage = wgFormattedNamespaces[2] + ':' + wgUserName.replace(/ /g, "_") + '/' + skin + '.js';


// //////////////////////////////////////////////////////////// FONCTIONS

////////////////////////// LANCEMENT

var GlobalManager_Running = 0;
addOnloadHook(GlobalManager_AddLinks);

////////////////////////// AJOUT DES LIENS

function GlobalManager_AddLinks(){
    if(GlobalManager_Running==1) return;
    GlobalManager_Running = 1;
    if(typeof(GlobalManager_LangCustom)=="function")GlobalManager_LangCustom();
    if(typeof(GlobalManager_UserCustom)=="function")GlobalManager_UserCustom();
    if(typeof(GlobalManager_GetUserScripts)=="function"){
        GlobalManager_GetUserScripts();
    }else{
        GlobalManager_GetDefaultScripts();
    }
    if((skin == "monobook")||(skin == "vector")||(skin == "modern") ||(skin == "chick")||(skin == "myskin")||(skin == "simple")){
        var ManagerLinks = "<li id=\"ManagerLink\" >"
                         + "<a href=" + GlobalManager_URLFrom + GlobalManager_HomePage + ">GlobalManager</a>"
                         + "</li>";
        if(typeof(DeveloppementJavaScript_AddLinks)!="function"){ 
            ManagerLinks += "<li id=\"pt-jspage\" >"
                          + "<a href=" + GlobalManager_URLHome + GlobalManager_CurrentRunningPage  + ">" + skin + ".js</a>"
                          + "</li>";
       }
       var conteneurDiv = document.getElementById("p-personal");
       if(!conteneurDiv) return;
       var conteneur = conteneurDiv.getElementsByTagName('ul')[0];
       conteneur.innerHTML = conteneur.innerHTML + ManagerLinks ;
    }else if((skin == "cologneblue")||(skin == "standard" )||(skin == "nostalgia" )){
        var ManagerLinks = "<small><center>"
                         + "<a href=" + GlobalManager_URLFrom + GlobalManager_HomePage + ">GlobalManager</a>"
        if(typeof(DeveloppementJavaScript_AddLinks)!="function"){ 
            ManagerLinks += " • "
                         + "<a href=" + GlobalManager_URLHome + GlobalManager_CurrentRunningPage  + ">" + skin + ".js</a>"
        }
        ManagerLinks += "</center></small>";
        var ManagerlinkDiv = document.createElement("div");
        ManagerlinkDiv.id = "ManagerLink";
        ManagerlinkDiv.innerHTML = ManagerLinks;
        var contentNode = document.getElementById("article");
        if(!contentNode) return;
        contentNode.insertBefore(ManagerlinkDiv, contentNode.firstChild);
    }
    if((wgAction=="view")||(wgAction=="purge")){
        for(var p=0;p<GlobalManager_RunningPages.length;p++){
            if(wgPageName == GlobalManager_RunningPages[p]) GlobalManager_GetConfig();
        }
    }
}


////////////////////////// ANALYSE CONFIG ACTUELLE

var GlobalManager_InstalledScriptIds = new Array();

function GlobalManager_GetConfig(){
   var Adresse = GlobalManager_URLBisHome + wgPageName + '&oldid='+wgCurRevisionId+'&action=raw';
   var RequeteEdition = sajax_init_object();
   RequeteEdition.open("GET", Adresse, true);
   RequeteEdition.onreadystatechange = function() {
      if( !(RequeteEdition.readyState == 4 && RequeteEdition.status == 200) )  return;
      var Resultat = RequeteEdition.responseText;
      if(Resultat.indexOf(GlobalManager_CommConfig)!=-1)
      var Configuration = Resultat.split(GlobalManager_CommConfig)[1].split('\n')[0];
      if(Configuration){
         for(var a=0;a<GlobalManager_ScriptType.length;a++){
            if(GlobalManager_ScriptType[a]==1){
               if(Configuration.indexOf('setup-'+GlobalManager_ScriptId[a]+'.js')!=-1){
                  GlobalManager_InstalledScriptIds[a] = ' checked="checked" ';
               }else{
                  GlobalManager_InstalledScriptIds[a] = '';
               }
            }else{
               GlobalManager_InstalledScriptIds[a] = '';
            }
         }
      }else{
         for(var a=0;a<GlobalManager_ScriptType.length;a++){
            GlobalManager_InstalledScriptIds[a] = '';
         }
      }
      GlobalManager_CreateForm();
   }
   RequeteEdition.send(null);
}

////////////////////////// CRÉATION TABLEAU DE SÉLECTION

function GlobalManager_CreateForm(){
   var DivRepere = document.getElementById('siteNotice');
   if(!DivRepere) return;
 
   var Form = document.createElement('div');
   DivRepere.parentNode.insertBefore(Form, DivRepere);
   DivRepere.style.display = 'none';

   var OKInput = '<p>'
                + '<input type="button" class="GlobalManager_Input" '
                + 'onclick="GlobalManager_CreateNewScript();" '
                + 'onselect="GlobalManager_CreateNewScript();" '
                + 'value="'+GlobalManager_Text_InputOK+'" />'
                + '</p>'

   var FormContent = '<fieldset id="GlobalManager_Fieldset" >'
                   +'<legend>'
                   + '<span style="font-size:120%;">'+GlobalManager_Text_SelectScripts
                   + '<b>' + wgPageName.replace(/_/g," ") + '</b> '
                   + '<sup><small>'
                   + '<a href=\"http://fr.wikipedia.org/wiki/Discussion_Utilisateur:Dr_Brains/GlobalManager.js\">('+GlobalManager_Text_Help+')</a>'
                   + '</small></sup>'
                   + ' <a id=\"GlobalManager_ToggleLink\" href=\"javascript:GlobalManager_Toggle();\">'+GlobalManager_Text_Hide+'</a>'
                   + '</span>'
                   + '</legend>'
                   + '<div id=\"GlobalManager_ScriptList\">'
                   + '<table style=\"float:right;clear:right;\">'
                   + '<tr><td>'
                   + '<div style=\"background:#EEE;\">'
                   + '<center><h5><a href=\"http://fr.wikiversity.org/wiki/JavaScript\">Scripts JS</a></h5></center>'
                   + '<div style=\"font-size: 95%;background-color: white;color: black;border-collapse: collapse;border: 1px solid #aaa;padding: 0 .8em .3em .5em;\"><ul>'
                   + '<li><b><a href=' + GlobalManager_URLHome + GlobalManager_CurrentRunningPage + '>' + skin + '</a></b></li>';
   for(var b=0;b<GlobalManager_RunningPages.length;b++){
      if(GlobalManager_RunningPages[b]!=GlobalManager_CurrentRunningPage)
      FormContent += '<li>'
                   + '<a href=' + GlobalManager_URLHome + GlobalManager_RunningPages[b] + '>' 
                   + GlobalManager_RunningSkins[b] 
                   + '</a>'
                   + '</li>' ;
   }
   FormContent += '</ul></div></div>'
                + '</td></tr>'
                + '</table>'
                + '<form id="GlobalManager_Form">' + OKInput;
   var HeadLineCount = 0
   for(var c=0;c<GlobalManager_ScriptType.length;c++){
      if(GlobalManager_ScriptType[c] == 1){
         FormContent += '<input type=\"checkbox\" '
                      + 'id=\"'+GlobalManager_ScriptId[c]+'\" '
                      + GlobalManager_InstalledScriptIds[c]+' ></input>&nbsp;'
                      + '<b><a href=\"'+GlobalManager_URLFrom + GlobalManager_ScriptPage[c]+'\" '
                      + 'title=\"'+GlobalManager_ScriptPage[c]+'\" >'
                      + GlobalManager_ScriptId[c]
                      + '</a></b> : '+GlobalManager_ScriptText[c]+'<br\/>';
      }else{
         FormContent += '<h'+GlobalManager_ScriptType[c]+' id="GM_headline_'+HeadLineCount+'">'
                      + '<span class="mw-headline">'
                      + GlobalManager_ScriptText[c]
                      + '</span>'
                      + '&nbsp;'
                      + '<small><a href="javascript:GlobalManager_CheckAll('+HeadLineCount+', true);">'+GlobalManager_Text_SelectAll+'</a></small>'
                      + '&nbsp;'
                      + '<small><a href="javascript:GlobalManager_CheckAll('+HeadLineCount+', false);">'+GlobalManager_Text_SelectNone+'</a></small>'
                      +'</h'+GlobalManager_ScriptType[c]+'>';
                      HeadLineCount++
      }
   }
   FormContent += OKInput + '</form><div id="GlobalManager_Running"></div></div></fieldset>';

   Form.innerHTML = FormContent;
   if(typeof(DeveloppementJavaScript_AddLinks)=="function") GlobalManager_Toggle();
}

////////////////////////// MISE A JOUR PAGE JS

var GlobalManager_NewScript = 'document.write(\'<script type="text/javascript" src="' + GlobalManager_URLBisFrom + GlobalManager_HomePage + '&action=raw&ctype=text/javascript"></script>\'); \n\n';
var GlobalManager_NewScriptConfig = GlobalManager_CommStart + GlobalManager_CommPlus + '\n' +GlobalManager_CommConfig;

function GlobalManager_CreateNewScript(){
     var Form = document.getElementById('GlobalManager_Form');
     var ControlElement = document.getElementById('GlobalManager_Running');
     if((!Form)||(!ControlElement)) return;
     var Inputs = Form.getElementsByTagName("input");
     for(var a=0;a<Inputs.length;a++){
         Inputs[a].disabled = "disabled";
     }
     ControlElement.innerHTML = '<b>* '+GlobalManager_Text_Import+'</b><br/>';
     for(var d=(GlobalManager_ScriptId.length-1);d>-1;d--){
          if(GlobalManager_ScriptId[d]=='') continue;
          var Input = document.getElementById(GlobalManager_ScriptId[d]);
          if(!Input) continue;
          if(Input.checked){
               ControlElement.innerHTML +=  GlobalManager_ScriptPage[d] + ' — ';
               GlobalManager_NewScriptConfig += ' setup-'+GlobalManager_ScriptId[d]+'.js ';
               GlobalManager_NewScript += '// Importation de [['+GlobalManager_ScriptPage[d]+']]\n';
               GlobalManager_NewScript += 'document.write(\'<script type="text/javascript" src="' + GlobalManager_URLBisFrom + GlobalManager_ScriptPage[d] + '&action=raw&ctype=text/javascript"></script>\'); \n\n';
          }
     }
     GlobalManager_NewScriptConfig += '\n\n';
     GlobalManager_NewScript += GlobalManager_CommEnd;

     ControlElement.innerHTML += '<br/><b>* '+GlobalManager_Text_Edit + wgPageName.replace(/_/g, " ") + '</b><br/>';
     var Adresse = GlobalManager_URLBisHome + wgPageName + '&action=edit';
     var RequeteEdition = sajax_init_object(); 
     RequeteEdition.open("GET", Adresse, true);
     RequeteEdition.onreadystatechange = function() {
          if( RequeteEdition.readyState != 4 )  return;
          var Temp = document.createElement('div');
          Temp.style.display = 'none';
          document.body.insertBefore(Temp, document.body.firstChild);
          Temp.innerHTML = RequeteEdition.responseText;  
          var ContenuTextarea = document.getElementById('wpTextbox1').value;
          if((ContenuTextarea.indexOf(GlobalManager_CommStart)!=-1)&&(ContenuTextarea.indexOf(GlobalManager_CommEnd)!=-1)){
               var Before = ContenuTextarea.split(GlobalManager_CommStart)[0];
               var After = ContenuTextarea.split(GlobalManager_CommEnd)[1];
               var TexteFinal = Before+GlobalManager_NewScriptConfig+GlobalManager_NewScript+After;
          }else{
               var TexteFinal = GlobalManager_NewScriptConfig+GlobalManager_NewScript+ContenuTextarea;
          }
           ControlElement.innerHTML += '<b>* '+ GlobalManager_Text_Save + wgPageName + '</b><br/>';
          var AdressePublication = document.getElementById("editform").action; 
          var boundary = '--------123xyz';
          var data = '';
          data += '--' + boundary 
                + '\nContent-Disposition: form-data; name="wpTextbox1"\n\n' 
                + TexteFinal + '\n'
          data += '--' + boundary 
                + '\nContent-Disposition: form-data; name="wpSection"\n\n' 
                + document.editform.wpSection.value + '\n'
          data += '--' + boundary 
                + '\nContent-Disposition: form-data; name="wpSummary"\n\n' 
                + GlobalManager_Resume + '\n'
          data += '--' + boundary 
                + '\nContent-Disposition: form-data; name="wpStarttime"\n\n' 
                + document.editform.wpStarttime.value + '\n'
          data += '--' + boundary 
                + '\nContent-Disposition: form-data; name="wpEdittime"\n\n' 
                + document.editform.wpEdittime.value + '\n'
          data += '--' + boundary 
                + '\nContent-Disposition: form-data; name="wpEditToken"\n\n' 
                + document.editform.wpEditToken.value + '\n'
          var RequetePublication = sajax_init_object();
          RequetePublication.open('POST', AdressePublication, true);
          RequetePublication.setRequestHeader('Content-Type', 'multipart/form-data; boundary='+boundary);
          RequetePublication.onreadystatechange = function(){
               if (RequetePublication.readyState == 4){
                    Temp.innerHTML = RequetePublication.responseText;                     
                    if(!Temp.getElementsByTagName('textarea')[0]){
                         ControlElement.innerHTML += '<b><big>'+GlobalManager_Text_OK+'</big></b>';
                         window.location.reload();
                    }else{
                         GlobalManager_CreateNewScript();
                    }
               }
          }
          RequetePublication.send(data + '--' + boundary);
     }
     RequeteEdition.send(null);

}

////////////////////////// MASQUAGE/AFFICHAGE TABLEAU DE SÉLECTION

function GlobalManager_Toggle(){
    var Link = document.getElementById("GlobalManager_ToggleLink");
    var Liste = document.getElementById("GlobalManager_ScriptList");
    if((!Link)||(!Liste)) return;
    if(Link.innerHTML == GlobalManager_Text_Hide){
        Liste.style.display = "none";
        Link.innerHTML = GlobalManager_Text_Show;
    }else{
        Liste.style.display = "block";
        Link.innerHTML = GlobalManager_Text_Hide;
    }
}

////////////////////////// SÉLECTION/DÉSÉLECTION DE TOUTE UNE SECTION

function GlobalManager_CheckAll(ID, Check){

    var HeadLine = document.getElementById("GM_headline_"+ID);
    var Limit = HeadLine.tagName.toLowerCase();
    var Element = HeadLine.nextSibling;
    while(Element){
        if(Element.tagName){
            if(Element.tagName.toLowerCase()==Limit) break;
            if(Element.tagName.toLowerCase()=='input'){
                if(Element.type == 'checkbox'){
                    if(Check){
                        Element.checked = "checked";
                    }else{
                        Element.checked = false;                        
                    }
                }
            }
        }
        Element = Element.nextSibling
    }
}

// </nowiki></pre>
// Installe wikEd pour l'édition des pages (pour tous)
// Traduction de [[Utilisateur:Leag|Leag]] : [[Utilisateur:Leag/wikEd|wikEd]]

// disable loading for IE, not needed, but might save a few milliseconds
if (navigator.appName != 'Microsoft Internet Explorer') {
 
// install [[:en:User:Cacycle/wikEd]] in-browser text editor
document.write('<script type="text/javascript" src="'
+ 'http://en.wikipedia.org/w/index.php?title=User:Cacycle/wikEd.js'
+ '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
}

var NewMessage_PagesASurveiller = new Array(); 
 
// Ajouter ci-dessous les pages à surveiller
 
NewMessage_PagesASurveiller.push('Discussion:Robert_Payant');
NewMessage_PagesASurveiller.push('Discussion:ZAP_Québec');
NewMessage_PagesASurveiller.push('Discussion_utilisateur:EDUCA33E/LiveRC.js');
 
// Importation script
obtenir('NewMessage');