/*             Boutons de la boîte d'édition             */


/* Fonctions d'ajout */
function addCustomButton(imageFile, speedTip, tagOpen, tagClose, sampleText, imageId) {
  mwCustomEditButtons[mwCustomEditButtons.length] =
    {"imageId": imageId,
     "imageFile": imageFile,
     "speedTip": speedTip,
     "tagOpen": tagOpen,
     "tagClose": tagClose,
     "sampleText": sampleText};
}
 
/***********************************************/
/*  édition classique   */
/***********************************************/

/*addCustomButton('http://upload.wikimedia.org/wikipedia/commons/4/47/Button_redir.png',
                'Redirection',
                '#REDIRECT [[',
                ']]',
                'nom de la destination',
                'mw-editbutton-redir2');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/b/b4/Button_category03.png',
                'Catégorie',
                '[[Catégorie:',
                ']]',
                'nom de la catégorie',
                'mw-editbutton-category2');*/

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/0/0c/Button_P_template.png',
                'Modèle',
                '{{',
                '}}',
                '',
                'mw-editbutton-mod');

addCustomButton('http://bits.wikimedia.org/skins-1.5/common/images/button_math.png',
                'Maths',
                '<math>',
                '</math>',
                '',
                'mw-editbutton-maths');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/e/ea/Sup-button-bg.png',
                'Sup',
                '<sup>',
                '</sup>',
                '',
                'mw-editbutton-sup');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/3/31/Sub-button-bg.png',
                'Sub',
                '<sub>',
                '</sub>',
                '',
                'mw-editbutton-sub');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/4/44/Button_comillas_latinas.png',
                'Guillemets',
                '« ',
                ' »',
                '',
                'mw-editbutton-guill');

addCustomButton('http://upload.wikimedia.org/wikipedia/fr/f/f4/Button_Unite2c.png',
                'unité2',
                '{{Unité/2||e=||}}',
                '',
                '',
                'mw-editbutton-unite2');

addCustomButton('http://fr.wikipedia.org/skins-1.5/common/images/button_nowiki.png',
                'Nowiki',
                '<nowiki>',
                '</nowiki>',
                '',
                'mw-editbutton-nowiki2');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/3/37/Btn_toolbar_commentaire.png',
                'Commentaire',
                '<!--',
                '-->',
                '',
                'mw-editbutton-comment2');
 
/***********/
/*  Références  */
/***********/

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/c/c4/Button_ref.png',
                'Référence',
                '<ref>',
                '</ref>',
                'référence, citation ou lien',
                'mw-editbutton-ref2');


var lienweb = '{{Lien web\n'
 + '|url=\n'
 + '|titre=\n'
 + '|auteur=\n'
 + '|lien auteur=\n'
 + '|site=\n'
 + '|en ligne le=\n'
 + '|consulté le=\n'
 + '}}';

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/3/3c/Button_lienweb.png',
                '{{Lien web}}',
                lienweb,
                '',
                '',
                'mw-editbutton-lienweb2');

 
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/6/64/Buttonrefvs8.png',
                'Index des références',
                '== Notes et références ==\n{{Références}}',
                '',
                '',
                'mw-editbutton-references2');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/4/49/Button_br_2.png',
                'br',
                '<br />',
                '',
                '',
                'mw-editbutton-br');
 
addCustomButton('',
                '-  Trad  ',
                '{{Traduction/Référence|en|TITRE|NUMERO}}',
                '',
                '',
                'mw-editbutton-trad');


addCustomButton('http://upload.wikimedia.org/wikipedia/fr/6/69/Button_GESTISc.png',
                'Gestis+',
                '<ref name ="GESTIS">{{GESTIS|ZVG= |CAS= |Nom= |Date=}}</ref>',
                '',
                '',
                'mw-editbutton-gestis1');

addCustomButton('http://upload.wikimedia.org/wikipedia/fr/c/c6/Button_GESTIS_shortc.png',
                'Gestis-',
                '<ref name ="GESTIS"/>',
                '',
                '',
                'mw-editbutton-gestis2');

addCustomButton('http://upload.wikimedia.org/wikipedia/fr/3/3f/Button_NISTc.png',
                'Gestis-',
                '<ref name ="NIST">{{NIST||}}, consulté le</ref>',
                '',
                '',
                'mw-editbutton-nist1');

addCustomButton('http://upload.wikimedia.org/wikipedia/fr/b/bc/Button_NIST_shortc.png',
                'Gestis-',
                '<ref name ="NIST"/>',
                '',
                '',
                'mw-editbutton-nist2');

addCustomButton('http://upload.wikimedia.org/wikipedia/fr/f/f5/Button_ChemIDc.png',
                'ChemId+',
                '<ref name ="ChemID">{{ChemID||}}, consulté le</ref>',
                '',
                '',
                'mw-editbutton-chemid1');

addCustomButton('http://upload.wikimedia.org/wikipedia/fr/4/4e/Button_ChemID_shortc.png',
                'ChemId-',
                '<ref name ="ChemID"/>',
                '',
                '',
                'mw-editbutton-chemid2');

addCustomButton('http://upload.wikimedia.org/wikipedia/fr/3/31/Button_alfa%2B.png',
                'Alfa+',
                '<ref name ="alfa">[ Fiche Alfa Aesar], consultée le </ref>',
                '',
                '',
                'mw-editbutton-alfa1');

addCustomButton('http://upload.wikimedia.org/wikipedia/fr/d/d5/Button_alfa-.png',
                'Alfa-',
                '<ref name ="alfa"/>',
                '',
                '',
                'mw-editbutton-alfa2');

addCustomButton('http://upload.wikimedia.org/wikipedia/fr/a/a7/Button_sigma%2B.png',
                'Sigma+',
                '<ref name ="sigma">{{Sigma-Aldrich|||Nom=|Date=}}</ref>',
                '',
                '',
                'mw-editbutton-sigma1');

addCustomButton('http://upload.wikimedia.org/wikipedia/fr/b/b5/Button_sigma-.png',
                'Sigma-',
                '<ref name ="sigma"/>',
                '',
                '',
                'mw-editbutton-sigma2');

addCustomButton('',
                '-  chhom  ',
                '{{Titre mis en forme|C<sub></sub>H<sub></sub>O<sub></sub>}}{{isomérie|nombre=|C=|H=|O=}}',
                '',
                '',
                'mw-editbutton-chhom');

addCustomButton('',
                '-  catchim  ',
                '{{Catégorie chimie}}{{Commonscat|}} [[Image:|',
                ']]',
                '',
                'mw-editbutton-catchim');

/***********/
/*  Discussion  */
/***********/


addCustomButton('',
                '-  BOITE  ',
                '{{Boîte déroulante début|titre=Discussion}}',
                '{{Boîte déroulante fin}}',
                '',
                'mw-editbutton-boite2');


addCustomButton('http://upload.wikimedia.org/wikipedia/commons/c/c9/Button_strike.png',
                'Rayer2',
                '<s>',
                '</s>',
                '',
                'mw-editbutton-strike2');

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/e/e9/Button_done.png',
                'fait',
                '{{Fait}} \~\~\~\~',
                '',
                '',
                'mw-editbutton-fait');

addCustomButton('http://fr.wikipedia.org/skins-1.5/common/images/button_sig.png',
                'Signature',
                '\~\~\~\~',
                '',
                '',
                'mw-editbutton-signature2');