importScript('Utilisateur:Dr Brains/RenommageCategorie.js');
importScript('Utilisateur:Darkoneko/nekotb_fc_1.0.js')
loadJs('Utilisateur:Rhadamante/editbar.js');
loadJs('User:EDUCA33E/LiveRC.js');
obtenir('SommaireCompactCategorieDeluxe');

//Abuse filter
loadJs('User:Alphos/abuseFilterHelper2.js');
loadJs('User:Alphos/abuseFilterHelper3.js');
loadJs('User:Alphos/abuseFilterHelper4.js');

//importScript('Utilisateur:Dr Brains/HotCatsPerso.js');

remove_other_projects = true;

// liste de suivi améliorée
if (wgPageName == "Spécial:Liste_de_suivi") {
  addOnloadHook(function () {
    var i, articles = new Object(), dup = new Array(), clsPrefix = " watchlist-";
    liNodes = document.getElementsByTagName("li");
    for (i = 0; i < liNodes.length; i++) {
      var cls = " " + liNodes[i].className + " ";
      var k = cls.indexOf(clsPrefix);
      if (k == -1) continue;
      k += clsPrefix.length;
      var article = cls.substr(k, cls.indexOf(" ", k) - k);
      if (articles[article]) dup.push(liNodes[i]);
      articles[article] = true;
    }
    for (i = 0; i < dup.length; i++)
      dup[i].parentNode.removeChild(dup[i]);
  });
}



/* Personnalisation de Hotcats */
function hotcat_UserCustom(){ 
hotcat_AutoMulti = true;
hotcat_autocommit = true;
hotcat_ShowLegend = false;
hotcat_ShowInline = true;
hotcat_SkipRecap = true;
}

/* Onglet consultations */
function addArticleTrafficStatistics()
{
  var histo = document.getElementById("ca-history");
  if(histo)
  {
    var lien = document.createElement("a");
    var today = new Date();
    var annee = today.getYear() + 1900;
    var mois = new String(today.getMonth() + 1);
    if(mois.length < 2)
    {
      mois = "0" + mois;
    }
    lien.setAttribute("href", "http://stats.grok.se/fr/" + annee + mois + "/" + wgPageName);
    lien.appendChild(document.createTextNode("Consultations"));
 
    var stats = document.createElement("li");
    stats.setAttribute("id", "ca-stats");
    stats.appendChild(lien);
 
    histo.parentNode.insertBefore(stats, histo.nextSibling);
  }
}
addOnloadHook(addArticleTrafficStatistics);


/* Customisation de la boite de navigation */ 

/* fonction utilisée pour créer les liens */
//le 3eme paramètre est facultatif
function createLiAdressNode(href, texte, onclick) {
  var li = document.createElement('li')
 
  //un seul élément, ou un tableau de plusieurs éléments ?
  if (href.constructor == Array) {
    if (arguments.length == 2) onclick = new Array(); //le 3eme argument n'a pas été passé.
    for (i=0; i<href.length; i++) { 
       //un array retourne undefined sur les clef n'existant pas
       li.appendChild( createAdressNode(href[i], texte[i], ((onclick[i]!='undefined')?onclick[i]:'') ) ) 
       li.appendChild( document.createTextNode( ' - ' ) )
    }
    li.removeChild(li.lastChild)     //retirer le dernier tiret
  } else {
     if (arguments.length == 2) onclick = ''; //le 3eme argument n'a pas été passé
     li.appendChild( createAdressNode(href, texte, onclick ) ) 
  }
  return li
}

/* ajout des liens en bas de les boite "navigation", "contribuer" et ""Boîte à outils" */
function addLinksInLeftBar() {
     var ul = document.getElementById("p-navigation").getElementsByTagName("ul")[0]
     ul.appendChild( createLiAdressNode( '/wiki/Wikipédia:Le Bistro du jour', 'Bistro')  )
     ul.appendChild( createLiAdressNode( '/wiki/Wikipédia:Bulletin_des_administrateurs', 'BA')  )
     ul.appendChild( createLiAdressNode( '/wiki/Wikipédia:Requête aux administrateurs', 'RA')  )
     ul.appendChild( createLiAdressNode( '/wiki/Wikipédia:RCU', 'RCU')  )
     ul.appendChild( createLiAdressNode( '/wiki/Discussion_Projet:Chimie', 'Projet chimie')  )
     ul.appendChild( createLiAdressNode( 'irc://chat.freenode.net/wikipedia-fr', 'IRC') )
     ul.appendChild( createLiAdressNode( '/wiki/Spécial:Filtre_antiabus', 'filtres') )
     var ul = document.getElementById("p-Contribuer").getElementsByTagName("ul")[0]
     ul.appendChild( createLiAdressNode( '/wiki/Spécial:Nouvelles_pages', 'Nouvelles pages')  )
     var ul = document.getElementById("p-tb").getElementsByTagName("ul")[0]
     ul.appendChild( createLiAdressNode( '/wiki/Spécial:Téléverser', 'Importer un fichier')  )
}

addOnloadHook(addLinksInLeftBar)

/* customisation de la boite d'édition (chimiebox) */

function importTemplateButton(){
   if (document.createTextNode){

        var toolbar = document.getElementById("toolbar"); 
        if (!toolbar) return;

        var img = document.createElement("img");
        img.setAttribute("src","http://upload.wikimedia.org/wikipedia/fr/7/77/Button_Chimiebox.png");
        var ref = document.createElement("ref");
        ref.setAttribute("onclick","javascript:importTemplate();"); 
        ref.appendChild(img); 

        toolbar.appendChild(ref);

        }
}

function importTemplate(){
        var request = sajax_init_object();
        request.open('GET', 'http://fr.wikipedia.org/w/index.php?title=Modèle:Chimiebox/Référence&action=raw', true);
        request.send(null);
        request.onreadystatechange = function() {
        if (request.readyState == 4 && request.status == 200) {
        var text = document.getElementById('wpTextbox1');
        text.value = request.responseText + text.value;
        }
        }
        };

addOnloadHook(importTemplateButton);