/*
 * Détecteur de plagiats
 *
 * Utilise copyscape.com pour trouver les plagiats de sites web
 *
 * Auteur : Pabix
 * Amélioration : djo0012
 * Dernière révision : 3 novembre 2006
 */

function getArticleNameURL()
{
        var strOut = document.URL;
        strOut = strOut.replace('http://fr.wikipedia.org/wiki/', "");
        return strOut;
}

function plagiarismsearch(){
        var formElement = document.createElement('form');
        formElement.setAttribute('method', 'post');
        formElement.setAttribute('id', 'copyscapequery');
        formElement.setAttribute('name', 'copyscapequery');
        formElement.setAttribute('action', 'http://www.copyscape.com/?results');

        var queryInput = document.createElement('input');
        queryInput.setAttribute('name', 'q');
        queryInput.setAttribute('type', 'hidden');
        queryInput.setAttribute('value', "http://fr.wikipedia.org/w/index.php?title="+getArticleNameURL()+"&action=raw");
        formElement.appendChild(queryInput);

        var queryGO = document.createElement('a');
        queryGO.setAttribute('href', 'javascript:document.forms.copyscapequery.submit();');
        var queryText = document.createTextNode('copyscape');
        queryGO.appendChild(queryText);

        var link = document.createElement('li');
        link.setAttribute ('id', 'ca-copyscape');
        link.appendChild(queryGO);
        link.appendChild(formElement);

        var panelControl = document.getElementById('p-cactions');
        if (panelControl) {
                panelLinks = panelControl.getElementsByTagName('ul')[0];
                if (panelLinks){
                        panelLinks.appendChild(link);
                }
        }
}
addLoadEvent(plagiarismsearch);
//


/*
 * Catégories à Gauche
 *
 * Met les catégories dans un panneau de navigation
 *
 * Auteur : Jmfayard
 * Dernière révision : 3 novembre 2006
 */

function CategoriesAGauche() {

        var catlinks = document.getElementById("catlinks");
        if (!catlinks) { return; }
        var categories = catlinks.getElementsByTagName("a") ;

        var h5_cats = document.createElement( "h5" );
        var text = document.createTextNode( "Catégories" ) ;
        h5_cats.appendChild( text ) ;

        var div_cats = document.createElement( "div" );
        div_cats.setAttribute( "class", "pBody" );

        var ul = document.createElement( "ul" );

        var a_debut = 1 ; // evitons le lien Categories:
        for (var i = a_debut ; i < categories.length ; i++ ) {
                var a = categories[i] ;
                var li = document.createElement( "li" ) ;
                li.appendChild( a.cloneNode(1) ) ;
                ul.appendChild( li );
        }

        div_cats.appendChild( ul ) ;


        var portlet = document.createElement( "div" ) ;
        portlet.setAttribute( "class", "portlet" );
        portlet.setAttribute( "id", "p-cat" ) ;

        portlet.appendChild( h5_cats ) ;

        portlet.appendChild( div_cats ) ;

        //document.getElementById("column-one").insertBefore( document.getElementById("p-search"),  portlet ) ;
        //document.getElementById("column-one").appendChild(  portlet ) ;
        div_ptb = document.getElementById( "p-tb" );
        document.getElementById("column-one").insertBefore( portlet, div_ptb)

}
addLoadEvent( CategoriesAGauche ) ;

//



///////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

function MiluxeBar() {
  if (document.createTextNode) {
  	var toolbar = document.getElementById("toolbar"); 
	if (!toolbar) return;
	
        ///// zone personnalisable ////
	var messages = new Array()
   var images = new Array()
   var commentaires = new Array()

        // le texte a été splitté sinon Mediawiki casse tout...


	messages[0] = "{{subst:" + "bonjour IP"  + "}}" +  "~~" + "~~";
	images[0] = "http://upload.wikimedia.org/wikipedia/fr/1/12/Button_accueilA.png";
	commentaires[0] = "{{subst:" + "bienvenu"  + "}}"

	messages[1] = "{{subst:" + "bienvenu"  + "}}" +  "~~" + "~~";
	images[1] = "http://upload.wikimedia.org/wikipedia/fr/1/12/Button_accueilA.png";
	commentaires[1] = "{{subst:" + "bienvenu"  + "}}"

	messages[2] = "{{subst:" + "bienvenue" + "}}" +  "~~" + "~~";
	images[2] = "http://upload.wikimedia.org/wikipedia/fr/e/eb/Button_accueilB.png";
	commentaires[2] = "{{subst:" + "bienvenue"  + "}}"

	messages[3] = "{{subst:" + "bienvenue débutant" + "}}" +  "~~" + "~~";
	images[3] = "http://upload.wikimedia.org/wikipedia/fr/a/ad/Button_vandale2.png";
	commentaires[3] = "{{subst:" + "bienvenue débutant"  + "}}"

	messages[4] = "{{subst:" + "Test1" + "}}" +  "~~" + "~~";
	images[4] = "http://upload.wikimedia.org/wikipedia/fr/0/00/Button_vandale.png";
	commentaires[4] = "{{subst:" + "v..."  + "}}"

	messages[5] = "{{subst:" + "Test2" + "}}" +  "~~" + "~~";
	images[5] = "http://upload.wikimedia.org/wikipedia/fr/0/00/Button_vandale.png";
	commentaires[5] = "{{subst:" + "vandalisme|[[]]"  + "}}"

	messages[6] = "{{subst:" + "Test3" + "}}" +  "~~" + "~~";
	images[6] = "http://upload.wikimedia.org/wikipedia/fr/0/00/Button_vandale.png";
	commentaires[6] = "{{subst:" + "vandalisme|[[]]"  + "}}"

       messages[7] = "{{subst:" + "motivation modif" +"|page=" + "}}" +  "--" + "~~" + "~~";
       images[7] = "http://upload.wikimedia.org/wikipedia/commons/7/74/Button_oeil.png";
       commentaires[7] = "Modification de page sans motif"

	messages[8] = "{{subst:" + "Bienvenue spammeur" + "}}" +  "~~" + "~~";
	images[8] = "http://upload.wikimedia.org/wikipedia/fr/f/fb/Button_spam2.png";
	commentaires[8] = "Avertissement spam" ;

       messages[9] = "{{subst:" + "Utilisateur:Eskimo/Copyvio|page|URL|titre" + "}} " +  "~~" + "~~";
       images[9] = "http://upload.wikimedia.org/wikipedia/fr/e/e5/Button_copyvio.png";
       commentaires[9] = "Violation de copyright"

	messages[10] = "{{" + "copie de site|URL|Titre" + "}}";
	images[10] = "http://upload.wikimedia.org/wikipedia/fr/e/e5/Button_copyvio.png";
       commentaires[10] = "Violation de copyright";

	messages[11] = "{{" + "suppression" + "}}";
	images[11] = "http://upload.wikimedia.org/wikipedia/fr/f/f8/Button_suppr.png";
       commentaires[11] = "Proposé à la suppression"; 

	messages[12] = "{{subst:" + "Vandale bloqué" + "|}}" +  "~~" + "~~";
	images[12] = "http://upload.wikimedia.org/wikipedia/fr/6/67/Button_%C3%A9clair.png"
	commentaires[12] = "Vandale bloqué" ;

	messages[13] = "{{subst:" + "Vandale banni" + "}}" +  "~~" + "~~";
	images[13] = "http://upload.wikimedia.org/wikipedia/fr/6/67/Button_%C3%A9clair.png"
	commentaires[13] = "Vandale banni" ;

	messages[14] = "{{subst:" + "avis blanchi copyvio|1= |2= |3= |4=" + "~~" + "~~" + "|5=" + "}}";
	images[14] = "http://upload.wikimedia.org/wikipedia/fr/e/e5/Button_copyvio.png";
	commentaires[14] = "Violation de copyright";

       messages[15] = "{{" + "recherche IP" + "}}";
       images[15] = "http://upload.wikimedia.org/wikipedia/commons/b/bd/Button_recherche_ip.png";
       commentaires[15] = "Bandeau recherche IP"

       messages[16] = "{{" + "IP partagée" + "| " + "}}";
    images[16] = "http://upload.wikimedia.org/wikipedia/commons/7/7a/Button_ip_partag%C3%A9e.png";
    commentaires[16] = "Bandeau IP partagée"

   messages[17] = ":"+ "{{" + "fait" + "}}" + " --" + "~~" + "~~";
   images[17] = "http://upload.wikimedia.org/wikipedia/commons/9/9d/Button_fait.png";
   commentaires[17] = "traité "

   messages[18] = "{{" + "Article sans source" + "| " + "}}";
   images[18] = "http://upload.wikimedia.org/wikipedia/commons/3/33/Button_exclamation.png";
   commentaires[18] = "Apposition bandeau article sans source "

   messages[19] = "{{" + "sourcer" + "| " + "}}";
   images[19] = "http://upload.wikimedia.org/wikipedia/commons/6/6d/Button_exclamation_1.png";
   commentaires[19] = "Avis d'article non sourcé "

   messages[20] = "{{subst:" + "suppression à revoir" + "}}";
   images[20] = "http://upload.wikimedia.org/wikipedia/commons/2/22/Button_radio_activite.png";
   commentaires[20] = "Article sensiblement modifié"

   messages[21] = "{{subst:" + "Article conservé|~~" + "~~" + "}}";
   images[21] = "http://upload.wikimedia.org/wikipedia/fr/a/ae/Button_trait%C3%A9conserver.png";
   commentaires[21] = "Traité : article conservé" 

   messages[22] = "{{subst:" + "Article supprimé||~~" + "~~" + "}}";
   images[22] = "http://upload.wikimedia.org/wikipedia/fr/9/96/Button_trait%C3%A9supprimer.png";
   commentaires[22] = "Traité : article supprimé"

   messages[23] = "{{subst:" + "Création supprimée|}} " +  "~~" + "~~";
   images[23] = "http://upload.wikimedia.org/wikipedia/fr/f/f8/Button_suppr.png";
   commentaires[23] = "Article supprimé"
 

        ////////////////////////////////

	for (var i=0;i<messages.length;i++) {
		var img = document.createElement("img");
		img.setAttribute("src", images[i]);
		
		var ref = document.createElement("a");
		ref.setAttribute("href", "javascript:insertTags('', \"" + messages[i] + "\", '');" + 
		                 "javascript:changeSummary(\"" + commentaires[i] + "\");" ); 
		ref.appendChild(img); 
		
		toolbar.appendChild(ref);
	}
  }
}

function changeSummary(sampleText) {
	document.editform.wpSummary.value = sampleText;
}

addLoadEvent(MiluxeBar);
////////////////////////////////////////////////////////////////////////////////



///////////////////////ajouts/////////////////////////


function addToSummary(str)
{
        document.editform.wpSummary.value += " " + str
}

function DeluxeSummary()
{
        var sumLbl = document.getElementById("wpSummaryLabel")
        if (sumLbl)
        {
                //élargissement boite de résumé
                var sumInput = document.getElementById("wpSummary")
                sumInput.style.width = "90%"

                var titles = new Array()
                titles.push("+ ébauche")
                titles.push("+ cat")
                titles.push("recat")
                titles.push("+ image")
                titles.push("+ interwiki")
                titles.push("+ portail")
                titles.push("- image")
                titles.push("+ lien ext")
                titles.push("- lien ext")
                titles.push("corr lien int")
                titles.push("corr lien ext")
                titles.push("lien ext -> lien int")
                titles.push("MeP")
                titles.push("fusion")
                titles.push("redir")
                titles.push("ortho/gram")
                titles.push("retouches")
                titles.push("ajInfo")
                titles.push("rangmt")
                titles.push("PàS conservé")
                titles.push("création")
                titles.push("Vote")
                titles.push("Réponse")
                titles.push("Defcon ")
                titles.push("Wikidico ")
                titles.push("régul")
                titles.push("délais")


                var inputs = new Array()
                inputs.push("+ bandeau ébauche")
                inputs.push("+ catégorie")
                inputs.push("changement catégorie")
                inputs.push("+ image")
                inputs.push("+ liens interwiki")
                inputs.push("+ portail")
                inputs.push("- image manquante")
                inputs.push("+ lien externe")
                inputs.push("- lien externe")
                inputs.push("correction lien interne")
                inputs.push("correction lien externe")
                inputs.push("conversion lien externe en lien interne")
                inputs.push("mise en page")
                inputs.push("fusion")
                inputs.push("Redirect")
                inputs.push("correction orthographe/grammaire")
                inputs.push("diverses retouches")
                inputs.push("ajout infos")
                inputs.push("rangement interwikis/catégories")
                inputs.push("article listé sur PàS - retrait du bandeau (conservé)")
                inputs.push("création de la page")
                inputs.push("A voté")
                inputs.push("Réponse")
                inputs.push("Mise au defcon ")
                inputs.push("Article à transférer sur le Wiktionnaire")
                inputs.push("- non régularisé")
                inputs.push("- délais non respectés")


                var str = ""
                for (var cpt = 0; cpt < titles.length; cpt ++)
                {
                        str += "<a href=\"javascript:addToSummary('" + inputs[cpt] + "')\""
                                + " class=\"sumLink\" title=\"Ajouter '" + inputs[cpt] +"' dans la boîte de résumé\">"
                                + titles[cpt]
                                + " ·</a> "
                }
                sumLbl.innerHTML = str + "<br />" + sumLbl.innerHTML
        }
}

addLoadEvent(DeluxeSummary)



/* Lien Editcount */
var tabAction = "p-cactions";
function addECButton()
       {
        if ( window.location.href.indexOf('Contributions') < 0) return;
        var c = document.getElementById('contentSub');
        var a = c.getElementsByTagName('a');
        if (a.length == 3) {
          name = a[0].innerHTML;
        } else {
          name = c.innerHTML.replace(/ \(.*/, '').replace(/.* /, '');
        }
        var l = document.getElementById(tabAction);
        t = l.innerHTML;
        ind = t.toLowerCase().indexOf("</ul>");
        before = t.substring(0,ind);
        after = t.substring(ind); 
        pitem = "<li><a href='http://tools.wikimedia.de/~interiot/cgi-bin/count_edits?user="+escape(name)+"&dbname=frwiki_p'>"+
                "<div id='EditCount' style='display:inline;'>" + 
                "Editcount"  + 
                "</div></a></li>";
        l.innerHTML = before + pitem + after ;           
      }
addLoadEvent(addECButton);



<!-- ONGLETS -->
      function addLoadEvent(func) 
      {
         if (window.addEventListener) 
             window.addEventListener("load", func, false);
         else if (window.attachEvent) 
             window.attachEvent("onload", func);
      }

      function nouvelOnglet() 
      {
        var a = document.getElementById("p-cactions");
        if (a) 
        {
          b = a.getElementsByTagName("ul");
          if(b.length > 0)
          {
            b[0].innerHTML = b[0].innerHTML
            + '<li><a href="http://fr.wikipedia.org/wiki/user:Alex_lbh/Test Zone">Test</a></li>'
            + '<li><a href="http://fr.wikipedia.org/wiki/Wikipédia:Médiation/Benoit_Monfort_-_Michel_Louis_Lévy">MLL</a></li>'
            + '<li><a href="http://fr.wikipedia.org/wiki/user:Alex_lbh/Toolbox">Tools</a></li>'
            + '<li><a href="http://fr.wikipedia.org/wiki/user:Alex_lbh">fr</a></li>'
            + '<li><a href="http://en.wikipedia.org/wiki/user:Alex_lbh">en</a></li>'

          }
        }
      }
      
      addLoadEvent(nouvelOnglet);



/***************************************************************************/
/*Navigation popups
/*    * Auteur : Lupin
/* Ce code charge un script - en évolution - permettant lorsque l'on passe 
/* le pointeur de la souris sur un lien interne d'afficher dans une fenêtre 
/* popups le premier paragraphe de la page concernée ainsi que des liens, 
/* entres autres, vers son historique et un ajout dans la liste de suivi.
/****************************************************************************/

document.write('<script type="text/javascript" src="' 
             + 'http://en.wikipedia.org/w/index.php?title=User:Lupin/popups.js' 
             + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');

////////////////////////////////////////////////////////////////////////////////
/***************************************************************************/
/*Ajout d'un nombre réduit de liens internes dans la boîte de navigation
/*    * Auteur : Dake
/* Testé avec MediaWiki 1.6a
/***************************************************************************/

function OptimizedNavig() 
{
  var a = document.getElementById("p-navigation");

  if (a) 
  {
    b = a.getElementsByTagName("ul");
    if(b.length > 0)
    { 
      var startUrl = '/w/index.php?title='
      var endUrl = '&action=purge'

      // liste des URLs
      var urls = new Array()
      urls[0] = 'Wikipédia:Le Bistro'
      urls[1] = 'Wikipédia:Pages à supprimer'
      urls[2] = 'Wikipédia:Proposition articles de qualité'
      urls[3] = 'WP:BOT'
      urls[4] = 'Special:Newimages'
      urls[5] = 'Special:Newpages'
      urls[6] = 'Special:Blockip'
      urls[7] = 'Special:Log/delete'
      urls[8] = 'Special:Unusedcategories'
      urls[9] = 'Special:Export'

      var labels = new Array()
      labels[0] = 'Bistro'
      labels[1] = 'PàS'
      labels[2] = 'pAdQ'
      labels[3] = 'Bots'
      labels[4] = 'nImgs'
      labels[5] = 'nPage'
      labels[6] = 'Block'
      labels[7] = 'Log/Del'
      labels[8] = 'unCat'
      labels[9] = 'Export'

      for (var i=0;i<urls.length;i+=2) {
        tableHTML = '<table valign="top" cellspacing="0" cellpadding="0">'
        tableHTML += '<tr>'
        tableHTML += '<li><td><a href="' + startUrl + urls[i] + endUrl + '">' + labels[i] + ' | </a></td>'
        tableHTML += '<td><a href="' + startUrl + urls[i+1] + endUrl + '">' + labels[i+1] + '</a></td></li>'
        tableHTML += '</tr>'
        tableHTML += '</table>' 
        b[0].innerHTML = b[0].innerHTML + tableHTML
      }

    }
  }
}


addLoadEvent(OptimizedNavig);
////////////////////////////////////////////////////////////////////////////////
/*Recherche améliorée
/***************************************************************************/
/* Ajout d'un onglet lançant une recherche Google sur le nom de l'article
/*    * Auteur : Dake
/* Testé avec MediaWiki 1.6a - ajoute un onglet "Google" qui permet de 
/* lancer une recherche locale ou globale sur Google avec le nom de 
/* l'article comme mot-clé. Hégésippe a ajouté quelques liens en plus 
/* à la version originale.
/***************************************************************************/

function googleOnglet() {
  var a = document.getElementById("p-cactions");
        if (a) 
        {
          var pageName = document.title.replace(" - Wikipédia", ""); 
          b = a.getElementsByTagName("ul");
                  
          if(b.length > 0)
          {
            b[0].innerHTML = b[0].innerHTML
            + '<li id="ca-nstab-user"><font style="color: blue; font-weight: bold; padding-left: 0.5em">G</font>'
            + '<a href="http://www.google.fr/search?num=20&hl=en&safe=off&q=site%3Afr.wikipedia.org+' + pageName + '&btnG=Search">'
            + 'wp-fr</a>'
            + '<a href="http://www.google.fr/search?num=20&hl=en&safe=off&q=site%3Awikipedia.org+' + pageName + '&btnG=Search">'
            + 'wp</a>'
            + '<a href="http://www.google.fr/search?num=20&hl=fr&safe=off&q=' + pageName + '&btnG=Search&meta=lr%3Dlang_fr">'
            + 'web-fr</a>'
            + '<a href="http://www.google.fr/search?num=20&hl=en&safe=off&q=' + pageName + '&btnG=Search">'
            + 'web</a>'
            + '</li>';
          }
        }
      } 
addLoadEvent(googleOnglet);
////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

/***************************************************************************/
/* Onglet Editcount
/* Auteur : Educa33e /Suite à demande Fred.th? le 26 mars 2006, sur le bistro.
/* Cette fonction ajoute un onglet "editcount" à partir de la page 
/* special:Contributions d'un utilisateur, afin d'accèder directement 
/* au lien (site externe) des statistiques d'édition de ce contributeur.
/***************************************************************************/
/* Lien Editcount */
var tabAction = "p-cactions";
function addECButton()
       {
        if ( window.location.href.indexOf('Contributions') < 0) return;
        var c = document.getElementById('contentSub');
        var a = c.getElementsByTagName('a');
        name = a[0].innerHTML;
        var l = document.getElementById(tabAction);
        t = l.innerHTML;
        ind = t.toLowerCase().indexOf("</ul>");
        before = t.substring(0,ind);
        after = t.substring(ind); 
        pitem = "<li><a href='http://tools.wikimedia.de/~interiot/cgi-bin/count_edits?user="+escape(name)+"&dbname=frwiki_p'>"+
                "<div id='EditCount' style='display:inline;'>" + 
                "Editcount"  + 
                "</div></a></li>";
        l.innerHTML = before + pitem + after ;           
      }
addLoadEvent(addECButton);

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
///                                                                          ///
///      FONCTIONS UTILISABLES PAR ADMINISTRATEURS UNIQUEMENT                ///
///                                                                          ///
////////////////////////////////////////////////////////////////////////////////

/***************************************************************************/
/* Suppression Deluxe
/*    * Auteur : Dake
/* Testé avec MediaWiki 1.6
/* Ce script ajoute des boutons en bas de "confirmer la suppression", en 
/* appuyant sur un des boutons, on supprime directement sans avoir à écrire 
/* la raison de la suppression qui est le label du bouton. Permet de virer 
/* rapidement les images sans licence, etc.
/***************************************************************************/
// la fonction insertAfter n'est à copier que si elle n'est pas encore présente dans le monobook.js
function insertAfter(parent, node, referenceNode) {
    parent.insertBefore(node, referenceNode.nextSibling);
}

function SuppressionDeluxe() {
        if (document.title.indexOf("Confirmer la suppression")!=0) return; 
        var mainNode = document.getElementsByTagName("form");
        var firstForm = mainNode[0];
        
        // vous pouvez ajouter vos messages ci-dessous
        var messages = new Array()
        messages[0] = "Supprimé à la demande de son auteur";
        messages[1] = "Image sans licence";
        messages[2] = "Violation de copyright";
        messages[3] = "Publicité ou autopromotion";
        messages[4] = "Contrevient aux règles de nommage";
        messages[5] = "Vandalisme";
        messages[6] = "Essai de débutant";
        messages[7] = "Redirect orphelin";
        messages[8] = "Image orpheline, sans licence";
        messages[9] = "Non encyclopédique";
        messages[10] = "Consensus PàS";
        messages[11] = "Fusion";
        messages[12] = "Traduction automatique";
        messages[13] = "Notoriété insuffisante";

        var table = document.createElement("table");
        var tr = document.createElement("tr");
        table.appendChild(tr);

        // normalement, pas besoin de toucher à partir d'ici
        if (firstForm.getAttribute("id")=="deleteconfirm") {
                actionDelete = firstForm.getAttribute("action");
                
                var inputs = firstForm.getElementsByTagName("input");
                var token = inputs[2].getAttribute("value"); 

                for (var i=0;i<messages.length;i++) {
                        if (i%4==0) {
                         tr = document.createElement("tr");
                         table.appendChild(tr);
                        }
                        var formElement = document.createElement("form");
                        formElement.setAttribute("id", "deleteconfirm");
                        formElement.setAttribute("method", "post");
                        formElement.setAttribute("action", actionDelete);
                        
                        var inputReason = document.createElement("input");
                        inputReason.setAttribute("name", "wpReason"); 
                        inputReason.setAttribute("value", messages[i]); 
                        inputReason.setAttribute("type", "hidden"); 
                        
                        var inputConfirm = document.createElement("input");
                        inputConfirm.setAttribute("name", "wpConfirmB"); 
                        inputConfirm.setAttribute("value", messages[i]); 
                        inputConfirm.setAttribute("type", "submit"); 
                        
                        var inputToken = document.createElement("input");
                        inputToken.setAttribute("name", "wpEditToken"); 
                        inputToken.setAttribute("value", token); 
                        inputToken.setAttribute("type", "hidden"); 
                        
                        formElement.appendChild(inputReason);
                        formElement.appendChild(inputConfirm);
                        formElement.appendChild(inputToken);

                        var td = document.createElement("td");
                        td.appendChild(formElement);
                        tr.appendChild(td); 
                }
                
                var separation = document.createElement("p");
                separation.appendChild(document.createElement("hr"));
                insertAfter(firstForm.parentNode, separation, firstForm);
                insertAfter(firstForm.parentNode, table, separation);
        }
}


addLoadEvent(SuppressionDeluxe);

////////////////////////////////////////////////////////////////////////////////
/* BlocageDeluxe
/***************************************************************************/
/*    * Auteur : Pabix
/* Sur le même modèle que la suppression de luxe, des justifications 
/* prédéfinies, mais pour les blocages !
/***************************************************************************/
function BlocageDeluxe() {
  if (document.title.indexOf("Bloquer le compte - Wikipédia")!=0) return; 
  var mainNode = document.getElementsByTagName("form");
  var firstForm = mainNode[0];
  var messages = new Array()
    messages[0] = "Vandalismes divers";
    messages[1] = "Suite à décision du comité d'arbitrage";
    messages[2] = "Malgré plusieurs avertissements";
    messages[3] = "Récidiviste";
    messages[4] = "Identifiant à caractère injurieux";
    messages[5] = "Robot fou";
    messages[6] = "Spammeur";
 var duree = new Array()
    duree[0] = "6 hours";
    duree[1] = "1 month";
    duree[2] = "3 days";
    duree[3] = "10 days";
    duree[4] = "infinite";
    duree[5] = "infinite";
    duree[6] = "2 hours";
  var table = document.createElement("table");
  var tr = document.createElement("tr");
  table.appendChild(tr);
  if (firstForm.getAttribute("id")=="blockip") {
    actionBlock = firstForm.getAttribute("action");
    var inputs = firstForm.getElementsByTagName("input");
    var token = inputs[4].getAttribute("value");
    var lePauvre = inputs[0].getAttribute("value");
    for (var i=0;i<messages.length;i++) {
   //   if (i%3==0) {
        tr = document.createElement("tr");
        table.appendChild(tr);
   //   }
      var formElement = document.createElement("form");
      formElement.setAttribute("id", "blockip");
      formElement.setAttribute("method", "post");
      formElement.setAttribute("action", actionBlock);
      var inputReason = document.createElement("input");
      inputReason.setAttribute("name", "wpBlockReason"); 
      inputReason.setAttribute("value", messages[i]); 
      inputReason.setAttribute("type", "hidden"); 
      var dureeC = document.createElement("input");
      dureeC.setAttribute("name", "wpBlockExpiry"); 
      dureeC.setAttribute("value", "other"); 
      dureeC.setAttribute("type", "hidden");
      var dureeC2 = document.createElement("input");
      dureeC2.setAttribute("name", "wpBlockOther"); 
      dureeC2.setAttribute("value", duree[i]); 
      dureeC2.setAttribute("type", "text");
      var inputConfirm = document.createElement("input");
      inputConfirm.setAttribute("name", "wpBlock"); 
      inputConfirm.setAttribute("value", messages[i]); 
      inputConfirm.setAttribute("type", "submit");
      var ident = document.createElement("input");
      ident.setAttribute("name", "wpBlockAddress"); 
      ident.setAttribute("value", lePauvre); 
      ident.setAttribute("type", "hidden"); 
      var inputToken = document.createElement("input");
      inputToken.setAttribute("name", "wpEditToken"); 
      inputToken.setAttribute("value", token); 
      inputToken.setAttribute("type", "hidden"); 
      formElement.appendChild(inputReason);
      formElement.appendChild(dureeC);
      formElement.appendChild(dureeC2);
      formElement.appendChild(inputConfirm);
      formElement.appendChild(inputToken);
      formElement.appendChild(ident);
      var td = document.createElement("td");
      td.appendChild(formElement);
      tr.appendChild(td); 
    }
    var separation = document.createElement("p");
    separation.appendChild(document.createElement("hr"));
    insertAfter(firstForm.parentNode, separation, firstForm);
    insertAfter(firstForm.parentNode, table, separation);
  }
}
addLoadEvent(BlocageDeluxe)
//////////////////////////////////////////////////////////////////////////