//<source lang="javascript" line>
//var avertissement_copyvio = "hide";
//loadJs('Projet:Communes de France/listejavascript.js');
//Affiche un onglet "Consultation" juste après l'onglet "Historique". Cet onglet permet de consulter le nombre de fois où l'article courant a été consulté le mois courant et précédent
function addArticleTrafficStatistics()
{
  var histo = document.getElementById("ca-history");
  if(histo)
  {
    var today = new Date();

    //Mois précédent
    var annee = today.getYear() + 1900;
    if(today.getMonth() == 0)
    {
      var mois = "12";
      annee--;
    }
    else
    {
      var mois = new String(today.getMonth());
      if(mois.length < 2)
      {
        mois = "0" + mois;
      }
    }
    var lien_mois_preced = document.createElement("a");
    lien_mois_preced.setAttribute("href", "http://stats.grok.se/fr/" + annee + mois + "/" + wgPageName);
    lien_mois_preced.setAttribute("title", "Voir le mois précédent");
    lien_mois_preced.appendChild(document.createTextNode("<="));

    //Mois courant
    var annee = today.getYear() + 1900;
    var mois = new String(today.getMonth() + 1);
    if(mois.length < 2)
    {
      mois = "0" + mois;
    }
    var lien_mois_courant = document.createElement("a");
    lien_mois_courant.setAttribute("href", "http://stats.grok.se/fr/" + annee + mois + "/" + wgPageName);
    lien_mois_courant.setAttribute("title", "Voir le mois courant");
    lien_mois_courant.appendChild(document.createTextNode("Consultation"));

    var stats = document.createElement("li");
    stats.setAttribute("id", "ca-stats");
    stats.appendChild(lien_mois_preced);
    stats.appendChild(document.createTextNode(""));
    stats.appendChild(lien_mois_courant);

    histo.parentNode.insertBefore(stats, histo.nextSibling);
  }
}
addOnloadHook(addArticleTrafficStatistics);

//Tri les liens interwiki selon cet ordre
//var order_lang = new Array("de", "en", "es", "it");




/*
 * Résumé Deluxe
 *
 * Ajoute des commentaires de modification prédéfinis
 *
 * Auteur : Dake
 * Contributions : Pabix, Tieno, Sanao
 * Date de dernière révision : 25 novembre 2006
 */
function addToSummary(str)
{
  var resum = document.editform.wpSummary.value;
  if(resum != 0 && resum.indexOf("*/") < resum.length - 3)
  {
    document.editform.wpSummary.value += " - ";
  }
  document.editform.wpSummary.value += str;
}

function DeluxeSummary()
{
  var labels = new Array();
  with (labels)
  {
    push("ortho");
    push("typo");
    push("cat");
    push("interwiki");
    push("wikif");
    push("img");
    push("redirect");
    push("style");
    push("revert");
    push("réorg");
    push("réponse");
    push("maintenance");
    push("1.0");
    push("homonymie");
    push("bandeau");
    push("infobox");
  }

  var messages = new Array();
  with (messages)
  {
    push("orthographe");
    push("typographie");
    push("catégorisation");
    push("interwiki");
    push("wikification");
    push("image");
    push("redirection");
    push("style");
    push("revert ()");
    push("réorganisation");
    push("réponse");
    push("maintenance");
    push("évaluation Wikipédia 1.0");
    push("création homonymie");
    push("ajout de bandeau");
    push("infobox");
  }

  var wp_label = document.getElementById("wpSummaryLabel");
  if(wp_label)
  {
    var wp_resume = document.getElementById("wpSummary");
    wp_resume.style.width = "95%";

    var str_labels = "Messages prédéfinis : ";
    var msg = "";

    for(var cpt = 0; cpt < labels.length; cpt ++)
    {
      if(cpt > 0)
      {
        str_labels += " - ";
      }

      msg = messages[cpt].replace( /[']/g , "\\'");

      str_labels += "<a href=\"javascript:addToSummary('" + msg + "')\" class=\"sumLink\" title=\"Ajouter dans la boîte de résumé : " + labels[cpt] + "\">";
      str_labels += labels[cpt];
      str_labels += "</a> ";
    }
    wp_label.innerHTML = str_labels + "<br />" + wp_label.innerHTML;
  }
}
//addOnloadHook(DeluxeSummary);








function creerBoutonsAdmin()
{
  var messages_debut = new Array();
  var messages_fin = new Array();
  var images = new Array();
  var commentaires = new Array();
  var id_images = new Array();

  with (messages_debut) 
  {
    push(""); //Création supprimée
  }

  with (messages_fin) 
  {
    push("{{création supprimée|}} ~~~~");
  }

  with (images)
  {
    push("http://upload.wikimedia.org/wikipedia/commons/2/2e/Button_broom.png"); //Création supprimée
  }

  with (commentaires)
  {
    push("Création supprimée");
  }
 
  with (id_images)
  {
    push("creat_suppr");
  }

  createButtonsToolbar(messages_debut, messages_fin, commentaires, images, id_images);
}
addOnloadHook(creerBoutonsAdmin);















//Boutons vote
/*
var pour = "";
var conserver = "";
var article_de_qualite = "";
var portail_de_qualite = "hide";
var neutre = "hide";
var reticence = "hide";
var contre = "";
var supprimer = "";
var suppression_immediate = "hide";
var bon_article = "";
var bon_portail = "hide";
var sursis = "hide";
var attendre = "";
var renommer = "hide";
var rediriger = "hide";
var recycler = "hide";
var verrouiller = "hide";
var transferer = "hide";
var fusionner = "hide";
var scinder = "hide";
var deplacer = "hide";
var transwiki = "hide";

//Boutons discussion
var go = "hide";
var fait = "";
var fait_ = "hide";
var oui = "hide";
var accord = "hide";
var stop = "hide";
var non = "hide";
*/
function creerBoutonsVote()
{
  var messages_debut = new Array();
  var messages_fin = new Array();
  var images = new Array();
  var commentaires = new Array();
  var id_images = new Array();

  with (messages_debut) 
  {
    push(""); //Pour
    push(""); //Conserver
    push(""); //Article de qualité
    push(""); //Portail de qualité
    push(""); //Neutre
    push(""); //Réticence
    push(""); //Contre
    push(""); //Supprimer
    push(""); //Suppression immédiate
    push(""); //Bon article
    push(""); //Bon portail
    push(""); //Sursis
    push(""); //Attendre
    push(""); //Renommer
    push(""); //Rediriger
    push(""); //Recycler
    push(""); //Verrouiller
    push(""); //Transférer
    push(""); //Fusionner
    push(""); //Scinder
    push(""); //Déplacer
    push(""); //Transwiki
  }

  with (messages_fin) 
  {
    push("#{{vote|pour}} ~~~~");
    push("#{{vote|conserver}} ~~~~");
    push("#{{vote|article de qualité}} ~~~~");
    push("#{{vote|portail de qualité}} ~~~~");
    push("#{{vote|neutre}} ~~~~");
    push("#{{vote|réticence}} ~~~~");
    push("#{{vote|contre}} ~~~~");
    push("#{{vote|supprimer}} ~~~~");
    push("#{{vote|suppression immédiate}} ~~~~");
    push("#{{vote|bon article}} ~~~~");
    push("#{{vote|bon portail}} ~~~~");
    push("#{{vote|sursis}} ~~~~");
    push("#{{vote|attendre}} ~~~~");
    push("#{{vote|renommer}} ~~~~");
    push("#{{vote|rediriger}} ~~~~");
    push("#{{vote|recycler}} ~~~~");
    push("#{{vote|verrouiller}} ~~~~");
    push("#{{vote|transférer}} ~~~~");
    push("#{{vote|fusionner}} ~~~~");
    push("#{{vote|scinder}} ~~~~");
    push("#{{vote|déplacer}} ~~~~");
    push("#{{vote|transwiki}} ~~~~");
  }

  with (images)
  {
    push("http://upload.wikimedia.org/wikipedia/commons/c/c8/Button_conserver2.png"); //Pour
    push("http://upload.wikimedia.org/wikipedia/commons/c/c8/Button_conserver2.png"); //Conserver
    push("http://upload.wikimedia.org/wikipedia/commons/c/c0/Button_article_de_qualité.png"); //Article de qualité
    push("http://upload.wikimedia.org/wikipedia/commons/c/c0/Button_article_de_qualité.png"); //Portail de qualité
    push("http://upload.wikimedia.org/wikipedia/commons/1/1d/Button_neutre2.png"); //Neutre
    push("http://upload.wikimedia.org/wikipedia/commons/4/4d/Button_reticence.png"); //Réticence
    push("http://upload.wikimedia.org/wikipedia/commons/0/00/Button_supprimer.png"); //Contre
    push("http://upload.wikimedia.org/wikipedia/commons/0/00/Button_supprimer.png"); //Supprimer
    push("http://upload.wikimedia.org/wikipedia/commons/0/00/Button_supprimer.png"); //Suppression immédiate
    push("http://upload.wikimedia.org/wikipedia/commons/d/de/Button_bon_article.png"); //Bon article
    push("http://upload.wikimedia.org/wikipedia/commons/d/de/Button_bon_article.png"); //Bon portail
    push(""); //Sursis
    push("http://upload.wikimedia.org/wikipedia/commons/3/3f/Button_attendre.png"); //Attendre
    push("http://upload.wikimedia.org/wikipedia/commons/1/1b/Button_renommer.png"); //Renommer
    push("http://upload.wikimedia.org/wikipedia/commons/5/5f/Button_rediriger.png"); //Rediriger
    push("http://upload.wikimedia.org/wikipedia/commons/c/cd/Button_recycler.png"); //Recycler
    push("http://upload.wikimedia.org/wikipedia/commons/e/e9/Button_verrou.png"); //Verrouiller
    push("http://upload.wikimedia.org/wikipedia/commons/4/47/Button_redir.png"); //Transférer
    push("http://upload.wikimedia.org/wikipedia/commons/4/4a/Button_fusionner.png"); //Fusionner
    push(""); //Scinder
    push(""); //Déplacer
    push("http://upload.wikimedia.org/wikipedia/commons/d/d0/Button_transwiki.png"); //Transwiki
  }

  with (commentaires)
  {
    push("Pour");
    push("Conserver");
    push("Article de qualité");
    push("Portail de qualité");
    push("Neutre");
    push("Réticence");
    push("Contre");
    push("Supprimer");
    push("Suppression immédiate");
    push("Bon article");
    push("Bon portail");
    push("Sursis");
    push("Attendre");
    push("Renommer");
    push("Rediriger");
    push("Recycler");
    push("Verrouiller");
    push("Transférer");
    push("Fusionner");
    push("Scinder");
    push("Déplacer");
    push("Transwiki");
  }
 
  with (id_images)
  {
    push("pour");
    push("conserver");
    push("article_de_qualite");
    push("portail_de_qualite");
    push("neutre");
    push("reticence");
    push("contre");
    push("supprimer");
    push("suppression_immediate");
    push("bon_article");
    push("bon_portail");
    push("sursis");
    push("attendre");
    push("renommer");
    push("rediriger");
    push("recycler");
    push("verrouiller");
    push("transferer");
    push("fusionner");
    push("scinder");
    push("deplacer");
    push("transwiki");
  }

  createButtonsToolbar(messages_debut, messages_fin, commentaires, images, id_images);
}
//addOnloadHook(creerBoutonsVote);

function creerBoutonsDiscussions()
{
  var messages_debut = new Array();
  var messages_fin = new Array();
  var images = new Array();
  var commentaires = new Array();
  var id_images = new Array();

  with (messages_debut) 
  {
    push("") //Go
    push("") //Fait
    push("") //Fait.
    push("") //Oui
    push("") //Accord
    push("") //Stop
    push("") //Non
  }

  with (messages_fin) 
  {
    push("{{vote|go}}");
    push("{{vote|fait}}");
    push("{{vote|fait.}}");
    push("{{vote|oui}}");
    push("{{vote|accord}}");
    push("{{vote|stop}}");
    push("{{vote|non}}");
  }

  with (images)
  {
    push("");
    push("http://upload.wikimedia.org/wikipedia/commons/4/4e/Button_fait2.png");
    push("http://upload.wikimedia.org/wikipedia/commons/4/4e/Button_fait2.png");
    push("http://upload.wikimedia.org/wikipedia/commons/4/4e/Button_fait2.png");
    push("http://upload.wikimedia.org/wikipedia/commons/4/4e/Button_fait2.png");
    push("http://upload.wikimedia.org/wikipedia/commons/9/9d/Button_halt.png");
    push("http://upload.wikimedia.org/wikipedia/commons/5/5e/Button_non.png");
  }

  with (commentaires)
  {
    push("Go");
    push("Fait");
    push("Fait.");
    push("Oui");
    push("Accord");
    push("Stop");
    push("Non");
  }
 
  with (id_images)
  {
    push("go");
    push("fait");
    push("fait_");
    push("oui");
    push("accord");
    push("stop");
    push("non");
  }

  createButtonsToolbar(messages_debut, messages_fin, commentaires, images, id_images);
}
//addOnloadHook(creerBoutonsDiscussions);

function createButtonsToolbar(messages_debut, messages_fin, commentaires, images, id_images)
{
  if (document.createTextNode)
  {
    if (document.getElementById("toolbar"))
    {
      for (var cpt = 0; cpt < messages_fin.length; cpt++)
      {
        if(getVarValue(id_images[cpt]) != "hide")
        {
          addButton(images[cpt], commentaires[cpt], messages_debut[cpt], messages_fin[cpt], "", "mw-editbutton-" + id_images[cpt]);
        }
      }
    }
  }
}

/*
function cacherBoutonsSimples()
{
  var id_boutons_simples = new Array();
  with (id_boutons_simples) 
  {
    push("mw-editbutton-bold");
    push("mw-editbutton-italic");
    push("mw-editbutton-link");
    push("mw-editbutton-extlink");
    push("mw-editbutton-headline");
    push("mw-editbutton-image");
    push("mw-editbutton-media");
    push("mw-editbutton-math");
    push("mw-editbutton-nowiki");
    push("mw-editbutton-signature");
    push("mw-editbutton-hr");
  }

  supprimerElements("toolbar", id_boutons_simples);
}
addOnloadHook(cacherBoutonsSimples);

function cacherBoutonsEvolues()
{
  var id_boutons_evolues = new Array();
  with (id_boutons_evolues) 
  {
    push("mw-editbutton-array");
    push("mw-editbutton-enum");
    push("mw-editbutton-liste");
    push("mw-editbutton-gallery");
    push("mw-editbutton-comment");
    push("mw-editbutton-redir");
    push("mw-editbutton-category");
    push("mw-editbutton-template");
    push("mw-editbutton-ref");
    push("mw-editbutton-references");
    push("mw-editbutton-voiraussi");
  }

  supprimerElements("toolbar", id_boutons_evolues);
}
addOnloadHook(cacherBoutonsEvolues);
*/
function supprimerElements(id_parent, tab_elements)
{
  var ele_courant = null;
  var ele_parent = document.getElementById(id_parent);
  if(ele_parent)
  {
    for (var cpt = 0; cpt < tab_elements.length; cpt++)
    {
      ele_courant = document.getElementById(tab_elements[cpt]);
      if(ele_courant)
      {
        ele_parent.removeChild(ele_courant);
      }
    }
  }
}

function createLi()
{
  addSimpleLi("p-tb", "n-upload-commons", "Import Commons", "http://commons.wikimedia.org/wiki/Special:Upload");

  var tab_id = new Array("n-bistro", "n-oracle");
  var tab_texte = new Array("Bistro", "Oracle");
  var tab_url = new Array("/wiki/Wikipédia:Le_Bistro/" + getStrDateToday("j_m_a"), "/wiki/Wikipédia:Oracle");
  addMultipleLi("p-navigation", tab_id, tab_texte, tab_url);
  
  tab_id = new Array("n-BA", "n-tableau_admin");
  tab_texte = new Array("BA", "Outils admin");
  tab_url = new Array("/wiki/Wikipédia:Bulletin_des_administrateurs", "/wiki/Wikipédia:Administrateur/Tableau_de_bord_de_l\'administrateur");
  addMultipleLi("p-navigation", tab_id, tab_texte, tab_url);

  tab_id = new Array("n-CAA", "n-SI", "n-PàS", "n-liverc");
  tab_texte = new Array("CAA", "SI", "PàS", "LiveRC");
  tab_url = new Array("/wiki/Wikipédia:Critères_d'admissibilité_des_articles", "/wiki/Wikipédia:Demande_de_suppression_immédiate", "/wiki/Wikipédia:Pages_à_supprimer", "/wiki/Utilisateur:EDUCA33E/LiveRC");
  addMultipleLi("p-navigation", tab_id, tab_texte, tab_url);

  addSimpleLi("p-navigation", "n-cnrtl", "CNRTL", "http://www.cnrtl.fr/definition/");

  tab_id = new Array("n-templates", "n-newpages");
  tab_texte = new Array("Templ", "NewPages");
  tab_url = new Array("/wiki/Special:ExpandTemplates", "/wiki/Special:Newpages");
  addMultipleLi("p-navigation", tab_id, tab_texte, tab_url);

  tab_id = new Array("n-liens", "n-impasses");
  tab_texte = new Array("ChLiens", "Impasses");
  tab_url = new Array("/wiki/Special:Linksearch", "/wiki/Special:Deadendpages");
  addMultipleLi("p-navigation", tab_id, tab_texte, tab_url);

  tab_id = new Array("n-shortpages", "n-isbn");
  tab_texte = new Array("PgCourtes", "ISBN");
  tab_url = new Array("/wiki/Special:Shortpages", "/wiki/Special:Booksources");
  addMultipleLi("p-navigation", tab_id, tab_texte, tab_url);

  tab_id = new Array("n-whatlinkshere");
  tab_texte = new Array("Whatlinkshere");
  tab_url = new Array("/wiki/Special:Whatlinkshere/" + wgTitle);
  addMultipleLi("p-navigation", tab_id, tab_texte, tab_url);

  tab_id = new Array("n-monojs", "n-monocss");
  tab_texte = new Array("MonoJS", "MonoCSS");
  tab_url = new Array("/wiki/Utilisateur:Sanao/monobook.js", "/wiki/Utilisateur:Sanao/monobook.css");
  addMultipleLi("p-navigation", tab_id, tab_texte, tab_url);

  addSimpleLi("p-navigation", "n-cat_msg_user", "Msgs Utilisateur", "/wiki/Catégorie:Modèle_message_utilisateur");

  addSimpleLi("p-navigation", "n-citation", "Modèles Citation", "/wiki/Catégorie:Modèle_citation");

  tab_id = new Array("n-todo", "n-links");
  tab_texte = new Array("À faire", "Liens docs");
  tab_url = new Array("/wiki/Utilisateur:Sanao/À_faire", "/wiki/Utilisateur:Sanao/Liens_documentations");
  addMultipleLi("p-navigation", tab_id, tab_texte, tab_url);

  addSimpleLi("p-navigation", "n-projet-javascript", "Projet Javascript", "/wiki/Projet:Javascript");

  addSimpleLi("p-navigation", "n-special-gadgets", "Gadgets", "/wiki/Special:Gadgets");

  addSimpleLi("p-navigation", "n-aide-gadget", "Aide:Gadgets", "/wiki/Aide:Gadgets");

  addSimpleLi("p-navigation", "n-monobook-css", "Monobook.css", "/wiki/MediaWiki:Monobook.css");

  addSimpleLi("p-navigation", "n-common-js", "Common.js", "/wiki/MediaWiki:Common.js");

  addSimpleLi("p-navigation", "n-wikibits-js", "wikibits.js", "/skins-1.5/common/wikibits.js?101");

  addSimpleLi("p-navigation", "n-ajax-js", "ajax.js", "/skins-1.5/common/ajax.js?101");

  addSimpleLi("p-navigation", "n-ajaxwatch-js", "ajaxwatch.js", "/skins-1.5/common/ajaxwatch.js?101");
}
addOnloadHook(createLi);

function addSimpleLi(id_cible, id, texte, url)
{
  var result = false;

  var cible = document.getElementById(id_cible);
  if(cible)
  {
    var ul = cible.getElementsByTagName("ul");
    if(ul.length > 0)
    {
      ul.item(0).innerHTML += ("<li>" + getLien(id, texte, url) + "</li>");
      result = true;
    }
  }

  return(result);
}

function addMultipleLi(id_cible, tab_id, tab_texte, tab_url)
{
  var result = false;
  var tab_li = new Array();

  var cible = document.getElementById(id_cible);
  if(cible)
  {
    var ul = cible.getElementsByTagName("ul");
    if(ul.length > 0)
    {
      for(var cpt = 0; cpt < tab_id.length; cpt++)
      {
        tab_li.push(getLien(tab_id[cpt], tab_texte[cpt], tab_url[cpt]));
      }
      ul.item(0).innerHTML += ("<li>" + tab_li.join(", ") + "</li>");
      result = true;
    }
  }

  return(result);
}

function getLien(id, texte, url)
{
  var li = '<span id="' + id + '" title="' + url + '">';
  li += '<a style="display:inline" href="' + url + '">' + texte + '</a>';
  li += "</span>";
  return(li);
}

////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////
//Modifie la boîte de recherche pour permettre une recherche via WikiWix et MayFlower
function modifSearch()
{
  var form_search = document.getElementById("searchform");
  var input_search = document.getElementById("searchInput");
  var button_consult = document.getElementById("searchGoButton");
  var button_find = document.getElementById("mw-searchButton");
  var div_search = null;

  if(form_search && input_search && button_consult && button_find)
  {
    div_search = input_search.parentNode;

    button_consult.setAttribute("value", "Go");
    button_find.setAttribute("value", "Cherch.");

    div_search.innerHTML += "<br />";
    div_search.innerHTML += "<input type='button' value='WikiWix' onclick='goWikiWix()' />&nbsp;";
    div_search.innerHTML += "<input type='button' value='MayFlo' onclick='goMayFlower()' />";
  }
}
addOnloadHook(modifSearch);

//Lance une recherche avec WikiWix
function goWikiWix()
{
  var form_search = document.getElementById("searchform");
  var input_search = document.getElementById("searchInput");

  form_search.action = "http://www.wikiwix.com/?lang=fr";
  input_search.name = "action";
  form_search.submit();
}

//Lance une recherche avec MayFlower
function goMayFlower(button)
{
  var form_search = document.getElementById("searchform");
  var input_search = document.getElementById("searchInput");

  form_search.action = "http://tools.wikimedia.de/~tangotango/mayflower/search.php?t=r";
  input_search.name = "q";
  form_search.submit();
}

//Cache le bandeau rouge d'avertissement sur le "sourçage" et le respect du droit d'auteur
function cacheElements()
{
  var element_courant = null;
  var elements = new Array();
  elements.push("cpwarn"); //Bandeau rouge d'avertissement

  for(var cpt = 0; cpt < elements.length; cpt++)
  {
    element_courant = document.getElementById(elements[cpt]);
    if(element_courant)
    {
      element_courant.style.display = "none";
    }
  }
}
addOnloadHook(cacheElements);


//Ajoute str dans la boîte de résumé
function addResume(str)
{
  var resume = document.editform.wpSummary;
  if(resume)
  {
    if((resume.value != "") && ((resume.value.lastIndexOf(" */") + 4) < resume.value.length))
    { //Espace uniquement si un résumé déjà présent
      resume.value += ", ";
    }
    resume.value += str;
  }
}

//Permet l'ajout de commentaire prédéfinis dans la boîte de résumé
function ResumePerso()
{
  var sumLbl = document.getElementById("wpSummaryLabel");
  if (sumLbl)
  {
    //élargissement boite de résumé
    var sumInput = document.getElementById("wpSummary");
    sumInput.style.width = "90%";

    var titles = new Array();
    titles.push("ajouts");
    titles.push("retouches");
    titles.push("wikif");
    titles.push("vandalisme");
    titles.push("spam");
    titles.push("revert");
    titles.push("+ébauche");
    titles.push("+cat");
    titles.push("+img");
    titles.push("+interwiki");
    titles.push("+portail");
    titles.push("-lien ext");
    titles.push("mise en page");
    titles.push("ortho/gram");
    titles.push("recat");

    var inputs = new Array();
    inputs.push("ajout d’infos ()");
    inputs.push("diverses retouches");
    inputs.push("wikif");
    inputs.push("revert (vandalisme)");
    inputs.push("revert (spam)");
    inputs.push("revert ()");
    inputs.push("+ {{ébauche}}");
    inputs.push("+ catégorie");
    inputs.push("+ image");
    inputs.push("+ liens interwiki");
    inputs.push("+ portail");
    inputs.push("- lien externe (pas de contribution se limitant à ajouter des liens externes)");
    inputs.push("mise en page");
    inputs.push("correction orthographe/grammaire");
    inputs.push("changement catégorie");
    
    var str = "";
    for (var cpt = 0; cpt < titles.length; cpt ++)
    {
      str += "<a href=\"javascript:addResume('" + inputs[cpt] + "')\""
        + " class=\"sumLink\" title=\"Ajouter '" + inputs[cpt] +"' dans la boîte de résumé\">"
        + titles[cpt]
        + " ·</a> ";
    }
    sumLbl.innerHTML = str + "<br />" + sumLbl.innerHTML;
  }
}
addOnloadHook(ResumePerso);

obtenir("CatsaGauche"); //Pour avoir la liste des catégories de l'article à gauche

loadJs("User:EDUCA33E/LiveRC.js");

loadJs('User:Stef48/aide.js');
//</source>