// Auteur : Anakin
// Dernière mise à jour : 11 décembre 2005
function CategoryTree()
{
  var element = document.getElementById('ca-nstab-category');
  if (element)
  {
    var categoryname = element.firstChild.href;
    categoryname = categoryname.substring(7);

    var wikiname = categoryname.substring(0, categoryname.indexOf('.'));

    var indexofname = categoryname.indexOf(":") + 1;
    categoryname = categoryname.substring(indexofname);

    var indexofampersand = categoryname.indexOf("&");
    if (indexofampersand != -1)
      categoryname = categoryname.substring(0, indexofampersand);

    var li = document.createElement('li');
    li.id = 'ca-categorytree';

    var a = document.createElement('a');
    a.appendChild(document.createTextNode("Arborescence"));
    a.href = 'http://tools.wikimedia.de/~daniel/WikiSense/CategoryTree.php?wiki=' + wikiname + '&art=on&cat=' + categoryname;

    li.appendChild(a);

    document.getElementById('ca-nstab-category').parentNode.appendChild(li);
  }
}
addLoadEvent(CategoryTree);



// Résumé Deluxe 
// Fonction ResumeDeluxeModif
//
// Code : Dake

function ResumeDeluxeModif(content) {
    if (document.editform.wpSummary.value != 0) {
		document.editform.wpSummary.value+=' - ';
	}
	
	document.editform.wpSummary.value+=content;
}

// Résumé Deluxe 
// Fonction ResumeDeluxeModif
//
// Code : Dake

function ResumeDeluxe() {
	// vous pouvez ajouter vos messages ci-dessous - attention aux apostrophes et aux 
	// guillemets qui peuvent casser le script
	var messages = new Array()
	messages[0] = "ortho";
	messages[1] = "typo";
	messages[2] = "corr wiki";
	messages[3] = "catég";
	messages[4] = "corr catég";
	messages[5] = "redirect";
	messages[6] = "interwiki";
	messages[7] = "wikification";
	messages[8] = "rv vandalisme par blanchiment";
	messages[9] = "+1900";
	messages[10] = "USA>États-Unis";
	messages[11] = "GB>RU";
	messages[12] = "rv bac à sable";
	messages[13] = "blanchi bac à sable";
	messages[14] = "rv vandalisme";
	messages[15] = "{{Commons}}";
	
	var nombreBoutonsParLigne = 9;
	
	// ne rien toucher ci-dessous
	var mainNode = document.getElementById("wpSummaryLabel");
	if (!mainNode) {
		return;
	}
	var summaryNode = mainNode;
	
	var formButtons = document.createElement("form");
	
	for (var i=0;i<messages.length;i++) {
		if (i%nombreBoutonsParLigne==0) {
			formButtons.appendChild(document.createElement("p"));
		}
			
		var nodeInput = document.createElement("input");
		nodeInput.setAttribute("type", "button"); 
		nodeInput.setAttribute("value", messages[i]); 
		nodeInput.setAttribute("onClick", "ResumeDeluxeModif('" + messages[i] + "')"); 

		formButtons.appendChild(nodeInput); 
	}
	summaryNode.appendChild(formButtons);
	
}

addLoadEvent(ResumeDeluxe);



// Auteur : Anakin, recherche des wikis utilisant une image
// Dernière mise à jour : 11 décembre 2005

function ImageUse()
{
  var element = document.getElementById('ca-nstab-image');
  if (element)
  {
    var imagename = element.firstChild.href;

    var indexofname;
    if (imagename.indexOf("http://") != -1)
      indexofname = imagename.indexOf(":", 6);
    else
      indexofname = imagename.indexOf(":");

    imagename = imagename.substring(indexofname + 1);

    var indexofampersand = imagename.indexOf("&");
    if (indexofampersand != -1)
      imagename = imagename.substring(0, indexofampersand);

    var li = document.createElement('li');
    li.id = 'ca-imageuse';

    var a = document.createElement('a');
    a.appendChild(document.createTextNode("Voir l'utilisation"));
    a.href = 'http://www.juelich.de/avatar/check-usage/check-usage.php?filename=' + imagename + '&template';

    li.appendChild(a);

    document.getElementById('ca-nstab-image').parentNode.appendChild(li);
  }
}
addLoadEvent(ImageUse);



//Auteur:GôTô

function remLoadEvent(func) 
{
  if (window.removeEventListener) 
    window.removeEventListener("load", func, false);
  else if (window.detachEvent) 
    window.detachEvent("onload", func);
}

remLoadEvent(addQuickPreview)

remLoadEvent(ImprovedToolbar)