/* <source lang="javascript"> */
/* var byteSuffixes = {
    "kio": "KB",
    "mio": "MB",
    "gio": "GB",
    "tio": "TB"
};*/

var byteSuffixes;

addOnloadHook(function () {
    if (!byteSuffixes) return;

    var body = document.getElementById("bodyContent") || document;

    var classes = [ "kio", "mio", "gio", "tio" ];
    for (var i in classes) {
        var c = classes[i];
        var suffix = byteSuffixes[c];
        if (!suffix) continue;

        var spans = getElementsByClassName(body, "span", c);
        for (var n in spans) {
            spans[n].innerHTML = suffix;
        }
    }
});



// [[:en:User:Lupin/popups.js]]
// Traduction de [[Utilisateur:Leag|Leag]] : [[Utilisateur:Leag/Navigation popups|Navigation popups]]

document.write('<script type="text/javascript" src="' 
    + 'http://fr.wikipedia.org/w/index.php?title=User:Leag/popups-strings-fr.js' 
    + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
document.write('<script type="text/javascript" src="' 
             + 'http://en.wikipedia.org/w/index.php?title=User:Lupin/popups.js' 
             + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');

/* </source> */