// options pour l'outil Evaluation
var alwaysEval = false; //mettez cette valeur à ''true'' si vous voulez que l'évaluation soit lancée automatiquement (à éviter en temps normal)
function initEvalProjectNames()
{
        evalProjectNames=new Array(); //liste de vos projets
        evalProjectNames.push("Chimie") 
        evalProjectNames.push("Physique") 
        evalProjectNames.push("Matériaux")//mettre ici autant de lignes comme celle-ci que de projets que vous voulez évaluer
}

//formate citation

obtenir('OuvrageArticle');

//ajout de boutons dans la toolbar en mode edition pour le sourçage de données physico-chimiques
function DeluxeBar() {
  if (document.createTextNode) {
        var toolbar = document.getElementById("toolbar"); 
        if (!toolbar) return;
 
        var messages = new Array()
        var images = new Array()
        var commentaires = new Array()
        var a=-1; //Le décompte commence à -1 avec une incrementation sur le premier message, pour éviter tout probleme en cas d'inversion ou suppression du premier message

        messages[++a] = "\<" + "ref name =" + '\\"' + "GESTIS" + '\\"' + "\>" + "{{" + "GESTIS|ZVG= |CAS= |Nom= |Date= " + "}}" + "\<" + "/ref" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/d/d0/Button_GESTIS.png";
        commentaires[a] = "référence GESTIS";
                         
        messages[++a] = "\<" + "ref name =" + '\\"' + "GESTIS" + '\\"' + "/" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/e/e3/Button_GESTIS_short.png";
        commentaires[a] = "référence GESTIS";

        messages[++a] = "\<" + "ref name =" + '\\"' + "NIST" + '\\"' + "\>" + "{{" + "NIST|| " + "}}" + ", consulté le " +"\<" + "/ref" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/4/43/Button_NIST.png";
        commentaires[a] = "référence NIST";
                         
        messages[++a] = "\<" + "ref name =" + '\\"' + "NIST" + '\\"' + "/" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/6/61/Button_NIST_short.png";
        commentaires[a] = "référence NIST";

        messages[++a] = "\<" + "ref name =" + '\\"' + "ESIS" + '\\"' + "\>" + "{{" + "ESIS|| " + "}}" + ", consulté le " +"\<" + "/ref" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/9/95/Button_ESIS.png";
        commentaires[a] = "référence ESIS";

        messages[++a] = "\<" + "ref name =" + '\\"' + "Reptox" + '\\"' + "\>" + "{{" + "Reptox|no_produit= |Nom= |Date=" + "}}" + "\<" + "/ref" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/b/b0/Button_Reptox.png";
        commentaires[a] = "référence Reptox";

        messages[++a] = "\<" + "ref name =" + '\\"' + "ChemID" + '\\"' + "\>" + "{{" + "ChemID|| " + "}}" + ", consulté le " +"\<" + "/ref" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/8/84/Button_ChemID.png";
        commentaires[a] = "référence ChemID";
                         
        messages[++a] = "\<" + "ref name =" + '\\"' + "ChemID" + '\\"' + "/" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/a/a8/Button_ChemID_short.png";
        commentaires[a] = "référence ChemID";

        messages[++a] = "\<" + "ref" + "\>" + "[http://ucbchemicalinventory.colorado.edu/search2.htm UCB] Université du Colorado" +"\<" + "/ref" + "\>";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/f/f3/Button_UCB.png";
        commentaires[a] = "référence UCB";

        messages[++a] = "{{" + "Unité/2||e=|| " + "}}";
        images[a] = "http://upload.wikimedia.org/wikipedia/fr/f/ff/Button_Unite2.png";
        commentaires[a] = "modèle Unité/2";
 
        for (var i=0;i<messages.length;i++) {
                var img = document.createElement("img");
                img.setAttribute("src", images[i]);
 
                var ref = document.createElement("a");
                ref.setAttribute("href", "javascript:insertTags('', \"" + messages[i] + "\", '');" + 
                                 "javascript:changeSummary(\"" + commentaires[i] + "\");" ); 
                ref.appendChild(img); 
 
                toolbar.appendChild(ref);

        }
  }
}

function changeSummary(sampleText) {
        document.editform.wpSummary.value = sampleText;
}
 
addOnloadHook(DeluxeBar);

// bouton pour l'import de la dernière version de la chimiebox
function importTemplateButton(){
   if (document.createTextNode){

        var toolbar = document.getElementById("toolbar"); 
        if (!toolbar) return;

        var img = document.createElement("img");
        img.setAttribute("src","http://upload.wikimedia.org/wikipedia/fr/7/77/Button_Chimiebox.png");
        var ref = document.createElement("ref");
        ref.setAttribute("onclick","javascript:importTemplate();"); 
        ref.appendChild(img); 

        toolbar.appendChild(ref);

        }
}

function importTemplate(){
        var request = sajax_init_object();
        request.open('GET', 'http://fr.wikipedia.org/w/index.php?title=Modèle:Chimiebox/Référence&action=raw', true);
        request.send(null);
        request.onreadystatechange = function() {
        if (request.readyState == 4 && request.status == 200) {
        var text = document.getElementById('wpTextbox1');
        text.value = request.responseText + text.value;
        }
        }
        };

addOnloadHook(importTemplateButton);

// listage des modèles de la page

// <nowiki>

if((wgAction=="edit")||(wgAction=="submit")){
    addOnloadHook(AutoTemplate_AddButton);
}

function AutoTemplate_AddButton(){
     if(!document.editform) return;
     var Toolbar = document.getElementById('toolbar');
     if(!Toolbar){
          Toolbar = document.createElement('div');
          Toolbar.id = 'toolbar';
          document.editform.insertBefore(Toolbar, document.editform.firstChild);
     }
     var button = '<img src="http://upload.wikimedia.org/wikipedia/commons/9/97/Template_button.png" heigth="23" width="23" alt="Gestion des modèles" />';
 
     var NewButton = document.createElement('a')
     NewButton.title = "Mettre à jour les modèles de la page";
     NewButton.href="javascript:AutoTemplate_OpenMenu();";
     NewButton.innerHTML = button;
     Toolbar.appendChild(NewButton);
}

function AutoTemplate_Cancel(ID){
     var MenuDiv = document.getElementById(ID);
     MenuDiv.parentNode.removeChild(MenuDiv);
}

function AutoTemplate_OpenMenu(){
     var OldMenuDiv = document.getElementById('Menu_AutoTemplate');
     if(OldMenuDiv) return;
 
     var Toolbar = document.getElementById('toolbar');
     var MenuDiv = document.createElement('div');
     MenuDiv.id = 'Menu_AutoTemplate';
     Toolbar.parentNode.insertBefore(MenuDiv, Toolbar.nextSibling);
     var HTMLMenu = MenuDiv
     MenuDiv.innerHTML = '<input type="button" onclick="AutoTemplate_Cancel(\'Menu_AutoTemplate\');" onselect="AutoTemplate_Cancel(\'Menu_AutoTemplate\');" value="Annuler" /><br/>'
                        +'<table width="100%">'
                        +'<tr>'
                        +'<td width=30%" valign="top"><ul id="Menu_AutoTemplate_TemplatesList"></ul></td>'
                        +'<td width="70%" id="Menu_AutoTemplate_Form" valign="top"></td>'
                        +'</tr></table>';
     AutoTemplate_SearchTemplates();
}

function AutoTemplate_SearchTemplates(){
     var AllTemplates = new Array();
     var AllTemplatesName = new Array();
     var Texte = document.getElementsByTagName('textarea')[0].value;
     var count = 15;
     while(Texte.indexOf('}}')!=-1){
          count++
          var Modele = Texte.split('}}')[0];
          var AvantFin =  Texte.split('}}')[0] + '}}';
          if(count<10) alert(Modele);
          while(Modele.indexOf('{{')!=-1){
               var AvantModele = Modele.split('{{')[0] + '{{';
               Modele = Modele.split(AvantModele).join('');
          }
          CodedModele = Modele.replace(/</g,'&lt;');
          CodedModele = CodedModele.replace(/>/g,'&gt;');
          AllTemplates.push('{{' + CodedModele + '}}');
          if(count<10) alert(Modele);
          var NomModele = Modele;
          while(NomModele.indexOf('|')!=-1){ NomModele = NomModele.split('|')[0]; }
          NomModele = NomModele.replace(/\n/g,"");
          AllTemplatesName.push(NomModele);
          if(count<10) alert(NomModele);
          var patt = "{{" + Modele + "}}";
          var Result = "DEBUTMODELE" + Modele + "FINMODELE";
          var AvantFinMod = AvantFin.split(patt).join(Result);
          Texte = Texte.split(AvantFin).join(AvantFinMod);
          if(count<10) alert(Texte);
          if(count>100) break;
     }
     var UL = document.getElementById("Menu_AutoTemplate_TemplatesList");
     for( var a=0;a<AllTemplates.length;a++){
            UL.innerHTML += '<li id="Menu_AutoTemplate_TemplatesList_'+a+'" ><a href="javascript:AutoTemplate_CreateForm('+a+');">'+AllTemplatesName[a]+'</a><input type="text" style="display:none" value="'+AllTemplates[a]+'" /></li>';            
     }
}

function AutoTemplate_CreateForm(position){
     var FormContainer = document.getElementById('Menu_AutoTemplate_Form');
     var ModeleLi = document.getElementById('Menu_AutoTemplate_TemplatesList_'+position);
     if((!FormContainer)||(!ModeleLi)) return;
     var TemplateName = ModeleLi.getElementsByTagName('a')[0].innerHTML;
     var Template = ModeleLi.getElementsByTagName('input')[0].value;
     var TemplateOldParams = new Array();
     var TemplateOldParamsCount = -1;
     if(Template.indexOf('|')!=-1) Template = Template + '|';
     Template = Template.replace(/\n/g,"");
     Template = Template.replace(/ \|/g,"\|");
     Template = Template.replace(/\| /g,"\|");
     Template = Template.replace(/ \]/g,"\]");
     Template = Template.replace(/\[ /g,"\[");
     Template = Template.replace(/ =/g,"\=");
     Template = Template.replace(/= /g,"\=");
     Template = Template.split('{{'+TemplateName + '|').join('').split('{{'+TemplateName).join('').split('}}').join('');
     Template = Template.replace(/DEBUTMODELE/g,"\{\{");
     Template = Template.replace(/FINMODELE/g,"\}\}");
     while(Template.indexOf(']]')!=-1){ 
          var DebutTemplate = Template.split('[[')[0];
          var FinTemplate = Template.split(']]')[1];
          var Lien = Template.split(DebutTemplate).join('').split(FinTemplate).join('');
          var LienCode = Lien.replace(/\[\[/g,"DEBUTLIEN");
          LienCode = LienCode.replace(/\]\]/g,"FINLIEN");
          LienCode = LienCode.replace(/\|/g,"MILIEULIEN");
          Template = Template.split(Lien).join(LienCode);
     }
     //alert(Template);
     while(Template.indexOf('|')!=-1){ 
          TemplateOldParamsCount++
          var Param = Template.split('|')[0];
          Template = Template.split(Param + '|').join('');
          Param = Param.replace(/DEBUTLIEN/g,"\[\[");
          Param = Param.replace(/FINLIEN/g,"\]\]");
          Param = Param.replace(/MILIEULIEN/g,"\|");
          TemplateOldParams.push(Param);
          if(TemplateOldParamsCount>100){alert('boucle probable'); break;}
     }
     var Page = TemplateName;
     if(Page.indexOf(wgFormattedNamespaces[10] +':')==-1) Page = wgFormattedNamespaces[10] +':' + Page;
      var url = wgServer + wgScript + '?title=' + Page +'&action=edit';
      var Request = sajax_init_object();
      Request.open("GET", url, true);
      Request.send(null);
      Request.onreadystatechange = function() {
           if(Request.readyState == 4 && Request.status == 200) {
                  var Temp = document.createElement('div');
                  //document.body.insertBefore(Temp, document.body.firstChild);
                  Temp.innerHTML = Request.responseText; 
                  var OldText = Temp.getElementsByTagName('textarea')[0].value;
                  var AllParams = new Array();
                  var Paramcount = 15;
                  var NoParam = false;
                  if(OldText.indexOf('}}}')==-1){
                       var NoParam = true;
                  }else{
                       while(OldText.indexOf('}}}')!=-1){
                            Paramcount++
                            var Param = OldText.split('}}}')[0];
                            if(Param.indexOf('{{{')==-1){
                                 OldText = OldText.split(Param+'}}').join(Param+'FINMODELE');
                                 if(Paramcount<10) alert(OldText);
                                 if(Paramcount>100){alert('Boucle probable'); return; }
                                 if(OldText.indexOf('}}}')==-1) break;
                            }else{
                                 while(Param.indexOf('{{{')!=-1){
                                      var AvantParam = Param.split('{{{')[0] + '{{{';
                                      Param = Param.split(AvantParam).join('');
                                 }
                                 var ParamName = Param.replace(/\|.*/g,'')
                                 AllParams.push(ParamName);
                                 if(Paramcount<10) alert(ParamName);
                                 var patt = "{{{" + Param + "}}}";
                                 var Result = "DEBUTPARAM" + Param + "FINPARAM";
                                 NewText = OldText.split(patt).join(Result);
                                 if(NewText!=OldText){
                                     OldText = NewText;
                                 }else{
                                     alert('Problème');
                                 }
                                 if(Paramcount<10) alert(OldText);
                                 if(Paramcount>100){alert('Boucle probable'); return; }
                                 if(OldText.indexOf('}}}')==-1) break;
                            }
                       }
                  }
                  AllParams = AllParams.sort();
                  var SortedParams = new Array();
                  for(var b=0;b<AllParams.length;b++){
                       if((b>0)&&(AllParams[(b-1)]!=AllParams[b])) SortedParams.push(AllParams[b]);

                  }
                  var FormContent = '';
                  if(!NoParam){
                       FormContent += '<input type="text" size="100" value="{{'+TemplateName+'" /><br/>';
                       for(var c=0;c<SortedParams.length;c++){
                             var ThatParam = SortedParams[c];
                             var MatchParam = false;
                             for(var a=0;a<TemplateOldParams.length;a++){
                                    var ThisParam = TemplateOldParams[a];
                                    //alert(ThisParam +' - '+ThatParam);
                                    if(ThisParam.indexOf(ThatParam+'=')!=-1){
                                          var MatchParam = true;
                                          var THEParam = ThisParam;
                                    }
                             }
                             if(MatchParam==true){
                                   FormContent += '<input type="text" size="100" value="'+THEParam+'" /><br/>';
                             }else{
                                   FormContent += '<input type="text" size="100" value="'+ThatParam+'=" /><br/>';
                             }
                             //alert(FormContent);
                       }
                       FormContent += '<input type="text" size="100" value="}}" /><br/>';
                       FormContent += '<input type="button" onclick="AutoTemplate_Modify('+position+');" onselect="AutoTemplate_Modify('+position+');" value="Valider" />';

                  }else{
                       FormContent += '<span class="error">Ce modèle ne nécessite pas de paramètres.</span>';
                  }
                  FormContainer.innerHTML = FormContent;
           }
      }
}

function AutoTemplate_Modify(position){


}

importScriptURI("http://toolserver.org/~magnus/wysiwtf/wysiwtf.js");


// </nowiki>