//<pre><nowiki>
function astro_URLrewrite(sStr) {
    i = sStr.search(/\(/);
    if (i != -1) {
        rStr = sStr.substr(0, i-1);
    } else {
        rStr = sStr;
    }
    rStr = rStr.replace(/é/gi, 'e').replace(/è/gi, 'e').replace(/ï/gi, 'i').replace(/î/gi, 'i');
    return escape(rStr).replace(/\+/g, '%2B').replace(/\"/g,'%22').replace(/\'/g, '%27').replace(/\//g,'%2F');
  }

function astroOnglet() {
  if (typeof astroOngleAfficherToujours=='undefined') {
        astroOngleAfficherToujours = false;
  }
  if (astroOngleAfficherToujours || document.getElementById('portail-astro') || document.getElementById('ebauche-astro')) {
     var a = document.getElementById("p-cactions");
        if (a) 
        {
          var pageName = document.title.replace(" - Wikipédia", ""); 
          b = a.getElementsByTagName("ul");
		  
          if(b.length > 0)
          {
            b[0].innerHTML = b[0].innerHTML
            + '<li id="ca-nstab-user"><font style="color: red; font-weight: bold; padding-left: 0.5em">A</font>'
            + '<a href="http://simbad.u-strasbg.fr/simbad/sim-id?protocol=html&Ident=' + astro_URLrewrite(pageName) + '&NbIdent=1&Radius=10&Radius.unit=arcmin&CooFrame=FK5&CooEpoch=2000&CooEqui=2000&output.max=all&o.catall=on&output.mesdisp=N&Bibyear1=1983&Bibyear2=2006&Frame1=FK5&Frame2=FK4&Frame3=G&Equi1=2000.0&Equi2=1950.0&Equi3=2000.0&Epoch1=2000.0&Epoch2=1950.0&Epoch3=2000.0">'
            + 'simbad</a>'
            + '<a href="http://nedwww.ipac.caltech.edu/cgi-bin/nph-objsearch?objname=' + astro_URLrewrite(pageName) + '&extend=no&out_csys=Equatorial&out_equinox=J2000.0&obj_sort=RA+or+Longitude&of=pre_text&zv_breaker=30000.0&list_limit=5&img_stamp=YES">'
            + 'ned</a>'
            + '<a href="http://archive.stsci.edu/cgi-bin/dss_form?target=' + astro_URLrewrite(pageName) + '&resolver=SIMBAD&f=gif">'
            + 'dss</a>'
            + '<a href="http://adsabs.harvard.edu/cgi-bin/nph-abs_connect?db_key=AST&qform=AST&sim_query=YES&ned_query=YES&lpi_query=YES&iau_query=YES&obj_req=YES&aut_logic=OR&obj_logic=OR&author=&object=' + astro_URLrewrite(pageName) + '&start_mon=&start_year=&end_mon=&end_year=&ttl_logic=OR&title=&txt_logic=OR&text=&nr_to_return=100&start_nr=1">'
            + 'ads</a>'
	    + '</li>';
          }
        }
      }
   }

addLoadEvent(astroOnglet);

function BoiteAstro() {
  var l = document.getElementById("column-one");
  if (l) {
    l.innerHTML = l.innerHTML
    + '<div class="portlet" id="p-astro">'
    + ' <h5 style="background-color:black; border-color:darkblue; color:white; font-weight:bold">Boîte Astro</h5>'
    + ' <div class="pBody" style="background-color:#EDF7FF; border-color:black">'
    + '   <ul>'
    + '     <li><a href="http://fr.wikipedia.org/wiki/Portail:Astronomie">Portail Astro</a></li>'
    + '     <li><a href="http://fr.wikipedia.org/wiki/Projet:Astronomie">Projet Astro</a></li>'
    + '     <li><a href="http://fr.wikipedia.org/wiki/Special:Recentchangeslinked/Projet:Astronomie/Liste_des_articles/Liste_complète">Modifs récentes</a></li>'
    + '     <li><a href="http://fr.wikipedia.org/wiki/Projet:Astronomie/Liste_des_articles/Cat%C3%A9gories">Arborescence</a> (<a href="http://fr.wikipedia.org/wiki/Portail:Astronomie/cat%C3%A9gories">alt.</a>)</li>'
    + '     <li><a href="http://fr.wikipedia.org/wiki/Cat%C3%A9gorie:Astronomie">Cat. principale</a></li>'
    + '     <li><a href="http://fr.wikipedia.org/wiki/Cat%C3%A9gorie:Mod%C3%A8le_astronomique">Modèles</a></li>'
    + '   </ul>'
    + ' </div>'
    + '</div> ';
  }
}

addLoadEvent(BoiteAstro);


function astroBar() {
  if (document.createTextNode) {
        var toolbar = document.getElementById("toolbar"); 
        if (!toolbar) return;
        
        var messages = new Array()
        var images = new Array()
        var commentaires = new Array()
        var a=-1; //Le décompte commence à -1 avec une incrementation sur le premier message, pour éviter tout probleme en cas d'inversion ou suppression du premier message

        ///// zone personnalisable ////
        // le texte a été splitté sinon Mediawiki casse tout...
        messages[++a] = "{{Portail astronomie}}";
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/9/92/Bouton_astro_portail.png";
        commentaires[a] = " {{Portail astronomie}}"

        messages[++a] = "{{Catégorie astronomie}}";
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/b/bc/Bouton_astro_cat%C3%A9gorie.png";
        commentaires[a] = " {{Catégorie astronomie}}"

        messages[++a] = "{{Étoile\\n| nom=\\n| image=\\n| époque=\\n| constel=\\n| ascension_droite=\\n| déclinaison=\\n| distance_al=\\n| distance_pc=\\n| magnitude_apparente=\\n| variabilité=\\n| type_spectral=\\n| masse=\\n| masse_s=\\n| diamètre=\\n| diamètre_s=\\n| b-v=\\n| v-i=\\n| magnitude_absolue=\\n| luminosité=\\n| luminosité_s=\\n| température=\\n| âge=\\n| période_rotation=\\n| composants_stellaires=\\n| planètes=\\n}}";
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/5/5f/Bouton_%C3%A9toile.png";
        commentaires[a] = " modèle {{Étoile}}"

        messages[++a] = "{{Étoile mini\\n| nom=\\n| image=\\n| époque=\\n| constel=\\n| ascension_droite=\\n| déclinaison=\\n| distance_al=\\n| distance_pc=\\n| magnitude_apparente=\\n| type_spectral=\\n}}";
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/d/db/Bouton_%C3%A9toile_mini.png";
        commentaires[a] = " modèle {{Étoile mini}}"

        messages[++a] = "{{Objet astronomique\\n| nom=\\n| img=\\n| découvreur=\\n| date_découverte=\\n| désignations=| type=\\n| constel=\\n| constel_lat=\\n| constel_abrv=\\n| ascdroite=\\n| decl=\\n| dist_al=\\n| dist_parsec=\\n| magn_a=\\n| dim_a=\\n| masse_sol=\\n| dim_r=\\n| dim_parsec=\\n| couleur=\\n| magn_abs=\\n}}";
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/2/28/Bouton_noir.png";
        commentaires[a] = " modèle {{Objet astronomique}}"

        messages[++a] = "{{Objet astronomique court\\n| nom=\\n| img=\\n| descr=\\n| découvreur=\\n| date_découverte=\\n| désignations=\\n| époque=\\n| type=\\n| constel=\\n| ascdroite=\\n| decl=\\n| dist_al=\\n| dist_parsec=\\n| magn_a=\\n| dim_a=\\n}}";
        images[a] = "http://upload.wikimedia.org/wikipedia/commons/8/83/Bouton_noir_mini.png";
        commentaires[a] = " modèle {{Objet astronomique court}}"

        ////////////////////////////////

        for (var i=0;i<messages.length;i++) {
                var img = document.createElement("img");
                img.setAttribute("src", images[i]);
                
                var ref = document.createElement("a");
                ref.setAttribute("href", "javascript:insertTags('', \"" + messages[i] + "\", '');" + 
                                 "javascript:changeSummary(\"" + commentaires[i] + "\");" ); 
                ref.setAttribute("title", "" + commentaires[i] + "" ); 
                ref.appendChild(img); 
                
                toolbar.appendChild(ref);
        }
  }
}

function changeSummary(sampleText) {
        document.editform.wpSummary.value = document.editform.wpSummary.value + sampleText;
}

addLoadEvent(astroBar);

///////////////////////

var modeles_ebauches = new Array();
var i=0;
modeles_ebauches[i] = "s";
modeles_ebauches[++i] = "astronomie";
modeles_ebauches[++i] = "astronome";
modeles_ebauches[++i] = "astrophysique";
modeles_ebauches[++i] = "cosmologie";
modeles_ebauches[++i] = "étoile";
modeles_ebauches[++i] = "Lune";
modeles_ebauches[++i] = "Mars";
modeles_ebauches[++i] = "objet mineur";
modeles_ebauches[++i] = "xxx";

function ebauchesBar() {
  var toolbar = document.getElementById('toolbar');

  if (toolbar) {
    var menu = document.createElement("select");
    menu.onchange = function () { chooseEbauche(this.selectedIndex); };
    menu.style.display = "inline";

    for (var i=0; i<modeles_ebauches.length; i++) {
        var opt = document.createElement("option");
        opt.appendChild(document.createTextNode("Ébauche " + modeles_ebauches[i]));
        menu.appendChild(opt);
    }
    toolbar.appendChild(menu);
  }
}

function chooseEbauche(s) {
  if (s>0) {
    if (modeles_ebauches[s]=="xxx")
      insertTags('{{Ébauche ', '}}', 'astronomie');
    else
      insertTags('{{Ébauche ' + modeles_ebauches[s] + '}}', '', '')
    document.editform.wpSummary.value = document.editform.wpSummary.value + " {{Ébauche " + modeles_ebauches[s] + "}}";
  }
}

addLoadEvent(ebauchesBar);
//</nowiki></pre>