//<nowiki>

// Mode opératoire pour les débutants (j'en fais partie) :
// Pour rajouter un bouton, copier la ligne qui démarre aux 3 accolades } jusqu'à pre:"xx" et la coller juste avant le raccrochage des accolades
// Puis remplacer 'codebouton': { par le code de votre choix, le contenu de label par le nom du bouton, le contenu de icon par l’icône de votre choix et le contenu de label par les caractères que vous souhaitez ajouter. 
// Attention à ne pas enlever les apostrophes, deux points...

if (typeof $j != 'undefined' && typeof $j.fn.wikiEditor != 'undefined') {
        $j(function() {
		$j( '#wpTextbox1' ).wikiEditor( 'addToToolbar', {
			'section': 'advanced',
			'groups': {
				'userwarn': {
					'label': 'Outils'
				}
			}
		} );
		$j( '#wpTextbox1' ).wikiEditor( 'addToToolbar', {
			'section': 'advanced',
			'group': 'userwarn',
			'tools': {
				'test0': {
					label: 'Insère un lien externe à Wikipédia',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/7/73/External_link_icon.png',
					action: {
						type: 'encapsulate',
						options: {
							pre: "[http://www.google.fr Google]"
						}
					}
				},
				'test1': {
					label: 'Insère un texte barré',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/3/30/Btn_toolbar_rayer.png',
					action: {
						type: 'encapsulate',
						options: {
							pre: "<s>texte barré</s>"
						}
					}
				},
				'test2': {
					label: 'Insère un lien de redirection automatique vers une autre page',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/4/47/Button_redir.png',
					action: {
						type: 'encapsulate',
						options: {
							pre: "#REDIRECT [[Aide:Redirection]]"
						}
					}
				},
				'test3': {
					label: 'Insère un commentaire',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/3/37/Btn_toolbar_commentaire.png',
					action: {
						type: 'encapsulate',
						options: {
							pre: "<!--Les commentaires sont invisibles dans la page-->"
						}
					}
				},
				'onlywarn': {
					label: 'Insère la section Voir aussi + Notes et Références',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/b/bb/Seealso.png',
					action: {
						type: 'encapsulate',
						options: {
							pre: "== Voir aussi == === Bibliographie === * [[À remplacer]] === Articles connexes === * [[À remplacer]] === Liens externes=== * == Notes et références == {{Références}}"
						}
					}
				},
				'spam': {
					label: 'Insérer une image (syntaxe complète)',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/f/fb/Button_spam2.png',
					action: {
						type: 'encapsulate',
						options: {
							pre: "[[Fichier:Exemple.png|thumb|Texte affiché]]"
						}
					}
				},
				'copyvio': {
					label: 'Copyvio',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/d/d3/Button_copyvio_discuss.png',
					action: {
						type: 'encapsulate',
						options: {
							pre: "{{Bienvenue Copyvio 1|Page|URL}} ~~~~"
						}
					}
				},
                               'bienvenue': {
					label: 'Souhaiter la bienvenue aux nouveaux',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/f/fe/New_icon_shiny_badge.svg',
					action: {
						type: 'encapsulate',
						options: {
                                                        pre: "{{Utilisateur:Trizek/Bac à sable/bienvenutage|user=Superjuju10|sign=~~~~|message=}}"
						}
					}
				},
                                'aide': {
					label: 'Contact aux nouveaux',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/4/45/GeoGebra_icon_help.png',
					action: {
						type: 'encapsulate',
						options: {
                                                        pre: "Si vous avez besoin d'aide, n'hésitez pas à [[User talk:Superjuju10|me contacter]]. Bonne continuation {{sourire}}."
						}
					}
				},
				'blocked': {
					label: 'Guillemets français',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/0/05/Button_Anf%C3%BChrung.png',
					action: {
						type: 'encapsulate',
						options: {
							pre: "« Texte »"
						}
					}
				},
				'lienweb': {
					label: 'Lien Web',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/3/3c/Button_lienweb.png',
					action: {
						type: 'encapsulate',
						options: {
							pre: "<ref>{{Lien web|url= |titre= |site= |auteur= |année= |en ligne le= |consulté le= }}</ref>"
						}
					}
				},
				'unite': {
					label: 'Unité',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/6/6f/Button_hu_mn.png',
					action: {
						type: 'encapsulate',
						options: {
							pre: "{{Unité|nbr|ut}}"
						}
					}
				},
				'boitedéroul': {
					label: 'Boîte déroulante',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/d/d7/Button_more.png?uselang=fr',
					action: {
						type: 'encapsulate',
						options: {
							pre: "{{boîte déroulante|titre=TITRE|contenu=CONTENU}}"
						}
					}
				},
				'ouvrage': {
					label: 'Ouvrage',
					type: 'button',
					icon: 'http://upload.wikimedia.org/wikipedia/commons/e/ef/Button_cite_book.png',
					action: {
						type: 'encapsulate',
						options: {
							pre: "<ref>{{ouvrage|langue=|prénom1=|nom1=|lien auteur1=|titre=<!-- Paramètre obligatoire --> |sous-titre=|numéro d'édition=|éditeur=|lien éditeur=|lieu=|jour=|mois=|année=|volume=|tome=|pages totales=|passage=|isbn=|lire en ligne=|consulté le=}}</ref>"

						}
					}
				}
			}
		} );
	} );
}

//</nowiki>