/*************
 * Fonctions *
 *************/

// fonction d'import de page sur fr, en ou autre (exemple sur en : importWikiPage('User:Lupin/popups.js', 'en'))
function importWikiPage(page, lng) {
    var langue = (lng ? lng : 'fr')
    document.write('<script type="text/javascript" src="' 
        + 'http://' + langue + '.wikipedia.org/w/index.php?title=' + page
        + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');
}

// fonction d'import de script sur magnolia (exemple : importHomePage('searchreplace'))
function importHomePage(nom) {
    document.write('<script type="text/javascript" '
        + 'src="http://magnolia.tichou.org/~tichou/wikipedia/js/'
        + nom + '.js"></script>');
}


/***************
 * Mes scripts *
 ***************/

// Liens bot
var wgBotName = 'ZX81-bot';
var botlinksversion = 2;
importWikiPage('Utilisateur:ZX81-bot/Script/botlinks.js');


// t-Revert
var lstAvert = [ 
  { template: "Utilisateur:TiChou/Modèle:au-test1",       string: "Test 1",       hasPage: true  },
  { template: "Utilisateur:TiChou/Modèle:au-test2",       string: "Test 2",       hasPage: true  },
  { template: "Utilisateur:TiChou/Modèle:au-test3",       string: "Test 3",       hasPage: true  },
  { template: "Utilisateur:TiChou/Modèle:au-test4",       string: "Test 4",       hasPage: true  },
  { template: "Utilisateur:TiChou/Modèle:au-vandalisme1", string: "Vandalisme 1", hasPage: true  },
  { template: "Utilisateur:TiChou/Modèle:au-vandalisme2", string: "Vandalisme 2", hasPage: true  },
  { template: "Utilisateur:TiChou/Modèle:au-vandalisme3", string: "Vandalisme 3", hasPage: true  },
  { template: "Utilisateur:TiChou/Modèle:au-vandalisme4", string: "Vandalisme 4", hasPage: true  },
  { template: "Spammeur",                                 string: "Spam",         hasPage: true  },  
  { template: "Motivation_modif",                         string: "Résumé",       hasPage: true  },  
  { template: "Signature",                                string: "Signature",    hasPage: false },
  { template: "Bienvenue_copyright",                      string: "Copyright",    hasPage: false }
];
importHomePage('t-Revert');
//importWikiPage('Utilisateur:TiChou/t-Revert.js');


// Bienvenue
importHomePage('bienvenue');


// Archivage
importHomePage('archivage');


// LiveRC : modifications récentes en direct
//importWikiPage('Utilisateur:EDUCA33E/LiveRC.js');
importHomePage('liverc.dev');


/**********
 * Divers *
 **********/

// objets Ajax et cookies pour lecture des messages
importWikiPage('Utilisateur:GôTô/objects.js');

// Historiques en couleur
importWikiPage('Utilisateur:Dake/monobook.js/deluxehistory.js');


// Édition section 0
obtenir("EditZeroth");


// Onglet purge
obtenir("OngletPurge");


/*********************
 * Navigation popups *
 *********************/

importWikiPage('Utilisateur:Leag/popups-strings-fr.js');
importWikiPage('User:Lupin/popups.js', 'en');
// var popupImages = false;
var popupHideDelay = 0.1;
var popupRevertSummaryPrompt = true;
// var popupRevertSummary = 'Révocation (retour à la version %s)';
// var popupExtendedRevertSummary = 'Révocation (retour à la version du %s par celle du %s, oldid %s)';
// var popupRevertToPreviousSummary = 'Révocation (retour à la version antérieure à la version %s)';
// var popupRevertSummary = 'Révocation (retour à la version %s)';
// var popupQueriedRevertToPreviousSummary = 'Révocation (retour à la version antérieure à la version $1 du $2 par $3)';
// var popupQueriedRevertSummary = 'Révocation (retour à la version $1 du $2 par $3)';


/*********
 * wikEd *
 *********/

var wikEdLoadRegExTypoFix = true;
var wikEdRegExTypoFixSrc = 'http://fr.wikipedia.org/w/index.php?title=Utilisateur:EDUCA33E/RegExTypoFix.js&action=raw&ctype=text/javascript&dontcountme=s';

// traduction
importWikiPage('Utilisateur:Leag/wikEd-fr.js');

// diff
//importWikiPage('User:Cacycle/diff.js', 'en');

// preview
//importWikiPage('User:Pilaf/livepreview.js', 'en');

// main
importWikiPage('User:Cacycle/wikEd.js', 'en');


/**********
 * Divers *
 **********/

addOnloadHook(function () {
  if (wgPageName == "Projet:Restauration_lien_rouge/Erreur_dans_des_liens") {
    window.document.getElementById('bodyContent').innerHTML = window.document.getElementById('bodyContent').innerHTML.replace(new RegExp(/_/g), ' ');
  }
});