/* from my user pagxe on hsbwp */

/* Einige link-Tags hinzufügen */
head = document.getElementsByTagName('head')[0]

function verlinke(rel, href, title)
{
  link = document.createElement('link')
  link.rel = rel
  link.href = '/wiki/' + href
  link.title = title
  head.appendChild(link)
}

if (head) /* sollte immer true ergeben, aber sicher ist sicher */
{
  verlinke('start', 'Accueil', 'Accueil')
  verlinke('help', 'Aide:Sommaire', 'Aide')
  verlinke('index', 'Special:Alle Seiten', 'Index')
}

/* decodiere UTF8 (aus Selfhtml) */
function decode_utf8(utftext) {
     var plaintext = ""; var i=0; var c=c1=c2=0;
     // while-Schleife, weil einige Zeichen uebersprungen werden
     while(i<utftext.length)
         {
         c = utftext.charCodeAt(i);
         if (c<128) {
             plaintext += String.fromCharCode(c);
             i++;}
         else if((c>191) && (c<224)) {
             c2 = utftext.charCodeAt(i+1);
             plaintext += String.fromCharCode(((c&31)<<6) | (c2&63));
             i+=2;}
         else {
             c2 = utftext.charCodeAt(i+1); c3 = utftext.charCodeAt(i+2);
             plaintext += String.fromCharCode(((c&15)<<12) | ((c2&63)<<6) | (c3&63));
             i+=3;}
         }
     return plaintext;
}

/* decodiere die codierten UTF8-Zeichen in Kapitel-Ankern */
function decodeanchor(anchorname)
{
  var escaped = anchorname.replace(/\.([0-9A-F][0-9A-F])/g,"%$1");
  return decode_utf8(unescape(escaped)).replace(/_/g,' ');
}

/* Füge Link-Tags fürs Inhaltsverzeichnis hinzu */
function addcontents()
{
  var head = document.getElementsByTagName('head')[0];
  var len = document.anchors.length
  for (i = 0; i <  len; ++i)
  {
    anchor = document.anchors[i];
    link = document.createElement('link')
    link.rel = 'chapter'
    link.href = '#' + anchor.name;
    link.title = decodeanchor(anchor.name);
    head.appendChild(link)
  }
}

addOnloadHook(addcontents);

//Bei Dschwen gefunden
// [[Benutzer:Dschwen/wikiminiatlas2.js]] - diese Zeile bitte mitkopieren
document.write('<script type="text/javascript" src="' 
     + 'http://de.wikipedia.org/w/index.php?title=User:Dschwen/wikiminiatlas2.js' 
     + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');

//Po ideju w němskej Wikipediji [[:de:Wikipedia Diskussion:Skin#Freigeben rot]]

if (document.getElementById("ca-unprotect")) 
{  document.getElementById("ca-unprotect").style.borderColor = "#FF0000";
document.getElementById("ca-unprotect").style.borderWidth = "4px";
}

// z wužiwarja Zacke w němskej wikipediji
// vom Benutzer:Zacke in dewp
function addlilink(tabs, url, name, id) {
    var na = document.createElement('a');
    na.href = url;
    na.id = id;
    na.appendChild(document.createTextNode(name));
    var li = document.createElement('li');
    li.appendChild(na);
    tabs.appendChild(li);
    return li;
}
function addtoolboxlinks() {
var tb = document.getElementById('p-navigation').getElementsByTagName('ul')[0];
//addlilink(tb, '/wiki/Wikipedija:Projekt_za_předłohi', 'Projekt za předłohi', '');
addlilink(tb, '/wiki/Projet:Infobox/V2', 'Projet pour infoboxes', '');
//addlilink(tb, '/wiki/Wikipedija:Požadane_přełožki', 'Požadane přełožki', '');
//addlilink(tb, '/wiki/Kategorija:Strony_k_spěšnemu_wušmórnjenju', 'SW', '');
//addlilink(tb, '/wiki/Kategorija:Kandidaty_za_šmórnjenje', 'Kat. Kand. šm.', '');
//addlilink(tb, '/wiki/Wikipedija:Kandidaty_za_šmórnjenje', 'Wik. Kand. šm.', '');
addlilink(tb, '/wiki/Special:Index', 'Pages', '');
addlilink(tb, '/wiki/Utilisateur:Tlustulimu/Nawi', 'Nawi', '');
addlilink(tb, '/wiki/Utilisateur:Tlustulimu/Nawi2', 'Nawi2', '');
addlilink(tb, '/wiki/Utilisateur:Tlustulimu/Babel', 'Babel', '');
addlilink(tb, '/wiki/MediaWiki:Gadgets-definition', 'Gadgets', '');
//addlilink(tb, 'irc://irc.freenode.net/#wikipedia-hsb', 'IRC', '');
}
if (window.addEventListener) window.addEventListener("load", addtoolboxlinks, false);
else if (window.attachEvent) window.attachEvent("onload", addtoolboxlinks);