/* Permet d'ajouter des boutons vers les principaux bandeaux d'avertissement pour articles. */

var ModeleASourcer = '{{à sourcer|date={{subst:'+'CURRENTMONTHNAME}} {{subst:'+'CURRENTYEAR}}}}\n';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/thumb/6/64/Question_book-4.svg/45px-Question_book-4.svg.png','A sourcer',ModeleASourcer ,'','','mw-editbutton-asourcer');

var ModeleOrphelin = '{{orphelin|date={{subst:'+'CURRENTMONTHNAME}} {{subst:'+'CURRENTYEAR}}}}\n';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/thumb/6/6c/Wiki_letter_w.svg/35px-Wiki_letter_w.svg.png','Orphelin',ModeleOrphelin ,'','','mw-editbutton-orphelin');

var ModeleAdmissibilite = '{{admissibilité|date={{subst:'+'CURRENTMONTHNAME}} {{subst:'+'CURRENTYEAR}}}}\n';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/thumb/4/48/Emblem-question.svg/35px-Emblem-question.svg.png','Admissibilité',ModeleAdmissibilite,'','','mw-editbutton-admissibilite');

var ModelePub = '{{Promotionnel}}\n';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/thumb/7/78/Tangopub.svg/35px-Tangopub.svg.png','Publicité',ModelePub,'','','mw-editbutton-pub');

var ModeleRecycler = '{{À recycler}}\n';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/thumb/e/ed/Recycle002.svg/36px-Recycle002.svg.png','A recycler',ModeleRecycler ,'','','mw-editbutton-recycle');

var ModeleRedaction = '{{Rédaction}}\n';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/thumb/6/69/Ambox_rewrite_orange.svg/35px-Ambox_rewrite_orange.svg.png','Rédaction',ModeleRedaction ,'','','mw-editbutton-redaction');

var ModeleIntro = '{{intro}}\n';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/thumb/4/4c/Emblem-important.svg/35px-Emblem-important.svg.png','Intro',ModeleIntro ,'','','mw-editbutton-Intro');

var ModeleWikifier = '{{à wikifier|date={{subst:'+'CURRENTMONTHNAME}} {{subst:'+'CURRENTYEAR}}}}\n';
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/thumb/c/ce/Wikitext.svg/45px-Wikitext.svg.png','A wikifier',ModeleWikifier ,'','','mw-editbutton-wikif');

/* Non neutre */
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/thumb/c/ce/Balanced_scales.svg/25px-Balanced_scales.svg.png', 'Non neutre', '{{non neutre|', '}}', '', 'mw-editbutton-nonneutre'); 

/* Référence souhaitée */
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/thumb/6/64/Question%20book%20magnify2.svg/45px-Question%20book%20magnify2.svg.png', 'Référence souhaitée', '{{refsou|', '}}', '', 'mw-editbutton-refsou'); 

/* Référence nécessaire */
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/thumb/6/64/Book notice.svg/45px-Book notice.svg.png', 'Référence nécessaire', '{{Référence nécessaire|', '|date={{subst:'+'CURRENTMONTHNAME}} {{subst:'+'CURRENTYEAR}}}}', '', 'mw-editbutton-refnec');

/* Référence insuffisante */
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/thumb/6/64/Book important.svg/45px-Book important.svg.png', 'Référence insuffisante', '{{Référence insuffisante|', '}}', '', 'mw-editbutton-refins');

/* Évasif */
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/thumb/6/64/Wave Dash.svg/45px-Wave Dash.svg.png', 'Évasif', '{{Passage évasif|', '}}', '', 'mw-editbutton-evasif');

/* Précision nécessaire */
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/thumb/6/64/Precision.svg/45px-Precision.svg.png', 'Précision nécessaire', '{{Précision nécessaire|', '}}', '', 'mw-editbutton-prenec');

/* Interprétation personnelle */
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/thumb/5/5b/Pictogram_voting_question.svg/15px-Pictogram_voting_question.svg.png', 'Passage inédit', '{{Passage inédit|', '}}', '', 'mw-editbutton-interp');

/* Apportez une source */
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/thumb/e/e8/Crystal_Clear_filesystem_pipe.png/120px-Crystal_Clear_filesystem_pipe.png', 'Apportez vos sources', '{{subst'+':Utilisateur:Trizek/Modèles/sources|', '}}', '', 'mw-editbutton-apportsources');


addCustomButton('http://upload.wikimedia.org/wikipedia/commons/thumb/4/46/Pictogram_voting_delete.svg/15px-Pictogram_voting_delete.svg.png', 'Suppression', '== [[Titre]] (Article supprimé) ==\n\nBonjour,\n\nL\'article que vous avez créé a été [[Aide:Comment supprimer une page#Blanchiment et « suppression immédiate » dans les cas évidents|supprimé]] du fait :\n* de son [[WP:TI|caractère inédit]] et [[WP:V|non vérifiable]] ;\n* de son [[Wikipédia:Ce_que_Wikipédia_n\'est_pas#Un_moyen_commode_de_faire_de_la_publicit.C3.A9_gratuitement|caractère publicitaire]] ;\n* son absence de [[Aide:sources|sources]] externes au thème de l’article permettant de [[WP:V|vérifier sa pertinence]] ;\n* du non-respect des [[Wikipédia:Critères d\'admissibilité des articles|critères d\'admissibilité des articles]] ou de l\’absence de preuves justifiant cette admissibilité.\nPensez à consulter [[Aide:Tout l\'indispensable…|l\'indispensable de Wikipédia]] avant toute création, afin que vos articles enrichissent durablement Wikipédia.\n\nSi vous estimez sur cette suppression est inappropriée, vous pouvez faire une [[WP:DRP|demande de restauration de page]], \'\'en motivant votre demande\'\' et \'\'en apportant des preuves\'\' de la pertinence de votre article (coupures de presse, études universitaires, statistiques publiques, etc.).\n\nSi vous avez des questions, n\'hésitez pas à [[user talk:Trizek|me contacter]].\n\nCordialement, ~~'+'~~', '', '', 'mw-editbutton-suppr');